<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" 
xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" 
xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" 
xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="xml"/>
	<!--выгрузка из xml таможенного формата в ПИ Транзит-->
	

	<xsl:template match="*|/">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<ContainerDoc>
				<DocBody>
					<xsl:apply-templates select="//do1r:DO1Report"/>
				</DocBody>
			</ContainerDoc>
		</ED_Container>			
	</xsl:template>
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="do1r:GoodContLinks">
		<xsl:variable name="NumCont" select="do1r:ContainerNumber"/>
		<xsl:variable name="TrCode" select="../../../catWH_ru:MainTransportModeCode"/>
		<xsl:choose>
			<xsl:when test="$TrCode='10'">   
				<catWH_ru:GoodContLinks>
					<catWH_ru:GoodNumber><xsl:value-of select="do1r:GoodNumber"/></catWH_ru:GoodNumber>
					<xsl:for-each select="../catWH_ru:Containers">
						<xsl:if test="catWH_ru:ContainerNumber=$NumCont">
							<catWH_ru:ContainerNumber><xsl:value-of select="position()"/></catWH_ru:ContainerNumber>
						</xsl:if>
					</xsl:for-each>
				</catWH_ru:GoodContLinks>
			</xsl:when>        
			<xsl:when test="$TrCode='20'">
					<catWH_ru:GoodContLinks>
						<catWH_ru:GoodNumber><xsl:value-of select="do1r:GoodNumber"/></catWH_ru:GoodNumber>
						<xsl:for-each select="../catWH_ru:Containers">
						<xsl:if test="catWH_ru:ContainerNumber=$NumCont">
							<catWH_ru:ContainerNumber><xsl:value-of select="position()"/></catWH_ru:ContainerNumber>
						</xsl:if>
					</xsl:for-each>
					</catWH_ru:GoodContLinks>	
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="do1r:Goods">
		<xsl:variable name="PosG">
			<xsl:number count="do1r:Goods" level="any"/>
		</xsl:variable>
		<xsl:element name="do1r:Goods" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:for-each select="child::*"> 
			<xsl:choose>
				<xsl:when test="name()='catWH_ru:GoodsNumber'">
					<xsl:element name="catWH_ru:GoodsNumber" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
						<xsl:value-of select="$PosG"/>
					</xsl:element>
				</xsl:when>
				<xsl:when test="name()='do1r:ContainerNumber'"></xsl:when>
				<xsl:otherwise>
					<xsl:copy-of select="."/> 	
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>		
	</xsl:element>	
	</xsl:template>
</xsl:stylesheet>
