<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns="urn:customs.ru:Information:PriorInformation:PI_AutoArrive:5.11.0" 
 xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" 
 xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0" 

xmlns:Body="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0"
xmlns:TIR_Car="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0"

xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0"
xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0"
xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0"

xmlns:CMR_Car="urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0"
xmlns:Inv_Car="urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0" 
xmlns:PackL_Car="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0"

 xmlns:ctm="urn:ctm.ru"
 xmlns:ctmtd="http://rail.ctm.ru/TD/Document"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:param name="GoodsFromCMRForPi" select="0"/>
	<xsl:output method="xml"/>
	
	<!--выгрузка из xml таможенного формата в ПИ ДКД-->
	
	<xsl:template match="*|/">
		<xsl:apply-templates select="//CMR_Car:CMR"/>
	</xsl:template>

	<xsl:template match="CMR_Car:CMR">
		<PI_AutoArrive>
		    <xsl:attribute name="DocumentModeID">1006814E</xsl:attribute>
			<xsl:variable name="CMRNum" select="CMR_Car:RegistrationDocument/CMR_Car:RegID"/>
			<xsl:variable name="CMRDat" select="CMR_Car:RegistrationDocument/CMR_Car:Date"/>
			<xsl:variable name="CMRPl" select="CMR_Car:RegistrationDocument/CMR_Car:Place"/>
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:RefDocumentID)>0">
				<cat_ru:RefDocumentID><xsl:value-of select="//ctm:CTM_Container/ctm:RefDocumentID"/></cat_ru:RefDocumentID>
			</xsl:if>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:DtID)>0">
				<PI_URN><xsl:value-of select="//ctm:CTM_Container/ctm:DtID"/></PI_URN>
			</xsl:if>
			<xsl:for-each select="CMR_Car:Consignee">
				<Consignee>
					<xsl:call-template name="FirmPIArmty">
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_AutoArrive:5.11.0'"/>
						<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
						<xsl:with-param name="AdrPref" select="'catpi_ru:'"/>
					</xsl:call-template>	
				</Consignee>
			</xsl:for-each>
			<xsl:for-each select="CMR_Car:Carrier">
				<Carrier>
					<xsl:call-template name="FirmPIArmty">
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_AutoArrive:5.11.0'"/>
						<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
						<xsl:with-param name="AdrPref" select="'catpi_ru:'"/>
					</xsl:call-template>
				</Carrier>
			</xsl:for-each>
			<xsl:for-each select="CMR_Car:Consignor">
				<Consignor>
					<xsl:call-template name="FirmPIArmty">
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_AutoArrive:5.11.0'"/>
						<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
						<xsl:with-param name="AdrPref" select="'catpi_ru:'"/>
					</xsl:call-template>
				</Consignor>
			</xsl:for-each>	
			<GoodsInform>
				<xsl:choose>
					<xsl:when test="number($GoodsFromCMRForPi)=0 and number(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:GroupGoods)=1">
						<xsl:choose>
							<xsl:when test="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:INVOICE[1]/ctm:TotalGoodsNameQuantity>0">
								<TotalGoodsNameQuantity><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:INVOICE[1]/ctm:TotalGoodsNameQuantity"/></TotalGoodsNameQuantity>
							</xsl:when>
							<xsl:otherwise>
								<TotalGoodsNameQuantity>1</TotalGoodsNameQuantity>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:DateExpectedArrival)>0">
							<DateExpectedArrival><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:DateExpectedArrival"/></DateExpectedArrival>
						</xsl:if>
						<xsl:if test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:TimeExpectedArrival)>0">
							<TimeExpectedArrival><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:TimeExpectedArrival"/></TimeExpectedArrival>
						</xsl:if>
						<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:INVOICE/ctm:Goods">
							<Goods>
							    <xsl:variable name="posGood" select="position()"/>
								<catpi_ru:GoodsNumeric><xsl:value-of select="position()"/></catpi_ru:GoodsNumeric>
								<xsl:if test="string-length(ctm:GoodsTNVEDCode)>0">
									<catpi_ru:GoodsTNVEDCode><xsl:value-of select="ctm:GoodsTNVEDCode"/></catpi_ru:GoodsTNVEDCode>
								</xsl:if> 
								<xsl:for-each select="ctm:GoodsDescription">
									<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
								</xsl:for-each>
								<xsl:if test="string-length(ctm:GrossWeightQuantity)>0 and number(ctm:GrossWeightQuantity)>0">
									<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(ctm:GrossWeightQuantity * 100000) div 100000,'0.#####')"/></catpi_ru:GrossWeightQuantity>
								</xsl:if>
								<xsl:if test="string-length(ctm:NetWeightQuantity)>0 and number(ctm:NetWeightQuantity)>0">
									<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(ctm:NetWeightQuantity * 100000) div 100000,'0.#####')"/></catpi_ru:NetWeightQuantity>
								</xsl:if>
								<xsl:for-each select="../../ctm:Containers/ctm:Containers_ITEM">
									<catpi_ru:ContainerNumbers><xsl:value-of select="ctm:ContainerID"/></catpi_ru:ContainerNumbers>
								</xsl:for-each>
								<xsl:if test="string-length(ctm:OriginCountryCode)>0">	
									<catpi_ru:OriginCountryCode><xsl:value-of select="ctm:OriginCountryCode"/></catpi_ru:OriginCountryCode>
								</xsl:if>
								<xsl:if test="string-length(ctm:InvoicedCost)>0 and number(ctm:InvoicedCost)>0">	
									<catpi_ru:InvoicedCost><xsl:value-of select="ctm:InvoicedCost"/></catpi_ru:InvoicedCost>
								</xsl:if>
								<xsl:if test="string-length(ctm:InvoicedCostCurrencyCode)>0">	
									<catpi_ru:CurrencyCode><xsl:value-of select="ctm:InvoicedCostCurrencyCode"/></catpi_ru:CurrencyCode>
								</xsl:if>
								<xsl:if test="string-length(ctm:SupplementaryGoodsQuantity)>0 and number(ctm:SupplementaryGoodsQuantity)>0">
									<catpi_ru:GoodsMeasureQuantity>
										<catpi_ru:GoodsQuantity><xsl:value-of select="ctm:SupplementaryGoodsQuantity"/></catpi_ru:GoodsQuantity>
										<xsl:if  test="string-length(ctm:MeasureUnitQualifierName)>0">
											<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="ctm:MeasureUnitQualifierName"/></catpi_ru:MeasureUnitQualifierName>
										</xsl:if>
										<xsl:if  test="string-length(ctm:SupplementaryMeasureUnitCode)>0">
											<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="ctm:SupplementaryMeasureUnitCode"/></catpi_ru:MeasureUnitQualifierCode>
										</xsl:if>
									</catpi_ru:GoodsMeasureQuantity>
								</xsl:if>
								<catpi_ru:GoodsPackaging>
									<xsl:if test="string-length(ctm:PakingQuantity)>0">
										<catpi_ru:PakageQuantity><xsl:value-of select="ctm:PakingQuantity"/></catpi_ru:PakageQuantity>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="string-length(ctm:PackingCode)>0">
											<catpi_ru:CargoCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:CargoCode>
										</xsl:when>
										<xsl:otherwise>
											<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
										</xsl:otherwise>
									</xsl:choose>	
									<xsl:if test="string-length(ctm:PackingDescription)>0">
										<catpi_ru:CargoDescription><xsl:value-of select="ctm:PackingDescription"/></catpi_ru:CargoDescription>
									</xsl:if>
									<xsl:for-each select="ctm:PackingInfo/ctm:PACKINGINFO_ITEM[string-length(ctm:PackingQuantity)>0 and string-length(ctm:PackingCode)>0]">
										<catpi_ru:PackingInformation>
											<catpi_ru:PackingCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:PackingCode>
											<catpi_ru:PakingQuantity><xsl:value-of select="ctm:PackingQuantity"/></catpi_ru:PakingQuantity>
											<xsl:if test="string-length(ctm:PackingMark)>0">
												<catpi_ru:PackingMark><xsl:value-of select="ctm:PackingMark"/></catpi_ru:PackingMark>
											</xsl:if>	
										</catpi_ru:PackingInformation>
									</xsl:for-each>
								</catpi_ru:GoodsPackaging>
							</Goods>
						</xsl:for-each>
					</xsl:when>
					<xsl:when test="number($GoodsFromCMRForPi)=1">
						<xsl:choose>
							<xsl:when test="count(CMR_Car:CMRGoods)>0">
								<TotalGoodsNameQuantity><xsl:value-of select="count(CMR_Car:CMRGoods)"/></TotalGoodsNameQuantity>
							</xsl:when>
							<xsl:otherwise>
								<TotalGoodsNameQuantity>1</TotalGoodsNameQuantity>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:DateExpectedArrival)>0">
							<DateExpectedArrival><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:DateExpectedArrival"/></DateExpectedArrival>
						</xsl:if>
						<xsl:for-each select="CMR_Car:CMRGoods">
							<Goods>
							    <xsl:variable name="posGood" select="position()"/>
								<catpi_ru:GoodsNumeric><xsl:value-of select="position()"/></catpi_ru:GoodsNumeric>
								<xsl:if test="string-length(catTrans_ru:GoodsNomenclatureCode)>0">
									<catpi_ru:GoodsTNVEDCode><xsl:value-of select="catTrans_ru:GoodsNomenclatureCode"/></catpi_ru:GoodsTNVEDCode>
								</xsl:if> 
								<xsl:for-each select="cat_ru:GoodsDescription">
									<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
								</xsl:for-each>
								<xsl:if test="string-length(CMR_Car:GrossWeightQuantity)>0">
									<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(CMR_Car:GrossWeightQuantity * 100000) div 100000,'0.#####')"/></catpi_ru:GrossWeightQuantity>
								</xsl:if>
								<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Containers/ctm:Containers_ITEM">
									<catpi_ru:ContainerNumbers><xsl:value-of select="ctm:ContainerID"/></catpi_ru:ContainerNumbers>
								</xsl:for-each>
								<xsl:if test="string-length(../Inv_Car:CurrencyCode)>0">	
									<catpi_ru:CurrencyCode><xsl:value-of select="../Inv_Car:CurrencyCode"/></catpi_ru:CurrencyCode>
								</xsl:if>
								<xsl:if test="string-length(CMR_Car:GoodsQuantity)>0">
									<catpi_ru:GoodsMeasureQuantity>
										<catpi_ru:GoodsQuantity><xsl:value-of select="CMR_Car:GoodsQuantity"/></catpi_ru:GoodsQuantity>
									</catpi_ru:GoodsMeasureQuantity>
								</xsl:if>
								<xsl:for-each select="CMR_Car:GoodsPackingInfo">
									<catpi_ru:GoodsPackaging>
										<xsl:if test="string-length(catTrans_cu:PakingQuantity)>0">
											<catpi_ru:PakageQuantity><xsl:value-of select="catTrans_cu:PakingQuantity"/></catpi_ru:PakageQuantity>
										</xsl:if>
										<xsl:choose>
											<xsl:when test="string-length(catTrans_cu:PackingCode)>0">
												<catpi_ru:CargoCode><xsl:value-of select="catTrans_cu:PackingCode"/></catpi_ru:CargoCode>
											</xsl:when>
											<xsl:otherwise>
												<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
											</xsl:otherwise>
										</xsl:choose>	
										<xsl:if test="string-length(catTrans_cu:PackingDescription)>0">
											<catpi_ru:CargoDescription><xsl:value-of select="catTrans_cu:PackingDescription"/></catpi_ru:CargoDescription>
										</xsl:if>
									</catpi_ru:GoodsPackaging>
								</xsl:for-each>						
							</Goods>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="count(//Inv_Car:Invoice/Inv_Car:InvoiceGoods)>0">
								<TotalGoodsNameQuantity><xsl:value-of select="count(//Inv_Car:Invoice/Inv_Car:InvoiceGoods)"/></TotalGoodsNameQuantity>
							</xsl:when>
							<xsl:otherwise>
								<TotalGoodsNameQuantity>1</TotalGoodsNameQuantity>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:for-each select="//Inv_Car:Invoice/Inv_Car:InvoiceGoods">
							<Goods>
							    <xsl:variable name="posGood" select="position()"/>
								<catpi_ru:GoodsNumeric><xsl:value-of select="position()"/></catpi_ru:GoodsNumeric>
								<xsl:variable name="GoodC" select="catComFin_ru:GoodsCode"/>
								<xsl:if test="string-length(catComFin_ru:GoodsCode)>0">
									<catpi_ru:GoodsTNVEDCode><xsl:value-of select="catComFin_ru:GoodsCode"/></catpi_ru:GoodsTNVEDCode>
								</xsl:if> 
								<xsl:for-each select="catComFin_ru:GoodsDescription">
									<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
								</xsl:for-each>
								<xsl:if test="string-length(catComFin_ru:GrossWeightQuantity)>0">
									<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(catComFin_ru:GrossWeightQuantity * 100000) div 100000,'0.#####')"/></catpi_ru:GrossWeightQuantity>
								</xsl:if>
								<xsl:if test="string-length(catComFin_ru:NetWeightQuantity)>0">
									<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(catComFin_ru:NetWeightQuantity * 100000) div 100000,'0.#####')"/></catpi_ru:NetWeightQuantity>
								</xsl:if>		
								<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Containers/ctm:Containers_ITEM">
									<catpi_ru:ContainerNumbers><xsl:value-of select="ctm:ContainerID"/></catpi_ru:ContainerNumbers>
								</xsl:for-each>
								<xsl:if test="string-length(catComFin_ru:OriginCountryCode)>0">
									<xsl:variable name="CodCr" select="catComFin_ru:OriginCountryCode"/>
									<catpi_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CodCr]/ABC2"/></catpi_ru:OriginCountryCode>
								</xsl:if>	
								<xsl:if test="string-length(catComFin_ru:TotalCost)>0">
									<catpi_ru:InvoicedCost><xsl:value-of select="format-number(round(catComFin_ru:TotalCost * 100) div 100,'0.##')"/></catpi_ru:InvoicedCost>
								</xsl:if>
								<xsl:if test="string-length(../Inv_Car:CurrencyCode)>0">	
									<catpi_ru:CurrencyCode><xsl:value-of select="../Inv_Car:CurrencyCode"/></catpi_ru:CurrencyCode>
								</xsl:if>
								<xsl:if test="string-length(catComFin_ru:GoodsQuantity)>0">
									<catpi_ru:GoodsMeasureQuantity>
										<catpi_ru:GoodsQuantity><xsl:value-of select="catComFin_ru:GoodsQuantity"/></catpi_ru:GoodsQuantity>
										<xsl:if test="string-length(catComFin_ru:MeasureUnitQualifierName)>0">	
											<xsl:variable name="NamCr" select="catComFin_ru:MeasureUnitQualifierName"/>
											<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="catComFin_ru:MeasureUnitQualifierName"/></catpi_ru:MeasureUnitQualifierName>
											<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[ABBR=$NamCr]/CODE)>0">
												<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[ABBR=$NamCr]/CODE"/></catpi_ru:MeasureUnitQualifierCode>	
											</xsl:if>	
										</xsl:if>	
									</catpi_ru:GoodsMeasureQuantity>
								</xsl:if>
								<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:INVOICE/ctm:Goods">
									<xsl:variable name="posG" select="position()"/>
									<xsl:if test="position()=$posGood">
										<catpi_ru:GoodsPackaging>
											<xsl:if test="string-length(ctm:PlacesQuantity)>0">
												<catpi_ru:PakageQuantity><xsl:value-of select="ctm:PlacesQuantity"/></catpi_ru:PakageQuantity>
											</xsl:if>
											<xsl:choose>
												<xsl:when test="string-length(ctm:PlacesCode)>0">
													<catpi_ru:CargoCode><xsl:value-of select="ctm:PlacesCode"/></catpi_ru:CargoCode>
												</xsl:when>
												<xsl:otherwise>
													<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:if test="string-length(ctm:PlacesDescription)>0">
												<catpi_ru:CargoDescription><xsl:value-of select="ctm:PlacesDescription"/></catpi_ru:CargoDescription>
											</xsl:if>	
											<xsl:for-each select="ctm:PackingInfo/ctm:PACKINGINFO_ITEM[string-length(ctm:PackingQuantity)>0 and string-length(ctm:PackingCode)>0]">
												<catpi_ru:PackingInformation>
													<catpi_ru:PackingCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:PackingCode>
													<catpi_ru:PakingQuantity><xsl:value-of select="ctm:PackingQuantity"/></catpi_ru:PakingQuantity>
													<xsl:if test="string-length(ctm:PackingMark)>0">
														<catpi_ru:PackingMark><xsl:value-of select="ctm:PackingMark"/></catpi_ru:PackingMark>
													</xsl:if>	
												</catpi_ru:PackingInformation>
											</xsl:for-each>
										</catpi_ru:GoodsPackaging>
									</xsl:if>	
								</xsl:for-each>	
							</Goods>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:BorderCustoms[string-length(ctm:Code)>0]">
					<BorderCustoms>
						<cat_ru:Code><xsl:value-of select="ctm:Code"/></cat_ru:Code>
						<xsl:if test="string-length(ctm:OfficeName)>0">
							<cat_ru:OfficeName><xsl:value-of select="ctm:OfficeName"/></cat_ru:OfficeName>
						</xsl:if>
						<xsl:if test="string-length(ctm:CustomsCountryCode)>0">
							<cat_ru:CustomsCountryCode><xsl:value-of select="ctm:CustomsCountryCode"/></cat_ru:CustomsCountryCode>
						</xsl:if>
					</BorderCustoms>
				</xsl:for-each>
			</GoodsInform>
			<ShippingInformation>
				<xsl:choose>
					<xsl:when test="count(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM[string-length(ctm:Containers)>0]/ctm:Containers)=0">
						<ContainerIndicator>0</ContainerIndicator>
					</xsl:when>
					<xsl:otherwise>
						<ContainerIndicator>1</ContainerIndicator>
					</xsl:otherwise>
				</xsl:choose>
				<BorderTransport>
					<catpi_ru:TransportIdentifier><xsl:value-of select="CMR_Car:CMRTransport/CMR_Car:PrimeMoverStateSignID"/></catpi_ru:TransportIdentifier>
					<xsl:if test="string-length(CMR_Car:CMRTransport/CMR_Car:TrailerStateSignID)>0">
						<catpi_ru:TrailerIdentifier>
							<xsl:value-of select="CMR_Car:CMRTransport/CMR_Car:TrailerStateSignID"/>
						</catpi_ru:TrailerIdentifier>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length(//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/TIR_Car:TransportMeans[3]/cat_ru:TransportIdentifier)>0">
							<catpi_ru:SecondTrailerIdentifier><xsl:value-of select="//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/TIR_Car:TransportMeans[3]/cat_ru:TransportIdentifier"/></catpi_ru:SecondTrailerIdentifier>
						</xsl:when>	
						<xsl:when test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:TrailerIdentifier2)>0">
							<catpi_ru:SecondTrailerIdentifier><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:TrailerIdentifier2"/></catpi_ru:SecondTrailerIdentifier>
						</xsl:when>
					</xsl:choose>	
					<xsl:choose>
						<xsl:when test="string-length(//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/TIR_Car:TransportMeans[1]/cat_ru:VIN)>0">	
							<catpi_ru:VINID><xsl:value-of select="//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/TIR_Car:TransportMeans[1]/cat_ru:VIN"/></catpi_ru:VINID>
						</xsl:when>
						<xsl:when test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:VIN)>0">	
							<catpi_ru:VINID><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:VIN"/></catpi_ru:VINID>
						</xsl:when>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length(//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/cat_ru:TransportModeCode)>0">	
							<catpi_ru:TransportModeCode><xsl:value-of select="//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/cat_ru:TransportModeCode"/></catpi_ru:TransportModeCode>
						</xsl:when>
						<xsl:when test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:TransportModeCode)>0">
							<catpi_ru:TransportModeCode><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:TransportModeCode"/></catpi_ru:TransportModeCode>
						</xsl:when>						
						<xsl:otherwise>
							<catpi_ru:TransportModeCode>30</catpi_ru:TransportModeCode>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length(//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/TIR_Car:TransportMeans[1]/cat_ru:TransportMeansNationalityCode)>0">	
							<catpi_ru:TransportMeansNationalityCode><xsl:value-of select="//TIR_Car:CUTIR_Carnet/TIR_Car:CUTransport/TIR_Car:TransportMeans[1]/cat_ru:TransportMeansNationalityCode"/></catpi_ru:TransportMeansNationalityCode>
						</xsl:when>
						<xsl:when test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:CountryTC)>0">
							<catpi_ru:TransportMeansNationalityCode><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:Transport/ctm:CountryTC"/></catpi_ru:TransportMeansNationalityCode>
						</xsl:when>
					</xsl:choose>
				</BorderTransport>
				<xsl:variable name="DesC" select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:INVOICE[1]/ctm:DestinationCountry"/>
				<xsl:variable name="DisC" select="//Body:DocBody/ctm:CTM_Container/ctm:CMR/ctm:CMR_ITEM/ctm:INVOICE[1]/ctm:DispatchCountry"/>
				<DispatchCountry>
					<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DisC]/Name)>0">
						<catpi_ru:CountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DisC]/Name"/></catpi_ru:CountryName>
					</xsl:if>
					<catpi_ru:CountryACode><xsl:value-of select="$DisC"/></catpi_ru:CountryACode>
				</DispatchCountry>
				<DestinationCountry>
					<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DesC]/Name)>0">
						<catpi_ru:CountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DesC]/Name"/></catpi_ru:CountryName>
					</xsl:if>	
					<catpi_ru:CountryACode><xsl:value-of select="$DesC"/></catpi_ru:CountryACode>
				</DestinationCountry>
			</ShippingInformation>
		</PI_AutoArrive>
	</xsl:template>
</xsl:stylesheet>


