<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 

 xmlns="urn:customs.ru:Information:PriorInformation:PI_AirArrive:5.11.0" 
 xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" 
 xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0"

xmlns:Body="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0"

xmlns:CrgMt="urn:customs.ru:Information:TransportDocuments:Air:CargoManifest:5.11.0" 
xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" 

xmlns:CmInv="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialInvoice:5.10.0" 
xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0"

xmlns:Inv_Car="urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0" 

xmlns:PackL_Car="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0" 

xmlns:GDAirTrs="urn:customs.ru:Information:TransportDocuments:Air:GeneralDeclarationAirTransport:5.11.0" 

xmlns:APStm="urn:customs.ru:Information:TransportDocuments:PostalManifest:5.10.0"
xmlns:PasMt="urn:customs.ru:Information:TransportDocuments:Air:PassengerManifest:5.10.0"
xmlns:AWB="urn:customs.ru:Information:TransportDocuments:Air:AirWaybill:5.10.0"
xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:5.9.1"

xmlns:AppSt="urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0"
xmlns:cltESAD_cu="urn:customs.ru:CUESADCommonLeafTypes:5.10.0" 
xmlns:ProhGoods="urn:customs.ru:Information:TransportDocuments:ProhibitedGoods:5.10.0"

 xmlns:ctm="urn:ctm.ru"
 xmlns:ctmtd="http://rail.ctm.ru/TD/Document"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:param name="GoodsFromCMRForPi" select="0"/>
	<xsl:output method="xml"/>
	
	<xsl:template match="*|/">
		<xsl:choose>
			<xsl:when test="count(//GDAirTrs:GeneralDeclarationAirTransport)>0">
				<xsl:apply-templates select="//GDAirTrs:GeneralDeclarationAirTransport"/>
			</xsl:when>
			<xsl:when test="count(//*[local-name()='PI_AirArrive'])>0">
				<xsl:apply-templates select="//*[local-name()='PI_AirArrive']"/>
			</xsl:when>
			
		</xsl:choose>
		
	</xsl:template>
	<xsl:template match="*[local-name()='PI_AirArrive']">
		 <xsl:copy-of select="."/> 
	</xsl:template>
	<xsl:template match="GDAirTrs:GeneralDeclarationAirTransport">
		<xsl:variable name="CarCode"  select="GDAirTrs:CarrierCode"/>
		<xsl:variable name="CarCodeNum"  select="document('../../NSI/AirNsiXml.xml')//IATAFIRM_ITEM[AirIataCodeABC2=$CarCode]/AirIataCodeNum"/>
		<xsl:variable name="CustCode"  select="GDAirTrs:Customs/cat_ru:Code"/>
		<xsl:variable name="CustName"  select="GDAirTrs:Customs/cat_ru:OfficeName"/>
		<xsl:variable name="CustCountry">
			<xsl:choose>
				<xsl:when test="substring($CustCode,1,2)='10' or substring($CustCode,1,2)='12' or substring($CustCode,1,2)='1F'">643</xsl:when>
				<xsl:when test="substring($CustCode,1,3)='112' or substring($CustCode,1,3)='240'">112</xsl:when>
				<xsl:when test="substring($CustCode,1,3)='398'">398</xsl:when>									
				<xsl:when test="substring($CustCode,1,2)='46'">417</xsl:when>									
			</xsl:choose>
		</xsl:variable> 	
		<PI_AirArrive>
		    <xsl:attribute name="DocumentModeID">1006813E</xsl:attribute>
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:RefDocumentID)>0">
				<cat_ru:RefDocumentID><xsl:value-of select="//ctm:CTM_Container/ctm:RefDocumentID"/></cat_ru:RefDocumentID>
			</xsl:if>
			<MPOSign>
				<xsl:choose>
					<xsl:when test="count(//APStm:PostalManifest/APStm:AirTransport)>0">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</MPOSign>
			<ProhobitedGoodsIndicator>
				<xsl:choose>
					<xsl:when test="count(//ProhGoods:ProhibitedGoods)>0">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</ProhobitedGoodsIndicator>
			<xsl:choose>
				<xsl:when test="number(GDAirTrs:CrewMembersNumber)>0">
					<NumberCrewMembers><xsl:value-of select="GDAirTrs:CrewMembersNumber"/></NumberCrewMembers>
				</xsl:when>
				<xsl:otherwise>
					<xsl:message terminate="yes">
						<xsl:text>В Генеральной авиа-декларации не указано количество членов экипажа . Выгрузка в ПИ невозможна</xsl:text>
					</xsl:message>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:DtID)>0">
				<PI_URN><xsl:value-of select="//ctm:CTM_Container/ctm:DtID"/></PI_URN>
			</xsl:if>
			<xsl:variable name="CPas" select="//PasMt:PassengerManifest"/>
			<xsl:variable name="CCarM" select="//CrgMt:CargoManifest"/>
			<xsl:variable name="AirCl">
				<xsl:choose>
					<xsl:when test="count($CPas)>0 and count($CCarM)>0">3</xsl:when>
					<xsl:when test="count($CPas)=0 and count($CCarM)>0">2</xsl:when>	
					<xsl:when test="count($CPas)>0 and count($CCarM)=0">1</xsl:when>
					<xsl:otherwise>2</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="string-length(//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:FlightNumber)>0">
					<TransportMeans>
						<xsl:if test="string-length(//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:Mark)>0">
							<AirModification><xsl:value-of select="//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:Mark"/></AirModification>
						</xsl:if>
						<AirClass><xsl:value-of select="$AirCl"/></AirClass>
						<AirRegNumber><xsl:value-of select="//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:AirPlaneRegNum"/></AirRegNumber>
						<FlightNumber><xsl:value-of select="//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:FlightNumber"/></FlightNumber>
					</TransportMeans>
				</xsl:when>
				<xsl:when test="string-length(//PasMt:PassengerManifest/PasMt:FlightInfo/catTrans_ru:FlightNumber)>0">
					<TransportMeans>
						<xsl:if test="string-length(//PasMt:PassengerManifest/PasMt:FlightInfo/catTrans_ru:Mark)>0">
							<AirModification><xsl:value-of select="//PasMt:PassengerManifest/PasMt:FlightInfo/catTrans_ru:Mark"/></AirModification>
						</xsl:if>
						<AirClass><xsl:value-of select="$AirCl"/></AirClass>
						<AirRegNumber><xsl:value-of select="//PasMt:PassengerManifest/PasMt:FlightInfo/catTrans_ru:AirPlaneRegNum"/></AirRegNumber>
						<FlightNumber><xsl:value-of select="//PasMt:PassengerManifest/PasMt:FlightInfo/catTrans_ru:FlightNumber"/></FlightNumber>
					</TransportMeans>
				</xsl:when>
				<xsl:otherwise>
					<TransportMeans>
						<xsl:if test="string-length(GDAirTrs:Flight/catTrans_ru:Mark)>0">
							<AirModification><xsl:value-of select="GDAirTrs:Flight/catTrans_ru:Mark"/></AirModification>
						</xsl:if>
						<AirClass><xsl:value-of select="$AirCl"/></AirClass>
						<AirRegNumber><xsl:value-of select="GDAirTrs:Flight/catTrans_ru:Mark"/></AirRegNumber>
						<FlightNumber><xsl:value-of select="GDAirTrs:Flight/catTrans_ru:FlightNumber"/></FlightNumber>
					</TransportMeans>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:for-each select="GDAirTrs:CockpitPersonnel[string-length(cat_ru:PersonSurname)>0 and string-length(cat_ru:PersonName)>0]">
				<AirCrewInfo>
					<cat_ru:PersonSurname><xsl:value-of select="cat_ru:PersonSurname"/></cat_ru:PersonSurname>
					<cat_ru:PersonName><xsl:value-of select="cat_ru:PersonName"/></cat_ru:PersonName>
					<xsl:if test="string-length(cat_ru:PersonMiddleName)>0">
						<cat_ru:PersonMiddleName><xsl:value-of select="cat_ru:PersonMiddleName"/></cat_ru:PersonMiddleName>
					</xsl:if>
					<xsl:if test="string-length(cat_ru:PersonPost)>0">
						<cat_ru:PersonPost><xsl:value-of select="cat_ru:PersonPost"/></cat_ru:PersonPost>
					</xsl:if>					
				</AirCrewInfo>
			</xsl:for-each>
			<AirCarrierInfo>
				<xsl:if test="string-length(GDAirTrs:Carrier)>0">
					<NameAirCarrier><xsl:value-of select="GDAirTrs:Carrier"/></NameAirCarrier>
				</xsl:if>
				<IATACode><xsl:value-of select="GDAirTrs:CarrierCode"/></IATACode>
			</AirCarrierInfo>
			<RoutingInfo>
				<DepartureDateTime>
					<xsl:choose>
						<xsl:when test="string-length(GDAirTrs:Flight/catTrans_ru:FlightDate)>0 and string-length(GDAirTrs:Flight/catTrans_ru:FlightTime)>0">
							<xsl:value-of select="concat(GDAirTrs:Flight/catTrans_ru:FlightDate,'T',GDAirTrs:Flight/catTrans_ru:FlightTime,'.0Z')"/>
						</xsl:when>
						<xsl:when test="string-length(//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:FlightTime)>0 and string-length(//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:FlightDate)>0">
							<xsl:value-of select="concat(//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:FlightDate,'T',//CrgMt:CargoManifest/CrgMt:FlightInfo/catTrans_ru:FlightTime,'.0Z')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat(GDAirTrs:Flight/catTrans_ru:FlightDate,'T00:00:00.0Z')"/>
						</xsl:otherwise>
					</xsl:choose>
				</DepartureDateTime>
				<DepartureAirport>
					<AirportName><xsl:value-of select="GDAirTrs:Flight/catTrans_ru:DepartureAirport/catTrans_ru:Name"/></AirportName>
					<IATACode><xsl:value-of select="GDAirTrs:Flight/catTrans_ru:DepartureAirport/catTrans_ru:IATACode"/></IATACode>
				</DepartureAirport>
				<xsl:for-each select="GDAirTrs:RoutingInfo/catTrans_ru:Airport[string-length(catTrans_ru:IATACode)>0]">
					<Interim>
						<xsl:variable name="Iata" select="catTrans_ru:IATACode"/>
						<xsl:choose>
							<xsl:when test="string-length(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/RusName)>0">
								<AirportName><xsl:value-of select="substring(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/RusName,1,150)"/></AirportName>
							</xsl:when>
							<xsl:when test="string-length(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/EngName)>0">
								<AirportName><xsl:value-of select="substring(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/EngName,1,150)"/></AirportName>
							</xsl:when>
							<xsl:when test="string-length(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/RusCity)>0">
								<AirportName><xsl:value-of select="substring(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/RusCity,1,150)"/></AirportName>
							</xsl:when>
							<xsl:when test="string-length(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/EngCity)>0">
								<AirportName><xsl:value-of select="substring(document('../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$Iata]/EngCity,1,150)"/></AirportName>
							</xsl:when>			
						</xsl:choose>									
						<IATACode><xsl:value-of select="$Iata"/></IATACode>
					</Interim>
				</xsl:for-each>
				<xsl:if  test="string-length(GDAirTrs:DestinationCountry/GDAirTrs:CountryCode)>0">
					<DestinationCountry>
						<xsl:if  test="string-length(GDAirTrs:DestinationCountry/GDAirTrs:CountryName)>0">
							<CountryName><xsl:value-of select="GDAirTrs:DestinationCountry/GDAirTrs:CountryName"/></CountryName>
						</xsl:if>	
						<CountryCode><xsl:value-of select="GDAirTrs:DestinationCountry/GDAirTrs:CountryCode"/></CountryCode>
					</DestinationCountry>
				</xsl:if>	
				<xsl:if  test="string-length(GDAirTrs:DepartureCountry/GDAirTrs:CountryCode)>0">
					<DepartureCountry>
						<xsl:if  test="string-length(GDAirTrs:DepartureCountry/GDAirTrs:CountryName)>0">
							<CountryName><xsl:value-of select="GDAirTrs:DepartureCountry/GDAirTrs:CountryName"/></CountryName>
						</xsl:if>	
						<CountryCode><xsl:value-of select="GDAirTrs:DepartureCountry/GDAirTrs:CountryCode"/></CountryCode>
					</DepartureCountry>
				</xsl:if>	
				<xsl:if  test="string-length(GDAirTrs:DestinationAirport/catTrans_ru:IATACode)>0">
					<DestinationAirport>
						<xsl:if  test="string-length(GDAirTrs:DestinationAirport/catTrans_ru:Name)>0">
							<AirportName><xsl:value-of select="GDAirTrs:DestinationAirport/catTrans_ru:Name"/></AirportName>
						</xsl:if>	
						<IATACode><xsl:value-of select="GDAirTrs:DestinationAirport/catTrans_ru:IATACode"/></IATACode>
					</DestinationAirport>								
				</xsl:if>	
			</RoutingInfo>
			<xsl:if test="count(//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Operating)>0 or count(//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Sold)>0 or count(//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Consumer)>0">
				<StoresInfo>
					<xsl:for-each select="//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Operating[string-length(AppSt:NameGoods)>0 and string-length(AppSt:NumberGoods)>0]">
						<Operating>
							<xsl:for-each select="AppSt:NameGoods">
								<Description><xsl:value-of select="."/></Description>
							</xsl:for-each>
							<Quantity><xsl:value-of select="AppSt:NumberGoods"/></Quantity>
							<xsl:if test="string-length(AppSt:UnitName)>0">
								<MeasureUnitQualifier><xsl:value-of select="AppSt:UnitName"/></MeasureUnitQualifier>
							</xsl:if>	
						</Operating>
					</xsl:for-each>
					<xsl:for-each select="//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Sold/AppSt:SoldGoodsList[string-length(AppSt:NameGoods)>0 and string-length(AppSt:NumberGoods)>0]">
						<Sold>
							<xsl:for-each select="AppSt:NameGoods">
								<Description><xsl:value-of select="."/></Description>
							</xsl:for-each>
							<Quantity><xsl:value-of select="AppSt:NumberGoods"/></Quantity>
							<xsl:if test="string-length(AppSt:UnitName)>0">
								<MeasureUnitQualifier><xsl:value-of select="AppSt:UnitName"/></MeasureUnitQualifier>
							</xsl:if>	
						</Sold>
					</xsl:for-each>				
					<xsl:for-each select="//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Consumer[string-length(AppSt:NameGoods)>0 and string-length(AppSt:NumberGoods)>0]">
						<Consumer>
							<xsl:for-each select="AppSt:NameGoods">
								<Description><xsl:value-of select="."/></Description>
							</xsl:for-each>
							<Quantity><xsl:value-of select="AppSt:NumberGoods"/></Quantity>
							<xsl:if test="string-length(AppSt:UnitName)>0">
								<MeasureUnitQualifier><xsl:value-of select="AppSt:UnitName"/></MeasureUnitQualifier>
							</xsl:if>	
						</Consumer>
					</xsl:for-each>									
				</StoresInfo>
			</xsl:if>
			<PassengerList>
				<Passengers>
					<xsl:choose>
						<xsl:when test="count(//PasMt:PassengerInfo[string-length(PasMt:PersonName)>0])=0">0</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="count(//PasMt:PassengerInfo[string-length(PasMt:PersonName)>0])"/>
						</xsl:otherwise>
					</xsl:choose>
				</Passengers>
				<xsl:for-each select="//PasMt:PassengerInfo[string-length(PasMt:PersonName)>0]">
					<PassengerInfo>
						<PassengersName><xsl:value-of select="PasMt:PersonName"/></PassengersName>
						<xsl:if  test="string-length(../PasMt:FlightInfo/catTrans_ru:DepartureAirport/catTrans_ru:IATACode)>0">
							<DepatureAirport>
								<xsl:if  test="string-length(../PasMt:FlightInfo/catTrans_ru:DepartureAirport/catTrans_ru:Name)>0">
									<AirportName><xsl:value-of select="../PasMt:FlightInfo/catTrans_ru:DepartureAirport/catTrans_ru:Name"/></AirportName>
								</xsl:if>
								<IATACode><xsl:value-of select="../PasMt:FlightInfo/catTrans_ru:DepartureAirport/catTrans_ru:IATACode"/></IATACode>
							</DepatureAirport>
						</xsl:if>	
						<xsl:if  test="string-length(PasMt:DestinationAirport/catTrans_ru:IATACode)>0">
							<DestinationAirport>
								<xsl:if  test="string-length(PasMt:DestinationAirport/catTrans_ru:Name)>0">
									<AirportName><xsl:value-of select="PasMt:DestinationAirport/catTrans_ru:Name"/></AirportName>
								</xsl:if>	
								<IATACode><xsl:value-of select="PasMt:DestinationAirport/catTrans_ru:IATACode"/></IATACode>
							</DestinationAirport>							
						</xsl:if>	
					</PassengerInfo>
				</xsl:for-each>
			</PassengerList>
			<xsl:choose>
				<xsl:when test="count(//CrgMt:CargoManifest)>0 ">
					<xsl:for-each select="//CrgMt:CargoManifest/CrgMt:DestinationInfo[CrgMt:BulkGargo[count(CrgMt:DTInfo)=0] and sum(CrgMt:BulkGargo[string-length(CrgMt:PlacesQuantity)>0]/CrgMt:PlacesQuantity)>0]">
						<CargoManifest>
							<CargoPlaceNumber><xsl:value-of select="sum(CrgMt:BulkGargo[string-length(CrgMt:PlacesQuantity)>0]/CrgMt:PlacesQuantity)"/></CargoPlaceNumber>
							<xsl:if test="sum(CrgMt:BulkGargo[string-length(CrgMt:GrossWeightQuantity)>0]/CrgMt:GrossWeightQuantity)>0">
									<TotalWeight><xsl:value-of select="sum(CrgMt:BulkGargo[string-length(CrgMt:GrossWeightQuantity)>0]/CrgMt:GrossWeightQuantity)"/></TotalWeight>
							</xsl:if>
							<xsl:for-each select="CrgMt:BulkGargo[count(CrgMt:DTInfo)=0]">
								<GoodsInfo>
									<xsl:if  test="string-length(CrgMt:WeightUnitQualifierCode)>0">
										<WeightUnitQualifierCode><xsl:value-of select="CrgMt:WeightUnitQualifierCode"/></WeightUnitQualifierCode>
									</xsl:if>	
									<xsl:for-each select="CrgMt:GoodsDescription">
										<CargoDescription><xsl:value-of select="."/></CargoDescription>
									</xsl:for-each>	
									<GrossWeightQuantity><xsl:value-of select="CrgMt:GrossWeightQuantity"/></GrossWeightQuantity>
									<NettoWeightQuantity><xsl:value-of select="CrgMt:GrossWeightQuantity"/></NettoWeightQuantity>
									<xsl:if test="string-length(CrgMt:PlacesQuantity)>0">
										<PackingInfo>
											<PackingQuantity><xsl:value-of select="CrgMt:PlacesQuantity"/></PackingQuantity>
										</PackingInfo>
									</xsl:if>	
								</GoodsInfo>
							</xsl:for-each>
							<xsl:if  test="string-length(CrgMt:BulkGargo/CrgMt:OriginAirport/catTrans_ru:IATACode)>0">
								<LoadingPoint>
									<xsl:if  test="string-length(CrgMt:BulkGargo/CrgMt:OriginAirport/catTrans_ru:Name)>0">
										<AirportName><xsl:value-of select="CrgMt:BulkGargo/CrgMt:OriginAirport/catTrans_ru:Name"/></AirportName>
									</xsl:if>	
									<IATACode><xsl:value-of select="CrgMt:BulkGargo/CrgMt:OriginAirport/catTrans_ru:IATACode"/></IATACode>
								</LoadingPoint>
							</xsl:if>	
							<xsl:if  test="string-length(CrgMt:BulkGargo/CrgMt:DestimationAirport/catTrans_ru:IATACode)>0">
								<UnloadingPoint>
									<xsl:if  test="string-length(CrgMt:BulkGargo/CrgMt:DestimationAirport/catTrans_ru:Name)>0">
										<AirportName><xsl:value-of select="CrgMt:BulkGargo/CrgMt:DestimationAirport/catTrans_ru:Name"/></AirportName>
									</xsl:if>
									<IATACode><xsl:value-of select="CrgMt:BulkGargo/CrgMt:DestimationAirport/catTrans_ru:IATACode"/></IATACode>
								</UnloadingPoint>							
							</xsl:if>		
							<BorderCustoms>
								<cat_ru:Code><xsl:value-of select="$CustCode"/></cat_ru:Code>
								<xsl:if test="string-length($CustName)>0">
									<cat_ru:OfficeName><xsl:value-of select="$CustName"/></cat_ru:OfficeName>
								</xsl:if>
								<xsl:if test="string-length($CustCountry)>0">
									<cat_ru:CustomsCountryCode><xsl:value-of select="$CustCountry"/></cat_ru:CustomsCountryCode>
								</xsl:if>	
							</BorderCustoms>
							<CargoManifestNumber>
									<xsl:if test="string-length($CarCodeNum)>0">	
										<catTrans_ru:AirlineIATACode><xsl:value-of select="$CarCodeNum"/></catTrans_ru:AirlineIATACode>
									</xsl:if>
									<catTrans_ru:DocumentNumber><xsl:value-of select="catTrans_ru:DocumentNumber"/></catTrans_ru:DocumentNumber>
									<catTrans_ru:AirlineSign>
										<xsl:choose>
											<xsl:when test="string-length($CarCodeNum)>0">1</xsl:when>
											<xsl:otherwise>0</xsl:otherwise>
										</xsl:choose>
									</catTrans_ru:AirlineSign>
								</CargoManifestNumber>
						</CargoManifest>					
					</xsl:for-each>
					<xsl:for-each select="//CrgMt:CargoManifest/CrgMt:DestinationInfo/CrgMt:BulkGargo[count(CrgMt:DTInfo)>0]/CrgMt:DTInfo/CrgMt:DTNumber">
						<GTDID>
							<xsl:for-each select="child::*">
								<xsl:copy-of select="."/>
							</xsl:for-each>
						</GTDID>					
					</xsl:for-each>
					<xsl:for-each select="//CrgMt:CargoManifest/CrgMt:DestinationInfo/CrgMt:ULDCargo[count(CrgMt:DTInfo)=0 and sum(CrgMt:TotalULDPlacesQuantity)>0]">
						<CargoManifest>
							<CargoPlaceNumber><xsl:value-of select="sum(CrgMt:TotalULDPlacesQuantity)"/></CargoPlaceNumber>
							<xsl:if test="sum(CrgMt:GrossWeightQuantity)>0">
								<TotalWeight><xsl:value-of select="sum(CrgMt:GrossWeightQuantity)"/></TotalWeight>
							</xsl:if>
							<xsl:for-each select="CrgMt:ULDGoods[count(CrgMt:DTInfo)=0]">
								<GoodsInfo>
									<xsl:if  test="string-length(CrgMt:WeightUnitQualifierCode)>0">
										<WeightUnitQualifierCode><xsl:value-of select="CrgMt:WeightUnitQualifierCode"/></WeightUnitQualifierCode>
									</xsl:if>	
									<xsl:for-each select="CrgMt:GoodsDescription">
										<CargoDescription><xsl:value-of select="."/></CargoDescription>
									</xsl:for-each>	
									<GrossWeightQuantity><xsl:value-of select="CrgMt:GrossWeightQuantity"/></GrossWeightQuantity>
									<NettoWeightQuantity><xsl:value-of select="CrgMt:GrossWeightQuantity"/></NettoWeightQuantity>
									<xsl:if test="string-length(CrgMt:PlacesQuantity)>0">
										<PackingInfo>
											<PackingQuantity><xsl:value-of select="CrgMt:PlacesQuantity"/></PackingQuantity>
										</PackingInfo>
									</xsl:if>	
								</GoodsInfo>
								<xsl:if  test="string-length(CrgMt:OriginAirport/catTrans_ru:IATACode)>0">
									<LoadingPoint>
										<xsl:if  test="string-length(CrgMt:OriginAirport/catTrans_ru:Name)>0">
											<AirportName><xsl:value-of select="CrgMt:OriginAirport/catTrans_ru:Name"/></AirportName>
										</xsl:if>	
										<IATACode><xsl:value-of select="CrgMt:OriginAirport/catTrans_ru:IATACode"/></IATACode>
									</LoadingPoint>
								</xsl:if>	
								<xsl:if  test="string-length(CrgMt:DestimationAirport/catTrans_ru:IATACode)>0">
									<UnloadingPoint>
										<xsl:if  test="string-length(CrgMt:DestimationAirport/catTrans_ru:Name)>0">
											<AirportName><xsl:value-of select="CrgMt:DestimationAirport/catTrans_ru:Name"/></AirportName>
										</xsl:if>
										<IATACode><xsl:value-of select="CrgMt:DestimationAirport/catTrans_ru:IATACode"/></IATACode>
									</UnloadingPoint>							
								</xsl:if>
								<BorderCustoms>
									<cat_ru:Code><xsl:value-of select="$CustCode"/></cat_ru:Code>
									<xsl:if test="string-length($CustName)>0">
										<cat_ru:OfficeName><xsl:value-of select="$CustName"/></cat_ru:OfficeName>
									</xsl:if>
									<xsl:if test="string-length($CustCountry)>0">
										<cat_ru:CustomsCountryCode><xsl:value-of select="$CustCountry"/></cat_ru:CustomsCountryCode>
									</xsl:if>	
								</BorderCustoms>
								<CargoManifestNumber>
									<xsl:if test="string-length($CarCodeNum)>0">	
										<catTrans_ru:AirlineIATACode><xsl:value-of select="$CarCodeNum"/></catTrans_ru:AirlineIATACode>
									</xsl:if>
									<catTrans_ru:DocumentNumber><xsl:value-of select="catTrans_ru:DocumentNumber"/></catTrans_ru:DocumentNumber>
									<catTrans_ru:AirlineSign>
										<xsl:choose>
											<xsl:when test="string-length($CarCodeNum)>0">1</xsl:when>
											<xsl:otherwise>0</xsl:otherwise>
										</xsl:choose>
									</catTrans_ru:AirlineSign>
								</CargoManifestNumber>
							</xsl:for-each>	
						</CargoManifest>					
					</xsl:for-each>
					<xsl:for-each select="//CrgMt:CargoManifest/CrgMt:DestinationInfo/CrgMt:ULDCargo[count(CrgMt:DTInfo)>0]/CrgMt:DTInfo/CrgMt:DTNumber">
						<GTDID>
							<xsl:for-each select="child::*">
								<xsl:copy-of select="."/>
							</xsl:for-each>
						</GTDID>					
					</xsl:for-each>		
				</xsl:when>
				<xsl:when test="count(//AWB:AirWaybill)>0">
					<xsl:for-each select="//AWB:AirWaybill">
						<xsl:variable name="NumDat" select="concat(AWB:Registration/catTrans_ru:DocumentNumber,AWB:Registration/AWB:Date)"/>	
						<CargoManifest>
							<CargoPlaceNumber><xsl:value-of select="AWB:AWBGoodsInfo/AWB:TotalPlacesQuantity"/></CargoPlaceNumber>
							<TotalWeight><xsl:value-of select="AWB:AWBGoodsInfo/AWB:GrossWeightQuantity"/></TotalWeight>
							<xsl:for-each select="AWB:AWBGoodsInfo/AWB:AWBGoods">
								<GoodsInfo>
									<xsl:if  test="string-length(AWB:WeightUnitQualifierCode)>0">
										<WeightUnitQualifierCode><xsl:value-of select="AWB:WeightUnitQualifierCode"/></WeightUnitQualifierCode>
									</xsl:if>	
									<xsl:if  test="string-length(AWB:GoodsVolume)>0">
										<GoodsVolume><xsl:value-of select="AWB:GoodsVolume"/></GoodsVolume>
									</xsl:if>
									<xsl:for-each select="AWB:GoodsDescr">
										<CargoDescription><xsl:value-of select="AWB:GoodsDescription"/></CargoDescription>
									</xsl:for-each>	
									<GrossWeightQuantity><xsl:value-of select="AWB:GrossWeightQuantity"/></GrossWeightQuantity>
									<xsl:variable name="PosN" select="position()"/>	
									<xsl:variable name="NtWA" select="//ctm:CTM_Container/ctm:AirWaybill[concat(ctm:DocumentNumber,ctm:Date)=$NumDat]/ctm:AWBGoods[ctm:Nums=$PosN]/ctm:NetWeightQuantity"/>
									<NettoWeightQuantity>
										<xsl:choose>
											<xsl:when  test="string-length($NtWA)>0"><xsl:value-of select="$NtWA"/></xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="AWB:GrossWeightQuantity"/>
											</xsl:otherwise>
										</xsl:choose>
									</NettoWeightQuantity>
									<xsl:if test="string-length(AWB:FactPlacesQuantity)>0">
										<PackingInfo>
											<PackingQuantity><xsl:value-of select="AWB:FactPlacesQuantity"/></PackingQuantity>
										</PackingInfo>
									</xsl:if>	
								</GoodsInfo>
							</xsl:for-each>
							<xsl:if  test="string-length(AWB:DeparturePoint/catTrans_ru:IATACode)>0">
								<LoadingPoint>
									<xsl:if  test="string-length(AWB:DeparturePoint/catTrans_ru:Name)>0">
										<AirportName><xsl:value-of select="AWB:DeparturePoint/catTrans_ru:Name"/></AirportName>
									</xsl:if>
									<IATACode><xsl:value-of select="AWB:DeparturePoint/catTrans_ru:IATACode"/></IATACode>
								</LoadingPoint>
							</xsl:if>	
							<xsl:if  test="string-length(AWB:DestinationPoint/catTrans_ru:IATACode)>0">
								<UnloadingPoint>
									<xsl:if  test="string-length(AWB:DestinationPoint/catTrans_ru:Name)>0">
										<AirportName><xsl:value-of select="AWB:DestinationPoint/catTrans_ru:Name"/></AirportName>
									</xsl:if>	
									<IATACode><xsl:value-of select="AWB:DestinationPoint/catTrans_ru:IATACode"/></IATACode>
								</UnloadingPoint>							
							</xsl:if>
							<BorderCustoms>
								<cat_ru:Code><xsl:value-of select="$CustCode"/></cat_ru:Code>
								<xsl:if test="string-length($CustName)>0">
									<cat_ru:OfficeName><xsl:value-of select="$CustName"/></cat_ru:OfficeName>
								</xsl:if>
								<xsl:if test="string-length($CustCountry)>0">
									<cat_ru:CustomsCountryCode><xsl:value-of select="$CustCountry"/></cat_ru:CustomsCountryCode>
								</xsl:if>	
							</BorderCustoms>
							<CargoManifestNumber>
								<xsl:variable name="IataCr1" select="../AWB:GoodsMovement/AWB:CarrierCode"/>
								<xsl:if test="string-length(document('../../NSI/AirNsiXml.xml')//IATAFIRM_ITEM[AirIataCodeABC2=$IataCr1]/AirIataCodeNum)>0">	
									<catTrans_ru:AirlineIATACode><xsl:value-of select="document('../../NSI/AirNsiXml.xml')//IATAFIRM_ITEM[AirIataCodeABC2=$IataCr1]/AirIataCodeNum"/></catTrans_ru:AirlineIATACode>
								</xsl:if>
								<catTrans_ru:DocumentNumber><xsl:value-of select="AWB:Registration/catTrans_ru:DocumentNumber"/></catTrans_ru:DocumentNumber>
								<catTrans_ru:AirlineSign>
									<xsl:choose>
										<xsl:when test="string-length(../AWB:GoodsMovement/AWB:CarrierCode)>0">0</xsl:when>
										<xsl:otherwise>1</xsl:otherwise>
									</xsl:choose>
								</catTrans_ru:AirlineSign>
							</CargoManifestNumber>	
						</CargoManifest>					
					</xsl:for-each>	
				</xsl:when>
			</xsl:choose>
		</PI_AirArrive>
	</xsl:template>
</xsl:stylesheet>


