<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns="urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0"
xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" 
xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0" 

xmlns:Body="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0"

xmlns:Inv_Car="urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0" 
xmlns:PckL="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0" 
xmlns:RwBill="urn:customs.ru:Information:TransportDocuments:Railway:RailwayBill:5.10.0"
xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" 
xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" 
xmlns:ctm="urn:ctm.ru"
xmlns:ctmtd="http://rail.ctm.ru/TD/Document" 
xmlns:xs="http://www.w3.org/2001/XMLSchema">
<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:key use="./catComFin_ru:GoodsCode" name="CodeT" match="//Inv_Car:InvoiceGoods"/>
	<xsl:key use="./ctm:Good" name="CodePack" match="//Body:DocBody/ctm:CTM_Container/ctm:RWB/ctm:INVOICE/ctm:InvPlace"/>
	<xsl:key use="./RwBill:CarriageID" name="Carriage" match="//RwBill:Carriage"/>
	
	<xsl:template match="//RwBill:Carriage">
		<xsl:variable name="NumW" select="RwBill:CarriageID"/>
		<xsl:variable name="SNum" select="../RwBill:RegistrationDocument/cat_ru:PrDocumentNumber"/>
		<xsl:variable name="SDat" select="../RwBill:RegistrationDocument/cat_ru:PrDocumentDate"/>
		<xsl:variable name="FSMGS" select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[ctm:RWBNum=$SNum and ctm:RWBDate=$SDat]/ctm:RWBType"/>
		<Wagon>
			<WagonNumber><xsl:value-of select="$NumW"/></WagonNumber>
			<xsl:if test="count(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat) and ctm:Carriage/ctm:CarriageID=$NumW]/ctm:Carriage[string-length(ctm:CarriageLand)>0]/ctm:CarriageID)>0">
				<xsl:variable name="CodCrRw" select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:Carriage[ctm:CarriageID=$NumW]/ctm:CarriageLand"/>
				<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw]/ABC2)>0">
					<CountryRegistrationCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw]/ABC2"/></CountryRegistrationCode>
				</xsl:if>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="string-length(concat(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM/ctm:RWBNum,//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM/ctm:RWBDate))>0">
					<xsl:for-each select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]">
						<xsl:choose>
							<xsl:when test="string-length(ctm:BorderStRuIn/ctm:StationCode)>0">
								<DepartureStation><xsl:value-of select="ctm:BorderStRuIn/ctm:StationCode"/></DepartureStation>
							</xsl:when>
							<xsl:otherwise>
								<xsl:message terminate="yes">Код станции открытия таможенного транзита по РФ (ВТТ) не заполнен</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="string-length(ctm:BorderStRuOut/ctm:StationCode)>0">
								<DestinationStation><xsl:value-of select="ctm:BorderStRuOut/ctm:StationCode"/></DestinationStation>
							</xsl:when>
							<xsl:otherwise>
								<xsl:message terminate="yes">Код станции закрытия таможенного транзита по РФ (ВТТ) не заполнен</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:message terminate="yes">Код станции открытия и закрытия таможенного транзита по РФ (ВТТ) не заполнены</xsl:message>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="(round(sum(//RwBill:Carriage[RwBill:CarriageID=$NumW]/RwBill:GoodsWeight) * 1000) div 1000)>0">
				<GoodsWeightQuantity><xsl:value-of select="format-number(round(sum(//RwBill:Carriage[RwBill:CarriageID=$NumW]/RwBill:GoodsWeight) * 100000) div 100000,'0.######')"/></GoodsWeightQuantity>
			</xsl:if>
			<xsl:variable name="GWht" select="format-number(round(sum(//RwBill:Carriage[RwBill:CarriageID=$NumW]/RwBill:GoodsWeight) * 1000) div 1000,'#')"/>
			<xsl:variable name="ContN">
				<xsl:choose>
					<xsl:when test="count(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:Carriage[ctm:CarriageID=$NumW and string-length(ctm:ContainerID)>0]/ctm:ContainerID)>0">1</xsl:when>
					<xsl:when test="string-length(../RwBill:Container[string-length(RwBill:ContainerID)>0]/RwBill:ContainerID)>0">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>					
			<EmptyIndicator>
				<xsl:choose>
					<xsl:when test="$GWht>0">0</xsl:when>
					<xsl:when test="$GWht=0 and $ContN=0">1</xsl:when>
					<xsl:when test="$GWht=0 and $ContN=1">2</xsl:when>
				</xsl:choose>
			</EmptyIndicator>
			<xsl:choose>
				<xsl:when test="count(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:Carriage[ctm:CarriageID=$NumW and string-length(ctm:ContainerID)>0]/ctm:ContainerID)>0">
					<xsl:for-each select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:Carriage[ctm:CarriageID=$NumW and string-length(ctm:ContainerID)>0]/ctm:ContainerID">
						<ContainerNumbers><xsl:value-of select="."/></ContainerNumbers>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:for-each select="../RwBill:Container[string-length(RwBill:ContainerID)>0]">
						<ContainerNumbers><xsl:value-of select="RwBill:ContainerID"/></ContainerNumbers>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>
			<WagonNumeric><xsl:value-of select="position()"/></WagonNumeric>
		</Wagon>
	</xsl:template>
	
	<xsl:template match="/">
	
		<PI_RwArrive>
			<xsl:attribute name="DocumentModeID">1006815E</xsl:attribute>
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:RefDocumentID)>0">
				<cat_ru:RefDocumentID><xsl:value-of select="//ctm:CTM_Container/ctm:RefDocumentID"/></cat_ru:RefDocumentID>
			</xsl:if>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:DtID)>0">
				<PI_URN><xsl:value-of select="//ctm:CTM_Container/ctm:DtID"/></PI_URN>
			</xsl:if>
			<Train>
				<TrainNumber>
					<xsl:choose>
						<xsl:when test="string-length(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:TrainNumber)>0">
							<xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:TrainNumber"/>
						</xsl:when>
						<xsl:otherwise>0000</xsl:otherwise>
					</xsl:choose>
				</TrainNumber>
				<TrainIndex>
					<xsl:choose>
						<xsl:when test="string-length(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:TrainIndex)>0">
							<xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:TrainIndex"/>
						</xsl:when>
						<xsl:otherwise>0000/000/0000</xsl:otherwise>
					</xsl:choose>
				</TrainIndex>
				<PPVNumber>
					<xsl:choose>
						<xsl:when test="string-length(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:PPVNumber)>0">
							<xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:PPVNumber"/>
						</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</PPVNumber>
				<ArrivalDate>
					<xsl:choose>
						<xsl:when test="string-length(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:ArrivalDate)>0">
							<xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:ArrivalDate"/>
						</xsl:when>
						<xsl:otherwise>2014-01-01</xsl:otherwise>
					</xsl:choose>
				</ArrivalDate>
				<xsl:if test="string-length(concat(//RwBill:RailwayBill[1]/RwBill:RegistrationDocument/cat_ru:PrDocumentNumber,//RwBill:RailwayBill[1]/RwBill:RegistrationDocument/cat_ru:PrDocumentDate)) = 0">
					<xsl:message terminate="yes">Заполните номер и дату оформления жд-накладной</xsl:message>
				</xsl:if>
				<xsl:if test="count(//RwBill:Carriage/RwBill:CarriageID)>0 and string-length(//RwBill:Carriage[1]/RwBill:CarriageID)>0">
					<xsl:apply-templates select="//RwBill:Carriage[generate-id(.)=generate-id(key('Carriage',./RwBill:CarriageID))]"/>
				</xsl:if>
			</Train>
			<BorderCustoms>
				<cat_ru:Code><xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:BorderCustoms/ctm:Code"/></cat_ru:Code>
				<xsl:if test="string-length(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:BorderCustoms/ctm:OfficeName)>0">
					<cat_ru:OfficeName><xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:BorderCustoms/ctm:OfficeName"/></cat_ru:OfficeName>
					<cat_ru:CustomsCountryCode><xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[1]/ctm:BorderCustoms/ctm:CustomsCountryCode"/></cat_ru:CustomsCountryCode>
				</xsl:if>
			</BorderCustoms>
			<xsl:variable name="CountRwb" select="count(//RwBill:RailwayBill)"/>
			<xsl:variable name="CountInv" select="count(//Inv_Car:Invoice)"/>
			<xsl:variable name="VagEmpty" select="count(//Inv_Car:InvoiceGoods[string-length(ctmtd:CarriageId)>0]/ctmtd:CarriageId)"/>	
			<xsl:for-each select="//RwBill:RailwayBill">
				<xsl:variable name="ContId" select="RwBill:Container/RwBill:ContainerID"/>
				<xsl:variable name="SNum" select="RwBill:RegistrationDocument/cat_ru:PrDocumentNumber"/>
				<xsl:variable name="SDat" select="RwBill:RegistrationDocument/cat_ru:PrDocumentDate"/>
				<xsl:variable name="ContNum" select="RwBill:RWBGoods[1]/RwBill:ContainerNumber"/>
				<xsl:variable name="CountContNum" select="count(RwBill:Container/RwBill:ContainerID)"/>
				<xsl:variable name="GrGoods">
					<xsl:choose>
						<xsl:when test="count(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:Goods)>0">
							<xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:GroupGoods"/>
						</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</xsl:variable> 
				<xsl:if test="string-length(concat($SNum,$SDat))>0">
					<GoodsShipment>
						<xsl:for-each select="RwBill:Carriage[string-length(RwBill:CarriageID)>0 and RwBill:CarriageID!='0']">
							<WagonNumbers><xsl:value-of select="RwBill:CarriageID"/></WagonNumbers>
						</xsl:for-each>
						<xsl:choose>
							<xsl:when test="string-length(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:BorderStRuIn/ctm:StationCode)>0">
								<DepartureStation><xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:BorderStRuIn/ctm:StationCode"/></DepartureStation>
							</xsl:when>
							<xsl:otherwise>
								<xsl:message terminate="yes">Код станции открытия таможенного транзита по РФ (ВТТ) не заполнен</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(RwBill:Container[RwBill:ContainerID!='N']/RwBill:ContainerID)>0">
							<ContainerIndicator>1</ContainerIndicator>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length($SNum)>0">
								<SMGSNumber><xsl:value-of select="$SNum"/></SMGSNumber>
							</xsl:when>
							<xsl:otherwise>
								<xsl:message terminate="yes">Поле "Номер СМГС" не заполнено</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="string-length(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:BorderStRuOut/ctm:StationCode)>0">
								<DestinationStation><xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:BorderStRuOut/ctm:StationCode"/></DestinationStation>
							</xsl:when>
							<xsl:otherwise>
								<xsl:message terminate="yes">Код станции закрытия таможенного транзита по РФ (ВТТ) не заполнен</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(normalize-space(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:CMR_DATDOS/ctm:DeadLine))>0">
							<DateExpectedArrival><xsl:value-of select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:CMR_DATDOS/ctm:DeadLine"/></DateExpectedArrival>
						</xsl:if>	
						<xsl:if test="string-length(normalize-space(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:CMR_DATDOS/ctm:DeadLineTime))>0">
							<TimeExpectedArrival><xsl:value-of select="concat(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:CMR_DATDOS/ctm:DeadLineTime,':00')"/></TimeExpectedArrival>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="number($GrGoods)=1">
								<xsl:for-each select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:Goods">
									<Goods>
										<catpi_ru:GoodsNumeric><xsl:value-of select="ctm:GoodsNumeric"/></catpi_ru:GoodsNumeric>
										<xsl:if  test="string-length(ctm:GoodsTNVEDCode)>0">
											<catpi_ru:GoodsTNVEDCode><xsl:value-of select="ctm:GoodsTNVEDCode"/></catpi_ru:GoodsTNVEDCode>
										</xsl:if>
										<xsl:choose>
											<xsl:when test="count(ctm:GoodsDescription)>0">
												<xsl:for-each select="ctm:GoodsDescription">
													<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>
												<xsl:message terminate="yes">Поле "Описание товара" не заполнено</xsl:message>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:if test="string-length(normalize-space(ctm:GrossWeightQuantity))>0 and number(ctm:GrossWeightQuantity)>0">
											<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(ctm:GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:GrossWeightQuantity>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(ctm:NetWeightQuantity))>0 and number(ctm:NetWeightQuantity)>0">
											<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(ctm:NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:NetWeightQuantity>
										</xsl:if>
										<xsl:choose>
											<xsl:when test="$CountContNum>1">
												<xsl:for-each select="//RwBill:RailwayBill[concat(RwBill:RegistrationDocument/cat_ru:PrDocumentNumber,RwBill:RegistrationDocument/cat_ru:PrDocumentDate)=concat($SNum,$SDat)]/RwBill:Container">
													<catpi_ru:ContainerNumbers><xsl:value-of select="RwBill:ContainerID"/></catpi_ru:ContainerNumbers>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>
												<xsl:if test="$CountContNum>0 and string-length(normalize-space($ContNum))>0">
												<catpi_ru:ContainerNumbers><xsl:value-of select="$ContNum"/></catpi_ru:ContainerNumbers>
												</xsl:if>
											</xsl:otherwise>
										</xsl:choose> 
										<xsl:if test="string-length(normalize-space(ctm:OriginCountryCode))>0">
											<catpi_ru:OriginCountryCode><xsl:value-of select="ctm:OriginCountryCode"/></catpi_ru:OriginCountryCode>
										</xsl:if>
										<xsl:if test="string-length(ctm:InvoicedCost)>0 and number(ctm:InvoicedCost)>0">
											<catpi_ru:InvoicedCost><xsl:value-of select="format-number(round(ctm:InvoicedCost  * 100) div 100,'0.##')"/></catpi_ru:InvoicedCost>
										</xsl:if>
										<xsl:if test="string-length(ctm:InvoicedCostCurrencyCode)>0">
											<catpi_ru:CurrencyCode><xsl:value-of select="ctm:InvoicedCostCurrencyCode"/></catpi_ru:CurrencyCode>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(ctm:SupplementaryGoodsQuantity))>0 and number(normalize-space(ctm:SupplementaryGoodsQuantity))>0 and (string-length(ctm:MeasureUnitQualifierName)>0 or string-length(ctm:SupplementaryMeasureUnitCode)>0)">
											<catpi_ru:GoodsMeasureQuantity>
												<catpi_ru:GoodsQuantity><xsl:value-of select="ctm:SupplementaryGoodsQuantity"/></catpi_ru:GoodsQuantity>
												<xsl:if test="string-length(ctm:MeasureUnitQualifierName)>0">
													<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="ctm:MeasureUnitQualifierName"/></catpi_ru:MeasureUnitQualifierName>
												</xsl:if>	
												<xsl:if test="string-length(ctm:SupplementaryMeasureUnitCode)>0">	
													<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="ctm:SupplementaryMeasureUnitCode"/></catpi_ru:MeasureUnitQualifierCode>
												</xsl:if>
											</catpi_ru:GoodsMeasureQuantity>
										</xsl:if>	
										<catpi_ru:GoodsPackaging>
											<xsl:if test="string-length(ctm:PakingQuantity)>0 and number(ctm:PakingQuantity)>0">
												<catpi_ru:PakageQuantity><xsl:value-of select="ctm:PakingQuantity"/></catpi_ru:PakageQuantity>
											</xsl:if>
											<xsl:choose>
												<xsl:when test="string-length(ctm:PackingCode)>0 ">
													<catpi_ru:CargoCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:CargoCode>
												</xsl:when>
												<xsl:otherwise>
													<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:if test="string-length(ctm:PackingDescription)>0">
												<catpi_ru:CargoDescription><xsl:value-of select="ctm:PackingDescription"/></catpi_ru:CargoDescription>
											</xsl:if>
											<xsl:for-each select="ctm:PackingInfo/ctm:PACKINGINFO_ITEM[string-length(ctm:PackingCode)>0 and string-length(ctm:PackingQuantity)>0]">
												<catpi_ru:PackingInformation>
													<catpi_ru:PackingCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:PackingCode>
													<catpi_ru:PakingQuantity><xsl:value-of select="ctm:PackingQuantity"/></catpi_ru:PakingQuantity>
													<xsl:if test="string-length(ctm:PackingMark)>0">
														<catpi_ru:PackingMark><xsl:value-of select="ctm:PackingMark"/></catpi_ru:PackingMark>
													</xsl:if>
												</catpi_ru:PackingInformation>
											</xsl:for-each>
										</catpi_ru:GoodsPackaging>
									</Goods>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="(string-length($GrGoods)=0 or number($GrGoods)=0) and count(//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:INVOICE/ctm:InvPlace)">
								<xsl:for-each select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]/ctm:INVOICE/ctm:InvPlace">
									<Goods>
										<catpi_ru:GoodsNumeric><xsl:value-of select="ctm:GoodPos"/></catpi_ru:GoodsNumeric>
										<xsl:if  test="string-length(ctm:Good)>0">
											<catpi_ru:GoodsTNVEDCode><xsl:value-of select="ctm:Good"/></catpi_ru:GoodsTNVEDCode>
										</xsl:if>
										<xsl:choose>
											<xsl:when test="count(ctm:GoodsDescription)>0">
												<xsl:for-each select="ctm:GoodsDescription">
													<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>
												<xsl:message terminate="yes">Поле "Описание товара" не заполнено</xsl:message>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:if test="string-length(normalize-space(ctm:GrWeight))>0 and number(ctm:GrWeight)>0">
											<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(ctm:GrWeight * 1000000) div 1000000,'0.######')"/></catpi_ru:GrossWeightQuantity>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(ctm:NetWeight))>0 and number(ctm:NetWeight)>0">
											<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(ctm:NetWeight * 1000000) div 1000000,'0.######')"/></catpi_ru:NetWeightQuantity>
										</xsl:if>
										<xsl:choose>
											<xsl:when test="$CountContNum>1">
												<xsl:for-each select="//RwBill:RailwayBill[concat(RwBill:RegistrationDocument/cat_ru:PrDocumentNumber,RwBill:RegistrationDocument/cat_ru:PrDocumentDate)=concat($SNum,$SDat)]/RwBill:Container">
													<catpi_ru:ContainerNumbers><xsl:value-of select="RwBill:ContainerID"/></catpi_ru:ContainerNumbers>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>
												<xsl:if  test="$CountContNum>0 and string-length($ContNum)>0">
													<catpi_ru:ContainerNumbers><xsl:value-of select="$ContNum"/></catpi_ru:ContainerNumbers>
												</xsl:if>
											</xsl:otherwise>
										</xsl:choose> 
										<xsl:if test="string-length(normalize-space(ctm:OriginCountryCode))>0">
											<catpi_ru:OriginCountryCode><xsl:value-of select="ctm:OriginCountryCode"/></catpi_ru:OriginCountryCode>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(ctm:TotalCost))>0 and number(ctm:TotalCost)>0">
											<catpi_ru:InvoicedCost><xsl:value-of select="format-number(round(ctm:TotalCost * 100) div 100,'0.##')"/></catpi_ru:InvoicedCost>
										</xsl:if>
										<xsl:if test="string-length(ctm:InvVal)>0">
											<catpi_ru:CurrencyCode><xsl:value-of select="ctm:InvVal"/></catpi_ru:CurrencyCode>
										</xsl:if>
										<xsl:if test="string-length(ctm:GoodsQuantity)>0 and number(ctm:GoodsQuantity)>0 and (string-length(ctm:MeasureUnitQualifierName)>0 or string-length(ctm:MeasureUnitQualifierCode)>0)">
											<catpi_ru:GoodsMeasureQuantity>
												<catpi_ru:GoodsQuantity><xsl:value-of select="ctm:GoodsQuantity"/></catpi_ru:GoodsQuantity>
												<xsl:if test="string-length(ctm:MeasureUnitQualifierName)>0">
													<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="ctm:MeasureUnitQualifierName"/></catpi_ru:MeasureUnitQualifierName>
												</xsl:if>
												<xsl:if test="string-length(ctm:MeasureUnitQualifierCode)>0">
													<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="ctm:MeasureUnitQualifierCode"/></catpi_ru:MeasureUnitQualifierCode>
												</xsl:if>
											</catpi_ru:GoodsMeasureQuantity>
										</xsl:if>	
										<catpi_ru:GoodsPackaging>
											<xsl:if test="string-length(ctm:PlacesQuantity)>0 and number(ctm:PlacesQuantity>0)">
												<catpi_ru:PakageQuantity><xsl:value-of select="ctm:PlacesQuantity"/></catpi_ru:PakageQuantity>
											</xsl:if>
											<xsl:choose>
												<xsl:when test="string-length(ctm:PlacesCode)>0 ">
													<catpi_ru:CargoCode><xsl:value-of select="ctm:PlacesCode"/></catpi_ru:CargoCode>
												</xsl:when>
												<xsl:otherwise>
													<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:if test="string-length(ctm:PlacesDescription)>0">
												<catpi_ru:CargoDescription><xsl:value-of select="ctm:PlacesDescription"/></catpi_ru:CargoDescription>
											</xsl:if>
											<xsl:for-each select="ctm:PackingInfo/ctm:PACKINGINFO_ITEM[string-length(ctm:PackingCode)>0 and string-length(ctm:PackingQuantity)>0]">
												<catpi_ru:PackingInformation>
													<catpi_ru:PackingCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:PackingCode>
													<catpi_ru:PakingQuantity><xsl:value-of select="ctm:PackingQuantity"/></catpi_ru:PakingQuantity>
													<xsl:if test="string-length(ctm:PackingMark)>0">
														<catpi_ru:PackingMark><xsl:value-of select="ctm:PackingMark"/></catpi_ru:PackingMark>
													</xsl:if>
												</catpi_ru:PackingInformation>
											</xsl:for-each>
										</catpi_ru:GoodsPackaging>
									</Goods>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when  test="$CountRwb=1 and $CountInv>0">
										<xsl:for-each select="//Inv_Car:InvoiceGoods">
											<xsl:variable name="PosGood" select="position()"/>
											<xsl:variable name="InvN" select="../Inv_Car:Registration/cat_ru:PrDocumentNumber"/>
											<xsl:variable name="InvD" select="../Inv_Car:Registration/cat_ru:PrDocumentDate"/>
											<Goods>
												<catpi_ru:GoodsNumeric><xsl:value-of select="$PosGood"/></catpi_ru:GoodsNumeric>
												<xsl:if  test="string-length(catComFin_ru:GoodsCode)>0">
													<catpi_ru:GoodsTNVEDCode><xsl:value-of select="catComFin_ru:GoodsCode"/></catpi_ru:GoodsTNVEDCode>
												</xsl:if>
												<xsl:choose>
													<xsl:when test="count(catComFin_ru:GoodsDescription)>0">
														<xsl:for-each select="catComFin_ru:GoodsDescription">
															<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:message terminate="yes">Поле "Описание товара" не заполнено</xsl:message>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:if test="string-length(normalize-space(catComFin_ru:GrossWeightQuantity))>0 and number(catComFin_ru:GrossWeightQuantity)>0">
													<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(catComFin_ru:GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:GrossWeightQuantity>
												</xsl:if>
												<xsl:if test="string-length(normalize-space(catComFin_ru:NetWeightQuantity))>0 and number(catComFin_ru:NetWeightQuantity )>0">
													<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(catComFin_ru:NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:NetWeightQuantity>
												</xsl:if>
												<xsl:choose>
													<xsl:when test="$CountContNum>1">
														<xsl:for-each select="//RwBill:RailwayBill[concat(RwBill:RegistrationDocument/cat_ru:PrDocumentNumber,RwBill:RegistrationDocument/cat_ru:PrDocumentDate)=concat($SNum,$SDat)]/RwBill:Container">
															<catpi_ru:ContainerNumbers><xsl:value-of select="RwBill:ContainerID"/></catpi_ru:ContainerNumbers>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="$CountContNum>0 and string-length(normalize-space($ContNum))>0">
															<catpi_ru:ContainerNumbers><xsl:value-of select="$ContNum"/></catpi_ru:ContainerNumbers>
														</xsl:if>
													</xsl:otherwise>
												</xsl:choose> 
												<xsl:if test="string-length(catComFin_ru:OriginCountryCode)>0">
													<xsl:variable name="CodC"  select="catComFin_ru:OriginCountryCode"/>
													<catpi_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CodC]/ABC2"/></catpi_ru:OriginCountryCode>
												</xsl:if>
												<xsl:if test="string-length(normalize-space(catComFin_ru:TotalCost))>0 and number(catComFin_ru:TotalCost)>0">
													<catpi_ru:InvoicedCost><xsl:value-of select="format-number(round(catComFin_ru:TotalCost * 100) div 100,'0.##')"/></catpi_ru:InvoicedCost>
												</xsl:if>
												<xsl:if test="string-length(../Inv_Car:CurrencyCode)>0">
													<catpi_ru:CurrencyCode><xsl:value-of select="../Inv_Car:CurrencyCode"/></catpi_ru:CurrencyCode>
												</xsl:if>
												<xsl:variable name="MsNam" select="catComFin_ru:MeasureUnitQualifierName"/>
												
												<xsl:if test="string-length(catComFin_ru:GoodsQuantity)>0 and string-length($MsNam)>0">
													<catpi_ru:GoodsMeasureQuantity>
														<catpi_ru:GoodsQuantity><xsl:value-of select="catComFin_ru:GoodsQuantity"/></catpi_ru:GoodsQuantity>
														<xsl:if test="string-length($MsNam)>0">
															<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="$MsNam"/></catpi_ru:MeasureUnitQualifierName>
															<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[ABBR=$MsNam]/CODE"/></catpi_ru:MeasureUnitQualifierCode>
														</xsl:if>
													</catpi_ru:GoodsMeasureQuantity>
												</xsl:if>	
												<catpi_ru:GoodsPackaging>
													<xsl:for-each select="//ctm:CTM_Container/ctm:RWB/ctm:RWB_ITEM/ctm:INVOICE/ctm:InvPlace[$PosGood=ctm:GoodPos]">
														<xsl:if test="string-length(ctm:PlacesQuantity)>0 and ctm:PlacesQuantity>0">
															<catpi_ru:PakageQuantity><xsl:value-of select="ctm:PlacesQuantity"/></catpi_ru:PakageQuantity>
														</xsl:if>
														<xsl:choose>
															<xsl:when test="string-length(ctm:PlacesCode)>0 ">
																<catpi_ru:CargoCode><xsl:value-of select="ctm:PlacesCode"/></catpi_ru:CargoCode>
															</xsl:when>
															<xsl:otherwise>
																<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
															</xsl:otherwise>
														</xsl:choose>
														<xsl:if test="string-length(ctm:PlacesDescription)>0">
															<catpi_ru:CargoDescription><xsl:value-of select="ctm:PlacesDescription"/></catpi_ru:CargoDescription>
														</xsl:if>
														<xsl:for-each select="ctm:PACKINGLISTGoodsPackingInfo/ctm:PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(ctm:PackingCode)>0 and string-length(ctm:PackingQuantity)>0]">
															<catpi_ru:PackingInformation>
																<catpi_ru:PackingCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:PackingCode>
																<catpi_ru:PakingQuantity><xsl:value-of select="ctm:PackingQuantity"/></catpi_ru:PakingQuantity>
																<xsl:if test="string-length(ctm:PackingMark)>0">
																	<catpi_ru:PackingMark><xsl:value-of select="ctm:PackingMark"/></catpi_ru:PackingMark>
																</xsl:if>
															</catpi_ru:PackingInformation>
														</xsl:for-each>
													</xsl:for-each>	
												</catpi_ru:GoodsPackaging>
											</Goods>
										</xsl:for-each>	
									</xsl:when>						
									<xsl:when  test="$CountRwb>1 and $CountInv>=1 and $VagEmpty>0">
										<xsl:for-each select="//ctm:RWB/ctm:RWB_ITEM[concat(ctm:RWBNum,ctm:RWBDate)=concat($SNum,$SDat)]">
											<xsl:for-each select="//ctm:InvPlace[concat(../../ctm:RWBNum,../../ctm:RWBDate)=concat($SNum,$SDat)]">
												<Goods>
													<catpi_ru:GoodsNumeric><xsl:value-of select="ctm:GoodPos"/></catpi_ru:GoodsNumeric>
													<xsl:if  test="string-length(catComFin_ru:GoodsCode)>0">
														<catpi_ru:GoodsTNVEDCode><xsl:value-of select="catComFin_ru:GoodsCode"/></catpi_ru:GoodsTNVEDCode>
													</xsl:if>
													<xsl:choose>
														<xsl:when test="count(catComFin_ru:GoodsDescription)>0">
															<xsl:for-each select="catComFin_ru:GoodsDescription">
																<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
															</xsl:for-each>
														</xsl:when>
														<xsl:otherwise>
															<xsl:message terminate="yes">Поле "Описание товара" не заполнено</xsl:message>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:if test="string-length(normalize-space(ctm:GrWeight))>0 and number(ctm:GrWeight)>0">
														<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(ctm:GrWeight * 1000000) div 1000000,'0.######')"/></catpi_ru:GrossWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(normalize-space(ctm:NetWeight))>0 and number(ctm:NetWeight)>0">
														<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(ctm:NetWeight * 1000000) div 1000000,'0.######')"/></catpi_ru:NetWeightQuantity>
													</xsl:if>
													<xsl:choose>
														<xsl:when test="$CountContNum>1">
															<xsl:for-each select="//RwBill:RailwayBill[concat(RwBill:RegistrationDocument/cat_ru:PrDocumentNumber,RwBill:RegistrationDocument/cat_ru:PrDocumentDate)=concat($SNum,$SDat)]/RwBill:Container">
																<catpi_ru:ContainerNumbers><xsl:value-of select="RwBill:ContainerID"/></catpi_ru:ContainerNumbers>
															</xsl:for-each>
														</xsl:when>
														<xsl:otherwise>
															<xsl:if test="$CountContNum>0 and string-length(normalize-space($ContNum))>0">
																<catpi_ru:ContainerNumbers><xsl:value-of select="$ContNum"/></catpi_ru:ContainerNumbers>
															</xsl:if>
														</xsl:otherwise>
													</xsl:choose> 
													<xsl:if test="string-length(normalize-space(ctm:OriginCountryCode))>0">
														<catpi_ru:OriginCountryCode><xsl:value-of select="ctm:OriginCountryCode"/></catpi_ru:OriginCountryCode>
													</xsl:if>
													<xsl:if test="string-length(normalize-space(ctm:TotalCost))>0 and number(ctm:TotalCost)>0">
														<catpi_ru:InvoicedCost><xsl:value-of select="format-number(round(ctm:TotalCost * 100) div 100,'0.##')"/></catpi_ru:InvoicedCost>
													</xsl:if>
													<xsl:if test="string-length(ctm:InvVal)>0">
														<catpi_ru:CurrencyCode><xsl:value-of select="ctm:InvVal"/></catpi_ru:CurrencyCode>
													</xsl:if>
													<xsl:variable name="MsNam" select="ctm:MeasureUnitQualifierName"/>
													<xsl:if test="string-length(ctm:GoodsQuantity)>0 and string-length($MsNam)>0">
														<catpi_ru:GoodsMeasureQuantity>
															<catpi_ru:GoodsQuantity><xsl:value-of select="ctm:GoodsQuantity"/></catpi_ru:GoodsQuantity>
															<xsl:if test="string-length($MsNam)>0">
																<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="$MsNam"/></catpi_ru:MeasureUnitQualifierName>
																<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[ABBR=$MsNam]/CODE"/></catpi_ru:MeasureUnitQualifierCode>
															</xsl:if>
														</catpi_ru:GoodsMeasureQuantity>
													</xsl:if>	
													<xsl:choose>
														<xsl:when test="string-length(ctm:PlacesCode)>0">
															<catpi_ru:GoodsPackaging>
																<xsl:if test="string-length(ctm:PlacesQuantity)>0 and ctm:PlacesQuantity>0">
																	<catpi_ru:PakageQuantity><xsl:value-of select="ctm:PlacesQuantity"/></catpi_ru:PakageQuantity>
																</xsl:if>
																<xsl:choose>
																	<xsl:when test="string-length(ctm:PlacesCode)>0 ">
																		<catpi_ru:CargoCode><xsl:value-of select="ctm:PlacesCode"/></catpi_ru:CargoCode>
																	</xsl:when>
																	<xsl:otherwise>
																		<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
																	</xsl:otherwise>
																</xsl:choose>
																<xsl:if test="string-length(ctm:PlacesDescription)>0">
																	<catpi_ru:CargoDescription><xsl:value-of select="ctm:PlacesDescription"/></catpi_ru:CargoDescription>
																</xsl:if>
																<xsl:if test="string-length(ctm:PackingCode)>0 and string-length(ctm:PackingQuantity)>0">
																	<catpi_ru:PackingInformation>
																		<catpi_ru:PackingCode><xsl:value-of select="ctm:PackingCode"/></catpi_ru:PackingCode>
																		<catpi_ru:PakingQuantity><xsl:value-of select="ctm:PackingQuantity"/></catpi_ru:PakingQuantity>
																		<xsl:if test="string-length(ctm:PackingMark)>0">
																			<catpi_ru:PackingMark><xsl:value-of select="ctm:PackingMark"/></catpi_ru:PackingMark>
																		</xsl:if>
																	</catpi_ru:PackingInformation>
																</xsl:if>
															</catpi_ru:GoodsPackaging>
														</xsl:when>
														<xsl:otherwise>
															<catpi_ru:GoodsPackaging>
																<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
															</catpi_ru:GoodsPackaging>
														</xsl:otherwise>
													</xsl:choose>
												</Goods>
											</xsl:for-each>	
										</xsl:for-each>
									</xsl:when>
									<xsl:when  test="$CountRwb=1 and $CountInv=0">
										<xsl:for-each select="RwBill:RWBGoods">
											<Goods>
												<catpi_ru:GoodsNumeric><xsl:value-of select="catTrans_ru:GoodsNumeric"/></catpi_ru:GoodsNumeric>
												<xsl:choose>
													<xsl:when test="count(cat_ru:GoodsDescription)>0">
														<xsl:for-each select="cat_ru:GoodsDescription">
															<catpi_ru:GoodsDescription><xsl:value-of select="."/></catpi_ru:GoodsDescription>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:message terminate="yes">Поле "Описание товара" не заполнено</xsl:message>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:if test="string-length(RwBill:GrossWeightQuantity)>0">
													<catpi_ru:GrossWeightQuantity><xsl:value-of select="RwBill:GrossWeightQuantity"/></catpi_ru:GrossWeightQuantity>
												</xsl:if>
												<xsl:choose>
													<xsl:when test="$CountContNum>1">
														<xsl:for-each select="//RwBill:RailwayBill[concat(RwBill:RegistrationDocument/cat_ru:PrDocumentNumber,RwBill:RegistrationDocument/cat_ru:PrDocumentDate)=concat($SNum,$SDat)]/RwBill:Container">
															<catpi_ru:ContainerNumbers><xsl:value-of select="RwBill:ContainerID"/></catpi_ru:ContainerNumbers>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="$CountContNum>0 and string-length(normalize-space($ContNum))>0">
															<catpi_ru:ContainerNumbers><xsl:value-of select="$ContNum"/></catpi_ru:ContainerNumbers>
														</xsl:if>
													</xsl:otherwise>
												</xsl:choose> 
												<xsl:variable name="PcDes" select="RwBill:PlacesDescription"/>
												<xsl:variable name="PcCod" select="document('../../NSI/TranspNSIXml.xml')//Packing_ITEM[Name=$PcDes]/ID"/>											
												<xsl:choose>
													<xsl:when test="string-length(RwBill:PlacesCode)>0 or string-length($PcCod)>0">
														<catpi_ru:GoodsPackaging>
															<xsl:if test="string-length(RwBill:PlacesQuantity)>0 and number(RwBill:PlacesQuantity)>0">
																<catpi_ru:PakageQuantity><xsl:value-of select="RwBill:PlacesQuantity"/></catpi_ru:PakageQuantity>
															</xsl:if>
															<xsl:choose>
																<xsl:when test="string-length(RwBill:PlacesCode)>0 ">
																	<catpi_ru:CargoCode><xsl:value-of select="RwBill:PlacesCode"/></catpi_ru:CargoCode>
																</xsl:when>
																<xsl:when test="string-length($PcCod)>0">
																	<catpi_ru:CargoCode><xsl:value-of select="$PcCod"/></catpi_ru:CargoCode>
																</xsl:when>
																<xsl:otherwise>
																	<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:if test="string-length(RwBill:PlacesDescription)>0">
																<catpi_ru:CargoDescription><xsl:value-of select="RwBill:PlacesDescription"/></catpi_ru:CargoDescription>
															</xsl:if>
														</catpi_ru:GoodsPackaging>
													</xsl:when>
													<xsl:otherwise>
														<catpi_ru:GoodsPackaging>
															<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
														</catpi_ru:GoodsPackaging>
													</xsl:otherwise>
												</xsl:choose>
											</Goods>
											</xsl:for-each>	
									</xsl:when>
									<xsl:when  test="$CountRwb>1 and $CountInv>=1 and $VagEmpty=0">
										<xsl:message terminate="yes">Пакет с жд-накладными оформлен не правильно - содержит инвойс(ы), в которых не указаны номера вагонов в товарной части.Нет возможности определить какой товар или часть товара относиться к определенной накладной.</xsl:message>
									</xsl:when>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>	
						<xsl:for-each select="RwBill:Consignor">
							<Consignor>
								<xsl:call-template name="FirmPIArmty">
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0'"/>
									<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
									<xsl:with-param name="AdrPref" select="'catpi_ru:'"/>
								</xsl:call-template>
							</Consignor>
						</xsl:for-each>	
						<xsl:variable name="ConsigneeNam" select="RwBill:Consignee/cat_ru:OrganizationName"/>
						<xsl:for-each select="RwBill:Consignee">	
							<Consignee>
								<xsl:call-template name="FirmPIArmty">
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0'"/>
									<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
									<xsl:with-param name="AdrPref" select="'catpi_ru:'"/>
								</xsl:call-template>
							</Consignee>
						</xsl:for-each>	
						<PIoutDestination>
							<xsl:if test="string-length(RwBill:DestinationStation/RwBill:StationCode)>0">
								<catpi_ru:DestinationRWStationCode><xsl:value-of select="RwBill:DestinationStation/RwBill:StationCode"/></catpi_ru:DestinationRWStationCode>
								<xsl:if test="string-length(RwBill:DestinationStation/RwBill:RailwayAndStationName)>0">
									<xsl:variable name="NameSt" select="normalize-space(RwBill:DestinationStation/RwBill:RailwayAndStationName)"/>
									<catpi_ru:DestinationRWStationName>
										<xsl:choose>
											<xsl:when test="string-length($NameSt)&lt;41">
												<xsl:value-of select="$NameSt"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:choose>
													<xsl:when test="contains($NameSt,',') and string-length(substring-before($NameSt,','))&lt;41">
														<xsl:value-of select="substring-before($NameSt,',')"/>
													</xsl:when>
													<xsl:when test="contains($NameSt,' ') and string-length(substring-before($NameSt,' '))&lt;41">
														<xsl:value-of select="substring-before($NameSt,' ')"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="substring($NameSt,1,40)"/>
													</xsl:otherwise>
												</xsl:choose>	
											</xsl:otherwise>
										</xsl:choose>
									</catpi_ru:DestinationRWStationName>
								</xsl:if>	
							</xsl:if>
							<Address>
								<xsl:for-each select="RwBill:Consignee/cat_ru:Address">
									<xsl:if test="string-length(cat_ru:PostalCode)>0">
										<catpi_ru:PostalCode><xsl:value-of select="cat_ru:PostalCode"/></catpi_ru:PostalCode>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="string-length(cat_ru:CountryCode)>0">
											<catpi_ru:CountryCode><xsl:value-of select="cat_ru:CountryCode"/></catpi_ru:CountryCode>
										</xsl:when>
										<xsl:when test="string-length($ConsigneeNam)>0 and string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains($ConsigneeNam,Name)]/ABC2)>0">
											<catpi_ru:CountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains($ConsigneeNam,Name)]/ABC2"/></catpi_ru:CountryCode>
										</xsl:when>
										<xsl:otherwise>00</xsl:otherwise>
									</xsl:choose>
									<xsl:if test="string-length(cat_ru:CounryName)>0">
										<catpi_ru:CounryName><xsl:value-of select="cat_ru:CounryName"/></catpi_ru:CounryName>
									</xsl:if>
									<xsl:if test="string-length(cat_ru:Region)>0">
										<catpi_ru:Region><xsl:value-of select="cat_ru:Region"/></catpi_ru:Region>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="string-length(cat_ru:City)>0">
											<catpi_ru:City><xsl:value-of select="cat_ru:City"/></catpi_ru:City>
										</xsl:when>
										<xsl:otherwise>
											<catpi_ru:City>N</catpi_ru:City>
										</xsl:otherwise>
									</xsl:choose>	
									<xsl:choose>
										<xsl:when test="string-length(cat_ru:StreetHouse)>0">
											<catpi_ru:StreetHouse><xsl:value-of select="cat_ru:StreetHouse"/></catpi_ru:StreetHouse>
										</xsl:when>
										<xsl:otherwise>
											<catpi_ru:StreetHouse>N</catpi_ru:StreetHouse>
										</xsl:otherwise>	
									</xsl:choose>
								</xsl:for-each>
							</Address>
						</PIoutDestination>
						<xsl:for-each select="RwBill:Consignee/cat_ru:Address[string-length(cat_ru:CountryCode)>0]">
							<DestinationCountry>
								<xsl:if test="string-length(cat_ru:CounryName)>0">
									<catpi_ru:CountryName><xsl:value-of select="cat_ru:CounryName"/></catpi_ru:CountryName>
								</xsl:if>	
								<catpi_ru:CountryACode><xsl:value-of select="cat_ru:CountryCode"/></catpi_ru:CountryACode>
							</DestinationCountry>
						</xsl:for-each>
						<xsl:for-each select="RwBill:Consignor/cat_ru:Address[string-length(cat_ru:CountryCode)>0]">	
							<DispatchCountry>
								<xsl:if test="string-length(cat_ru:CounryName)>0">
									<catpi_ru:CountryName><xsl:value-of select="cat_ru:CounryName"/></catpi_ru:CountryName>
								</xsl:if>	
								<catpi_ru:CountryACode><xsl:value-of select="cat_ru:CountryCode"/></catpi_ru:CountryACode>
							</DispatchCountry>
						</xsl:for-each>	
						
					</GoodsShipment>
				</xsl:if>
			</xsl:for-each>
		</PI_RwArrive>
	</xsl:template>
</xsl:stylesheet>
