<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns="urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0"
xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" 
xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0" 
xmlns:Body="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0"
xmlns:ArrivalCD="urn:customs.ru:Information:TransportDocuments:Sea:ArrivalDepartCargoDecl:5.10.0" 
xmlns:CrList="urn:customs.ru:Information:TransportDocuments:Sea:CrewList:5.10.0"
xmlns:SPStm="urn:customs.ru:Information:TransportDocuments:PostalManifest:5.10.0"
xmlns:PasMt="urn:customs.ru:Information:TransportDocuments:Air:PassengerManifest:5.10.0"
xmlns:Sea="urn:customs.ru:Information:TransportDocuments:Sea:BillofLading:5.11.0"
xmlns:AppSt="urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0" 
xmlns:GDecl="urn:customs.ru:Information:TransportDocuments:Sea:GeneralDeclaration:5.10.0"
xmlns:ProhGoods="urn:customs.ru:Information:TransportDocuments:ProhibitedGoods:5.10.0"
xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" 
xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" 
xmlns:cltESAD_cu="urn:customs.ru:CUESADCommonLeafTypes:5.10.0" 
xmlns:cltESAD_ru="urn:customs.ru:RUCommonLeafTypes:5.4.0" 
xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:5.9.1"
xmlns:ctm="urn:ctm.ru"
 xmlns:ctmtd="http://rail.ctm.ru/TD/Document"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:param name="GoodsFromCMRForPi" select="0"/>
	<xsl:output method="xml"/>

	<xsl:key use="concat(./cat_ru:PrDocumentNumber,substring(./cat_ru:PrDocumentDate,1,10))" name="Goods" match="//ArrivalCD:BillofLading"/>
	<xsl:template match="ArrivalCD:BillofLading">
		<xsl:param name="CustCode"/> 
		<xsl:param name="CustName"/>
		<xsl:variable name="NumBill" select="cat_ru:PrDocumentNumber"/> 
		<xsl:variable name="DatBill" select="substring(cat_ru:PrDocumentDate,1,10)"/>	
		<Consignments>
			<xsl:if test="string-length($NumBill)>0">
				<TransportDocumentNum><xsl:value-of select="$NumBill"/></TransportDocumentNum>
			</xsl:if>
			<xsl:if test="string-length(ArrivalCD:DepartureGoodsPort)>0 and string-length(//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NumBill]/ctm:DepartureGoodsPortCountryCode)>0">
				<LoadingPort>
					<catpi_ru:CountryCode><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NumBill]/ctm:DepartureGoodsPortCountryCode"/></catpi_ru:CountryCode>
					<catpi_ru:PortName><xsl:value-of select="ArrivalCD:DepartureGoodsPort"/></catpi_ru:PortName>
				</LoadingPort>
			</xsl:if>
			<xsl:if test="string-length(ArrivalCD:DebarkationPort)>0 and string-length(//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NumBill]/ctm:DebarkationPortCountryCode)>0">
				<UnloadingPort>
					<catpi_ru:CountryCode><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NumBill]/ctm:DebarkationPortCountryCode"/></catpi_ru:CountryCode>
					<catpi_ru:PortName><xsl:value-of select="ArrivalCD:DebarkationPort"/></catpi_ru:PortName>
				</UnloadingPort>
			</xsl:if>
			<xsl:for-each select="//ArrivalCD:Goods[concat(ArrivalCD:BillofLading/cat_ru:PrDocumentNumber,ArrivalCD:BillofLading/cat_ru:PrDocumentDate)=concat($NumBill,substring($DatBill,1,10))]">
				<Goods>
					<cat_ru:GoodsNumeric><xsl:value-of select="position()"/></cat_ru:GoodsNumeric>
					<xsl:if test="string-length(ArrivalCD:GoodsTNVEDCode)>0">
						<cat_ru:GoodsTNVEDCode><xsl:value-of select="ArrivalCD:GoodsTNVEDCode"/></cat_ru:GoodsTNVEDCode>	
					</xsl:if>
					<xsl:for-each select="cat_ru:GoodsDescription">
						<cat_ru:GoodsDescription><xsl:value-of select="."/></cat_ru:GoodsDescription>
					</xsl:for-each>	
					<xsl:if test="string-length(catTrans_ru:GrossWeightQuantity)>0">
						<cat_ru:GrossWeightQuantity><xsl:value-of select="catTrans_ru:GrossWeightQuantity"/></cat_ru:GrossWeightQuantity>
					</xsl:if>
					<xsl:if test="string-length(ArrivalCD:PlacesInfo/catTrans_cu:PakingQuantity)>0">	
						<CargoPlace><xsl:value-of select="ArrivalCD:PlacesInfo/catTrans_cu:PakingQuantity"/></CargoPlace>
					</xsl:if>	
				</Goods>
			</xsl:for-each>	
			<xsl:if test="sum(//ArrivalCD:Goods[concat(ArrivalCD:BillofLading/cat_ru:PrDocumentNumber,ArrivalCD:BillofLading/cat_ru:PrDocumentDate)=concat($NumBill,substring($DatBill,1,10))]/ArrivalCD:PlacesInfo/catTrans_cu:PakingQuantity)>0 and count(//ArrivalCD:Goods[concat(ArrivalCD:BillofLading/cat_ru:PrDocumentNumber,ArrivalCD:BillofLading/cat_ru:PrDocumentDate)=concat($NumBill,substring($DatBill,1,10))]/ArrivalCD:PlacesInfo[string-length(catTrans_cu:PackingDescription)>0])>0">
				<xsl:for-each select="//ArrivalCD:Goods[concat(ArrivalCD:BillofLading/cat_ru:PrDocumentNumber,ArrivalCD:BillofLading/cat_ru:PrDocumentDate)=concat($NumBill,substring($DatBill,1,10))]/ArrivalCD:PlacesInfo[not (catTrans_cu:PackingDescription=preceding-sibling::*/catTrans_cu:PackingDescription)]/catTrans_cu:PackingDescription">
					<xsl:sort select="."/>
					<xsl:variable name="PackingDescription" select="."/>
					<xsl:variable name="CodPack" select="document('../../NSI/TranspNSIXml.xml')//Packing_ITEM[Name=$PackingDescription]/ID"/>
					<xsl:if test="string-length($CodPack)>0">
						<GoodsPackingInfo>
							<xsl:if test="sum(//ArrivalCD:Goods[concat(ArrivalCD:BillofLading/cat_ru:PrDocumentNumber,ArrivalCD:BillofLading/cat_ru:PrDocumentDate)=concat($NumBill,substring($DatBill,1,10))]/ArrivalCD:PlacesInfo[catTrans_cu:PackingDescription=$PackingDescription]/catTrans_cu:PakingQuantity)>0">
								<catpi_ru:PakageQuantity><xsl:value-of select="sum(//ArrivalCD:Goods[concat(ArrivalCD:BillofLading/cat_ru:PrDocumentNumber,ArrivalCD:BillofLading/cat_ru:PrDocumentDate)=concat($NumBill,substring($DatBill,1,10))]/ArrivalCD:PlacesInfo[catTrans_cu:PackingDescription=$PackingDescription]/catTrans_cu:PakingQuantity)"/></catpi_ru:PakageQuantity>
							</xsl:if>
							<catpi_ru:CargoCode><xsl:value-of select="$CodPack"/></catpi_ru:CargoCode>
							<catpi_ru:CargoDescription><xsl:value-of select="$PackingDescription"/></catpi_ru:CargoDescription>
						</GoodsPackingInfo>
					</xsl:if>
				</xsl:for-each>	
			</xsl:if>
			<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NumBill and string-length(ctm:Consignor_Name)>0]">
				<Consignor>
					<xsl:call-template name="OrgNode">
						<xsl:with-param name="Pref" select="'Consignor_'"/>
						<xsl:with-param name="ReqNode" select="false"/>	
						<xsl:with-param name="PostalAddress" select="3"/>	
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
					</xsl:call-template> 											
				</Consignor>	
			</xsl:for-each>
			<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NumBill and string-length(ctm:Carrier_Name)>0]">
				<Carrier>
					<xsl:call-template name="OrgNode">
						<xsl:with-param name="Pref" select="'Carrier_'"/>
						<xsl:with-param name="ReqNode" select="false"/>	
						<xsl:with-param name="PostalAddress" select="3"/>	
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
					</xsl:call-template> 											
				</Carrier>	
			</xsl:for-each>		
			<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NumBill and string-length(ctm:Consignee_Name)>0]">
				<Consignee>
					<xsl:call-template name="OrgNode">
						<xsl:with-param name="Pref" select="'Consignee_'"/>
						<xsl:with-param name="ReqNode" select="false"/>	
						<xsl:with-param name="PostalAddress" select="3"/>	
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
					</xsl:call-template> 											
				</Consignee>	
			</xsl:for-each>	
			
			<BorderCustoms>
				<cat_ru:Code><xsl:value-of select="$CustCode"/></cat_ru:Code>
				<xsl:if test="string-length($CustName)>0">
					<cat_ru:OfficeName><xsl:value-of select="$CustName"/></cat_ru:OfficeName>
				</xsl:if>
				<xsl:call-template name="CustomsCountryCode">
					<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="CodTo" select="$CustCode"/>
				</xsl:call-template>	
			</BorderCustoms>			
		</Consignments>
	</xsl:template>
	
	<!--выгрузка из xml таможенного формата в ПИ -->
	<xsl:template match="*|/">
		<xsl:apply-templates select="//GDecl:GeneralDeclaration"/>
	</xsl:template>

	<xsl:template match="GDecl:GeneralDeclaration">
		<xsl:variable name="CustCode"  select="GDecl:Customs/cat_ru:Code"/>
		<xsl:variable name="CustName"  select="GDecl:Customs/cat_ru:OfficeName"/>
		<PI_SeaArrive>
		    <xsl:attribute name="DocumentModeID">1006816E</xsl:attribute>
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:RefDocumentID)>0">
				<cat_ru:RefDocumentID><xsl:value-of select="//ctm:CTM_Container/ctm:RefDocumentID"/></cat_ru:RefDocumentID>
			</xsl:if>
			<xsl:if test="string-length(//ctm:CTM_Container/ctm:DtID)>0">
				<PI_URN><xsl:value-of select="//ctm:CTM_Container/ctm:DtID"/></PI_URN>
			</xsl:if>
			<MPOSign>
				<xsl:choose>
					<xsl:when test="count(//SPStm:PostalManifest/SPStm:SeaTransport)>0">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</MPOSign>
			<DangerGoodsSing>
				<xsl:choose>
					<xsl:when test="count(//Sea:BillofLading/Sea:Goods[string-length(catTrans_ru:HazardousCargoCode)]/catTrans_ru:HazardousCargoCode)>0">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</DangerGoodsSing>
			<ShipDetails>
				<xsl:if test="string-length(GDecl:VesselRegistration/GDecl:IMO)>0">
					<ShipIMONumber><xsl:value-of select="GDecl:VesselRegistration/GDecl:IMO"/></ShipIMONumber>
				</xsl:if>	
				<ShipName><xsl:value-of select="GDecl:VesselRegistration/catTrans_ru:Name"/></ShipName>
				<xsl:if test="string-length(GDecl:VesselRegistration/catTrans_ru:Shipmaster)>0">
					<CapitainSurname><xsl:value-of select="GDecl:VesselRegistration/catTrans_ru:Shipmaster"/></CapitainSurname>
				</xsl:if>
				<xsl:variable name="VesselNationalityCode" select="GDecl:VesselRegistration/catTrans_ru:NationalityCode"/>	
				<xsl:choose>
					<xsl:when  test="string-length(GDecl:VesselRegistration/catTrans_ru:NationalityVesselCode)>0">
						<ShipCountryCode><xsl:value-of select="GDecl:VesselRegistration/catTrans_ru:NationalityVesselCode"/></ShipCountryCode>
					</xsl:when>
					<xsl:when  test="string-length($VesselNationalityCode)>0 and string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/ABC2)>0">
						<ShipCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/ABC2"/></ShipCountryCode>
					</xsl:when>
				</xsl:choose>
				<xsl:if test="string-length(GDecl:VesselRegistration/GDecl:RegistrationDate)>0">
					<ShipRegDate><xsl:value-of select="GDecl:VesselRegistration/GDecl:RegistrationDate"/></ShipRegDate>
				</xsl:if>	
				<xsl:if test="string-length(GDecl:VesselRegistration/GDecl:RegistrationID)>0">
					<ShipRegNum><xsl:value-of select="substring(GDecl:VesselRegistration/GDecl:RegistrationID,1,5)"/></ShipRegNum>
				</xsl:if>	
				<xsl:if test="string-length(GDecl:VesselRegistration/GDecl:RegistrationPort)>0">
					<ShipRegPort><xsl:value-of select="GDecl:VesselRegistration/GDecl:RegistrationPort"/></ShipRegPort>
				</xsl:if>
				<Flag>
					<xsl:choose>
						<xsl:when  test="string-length(GDecl:VesselRegistration/catTrans_ru:NationalityVessel)>0">
							<xsl:value-of select="GDecl:VesselRegistration/catTrans_ru:NationalityVessel"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/Name"/>
						</xsl:otherwise>
					</xsl:choose>
				</Flag>
				<xsl:if test="string-length(GDecl:Mooring)>0">
					<Berth><xsl:value-of select="GDecl:Mooring"/></Berth>
				</xsl:if>	
				<xsl:if test="string-length(GDecl:VesselRegistration/GDecl:GrossTonnage)>0">
					<GrossTonnage><xsl:value-of select="GDecl:VesselRegistration/GDecl:GrossTonnage"/></GrossTonnage>
				</xsl:if>	
				<xsl:if test="string-length(GDecl:VesselRegistration/GDecl:NetTonnage)>0">
					<NetTonnage><xsl:value-of select="GDecl:VesselRegistration/GDecl:NetTonnage"/></NetTonnage>
				</xsl:if>	
				<xsl:if test="string-length(GDecl:Carrier)>0">
					<ShipOwnerName><xsl:value-of select="GDecl:Carrier"/></ShipOwnerName>
				</xsl:if>	
				<ShipType><xsl:value-of select="GDecl:VesselRegistration/GDecl:VesselType"/></ShipType>
				<ArrivalPlace>
					<catpi_ru:CountryCode><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:DestinationCountryCode"/></catpi_ru:CountryCode>
					<catpi_ru:PortName><xsl:value-of select="GDecl:DestinationPort"/></catpi_ru:PortName>
				</ArrivalPlace>
				<DepaturePlace>
					<catpi_ru:CountryCode><xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:DepartureCountryCode"/></catpi_ru:CountryCode>
					<catpi_ru:PortName><xsl:value-of select="GDecl:DeparturePort"/></catpi_ru:PortName>
				</DepaturePlace>
				<xsl:for-each select="GDecl:ShipAgent[string-length(cat_ru:OrganizationName)>0]">
					<ShipAgent>
						<xsl:call-template name="FirmPIArmty">
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
							<xsl:with-param name="ParentN" select="'1'"/>
							<xsl:with-param name="Contact" select="'1'"/>
							<xsl:with-param name="AdrNodePref" select="'cat_ru:'"/>
							<xsl:with-param name="AdrPref" select="'cat_ru:'"/>
						</xsl:call-template>
					</ShipAgent>
				</xsl:for-each>			
			</ShipDetails>
			<xsl:choose>
				<xsl:when test="count(//PasMt:PassengerManifest)>0">
					<Passengers>
						<RFPassengersCount>
							<xsl:choose>
								<xsl:when test="count(//PasMt:PassengerInfo[string-length(PasMt:PersonName)>0 and //PasMt:PassengerInfo/PasMt:Nationality='RU'])>0">
									<xsl:value-of select="count(//PasMt:PassengerInfo[string-length(PasMt:PersonName)>0 and //PasMt:PassengerInfo/PasMt:Nationality='RU'])"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</RFPassengersCount>
						<ForeignPassengerCount>
							<xsl:choose>
								<xsl:when test="count(//PasMt:PassengerInfo[string-length(PasMt:PersonName)>0 and //PasMt:PassengerInfo/PasMt:Nationality!='RU'])>0">
									<xsl:value-of select="count(//PasMt:PassengerInfo[string-length(PasMt:PersonName)>0 and //PasMt:PassengerInfo/PasMt:Nationality!='RU'])"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</ForeignPassengerCount>
						<xsl:for-each select="//Body:DocBody/ctm:CTM_Container/ctm:SEAPASSLIST/ctm:SEAPASSLIST_ITEM[string-length(ctm:PersonName)>0 and string-length(ctm:PersonName2)>0]">
							<PassengerInfo>
								<cat_ru:PersonSurname><xsl:value-of select="ctm:PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="ctm:PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(normalize-space(ctm:PersonMiddleName))>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="normalize-space(ctm:PersonMiddleName)"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(ctm:Nationality)>0">
									<Nationality><xsl:value-of select="ctm:Nationality"/></Nationality>
								</xsl:if>
								<xsl:if test="string-length(ctm:DateofBirth)>0">
									<BirthDate><xsl:value-of select="ctm:DateofBirth"/></BirthDate>
								</xsl:if>
								<xsl:if test="string-length(ctm:BirthPlace)>0">
									<BirthPlace><xsl:value-of select="ctm:BirthPlace"/></BirthPlace>
								</xsl:if>								
								<xsl:if  test="string-length(ctm:LoadingName)>0 and string-length(ctm:LoadingCountryCode)>0">
									<DepaturePort>
										<catpi_ru:CountryCode><xsl:value-of select="ctm:LoadingCountryCode"/></catpi_ru:CountryCode>
										<catpi_ru:PortName><xsl:value-of select="ctm:LoadingName"/></catpi_ru:PortName>
									</DepaturePort>
								</xsl:if>	
								<xsl:if  test="string-length(ctm:UnloadingName)>0 and string-length(ctm:UnloadingCountryCode)>0">
									<ArrivalPort>
										<catpi_ru:CountryCode><xsl:value-of select="ctm:UnloadingCountryCode"/></catpi_ru:CountryCode>
										<catpi_ru:PortName><xsl:value-of select="ctm:UnloadingName"/></catpi_ru:PortName>
									</ArrivalPort>							
								</xsl:if>	
							</PassengerInfo>
						</xsl:for-each>
					</Passengers>
				</xsl:when>
				<xsl:otherwise>
					<Passengers>
						<RFPassengersCount>0</RFPassengersCount>
						<ForeignPassengerCount>0</ForeignPassengerCount>
					</Passengers>			
				</xsl:otherwise>
			</xsl:choose>
			<CrewInfo>
				<xsl:for-each select="//CrList:CrewList">
					<RFMembersCount><xsl:value-of select="CrList:RUPersonnel"/></RFMembersCount>
					<ForeignMembersCount><xsl:value-of select="CrList:ForeignPersonnel"/></ForeignMembersCount>
					<xsl:for-each select="CrList:CockpitPersonnel[string-length(cat_ru:PersonSurname)>0and string-length(cat_ru:PersonName)>0]">
						<CrewMemberInfo>
							<cat_ru:PersonSurname><xsl:value-of select="cat_ru:PersonSurname"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="cat_ru:PersonName"/></cat_ru:PersonName>
							<xsl:if test="string-length(cat_ru:PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="cat_ru:PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(cat_ru:PersonPost)>0">
								<cat_ru:PersonPost><xsl:value-of select="cat_ru:PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
							<xsl:if test="string-length(CrList:Nationality)>0">
								<Nationality><xsl:value-of select="CrList:Nationality"/></Nationality>
							</xsl:if>	
						</CrewMemberInfo>
					</xsl:for-each>
				</xsl:for-each>				
			</CrewInfo>
			<xsl:choose>
				<xsl:when test="string-length(//ctm:CTM_Container/ctm:Balast)>0 and number(//ctm:CTM_Container/ctm:Balast)=1">
					<Consignments>
						<xsl:if test="string-length(GDecl:DeparturePort)>0 and string-length(//ctm:CTM_Container/ctm:DepartureCountryCode)>0">
							<LoadingPort>
								<catpi_ru:CountryCode><xsl:value-of select="//ctm:CTM_Container/ctm:DepartureCountryCode"/></catpi_ru:CountryCode>
								<catpi_ru:PortName><xsl:value-of select="GDecl:DeparturePort"/></catpi_ru:PortName>
							</LoadingPort>
						</xsl:if>
						<xsl:if test="string-length(GDecl:DestinationPort)>0 and string-length(//ctm:CTM_Container/ctm:DestinationCountryCode)>0">
							<UnloadingPort>
								<catpi_ru:CountryCode><xsl:value-of select="//ctm:CTM_Container/ctm:DestinationCountryCode"/></catpi_ru:CountryCode>
								<catpi_ru:PortName><xsl:value-of select="GDecl:DestinationPort"/></catpi_ru:PortName>
							</UnloadingPort>
						</xsl:if>	
						<Goods>
							<cat_ru:GoodsNumeric>1</cat_ru:GoodsNumeric>
							<cat_ru:GoodsDescription>BALLAST</cat_ru:GoodsDescription>
						</Goods>
					<!--	<xsl:if  test="count(//ProhGoods:ProhibitedGoods[count(ProhGoods:ArmsInfo)>0 or count(ProhGoods:PermitionDocs)>0 or count(ProhGoods:CurrencyInfo)>0 or count(ProhGoods:DrugsSubstanceInfo)>0])>0">
							<xsl:call-template name="ProhibitedGoods"/>
						</xsl:if>-->
						<BorderCustoms>
							<cat_ru:Code><xsl:value-of select="$CustCode"/></cat_ru:Code>
							<xsl:if test="string-length($CustName)>0">
								<cat_ru:OfficeName><xsl:value-of select="$CustName"/></cat_ru:OfficeName>
							</xsl:if>
							<xsl:call-template name="CustomsCountryCode">
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="CodTo" select="$CustCode"/>
							</xsl:call-template>
						</BorderCustoms>
					</Consignments>
				</xsl:when>
				<xsl:when test="count(//Sea:BillofLading)>0">
					<xsl:for-each select="//Sea:BillofLading">
						<xsl:variable name="NBill" select="Sea:RegistrationDocument/cat_ru:PrDocumentNumber"/> 
						<xsl:variable name="LoadCr" select="Sea:PlaceOfDelivery/Sea:CountryName"/>
						<xsl:variable name="UnLoadCr" select="Sea:PlaceOfReceipt/Sea:CountryName"/>
						<xsl:variable name="CodeLoadCr">
							<xsl:choose>
								<xsl:when test="string-length($LoadCr)>0">
									<xsl:choose>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(EngName,$LoadCr)]/ABC2)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(EngName,$LoadCr)]/ABC2"/>
										</xsl:when>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(Name,$LoadCr)]/ABC2)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(Name,$LoadCr)]/ABC2"/>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
								<xsl:when test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NBill]/ctm:DepartureGoodsPortCountryCode)>0">
									<xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NBill]/ctm:DepartureGoodsPortCountryCode"/>
								</xsl:when>
								<xsl:otherwise></xsl:otherwise>
							</xsl:choose> 
						</xsl:variable>
						<xsl:variable name="CodeUnLoadCr">
							<xsl:choose>
								<xsl:when test="string-length($UnLoadCr)>0">
									<xsl:choose>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(EngName,$UnLoadCr)]/ABC2)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(EngName,$UnLoadCr)]/ABC2"/>
										</xsl:when>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(Name,$UnLoadCr)]/ABC2)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[contains(Name,$UnLoadCr)]/ABC2"/>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
								<xsl:when test="string-length(//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NBill]/ctm:DebarkationPortCountryCode)>0">
									<xsl:value-of select="//Body:DocBody/ctm:CTM_Container/ctm:ARRSEADECLGoods/ctm:ARRSEADECLGOODS_ITEM[ctm:ConosamentNum=$NBill]/ctm:DebarkationPortCountryCode"/>
								</xsl:when>	
								<xsl:otherwise></xsl:otherwise>
							</xsl:choose> 
						</xsl:variable>						
						<Consignments>
							<xsl:if test="string-length($NBill)>0">
								<TransportDocumentNum><xsl:value-of select="$NBill"/></TransportDocumentNum>
							</xsl:if>
							<xsl:if test="string-length(Sea:Loading/catTrans_ru:Name)>0 and string-length($CodeLoadCr)>0">
								<LoadingPort>
									<catpi_ru:CountryCode><xsl:value-of select="$CodeLoadCr"/></catpi_ru:CountryCode>
									<catpi_ru:PortName><xsl:value-of select="Sea:Loading/catTrans_ru:Name"/></catpi_ru:PortName>
								</LoadingPort>
							</xsl:if>
							<xsl:if test="string-length(Sea:Unloading/catTrans_ru:Name)>0 and string-length($CodeUnLoadCr)>0">
								<UnloadingPort>
									<catpi_ru:CountryCode><xsl:value-of select="$CodeUnLoadCr"/></catpi_ru:CountryCode>
									<catpi_ru:PortName><xsl:value-of select="Sea:Unloading/catTrans_ru:Name"/></catpi_ru:PortName>
								</UnloadingPort>
							</xsl:if>	
							<xsl:for-each select="Sea:Goods">
								<Goods>
									<cat_ru:GoodsNumeric><xsl:value-of select="catTrans_ru:GoodsNumeric"/></cat_ru:GoodsNumeric>
									<xsl:if test="string-length(catTrans_ru:GoodsNomenclatureCode)>0">
										<cat_ru:GoodsTNVEDCode><xsl:value-of select="catTrans_ru:GoodsNomenclatureCode"/></cat_ru:GoodsTNVEDCode>	
									</xsl:if>
									<xsl:for-each select="cat_ru:GoodsDescription">
										<cat_ru:GoodsDescription><xsl:value-of select="."/></cat_ru:GoodsDescription>
									</xsl:for-each>	
									<xsl:if test="string-length(Sea:GrossWeightQuantity)>0">
										<cat_ru:GrossWeightQuantity><xsl:value-of select="Sea:GrossWeightQuantity"/></cat_ru:GrossWeightQuantity>
									</xsl:if>
									<xsl:if test="string-length(Sea:PlacesQuantity)>0">	
										<CargoPlace><xsl:value-of select="Sea:PlacesQuantity"/></CargoPlace>
									</xsl:if>	
								</Goods>
							</xsl:for-each>
							<xsl:if test="sum(Sea:Goods/Sea:PlacesQuantity)>0 and count(Sea:Goods[string-length(Sea:PackingDescription)>0])>0">
								<xsl:for-each select="Sea:Goods[not (Sea:PackingDescription=preceding-sibling::*/Sea:PackingDescription)]/Sea:PackingDescription">
									<xsl:sort select="."/>
									<xsl:variable name="PackingDescription" select="."/>
									<xsl:variable name="CodPack" select="document('../../NSI/TranspNSIXml.xml')//Packing_ITEM[Name=$PackingDescription]/ID"/>
									<xsl:if test="string-length($CodPack)>0">
										<GoodsPackingInfo>
											<xsl:if  test="sum(Sea:Goods[Sea:PackingDescription=$PackingDescription]/Sea:PlacesQuantity)>0">
												<catpi_ru:PakageQuantity><xsl:value-of select="sum(Sea:Goods[Sea:PackingDescription=$PackingDescription]/Sea:PlacesQuantity)"/></catpi_ru:PakageQuantity>
											</xsl:if>
											<catpi_ru:CargoCode><xsl:value-of select="$CodPack"/></catpi_ru:CargoCode>
											<catpi_ru:CargoDescription><xsl:value-of select="$PackingDescription"/></catpi_ru:CargoDescription>
										</GoodsPackingInfo>
									</xsl:if>
								</xsl:for-each>	
							</xsl:if>
							<xsl:for-each select="Sea:Consignor[string-length(cat_ru:OrganizationName)>0]">
								<Consignor>
									<xsl:call-template name="FirmPIArmty">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
										<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
										<xsl:with-param name="AdrPref" select="'cat_ru:'"/>
										<xsl:with-param name="ParentN" select="'1'"/>
									</xsl:call-template>
								</Consignor>
							</xsl:for-each>	
							<xsl:for-each select="Sea:Carrier[string-length(cat_ru:OrganizationName)>0]">
								<Carrier>
									<xsl:call-template name="FirmPIArmty">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
										<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
										<xsl:with-param name="AdrPref" select="'cat_ru:'"/>
										<xsl:with-param name="ParentN" select="'1'"/>
									</xsl:call-template>
								</Carrier>
							</xsl:for-each>
							<xsl:for-each select="Sea:Consignee[string-length(cat_ru:OrganizationName)>0]">
								<Consignee>
									<xsl:call-template name="FirmPIArmty">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="ParentNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
										<xsl:with-param name="AdrNodeSp" select="'urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0'"/>
										<xsl:with-param name="AdrPref" select="'cat_ru:'"/>
										<xsl:with-param name="ParentN" select="'1'"/>
									</xsl:call-template>
								</Consignee>
							</xsl:for-each>
							<BorderCustoms>
								<cat_ru:Code><xsl:value-of select="$CustCode"/></cat_ru:Code>
								<xsl:if test="string-length($CustName)>0">
									<cat_ru:OfficeName><xsl:value-of select="$CustName"/></cat_ru:OfficeName>
								</xsl:if>
								<xsl:call-template name="CustomsCountryCode">
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="CodTo" select="$CustCode"/>
								</xsl:call-template>
							</BorderCustoms>
						</Consignments>
					</xsl:for-each>	
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="//ArrivalCD:BillofLading[generate-id(.)=generate-id(key('Goods',concat(./cat_ru:PrDocumentNumber,substring(./cat_ru:PrDocumentDate,1,10)))) and string-length(concat(cat_ru:PrDocumentNumber,substring(cat_ru:PrDocumentDate,1,10)))>0]">
						<xsl:with-param name="CustCode" select="$CustCode"/> 
						<xsl:with-param name="CustName" select="$CustName"/>
					</xsl:apply-templates>
				</xsl:otherwise>
			</xsl:choose> 
			<xsl:for-each select="//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Operating[string-length(AppSt:NameGoods)>0 and string-length(AppSt:NumberGoods)>0]">
				<xsl:call-template name="AppStore">
					<xsl:with-param name="TypeSt" select="1"/>
				</xsl:call-template>	
			</xsl:for-each>
			<xsl:for-each select="//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Sold/AppSt:SoldGoodsList[string-length(AppSt:NameGoods)>0 and string-length(AppSt:NumberGoods)>0]">
				<xsl:call-template name="AppStore">
					<xsl:with-param name="TypeSt" select="2"/>
				</xsl:call-template>	
			</xsl:for-each>				
			<xsl:for-each select="//AppSt:ApplicationStore/AppSt:StoreInform/AppSt:Consumer[string-length(AppSt:NameGoods)>0 and string-length(AppSt:NumberGoods)>0]">
				<xsl:call-template name="AppStore">
					<xsl:with-param name="TypeSt" select="3"/>
				</xsl:call-template>	
			</xsl:for-each>									
		</PI_SeaArrive>
	</xsl:template>
	<xsl:template name="AppStore" xmlns="urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0" xmlns:AppSt="urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0">
		<xsl:param name="TypeSt"/>
		<Stores>
			<xsl:for-each select="AppSt:NameGoods">
				<Name><xsl:value-of select="."/></Name>
			</xsl:for-each>
			<xsl:if test="string-length(AppSt:NumberGoods)>0">
				<Quantity><xsl:value-of select="AppSt:NumberGoods"/></Quantity>
			</xsl:if>	
			<xsl:if test="string-length(AppSt:UnitName)>0">
				<MeasureUnitQualifier><xsl:value-of select="AppSt:UnitName"/></MeasureUnitQualifier>
			</xsl:if>	
			<StoreSign><xsl:value-of select="$TypeSt"/></StoreSign>
		</Stores>
	</xsl:template>
	<xsl:template name="ProhibitedGoods" xmlns="urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0">
		<ProhibitedGoods>
			<xsl:for-each select="//ProhGoods:ProhibitedGoods/ProhGoods:ArmsInfo">
				<xsl:element name="{'ArmsInfo'}" namespace="urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0">
					<xsl:for-each select="child::*[string-length(.)>0]">
						<xsl:call-template name="NodeProhibitedGoods"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:for-each>
			<xsl:for-each select="//ProhGoods:ProhibitedGoods/ProhGoods:DrugsSubstanceInfo">
				<xsl:element name="{'DrugsSubstanceInfo'}" namespace="urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0">
					<xsl:for-each select="child::*[string-length(.)>0]">
						<xsl:call-template name="NodeProhibitedGoods"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:for-each>
			<xsl:for-each select="//ProhGoods:ProhibitedGoods/ProhGoods:CurrencyInfo">
				<xsl:element name="{'CurrencyInfo'}" namespace="urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0">
					<xsl:for-each select="child::*[string-length(.)>0]">
						<xsl:call-template name="NodeProhibitedGoods"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:for-each>
			<xsl:for-each select="//ProhGoods:ProhibitedGoods/ProhGoods:PermitionDocs[count(child::*[contains(local-name(),'PrDocument') and string-length(.)>0])>0]">
				<xsl:element name="{'PermitionDocs'}" namespace="urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0">
					<xsl:for-each select="child::*[contains(local-name(),'PrDocument') and string-length(.)>0]">
						<xsl:call-template name="NodeProhibitedGoods"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:for-each>
		</ProhibitedGoods>
	</xsl:template>
	<xsl:template name="NodeProhibitedGoods">
		<xsl:variable name="NameSp">
			<xsl:choose>
				<xsl:when test="starts-with(name(),'cat_ru:')">urn:customs.ru:CommonAggregateTypes:5.10.0</xsl:when>
				<xsl:otherwise>urn:customs.ru:Information:PriorInformation:PI_SeaArrive:5.11.0</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:element name="{name()}" namespace="{$NameSp}">
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>					
</xsl:stylesheet>


