<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
    <xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="DO1Report">
			<xsl:with-param name="Now"  select="'2001-01-11'"/>
		</xsl:call-template>
	</xsl:template>-->
	<xsl:key use="concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)" name="GoodsDO1CMR" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)" name="GoodsDO1CMRnotNum" match="//INVOICEGOODS_ITEM"/>
	<xsl:template name="GoodsTranzit" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:param name="Pos"/>
		<xsl:param name="Now"/>
		<catWH_ru:Goods>
			<catWH_ru:GoodsNumber><xsl:value-of select="$Pos"/></catWH_ru:GoodsNumber>
			<xsl:if test="string-length(GoodsCode)>0">
				<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catWH_ru:GoodsTNVEDCode>
			</xsl:if>
			<xsl:if test="string-length(InvoicedCost)>0">
				<catWH_ru:InvoiceCost><xsl:value-of select="round(InvoicedCost * 100) div 100"/></catWH_ru:InvoiceCost>
			</xsl:if>
			<xsl:if test="string-length(CurrencyCode)>0">
				<catWH_ru:CurrencyCode><xsl:value-of select="CurrencyCode"/></catWH_ru:CurrencyCode>
			</xsl:if>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods">
					<xsl:call-template name="GoodDescrAvto"/>
				</xsl:with-param>
				<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				<xsl:with-param name="NameMes" select="false"/>
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<xsl:if test="string-length(PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
				<catWH_ru:CargoPlace>
					<xsl:if test="GoodsPackingInfo/GOODSPACKINGINFO_ITEM">
						<catWH_ru:PlaceNumber><xsl:value-of select="GoodsPackingInfo/GOODSPACKINGINFO_ITEM/PackingQuantity"/></catWH_ru:PlaceNumber>
						<catWH_ru:PackageCode><xsl:value-of select="GoodsPackingInfo/GOODSPACKINGINFO_ITEM/PackingCode"/></catWH_ru:PackageCode>
						<catWH_ru:PlaceDescription><xsl:value-of select="GoodsPackingInfo/GOODSPACKINGINFO_ITEM/PackingDescription"/></catWH_ru:PlaceDescription>
					</xsl:if>
				</catWH_ru:CargoPlace>
			</xsl:if>
			<xsl:if test="string-length(GrossWeightQuantity)>0">
				<catWH_ru:BruttoVolQuant>
					<catWH_ru:GoodsQuantity><xsl:value-of select="GrossWeightQuantity"/></catWH_ru:GoodsQuantity>
					<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
					<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:BruttoVolQuant>
			</xsl:if>
			<xsl:if test="string-length(GoodsQuantity)>0 and string-length(CodeDEI)>0 and CodeDEI!='166'">
				<catWH_ru:MeasureQuantity>
					<catWH_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catWH_ru:GoodsQuantity>
					<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="CodeDEI"/></catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:MeasureQuantity>
			</xsl:if>
			<catWH_ru:KeepingLimit>
				<catWH_ru:AcceptDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="$Now"/>
					</xsl:call-template>
				</catWH_ru:AcceptDate>
			</catWH_ru:KeepingLimit>
		</catWH_ru:Goods>
	</xsl:template>
	<xsl:template name="DO1Goods">
		<xsl:param name="RegEk"/>
		<xsl:param name="Now"/>
		<xsl:param name="CMRNum"/>
		<xsl:param name="CmrN"/>
		<xsl:param name="CmrD"/>
		<xsl:choose>
			<xsl:when test="count(//CMR/CMR_ITEM)>1">
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsDO1CMR',concat(../../CurrencyCode,$CMRNum,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="RegEk" select="$RegEk"/>
					<xsl:with-param name="Doc" select="'DO1'"/>
					<xsl:with-param name="Now" select="$Now"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
					<xsl:with-param name="CmrN" select="$CmrN"/>
					<xsl:with-param name="CmrD" select="$CmrD"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsDO1CMRnotNum',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="RegEk" select="$RegEk"/>
					<xsl:with-param name="Doc" select="'DO1'"/>
					<xsl:with-param name="Now" select="$Now"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
					<xsl:with-param name="CmrN" select="$CmrN"/>
					<xsl:with-param name="CmrD" select="$CmrD"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="GoodsInvoice" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:param name="Now"/>
		<catWH_ru:Goods>
			<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
			<xsl:variable name="NumGood" select="position()"/>
			<xsl:if test="string-length(GoodsCode)>0">
				<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catWH_ru:GoodsTNVEDCode>
			</xsl:if>
			<xsl:if test="string-length(TotalCost)>0">
				<catWH_ru:InvoiceCost><xsl:value-of select="round(TotalCost * 100) div 100"/></catWH_ru:InvoiceCost>
			</xsl:if>
			<xsl:if test="string-length(../../CurrencyCode)>0">
				<catWH_ru:CurrencyCode><xsl:value-of select="../../CurrencyCode"/></catWH_ru:CurrencyCode>
			</xsl:if>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods">
					<xsl:call-template name="GoodDescrAvto"/>
				</xsl:with-param>
				<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				<xsl:with-param name="NameMes" select="false"/>
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<xsl:if test="string-length(PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
				<catWH_ru:CargoPlace>
					<xsl:if test="string-length(PlacesQuantity)>0">
						<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
					</xsl:if>
					<xsl:if test="string-length(PlacesCode)>0">
						<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
					</xsl:if>
					<xsl:if test="string-length(PlacesDescription)>0">
						<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
					</xsl:if>
				</catWH_ru:CargoPlace>
			</xsl:if>
			<xsl:if test="string-length(GrossWeightQuantity)>0">
				<catWH_ru:BruttoVolQuant>
					<catWH_ru:GoodsQuantity><xsl:value-of select="GrossWeightQuantity"/></catWH_ru:GoodsQuantity>
					<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
					<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:BruttoVolQuant>
			</xsl:if>
			<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
				<catWH_ru:MeasureQuantity>
					<catWH_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catWH_ru:GoodsQuantity>
					<xsl:if test="string-length(MeasureUnitQualifierName)>0">
						<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
					</xsl:if>
					<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:MeasureQuantity>
			</xsl:if>
			<catWH_ru:KeepingLimit>
				<catWH_ru:AcceptDate>
					<xsl:choose>
						<xsl:when test="string-length(../../DeadLine)>0">
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="../../DeadLine"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="$Now"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</catWH_ru:AcceptDate>
			</catWH_ru:KeepingLimit>
		</catWH_ru:Goods>
	</xsl:template>
	<xsl:key use="./ContainerID" name="ContCMRDO1" match="//CMRCONT_ITEM[string-length(ContainerID)>0]"/>
	<xsl:key use="concat(./ContainerNum,../../RegNum)" name="ContSea" match="//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[string-length(ContainerNum)>0]"/>
	<xsl:template match="//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[string-length(ContainerNum)>0]" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:variable name="Cont" select="ContainerNum"/>
		<catWH_ru:Containers>
			<catWH_ru:ContainerNumber><xsl:value-of select="$Cont"/></catWH_ru:ContainerNumber>
			<catWH_ru:GrossWeightQuantity><xsl:value-of select="//CONOSAMENTGoods/TotalGrossWeightQuantity"/></catWH_ru:GrossWeightQuantity>
		</catWH_ru:Containers>
	</xsl:template>
	<xsl:template name="GoodsRwb" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:param name="Pos"/>
		<xsl:param name="Curr"/>
		<xsl:param name="Now"/>
		<catWH_ru:Goods>
			<catWH_ru:GoodsNumber><xsl:value-of select="$Pos"/></catWH_ru:GoodsNumber>
			<xsl:if test="string-length(GoodsCode)>0">
				<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catWH_ru:GoodsTNVEDCode>
			</xsl:if>
			<xsl:if test="string-length(TotalCost)>0">
				<catWH_ru:InvoiceCost><xsl:value-of select="round(TotalCost * 100) div 100"/></catWH_ru:InvoiceCost>
			</xsl:if>
			<xsl:if test="string-length($Curr)>0">
				<catWH_ru:CurrencyCode><xsl:value-of select="$Curr"/></catWH_ru:CurrencyCode>
			</xsl:if>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods">
					<xsl:call-template name="GoodDescrAvto"/>
				</xsl:with-param>
				<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				<xsl:with-param name="NameMes" select="false"/>
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<xsl:if test="string-length(PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
				<catWH_ru:CargoPlace>
					<xsl:if test="string-length(PlacesQuantity)>0">
						<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
					</xsl:if>
					<xsl:if test="string-length(PlacesCode)>0">
						<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
					</xsl:if>
					<xsl:if test="string-length(PlacesDescription)>0">
						<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
					</xsl:if>
				</catWH_ru:CargoPlace>
			</xsl:if>
			<xsl:if test="string-length(GrossWeightQuantity)>0">
				<catWH_ru:BruttoVolQuant>
					<catWH_ru:GoodsQuantity><xsl:value-of select="GrossWeightQuantity"/></catWH_ru:GoodsQuantity>
					<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
					<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:BruttoVolQuant>
			</xsl:if>
			<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 and MeasureUnitQualifierCode!='166'">
				<catWH_ru:MeasureQuantity>
					<catWH_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catWH_ru:GoodsQuantity>
					<xsl:if test="string-length(MeasureUnitQualifierName)>0">
						<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
					</xsl:if>
					<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:MeasureQuantity>
			</xsl:if>
			<catWH_ru:KeepingLimit>
				<catWH_ru:AcceptDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="$Now"/>
					</xsl:call-template>
				</catWH_ru:AcceptDate>
			</catWH_ru:KeepingLimit>
		</catWH_ru:Goods>
	</xsl:template>
	<xsl:template name="TransportCMR" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
		<xsl:param name="Id"/>
		<xsl:for-each select="//TIR/TIR_ITEM[TMNumber=$Id]">
			<catWH_ru:Avto>
				<xsl:if test="string-length(TrailerNumber)>0">
					<catWH_ru:TrailerIdentifier><xsl:value-of select="TrailerNumber"/></catWH_ru:TrailerIdentifier>
				</xsl:if>
				<xsl:if test="string-length(TrailerNumber2)>0">
					<catWH_ru:SecondTrailerIdentifier><xsl:value-of select="TrailerNumber2"/></catWH_ru:SecondTrailerIdentifier>
				</xsl:if>
			</catWH_ru:Avto>
		</xsl:for-each>
		<xsl:for-each select="//CMR/CMR_ITEM[PrimeMoverStateSignID=$Id]">
			<catWH_ru:Avto>
				<xsl:if test="string-length(TrailerStateSignID)>0">
					<catWH_ru:TrailerIdentifier><xsl:value-of select="TrailerStateSignID"/></catWH_ru:TrailerIdentifier>
				</xsl:if>
				<xsl:if test="string-length(TrailerStateSignID2)>0">
					<catWH_ru:SecondTrailerIdentifier><xsl:value-of select="TrailerStateSignID2"/></catWH_ru:SecondTrailerIdentifier>
				</xsl:if>
			</catWH_ru:Avto>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="TransportRWB" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
		<xsl:param name="Id"/>
		<xsl:for-each select="//RWB/RWB_ITEM/RWBCarriage/RWBCARRIAGE_ITEM[CarriageId=$Id]">
			<catWH_ru:RailRoad>
				<catWH_ru:RailStation><xsl:value-of select="../../DepStationCode"/></catWH_ru:RailStation>
			</catWH_ru:RailRoad>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="TransportCON" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:param name="Id"/>
		<xsl:for-each select="//CONOSAMENT/CONOSAMENT_ITEM[VesselName=$Id]">
			<catWH_ru:Sea>
				<xsl:if test="string-length(Cruise)>0">
					<catWH_ru:EntryNumber><xsl:value-of select="Cruise"/></catWH_ru:EntryNumber>
				</xsl:if>
				<xsl:if test="string-length(VesselNationalityCode)>0">
					<catWH_ru:CountryCode><xsl:value-of select="VesselNationalityCode"/></catWH_ru:CountryCode>
				</xsl:if>
				<xsl:if test="string-length(VesselShipmaster)>0">
					<catWH_ru:Captain>
						<cat_ru:PersonSurname><xsl:value-of select="VesselShipmaster"/></cat_ru:PersonSurname>
					</catWH_ru:Captain>
				</xsl:if>
			</catWH_ru:Sea>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="TranspTDCh">
		<xsl:param name="TypeTr"/>
		<xsl:choose>
			<xsl:when test="$TypeTr=10">
				<xsl:call-template name="TransportCON">
					<xsl:with-param name="Id" select="TMNumber"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$TypeTr=20">
				<xsl:call-template name="TransportRWB">
					<xsl:with-param name="Id" select="TMNumber"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$TypeTr=30">
				<xsl:call-template name="TransportCMR">
					<xsl:with-param name="Id" select="TMNumber"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="WhCr_INN" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:param name="WhCode"/>
		<xsl:choose>
			<xsl:when test="$WhCode='RU'">
				<cat_ru:RFOrganizationFeatures/>
			</xsl:when>
			<xsl:when test="$WhCode='BY'">
				<cat_ru:RBOrganizationFeatures/>
			</xsl:when>
			<xsl:when test="$WhCode='KZ'">
				<cat_ru:RKOrganizationFeatures/>
			</xsl:when>
			<xsl:when test="$WhCode='AM'">
				<cat_ru:RAOrganizationFeatures/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="DriverDO1" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:param name="Pref"/>
		<catWH_ru:CarrierPerson>
			<cat_ru:PersonSurname><xsl:value-of select="*[name()=normalize-space(concat($Pref,'PersonSurname'))]"/></cat_ru:PersonSurname>
			<cat_ru:PersonName><xsl:value-of select="*[name()=normalize-space(concat($Pref,'PersonName'))]"/></cat_ru:PersonName>
			<xsl:if test="string-length(*[name()=normalize-space(concat($Pref,'PersonMiddleName'))])>0">
				<cat_ru:PersonMiddleName><xsl:value-of select="*[name()=normalize-space(concat($Pref,'PersonMiddleName'))]"/></cat_ru:PersonMiddleName>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="string-length(PersonPost)>0">
					<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
				</xsl:when>
				<xsl:when  test="string-length(PersonPost)=0 and string-length($Pref)>0">
					<cat_ru:PersonPost>ВОДИТЕЛЬ</cat_ru:PersonPost>
				</xsl:when>
			</xsl:choose>
		</catWH_ru:CarrierPerson>
	</xsl:template>
	<xsl:key use="concat(./ContainerID,../../EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentNumber,substring(../../EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentDate,1,10),../../EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/ModeCode)" name="TDCont" match="//ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM"/>
	<xsl:template match="ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonLeafTypesCust:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:param  name="Lev"/>
		<xsl:param  name="Nums"/>
		<xsl:variable name="CNum" select="ContainerID"/>
		<xsl:choose>
			<xsl:when test="$Lev=1">
				<catWH_ru:Containers>
					<catWH_ru:ContainerNumber><xsl:value-of select="ContainerID"/></catWH_ru:ContainerNumber>
					<catWH_ru:GrossWeightQuantity><xsl:value-of select="sum(//ESADOUT_TDGOODS_ITEM[Container/CONTAINER_ITEM/ContainerID=$CNum and string-length(GrossWeightQuantity)>0 and concat(EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentNumber,substring(EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentDate,1,10),EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/ModeCode)=$Nums]/GrossWeightQuantity)"/></catWH_ru:GrossWeightQuantity>
				</catWH_ru:Containers>
			</xsl:when>
			<xsl:when test="$Lev=2">
				<xsl:variable name="PosC" select="position()"/>
					<xsl:for-each select="//ESADOUT_TDGOODS_ITEM[concat(EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentNumber,substring(EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentDate,1,10),EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/ModeCode)=$Nums]">
						<xsl:if  test="Container/CONTAINER_ITEM/ContainerID=$CNum">
						<catWH_ru:GoodContLinks>
							<catWH_ru:GoodNumber><xsl:value-of select="position()"/></catWH_ru:GoodNumber>
							<catWH_ru:ContainerNumber><xsl:value-of select="$PosC"/></catWH_ru:ContainerNumber>
						</catWH_ru:GoodContLinks>
						</xsl:if>
					</xsl:for-each>
			</xsl:when>
		</xsl:choose>
	</xsl:template>	
	
	<xsl:key use="concat(./ModeCode,./DocumentNumber,./DocumentDate)" name="TDDoc" match="//ESADOUT_TDGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[ModeCode=02013 or ModeCode=02015 or ModeCode=09015 or ModeCode=02011]"/>
	<xsl:template match="ESADOUT_TDGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[ModeCode=02013 or ModeCode=02015 or ModeCode=09015]" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonLeafTypesCust:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0">
		<xsl:param name="Now"/>
		<xsl:variable name="docnum" select="DocumentNumber"/>
		<xsl:variable name="docdat">
			<xsl:call-template name="TranslateDate">
				<xsl:with-param name="Dat" select="DocumentDate"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="mc" select="ModeCode"/>
		<do1r:TransportDocs>
			<xsl:choose>
				<xsl:when test="$mc=02013">
					<cat_ru:PrDocumentName>СМГС</cat_ru:PrDocumentName>
				</xsl:when>
				<xsl:when test="$mc=02015">
					<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
				</xsl:when>
				<xsl:when test="$mc=09015or $mc=02011">
					<xsl:if test="//CONOSAMENT/CONOSAMENT_ITEM/RegNum = $docnum">
						<cat_ru:PrDocumentName>КОНОСАМЕНТ</cat_ru:PrDocumentName>
					</xsl:if>
				</xsl:when>
			</xsl:choose>
			<xsl:if test="string-length($docnum)>0">
				<cat_ru:PrDocumentNumber><xsl:value-of select="$docnum"/></cat_ru:PrDocumentNumber>
			</xsl:if>
			<xsl:if test="string-length($docdat )>0">
				<cat_ru:PrDocumentDate><xsl:value-of select="$docdat"/></cat_ru:PrDocumentDate>
			</xsl:if>
			<xsl:variable name="DocNumDatCode" select="concat($docnum,$docdat,$mc)"/>
			<catWH_ru:PresentedDocumentModeCode>
				<xsl:choose>
					<xsl:when test="$mc=09015">
						<xsl:if test="//CONOSAMENT/CONOSAMENT_ITEM/RegNum = $docnum">02011</xsl:if>
					</xsl:when>
					<xsl:when test="($mc=02013) or ($mc=02015) or ($mc=02011)">
						<xsl:value-of select="$mc"/>
					</xsl:when>
				</xsl:choose>
			</catWH_ru:PresentedDocumentModeCode>
			<xsl:for-each select="../../../../../ESADOUT_TD_ITEM">
				<catWH_ru:Consignor>
					<xsl:variable name="CorCn" select="Consignor_CountryCode"/>
					<catWH_ru:CountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CorCn]/Code"/></catWH_ru:CountryCode>
					<catWH_ru:OrganizationName><xsl:value-of select="Consignor_Name"/></catWH_ru:OrganizationName>
					<xsl:call-template name="Address">
						<xsl:with-param name="Pref" select="'Consignor_'"/>
						<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
					</xsl:call-template>
				</catWH_ru:Consignor>
				<catWH_ru:Consignee>
					<xsl:call-template name="OrgNode">
						<xsl:with-param name="Pref" select="'Consignee_'"/>
						<xsl:with-param name="ReqNode" select="false"/>
						<xsl:with-param name="PostalAddress" select="4"/>
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
					</xsl:call-template>
				</catWH_ru:Consignee>
			</xsl:for-each>
			<xsl:for-each select="//ESADOUT_TDGOODS_ITEM[concat(EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentNumber,substring(EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/DocumentDate,1,10),EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/ModeCode)=$DocNumDatCode]">
				<xsl:variable name="NumGood" select="position()"/>
				<xsl:call-template name="GoodsTranzit">
					<xsl:with-param name="Pos" select="$NumGood"/>
					<xsl:with-param name="Now" select="$Now"/>
				</xsl:call-template>
				
			</xsl:for-each>
			<xsl:apply-templates select="//ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM[generate-id(.)=generate-id(key('TDCont',concat(./ContainerID,$DocNumDatCode)))]">
				<xsl:with-param  name="Lev" select="1"/>
				<xsl:with-param  name="Nums" select="$DocNumDatCode"/>
			</xsl:apply-templates>
			<xsl:apply-templates select="//ESADOUT_TDGOODS_ITEM/Container/CONTAINER_ITEM[generate-id(.)=generate-id(key('TDCont',concat(./ContainerID,$DocNumDatCode)))]">
				<xsl:with-param  name="Lev" select="2"/>
				<xsl:with-param  name="Nums" select="$DocNumDatCode"/>
			</xsl:apply-templates>
		</do1r:TransportDocs>
	</xsl:template>
	<xsl:template name="DO1Report">
		<xsl:param name="Now"/>
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<ContainerDoc>
				<DocBody>
					<do1r:DO1Report xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1008001E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
						<xsl:if test="string-length($RefDocumentID)>0">
							<cat_ru:RefDocumentID><xsl:value-of select="$RefDocumentID"/></cat_ru:RefDocumentID>
						</xsl:if>
						<xsl:if test="count(//ESADOUT_TD)>0">
							<xsl:for-each select="ESADOUT_TD[1]/ESADOUT_TD_ITEM">
								<catWH_ru:MainTransportModeCode><xsl:value-of select="DepartureArrivalTransport_TransportModeCode"/></catWH_ru:MainTransportModeCode>
								<catWH_ru:ReportNumber/>
								<catWH_ru:ReportDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="$Now"/>
									</xsl:call-template>
								</catWH_ru:ReportDate>
								<catWH_ru:WarehouseOwner/>
								<do1r:Carrier>
									<cat_ru:OrganizationName><xsl:value-of select="Carrier_Name"/></cat_ru:OrganizationName>
									<xsl:variable name="ogrn" select="Carrier_OGRN"/>
									<cat_ru:RFOrganizationFeatures>
										<cat_ru:OGRN><xsl:value-of select="Carrier_OGRN"/></cat_ru:OGRN>
										<xsl:choose>
											<xsl:when test="$ogrn=1037739877295">
												<cat_ru:INN>7708503727</cat_ru:INN>
												<cat_ru:KPP>770801001</cat_ru:KPP>
											</xsl:when>
											<xsl:otherwise>
												<cat_ru:INN><xsl:value-of select="Carrier_INN"/></cat_ru:INN>
												<cat_ru:KPP><xsl:value-of select="Carrier_KPP"/></cat_ru:KPP>
											</xsl:otherwise>
										</xsl:choose>
									</cat_ru:RFOrganizationFeatures>
									<xsl:choose>
										<xsl:when test="$ogrn=1037739877295">
											<catWH_ru:CountryCode>643</catWH_ru:CountryCode>
											<catWH_ru:Address>
												<cat_ru:PostalCode>107174</cat_ru:PostalCode>
												<cat_ru:CountryCode>RU</cat_ru:CountryCode>
												<cat_ru:CounryName>РОССИЯ</cat_ru:CounryName>
												<cat_ru:City>МОСКВА</cat_ru:City>
												<cat_ru:StreetHouse>УЛ.НОВАЯ БАССМАННАЯ Д.2</cat_ru:StreetHouse>
												<catWH_ru:AddressLine>РОССИЯ, МОСКВА, УЛ.НОВАЯ БАССМАННАЯ Д.2</catWH_ru:AddressLine>
											</catWH_ru:Address>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="Code2L" select="Carrier_CountryCode"/>
											<catWH_ru:CountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$Code2L]/Code"/></catWH_ru:CountryCode>
											<xsl:call-template name="Address">
												<xsl:with-param name="Pref" select="'Carrier_'"/>
												<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
										<xsl:when test="count(Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0])>0">
											<xsl:for-each select="Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0]">
												<xsl:call-template name="DriverDO1"/>
											</xsl:for-each>
										</xsl:when>
										<xsl:when test="count(//APPENDIX/APPENDIX_ITEM/Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0])>0">
											<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0]">
												<xsl:call-template name="DriverDO1"/>
											</xsl:for-each>
										</xsl:when>
									</xsl:choose>
								</do1r:Carrier>
							</xsl:for-each>
							<xsl:for-each select="ESADOUT_TD/ESADOUT_TD_ITEM/BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(TMNumber)>0]">
								<do1r:Transports>
									<xsl:variable name="BorderTr" select="../../BorderTransport_TransportModeCode"/>
									<catWH_ru:TransportModeCode><xsl:value-of select="$BorderTr"/></catWH_ru:TransportModeCode>
									<catWH_ru:TransportIdentifier><xsl:value-of select="TMNumber"/></catWH_ru:TransportIdentifier>
									<xsl:call-template name="TranspTDCh">
										<xsl:with-param name="TypeTr" select="$BorderTr"/>
									</xsl:call-template>	
								</do1r:Transports>
							</xsl:for-each>
							<xsl:for-each select="ESADOUT_TD/ESADOUT_TD_ITEM/DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM">
								<do1r:Transports>
									<xsl:variable name="DepTr" select="../../DepartureArrivalTransport_TransportModeCode"/>
									<catWH_ru:TransportModeCode><xsl:value-of select="$DepTr"/></catWH_ru:TransportModeCode>
									<catWH_ru:TransportIdentifier><xsl:value-of select="TMNumber"/></catWH_ru:TransportIdentifier>
									<xsl:call-template name="TranspTDCh">
										<xsl:with-param name="TypeTr" select="$DepTr"/>
									</xsl:call-template>	
								</do1r:Transports>
							</xsl:for-each>
							<do1r:GoodsShipment>
								<do1r:TotalPackageNumber><xsl:value-of select="sum(//ESADOUT_TD/ESADOUT_TD_ITEM[string-length(TotalPackageNumber)>0]/TotalPackageNumber)"/></do1r:TotalPackageNumber>
								<do1r:MPOSign>0</do1r:MPOSign>
								<xsl:apply-templates select="//ESADOUT_TDGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[generate-id(.)=generate-id(key('TDDoc',concat(./ModeCode,./DocumentNumber,./DocumentDate)))][ModeCode=02013 or ModeCode=02015 or ModeCode=09015 or ModeCode=02011]">
									<xsl:with-param name="Now" select="$Now"/>
								</xsl:apply-templates>
								
								<xsl:for-each select="//DesNotif_PIResult/DesNotif_PIResult_ITEM">
									<xsl:if test="not (RefDocumentID)">
										<do1r:CustomsDocs>
											<xsl:if test="string-length(DocumentID)>0">
												<cat_ru:PrDocumentName>ТД</cat_ru:PrDocumentName>
												<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentID"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(DateOutTR)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="DateOutTR"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catWH_ru:DocumentCode>02</catWH_ru:DocumentCode>
											<xsl:if test="string-length(//ESADOUT_TD/ESADOUT_TD_ITEM/DeliveryCustomsOfficeCode)>0">
												<catWH_ru:VttCustomsCode><xsl:value-of select="//ESADOUT_TD/ESADOUT_TD_ITEM/DeliveryCustomsOfficeCode"/></catWH_ru:VttCustomsCode>
											</xsl:if>	
										</do1r:CustomsDocs>
									</xsl:if>
								</xsl:for-each>
								<xsl:for-each select="//INVOICE/INVOICE_ITEM">
									<do1r:CommerceDocs>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:PresentedDocumentModeCode>04021</catWH_ru:PresentedDocumentModeCode>
									</do1r:CommerceDocs>
								</xsl:for-each>
							</do1r:GoodsShipment>
						</xsl:if>
						<xsl:if test="count(//CMR)>0 and count(//ESADOUT_TD)=0">
							<xsl:for-each select="CMR[1]/CMR_ITEM">
								<catWH_ru:MainTransportModeCode>
									<xsl:choose>
										<xsl:when test="string-length(//TIR/TIR_ITEM/TransportModeCode)>0">
											<xsl:value-of select="//TIR/TIR_ITEM/TransportModeCode"/>
										</xsl:when>
										<xsl:otherwise>30</xsl:otherwise>
									</xsl:choose>
								</catWH_ru:MainTransportModeCode>
								<catWH_ru:ReportNumber/>
								<catWH_ru:ReportDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="$Now"/>
									</xsl:call-template>
								</catWH_ru:ReportDate>
								<catWH_ru:WarehouseOwner>
									<xsl:if test="string-length(WarehouseName)>0">
										<cat_ru:OrganizationName><xsl:value-of select="WarehouseName"/></cat_ru:OrganizationName>
									</xsl:if>
									<cat_ru:OrganizationLanguage>RU</cat_ru:OrganizationLanguage>
									<xsl:call-template name="WhCr_INN">
										<xsl:with-param name="WhCode" select="Warehouse_CountryCode"/>
									</xsl:call-template>	
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Warehouse_'"/>
										<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									</xsl:call-template>
									<catWH_ru:WarehouseLicense>
										<xsl:if test="string-length(WarehouseLicenceID)>0">
											<catWH_ru:CertificateKind>lic_Licence</catWH_ru:CertificateKind>
											<catWH_ru:CertificateNumber>
												<xsl:value-of select="WarehouseLicenceID"/>
											</catWH_ru:CertificateNumber>
											<xsl:if test="string-length(WarehouseLicenceDate)>0">
												<catWH_ru:CertificateDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="WarehouseLicenceDate"/>
													</xsl:call-template>
												</catWH_ru:CertificateDate>
											</xsl:if>
										</xsl:if>
									</catWH_ru:WarehouseLicense>
								</catWH_ru:WarehouseOwner>
								<do1r:Carrier>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Carrier_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="PostalAddress" select="4"/>
										<xsl:with-param name="BLR" select="'AM'"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									</xsl:call-template>
									<xsl:choose>
										<xsl:when test="count(//APPENDIX/APPENDIX_ITEM/Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0])>0">
											<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0]">
												<xsl:call-template name="DriverDO1"/>
											</xsl:for-each>
										</xsl:when>
										<xsl:when test="count(//WHDOCINVENTORY_ITEM[string-length(Carrier_Driver_PersonSurname)>0 and string-length(Carrier_Driver_PersonName)>0])>0">
											<xsl:for-each select="//WHDOCINVENTORY_ITEM[string-length(Carrier_Driver_PersonSurname)>0 and string-length(Carrier_Driver_PersonName)>0]">
												<xsl:call-template name="DriverDO1">
													<xsl:with-param name="Pref" select="'Carrier_Driver_'"/>
												</xsl:call-template>
											</xsl:for-each>
										</xsl:when>
									</xsl:choose>
								</do1r:Carrier>
								<do1r:Transports>
									<catWH_ru:TransportModeCode>
										<xsl:choose>
											<xsl:when test="string-length(//TIR/TIR_ITEM/TransportModeCode)>0">
												<xsl:value-of select="//TIR/TIR_ITEM/TransportModeCode"/>
											</xsl:when>
											<xsl:otherwise>30</xsl:otherwise>
										</xsl:choose>
									</catWH_ru:TransportModeCode>
									<catWH_ru:TransportIdentifier>
										<xsl:choose>
											<xsl:when test="string-length(//TIR/TIR_ITEM/TMNumber)>0">
												<xsl:value-of select="//TIR/TIR_ITEM/TMNumber"/>
											</xsl:when>
											<xsl:when test="string-length(PrimeMoverStateSignID)>0">
												<xsl:value-of select="PrimeMoverStateSignID"/>
											</xsl:when>
										</xsl:choose>
									</catWH_ru:TransportIdentifier>
									<xsl:choose>
											<xsl:when test="string-length(//TIR/TIR_ITEM/TMNumber)>0">
												<xsl:call-template name="TransportCMR">
													<xsl:with-param name="Id" select="//TIR/TIR_ITEM/TMNumber"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:when test="string-length(PrimeMoverStateSignID)>0">
											<xsl:call-template name="TransportCMR">
													<xsl:with-param name="Id" select="PrimeMoverStateSignID"/>
												</xsl:call-template>
											</xsl:when>
										</xsl:choose>
								</do1r:Transports>
							</xsl:for-each>
							<do1r:GoodsShipment>
								<do1r:TotalPackageNumber><xsl:value-of select="sum(//INVOICEGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/></do1r:TotalPackageNumber>
								<do1r:MPOSign>0</do1r:MPOSign>
								<xsl:for-each select="//CMR/CMR_ITEM">
									<xsl:variable name="NumCmr" select="RegNum"/>
									<xsl:variable name="DatCmr">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:variable name="PosCmr" select="count(../preceding-sibling::*)"/>
									<xsl:variable name="NumCmrGr" select="concat(RegNum,$DatCmr,$PosCmr)"/>
									<xsl:variable name="Groups" select="GroupGoods"/>
									<do1r:TransportDocs>
										<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
										<xsl:if test="string-length($NumCmr)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="$NumCmr"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length($DatCmr)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="$DatCmr"/></cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:PresentedDocumentModeCode>02015</catWH_ru:PresentedDocumentModeCode>
										<catWH_ru:Consignor>
											<xsl:variable name="CorCn" select="Consignor_CountryCode"/>
											<catWH_ru:CountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CorCn]/Code"/></catWH_ru:CountryCode>
											<catWH_ru:OrganizationName><xsl:value-of select="Consignor_Name"/></catWH_ru:OrganizationName>
											<xsl:call-template name="Address">
												<xsl:with-param name="Pref" select="'Consignor_'"/>
												<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignor>
										<catWH_ru:Consignee>
											<xsl:call-template name="OrgNode">
												<xsl:with-param name="Pref" select="'Consignee_'"/>
												<xsl:with-param name="ReqNode" select="false"/>
												<xsl:with-param name="PostalAddress" select="4"/>
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignee>
										<xsl:choose>
											<xsl:when test="GroupGoods=1">
												<xsl:call-template name="DO1Goods">
													<xsl:with-param name="CMRNum" select="$NumCmrGr"/>
													<xsl:with-param name="CmrN" select="$NumCmr"/>
													<xsl:with-param name="CmrD" select="$DatCmr"/>
													<xsl:with-param name="Now" select="$Now"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:choose>
													<xsl:when test="count(//CMR/CMR_ITEM)>1">
														<xsl:for-each select="//INVOICEGOODS_ITEM[../../NumDateCMR=$NumCmrGr]">
															<xsl:call-template name="GoodsInvoice">
																<xsl:with-param name="Now" select="$Now"/>
															</xsl:call-template>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:for-each select="//INVOICEGOODS_ITEM">
															<xsl:call-template name="GoodsInvoice">
																<xsl:with-param name="Now" select="$Now"/>
															</xsl:call-template>
														</xsl:for-each>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:if test="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMRDO1',./ContainerID))])>0">
											<xsl:apply-templates select="//CMRcont/CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMRDO1',./ContainerID))]">
												<xsl:with-param name="CmrN" select="$NumCmr"/>
												<xsl:with-param name="CmrD" select="$DatCmr"/>
												<xsl:with-param name="Flg" select="1"/>
											</xsl:apply-templates>
										</xsl:if>
									</do1r:TransportDocs>
								</xsl:for-each>
								<xsl:if test="count(//TIR/TIR_ITEM)>0">
									<do1r:CustomsDocs>
										<cat_ru:PrDocumentName>TIR</cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="concat(//TIR/TIR_ITEM/TIRSeries,//TIR/TIR_ITEM/TIRID)"/></cat_ru:PrDocumentNumber>
										<catWH_ru:DocumentCode>03</catWH_ru:DocumentCode>
									</do1r:CustomsDocs>
								</xsl:if>
								<xsl:for-each select="//DesNotif_PIResult/DesNotif_PIResult_ITEM">
									<xsl:if test="not (RefDocumentID)">
										<do1r:CustomsDocs>
											<xsl:if test="string-length(DocumentID)>0">
												<cat_ru:PrDocumentName>ТД</cat_ru:PrDocumentName>
												<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentID"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(//ESADOUT_TD/ESADOUT_TD_ITEM/ExecutionDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="//ESADOUT_TD/ESADOUT_TD_ITEM/ExecutionDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catWH_ru:DocumentCode>02</catWH_ru:DocumentCode>
											<catWH_ru:VttCustomsCode><xsl:value-of select="//ESADOUT_TD/ESADOUT_TD_ITEM/DeliveryCustomsOfficeCode"/></catWH_ru:VttCustomsCode>
										</do1r:CustomsDocs>
									</xsl:if>
								</xsl:for-each>
								<xsl:for-each select="//INVOICE/INVOICE_ITEM">
									<do1r:CommerceDocs>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:PresentedDocumentModeCode>04021</catWH_ru:PresentedDocumentModeCode>
									</do1r:CommerceDocs>
								</xsl:for-each>
							</do1r:GoodsShipment>
						</xsl:if>
						<xsl:if test="(count(//RWB)>0) and (count(//ESADOUT_TD)=0)">
							<xsl:for-each select="RWB[1]/RWB_ITEM">
								<catWH_ru:MainTransportModeCode>20</catWH_ru:MainTransportModeCode>
								<catWH_ru:ReportNumber/>
								<catWH_ru:ReportDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="$Now"/>
									</xsl:call-template>
								</catWH_ru:ReportDate>
								<catWH_ru:WarehouseOwner>
									<xsl:if test="string-length(WarehouseName)>0">
										<cat_ru:OrganizationName><xsl:value-of select="WarehouseName"/></cat_ru:OrganizationName>
									</xsl:if>
									<cat_ru:OrganizationLanguage>RU</cat_ru:OrganizationLanguage>
									<xsl:call-template name="WhCr_INN">
										<xsl:with-param name="WhCode" select="Warehouse_CountryCode"/>
									</xsl:call-template>	
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Warehouse_'"/>
										<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									</xsl:call-template>
									<catWH_ru:WarehouseLicense>
										<xsl:if test="string-length(WarehouseLicenceID)>0">
											<catWH_ru:CertificateKind>lic_Licence</catWH_ru:CertificateKind>
											<catWH_ru:CertificateNumber><xsl:value-of select="WarehouseLicenceID"/></catWH_ru:CertificateNumber>
											<xsl:if test="string-length(WarehouseLicenceDate)>0">
												<catWH_ru:CertificateDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="WarehouseLicenceDate"/>
													</xsl:call-template>
												</catWH_ru:CertificateDate>
											</xsl:if>
										</xsl:if>
									</catWH_ru:WarehouseLicense>
								</catWH_ru:WarehouseOwner>
								<do1r:Carrier>
									<cat_ru:OrganizationName>ОАО "РОССИЙСКИЕ ЖЕЛЕЗНЫЕ ДОРОГИ"</cat_ru:OrganizationName>
									<cat_ru:RFOrganizationFeatures>
										<cat_ru:OGRN>1037739877295</cat_ru:OGRN>
										<cat_ru:INN>7708503727</cat_ru:INN>
										<cat_ru:KPP>770801001</cat_ru:KPP>
									</cat_ru:RFOrganizationFeatures>
									<catWH_ru:CountryCode>643</catWH_ru:CountryCode>
									<catWH_ru:Address>
										<cat_ru:PostalCode>107174</cat_ru:PostalCode>
										<cat_ru:CountryCode>RU</cat_ru:CountryCode>
										<cat_ru:CounryName>РОССИЯ</cat_ru:CounryName>
										<cat_ru:City>МОСКВА</cat_ru:City>
										<cat_ru:StreetHouse>УЛ.НОВАЯ БАССМАННАЯ Д.2</cat_ru:StreetHouse>
									</catWH_ru:Address>
								</do1r:Carrier>
							</xsl:for-each>
							<xsl:for-each select="RWB/RWB_ITEM">
								<xsl:choose>
									<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0])>0">
										<xsl:for-each select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0]">
											<do1r:Transports>
												<catWH_ru:TransportModeCode>20</catWH_ru:TransportModeCode>
												<catWH_ru:TransportIdentifier><xsl:value-of select="CarriageId"/></catWH_ru:TransportIdentifier>
												<xsl:call-template name="TransportRWB">
													<xsl:with-param name="Id" select="CarriageId"></xsl:with-param>
												</xsl:call-template>
											</do1r:Transports>
										</xsl:for-each>
									</xsl:when>
									<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>0">
										<xsl:for-each select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]">
											<do1r:Transports>
												<catWH_ru:TransportModeCode>20</catWH_ru:TransportModeCode>
												<catWH_ru:TransportIdentifier><xsl:value-of select="RailwayBill"/></catWH_ru:TransportIdentifier>
												<xsl:call-template name="TransportRWB">
													<xsl:with-param name="Id" select="RailwayBill"/>
												</xsl:call-template>
											</do1r:Transports>
										</xsl:for-each>
									</xsl:when>
								</xsl:choose>
							</xsl:for-each>
							<xsl:for-each select="CONOSAMENT/CONOSAMENT_ITEM">
								<do1r:Transports>
									<catWH_ru:TransportModeCode>10</catWH_ru:TransportModeCode>
									<catWH_ru:TransportIdentifier><xsl:value-of select="VesselName"/></catWH_ru:TransportIdentifier>
									<xsl:call-template name="TransportCON">
										<xsl:with-param name="Id" select="VesselName"/>
									</xsl:call-template>
								</do1r:Transports>
							</xsl:for-each>
							<do1r:GoodsShipment>
								<do1r:TotalPackageNumber>
									<xsl:value-of select="sum(//INVOICEGoods/INVOICEGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/>
								</do1r:TotalPackageNumber>
								<do1r:MPOSign>0</do1r:MPOSign>
								<xsl:for-each select="//RWB/RWB_ITEM">
									<xsl:variable name="NumRw" select="RegNum"/>
									<xsl:variable name="DatRw">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:variable name="ContNum" select="ContainerID"/>
									<xsl:variable name="PosCmr" select="count(../preceding-sibling::*)"/>
									<xsl:variable name="NumRwGr" select="concat($NumRw,$DatRw,$PosCmr)"/>
									<do1r:TransportDocs>
										<cat_ru:PrDocumentName>СМГС</cat_ru:PrDocumentName>
										<xsl:if test="string-length($NumRw)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="$NumRw"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length($DatRw)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="$DatRw"/></cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:PresentedDocumentModeCode>02013</catWH_ru:PresentedDocumentModeCode>
										<catWH_ru:Consignor>
											<xsl:variable name="cc" select="Consignor_CountryCode"/>
											<catWH_ru:CountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$cc]/Code"/></catWH_ru:CountryCode>
											<catWH_ru:OrganizationName><xsl:value-of select="Consignor_Name"/></catWH_ru:OrganizationName>
											<xsl:call-template name="Address">
												<xsl:with-param name="Pref" select="'Consignor_'"/>
												<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignor>
										<catWH_ru:Consignee>
											<xsl:call-template name="OrgNode">
												<xsl:with-param name="Pref" select="'Consignee_'"/>
												<xsl:with-param name="ReqNode" select="false"/>
												<xsl:with-param name="PostalAddress" select="4"/>
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignee>
										<xsl:for-each select="//INVOICE/INVOICE_ITEM">
											<xsl:if test="Container/CONTAINER_ITEM/ContainerID=$ContNum">
												<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
													<xsl:variable name="NumGood" select="position()"/>
													<xsl:call-template name="GoodsRwb">
														<xsl:with-param name="Pos" select="$NumGood"/>
														<xsl:with-param name="Curr" select="../../CurrencyCode"/>
														<xsl:with-param name="Now" select="$Now"/>
													</xsl:call-template>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
										<catWH_ru:Containers>
											<catWH_ru:ContainerNumber>
												<xsl:choose>
													<xsl:when test="contains($ContNum,'-P')">
														<xsl:value-of select="normalize-space(substring-before($ContNum,'-P'))"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="$ContNum"/>
													</xsl:otherwise>
												</xsl:choose>
											</catWH_ru:ContainerNumber>
											<catWH_ru:GrossWeightQuantity><xsl:value-of select="sum(//INVOICE/INVOICE_ITEM[Container/CONTAINER_ITEM/ContainerID=$ContNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)"/></catWH_ru:GrossWeightQuantity>
										</catWH_ru:Containers>
										<xsl:for-each select="//INVOICEGoods/INVOICEGOODS_ITEM[../../Container/CONTAINER_ITEM/ContainerID=$ContNum]">
											<do1r:GoodContLinks>
												<do1r:GoodNumber><xsl:value-of select="position()"/></do1r:GoodNumber>
												<do1r:ContainerNumber><xsl:value-of select="$ContNum"/></do1r:ContainerNumber>
											</do1r:GoodContLinks>
										</xsl:for-each>
									</do1r:TransportDocs>
								</xsl:for-each>
								<xsl:for-each select="//DesNotif_PIResult/DesNotif_PIResult_ITEM">
									<xsl:if test="not (RefDocumentID)">
										<do1r:CustomsDocs>
											<xsl:if test="string-length(DocumentID)>0">
												<cat_ru:PrDocumentName>ТД</cat_ru:PrDocumentName>
												<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentID"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(//ESADOUT_TD/ESADOUT_TD_ITEM/ExecutionDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="//ESADOUT_TD/ESADOUT_TD_ITEM/ExecutionDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catWH_ru:DocumentCode>02</catWH_ru:DocumentCode>
											<catWH_ru:VttCustomsCode><xsl:value-of select="//ESADOUT_TD/ESADOUT_TD_ITEM/DeliveryCustomsOfficeCode"/></catWH_ru:VttCustomsCode>
										</do1r:CustomsDocs>
									</xsl:if>
								</xsl:for-each>
								<xsl:for-each select="//INVOICE/INVOICE_ITEM">
									<do1r:CommerceDocs>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:PresentedDocumentModeCode>04021</catWH_ru:PresentedDocumentModeCode>
									</do1r:CommerceDocs>
								</xsl:for-each>
							</do1r:GoodsShipment>
						</xsl:if>
						<xsl:if test="count(//CONOSAMENT)>0 and count(//CMR)=0 and count(//RWB)=0 and count(//ESADOUT_TD)=0">
							<xsl:for-each select="CONOSAMENT[1]/CONOSAMENT_ITEM">
								<catWH_ru:MainTransportModeCode>10</catWH_ru:MainTransportModeCode>
								<catWH_ru:ReportNumber/>
								<catWH_ru:ReportDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="$Now"/>
									</xsl:call-template>
								</catWH_ru:ReportDate>
								<catWH_ru:WarehouseOwner>
									<xsl:if test="string-length(WarehouseName)>0">
										<cat_ru:OrganizationName><xsl:value-of select="WarehouseName"/></cat_ru:OrganizationName>
									</xsl:if>
									<cat_ru:OrganizationLanguage>RU</cat_ru:OrganizationLanguage>
									<xsl:call-template name="WhCr_INN">
										<xsl:with-param name="WhCode" select="Warehouse_CountryCode"/>
									</xsl:call-template>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Warehouse_'"/>
										<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									</xsl:call-template>
									<catWH_ru:WarehouseLicense>
										<xsl:if test="string-length(WarehouseLicenceID)>0">
											<catWH_ru:CertificateKind>lic_Licence</catWH_ru:CertificateKind>
											<catWH_ru:CertificateNumber>
												<xsl:value-of select="WarehouseLicenceID"/>
											</catWH_ru:CertificateNumber>
											<xsl:if test="string-length(WarehouseLicenceDate)>0">
												<catWH_ru:CertificateDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="WarehouseLicenceDate"/>
													</xsl:call-template>
												</catWH_ru:CertificateDate>
											</xsl:if>
										</xsl:if>
									</catWH_ru:WarehouseLicense>
								</catWH_ru:WarehouseOwner>
								<do1r:Carrier>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Carrier_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="PostalAddress" select="4"/>
										<xsl:with-param name="BLR" select="'AM'"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									</xsl:call-template>
								</do1r:Carrier>
								<do1r:Transports>
									<catWH_ru:TransportModeCode>10</catWH_ru:TransportModeCode>
									<catWH_ru:TransportIdentifier><xsl:value-of select="VesselName"/></catWH_ru:TransportIdentifier>
									<catWH_ru:Sea>
										<xsl:if test="string-length(VesselNationalityCode)>0 or string-length(VesselNationalityCodeNum)>0 ">
											<xsl:variable select="VesselNationalityCode" name="VNCode"/>
											<catWH_ru:CountryCode>
												<xsl:choose>
													<xsl:when test="number(VesselNationalityCode)">
														<xsl:value-of select="VesselNationalityCode"/>
													</xsl:when>
													<xsl:when test="number(VesselNationalityCodeNum)">
														<xsl:value-of select="VesselNationalityCodeNum"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VNCode]/Code"/>
													</xsl:otherwise>
												</xsl:choose>
											</catWH_ru:CountryCode>
										</xsl:if>
										<xsl:if test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
											<catWH_ru:Captain>
												<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
												<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
												<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
													<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
												</xsl:if>
												<xsl:if test="string-length(DocSig_PersonPost)>0">
													<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
												</xsl:if>
											</catWH_ru:Captain>
										</xsl:if>
									</catWH_ru:Sea>
								</do1r:Transports>
							</xsl:for-each>
							<do1r:GoodsShipment>
								<do1r:TotalPackageNumber>
									<xsl:value-of select="sum(//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/>
								</do1r:TotalPackageNumber>
								<do1r:MPOSign>0</do1r:MPOSign>
								<xsl:for-each select="//CONOSAMENT/CONOSAMENT_ITEM">
									<xsl:variable name="NumSea" select="RegNum"/>
									<xsl:variable name="DatSea">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<do1r:TransportDocs>
										<cat_ru:PrDocumentName>КОНОСАМЕНТ</cat_ru:PrDocumentName>
										<xsl:if test="string-length($NumSea)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="$NumSea"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length($DatSea)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="$DatSea"/></cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:PresentedDocumentModeCode>02011</catWH_ru:PresentedDocumentModeCode>
										<catWH_ru:Consignor>
											<xsl:variable name="CorC" select="Consignor_CountryCode"/>
											<catWH_ru:CountryCode>
												<xsl:choose>
													<xsl:when test="number(Consignor_CountryCode)">
														<xsl:value-of select="Consignor_CountryCode"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CorC]/Code"/>
													</xsl:otherwise>
												</xsl:choose>
											</catWH_ru:CountryCode>
											<catWH_ru:OrganizationName>
												<xsl:value-of select="substring(Consignor_Name,1,150)"/>
											</catWH_ru:OrganizationName>
											<xsl:call-template name="Address">
												<xsl:with-param name="Pref" select="'Consignor_'"/>
												<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
												<xsl:with-param name="PostalAddress" select="4"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignor>
										<catWH_ru:Consignee>
											<xsl:call-template name="OrgNode">
												<xsl:with-param name="Pref" select="'Consignee_'"/>
												<xsl:with-param name="ReqNode" select="false"/>
												<xsl:with-param name="PostalAddress" select="4"/>
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignee>
										<xsl:for-each select="CONOSAMENTGoods/CONOSAMENTGOODS_ITEM">
											<do1r:Goods>
												<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
												<xsl:if test="string-length(GoodsNomenclatureCode)>0">
													<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsNomenclatureCode"/></catWH_ru:GoodsTNVEDCode>
												</xsl:if>
												<xsl:if test="string-length(Price)>0 and string-length(GoodsQuantity)>0">
													<catWH_ru:InvoiceCost><xsl:value-of select="round((Price * GoodsQuantity) * 100) div 100"/></catWH_ru:InvoiceCost>
												</xsl:if>
												<xsl:if test="string-length(../../CurrencyCode)>0">
													<catWH_ru:CurrencyCode><xsl:value-of select="../../CurrencyCode"/></catWH_ru:CurrencyCode>
												</xsl:if>
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods">
														<xsl:call-template name="GoodDescrAvto"/>
													</xsl:with-param>
													<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
													<xsl:with-param name="NameMes" select="false"/>
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>
												<xsl:if test="string-length(PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
													<catWH_ru:CargoPlace>
														<xsl:if test="string-length(PlacesQuantity)>0">
															<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
														</xsl:if>
														<xsl:if test="string-length(PlacesCode)>0">
															<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
														</xsl:if>
														<xsl:if test="string-length(PlacesDescription)>0">
															<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
														</xsl:if>
													</catWH_ru:CargoPlace>
												</xsl:if>
												<xsl:if test="string-length(GrossWeightQuantity)>0">
													<catWH_ru:BruttoVolQuant>
														<catWH_ru:GoodsQuantity><xsl:value-of select="GrossWeightQuantity"/></catWH_ru:GoodsQuantity>
														<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
														<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
													</catWH_ru:BruttoVolQuant>
												</xsl:if>
												<xsl:if test="string-length(GoodsQuantity)>0">
													<catWH_ru:MeasureQuantity>
														<catWH_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catWH_ru:GoodsQuantity>
														<catWH_ru:MeasureUnitQualifierName>ШТ</catWH_ru:MeasureUnitQualifierName>
														<catWH_ru:MeasureUnitQualifierCode>796</catWH_ru:MeasureUnitQualifierCode>
													</catWH_ru:MeasureQuantity>
												</xsl:if>
												<do1r:KeepingLimit>
													<do1r:AcceptDate>
														<xsl:call-template name="TranslateDate">
															<xsl:with-param name="Dat" select="$Now"/>
														</xsl:call-template>
													</do1r:AcceptDate>
												</do1r:KeepingLimit>
											</do1r:Goods>
										</xsl:for-each>
										<xsl:if test="count(CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[generate-id(.)=generate-id(key('ContSea',concat(./ContainerNum,$NumSea)))])>0">
											<xsl:apply-templates select="CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[generate-id(.)=generate-id(key('ContSea',concat(./ContainerNum,$NumSea)))]"/>
										</xsl:if>
										<xsl:for-each select="CONOSAMENTGoods/CONOSAMENTGOODS_ITEM">
											<do1r:GoodContLinks>
												<do1r:GoodNumber><xsl:value-of select="position()"/></do1r:GoodNumber>
												<do1r:ContainerNumber><xsl:value-of select="ContainerNum"/></do1r:ContainerNumber>
											</do1r:GoodContLinks>
										</xsl:for-each>
									</do1r:TransportDocs>
								</xsl:for-each>
								<xsl:if test="count(//DesNotif_PIResult/DesNotif_PIResult_ITEM)>0">
									<do1r:CustomsDocs>
										<xsl:if test="string-length(DocumentID)>0">
											<cat_ru:PrDocumentName>ТД</cat_ru:PrDocumentName>
											<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentID"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(//ESADOUT_TD/ESADOUT_TD_ITEM/ExecutionDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="//ESADOUT_TD/ESADOUT_TD_ITEM/ExecutionDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:DocumentCode>02</catWH_ru:DocumentCode>
										<catWH_ru:VttCustomsCode><xsl:value-of select="//ESADOUT_TD/ESADOUT_TD_ITEM/DeliveryCustomsOfficeCode"/></catWH_ru:VttCustomsCode>
									</do1r:CustomsDocs>
								</xsl:if>
							</do1r:GoodsShipment>
						</xsl:if>
						<xsl:if test="count(//AWB)>0">
							<xsl:for-each select="AWB[1]/AWB_ITEM">
								<catWH_ru:MainTransportModeCode>40</catWH_ru:MainTransportModeCode>
								<catWH_ru:ReportNumber/>
								<catWH_ru:ReportDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="$Now"/>
									</xsl:call-template>
								</catWH_ru:ReportDate>
								<catWH_ru:WarehouseOwner>
									<xsl:if test="string-length(WarehouseName)>0">
										<cat_ru:OrganizationName><xsl:value-of select="WarehouseName"/></cat_ru:OrganizationName>
									</xsl:if>
									<cat_ru:OrganizationLanguage>RU</cat_ru:OrganizationLanguage>
									<xsl:call-template name="WhCr_INN">
										<xsl:with-param name="WhCode" select="Warehouse_CountryCode"/>
									</xsl:call-template>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Warehouse_'"/>
										<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									</xsl:call-template>
									<catWH_ru:WarehouseLicense>
										<xsl:if test="string-length(WarehouseLicenceID)>0">
											<catWH_ru:CertificateKind>lic_Licence</catWH_ru:CertificateKind>
											<catWH_ru:CertificateNumber>
												<xsl:value-of select="WarehouseLicenceID"/>
											</catWH_ru:CertificateNumber>
											<xsl:if test="string-length(WarehouseLicenceDate)>0">
												<catWH_ru:CertificateDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="WarehouseLicenceDate"/>
													</xsl:call-template>
												</catWH_ru:CertificateDate>
											</xsl:if>
										</xsl:if>
									</catWH_ru:WarehouseLicense>
								</catWH_ru:WarehouseOwner>
								<do1r:Carrier>
									<xsl:if test="string-length(AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/CarrierName)>0">
										<cat_ru:OrganizationName>
											<xsl:value-of select="AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/CarrierName"/>
										</cat_ru:OrganizationName>
									</xsl:if>
									<catWH_ru:CountryCode>
										<xsl:choose>
											<xsl:when test="string-length(AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/CarrierCode)>0">
												<xsl:variable name="CodeCar" select="AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/CarrierCode"/>
												<xsl:variable name="CountryCar" select="document('../../NSI/AirNsiXml.xml')//IATAFIRM_ITEM[AirIataCodeABC2=$CodeCar]/AirCarrierCountryName"/>
												<xsl:variable name="CCar">
													<xsl:choose>
														<xsl:when test="contains('QWERTYUIOPLKJHGFDSAZXCVBNM',substring($CountryCar,1,1))">
															<xsl:variable name="NameEng">
																<xsl:call-template name="UpperCaseEng">
																	<xsl:with-param name="string" select="$CountryCar"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[EngName=$NameEng]/Code"/>
														</xsl:when>
														<xsl:when test="contains('ЙЦУКЕНГШЩЗХЪЭЖДЛОРПАВЫФЯЧСМИТЬБЮ',substring($CountryCar,1,1))">
															<xsl:variable name="NameRus">
																<xsl:call-template name="UpperCaseRus">
																	<xsl:with-param name="string" select="$CountryCar"/>
																</xsl:call-template>
															</xsl:variable>
															<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Name=$NameRus]/Code"/>
														</xsl:when>
													</xsl:choose>
												</xsl:variable>
												<xsl:value-of select="$CCar"/>
											</xsl:when>
											<xsl:otherwise>643</xsl:otherwise>
										</xsl:choose>
									</catWH_ru:CountryCode>
									<catWH_ru:Address/>
								</do1r:Carrier>
								<do1r:Transports>
									<catWH_ru:TransportModeCode>40</catWH_ru:TransportModeCode>
									<catWH_ru:TransportIdentifier>
										<xsl:value-of select="//GENERALDECLAIR[1]/GENERALDECLAIR_ITEM/AirplaneMark"/>
									</catWH_ru:TransportIdentifier>
									<catWH_ru:Avia>
										<xsl:if test="string-length(AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/FlightNumber)>0">
											<catWH_ru:FlightNumber>
												<xsl:value-of select="AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/FlightNumber"/>
											</catWH_ru:FlightNumber>
										</xsl:if>
										<xsl:if test="string-length(AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/FlightDateNew)>0">
											<catWH_ru:FlightDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[1]/FlightDateNew"/>
												</xsl:call-template>
											</catWH_ru:FlightDate>
										</xsl:if>
									</catWH_ru:Avia>
								</do1r:Transports>
							</xsl:for-each>
							<do1r:GoodsShipment>
								<do1r:TotalPackageNumber>
									<xsl:value-of select="sum(//AWB/AWB_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/>
								</do1r:TotalPackageNumber>
								<do1r:MPOSign>0</do1r:MPOSign>
								<xsl:for-each select="//AWB/AWB_ITEM">
									<xsl:variable name="NumAwb" select="RegNum"/>
									<xsl:variable name="DatAwb">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<do1r:TransportDocs>
										<cat_ru:PrDocumentName>АвиаНакладная</cat_ru:PrDocumentName>
										<xsl:if test="string-length($NumAwb)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="$NumAwb"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length($DatAwb)>0">
											<cat_ru:PrDocumentDate><xsl:value-of select="$DatAwb"/></cat_ru:PrDocumentDate>
										</xsl:if>
										<catWH_ru:PresentedDocumentModeCode>02017</catWH_ru:PresentedDocumentModeCode>
										<catWH_ru:Consignor>
											<catWH_ru:CountryCode><xsl:value-of select="Consignor_CountryCode"/></catWH_ru:CountryCode>
											<catWH_ru:OrganizationName><xsl:value-of select="Consignor_Name"/></catWH_ru:OrganizationName>
											<xsl:call-template name="Address">
												<xsl:with-param name="Pref" select="'Consignor_'"/>
												<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignor>
										<catWH_ru:Consignee>
											<xsl:call-template name="OrgNode">
												<xsl:with-param name="Pref" select="'Consignee_'"/>
												<xsl:with-param name="ReqNode" select="false"/>
												<xsl:with-param name="PostalAddress" select="4"/>
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
											</xsl:call-template>
										</catWH_ru:Consignee>
										<xsl:for-each select="//AWBGoods/AWBGOODS_ITEM">
											<do1r:Goods>
												<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
												<xsl:if test="string-length(GoodsNomenclatureCode)>0">
													<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsNomenclatureCode"/></catWH_ru:GoodsTNVEDCode>
												</xsl:if>
												<xsl:if test="string-length(Price)>0 and string-length(GoodsQuantity)>0">
													<catWH_ru:InvoiceCost><xsl:value-of select="round((Price * GoodsQuantity) * 100) div 100"/></catWH_ru:InvoiceCost>
												</xsl:if>
												<xsl:if test="string-length(../../CurrencyCode)>0">
													<catWH_ru:CurrencyCode><xsl:value-of select="../../CurrencyCode"/></catWH_ru:CurrencyCode>
												</xsl:if>
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods">
														<xsl:for-each select="AWBGoodsDsc/AWBGOODSDSC_ITEM[string-length(GoodsDescription)>0]/GoodsDescription">
															<xsl:value-of select="."/>
															<xsl:if test="position()!=last()"> </xsl:if>
														</xsl:for-each>
													</xsl:with-param>
													<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
													<xsl:with-param name="NameMes" select="false"/>
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>
												<xsl:if test="string-length(PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
													<catWH_ru:CargoPlace>
														<xsl:if test="string-length(PlacesQuantity)>0">
															<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
														</xsl:if>
														<xsl:if test="string-length(PlacesCode)>0">
															<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
														</xsl:if>
														<xsl:if test="string-length(PlacesDescription)>0">
															<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
														</xsl:if>
													</catWH_ru:CargoPlace>
												</xsl:if>
												<xsl:if test="string-length(GrossWeightQuantity)>0">
													<catWH_ru:BruttoVolQuant>
														<catWH_ru:GoodsQuantity><xsl:value-of select="GrossWeightQuantity"/></catWH_ru:GoodsQuantity>
														<catWH_ru:MeasureUnitQualifierCode>
															<xsl:choose>
																<xsl:when test="WeightUnitQualifierCode='K'">166</xsl:when>
															</xsl:choose>
														</catWH_ru:MeasureUnitQualifierCode>
													</catWH_ru:BruttoVolQuant>
												</xsl:if>
												<xsl:if test="string-length(GoodsVolume)>0">
													<catWH_ru:MeasureQuantity>
														<catWH_ru:GoodsQuantity><xsl:value-of select="GoodsVolume"/></catWH_ru:GoodsQuantity>
														<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="VolumeUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
													</catWH_ru:MeasureQuantity>
												</xsl:if>
												<do1r:KeepingLimit>
													<do1r:AcceptDate>
														<xsl:call-template name="TranslateDate">
															<xsl:with-param name="Dat" select="$Now"/>
														</xsl:call-template>
													</do1r:AcceptDate>
												</do1r:KeepingLimit>
											</do1r:Goods>
										</xsl:for-each>
									</do1r:TransportDocs>
								</xsl:for-each>
							</do1r:GoodsShipment>
						</xsl:if>
					</do1r:DO1Report>
				</DocBody>
			</ContainerDoc>
		</ED_Container>
	</xsl:template>
</xsl:stylesheet>
