<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="AWB"/>
	</xsl:template>-->
	<xsl:template name="AWB">
		<xsl:for-each select="AWB/AWB_ITEM">
			<xsl:call-template name="AWB_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="AWB_ONE_DOC">
		<xsl:variable name="IATACode" select="IssueInfo_IATACode"/>
		<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<AirWaybill xmlns="urn:customs.ru:Information:TransportDocuments:Air:AirWaybill:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:5.9.1" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003301E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<xsl:if test="string-length(AgreedValuation)>0">
						<AgreedValuation><xsl:value-of select="AgreedValuation"/></AgreedValuation>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length(AgreedValuationCurrencyCode)>0">
							<AgreedValuationCurrencyCode><xsl:value-of select="AgreedValuationCurrencyCode"/></AgreedValuationCurrencyCode>
						</xsl:when>
						<xsl:otherwise>
							<AgreedValuationCurrencyCode>EUR</AgreedValuationCurrencyCode>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="TotalAmount>0">
							<TotalCost>
								<xsl:choose>
									<xsl:when test="contains(TotalAmount,'.')">
										<xsl:value-of select="format-number(round(TotalAmount * 100) div 100,'#.##')"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="TotalAmount"/>
									</xsl:otherwise>
								</xsl:choose>
							</TotalCost>
							<NCVIndicator>0</NCVIndicator>
						</xsl:when>
						<xsl:otherwise>
							<NCVIndicator>1</NCVIndicator>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length(InsuranceCost)>0">
							<InsuranceCost><xsl:value-of select="InsuranceCost"/></InsuranceCost>
							<XXXIndicator>0</XXXIndicator>
						</xsl:when>
						<xsl:otherwise>
							<XXXIndicator>1</XXXIndicator>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="string-length(SCI)>0">
						<SCI><xsl:value-of select="SCI"/></SCI>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length(AgreedValuation)>0">
							<NVDIndicator>0</NVDIndicator>
						</xsl:when>
						<xsl:otherwise>
							<NVDIndicator>1</NVDIndicator>
						</xsl:otherwise>
					</xsl:choose>
					<DeparturePoint>
						<xsl:if test="string-length(DepPoint_Name)>0">
							<catTrans_ru:Name><xsl:value-of select="DepPoint_Name"/></catTrans_ru:Name>
						</xsl:if>	
						<catTrans_ru:IATACode>
							<xsl:choose>
								<xsl:when test="string-length(DepPoint_IATACode)>0">
									<xsl:value-of select="DepPoint_IATACode"/>
								</xsl:when>
								<xsl:otherwise>000</xsl:otherwise>
							</xsl:choose>
						</catTrans_ru:IATACode>
					</DeparturePoint>
					<DestinationPoint>
						<xsl:if test="string-length(DestPoint_Name)>0">
							<catTrans_ru:Name><xsl:value-of select="DestPoint_Name"/></catTrans_ru:Name>
						</xsl:if>	
						<catTrans_ru:IATACode>
							<xsl:choose>
								<xsl:when test="string-length(DestPoint_IATACode)>0">
									<xsl:value-of select="DestPoint_IATACode"/>
								</xsl:when>
								<xsl:otherwise>000</xsl:otherwise>
							</xsl:choose>
						</catTrans_ru:IATACode>
					</DestinationPoint>
					<Registration>
						<xsl:if test="string-length($IATACode)>0">
							<catTrans_ru:AirlineIATACode><xsl:value-of select="$IATACode"/></catTrans_ru:AirlineIATACode>
						</xsl:if> 
						<catTrans_ru:DocumentNumber><xsl:value-of select="RegNum"/></catTrans_ru:DocumentNumber>
						<catTrans_ru:AirlineSign>
							<xsl:choose>
								<xsl:when  test="string-length($IATACode)=0">0</xsl:when>
								<xsl:otherwise>1</xsl:otherwise>
							</xsl:choose>
						</catTrans_ru:AirlineSign>
						<Date>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat"  select="RegDate"/>
							</xsl:call-template>								
						</Date>
						<Place>
							<xsl:choose>
								<xsl:when  test="string-length(Place)>0">
									<xsl:value-of select="Place"/>
								</xsl:when>
								<xsl:otherwise>N</xsl:otherwise>
							</xsl:choose>
						</Place>
					</Registration>
					<Consignor>
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'Consignor_'"/>
							<xsl:with-param name="ReqNode" select="false"/>	
							<xsl:with-param name="PostalAddress" select="1"/>	
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template> 	
					</Consignor>								
					<Consignee>
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'Consignee_'"/>
							<xsl:with-param name="ReqNode" select="false"/>	
							<xsl:with-param name="PostalAddress" select="1"/>	
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template> 	
					</Consignee>
					<xsl:if test="string-length(IssuingCarrier_IATACode)>0 and string-length(IssuingCarrier_CommissionFlag)>0">
						<IssuingCarrierAgent>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'IssuingCarrier_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="PostalAddress" select="1"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template> 									
							<xsl:if test="string-length(IssuingCarrier_AccountNumber)>0">
								<AccountNumber><xsl:value-of select="IssuingCarrier_AccountNumber"/></AccountNumber>
							</xsl:if>
							<IATACode><xsl:value-of select="IssuingCarrier_IATACode"/></IATACode>	
							<CommissionFlag>
								<xsl:choose>
									<xsl:when test="string-length(IssuingCarrier_CommissionFlag)>0">
										<xsl:value-of select="IssuingCarrier_CommissionFlag"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</CommissionFlag>
						</IssuingCarrierAgent>
					</xsl:if>
					<xsl:for-each select="AWBPayment/AWBPAYMENT_ITEM[string-length(PaymentMode)>0]">
						<Payment>
							<PaymentMode><xsl:value-of select="PaymentMode"/></PaymentMode>
							<Amount>
								<xsl:choose>
									<xsl:when test="string-length(Amount)>0">
										<xsl:value-of select="Amount"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</Amount>
							<CurrencyCode>
								<xsl:choose>
									<xsl:when test="string-length(CurrencyCode)>0">
										<xsl:value-of select="CurrencyCode"/>
									</xsl:when>
									<xsl:otherwise>EUR</xsl:otherwise>
								</xsl:choose>
							</CurrencyCode>
							<xsl:if test="string-length(Place)>0">
								<Place><xsl:value-of select="Place"/></Place>
							</xsl:if>	
							<xsl:if test="string-length(DateInf)>0">
								<DateInf>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="DateInf"/>
									</xsl:call-template>		
								</DateInf>
							</xsl:if>	
							<xsl:if test="string-length(NameInf)>0">
								<NameInf><xsl:value-of select="NameInf"/></NameInf>
							</xsl:if>	
							<xsl:if test="string-length(Comments)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(Comments,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'Comments'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Air:AirWaybill:5.10.0'"/> 
									<xsl:with-param name="NameMes" select="true"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>	
							</xsl:if>
						</Payment>	
					</xsl:for-each>
					<xsl:for-each select="AWBGoodsMovement/AWBGOODSMOVEMENT_ITEM[string-length(FlightNumber)>0]">
						<GoodsMovement>
							<FlightNumber><xsl:value-of select="FlightNumber"/></FlightNumber>
							<xsl:variable name="FlDat">
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat"  select="FlightDateNew"/>
								</xsl:call-template>	
							</xsl:variable>
							<xsl:if test="string-length($FlDat)>0">
								<FlightDate><xsl:value-of select="substring($FlDat,9,2)"/></FlightDate>
							</xsl:if>
							<NumPP><xsl:value-of select="position()"/></NumPP>
							<xsl:if test="string-length(IATACode)>0">
								<DestinationPlace><xsl:value-of select="IATACode"/></DestinationPlace>
							</xsl:if>
							<xsl:if test="string-length(CarrierName)>0">
								<CarrierName><xsl:value-of select="CarrierName"/></CarrierName>
							</xsl:if>
							<xsl:if test="string-length(CarrierCode)>0">
								<CarrierCode><xsl:value-of select="CarrierCode"/></CarrierCode>
							</xsl:if>
						</GoodsMovement>
					</xsl:for-each>
					<xsl:for-each select="AWBHandlingInfo/AWBHANDLINGINFO_ITEM[string-length(ServiceInfoCode)>0]">
						<HandlingInfo>
							<ServiceInfoCode><xsl:value-of select="ServiceInfoCode"/></ServiceInfoCode>
							<xsl:if test="string-length(InfoDescription)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(InfoDescription,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'InfoDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Air:AirWaybill:5.10.0'"/> 
									<xsl:with-param name="NameMes" select="true"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>	
							</xsl:if>
							<xsl:if test="string-length(NotifOrg_Name)>0">
								<NotificationOrg>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'NotifOrg_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="PostalAddress" select="1"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template> 														
								</NotificationOrg>		
							</xsl:if>
						</HandlingInfo>
					</xsl:for-each>
					<IssueInfo>
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'IssueInfo_'"/>
							<xsl:with-param name="ReqNode" select="false"/>	
							<xsl:with-param name="PostalAddress" select="1"/>	
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template> 	
					</IssueInfo>		
					<AWBGoodsInfo>
						<TotalPlacesQuantity><xsl:value-of select="PlacesQuantity"/></TotalPlacesQuantity>
						<WeightUnitQualifierCode>
							<xsl:choose>
								<xsl:when test="string-length(WeightUnitQualifierCode)>0">
									<xsl:value-of select="WeightUnitQualifierCode"/>
								</xsl:when>
								<xsl:otherwise>К</xsl:otherwise>
							</xsl:choose>
						</WeightUnitQualifierCode>
						<GrossWeightQuantity>
							<xsl:choose>
								<xsl:when test="string-length(GrossWeightQuantity)>0">
									<xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</GrossWeightQuantity>
						<xsl:if test="string-length(TotalAmount)>0">
							<TotalAmount><xsl:value-of select="format-number(round(TotalAmount * 100) div 100,'0.##')"/></TotalAmount>
						</xsl:if>
						<xsl:for-each select="AWBGoods/AWBGOODS_ITEM[string-length(GoodsDescription)>0 or count(AWBGoodsDsc/AWBGOODSDSC_ITEM[string-length(GoodsDescription)>0])>0]">
							<AWBGoods>
								<xsl:if test="string-length(PlacesQuantity)>0">
									<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
								</xsl:if>
								<xsl:if test="string-length(WeightUnitQualifierCode)>0">
									<WeightUnitQualifierCode><xsl:value-of select="WeightUnitQualifierCode"/></WeightUnitQualifierCode>
								</xsl:if>	
								<xsl:if test="string-length(GrossWeightQuantity)>0">
									<GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></GrossWeightQuantity>
								</xsl:if>
								<xsl:if test="string-length(RateMixCode)>0">										
									<RateMixCode><xsl:value-of select="RateMixCode"/></RateMixCode>
								</xsl:if>	
								<xsl:if test="string-length(ServiceCode)>0">																				
									<ServiceCode><xsl:value-of select="ServiceCode"/></ServiceCode>
								</xsl:if>
								<xsl:if test="string-length(TariffClassCode)>0">					
									<TariffClassCode><xsl:value-of select="TariffClassCode"/></TariffClassCode>
								</xsl:if>
								<xsl:if test="string-length(CommodityItemNum)>0">					
									<CommodityItemNum><xsl:value-of select="CommodityItemNum"/></CommodityItemNum>
								</xsl:if>
								<xsl:if test="string-length(GoodsVolume)>0">					
									<GoodsVolume><xsl:value-of select="GoodsVolume"/></GoodsVolume>
								</xsl:if>
								<xsl:if test="string-length(VolumeUnitQualifierCode)>0">		
									<VolumeUnitQualifierCode>
										<xsl:choose>
											<xsl:when test="string-length(VolumeUnitQualifierCode)>2">
												<xsl:value-of select="substring(normalize-space(VolumeUnitQualifierCode),1,2)"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="VolumeUnitQualifierCode"/>
											</xsl:otherwise>
										</xsl:choose>
									</VolumeUnitQualifierCode>
								</xsl:if>
								<xsl:if test="string-length(PaidWeightQuantity)>0">					
									<PaidWeightQuantity><xsl:value-of select="PaidWeightQuantity"/></PaidWeightQuantity>
								</xsl:if>
								<xsl:if test="string-length(GoodsCommodityCode)>0">	
									<GoodsCommodityCode><xsl:value-of select="GoodsCommodityCode"/></GoodsCommodityCode>
								</xsl:if>
								<xsl:if test="string-length(FactPlacesQuantity)>0">	
									<FactPlacesQuantity><xsl:value-of select="FactPlacesQuantity"/></FactPlacesQuantity>
								</xsl:if>
								<xsl:if test="string-length(TotalSum)>0">	
									<TotalSum><xsl:value-of select="format-number(round(TotalSum * 100) div 100,'0.##')"/></TotalSum>
								</xsl:if>
								<xsl:if test="string-length(RateCharge)>0">	
									<RateCharge><xsl:value-of select="RateCharge"/></RateCharge>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="count(AWBGoodsDsc/AWBGOODSDSC_ITEM[string-length(GoodsDescription)>0])>0">
										<xsl:for-each select="AWBGoodsDsc/AWBGOODSDSC_ITEM[string-length(GoodsDescription)>0]">
											<GoodsDescr>
												<xsl:if test="string-length(InformationCode)>0">	
													<InformationCode><xsl:value-of select="InformationCode"/></InformationCode>
												</xsl:if>
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="translate(GoodsDescription,'&#xA;',' ')"/>
													<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Air:AirWaybill:5.10.0'"/> 
													<xsl:with-param name="NameMes" select="true"/> 
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>										
											</GoodsDescr>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>
										<GoodsDescr>
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="translate(GoodsDescription,'&#xA;',' ')"/>
												<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Air:AirWaybill:5.10.0'"/> 
												<xsl:with-param name="NameMes" select="true"/> 
												<xsl:with-param name="LenDes" select="250"/>
											</xsl:call-template>			
										</GoodsDescr>	
									</xsl:otherwise>
								</xsl:choose>
								<xsl:variable name="CodeDim">
									<xsl:choose>
										<xsl:when test="number(DimensionsCode)=DimensionsCode">
											<xsl:value-of select="DimensionsCode"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="Code" select="DimensionsCode"/>
											<xsl:if  test="string-length(document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[ABBR=$Code]/CODE)>0">
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[ABBR=$Code]/CODE"/>
											</xsl:if>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="string-length($CodeDim)>0 and  string-length(Length)>0 and string-length(Width)>0 and string-length(Height)>0">
									<Dimensions>
										<DimensionsCode><xsl:value-of select="$CodeDim"/></DimensionsCode>
										<Lenght><xsl:value-of select="Length"/></Lenght>
										<Wight><xsl:value-of select="Width"/></Wight>
										<Height><xsl:value-of select="Height"/></Height>
									</Dimensions>
								</xsl:if>
								<xsl:for-each select="AWBGoodsContainers/AWBGOODSCONTAINERS_ITEM[string-length(ContainerNum)>0]">
									<ContainerInfo>
										<ContainerNum><xsl:value-of select="ContainerNum"/></ContainerNum>
										<xsl:if test="string-length(ContainerDescr)>0">
											<ContainerDescr><xsl:value-of select="ContainerDescr"/></ContainerDescr>
										</xsl:if>
									</ContainerInfo>
								</xsl:for-each>
								<xsl:if test="string-length(GTD_GoodsNumeric)>0 and string-length(GTD_CustomsCode)>0 and string-length(GTD_Number)>0 and string-length(GTD_Date)>0">
									<DTInfo>
										<GoodsNumeric><xsl:value-of select="GTD_GoodsNumeric"/></GoodsNumeric>
										<DTNumber>
											<cat_ru:CustomsCode><xsl:value-of select="GTD_CustomsCode"/></cat_ru:CustomsCode>
											<cat_ru:RegistrationDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="GTD_Date"/>
												</xsl:call-template>	
											</cat_ru:RegistrationDate>
											<cat_ru:GTDNumber><xsl:value-of select="GTD_Number"/></cat_ru:GTDNumber>
										</DTNumber>
									</DTInfo>
								</xsl:if>
							</AWBGoods>
						</xsl:for-each>	
					</AWBGoodsInfo>
					<PaymentInfo>
						<xsl:if test="string-length(TaxCode)>0">
							<TaxCode><xsl:value-of select="TaxCode"/></TaxCode>
						</xsl:if>
						<WeightValuePrepaidFlag>
							<xsl:choose>
								<xsl:when test="string-length(WeightValuePrepaidFlag)>0">
									<xsl:value-of select="WeightValuePrepaidFlag"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</WeightValuePrepaidFlag>
						<OtherChargesPrepaidFlag>
							<xsl:choose>
								<xsl:when test="string-length(OtherChargesPrepaidFlag)>0">
									<xsl:value-of select="OtherChargesPrepaidFlag"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</OtherChargesPrepaidFlag>
						<xsl:if test="string-length(CurrencyRate)>0">								
							<CurrencyRate><xsl:value-of select="CurrencyRate"/></CurrencyRate>
						</xsl:if>
						<xsl:if test="string-length(ChargesDestCurrency)>0">	
							<ChargesDestCurrency><xsl:value-of select="format-number(round(ChargesDestCurrency * 10000) div 10000,'0.####')"/></ChargesDestCurrency>
						</xsl:if>
						<xsl:if test="string-length(ChargesDestination)>0">	
							<ChargesDestination><xsl:value-of select="format-number(round(ChargesDestination * 10000) div 10000,'0.####')"/></ChargesDestination>
						</xsl:if>
						<xsl:if test="string-length(TotalCollectCharges)>0">	
							<TotalCollectCharges><xsl:value-of select="format-number(round(TotalCollectCharges * 10000) div 10000,'0.####')"/></TotalCollectCharges>
						</xsl:if>
						<xsl:for-each select="AWBPaymentInfoOther/AWBPAYMENTINFOOTHER_ITEM[string-length(OtherChargeCode)>0 and string-length(EntitlementCode)>0 and string-length(OtherChargeAmount)>0]">
							<OtherCharges>
								<OtherChargeCode><xsl:value-of select="OtherChargeCode"/></OtherChargeCode>
								<EntitlementCode><xsl:value-of select="EntitlementCode"/></EntitlementCode>
								<OtherChargeAmount><xsl:value-of select="format-number(round(OtherChargeAmount * 10000) div 10000,'0.####')"/></OtherChargeAmount>
							</OtherCharges>
						</xsl:for-each>
						<xsl:if test="string-length(PrepaydPaym_TotalAmount)>0">	
							<PrepaydCharge>
								<xsl:if test="string-length(PrepaydPaym_Code)>0">	
									<PaymentCode><xsl:value-of select="PrepaydPaym_Code"/></PaymentCode>
								</xsl:if>	
								<TotalAmount><xsl:value-of select="format-number(round(PrepaydPaym_TotalAmount * 10000) div 10000,'0.####')"/></TotalAmount>
								<xsl:if test="string-length(PrepaydPaym_Weight_Amount)>0">
									<TotalWeightCharge>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'PrepaydPaym_Weight_'"/>
										</xsl:call-template>	
									</TotalWeightCharge>
								</xsl:if>
								<xsl:if test="string-length(PrepaydPaym_Valuation_Amount)>0">
									<ValuationCharge>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'PrepaydPaym_Valuation_'"/>
										</xsl:call-template>	
									</ValuationCharge>
								</xsl:if>	
								<xsl:if test="string-length(PrepaydPaym_Taxes_Amount)>0">
									<Taxes>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'PrepaydPaym_Taxes_'"/>
										</xsl:call-template>	
									</Taxes>
								</xsl:if>
								<xsl:if test="string-length(PrepaydPaym_Agent_Amount)>0">
									<TotalAgentCharges>	
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'PrepaydPaym_Agent_'"/>
										</xsl:call-template>	
									</TotalAgentCharges>
								</xsl:if>	
								<xsl:if test="string-length(PrepaydPaym_Carrier_Amount)>0">
									<TotalCarrierCharges>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'PrepaydPaym_Carrier_'"/>
										</xsl:call-template>	
									</TotalCarrierCharges>
								</xsl:if>
							</PrepaydCharge>
						</xsl:if>
						<xsl:if test="string-length(CollectPaym_TotalAmount)>0">	
							<CollectCharge>
								<xsl:if test="string-length(CollectPaym_Code)>0">	
									<PaymentCode><xsl:value-of select="CollectPaym_Code"/></PaymentCode>
								</xsl:if>	
								<TotalAmount><xsl:value-of select="format-number(round(CollectPaym_TotalAmount * 10000) div 10000,'0.####')"/></TotalAmount>
								<xsl:if test="string-length(CollectPaym_Weight_Amount)>0">
									<TotalWeightCharge>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'CollectPaym_Weight_'"/>
										</xsl:call-template>	
									</TotalWeightCharge>
								</xsl:if>
								<xsl:if test="string-length(CollectPaym_Valuation_Amount)>0">
									<ValuationCharge>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'CollectPaym_Valuation_'"/>
										</xsl:call-template>	
									</ValuationCharge>
								</xsl:if>	
								<xsl:if test="string-length(CollectPaym_Taxes_Amount)>0">
									<Taxes>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'CollectPaym_Taxes_'"/>
										</xsl:call-template>	
									</Taxes>
								</xsl:if>
								<xsl:if test="string-length(CollectPaym_Agent_Amount)>0">
									<TotalAgentCharges>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'CollectPaym_Agent_'"/>
										</xsl:call-template>	
									</TotalAgentCharges>
								</xsl:if>	
								<xsl:if test="string-length(CollectPaym_Carrier_Amount)>0">
									<TotalCarrierCharges>
										<xsl:call-template name="AmountTaxe">
											<xsl:with-param name="Pref" select="'CollectPaym_Carrier_'"/>
										</xsl:call-template>	
									</TotalCarrierCharges>
								</xsl:if>
							</CollectCharge>
						</xsl:if>
					</PaymentInfo>
					<xsl:if test="string-length(Consignor_PersonSurname)>0 and string-length(Consignor_PersonName)>0">
						<ConsignorSign>
							<cat_ru:PersonSurname><xsl:value-of select="Consignor_PersonSurname"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="Consignor_PersonName"/></cat_ru:PersonName>
							<xsl:if test="string-length(Consignor_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="Consignor_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(Consignor_PersonPost)>0">
								<cat_ru:PersonPost><xsl:value-of select="Consignor_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
						</ConsignorSign>
					</xsl:if>
					<xsl:if test="string-length(Carrier_PersonSurname)>0 and string-length(Carrier_PersonName)>0">
						<CarrierSign>
							<cat_ru:PersonSurname><xsl:value-of select="Carrier_PersonSurname"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="Carrier_PersonName"/></cat_ru:PersonName>
							<xsl:if test="string-length(Carrier_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="Carrier_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(Carrier_PersonPost)>0">
								<cat_ru:PersonPost><xsl:value-of select="Carrier_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
						</CarrierSign>
					</xsl:if>
					<xsl:if test="string-length(MarkKind)>0">
						<Mark>
							<MarkSing>1</MarkSing>
							<MarkKind><xsl:value-of select="MarkKind"/></MarkKind>
							<xsl:if test="string-length(ResultControl)>0">
								<ResultControl><xsl:value-of select="ResultControl"/></ResultControl>
							</xsl:if>
						</Mark>
					</xsl:if>
				</AirWaybill>
			</DocBody>
		</ContainerDoc>	
	</xsl:template>
	<xsl:template name="AmountTaxe"  xmlns="urn:customs.ru:Information:TransportDocuments:Air:AirWaybill:5.10.0">
		<xsl:param name="Pref"/>
		<xsl:if test="string-length(*[name()=concat($Pref,'Code')])>0">
			<PaymentCode><xsl:value-of select="*[name()=concat($Pref,'Code')]"/></PaymentCode>
		</xsl:if>
		<Amount><xsl:value-of select="format-number(round(*[name()=concat($Pref,'Amount')] * 10000) div 10000,'0.####')"/></Amount>
	</xsl:template>
</xsl:stylesheet>
