<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="APPSTORE"/>
	</xsl:template>-->
	
		<xsl:template name="APPSTORE">
			<xsl:for-each select="APPSTORE/APPSTORE_ITEM | AIRAPPSTORE/AIRAPPSTORE_ITEM"> 
				<xsl:variable name="Pref">
					<xsl:choose>
						<xsl:when test="name()='AIRAPPSTORE_ITEM'">AIR</xsl:when>
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<ApplicationStore xmlns="urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0"   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006029E">
							<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
							<DocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat"  select="RegDate"/>
								</xsl:call-template>	
							</DocumentDate>
							<xsl:if test="string-length(MoveDirection)>0">							
								<MoveDirection><xsl:value-of select="MoveDirection"/></MoveDirection>
							</xsl:if>	
							<xsl:if test="string-length(CustomsModeCode)>0">															
								<CustomsModeCode><xsl:value-of select="CustomsModeCode"/></CustomsModeCode>
							</xsl:if>
							<GoalAction><xsl:value-of select="GoalAction"/></GoalAction>
							<EthnicityFlag><xsl:value-of select="EthnicityFlag"/></EthnicityFlag>
							<xsl:if test="string-length(Declarant_Name)>0">
								<Declarant>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Declarant_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="PostalAddress" select="1"/>		
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template>
									<xsl:if test="string-length(Declarant_Indicator)>0 and number(Declarant_Indicator)=1">
										<xsl:call-template name="IdentityCard">
											<xsl:with-param name="NodeName" select="'cat_ru:IdentityCard'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode"  select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Pref" select="'Declarant_'"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:call-template name="Contact">
										<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode"  select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Declarant_'"/>
									</xsl:call-template>	
								</Declarant>	
							</xsl:if>
							<xsl:if test="string-length(Carrier_Name)>0">
								<Carrier>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Carrier_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="BLR" select="'AM'"/>
										<xsl:with-param name="PostalAddress" select="1"/>			
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template> 
									<xsl:if test="string-length(Carrier_Indicator)>0 and number(Carrier_Indicator)=1">
										<xsl:call-template name="IdentityCard">
											<xsl:with-param name="NodeName" select="'cat_ru:IdentityCard'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode"  select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Pref" select="'Carrier_'"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:call-template name="Contact">
										<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode"  select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Carrier_'"/>
									</xsl:call-template>															
								</Carrier>	
							</xsl:if>
							<TransportInfom>
								<TransportName>
									<xsl:choose>
										<xsl:when test="string-length(TransportName)>0">
											<xsl:value-of select="TransportName"/>
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselName)>0 and string-length($Pref)=0">
											<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselName"/>
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECLAIR/GENERALDECLAIR_ITEM/AirplaneRegNumber)>0 and string-length($Pref)>0">
											<xsl:value-of select="//GENERALDECLAIR/GENERALDECLAIR_ITEM/AirplaneRegNumber"/>
										</xsl:when>
									</xsl:choose>
								</TransportName>
								<xsl:if test="string-length(FlightNumber)>0">
									<FlightNumber><xsl:value-of select="FlightNumber"/></FlightNumber>
								</xsl:if>	
								<CountryRegTrans>
									<xsl:choose>
										<xsl:when test="string-length(RegTrans_CountryName)>0">
											<xsl:value-of select="RegTrans_CountryName"/>
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)>0">
											<xsl:variable name="CnA2" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode"/>
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CnA2]/Name"/>
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode)>0">
											<xsl:variable name="CnC" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode"/>
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CnC]/Name"/>
										</xsl:when>
									</xsl:choose>
								</CountryRegTrans>
								<CodeCountryRegTrans>
									<xsl:choose>
										<xsl:when test="string-length(RegTrans_CountryCode)>0">
											<xsl:value-of select="RegTrans_CountryCode"/>
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)>0">
											<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode"/>
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode)>0">
											<xsl:variable name="CnC1" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode"/>
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CnC1]/ABC2"/>
										</xsl:when>
									</xsl:choose>
								</CodeCountryRegTrans>
								<TransportType>
									<xsl:choose>
										<xsl:when test="string-length(TransportType)>0">
											<xsl:value-of select="TransportType"/>
										</xsl:when>
										<xsl:when test="string-length($Pref)>0">1</xsl:when>
										<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselType)>0">2</xsl:when>
									</xsl:choose>
								</TransportType>
								<xsl:if test="string-length(TransportIdentifier)>0">
									<TransportIdentifier><xsl:value-of select="TransportIdentifier"/></TransportIdentifier>
								</xsl:if>
								<xsl:if  test="string-length(Transport_PlaceName)>0 and string-length(Transport_CountryName)>0">
									<Place>
										<PlaceName><xsl:value-of select="Transport_PlaceName"/></PlaceName>
										<CountryName><xsl:value-of select="Transport_CountryName"/></CountryName>
										<xsl:if test="string-length(Transport_CountryCode)>0">
											<CountryCode><xsl:value-of select="Transport_CountryCode"/></CountryCode>
										</xsl:if>	
										<xsl:if test="string-length(Transport_PlaceCode)>0 and string-length($Pref)>0">
											<AirportIATACode><xsl:value-of select="Transport_PlaceCode"/></AirportIATACode>
										</xsl:if>	
									</Place>	
								</xsl:if>
							</TransportInfom>
							<StoreInform>	
								<xsl:if test="string-length(DateMove)>0">
									<DateMove>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="DateMove"/>
										</xsl:call-template>	
									</DateMove>
								</xsl:if>
								<xsl:if test="string-length(TimeMove)>0">
									<TimeMove>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time" select="TimeMove"/>
										</xsl:call-template>
									</TimeMove>
								</xsl:if>	
								<xsl:if test="string-length(translate(StoreActions,'&#xA;',' '))>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="translate(StoreActions,'&#xA;',' ')"/>
										<xsl:with-param name="NodeName" select="'StoreActions'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0'"/> 
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>		
								</xsl:if>	
								<xsl:if test="string-length(PlaceMove)>0">
									<PlaceMove><xsl:value-of select="PlaceMove"/></PlaceMove>
								</xsl:if>	
								<xsl:for-each select="*[name()=concat($Pref,'APPSTOREOperating')]/*[name()=concat($Pref,'APPSTOREOPERATING_ITEM')][string-length(NameGoods)>0 and string-length(NumberGoods)>0 and string-length(UnitName)>0]">
									<Operating>
										<xsl:call-template name="AppStoreGood"/>
									</Operating>
								</xsl:for-each>
								<xsl:if test="count(*[name()=concat($Pref,'APPSTORESold')]/*[name()=concat($Pref,'APPSTORESOLD_ITEM')][string-length(NameGoods)>0 and string-length(NumberGoods)>0 and string-length(UnitName)>0])>0">
									<Sold>
										<xsl:if test="string-length(Sold_TotalCost)>0">
											<TotalCost><xsl:value-of select="Sold_TotalCost"/></TotalCost>
										</xsl:if>	
										<xsl:if test="string-length(Sold_CurrencyCode)>0">	
											<Currency><xsl:value-of select="Sold_CurrencyCode"/></Currency>
										</xsl:if>	
										<xsl:if test="string-length(Sold_CustomsTotalCostGoods)>0">	
											<CustomsTotalCostGoods><xsl:value-of select="Sold_CustomsTotalCostGoods"/></CustomsTotalCostGoods>
										</xsl:if>										
										<xsl:for-each select="*[name()=concat($Pref,'APPSTORESold')]/*[name()=concat($Pref,'APPSTORESOLD_ITEM')][string-length(NameGoods)>0 and string-length(NumberGoods)>0 and string-length(UnitName)>0]">
											<SoldGoodsList>
												<xsl:call-template name="AppStoreGood"/>
											</SoldGoodsList>
										</xsl:for-each>
										<xsl:if test="string-length(Sold_WayBill_Num)>0 and string-length(Sold_WayBill_Date)>0 and string-length(Sold_WayBill_Place)>0">
											<xsl:call-template name="WayBill">
												<xsl:with-param name="PrefWB" select="'Sold_'"/>
											</xsl:call-template>
										</xsl:if>	
									</Sold>
								</xsl:if>
								<xsl:for-each select="*[name()=concat($Pref,'APPSTOREConsumer')]/*[name()=concat($Pref,'APPSTORECONSUMER_ITEM')][string-length(NameGoods)>0 and string-length(NumberGoods)>0 and string-length(UnitName)>0]">
									<Consumer>
										<xsl:call-template name="AppStoreGood"/>
									</Consumer>
								</xsl:for-each>									
							</StoreInform>
							<Person>
								<xsl:choose>
									<xsl:when test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
										<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
										<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
											<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
										</xsl:if>
										<xsl:if test="string-length(DocSig_PersonPost)>0">
											<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
										</xsl:if>
									</xsl:when>
									<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName)>0 and string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName2)>0">
										<xsl:for-each select="//GENERALDECL/GENERALDECL_ITEM">
											<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
											<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
											<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
												<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
											</xsl:if>
											<xsl:if test="string-length(DocSig_PersonPost)>0">
												<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
											</xsl:if>
										</xsl:for-each>
									</xsl:when>
								</xsl:choose>
							</Person>
							<xsl:if test="string-length(Comments)>0">
								<Comments>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="translate(OtherInform,'&#xA;',' ')"/>
										<xsl:with-param name="NodeName" select="'OtherInform'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0'"/> 
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>		
								</Comments>
							</xsl:if>	
							<xsl:for-each select="*[name()=concat($Pref,'APPSTOREDocs')]/*[name()=concat($Pref,'APPSTOREDOCS_ITEM')][string-length(DocumentNumber)>0]">
								<PresentedDoc>
									<xsl:if test="string-length(DocumentName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
									<xsl:if test="string-length(DocumentDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="DocumentDate"/>
											</xsl:call-template>	
										</cat_ru:PrDocumentDate>
									</xsl:if>
								</PresentedDoc>
							</xsl:for-each>
							<xsl:if test="string-length(Consignee_Name)>0">
								<ConsigneeInfo>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Consignee_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template> 														
								</ConsigneeInfo>	
							</xsl:if>
							<xsl:if test="string-length(GTD)>0  and substring(GTD,9,1)='/' and substring(GTD,16,1)='/'">
								<GTDID>
									<cat_ru:CustomsCode><xsl:value-of select="substring(GTD,1,8)"/></cat_ru:CustomsCode>
									<cat_ru:RegistrationDate><xsl:value-of select="concat('20',substring(GTD,14,2),'-',substring(GTD,12,2),'-',substring(GTD,10,2))"/></cat_ru:RegistrationDate>
									<cat_ru:GTDNumber><xsl:value-of select="substring(GTD,17)"/></cat_ru:GTDNumber>
								</GTDID>
							</xsl:if>
							<xsl:if test="string-length(RegNum)>0 and substring(RegNum,9,1)='/' and substring(RegNum,16,1)='/'">
								<RegNumer>
									<cat_ru:CustomsCode><xsl:value-of select="substring(RegNum,1,8)"/></cat_ru:CustomsCode>
									<cat_ru:RegistrationDate><xsl:value-of select="concat('20',substring(RegNum,14,2),'-',substring(RegNum,12,2),'-',substring(RegNum,10,2))"/></cat_ru:RegistrationDate>
									<cat_ru:GTDNumber><xsl:value-of select="substring(RegNum,17)"/></cat_ru:GTDNumber>
								</RegNumer>
							</xsl:if>
						</ApplicationStore>
					</DocBody>
				</ContainerDoc>	
			</xsl:for-each>			
	</xsl:template>
	<xsl:template name="AppStoreGood" xmlns="urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0">
		<xsl:variable name="PrefSl" select="name(parent::*)"/>
		<xsl:variable name="PrefSlItem" select="substring-before(name(),'_ITEM')"/>
		<NameGoods><xsl:value-of select="substring(normalize-space(NameGoods),1,250)"/></NameGoods>
		<NumberGoods><xsl:value-of select="NumberGoods"/></NumberGoods>
		<xsl:if test="string-length(PriceUnit)>0">
			<PriceUnit><xsl:value-of select="PriceUnit"/></PriceUnit>
		</xsl:if>	
		<xsl:if test="string-length(TotalCostGoods)>0">	
			<TotalCostGoods><xsl:value-of select="TotalCostGoods"/></TotalCostGoods>
		</xsl:if>	
		<xsl:if test="string-length(Currency)>0">	
			<Currency><xsl:value-of select="Currency"/></Currency>
		</xsl:if>	
		<UnitName><xsl:value-of select="UnitName"/></UnitName>
		<xsl:if test="string-length(UnitCode)>0">	
			<UnitCode><xsl:value-of select="UnitCode"/></UnitCode>
		</xsl:if>	
		<xsl:if test="string-length(GoodsNomenclatureCode)>0">	
			<GoodsNomenclatureCode><xsl:value-of select="GoodsNomenclatureCode"/></GoodsNomenclatureCode>
		</xsl:if>	
		<xsl:if test="string-length(CustomsCostGoods)>0">	
			<CustomsCostGoods><xsl:value-of select="CustomsCostGoods"/></CustomsCostGoods>
		</xsl:if>	
		<xsl:if test="string-length(Norm)>0">	
			<Norm><xsl:value-of select="Norm"/></Norm>
		</xsl:if>	
		<xsl:if test="string-length(AdditionalInfo)>0">	
			<AdditionalInfo><xsl:value-of select="substring(normalize-space(AdditionalInfo),1,250)"/></AdditionalInfo>
		</xsl:if>
		<xsl:if test="string-length(GoodsQuantity)>0">	
			<SupplementaryQuantity>
				<xsl:call-template name="SupQuantity"/>
			</SupplementaryQuantity>
		</xsl:if>
		<xsl:for-each select="*[name()=concat($PrefSl,'SupplementaryQuantity1')]/*[name()=concat($PrefSlItem,'SUPPLEMENTARYQUANTITY1_ITEM')][string-length(GoodsQuantity)>0]">
			<SupplementaryQuantity1>
				<xsl:call-template name="SupQuantity"/>
			</SupplementaryQuantity1>
		</xsl:for-each>
		<xsl:if test="string-length(WayBill_Num)>0 and string-length(WayBill_Date)>0 and string-length(WayBill_Place)>0">
			<xsl:call-template name="WayBill"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="SupQuantity" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
		<xsl:if test="string-length(MeasureUnitQualifierName)>0">	
			<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
		</xsl:if>
		<xsl:if test="string-length(MeasureUnitQualifierCode)>0">	
			<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
		</xsl:if>	
	</xsl:template>
	<xsl:template name="WayBill"  xmlns="urn:customs.ru:Information:CustomsDocuments:ApplicationStore:5.11.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0">
		<xsl:param name="PrefWB"/>
		<WayBill>
			<xsl:if test="string-length(*[name()=concat($PrefWB,'WayBill_IATACode')])>0">	
				<catTrans_ru:AirlineIATACode><xsl:value-of select="*[name()=concat($PrefWB,'WayBill_IATACode')]"/></catTrans_ru:AirlineIATACode>
			</xsl:if>	
			<catTrans_ru:DocumentNumber><xsl:value-of select="*[name()=concat($PrefWB,'WayBill_Num')]"/></catTrans_ru:DocumentNumber>
			<catTrans_ru:AirlineSign>
				<xsl:choose>
					<xsl:when test="string-length(*[name()=concat($PrefWB,'WayBill_IATACode')])>0">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</catTrans_ru:AirlineSign>
			<Date>
				<xsl:call-template name="TranslateDate">
					<xsl:with-param name="Dat"  select="*[name()=concat($PrefWB,'WayBill_Date')]"/>
				</xsl:call-template>	
			</Date>
			<Place><xsl:value-of select="*[name()=concat($PrefWB,'WayBill_Place')]"/></Place>
		</WayBill>	
	</xsl:template>
</xsl:stylesheet>
