<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
		<xsl:import href="ArmtiEDContainerCTM_Cmr.xsl"/>
		<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
		<xsl:param name="GoodsFromCMRForPi" select="0"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="CMR"/>
				<xsl:call-template name="CTMCONTAINER_CMR"/>
			</ED_Container>	
	</xsl:template>-->

	<xsl:key use="concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)" name="GoodsCMR" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)" name="CountGoodsCMR" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../GoodsCode,../../PackingCode,./PackingCode)" name="PackCMR" match="//PACKINGLISTGOODSPACKINGINFO_ITEM"/>

	<xsl:template name="CmrGoods" xmlns="urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" >
		<xsl:param name="CMRNum"/>
		<xsl:param name="CreateOnlyEDContainer"/>
		<xsl:choose>
			<xsl:when test="string-length($CMRNum)>0">
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsCMR',concat(../../CurrencyCode,$CMRNum,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="Doc" select="'CMR'"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
					<xsl:with-param name="CreateOnlyEDContainer" select="$CreateOnlyEDContainer"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('CountGoodsCMR',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="Doc" select="'CMR'"/>
					<xsl:with-param name="CreateOnlyEDContainer" select="$CreateOnlyEDContainer"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

<xsl:template name="CmrGoodsQuantity" xmlns="urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
	<xsl:param name="InvoicesN1"/>		
	<xsl:param name="Group"/>
	<xsl:variable name="InvoiceSet1" select="//INVOICE_ITEM[NumDate=$InvoicesN1]"/>
	<xsl:variable name="GoodsSet1" select="$InvoiceSet1/descendant::INVOICEGOODS_ITEM"/>
	<xsl:choose>
		<xsl:when test="$Group=1">
			<xsl:value-of select="count($GoodsSet1[generate-id(.)=generate-id(key('CountGoodsCMR',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))])"/>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="count($GoodsSet1)"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>	

<xsl:template name="CMR" >
		<xsl:param name="CreateOnlyEDContainer"/>
		<xsl:param name="GoodsFromCMRForPi"/>
		<xsl:variable name="CmrCou" select="count(//CMR_ITEM)"/>
		<xsl:for-each select="//CMR/CMR_ITEM">
			<xsl:call-template name="CMR_ONE_DOC">
				<xsl:with-param name="CreateOnlyEDContainer" select="$CreateOnlyEDContainer"/>
				<xsl:with-param name="GoodsFromCMRForPi" select="$GoodsFromCMRForPi"/>
				<xsl:with-param name="CmrCou" select="$CmrCou"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CMR_ONE_DOC">	
		<xsl:param name="CreateOnlyEDContainer"/>
		<xsl:param name="GoodsFromCMRForPi"/>
		<xsl:param name="CmrCou"/>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<CMR xmlns="urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003102E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:choose>
							<xsl:when test="string-length(LanguageCode)=0">
								<LanguageCode>RU</LanguageCode>
							</xsl:when>
							<xsl:otherwise>
								<LanguageCode><xsl:value-of select="LanguageCode"/></LanguageCode>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(CarrierNotice)>0">
							<CarrierNotice><xsl:value-of select="CarrierNotice"/></CarrierNotice>
						</xsl:if>
						<xsl:variable name="InvoicesN0" select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[ModeCode='04021']/NumDate"/>
						<xsl:variable name="CountGoodsCmr">
							<xsl:choose>
								<xsl:when test="$CreateOnlyEDContainer=0">
									<xsl:call-template name="CmrGoodsQuantity">
										<xsl:with-param name="InvoicesN1" select="$InvoicesN0"/>
										<xsl:with-param name="Group"  select="GroupGoods"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="count(CMRGoods/CMRGOODS_ITEM)"/>
								</xsl:otherwise>
							</xsl:choose> 
						</xsl:variable>
						<xsl:if test="string-length($CountGoodsCmr)>0">
							<GoodsQuantity><xsl:value-of select="$CountGoodsCmr"/></GoodsQuantity>
						</xsl:if>
						<xsl:if test="string-length(ObCena)>0">
							<GoodsCost><xsl:value-of select="ObCena"/></GoodsCost>
						</xsl:if>
						<StampSign>0</StampSign>
						<RegistrationDocument>
							<Date>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat"  select="RegDate"/>
								</xsl:call-template>
							</Date>
							<xsl:if test="string-length(RegNum)>0">
								<RegID><xsl:value-of select="RegNum"/></RegID>
							</xsl:if>
							<Place><xsl:value-of select="Place"/></Place>
						</RegistrationDocument>
						<Consignor>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Guarantee_Name)>0">
								<Guarantee>
									<xsl:call-template name="FirmNodeConstr">
										<xsl:with-param name="Pref" select="'Guarantee_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
										<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
									</xsl:call-template>
								</Guarantee>
							</xsl:if>
							<xsl:if test="string-length(ConsignorTerminal_Name)>0 or string-length(ConsignorTerminal_PlaceName)>0 or string-length(ConsignorTerminal_CountryName)>0 or	string-length(ConsignorTerminal_CountryCode)>0 ">
								<Terminal>
									<xsl:if test="string-length(ConsignorTerminal_Name)>0">
										<TerminalName><xsl:value-of select="ConsignorTerminal_Name"/></TerminalName>
									</xsl:if>
									<xsl:if test="string-length(ConsignorTerminal_PlaceName)>0">
										<PlaceName><xsl:value-of select="ConsignorTerminal_PlaceName"/></PlaceName>
									</xsl:if>
									<xsl:if test="string-length(ConsignorTerminal_CountryName)>0">
										<CountryName><xsl:value-of select="ConsignorTerminal_CountryName"/></CountryName>
									</xsl:if>
									<xsl:if test="string-length(ConsignorTerminal_CountryCode)>0">
										<CountryCode><xsl:value-of select="ConsignorTerminal_CountryCode"/></CountryCode>
									</xsl:if>
								</Terminal>
							</xsl:if>
						</Consignor>
						<Consignee>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>								
						</Consignee>
						<Carrier>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0'"/>
							</xsl:call-template> 
							<xsl:if test="string-length(Carrier_Phone)>0">
								<Phone><xsl:value-of select="Carrier_Phone"/></Phone>
							</xsl:if>
							<xsl:if test="string-length(Carrier_OKPOID)>0">
								<OKPOID><xsl:value-of select="Carrier_OKPOID"/></OKPOID>
							</xsl:if>
							<xsl:if test="string-length(Carrier_OKATOCode)>0">
								<OKATOCode><xsl:value-of select="Carrier_OKATOCode"/></OKATOCode>
							</xsl:if>							
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="NodeName" select="'PostalAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Carrier_LicenseID)>0">
								<LicenseID><xsl:value-of select="Carrier_LicenseID"/></LicenseID>
							</xsl:if>
						</Carrier>
						<xsl:choose>
							<xsl:when test="string-length(DeliveryPlace_CountryCode)>0 or string-length(DeliveryPlace_City)>0 or string-length(DeliveryPlace_StreetHouse)>0">
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'DeliveryPlace_'"/>
									<xsl:with-param name="NodeName" select="'DeliveryPlace'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0'"/>
								</xsl:call-template>	
							</xsl:when>
							<xsl:when test="string-length(DeliveryPlace_City)=0 and string-length(DeliveryPlace_StreetHouse)=0 and string-length(DeliveryPlace_CountryCode)=0">
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Consignee_'"/>
									<xsl:with-param name="NodeName" select="'DeliveryPlace'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0'"/>
								</xsl:call-template>	
							</xsl:when>
						</xsl:choose>
						<xsl:if test="string-length(NextCarrier_Name)>0">
							<NextCarrier>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'NextCarrier_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0'"/>
								</xsl:call-template> 
								<xsl:if test="string-length(NextCarrier_Phone)>0">
									<Phone><xsl:value-of select="NextCarrier_Phone"/></Phone>
								</xsl:if>
								<xsl:if test="string-length(NextCarrier_OKPOID)>0">
									<OKPOID><xsl:value-of select="NextCarrier_OKPOID"/></OKPOID>
								</xsl:if>
								<xsl:if test="string-length(NextCarrier_OKATOCode)>0">
									<OKATOCode><xsl:value-of select="NextCarrier_OKATOCode"/></OKATOCode>
								</xsl:if>							
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'NextCarrier_'"/>
									<xsl:with-param name="NodeName" select="'PostalAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0'"/>
								</xsl:call-template>								
							</NextCarrier>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="$CmrCou>1">
								<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM">
									<EnclosedDocument>
										<xsl:if test="string-length(DocumentName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(DocumentNumber)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(DocumentDate)>0">
											<cat_ru:PrDocumentDate>												
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="DocumentDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<xsl:choose>
											<xsl:when test="string-length(ModeCode)=0">
												<xsl:choose>
													<xsl:when test="contains(DocumentName,'ИНВОЙС') or contains(DocumentName,'Inv') or contains(DocumentName,'INV')">
														<catTrans_ru:ModeCode>1002007E</catTrans_ru:ModeCode>
													</xsl:when>
													<xsl:when test="contains(DocumentName,'PackingList') or contains(DocumentName,'Pack') or contains(DocumentName,'Упаков')">
														<catTrans_ru:ModeCode>1002009E</catTrans_ru:ModeCode>
													</xsl:when>
													<xsl:otherwise>
														<catTrans_ru:ModeCode>00000000</catTrans_ru:ModeCode>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<xsl:otherwise>
												<xsl:choose>
													<xsl:when test="ModeCode=04021">
														<catTrans_ru:ModeCode>1002007E</catTrans_ru:ModeCode>
													</xsl:when>
													<xsl:when test="ModeCode=02099 or ModeCode=02026 or ModeCode=04131">
														<catTrans_ru:ModeCode>1002009E</catTrans_ru:ModeCode>
													</xsl:when>
													<xsl:otherwise>
														<catTrans_ru:ModeCode>00000000</catTrans_ru:ModeCode>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:otherwise>
										</xsl:choose>
									</EnclosedDocument>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="$CmrCou=1">
								<xsl:if test="count(//INVOICE_ITEM)>0">
									<xsl:for-each select="//INVOICE_ITEM">
										<EnclosedDocument>
											<xsl:if test="string-length(InvoiceName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(RegNum)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
											</xsl:if>	
											<xsl:if test="string-length(RegDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="RegDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catTrans_ru:ModeCode>1002007E</catTrans_ru:ModeCode>
										</EnclosedDocument>
									</xsl:for-each>
								</xsl:if>
								<xsl:if test="count(//PACKINGLIST_ITEM)>0">
									<xsl:for-each select="//PACKINGLIST_ITEM">
										<EnclosedDocument>
											<xsl:if test="string-length(DocName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(RegNum)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
											</xsl:if>	
											<xsl:if test="string-length(RegDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="RegDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catTrans_ru:ModeCode>1002009E</catTrans_ru:ModeCode>
										</EnclosedDocument>
									</xsl:for-each>
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="GroupGoods=1 and $CreateOnlyEDContainer=0 and count(//INVOICE_ITEM)>0">
								<xsl:choose>
									<xsl:when test="$CmrCou>1">
										<xsl:variable name="RDat">
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="RegDate"/>
											</xsl:call-template>
										</xsl:variable>
										<xsl:variable name="NumCmr" select="NumDate"/>
										<xsl:call-template name="CmrGoods">
											<xsl:with-param name="CMRNum" select="$NumCmr"/>
											<xsl:with-param name="CreateOnlyEDContainer" select="$CreateOnlyEDContainer"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="CmrGoods">
											<xsl:with-param name="CreateOnlyEDContainer" select="$CreateOnlyEDContainer"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="CMRGoods/CMRGOODS_ITEM">
									<CMRGoods>
										<xsl:if test="string-length(GoodsMarking)>0">
											<catTrans_ru:GoodsMarking><xsl:value-of select="GoodsMarking"/></catTrans_ru:GoodsMarking>
										</xsl:if>
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods">
												<xsl:call-template name="GoodDescrAvto"/>
											</xsl:with-param>
											<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
											<xsl:with-param name="NameMes" select="true"/> 
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>									
										<xsl:choose>
											<xsl:when test="string-length(GoodsNumeric)=0">
												<catTrans_ru:GoodsNumeric><xsl:value-of select="position()"/></catTrans_ru:GoodsNumeric>
											</xsl:when>
											<xsl:otherwise>
												<catTrans_ru:GoodsNumeric><xsl:value-of select="GoodsNumeric"/></catTrans_ru:GoodsNumeric>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:if test="string-length(GoodsNomenclatureCode)>0">
											<catTrans_ru:GoodsNomenclatureCode><xsl:value-of select="GoodsNomenclatureCode"/></catTrans_ru:GoodsNomenclatureCode>
										</xsl:if>
										<xsl:if test="string-length(HazardousCargoCode)>0">
											<catTrans_ru:HazardousCargoCode><xsl:value-of select="HazardousCargoCode"/></catTrans_ru:HazardousCargoCode>
										</xsl:if>
										<xsl:if test="string-length(VolumeQuantity)>0">
											<catTrans_ru:VolumeQuantity><xsl:value-of select="VolumeQuantity"/></catTrans_ru:VolumeQuantity>
										</xsl:if>
										<xsl:if test="string-length(GoodsQuantity)>0">
											<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
										</xsl:if>
										<xsl:if test="string-length(GrossWeightQuantity)>0">
											<GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></GrossWeightQuantity>
										</xsl:if>
										<GoodsPackingInfo>
											<xsl:if test="string-length(PlacesCode)>0">
												<catTrans_cu:PackingCode><xsl:value-of select="PlacesCode"/></catTrans_cu:PackingCode>
											</xsl:if>
											<xsl:choose>
												<xsl:when test="string-length(PlacesQuantity)=0">
													<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
												</xsl:when>
												<xsl:otherwise>
													<catTrans_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catTrans_cu:PakingQuantity>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:if test="string-length(PlacesDescription)>0">
												<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
											</xsl:if>
										</GoodsPackingInfo>
										<xsl:choose>
											<xsl:when test="$GoodsFromCMRForPi=1  or $CreateOnlyEDContainer=1">
												<xsl:for-each select="CMRGoodsPackingInfo/CMRGOODSPACKINGINFO_ITEM">
													<GoodsPackingInfo>
														<xsl:if test="string-length(PackingCode)>0">
															<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
														</xsl:if>
														<xsl:choose>
															<xsl:when test="string-length(PackingQuantity)=0">
																<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
															</xsl:when>
															<xsl:otherwise>
																<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
															</xsl:otherwise>
														</xsl:choose>
														<xsl:if test="string-length(PackingDescription)>0">
															<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
														</xsl:if>
													</GoodsPackingInfo>
												</xsl:for-each>
											</xsl:when>
											<xsl:when test="$GoodsFromCMRForPi=0  and $CreateOnlyEDContainer=0 and count(//PACKINGLIST)=1">
												<xsl:variable name="Code" select="GoodsNomenclatureCode"/>
												<xsl:variable name="Pack" select="PlacesCode"/>
												<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackCMR',concat($Code,$Pack,./PackingCode)))]">
													<xsl:sort select="concat(../../GoodsCode,../../PlacesCode,./PackingCode)"/>
												</xsl:apply-templates>	
											</xsl:when>
										</xsl:choose>
									</CMRGoods>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(WarehouseLicenceID)>0 or string-length(WarehouseLicenceDate)>0 or string-length(DestinationOfficeIdentifier)>0">
							<ConsigneeCustoms>
								<xsl:variable name="CodCust">
									<xsl:choose>
										<xsl:when test="string-length(WarehouseLicenceID)>0 and substring(WarehouseLicenceID,1,2)='10'">
											<xsl:value-of select="concat(substring(WarehouseLicenceID,1,5),'000')"/>
										</xsl:when>
										<xsl:when test="string-length(DestinationOfficeIdentifier)>0">
											<xsl:value-of select="DestinationOfficeIdentifier"/>
										</xsl:when>
									</xsl:choose>
								</xsl:variable>
								<DestinationOfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodCust]/Name"/></DestinationOfficeName>
								<xsl:if test="string-length(WarehouseName)>0">
									<WarehouseName><xsl:value-of select="WarehouseName"/></WarehouseName>
								</xsl:if>
								<DestinationOfficeIdenifier><xsl:value-of select="$CodCust"/></DestinationOfficeIdenifier>
								<xsl:if test="string-length(WarehouseLicenceID)>0">
									<WarehouseLicenceID><xsl:value-of select="WarehouseLicenceID"/></WarehouseLicenceID>
								</xsl:if>	
								<xsl:if test="string-length(WarehouseLicenceDate)>0">
									<WarehouseLicenceDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="WarehouseLicenceDate"/>
										</xsl:call-template>
									</WarehouseLicenceDate>
								</xsl:if>
								<xsl:if test="string-length(DestinationOfficeCountryCode)>0 or string-length(DestinationOfficeCountryName)>0 or string-length(DestinationOfficeCity)>0 or string-length(DestinationOfficeStreetHouse)>0">
									<WarehousePostalAddress>
										<xsl:if test="string-length(DestinationOfficeCountryCode)>0">
											<cat_ru:CountryCode><xsl:value-of select="DestinationOfficeCountryCode"/></cat_ru:CountryCode>
										</xsl:if>
										<xsl:if test="string-length(DestinationOfficeCountryName)>0">
											<cat_ru:CounryName><xsl:value-of select="DestinationOfficeCountryName"/></cat_ru:CounryName>
										</xsl:if>
										<xsl:if test="string-length(DestinationOfficeCity)>0">
											<cat_ru:City><xsl:value-of select="DestinationOfficeCity"/></cat_ru:City>
										</xsl:if>
										<xsl:if test="string-length(DestinationOfficeStreetHouse)>0">
											<cat_ru:StreetHouse>
												<xsl:choose>
													<xsl:when test="string-length(DestinationOfficeStreetHouse)>50">
														<xsl:value-of select="substring(DestinationOfficeStreetHouse,1,50)"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="DestinationOfficeStreetHouse"/>
													</xsl:otherwise>
												</xsl:choose>
											</cat_ru:StreetHouse>
										</xsl:if>
									</WarehousePostalAddress>
								</xsl:if>
							</ConsigneeCustoms>
						</xsl:if>
						<DeliveryTerms>
							<xsl:choose>
								<xsl:when test="string-length(DestinantionPlaceName)>0">
									<DeliveryPlace><xsl:value-of select="DestinantionPlaceName"/></DeliveryPlace>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="$CmrCou>1">
											<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[ModeCode=04021]">
												<xsl:if test="position()=1">
													<xsl:variable name="InvNum" select="DocumentNumber"/>
													<xsl:variable name="InvDat" select="substring(DocumentDate,1,10)"/>
													<xsl:choose>
														<xsl:when test="string-length(//INVOICE_ITEM[RegNum=$InvNum and substring(RegDate,1,10)=$InvDat]/DeliveryPlace)>0">
															<DeliveryPlace><xsl:value-of select="//INVOICE_ITEM[RegNum=$InvNum and substring(RegDate,1,10)=$InvDat]/DeliveryPlace"/></DeliveryPlace>
														</xsl:when>
														<xsl:when test="string-length(../../DestinationOfficeName)>0">
															<DeliveryPlace><xsl:value-of select="../../DestinationOfficeName"/></DeliveryPlace>
														</xsl:when>
														<xsl:otherwise>
															<DeliveryPlace>NNN</DeliveryPlace>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:if>
											</xsl:for-each>
										</xsl:when>
										<xsl:when test="$CmrCou=1">
											<xsl:choose>
												<xsl:when test="string-length(//INVOICE_ITEM[1]/DeliveryPlace)>0">
													<DeliveryPlace><xsl:value-of select="//INVOICE_ITEM[1]/DeliveryPlace"/></DeliveryPlace>
												</xsl:when>
												<xsl:when test="string-length(DestinationOfficeName)>0">
													<DeliveryPlace><xsl:value-of select="DestinationOfficeName"/></DeliveryPlace>
												</xsl:when>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="string-length(DeliveryPlace_City)>0 or string-length(DeliveryPlace_StreetHouse)>0">
											<xsl:variable name="DesPlace">
												<xsl:if test="string-length(DeliveryPlace_CountryCode)>0">
													<xsl:value-of select="DeliveryPlace_CountryCode"/>
												</xsl:if>
												<xsl:text> </xsl:text>
												<xsl:if test="string-length(DeliveryPlace_CountryName)>0">
													<xsl:value-of select="DeliveryPlace_CountryName"/>
												</xsl:if>
												<xsl:text> </xsl:text>
												<xsl:if test="string-length(DeliveryPlace_City)>0">
													<xsl:value-of select="DeliveryPlace_City"/>
												</xsl:if>
												<xsl:text> </xsl:text>
												<xsl:if test="string-length(DeliveryPlace_StreetHouse)>0">
													<xsl:value-of select="DeliveryPlace_StreetHouse"/>
												</xsl:if>		
											</xsl:variable>	
											<DeliveryPlace><xsl:value-of select="normalize-space($DesPlace)"/></DeliveryPlace>
										</xsl:when>
									</xsl:choose>	
								</xsl:otherwise>
							</xsl:choose> 
							<DeliveryTermsStringCode>
								<xsl:choose>
									<xsl:when test="string-length(DeliveryTermsStringCode)=0">
										<xsl:choose>
											<xsl:when test="$CmrCou>1">
												<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[ModeCode=04021]">
													<xsl:if test="position()=1">
														<xsl:variable name="InvNum" select="DocumentNumber"/>
														<xsl:variable name="InvDat" select="substring(DocumentDate,1,10)"/>
														<xsl:choose>
															<xsl:when test="string-length(//INVOICE_ITEM[RegNum=$InvNum and substring(RegDate,1,10)=$InvDat]/DeliveryTermsStringCode)>0">
																<xsl:value-of select="//INVOICE_ITEM[RegNum=$InvNum and substring(RegDate,1,10)=$InvDat]/DeliveryTermsStringCode"/>
															</xsl:when>
															<xsl:otherwise>NNN</xsl:otherwise>			
														</xsl:choose>
													</xsl:if>
												</xsl:for-each>	
											</xsl:when>
											<xsl:when test="$CmrCou=1">	
												<xsl:choose>
													<xsl:when test="string-length(//INVOICE_ITEM[1]/DeliveryTermsStringCode)>0">
														<xsl:value-of select="//INVOICE_ITEM[1]/DeliveryTermsStringCode"/>
													</xsl:when>
													<xsl:otherwise>NNN</xsl:otherwise>			
												</xsl:choose>
											</xsl:when>
										</xsl:choose>
									</xsl:when>	
									<xsl:otherwise>
										<xsl:value-of select="DeliveryTermsStringCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</DeliveryTermsStringCode>
							<xsl:if test="string-length(TermsDescription)>0">
								<TermsDescription><xsl:value-of select="TermsDescription"/></TermsDescription>
							</xsl:if>
						</DeliveryTerms>
						<CMRTransport>
							<xsl:if test="string-length(SpecialConditionsText)>0">
								<SpecialConditionsText><xsl:value-of select="SpecialConditionsText"/></SpecialConditionsText>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="string-length(PrimeMoverStateSignID)=0">
									<PrimeMoverStateSignID>0000</PrimeMoverStateSignID>
								</xsl:when>
								<xsl:otherwise>
									<PrimeMoverStateSignID><xsl:value-of select="PrimeMoverStateSignID"/></PrimeMoverStateSignID>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(TrailerStateSignID)>0">
								<TrailerStateSignID><xsl:value-of select="TrailerStateSignID"/></TrailerStateSignID>
							</xsl:if>
						</CMRTransport>
						<TakingCargo>
							<xsl:choose>
								<xsl:when test="string-length(TakingCargoDate)>0">
									<TakingCargoDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="TakingCargoDate"/>
										</xsl:call-template>
									</TakingCargoDate>
								</xsl:when>
								<xsl:otherwise>
									<TakingCargoDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</TakingCargoDate>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="string-length(TakingCargoPlace_PostalCode)=0 and string-length(TakingCargoPlace_CountryCode)=0 and  string-length(TakingCargoPlace_CountryName)=0 and string-length(TakingCargoPlace_Region)=0 and  string-length(TakingCargoPlace_City)=0 and string-length(TakingCargoPlace_StreetHouse)=0">
									<TakingCargoPlace/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'TakingCargoPlace_'"/>
										<xsl:with-param name="NodeName" select="'TakingCargoPlace'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0'"/> 
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose> 
						</TakingCargo>
						<xsl:choose>
							<xsl:when test="string-length(GrossWeightQuantity)>0">
								<CMRGoodsWeight>
									<GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></GrossWeightQuantity>
								</CMRGoodsWeight>
							</xsl:when>
							<xsl:when test="string-length(GoodsQuantity)>0">
								<CMR_SupplementaryQuantity>
									<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
								</CMR_SupplementaryQuantity>
							</xsl:when>
							<xsl:otherwise>
								<CMRGoodsWeight>
									<GrossWeightQuantity>0</GrossWeightQuantity>
								</CMRGoodsWeight>
							</xsl:otherwise>	
						</xsl:choose>	
					</CMR>
				</DocBody>
			</ContainerDoc>
			
	</xsl:template>				
</xsl:stylesheet>
