<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="CTMCONTAINER_AWB"/>
	
	</xsl:template>-->

	<xsl:key use="./DestinationAirport_IATACode" name="IATACode" match="//CARGOMANIFESTDESTINFOULDCARGO_ITEM"/>



	<xsl:template name="CTMCONTAINER_AWB">
		<xsl:variable name="TIN" select="/Package/package-properties/prop[@name='TIN']"/> 
		<xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
		
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<CTM_Container xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
                    <xsl:if test="string-length($TIN)>0">
						<DtID><xsl:value-of select="$TIN"/></DtID>
					</xsl:if>
					<xsl:if test="string-length($RefDocumentID)>0">
						<RefDocumentID><xsl:value-of select="$RefDocumentID"/></RefDocumentID>
					</xsl:if>
					<CargoManifest>
						<xsl:apply-templates select="//CARGOMANIFESTDESTINFOULDCARGO_ITEM[generate-id(.)=generate-id(key('IATACode',./DestinationAirport_IATACode))]">
							<xsl:with-param name="Goods" select="2"/>
						</xsl:apply-templates>
					</CargoManifest>
					<xsl:for-each select="AWB/AWB_ITEM">
						<AirWaybill>
							<DocumentNumber>
								<xsl:choose>
									<xsl:when test="string-length(RegNum)>8">
										<xsl:choose>
											<xsl:when test="contains(RegNum,'-')">
												<xsl:value-of select="substring-after(RegNum,'-')"/>
											</xsl:when>
											<xsl:otherwise><xsl:value-of select="substring(RegNum,1,8)"/></xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise><xsl:value-of select="RegNum"/></xsl:otherwise>
								</xsl:choose> 
							</DocumentNumber>
							<Date>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat"  select="RegDate"/>
								</xsl:call-template>								
							</Date>
							<xsl:for-each select="AWBGoods/AWBGOODS_ITEM">
								<AWBGoods>
									<Nums><xsl:value-of select="position()"/></Nums>
									<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
								</AWBGoods>
							</xsl:for-each>	
						</AirWaybill>
					</xsl:for-each>
				</CTM_Container>	
			</DocBody>
		</ContainerDoc>
	
	
	</xsl:template>	
</xsl:stylesheet>
