<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:key use="concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)" name="GoodsCTM" match="//INVOICEGOODS_ITEM"/>
<xsl:key use="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)" name="GoodsCTMnotNum" match="//INVOICEGOODS_ITEM"/>	
	<xsl:template name="CTMCONTAINER_CMR">
		<xsl:variable name="CmrCou" select="count(//CMR_ITEM)"/>
		<xsl:variable name="NodeSp" select="'urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0'"/>
		<xsl:element name="ContainerDoc" namespace="{$NodeSp}">
			<xsl:element name="DocBody" namespace="{$NodeSp}">
				<CTM_Container xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
                    <xsl:variable name="TIN" select="/Package/package-properties/prop[@name='TIN']"/>
                    <xsl:if test="$TIN!=''"><DtID><xsl:value-of select="$TIN"/></DtID></xsl:if>
                    <xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
					<xsl:if test="string-length($RefDocumentID)>0">
						<RefDocumentID><xsl:value-of select="$RefDocumentID"/></RefDocumentID>
					</xsl:if>
					<CMR>
						<xsl:for-each select="//CMR/CMR_ITEM">
							<xsl:variable name="CmrLoadCr" select="Consignor_CountryCode"/>
							<xsl:variable name="NumCmr" select="NumDate"/>
							<CMR_ITEM>
								<CmrNum><xsl:value-of select="concat(RegNum,RegDate)"/></CmrNum>
								<xsl:if test="string-length(GroupGoods)>0">
									<GroupGoods><xsl:value-of select="GroupGoods"/></GroupGoods>
								</xsl:if>
								<Transport>
									<TransportModeCode>
										<xsl:choose>
											<xsl:when test="string-length(TransportModeCode)>0">
												<xsl:value-of select="TransportModeCode"/>
											</xsl:when>					
											<xsl:otherwise>30</xsl:otherwise>	
										</xsl:choose>
									</TransportModeCode>
									<xsl:if test="string-length(TrailerStateSignID2)>0"> 
										<TrailerIdentifier2><xsl:value-of select="TrailerStateSignID2"/></TrailerIdentifier2>
									</xsl:if>
									<VIN><xsl:value-of select="VINID"/></VIN>
									<CountryTC><xsl:value-of select="TransportMeansNationalityCode"/></CountryTC>
								</Transport>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLine)>0">
									<DateExpectedArrival><xsl:value-of select="substring(//INVOICE[1]/INVOICE_ITEM/DeadLine,1,10)"/></DateExpectedArrival>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLineTime)>0">
									<TimeExpectedArrival><xsl:value-of select="concat(//INVOICE[1]/INVOICE_ITEM/DeadLineTime,':00')"/></TimeExpectedArrival>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="GroupGoods=1">
										<INVOICE>
											<DispatchCountry>
												<xsl:choose>
													<xsl:when test="string-length(//INVOICE[1]/INVOICE_ITEM/DispatchCountryCode)>0">
														<xsl:value-of select="//INVOICE[1]/INVOICE_ITEM/DispatchCountryCode"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="$CmrLoadCr"/>
													</xsl:otherwise>
												</xsl:choose>
											</DispatchCountry>
											<DestinationCountry><xsl:value-of select="//INVOICE[1]/INVOICE_ITEM/DestinationCountryCode"/></DestinationCountry>
											<xsl:choose>
												<xsl:when test="count(//CMR/CMR_ITEM)>1">
													<TotalGoodsNameQuantity><xsl:value-of select="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsCTM',concat(../../CurrencyCode,$NumCmr,./GoodsCode,./PlacesCode)))])"/></TotalGoodsNameQuantity>
													<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsCTM',concat(../../CurrencyCode,$NumCmr,./GoodsCode,./PlacesCode)))]">
														<xsl:sort select="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)"/>
														<xsl:with-param name="Doc" select="'CTM'"/>
														<xsl:with-param name="CMRNum" select="$NumCmr"/>
													</xsl:apply-templates>
												</xsl:when>
												<xsl:otherwise>
													<TotalGoodsNameQuantity><xsl:value-of select="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsCTMnotNum',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))])"/></TotalGoodsNameQuantity>
													<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsCTMnotNum',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
														<xsl:sort select="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)"/>
														<xsl:with-param name="Doc" select="'CTM'"/>
														<xsl:with-param name="CMRNum" select="$NumCmr"/>
													</xsl:apply-templates>
												</xsl:otherwise>
											</xsl:choose>
										</INVOICE>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="count(//CMR/CMR_ITEM)>1">
												<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[ModeCode=04021 and string-length(NumDate)>0]">
													<xsl:variable name="InvNum" select="NumDate"/>
													<xsl:for-each select="//INVOICE_ITEM[NumDate=$InvNum]">
														<INVOICE>
															<InvNum><xsl:value-of select="$InvNum"/></InvNum>
															<DispatchCountry>
																<xsl:choose>
																	<xsl:when test="string-length(DispatchCountryCode)>0">
																		<xsl:value-of select="DispatchCountryCode"/>
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of select="$CmrLoadCr"/>
																	</xsl:otherwise>
																</xsl:choose>
															</DispatchCountry>
															<DestinationCountry><xsl:value-of select="DestinationCountryCode"/></DestinationCountry>
															<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
																<xsl:variable name="Pos" select="position()"/>
																<xsl:if test="../../NumDate=$InvNum">
																	<Goods>
																		<GoodsNumeric><xsl:value-of select="$Pos"/></GoodsNumeric>
																		<GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></GoodsTNVEDCode>
																		<xsl:call-template name="GoodsDescr">
																			<xsl:with-param name="DesGoods" select="GoodsDescription"/>
																			<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
																			<xsl:with-param name="Namsp" select="'urn:ctm.ru'"/> 
																			<xsl:with-param name="NameMes" select="false"/> 
																			<xsl:with-param name="LenDes" select="250"/>											
																		</xsl:call-template>		
																		<InvoicedCostCurrencyCode><xsl:value-of select="../../CurrencyCode"/></InvoicedCostCurrencyCode>
																		<GrossWeightQuantity>
																			<xsl:if test="string-length(GrossWeightQuantity)>0">
																				<xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/>
																			</xsl:if>
																		</GrossWeightQuantity>
																		<NetWeightQuantity>
																			<xsl:if test="string-length(NetWeightQuantity)>0">
																				<xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/>
																			</xsl:if>	
																		</NetWeightQuantity>
																		<OriginCountryCode><xsl:value-of select="OriginCountryCode"/></OriginCountryCode>
																		<SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></SupplementaryGoodsQuantity>
																		<SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></SupplementaryMeasureUnitCode>
																		<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
																		<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
																		<PlacesDescription><xsl:value-of select="PlacesDescription"/></PlacesDescription>
																		<PlacesCode><xsl:value-of select="PlacesCode"/></PlacesCode>
																		<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
																			<xsl:if test="position()=$Pos">
																				<PackingInfo>
																					<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																						<PACKINGINFO_ITEM>
																							<PackingQuantity><xsl:value-of select="PackingQuantity"/></PackingQuantity>
																							<PackingDescription><xsl:value-of select="PackingDescription"/></PackingDescription>
																							<PackingCode><xsl:value-of select="PackingCode"/></PackingCode>
																							<PackingMark><xsl:value-of select="PackingMark"/></PackingMark>
																						</PACKINGINFO_ITEM>
																					</xsl:for-each>
																				</PackingInfo>
																			</xsl:if>	
																		</xsl:for-each>
																	</Goods>
																</xsl:if>	
															</xsl:for-each>
														</INVOICE>
													</xsl:for-each>	
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>
												<xsl:for-each select="//INVOICE_ITEM">
													<INVOICE>
														<InvNum><xsl:value-of select="NumDate"/></InvNum>
														<DispatchCountry>
															<xsl:choose>
																<xsl:when test="string-length(DispatchCountryCode)>0">
																	<xsl:value-of select="DispatchCountryCode"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of select="$CmrLoadCr"/>
																</xsl:otherwise>
															</xsl:choose>
														</DispatchCountry>
														<DestinationCountry><xsl:value-of select="DestinationCountryCode"/></DestinationCountry>
														<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
															<xsl:variable name="Pos" select="position()"/>
															<Goods>
																<GoodsNumeric><xsl:value-of select="$Pos"/></GoodsNumeric>
																<GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></GoodsTNVEDCode>
																<xsl:call-template name="GoodsDescr">
																	<xsl:with-param name="DesGoods" select="GoodsDescription"/>
																	<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
																	<xsl:with-param name="Namsp" select="'urn:ctm.ru'"/> 
																	<xsl:with-param name="NameMes" select="false"/> 
																	<xsl:with-param name="LenDes" select="250"/>											
																</xsl:call-template>		
																<InvoicedCostCurrencyCode><xsl:value-of select="../../CurrencyCode"/></InvoicedCostCurrencyCode>
																<OriginCountryCode><xsl:value-of select="OriginCountryCode"/></OriginCountryCode>
																<GrossWeightQuantity>
																	<xsl:if test="string-length(GrossWeightQuantity)>0">
																		<xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/>
																	</xsl:if>
																</GrossWeightQuantity>
																<NetWeightQuantity>
																	<xsl:if test="string-length(NetWeightQuantity)>0">
																		<xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/>
																	</xsl:if>	
																</NetWeightQuantity>
																<SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></SupplementaryGoodsQuantity>
																<SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></SupplementaryMeasureUnitCode>
																<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
																<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
																<PlacesDescription><xsl:value-of select="PlacesDescription"/></PlacesDescription>
																<PlacesCode><xsl:value-of select="PlacesCode"/></PlacesCode>
																<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
																	<xsl:if test="position()=$Pos">
																		<PackingInfo>
																			<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																				<PACKINGINFO_ITEM>
																					<PackingQuantity><xsl:value-of select="PackingQuantity"/></PackingQuantity>
																					<PackingDescription><xsl:value-of select="PackingDescription"/></PackingDescription>
																					<PackingCode><xsl:value-of select="PackingCode"/></PackingCode>
																					<PackingMark><xsl:value-of select="PackingMark"/></PackingMark>
																				</PACKINGINFO_ITEM>
																			</xsl:for-each>
																		</PackingInfo>
																	</xsl:if>	
																</xsl:for-each>
															</Goods>
														</xsl:for-each>
													</INVOICE>
												</xsl:for-each>	
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="count(CMRcont/CMRCONT_ITEM[string-length(ContainerID)>0])>0">
									<Containers>
										<xsl:for-each select="CMRcont/CMRCONT_ITEM[string-length(ContainerID)>0]">
											<Containers_ITEM>
												<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
											</Containers_ITEM>
										</xsl:for-each>
									</Containers>
								</xsl:if>
							</CMR_ITEM>
						</xsl:for-each>
					</CMR>
					<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0]">
						<xsl:if test="position()=1">
							<CMRDrv>
								<CMRDRV_ITEM>
									<PersonSurname><xsl:value-of select="PersonSurname"/></PersonSurname>
									<PersonName><xsl:value-of select="PersonName"/></PersonName>
									<xsl:if test="string-length(PersonMiddleName)>0">
										<PersonMiddleName><xsl:value-of select="PersonMiddleName"/></PersonMiddleName>
									</xsl:if>	
									<xsl:if test="string-length(PersonPost)>0">
										<PersonPost><xsl:value-of select="PersonPost"/></PersonPost>	
									</xsl:if>
									<xsl:if test="string-length(CountryCode)>0">
										<RegCountryCode><xsl:value-of select="CountryCode"/></RegCountryCode>
									</xsl:if>
								</CMRDRV_ITEM>
							</CMRDrv>
						</xsl:if>	
					</xsl:for-each>	
					<xsl:for-each select="//APPENDIX/APPENDIX_ITEM[Declarant_Principal=0 and string-length(Principal_Name)>0]">
						<CMRPrincipal>
							<xsl:for-each select="child::*[contains(name(),'Principal')]">
								<xsl:element name="{name()}">
									<xsl:value-of select="."/>
								</xsl:element>
							</xsl:for-each>
						</CMRPrincipal>
					</xsl:for-each>
					<xsl:for-each select="//APPENDIX/APPENDIX_ITEM[string-length(DepatureOfficeIdentifier)>0]">
						<BorderCustoms>
							<Code><xsl:value-of select="DepatureOfficeIdentifier"/></Code>
							<xsl:variable name="CodTo" select="DepatureOfficeIdentifier"/>
							<xsl:choose>
								<xsl:when test="string-length(DepatureOfficeName)>0">
									<OfficeName><xsl:value-of select="DepatureOfficeName"/></OfficeName>
								</xsl:when>
								<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name)>0">
									<OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name"/></OfficeName>
								</xsl:when>
							</xsl:choose>
							<xsl:call-template name="CustomsCountryCode">
								<xsl:with-param name="NameSp" select="'urn:ctm.ru'"/>
								<xsl:with-param name="CodTo" select="$CodTo"/>
								<xsl:with-param name="Pref" select="1"/>
							</xsl:call-template>
						</BorderCustoms>
					</xsl:for-each>
				</CTM_Container>
			</xsl:element>
		</xsl:element>
	</xsl:template>	
</xsl:stylesheet>
