<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:param name="Now"/>
	<xsl:param name="GoodsFromCMRForPi" select="0"/>
		<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
		--><!--	<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>--><!--
			<xsl:call-template name="CTMCONTAINER_RWB"/>
		</ED_Container>	
	</xsl:template>	-->
<xsl:key use="concat(../../CurrencyCode,../../NumDateRw,./GoodsCode,./PlacesCode)" name="GoodsCTM" match="//INVOICEGOODS_ITEM"/>
<xsl:key use="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)" name="GoodsCTMnotNum" match="//INVOICEGOODS_ITEM"/>	
	<xsl:template name="CTMCONTAINER_RWB">
		<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<CTM_Container xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
                    <xsl:variable name="TIN" select="/Package/package-properties/prop[@name='TIN']"/>
                    <xsl:if test="$TIN!=''"><DtID><xsl:value-of select="$TIN"/></DtID></xsl:if>
                    <xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
					<xsl:if test="string-length($RefDocumentID)>0">
						<RefDocumentID><xsl:value-of select="$RefDocumentID"/></RefDocumentID>
					</xsl:if>
					<RWB>
						<xsl:variable name="ColRwb" select="count(//RWB/RWB_ITEM)"/>
						<xsl:variable name="ColInv" select="count(//INVOICE/INVOICE_ITEM)"/>
						<xsl:variable name="CountryCod">RU,BY,KZ,AM,KG</xsl:variable>
						<xsl:for-each select="//RWB/RWB_ITEM">
							<xsl:variable name="RegTR">
								<xsl:choose>
									<xsl:when test="not(contains($CountryCod,Consignor_CountryCode)) and not(contains($CountryCod,Consignee_CountryCode))">TR</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<xsl:variable name="RwbNumDat" select="NumDate"/>	
							<xsl:variable name="ContNum">
								<xsl:choose>
									<xsl:when test="contains(ContainerID,'-P')">
										<ContainerID><xsl:value-of select="normalize-space(substring-before(ContainerID,'-P'))"/></ContainerID>
									</xsl:when>
									<xsl:otherwise>
										<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>	
							<RWB_ITEM>
								<xsl:if test="string-length(TrainNumber)>0">
									<TrainNumber><xsl:value-of select="TrainNumber"/></TrainNumber>
								</xsl:if>
								<xsl:if test="string-length(TrainIndex)>0">
									<TrainIndex><xsl:value-of select="TrainIndex"/></TrainIndex>
								</xsl:if>	
								<xsl:if test="string-length(PPVNumber)>0">
									<PPVNumber><xsl:value-of select="PPVNumber"/></PPVNumber>
								</xsl:if>	
								<xsl:if test="string-length(QtyTransportPPV)>0">
									<QtyTransportPPV><xsl:value-of select="QtyTransportPPV"/></QtyTransportPPV>
								</xsl:if>
								
								<ArrivalDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="$Now"/>
									</xsl:call-template>
								</ArrivalDate>	
								<CMR_DATDOS>
									<xsl:choose>
										<xsl:when  test="$ColInv=1 or $ColRwb=1">
											<xsl:for-each select="//INVOICE/INVOICE_ITEM/DeadLine">
												<xsl:sort data-type="text" order="descending"/>
												<xsl:if test="position()=1">
													<DeadLine><xsl:value-of select="substring(.,1,10)"/></DeadLine>
													<DeadLineTime><xsl:value-of select="../DeadLineTime"/></DeadLineTime>
												</xsl:if>
											</xsl:for-each>
										</xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="//INVOICE/INVOICE_ITEM[NumDateRw=$RwbNumDat]/DeadLine">
												<xsl:sort data-type="text" order="descending"/>
												<xsl:if test="position()=1">
													<DeadLine><xsl:value-of select="substring(.,1,10)"/></DeadLine>
													<DeadLineTime><xsl:value-of select="../DeadLineTime"/></DeadLineTime>
												</xsl:if>
											</xsl:for-each>
										</xsl:otherwise>
									</xsl:choose>
									
								</CMR_DATDOS>
								<RWBType><xsl:value-of select="((../@ctmtd:CfgName)='Smgs-Rus-Fin-2007.cfg.xml')"/></RWBType>
								<RWBNum><xsl:value-of select="RegNum"/></RWBNum>
								<RWBDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="RegDate"/>
									</xsl:call-template>											
								</RWBDate>
								<GroupGoods><xsl:value-of select="GroupGoods"/></GroupGoods>
								<BorderStRuIn>
									<StationCode><xsl:value-of select="substring(DepartureStationCode,1,5)"/></StationCode>
									<StationName><xsl:value-of select="DepartureStationName"/></StationName>
								</BorderStRuIn>
								<BorderStRuOut>
									<StationCode><xsl:value-of select="substring(DestinationStationCode,1,5)"/></StationCode>
									<StationName><xsl:value-of select="DestinationStationName"/></StationName>
								</BorderStRuOut>
								<xsl:choose>
									<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>0">
										<xsl:for-each select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0 and string-length(WOWNER)>0]">
											<Carriage>
												<CarriageID><xsl:value-of select="RailwayBill"/></CarriageID>
												<CarriageLand><xsl:value-of select="WOWNER"/></CarriageLand>
												<xsl:variable name="Wag" select="RailwayBill"/>
												<xsl:call-template name="ContainersRWBWag">
													<xsl:with-param name="Wag" select="$Wag"/>
													<xsl:with-param name="ContNum" select="$ContNum"/>
												</xsl:call-template>	
											</Carriage>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>
										<xsl:for-each select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and string-length(CarriageLand)>0]">
											<Carriage>
												<CarriageID><xsl:value-of select="CarriageId"/></CarriageID>
												<CarriageLand><xsl:value-of select="CarriageLand"/></CarriageLand>
												<xsl:variable name="Wag" select="CarriageId"/>
												<xsl:call-template name="ContainersRWBWag">
													<xsl:with-param name="Wag" select="$Wag"/>
													<xsl:with-param name="ContNum" select="$ContNum"/>
												</xsl:call-template>	
											</Carriage>
										</xsl:for-each>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:variable name="StCode" select="substring(DepartureStationCode,1,5)"/>
								<BorderCustoms>
									<xsl:variable name="CodTO">
										<xsl:choose>
											<xsl:when test="string-length(DepartureCustomCode)>0">
												<xsl:value-of select="DepartureCustomCode"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StCode]/Code"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:variable>
									<Code><xsl:value-of select="$CodTO"/></Code>
									<xsl:choose>
										<xsl:when test="string-length(DepatureOfficeName)>0">
											<OfficeName><xsl:value-of select="DepatureOfficeName"/></OfficeName>
										</xsl:when>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTO]/Name)>0">
											<OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTO]/Name"/></OfficeName>
										</xsl:when>
									</xsl:choose>
									<xsl:call-template name="CustomsCountryCode">
										<xsl:with-param name="NameSp" select="'urn:ctm.ru'"/>
										<xsl:with-param name="CodTo" select="$CodTO"/>
										<xsl:with-param name="Pref" select="1"/>
									</xsl:call-template>
								</BorderCustoms>
								
								<xsl:choose>
									<xsl:when test="$ColRwb>1 and $ColInv>0">
										<xsl:choose>
											<xsl:when test="GroupGoods=1">
												<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsCTM',concat(../../CurrencyCode,$RwbNumDat,./GoodsCode,./PlacesCode)))]">
														<xsl:sort select="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)"/>
														<xsl:with-param name="Doc" select="'CTM'"/>
														<xsl:with-param name="CMRNum" select="$RwbNumDat"/>
														<xsl:with-param name="RegTR" select="$RegTR"/>
													</xsl:apply-templates>
											</xsl:when>
											<xsl:otherwise>
												<xsl:for-each select="//INVOICE_ITEM[NumDateRw=$RwbNumDat]">
													<INVOICE>
														<InvNum><xsl:value-of select="RegNum"/></InvNum>
														<InvDat>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat"  select="RegDate"/>
															</xsl:call-template>																
														</InvDat>
														
														<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
															<xsl:variable name="posG" select="position()"/>
															<xsl:call-template  name="InvoiceGoods">
																<xsl:with-param name="posG" select="position()"/>
																<xsl:with-param name="INumDat" select="concat(../../RegNum,substring(../../RegDate,1,10))"/>
																<xsl:with-param name="RegTR" select="$RegTR"/>
															</xsl:call-template>
														</xsl:for-each>
													</INVOICE>
												</xsl:for-each>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="GroupGoods=1">
												<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsCTMnotNum',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
													<xsl:sort select="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)"/>
													<xsl:with-param name="Doc" select="'CTM'"/>
												</xsl:apply-templates>
											</xsl:when>
											<xsl:otherwise>
												<INVOICE>
                        							<xsl:for-each select="//INVOICEGoods/INVOICEGOODS_ITEM">
														<xsl:variable name="INum" select="../../RegNum"/>
														<xsl:variable name="IDat" select="substring(../../RegDate,1,10)"/>
														<InvNum><xsl:value-of select="$INum"/></InvNum>
														<InvDat>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat"  select="../../RegDate"/>
															</xsl:call-template>																
														</InvDat>
														<xsl:call-template  name="InvoiceGoods">
															<xsl:with-param name="posG" select="position()"/>
															<xsl:with-param name="INumDat" select="concat(INum,IDat)"/>
															<xsl:with-param name="RegTR" select="$RegTR"/>
														</xsl:call-template>	
													</xsl:for-each>	
												</INVOICE>
											</xsl:otherwise>
										</xsl:choose>		
									</xsl:otherwise>
								</xsl:choose>
							</RWB_ITEM>
						</xsl:for-each>
					</RWB>
					
					<xsl:if test="string-length(Principal_Name)>0">
						<CMRPrincipal>
							<Principal_Name><xsl:value-of select="Principal_Name"/></Principal_Name>
							<Principal_INN><xsl:value-of select="Principal_INN"/></Principal_INN>
							<Principal_PostalCode><xsl:value-of select="Principal_PostalCode"/></Principal_PostalCode>
							<Principal_CountryCode><xsl:value-of select="Principal_CountryCode"/></Principal_CountryCode>
							<Principal_CountryName><xsl:value-of select="Principal_CountryName"/></Principal_CountryName>
							<Principal_City><xsl:value-of select="Principal_City"/></Principal_City>
							<Principal_StreetHouse><xsl:value-of select="Principal_StreetHouse"/></Principal_StreetHouse>
						</CMRPrincipal>
					</xsl:if>
				</CTM_Container>
			</DocBody>
		</ContainerDoc>
	</xsl:template>	
	<xsl:template name="ContainersRWBWag" xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" >
		<xsl:param name="Wag"/>
		<xsl:param name="ContNum"/>
		<xsl:choose>
			<xsl:when test="count(../../CIM-SMGS_STATEMENT_CONTAINERS/CIM-SMGS_STATEMENT_CONTAINERS_ITEM[string-length(N_VAGON)>0])>0">
				<xsl:for-each select="../../CIM-SMGS_STATEMENT_CONTAINERS/CIM-SMGS_STATEMENT_CONTAINERS_ITEM[N_VAGON=$Wag and string-length(UTIN)>0]">
					<ContainerID><xsl:value-of select="UTIN"/></ContainerID>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<ContainerID><xsl:value-of select="$ContNum"/></ContainerID>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template  name="InvoiceGoods" xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
		<xsl:param name="posG"/>
		<xsl:param name="INumDat"/>
		<xsl:param name="RegTR"/>
		<InvPlace>
			<CarriageId><xsl:value-of select="CarriageId"/></CarriageId>
			<GoodPos><xsl:value-of select="$posG"/></GoodPos>
			
			<Good><xsl:value-of select="GoodsCode"/></Good>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods">
					<xsl:call-template name="GoodDescrAvto"/>
				</xsl:with-param>
				<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:ctm.ru'"/> 
				<xsl:with-param name="NameMes" select="false"/> 
				<xsl:with-param name="LenDes" select="250"/>											
			</xsl:call-template>	
			<GrWeight>
				<xsl:if test="string-length(GrossWeightQuantity)>0">
					<xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/>
				</xsl:if>	
			</GrWeight>
			<xsl:if test="$RegTR!='TR'">
				<NetWeight>
					<xsl:if test="string-length(NetWeightQuantity)>0">
						<xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/>
					</xsl:if>
				</NetWeight>
				<TotalCost>
					<xsl:if test="string-length(TotalCost)>0">
						<xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.##')"/>
					</xsl:if>
				</TotalCost>
				<InvVal><xsl:value-of select="../../CurrencyCode"/></InvVal>
			</xsl:if>
			<OriginCountryCode><xsl:value-of select="OriginCountryCode"/></OriginCountryCode>
			
			<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
			<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
			<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></MeasureUnitQualifierCode>
			<xsl:variable name="Usl1" select="string-length(PlacesQuantity)>0"/>
			<xsl:variable name="Usl2" select="contains(PlacesDescription,'АВАЛОМ')"/>
			<xsl:variable name="Usl3" select="contains(PlacesDescription,'АЛИВОМ')"/>
			<xsl:variable name="Usl4" select="contains(PlacesDescription,'аливом')"/>
			<xsl:variable name="Usl5" select="contains(PlacesDescription,'авалом')"/>
			<xsl:if test="$Usl1 and not($Usl2 or $Usl3 or $Usl4 or $Usl5)">
				<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
			</xsl:if>	
			<PlacesDescription><xsl:value-of select="PlacesDescription"/></PlacesDescription>
			<PlacesCode><xsl:value-of select="PlacesCode"/></PlacesCode>
			<xsl:if test="count(//PACKINGLIST_ITEM[concat(InvoiceNum,substring(InvoiceDate,1,10))=$INumDat])>0">
				<xsl:for-each select="//PACKINGLIST_ITEM[concat(InvoiceNum,substring(InvoiceDate,1,10))=$INumDat]">
					<PACKINGLISTGoodsPackingInfo>
						<xsl:for-each select="PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$posG]/PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM">
							<PACKINGLISTGOODSPACKINGINFO_ITEM>
								<PackingQuantity><xsl:value-of select="PackingQuantity"/></PackingQuantity>
								<PackingDescription><xsl:value-of select="PackingDescription"/></PackingDescription>
								<PackingCode><xsl:value-of select="PackingCode"/></PackingCode>
								<PackingMark><xsl:value-of select="PackingMark"/></PackingMark>
							</PACKINGLISTGOODSPACKINGINFO_ITEM>	
						</xsl:for-each>
					</PACKINGLISTGoodsPackingInfo>
				</xsl:for-each>
			</xsl:if>
		</InvPlace>
	</xsl:template>	
</xsl:stylesheet>
