<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--   <xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
	<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.12.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
		<xsl:call-template name="CTMCONTAINER_SEA"/>
		</ED_Container>
	</xsl:template> -->
	<xsl:key use="concat(./DangerIMO,../../ConosamentNum)" name="DangerIMO" match="//Danger/DANGER_ITEM"/>
	<xsl:key use="concat(./UNNO,../../ConosamentNum)" name="UNNO" match="//Danger/DANGER_ITEM"/>
	<xsl:template match="//Danger/DANGER_ITEM" xmlns="urn:customs.ru:Information:TransportDocuments:Sea:BillofLading:5.11.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0">
		<xsl:param name="Nums"/>
		<xsl:param name="Level"/>
		<xsl:if  test="../../ConosamentNum=$Nums">
			<xsl:choose>
				<xsl:when test="$Level=0">
					<catTrans_ru:HazardousCargoCode><xsl:value-of select="DangerIMO"/></catTrans_ru:HazardousCargoCode>
				</xsl:when>
				<xsl:when test="$Level=1">
					<UNnumber><xsl:value-of select="UNNO"/></UNnumber>			
				</xsl:when>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="FirmNode" xmlns="urn:ctm.ru">
		<xsl:param name="NameNode"/>
		<xsl:for-each select="*[contains(name(),$NameNode)]">
			<xsl:choose>
				<xsl:when test="*[contains(name(),'Name')]">
					<xsl:element name="{name()}">
						<xsl:value-of select="translate(.,'&#xA;',' ')"/>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="{name()}">
						<xsl:value-of select="."/>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
		<xsl:key use="./ConosamentNum" name="Conosament" match="//ARRSEADECLGOODS_ITEM[string-length(ConosamentNum)>0]"/>
	
	<xsl:template match="//ARRSEADECLGOODS_ITEM">
		<xsl:param name="ArrSeaD"/>
		<xsl:param name="NotHazCargoCode"/>
		<xsl:variable name="ConosNum" select="ConosamentNum"/>	
		<xsl:choose>
			<xsl:when test="$ArrSeaD=1">
				<xsl:if test="count(//CONOSAMENT_ITEM[RegNum=$ConosNum])=0">
					<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
						<DocBody>
							<BillofLading xmlns="urn:customs.ru:Information:TransportDocuments:Sea:BillofLading:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003202E">
								<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
								<xsl:choose>
									<xsl:when test="string-length(../../LanguageCode)>0">
										<LanguageCode><xsl:value-of select="../../LanguageCode"/></LanguageCode>
									</xsl:when>
									<xsl:otherwise>
										<LanguageCode>EN</LanguageCode>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length(../../Clause)>0">
									<Clause><xsl:value-of select="../../Clause"/></Clause>
								</xsl:if>
								<xsl:variable name="UinPid1">
									<xsl:choose>
										<xsl:when test="string-length($ConosNum)>0 and string-length(//LISTUIN/LISTUIN_ITEM/NUMUIN/NUMUIN_ITEM[ConosamentNum=$ConosNum]/UIN_ID)>0">
											<xsl:value-of select="normalize-space(//LISTUIN/LISTUIN_ITEM/NUMUIN/NUMUIN_ITEM[ConosamentNum=$ConosNum]/UIN_ID)"/>
										</xsl:when>
										<xsl:when test="string-length($ConosNum)>0 and string-length(ConosamentID)>0">
											<xsl:value-of select="normalize-space(ConosamentID)"/>
										</xsl:when>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="ClNum1">
									<xsl:call-template name="ClearSimUIN_NUM">
										<xsl:with-param name="UIN" select="$UinPid1"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:variable name="ValidPUinPid1">
									<xsl:call-template name="ValidUIN_NUM">
										<xsl:with-param name="UIN" select="$ClNum1"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:if test="string-length($ClNum1)>0 and $ValidPUinPid1=1">
									<PI_RegID><xsl:value-of select="$ClNum1"/></PI_RegID>
								</xsl:if>
								<RegistrationDocument>
									<xsl:if test="string-length(ConosamentName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="ConosamentName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<xsl:if test="string-length($ConosNum)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="$ConosNum"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(ConosamentDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="ConosamentDate"/>
											</xsl:call-template>									
										</cat_ru:PrDocumentDate>
									</xsl:if>
								</RegistrationDocument>
								<Vessel>
									<catTrans_ru:Name><xsl:value-of select="../../VesselName"/></catTrans_ru:Name>
									<xsl:if test="string-length(../../VesselShipmaster)>0">
										<catTrans_ru:Shipmaster><xsl:value-of select="../../VesselShipmaster"/></catTrans_ru:Shipmaster>
									</xsl:if>
									<xsl:if test="string-length(../../VesselNationalityCode)>0">
										<xsl:variable name="VesCr" select="string(number(../../VesselNationalityCode))='NaN'"/>
										<xsl:choose>
											<xsl:when test="$VesCr">
												<xsl:variable name="VesselNationalityCode" select="../../VesselNationalityCode"/>
												<catTrans_ru:NationalityCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/Code"/></catTrans_ru:NationalityCode>
											</xsl:when>
											<xsl:otherwise>
												<catTrans_ru:NationalityCode><xsl:value-of select="../../VesselNationalityCode"/></catTrans_ru:NationalityCode>
											</xsl:otherwise>
										</xsl:choose>	
									</xsl:if>							
								</Vessel>
								<Loading>
									<catTrans_ru:Name><xsl:value-of select="DepartureGoodsPort"/></catTrans_ru:Name>
								</Loading>
								<Unloading>
									<catTrans_ru:Name><xsl:value-of select="DebarkationPort"/></catTrans_ru:Name>
								</Unloading>
								<Carrier>
									<xsl:choose>
										<xsl:when test="string-length(Carrier_Name)>0 and string-length(Carrier_CountryCode)>0">
											<xsl:call-template name="FirmNodeConstr">
												<xsl:with-param name="Pref" select="'Carrier_'"/>
												<xsl:with-param name="ReqNode" select="false"/>	
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
												<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
											</xsl:call-template>						
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECL[1]/GENERALDECL_ITEM/ShipAgent_Name)>0">
											<xsl:for-each select="//GENERALDECL[1]/GENERALDECL_ITEM">
												<xsl:call-template name="FirmNodeConstr">
													<xsl:with-param name="Pref" select="'ShipAgent_'"/>
													<xsl:with-param name="ReqNode" select="false"/>	
													<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
													<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
													<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
													<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
												</xsl:call-template>
											</xsl:for-each>
										</xsl:when>
									</xsl:choose>
								</Carrier>
								<xsl:if test="string-length(Consignee_Name)>0 or string-length(Consignee_INN)>0 or string-length(Consignee_PostalCode)>0 or string-length(Consignee_StreetHouse)>0 or string-length(Consignee_CountryCode)>0 or string-length(Consignee_CountryName)>0 or string-length(Consignee_City)>0">
									<Consignee>
										<xsl:call-template name="FirmNodeConstr">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>	
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
											<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
										</xsl:call-template>						
									</Consignee>
								</xsl:if>
								<Consignor>
									<xsl:call-template name="FirmNodeConstr">
										<xsl:with-param name="Pref" select="'Consignor_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
										<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
									</xsl:call-template>										
								</Consignor>
								<xsl:for-each select="//ARRSEADECLGOODS_ITEM[ConosamentNum=$ConosNum]">	
									<Goods>
										<xsl:if test="string-length(GoodsMarking)>0">
											<cat_ru:GoodsMarking><xsl:value-of select="substring(translate(GoodsMarking,'&#xA;&#xD;',' '),1,30)"/></cat_ru:GoodsMarking>
										</xsl:if>
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="translate(GoodsDescription,'&#xA;&#xD;',' ')"/>
											<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
											<xsl:with-param name="NameMes" select="true"/> 
											<xsl:with-param name="LenDes" select="250"/>				
										</xsl:call-template>
										<catTrans_ru:GoodsNumeric><xsl:value-of select="position()"/></catTrans_ru:GoodsNumeric>
										<xsl:if test="string-length(GoodsTNVEDCode)>0">
											<catTrans_ru:GoodsNomenclatureCode><xsl:value-of select="GoodsTNVEDCode"/></catTrans_ru:GoodsNomenclatureCode>
										</xsl:if>
										<xsl:if test="$NotHazCargoCode!=1">
											<xsl:choose>
												<xsl:when test="count(Danger/DANGER_ITEM[string-length(DangerIMO)>0])>0">
													<xsl:apply-templates select="Danger/DANGER_ITEM[generate-id(.)=generate-id(key('DangerIMO',concat(./DangerIMO,$ConosNum)))]">
														<xsl:with-param name="Level" select="0"/>
														<xsl:with-param name="Nums" select="$ConosNum"/>
													</xsl:apply-templates>
												</xsl:when>	
												<xsl:when test="string-length(DangerIMO)>0">
													<catTrans_ru:HazardousCargoCode><xsl:value-of select="DangerIMO"/></catTrans_ru:HazardousCargoCode>
												</xsl:when>
											</xsl:choose>
										</xsl:if>	
										<xsl:if test="string-length(PlacesQuantity)>0 and contains(PlacesQuantity,'NaN')=false">
											<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
										</xsl:if>
										<GrossWeightQuantity>
											<xsl:choose>
												<xsl:when test="string-length(GrossWeightQuantity)>0 and contains(GrossWeightQuantity,'NaN')=false">
													<xsl:choose>
														<xsl:when test="contains(GrossWeightQuantity,'.') and number(substring-after(GrossWeightQuantity,'.'))>0">
															<xsl:value-of select="format-number(round(GrossWeightQuantity * 1000) div 1000,'#.####')"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="round(GrossWeightQuantity * 10) div 10"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>0</xsl:otherwise>
											</xsl:choose>
										</GrossWeightQuantity>
										<xsl:if test="string-length(PlacesDescription)>0">
											<PackingDescription><xsl:value-of select="PlacesDescription"/></PackingDescription>
										</xsl:if>	
										<xsl:for-each select="Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
											<Container>
												<ContainerNum><xsl:value-of select="ContainerID"/></ContainerNum>
												<xsl:if test="string-length(SealID)>0">
													<Seal><xsl:value-of select="SealID"/></Seal>
												</xsl:if>
											</Container>	
										</xsl:for-each>
										<xsl:if test="$NotHazCargoCode!=1">
											<xsl:choose>
												<xsl:when test="count(Danger/DANGER_ITEM[string-length(UNNO)>0])>0">
													<xsl:apply-templates select="Danger/DANGER_ITEM[generate-id(.)=generate-id(key('UNNO',concat(./UNNO,$ConosNum)))]">
														<xsl:with-param name="Nums" select="$ConosNum"/>
														<xsl:with-param name="Level" select="1"/>
													</xsl:apply-templates>
												</xsl:when>	
												<xsl:when test="string-length(normalize-space(UNNO))>0">
													<UNnumber><xsl:value-of select="UNNO"/></UNnumber>
												</xsl:when>
											</xsl:choose>
										</xsl:if>	
									</Goods>
								</xsl:for-each>
								<DocumentSignature>
									<xsl:if test="string-length(../../DocSig_PersonName)>0">
										<PersonName>
											<xsl:value-of select="../../DocSig_PersonName"/>
											<xsl:if test="string-length(../../DocSig_PersonName2)>0">
												<xsl:value-of select="concat(' ',../../DocSig_PersonName2)"/>
											</xsl:if>
											<xsl:if test="string-length(../../DocSig_PersonMiddleName)>0">
												<xsl:value-of select="concat(' ',../../DocSig_PersonMiddleName)"/>
											</xsl:if>
										</PersonName>
									</xsl:if>
									<xsl:if test="string-length(../../DocSig_PersonPost)>0">
										<PersonPost><xsl:value-of select="../../DocSig_PersonPost"/></PersonPost>
									</xsl:if>
									<xsl:if test="string-length(../../DocSig_IssueDate)>0">
										<IssueDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="../../DocSig_IssueDate"/>
											</xsl:call-template>									
										</IssueDate>
									</xsl:if>
								</DocumentSignature>
							</BillofLading>
						</DocBody>
					</ContainerDoc>
				</xsl:if>	
			</xsl:when>
			<xsl:when test="$ArrSeaD=2">
				<xsl:if test="count(//CONOSAMENT_ITEM[RegNum=$ConosNum])=0">
					<GoodsShipment xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<cat_ru:PrDocumentName>Коносамент</cat_ru:PrDocumentName>
						<cat_ru:PrDocumentNumber><xsl:value-of select="$ConosNum"/></cat_ru:PrDocumentNumber>
						<xsl:if test="string-length(ConosamentDate)>0">
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="ConosamentDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
						</xsl:if>
						<catWH_ru:PresentedDocumentModeCode>02011</catWH_ru:PresentedDocumentModeCode>
						<xsl:call-template name="FirmConos"/>
						<xsl:for-each select="//ARRSEADECLGOODS_ITEM[ConosamentNum=$ConosNum]">
							<Goods>
								<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
								<xsl:if test="string-length(GoodsTNVEDCode)>0">
									<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></catWH_ru:GoodsTNVEDCode>
								</xsl:if>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/>
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:choose>
									<xsl:when test="count(ARRSEADECLGoodsPlaces/ARRSEADECLGOODSPLACES_ITEM[string-length(PackingQuantity)>0])>0">
										<xsl:for-each select="ARRSEADECLGoodsPlaces/ARRSEADECLGOODSPLACES_ITEM[string-length(PackingQuantity)>0]">
											<catWH_ru:CargoPlace>
												<catWH_ru:PlaceNumber><xsl:value-of select="PackingQuantity"/></catWH_ru:PlaceNumber>
												<xsl:if test="string-length(PackingCode)>0">
													<catWH_ru:PackageCode><xsl:value-of select="PackingCode"/></catWH_ru:PackageCode>
												</xsl:if>
												<xsl:if test="string-length(PackingDescription)>0">
													<catWH_ru:PlaceDescription><xsl:value-of select="PackingDescription"/></catWH_ru:PlaceDescription>
												</xsl:if>
											</catWH_ru:CargoPlace>
										</xsl:for-each>
									</xsl:when>
									<xsl:when test="string-length(PlacesQuantity)>0">
										<catWH_ru:CargoPlace>
											<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
										</catWH_ru:CargoPlace>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(GrossWeightQuantity)>0">
									<catWH_ru:BruttoVolQuant>
										<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
										<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
										<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
									</catWH_ru:BruttoVolQuant>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(SupplementaryGoodsQuantity)>0 and sum(Container/CONTAINER_ITEM[string-length(VolumeQuantity)>0]/VolumeQuantity)!=number(SupplementaryGoodsQuantity) and string-length(SupplementaryMeasureUnitCode)>0">
										<catWH_ru:MeasureQuantity>
											<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(SupplementaryGoodsQuantity * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
											<xsl:variable name="CodeUn" select="SupplementaryMeasureUnitCode"/>
											<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$CodeUn]/ABBR"/></catWH_ru:MeasureUnitQualifierName>
											<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="$CodeUn"/></catWH_ru:MeasureUnitQualifierCode>
										</catWH_ru:MeasureQuantity>
									</xsl:when>
									<xsl:when test="sum(Container/CONTAINER_ITEM[string-length(VolumeQuantity)>0]/VolumeQuantity)>0">
										<catWH_ru:MeasureQuantity>
											<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(sum(Container/CONTAINER_ITEM[string-length(VolumeQuantity)>0]/VolumeQuantity) * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
											<catWH_ru:MeasureUnitQualifierName>М3</catWH_ru:MeasureUnitQualifierName>
											<catWH_ru:MeasureUnitQualifierCode>113</catWH_ru:MeasureUnitQualifierCode>
										</catWH_ru:MeasureQuantity>
									</xsl:when>
								</xsl:choose>
							</Goods>
						</xsl:for-each>
						<xsl:for-each select="//Container/CONTAINER_ITEM[../../ConosamentNum=$ConosNum and string-length(ContainerID)>0]">
							<xsl:variable name="ContNum" select="ContainerID"/>
							<Containers>
								<catWH_ru:ContainerNumber><xsl:value-of select="ContainerID"/></catWH_ru:ContainerNumber>
								<xsl:variable name="WhC1" select="format-number(round(sum(//Container/CONTAINER_ITEM[../../ConosamentNum=$ConosNum and ContainerID=$ContNum]/Weight) * 100000) div 100000,'0.######')"/>
									<xsl:if test="$WhC1>0 and $WhC1!='NaN'">
										<catWH_ru:GrossWeightQuantity><xsl:value-of select="$WhC1"/></catWH_ru:GrossWeightQuantity>
									</xsl:if>	
							</Containers>
						</xsl:for-each>
					</GoodsShipment>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>	
				<ARRSEADECLGOODS_ITEM xmlns="urn:ctm.ru">
					<ConosamentNum><xsl:value-of select="$ConosNum"/></ConosamentNum>
					<DebarkationPortCountryCode><xsl:value-of select="DebarkationPortCountryCode"/></DebarkationPortCountryCode>
					<DepartureGoodsPortCountryCode><xsl:value-of select="DepartureGoodsPortCountryCode"/></DepartureGoodsPortCountryCode>
					<xsl:call-template name="FirmNode">
						<xsl:with-param name="NameNode" select="'Consignor_'"/>
					</xsl:call-template>	
					<xsl:call-template name="FirmNode">
						<xsl:with-param name="NameNode" select="'Consignee_'"/>
					</xsl:call-template>	
					<xsl:call-template name="FirmNode">
						<xsl:with-param name="NameNode" select="'Carrier_'"/>
					</xsl:call-template>
				</ARRSEADECLGOODS_ITEM>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="CTMCONTAINER_SEA">
		<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<CTM_Container xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
					<xsl:variable name="TIN" select="/Package/package-properties/prop[@name='TIN']"/>
                    <xsl:if test="$TIN!=''"><DtID><xsl:value-of select="$TIN"/></DtID></xsl:if>
                    <xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
					<xsl:if test="string-length($RefDocumentID)>0">
						<RefDocumentID><xsl:value-of select="$RefDocumentID"/></RefDocumentID>
					</xsl:if>
					<xsl:if  test="string-length(//GENERALDECL_ITEM/Balast)>0 and number(//GENERALDECL_ITEM/Balast)=1">
						<Balast><xsl:value-of select="//GENERALDECL_ITEM/Balast"/></Balast>
					</xsl:if>	
					<xsl:if  test="string-length(//GENERALDECL_ITEM/Balast)=0 or (string-length(//GENERALDECL_ITEM/Balast)>0 and number(//GENERALDECL_ITEM/Balast)=0)">
						<xsl:if test="count(//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM)>0"> 
							<ARRSEADECLGoods>
								<xsl:apply-templates select="//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[generate-id(.)=generate-id(key('Conosament',./ConosamentNum))]">
									<xsl:with-param name="ArrSeaD"  select="0"/>
								</xsl:apply-templates>
							</ARRSEADECLGoods>
						</xsl:if>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=1">
							<xsl:if test="string-length(//GENERALDECL/GENERALDECL_ITEM/DepartureCountryCode)>0">
								<DepartureCountryCode><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DepartureCountryCode"/></DepartureCountryCode>
							</xsl:if>
							<xsl:if test="string-length(//GENERALDECL/GENERALDECL_ITEM/DestinationCountryCode)>0">
								<DestinationCountryCode><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationCountryCode"/></DestinationCountryCode>
							</xsl:if>
						</xsl:when>
						<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=0">
							<xsl:if test="string-length(//GENERALDECL/GENERALDECL_ITEM/DestinationCountryCode)>0">
								<DepartureCountryCode><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationCountryCode"/></DepartureCountryCode>
							</xsl:if>
							<xsl:if test="string-length(//GENERALDECL/GENERALDECL_ITEM/DepartureCountryCode)>0">
								<DestinationCountryCode><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DepartureCountryCode"/></DestinationCountryCode>
							</xsl:if>
						</xsl:when>
					</xsl:choose>
                    <SEAPASSLIST>
						<xsl:for-each select="//SEAPASSLISTPassInfo/SEAPASSLISTPASSINFO_ITEM[string-length(PersonName)>0 and string-length(PersonName2)>0]">
							<SEAPASSLIST_ITEM>
								<PersonName><xsl:value-of select="PersonName"/></PersonName>
								<PersonName2><xsl:value-of select="PersonName2"/></PersonName2>
								<PersonMiddleName><xsl:value-of select="PersonMiddleName"/></PersonMiddleName>
								<Nationality><xsl:value-of select="Nationality"/></Nationality>
								<BirthPlace><xsl:value-of select="BirthPlace"/></BirthPlace>
								<DateofBirth>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DateofBirth"/>
									</xsl:call-template>
								</DateofBirth>
								<LoadingName><xsl:value-of select="LoadingName"/></LoadingName>
								<LoadingCountryCode><xsl:value-of select="LoadingCountryCode"/></LoadingCountryCode>
								<UnloadingName><xsl:value-of select="UnloadingName"/></UnloadingName>
								<UnloadingCountryCode><xsl:value-of select="UnloadingCountryCode"/></UnloadingCountryCode>
							</SEAPASSLIST_ITEM>
						</xsl:for-each>  
					</SEAPASSLIST>
				</CTM_Container>	
			</DocBody>
		</ContainerDoc>
	</xsl:template>	
</xsl:stylesheet>
