<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="CARGOMANIFEST"/>
			</ED_Container>	
	</xsl:template>-->
	<xsl:template name="CARGOMANIFEST">
		<xsl:for-each select="CARGOMANIFEST/CARGOMANIFEST_ITEM"> 
			<xsl:variable name="CarCode" select="Carrier_Code"/>
			<xsl:variable name="CarCodeNum" select="document('../../NSI/AirNsiXml.xml')//IATAFIRM_ITEM[AirIataCodeABC2=$CarCode]/AirIataCodeNum"/> 
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<CargoManifest xmlns="urn:customs.ru:Information:TransportDocuments:Air:CargoManifest:5.11.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003303E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(RegDate)>0">
							<ManifestDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</ManifestDate>
						</xsl:if>	
						<xsl:choose>
							<xsl:when test="string-length(Carrier_Name)>0">
								<CarrierName><xsl:value-of select="Carrier_Name"/></CarrierName>
							</xsl:when>
							<xsl:when test="string-length(document('../../NSI/AirNsiXml.xml')//IATAFIRM_ITEM[AirIataCodeABC2=$CarCode]/AirCarrierName)>0">
								<CarrierName><xsl:value-of select="document('../../NSI/AirNsiXml.xml')//IATAFIRM_ITEM[AirIataCodeABC2=$CarCode]/AirCarrierName"/></CarrierName>
							</xsl:when>
						</xsl:choose>
						<CarrierCode><xsl:value-of select="$CarCode"/></CarrierCode>	
						<xsl:if test="string-length(LanguageCode)>0">
							<LNG><xsl:value-of select="LanguageCode"/></LNG>	
						</xsl:if>	
						<FlightInfo>
							<catTrans_ru:FlightNumber><xsl:value-of select="FlNumber"/></catTrans_ru:FlightNumber>
							<catTrans_ru:FlightDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="FlDate"/>
								</xsl:call-template>
							</catTrans_ru:FlightDate>
							<xsl:if test="string-length(AirplaneMark)>0">
								<catTrans_ru:Mark><xsl:value-of select="AirplaneMark"/></catTrans_ru:Mark>
							</xsl:if>	
							<catTrans_ru:AirPlaneRegNum><xsl:value-of select="AirplaneRegNumber"/></catTrans_ru:AirPlaneRegNum>
							<xsl:if test="string-length(FlTime)>0">	
								<catTrans_ru:FlightTime>
									<xsl:call-template name="TranslateTime">
										<xsl:with-param name="Time" select="FlTime"/>
									</xsl:call-template>
								</catTrans_ru:FlightTime>
							</xsl:if>	
							<catTrans_ru:DepartureAirport>
								<xsl:if test="string-length(DepartureAirport)>0">
									<catTrans_ru:Name><xsl:value-of select="DepartureAirport"/></catTrans_ru:Name>
								</xsl:if>
								<catTrans_ru:IATACode><xsl:value-of select="DepartureAirport_IATACode"/></catTrans_ru:IATACode>
							</catTrans_ru:DepartureAirport>
						</FlightInfo>
						<xsl:choose>
							<xsl:when test="number(NilCargoSign)=1">
								<DestinationInfo>
									<NilCargoCode>1</NilCargoCode>
									<DestinationAirport>
										<xsl:if test="string-length(DestinationAirport)>0">
											<catTrans_ru:Name><xsl:value-of select="DestinationAirport"/></catTrans_ru:Name>
										</xsl:if>	
										<catTrans_ru:IATACode><xsl:value-of select="DestinationAirport_IATACode"/></catTrans_ru:IATACode>
									</DestinationAirport>	
								</DestinationInfo>	
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="//CARGOMANIFESTDESTINFO/CARGOMANIFESTDESTINFO_ITEM[string-length(DestinationAirport_IATACode)>0]">
									<DestinationInfo>
										<DestinationAirport>
											<xsl:if test="string-length(DestinationAirport)>0">
												<catTrans_ru:Name><xsl:value-of select="DestinationAirport"/></catTrans_ru:Name>
											</xsl:if>	
											<catTrans_ru:IATACode><xsl:value-of select="DestinationAirport_IATACode"/></catTrans_ru:IATACode>
										</DestinationAirport>	
										<xsl:for-each select="CARGOMANIFESTDESTINFOBULK/CARGOMANIFESTDESTINFOBULK_ITEM[string-length(Bulk_DocumentNumber)>0 and string-length(Bulk_GoodsDescription)>0  and string-length(Bulk_OriginAirport_IATACode)>0  and string-length(Bulk_DestinationAirport_IATACode)>0]">
											<BulkGargo>
												<xsl:call-template name="Goods">
													<xsl:with-param name="Pref" select="'Bulk_'"/>
													<xsl:with-param name="CarCodeNum" select="$CarCodeNum"/>
													<xsl:with-param name="CarCode" select="$CarCode"/>
												</xsl:call-template>	
											</BulkGargo>
										</xsl:for-each>
										<xsl:for-each select="CARGOMANIFESTDESTINFOULDCARGO/CARGOMANIFESTDESTINFOULDCARGO_ITEM[string-length(ULDType)>0 and string-length(ULDSerialNumber)>0  and string-length(ULDOwnerCode)>0 and count(CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDGOODS_ITEM[string-length(ULD_DocumentNumber)>0 and string-length(ULD_GoodsDescription)>0  and string-length(ULD_OriginAirport_IATACode)>0  and string-length(ULD_DestinationAirport_IATACode)>0])>0]">
											<ULDCargo>
												<ULDType><xsl:value-of select="ULDType"/></ULDType>
												<ULDSerialNumber><xsl:value-of select="ULDSerialNumber"/></ULDSerialNumber>
												<ULDOwnerCode><xsl:value-of select="ULDOwnerCode"/></ULDOwnerCode>
												<xsl:if test="string-length(ULDComent)>0">
													<ULDComent><xsl:value-of select="ULDComent"/></ULDComent>
												</xsl:if>
												<xsl:if test="string-length(ULDPlacesQuantity)>0">	
													<TotalULDPlacesQuantity><xsl:value-of select="ULDPlacesQuantity"/></TotalULDPlacesQuantity>
												</xsl:if>
												<xsl:if test="string-length(ULDWeightUnitQualifierCode)>0">	
													<WeightUnitQualifierCode><xsl:value-of select="ULDWeightUnitQualifierCode"/></WeightUnitQualifierCode>
												</xsl:if>
												<xsl:if test="string-length(ULDGrossWeightQuantity)>0">	
													<GrossWeightQuantity><xsl:value-of select="ULDGrossWeightQuantity"/></GrossWeightQuantity>
												</xsl:if>
												<xsl:for-each select="CARGOMANIFESTDESTINFOULDGOODS/CARGOMANIFESTDESTINFOULDGOODS_ITEM[string-length(ULD_DocumentNumber)>0 and string-length(ULD_GoodsDescription)>0  and string-length(ULD_OriginAirport_IATACode)>0  and string-length(ULD_DestinationAirport_IATACode)>0]">
													<ULDGoods>
														<xsl:call-template name="Goods">
															<xsl:with-param name="Pref" select="'ULD_'"/>
															<xsl:with-param name="CarCodeNum" select="$CarCodeNum"/>
															<xsl:with-param name="CarCode" select="$CarCode"/>
														</xsl:call-template>
													</ULDGoods>
												</xsl:for-each>
											</ULDCargo>
										</xsl:for-each>	
									</DestinationInfo>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
					</CargoManifest>
				</DocBody>
			</ContainerDoc>	
		</xsl:for-each>			
	</xsl:template>
	<xsl:template name="Goods" xmlns="urn:customs.ru:Information:TransportDocuments:Air:CargoManifest:5.11.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:param name="Pref"/>
		<xsl:param name="CarCodeNum"/>
		<xsl:param name="CarCode"/>
		<xsl:if test="string-length($CarCodeNum)>0">
			<catTrans_ru:AirlineIATACode><xsl:value-of select="$CarCodeNum"/></catTrans_ru:AirlineIATACode>
		</xsl:if>
		<catTrans_ru:DocumentNumber><xsl:value-of select="*[name()=concat($Pref,'DocumentNumber')]"/></catTrans_ru:DocumentNumber>
		<catTrans_ru:AirlineSign>
			<xsl:choose>
				<xsl:when test="string-length($CarCode)>0">true</xsl:when>
				<xsl:otherwise>false</xsl:otherwise>
			</xsl:choose>
		</catTrans_ru:AirlineSign>
		<ShipmentDescriptionCode>
			<xsl:choose>
				<xsl:when  test="string-length(*[name()=concat($Pref,'ShipmentDescriptionCode')])>0">
					<xsl:value-of select="*[name()=concat($Pref,'ShipmentDescriptionCode')]"/>
				</xsl:when>
				<xsl:otherwise>S</xsl:otherwise>
			</xsl:choose>
		</ShipmentDescriptionCode>
		<PlacesQuantity><xsl:value-of select="*[name()=concat($Pref,'PlacesQuantity')]"/></PlacesQuantity>
		<xsl:if test="string-length(*[name()=concat($Pref,'WeightUnitQualifierCode')])>0">
			<WeightUnitQualifierCode><xsl:value-of select="*[name()=concat($Pref,'WeightUnitQualifierCode')]"/></WeightUnitQualifierCode>
		</xsl:if>
		<xsl:if test="string-length(*[name()=concat($Pref,'GrossWeightQuantity')])>0">
			<GrossWeightQuantity><xsl:value-of select="*[name()=concat($Pref,'GrossWeightQuantity')]"/></GrossWeightQuantity>
		</xsl:if>	
		<GoodsDescription><xsl:value-of select="substring(normalize-space(*[name()=concat($Pref,'GoodsDescription')]),1,250)"/></GoodsDescription>
		<xsl:if test="string-length(*[name()=concat($Pref,'GoodsCommodityCode')])>0">
			<GoodsCommodityCode><xsl:value-of select="*[name()=concat($Pref,'GoodsCommodityCode')]"/></GoodsCommodityCode>
		</xsl:if>	
		<OriginAirport>
			<xsl:if test="string-length(*[name()=concat($Pref,'OriginAirport')])>0">
				<catTrans_ru:Name><xsl:value-of select="*[name()=concat($Pref,'OriginAirport')]"/></catTrans_ru:Name>
			</xsl:if>
			<catTrans_ru:IATACode><xsl:value-of select="*[name()=concat($Pref,'OriginAirport_IATACode')]"/></catTrans_ru:IATACode>
		</OriginAirport>
		<DestimationAirport>
			<xsl:if test="string-length(*[name()=concat($Pref,'DestinationAirport')])>0">
				<catTrans_ru:Name><xsl:value-of select="*[name()=concat($Pref,'DestinationAirport')]"/></catTrans_ru:Name>
			</xsl:if>
			<catTrans_ru:IATACode><xsl:value-of select="*[name()=concat($Pref,'DestinationAirport_IATACode')]"/></catTrans_ru:IATACode>
		</DestimationAirport>
		<xsl:if test="string-length(GTD_GoodsNumeric)>0 and string-length(ExportFlag)>0 and string-length(GTD_CustomsCode)>0 and string-length(GTD_Number)>0 and string-length(GTD_Date)>0">
			<DTInfo>
				<GoodNumber><xsl:value-of select="GTD_GoodsNumeric"/></GoodNumber>
				<PartialExport>
					<xsl:choose>
						<xsl:when test="number(ExportFlag)=1">1</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</PartialExport>
				<DTNumber>
					<cat_ru:CustomsCode><xsl:value-of select="GTD_CustomsCode"/></cat_ru:CustomsCode>
					<cat_ru:RegistrationDate>
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="GTD_Date"/>
						</xsl:call-template>
					</cat_ru:RegistrationDate>
					<cat_ru:GTDNumber><xsl:value-of select="GTD_Number"/></cat_ru:GTDNumber>
				</DTNumber>
			</DTInfo>
		</xsl:if>
	</xsl:template> 										
</xsl:stylesheet>
