<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="TSREGSERTIF">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
	<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
	<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	
	<xsl:template name="TSREGSERTIF">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/TSREGSERTIF/TSREGSERTIF_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_CertificatDImmatriculation"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="TSREGSERTIF_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content_CertificatDImmatriculation"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="content_CertificatDImmatriculation">
		<CertificatDImmatriculation xmlns="urn:customs.ru:Information:RegistrationDocuments:CertificatDImmatriculation:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1001301E">
			<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods" select="Comment"/>
				<xsl:with-param name="NodeName" select="'Comment'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:RegistrationDocuments:CertificatDImmatriculation:5.10.0'"/> 
				<xsl:with-param name="LenDes" select="250"/>				
			</xsl:call-template>
			<PTSNumber><xsl:value-of select="PTSNumber"/></PTSNumber>
			<Registration>
				<RegionCode><xsl:value-of select="RegionCode"/></RegionCode>
				<SeriesCode><xsl:value-of select="SeriesCode"/></SeriesCode>
				<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
				<IssueDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="RegDate"/>
					</xsl:call-template>
				</IssueDate>
				<GAIName><xsl:value-of select="RegGAIName"/></GAIName>
			</Registration>
			<UnRegistration>
				<Date>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="UnregDate"/>
					</xsl:call-template>
				</Date>
				<GAIName><xsl:value-of select="UnregGAIName"/></GAIName>
				<Cause><xsl:value-of select="UnregCause"/></Cause>
			</UnRegistration>
			<CDITransportMeans>
				<cat_ru:Model ><xsl:value-of select="Model"/></cat_ru:Model>
				<cat_ru:Mark><xsl:value-of select="Mark"/></cat_ru:Mark>
				<cat_ru:MarkCode><xsl:value-of select="normalize-space(MarkCode)"/></cat_ru:MarkCode>
				<cat_ru:OfftakeYear><xsl:value-of select="OfftakeYear"/></cat_ru:OfftakeYear>
				<cat_ru:EngineVolumeQuanity><xsl:value-of select="EngineVolumeQuantity"/></cat_ru:EngineVolumeQuanity>
				<cat_ru:VINID><xsl:value-of select="VINID"/></cat_ru:VINID>
				<cat_ru:BodyID><xsl:value-of select="BodyID"/></cat_ru:BodyID>
				<cat_ru:EngineID><xsl:value-of select="EngineID"/></cat_ru:EngineID>
				<cat_ru:ChassisID><xsl:value-of select="ShassisID"/></cat_ru:ChassisID>
				<cat_ru:CabID><xsl:value-of select="CabID"/></cat_ru:CabID>
				<cat_ru:EmergencyDeviceID><xsl:value-of select="EmergencyDeviceID"/></cat_ru:EmergencyDeviceID>
				<TransportStateSignID><xsl:value-of select="TransportStateSignID"/></TransportStateSignID>
				<xsl:if test="number(TransportMeansColorCode)=TransportMeansColorCode">
					<TransportMeansColorCode><xsl:value-of select="TransportMeansColorCode"/></TransportMeansColorCode>
				</xsl:if>
				<EnginePowerKvtQuanity><xsl:value-of select="EnginePowerKvtQuantity"/></EnginePowerKvtQuanity>
				<EnginePowerHpQuanity><xsl:value-of select="EnginePowerHpQuantity"/></EnginePowerHpQuanity>
				<MaxWeightQuantity><xsl:value-of select="MaxWeightQuantity"/></MaxWeightQuantity>
				<MinWeightQuantity><xsl:value-of select="MinWeightQuantity"/></MinWeightQuantity>
				<TransportCategoryCode><xsl:value-of select="TransportCategoryCode"/></TransportCategoryCode>
				<EngineModel><xsl:value-of select="EngineModel"/></EngineModel>
				<Kind><xsl:value-of select="Kind"/></Kind>
			</CDITransportMeans>
			<CDIAutomobileowner>
				<Name><xsl:value-of select="AutoOwner_Name"/></Name>
				<NaturalPersonIndicator><xsl:value-of select="NaturalPersonIndicator"/></NaturalPersonIndicator>
				<xsl:call-template name="Address">
					<xsl:with-param name="Pref" select="'AutoOwner_'"/>
					<xsl:with-param name="NodeName" select="'PostalAdress'"/>
					<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:RegistrationDocuments:CertificatDImmatriculation:5.10.0'"/> 
				</xsl:call-template>
			</CDIAutomobileowner>
		</CertificatDImmatriculation>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
