<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="SERTIFPRECIOUSMETAL"/>
			</ED_Container>	
	</xsl:template>-->
<xsl:template name="SERTIFPRECIOUSMETAL">
		<xsl:for-each select="//SERTIFPRECIOUSMETAL/SERTIFPRECIOUSMETAL_ITEM">
			<xsl:call-template name="SERTIFPRECIOUSMETAL_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="SERTIFPRECIOUSMETAL_ONE_DOC">	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<CertificatePreciousMetal xmlns="urn:customs.ru:Information:SertifDocuments:CertificatePreciousMetal:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009013E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<IssueDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</IssueDate>	
						<RegistrationNumber><xsl:value-of select="RegNum"/></RegistrationNumber>
						<ExpirationDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="EndDate"/>
							</xsl:call-template>
						</ExpirationDate>
						<NamePreciousMetal><xsl:value-of select="translate(Metal_Name, '&#xA;',' ')"/></NamePreciousMetal>
						<ContentPercent><xsl:value-of select="ContentPercent"/></ContentPercent>
						<RecalculatedContent><xsl:value-of select="ContentWeight"/></RecalculatedContent>
						<DeclarantInfo>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Declarant_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
						</DeclarantInfo>
						<xsl:for-each select="SERTIFPRECIOUSMETALGOODS/SERTIFPRECIOUSMETALGOODS_ITEM">
							<GoodsInfo>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'GoodsName'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:CertificatePreciousMetal:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(GoodsKind)>0">
									<GoodsKind><xsl:value-of select="GoodsKind"/></GoodsKind>
								</xsl:if>	
								<xsl:if test="string-length(GoodsMarking)>0">
									<GoodsMark><xsl:value-of select="GoodsMarking"/></GoodsMark>
								</xsl:if>
								<xsl:if test="string-length(GoodsTNVEDCode)>0">
									<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
								</xsl:if>	
								<xsl:if test="string-length(GoodsOKP)>0">
									<GoodsOKP><xsl:value-of select="GoodsOKP"/></GoodsOKP>
								</xsl:if>	
							</GoodsInfo>
						</xsl:for-each>
						<ExperimentAccordanceDocuments>
							<xsl:for-each select="SERTIFPRECIOUSMETALDOCS/SERTIFPRECIOUSMETALDOCS_ITEM[string-length(DocName)>0 or string-length(DocNumber)>0 or string-length(DocDate)>0]">
								<xsl:if test="string-length(DocName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
								</xsl:if>	
								<xsl:if test="string-length(DocNumber)>0">	
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocNumber"/></cat_ru:PrDocumentNumber>
								</xsl:if>	
								<xsl:if test="string-length(DocDate)>0">	
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>	
							</xsl:for-each>
						</ExperimentAccordanceDocuments>
						<xsl:if test="string-length(Laboratory_Name)>0 and string-length(Laboratory_RegNumAIL)>0">	
							<Laboratory>
								<NameLaboratory><xsl:value-of select="Laboratory_Name"/></NameLaboratory>
								<RegistrationNumberAIL><xsl:value-of select="Laboratory_RegNumAIL"/></RegistrationNumberAIL>
							</Laboratory>
						</xsl:if>
						<xsl:for-each select="SERTIFPRECIOUSMETALREPORT/SERTIFPRECIOUSMETALREPORT_ITEM[string-length(DocName)>0 or string-length(DocNumber)>0 or string-length(DocDate)>0]">
							<TestReport>
								<xsl:if test="string-length(DocName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
								</xsl:if>	
								<xsl:if test="string-length(DocNumber)>0">	
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocNumber"/></cat_ru:PrDocumentNumber>
								</xsl:if>	
								<xsl:if test="string-length(DocDate)>0">	
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>	
							</TestReport>
						</xsl:for-each>	
						<IssueOrganization>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
						</IssueOrganization>
						<IssuePersonSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">	
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
							<xsl:if test="string-length(DocSig_IssueDate)>0">		
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
										</xsl:call-template>
								</cat_ru:IssueDate>
							</xsl:if>	
						</IssuePersonSignature>
					</CertificatePreciousMetal>
				</DocBody>
			</ContainerDoc>

	</xsl:template>
</xsl:stylesheet>
