<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="SERTIFTITLEVESSEL"/>
	</xsl:template>-->
	<xsl:template name="SERTIFTITLEVESSEL">
		<xsl:for-each select="//SERTIFTITLEVESSEL/SERTIFTITLEVESSEL_ITEM">
			<xsl:call-template name="SERTIFTITLEVESSEL_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>	
	<xsl:template name="SERTIFTITLEVESSEL_ONE_DOC">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<CertificateTitleVessel xmlns="urn:customs.ru:Information:TransportDocuments:Sea:CertificateTitleVessel:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003207E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<IssuedInspectorate><xsl:value-of select="IssuedInspectorate"/></IssuedInspectorate>
						<IssuedChief><xsl:value-of select="IssuedChief"/></IssuedChief>
						<RegistrationNumber><xsl:value-of select="RegNum"/></RegistrationNumber>
						<IssueDateDoc>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</IssueDateDoc>
						<Shipowner>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="2"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Sea:CertificateTitleVessel:5.10.0'"/>
							</xsl:call-template>
						</Shipowner>
						<Vessel>
							<catTrans_ru:IDVessel><xsl:value-of select="Vessel_ID"/></catTrans_ru:IDVessel>
							<xsl:if test="string-length(Vessel_Name)>0">
								<catTrans_ru:Name><xsl:value-of select="Vessel_Name"/></catTrans_ru:Name>
							</xsl:if>	
							<xsl:if test="string-length(Vessel_Number)>0">
								<catTrans_ru:RegNumder><xsl:value-of select="Vessel_Number"/></catTrans_ru:RegNumder>
							</xsl:if>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="Vessel_TypeFunction"/>
								<xsl:with-param name="NodeName" select="'catTrans_ru:TypeFunction'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>
							<catTrans_ru:Class><xsl:value-of select="Vessel_Class"/></catTrans_ru:Class>
							<catTrans_ru:Project><xsl:value-of select="Vessel_Project"/></catTrans_ru:Project>
							<xsl:if test="string-length(Vessel_Year)>0">
								<catTrans_ru:Year>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="Vessel_Year"/>
									</xsl:call-template>
								</catTrans_ru:Year>
							</xsl:if>
							<xsl:if test="string-length()>0">	
								<catTrans_ru:Place><xsl:value-of select="Vessel_Place"/></catTrans_ru:Place>
							</xsl:if>	
							<catTrans_ru:HousingMaterial><xsl:value-of select="Vessel_Material"/></catTrans_ru:HousingMaterial>
							<catTrans_ru:Capacity><xsl:value-of select="Vessel_Capacity"/></catTrans_ru:Capacity>
							<catTrans_ru:Passenger><xsl:value-of select="Vessel_Passenger"/></catTrans_ru:Passenger>
							<xsl:if test="string-length(Vessel_PreviousName)>0">
								<catTrans_ru:PreviousName><xsl:value-of select="Vessel_PreviousName"/></catTrans_ru:PreviousName>
							</xsl:if>	
							<catTrans_ru:MainMachine>
								<catTrans_ru:Type><xsl:value-of select="MainMachine_Type"/></catTrans_ru:Type>
								<catTrans_ru:Quantity><xsl:value-of select="MainMachine_Quantity"/></catTrans_ru:Quantity>
								<catTrans_ru:Power><xsl:value-of select="MainMachine_Power"/></catTrans_ru:Power>
							</catTrans_ru:MainMachine>
							<catTrans_ru:Dimensions>
								<catTrans_ru:Lenght><xsl:value-of select="Dimensions_Length"/></catTrans_ru:Lenght>
								<catTrans_ru:Wight><xsl:value-of select="Dimensions_Width"/></catTrans_ru:Wight>
								<catTrans_ru:FullyLoaded><xsl:value-of select="Dimensions_FullyLoaded"/></catTrans_ru:FullyLoaded>
								<catTrans_ru:Empty><xsl:value-of select="Dimensions_Empty"/></catTrans_ru:Empty>
								<catTrans_ru:MaximumHeight><xsl:value-of select="Dimensions_MaximumHeight"/></catTrans_ru:MaximumHeight>
							</catTrans_ru:Dimensions>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'PreviousPlace_'"/>
								<xsl:with-param name="NodeName" select="'catTrans_ru:PreviousPlaceResidence'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</Vessel>
						<Register>
							<NumberRegister><xsl:value-of select="Register_Number"/></NumberRegister>
							<DateRegister>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="Register_Date"/>
								</xsl:call-template>
							</DateRegister>
						</Register>
						<SignatureChief>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">	
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
							<xsl:if test="string-length(DocSig_IssueDate)>0">		
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
									</xsl:call-template>
								</cat_ru:IssueDate>
							</xsl:if>	
						</SignatureChief>
					</CertificateTitleVessel>
				</DocBody>
			</ContainerDoc>
	
	</xsl:template>
</xsl:stylesheet>
