<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="COMMINVOICE"/>
	</xsl:template>-->
	<xsl:template name="COMMINVOICE">
			<xsl:for-each select="COMMINVOICE/COMMINVOICE_ITEM">  
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<CommercialInvoice xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialInvoice:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002003E">
							<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
							<xsl:if test="string-length(CurrencyCode)>0">							
								<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
							</xsl:if>	
							<xsl:if test="string-length(CurrencyRate)>0">															
								<CurrencyRate><xsl:value-of select="CurrencyRate"/></CurrencyRate>
							</xsl:if>
							<TotalCost><xsl:value-of select="TotalCost"/></TotalCost>
							<TaxSum><xsl:value-of select="TaxSum"/></TaxSum>
							<Buyer>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Buyer_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>												
							</Buyer>	
							<Seller>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Seller_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>													
							</Seller>	
							<Consignee>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Consignee_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>											
							</Consignee>
							<Consignor>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Consignor_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template> 														
							</Consignor>	
							<xsl:for-each select="COMMINVOICEGOODS/COMMINVOICEGOODS_ITEM[string-length(GoodsDescription)>0 and string-length(GoodsPrice)>0 and string-length(GoodsCost)>0  and string-length(TotalCost)>0]">
								<InvoiceGoods>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="normalize-space(GoodsDescription)"/>
										<xsl:with-param name="NodeName" select="'catComFin_ru:GoodsDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/> 
										<xsl:with-param name="NameMes" select="true"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
									<xsl:if test="string-length(GoodMarking)>0">
										<catComFin_ru:GoodMarking><xsl:value-of select="Articul"/></catComFin_ru:GoodMarking>
									</xsl:if>	
									<xsl:if test="string-length(GoodsCode)>0">
										<catComFin_ru:GoodsCode><xsl:value-of select="GoodsCode"/></catComFin_ru:GoodsCode>
									</xsl:if>	
									<xsl:if test="string-length(SupplementaryQualifierName)>0">
										<catComFin_ru:SupplementaryQualifierName><xsl:value-of select="SupplementaryQualifierName"/></catComFin_ru:SupplementaryQualifierName>
									</xsl:if>	
									<xsl:if test="string-length(GoodsQuantity)>0">
										<catComFin_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catComFin_ru:GoodsQuantity>
									</xsl:if>	
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<catComFin_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catComFin_ru:MeasureUnitQualifierName>
									</xsl:if>	
									<catComFin_ru:GoodsPrice><xsl:value-of select="format-number(round(GoodsPrice * 10000) div 10000,'0.####')"/></catComFin_ru:GoodsPrice>
									<catComFin_ru:GoodsCost><xsl:value-of select="format-number(round(GoodsCost * 100) div 100,'0.##')"/></catComFin_ru:GoodsCost>
									<xsl:if test="string-length(Excise)>0">
										<catComFin_ru:Excise><xsl:value-of select="Excise"/></catComFin_ru:Excise>
									</xsl:if>	
									<xsl:if test="string-length(TaxRate)>0">	
										<catComFin_ru:TaxRate><xsl:value-of select="TaxRate"/></catComFin_ru:TaxRate>
									</xsl:if>	
									<xsl:if test="string-length(TaxSum)>0">	
										<catComFin_ru:TaxSum><xsl:value-of select="TaxSum"/></catComFin_ru:TaxSum>
									</xsl:if>	
									<catComFin_ru:TotalCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.##')"/></catComFin_ru:TotalCost>
									<xsl:if test="string-length(OriginCountryCode)>0">
										<xsl:variable name="OrgC" select="OriginCountryCode"/>
										<catComFin_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrgC]/Code"/></catComFin_ru:OriginCountryCode>
										<catComFin_ru:OriginA3CountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrgC]/ABC3"/></catComFin_ru:OriginA3CountryCode>
									</xsl:if>
									<xsl:if test="string-length(GTD_CustomsCode)>0 and string-length(GTD_Number)>0 and string-length(GTD_Date)>0">
										<catComFin_ru:GTDID>
											<cat_ru:CustomsCode><xsl:value-of select="GTD_CustomsCode"/></cat_ru:CustomsCode>
											<cat_ru:RegistrationDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="GTD_Date"/>
												</xsl:call-template>	
											</cat_ru:RegistrationDate>
											<cat_ru:GTDNumber><xsl:value-of select="GTD_Number"/></cat_ru:GTDNumber>
										</catComFin_ru:GTDID>
									</xsl:if>
									<xsl:if test="string-length(Manufacturer_Name)>0 or string-length(TradeMark)>0 or string-length(GoodsMark)>0 or string-length(GoodsModel)>0 or string-length(GoodsStandard)>0">
										<catComFin_ru:AdditionalGoodsDescription>
											<xsl:if test="string-length(Manufacturer_Name)>0">
												<catComFin_ru:Manufacturer><xsl:value-of select="Manufacturer_Name"/></catComFin_ru:Manufacturer>
											</xsl:if>
											<xsl:if test="string-length(TradeMark)>0">	
												<catComFin_ru:TradeMark><xsl:value-of select="TradeMark"/></catComFin_ru:TradeMark>
											</xsl:if>
											<xsl:if test="string-length(GoodsMark)>0">	
												<catComFin_ru:GoodsMark><xsl:value-of select="GoodsMark"/></catComFin_ru:GoodsMark>
											</xsl:if>
											<xsl:if test="string-length(GoodsModel)>0">	
												<catComFin_ru:GoodsModel><xsl:value-of select="GoodsModel"/></catComFin_ru:GoodsModel>
											</xsl:if>
											<xsl:if test="string-length(GoodsStandard)>0">	
												<catComFin_ru:GoodsStandart><xsl:value-of select="GoodsStandard"/></catComFin_ru:GoodsStandart>
											</xsl:if>
										</catComFin_ru:AdditionalGoodsDescription>
									</xsl:if>
								</InvoiceGoods>
							</xsl:for-each>
							<xsl:for-each select="COMMINVOICEPAYDOCS/COMMINVOICEPAYDOCS_ITEM[string-length(DocumentNumber)>0]">
								<PayDocsRegistration>
									<xsl:if test="string-length(DocumentName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
									<xsl:if test="string-length(DocumentDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="DocumentDate"/>
											</xsl:call-template>	
										</cat_ru:PrDocumentDate>
									</xsl:if>
								</PayDocsRegistration>
							</xsl:for-each>
							<Registration>
								<cat_ru:PrDocumentName>
									<xsl:choose>
										<xsl:when test="string-length(InvoiceName)>0">
											<xsl:value-of select="InvoiceName"/>
										</xsl:when>
										<xsl:otherwise>Счет-фактура</xsl:otherwise>
									</xsl:choose>
								</cat_ru:PrDocumentName>
								<xsl:if test="string-length(RegNum)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
								</xsl:if>	
								<xsl:if test="string-length(RegDate)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="RegDate"/>
										</xsl:call-template>	
									</cat_ru:PrDocumentDate>
								</xsl:if>
							</Registration>
							<xsl:choose>
								<xsl:when test="number(DocSignedByIP)=1">
									<IndividualEntrepreneur>
										<cat_ru:PersonSurname><xsl:value-of select="IndP_PersonName"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="IndP_PersonName2"/></cat_ru:PersonName>
										<xsl:if test="string-length(IndP_PersonMiddleName)>0">
											<cat_ru:PersonMiddleName><xsl:value-of select="IndP_PersonMiddleName"/></cat_ru:PersonMiddleName>
										</xsl:if>
										<xsl:if test="string-length(IndP_PersonPost)>0">
											<cat_ru:PersonPost><xsl:value-of select="IndP_PersonPost"/></cat_ru:PersonPost>
										</xsl:if>
										<xsl:if test="string-length(IndP_IssueDate)>0">											
											<cat_ru:IssueDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="IndP_IssueDate"/>
												</xsl:call-template>														
											</cat_ru:IssueDate>
										</xsl:if>
										<xsl:if test="string-length(IndP_OGRN)>0">											
											<OGRNID><xsl:value-of select="IndP_OGRN"/></OGRNID>
										</xsl:if>
									</IndividualEntrepreneur>
								</xsl:when>
								<xsl:when test="number(DocSignedByIP)=0">
									<SignatureDirectorChiefAccountant>
										<Director>
											<cat_ru:PersonSurname><xsl:value-of select="Director_PersonName"/></cat_ru:PersonSurname>
											<cat_ru:PersonName><xsl:value-of select="Director_PersonName2"/></cat_ru:PersonName>
											<xsl:if test="string-length(Director_PersonMiddleName)>0">
												<cat_ru:PersonMiddleName><xsl:value-of select="Director_PersonMiddleName"/></cat_ru:PersonMiddleName>
											</xsl:if>
											<xsl:if test="string-length(Director_PersonPost)>0">
												<cat_ru:PersonPost><xsl:value-of select="Director_PersonPost"/></cat_ru:PersonPost>
											</xsl:if>
											<xsl:if test="string-length(Director_IssueDate)>0">											
												<cat_ru:IssueDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="Director_IssueDate"/>
													</xsl:call-template>														
												</cat_ru:IssueDate>
											</xsl:if>
										</Director>
										<ChiefAccountant>
											<cat_ru:PersonSurname><xsl:value-of select="GlavBuh_PersonName"/></cat_ru:PersonSurname>
											<cat_ru:PersonName><xsl:value-of select="GlavBuh_PersonName2"/></cat_ru:PersonName>
											<xsl:if test="string-length(GlavBuh_PersonMiddleName)>0">
												<cat_ru:PersonMiddleName><xsl:value-of select="GlavBuh_PersonMiddleName"/></cat_ru:PersonMiddleName>
											</xsl:if>
											<xsl:if test="string-length(GlavBuh_PersonPost)>0">
												<cat_ru:PersonPost><xsl:value-of select="GlavBuh_PersonPost"/></cat_ru:PersonPost>
											</xsl:if>
											<xsl:if test="string-length(GlavBuh_IssueDate)>0">											
												<cat_ru:IssueDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="GlavBuh_IssueDate"/>
													</xsl:call-template>														
												</cat_ru:IssueDate>
											</xsl:if>
										</ChiefAccountant>
									</SignatureDirectorChiefAccountant>
								</xsl:when>
							</xsl:choose>
							<xsl:if test="string-length(MarkKind)>0">
								<Mark>
									<catComFin_ru:MarkSing>1</catComFin_ru:MarkSing>
									<catComFin_ru:MarkKind><xsl:value-of select="MarkKind"/></catComFin_ru:MarkKind>
									<xsl:if test="string-length(ResultControl)>0">
										<catComFin_ru:ResultControl><xsl:value-of select="ResultControl"/></catComFin_ru:ResultControl>
									</xsl:if>	
								</Mark>
							</xsl:if>
						</CommercialInvoice>
					</DocBody>
				</ContainerDoc>	
			</xsl:for-each>			
	</xsl:template>
</xsl:stylesheet>
