<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
				<xsl:call-template name="SERTIFCNF"/>
	</xsl:template>-->
	
	<xsl:template name="SERTIFCNF">
		<xsl:for-each select="//SERTIFCNF/SERTIFCNF_ITEM">
			<xsl:call-template name="SERTIFCNF_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="SERTIFCNF_ONE_DOC">	
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<ConformanceSertif  xmlns="urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catSert_ru="urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009001E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<BeginDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="BeginDate"/>
							</xsl:call-template>
						</BeginDate>
						<xsl:if test="string-length(EndDate)>0">
							<EndDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="EndDate"/>
								</xsl:call-template>
							</EndDate>
						</xsl:if>
						<xsl:if test="string-length(AddSertifInf)>0">
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="AddSertifInf"/>
								<xsl:with-param name="NodeName" select="'AddSertifInf'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
							<DocumentSignature>
								<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(DocSig_PersonPost)>0">	
									<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>	
								<xsl:if test="string-length(DocSig_IssueDate)>0">	
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
									</xsl:call-template>
									</cat_ru:IssueDate>
								</xsl:if>
							</DocumentSignature>
						</xsl:if>
						<xsl:if test="string-length(CertificateSign)>0">
							<CertificateSign><xsl:value-of select="CertificateSign"/></CertificateSign>
						</xsl:if>
						<xsl:if test="string-length(SertifOrg_Name)>0">
							<SertifOrganization>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'SertifOrg_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
								</xsl:call-template>
								<xsl:call-template name="ContactNode">
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="Pref" select="'SertifOrg_'"/>
									<xsl:with-param name="PrefNode" select="'catSert_ru:'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'SertifOrg_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'SertifOrg_Fact_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
								<OrganizationNumber><xsl:value-of select="SertifOrg_Number"/></OrganizationNumber>
								<xsl:if test="string-length(SertifOrg_FieldOfAction)>0">
									<FieldOfAction><xsl:value-of select="SertifOrg_FieldOfAction"/></FieldOfAction>														
								</xsl:if>
								<xsl:if test="string-length(SertifOrg_CertificateDate)>0">
									<CertificateDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="SertifOrg_CertificateDate"/>
										</xsl:call-template>
									</CertificateDate>
								</xsl:if>
								<xsl:if test="string-length(SertifOrg_Org_Name)>0">
									<CertificateOrg>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'SertifOrg_Org_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
										</xsl:call-template>
										<xsl:call-template name="ContactNode">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
											<xsl:with-param name="Pref" select="'SertifOrg_Org_'"/>
										</xsl:call-template>
									</CertificateOrg>
								</xsl:if>
								<xsl:if test="string-length(SertifOrg_HeadOfTheOrganization)>0">
									<HeadOfTheOrganization><xsl:value-of select="SertifOrg_HeadOfTheOrganization"/></HeadOfTheOrganization>														
								</xsl:if>
							</SertifOrganization>
						</xsl:if>		
						<ManufacturerInf>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Manufacturer_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
							</xsl:call-template>
							<xsl:call-template name="ContactNode">
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Manufacturer_'"/>
								<xsl:with-param name="PrefNode" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Manufacturer_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Manufacturer_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
							<xsl:for-each select="SERTIFCNFFILIAL/SERTIFCNFFILIAL_ITEM[string-length(Manufacturer_Name)>0]">
								<SubdivisionInfo>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Manufacturer_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
										<xsl:with-param name="PostalAddress" select="3"/>
									</xsl:call-template>
								</SubdivisionInfo>
							</xsl:for-each>
						</ManufacturerInf>
						<xsl:if test="string-length(Recipient_Name)>0">
							<SertifRecipient>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Recipient_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
								</xsl:call-template>
								<xsl:call-template name="ContactNode">
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="Pref" select="'Recipient_'"/>
									<xsl:with-param name="PrefNode" select="'catSert_ru:'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Recipient_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Recipient_Fact_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
								<SertifRecipientModeCode>
									<xsl:choose>
										<xsl:when test="Recipient_Indicator=1 or Recipient_Indicator='Ю'">Ю</xsl:when>
										<xsl:when test="Recipient_Indicator=0 or Recipient_Indicator='Ф'">Ф</xsl:when>
										<xsl:otherwise>Ю</xsl:otherwise>
									</xsl:choose>
								</SertifRecipientModeCode>
							</SertifRecipient>
						</xsl:if>
						<xsl:for-each select="SERTIFCNFDOCS/SERTIFCNFDOCS_ITEM[string-length(DocName)>0 or string-length(DocNumber)>0 or string-length(DocDate)>0]">
							<GroundDocs>
								<xsl:if test="string-length(DocName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(DocNumber)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocNumber"/></cat_ru:PrDocumentNumber>
								</xsl:if>
								<xsl:if test="string-length(DocDate)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>
								<xsl:if test="string-length(DocOrg_Name)>0">
									<OrganizationName><xsl:value-of select="DocOrg_Name"/></OrganizationName>
								</xsl:if>
								<xsl:if test="string-length(DocOrg_Number)>0">	
									<OrganizationNumber><xsl:value-of select="DocOrg_Number"/></OrganizationNumber>
								</xsl:if>
								<xsl:if test="string-length(BeginDate)>0">	
									<BeginDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="BeginDate"/>
										</xsl:call-template>
									</BeginDate>
								</xsl:if>
								<xsl:if test="string-length(EndDate)>0">
									<EndDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="EndDate"/>
										</xsl:call-template>
									</EndDate>
								</xsl:if>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'DocOrg_'"/>
									<xsl:with-param name="NodeName" select="'OrganizationAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
								</xsl:call-template>	
							</GroundDocs>
						</xsl:for-each>	
						<xsl:for-each select="SERTIFCNFGOODS/SERTIFCNFGOODS_ITEM">
							<Goods>
								<AppendNumber>
									<xsl:choose>
										<xsl:when test="string-length(AppendNumber)>0">
											<xsl:value-of select="AppendNumber"/>
										</xsl:when>
										<xsl:otherwise><xsl:value-of select="position()"/></xsl:otherwise>
									</xsl:choose>
								</AppendNumber>
								<xsl:if test="string-length(AppendFormNumber)>0">
									<AppendFormNumber><xsl:value-of select="AppendFormNumber"/></AppendFormNumber>
								</xsl:if>
								<xsl:if test="string-length(ProductCode)>0">
									<ProductCode><xsl:value-of select="ProductCode"/></ProductCode>
								</xsl:if>
								<xsl:if test="string-length(GoodsTNVEDCode)>0">	
									<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
								</xsl:if>	
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<SeriesSign><xsl:value-of select="SeriesSign"/></SeriesSign>
								<xsl:if test="string-length(NormDocs)>0">	
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="NormDocs"/>
										<xsl:with-param name="NodeName" select="'NormDocs'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(PartySize)>0">		
									<PartySize><xsl:value-of select="PartySize"/></PartySize>
								</xsl:if>
								<xsl:if test="string-length(SerialNumber)>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="SerialNumber"/>
										<xsl:with-param name="NodeName" select="'SerialNumber'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>	
								</xsl:if>
								<xsl:for-each select="SERTIFCNFGOODSDOC/SERTIFCNFGOODSDOC_ITEM[string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0]">		
									<ShippingDocuments>
										<xsl:if test="string-length(DocumentName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(DocumentNumber)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(normalize-space(DocumentDate))>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="normalize-space(DocumentDate)"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
									</ShippingDocuments>
								</xsl:for-each>
								<xsl:if test="string-length(TechnicalRegulations)>0">
									<TechnicalRegulations><xsl:value-of select="TechnicalRegulations"/></TechnicalRegulations>
								</xsl:if>	
							</Goods>
						</xsl:for-each>
						<xsl:for-each select="SERTIFCNFEXPSIG/SERTIFCNFEXPSIG_ITEM[string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0]">
							<ExpertSignature>
								<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(DocSig_PersonPost)>0">	
									<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(DocSig_IssueDate)>0">
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
										</xsl:call-template>
									</cat_ru:IssueDate>
								</xsl:if>	
							</ExpertSignature>
						</xsl:for-each>	
						<CertifNormDoc>
							<xsl:for-each select="SERTIFCNFNORMDOC/SERTIFCNFNORMDOC_ITEM">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="DocsDescription"/>
									<xsl:with-param name="NodeName" select="'DocsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>	
							</xsl:for-each>	
						</CertifNormDoc>
						<xsl:for-each select="SERTIFCNFPROLONG/SERTIFCNFPROLONG_ITEM[string-length(DocNumber)>0 and string-length(DocDate)>0 and string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0]">		
							<ProlongCertificate>
								<Number><xsl:value-of select="DocNumber"/></Number>
								<DateNumber>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocDate"/>
									</xsl:call-template>
								</DateNumber>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="ReasonDescription"/>
									<xsl:with-param name="NodeName" select="'ReasonDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(BeginDate)>0">
									<BeginDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="BeginDate"/>
										</xsl:call-template>
									</BeginDate>
								</xsl:if>
								<xsl:if test="string-length(EndDate)>0">
									<EndDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="EndDate"/>
										</xsl:call-template>
									</EndDate>
								</xsl:if>
								<ProlongSign>
									<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(DocSig_PersonPost)>0">	
										<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
									</xsl:if>
								</ProlongSign>
							</ProlongCertificate>
						</xsl:for-each>	
						<xsl:if test="count(SERTIFCNFFEDERALDOC/SERTIFCNFFEDERALDOC_ITEM[string-length(DocsDescription)>0])>0">	
							<FederalDocs>
								<xsl:for-each select="SERTIFCNFFEDERALDOC/SERTIFCNFFEDERALDOC_ITEM[string-length(DocsDescription)>0]">
									<DocsDescription><xsl:value-of select="DocsDescription"/></DocsDescription>
								</xsl:for-each>	
							</FederalDocs>
						</xsl:if>
						<xsl:for-each select="SERTIFCNFAPPEND/SERTIFCNFAPPEND_ITEM[string-length(AppendNum)>0 or string-length(AppendFormNumber)>0]">	
							<Append>
								<xsl:if test="string-length(AppendNum)>0">
									<AppendNumber><xsl:value-of select="AppendNum"/></AppendNumber>
								</xsl:if>
								<xsl:if test="string-length(AppendFormNumber)>0">	
									<AppendFormNumber><xsl:value-of select="AppendFormNumber"/></AppendFormNumber>
								</xsl:if>
							</Append>
						</xsl:for-each>
						<RegistrationNumber>
							<SertifNumber><xsl:value-of select="RegNum"/></SertifNumber>
							<xsl:if test="string-length(SertifNumber_CustomsCountryCode)>0">
								<CustomsCountryCode><xsl:value-of select="SertifNumber_CustomsCountryCode"/></CustomsCountryCode>
							</xsl:if>
						</RegistrationNumber>
						<RegistrationDate><xsl:value-of select="RegDate"/></RegistrationDate>
						<FormNumber>
							<Number><xsl:value-of select="FormNumber"/></Number>
							<xsl:if test="string-length(FormNumber_CustomsCountryCode)>0">
								<CustomsCountryCode><xsl:value-of select="FormNumber_CustomsCountryCode"/></CustomsCountryCode>
							</xsl:if>
						</FormNumber>
						<Status><xsl:value-of select="Status_Indicator"/></Status>
						<xsl:for-each select="SUSPENDEDINFO/SUSPENDEDINFO_ITEM[string-length(DocNumber)>0 and string-length(DocDate)>0]">		
							<SuspendedInfo>
								<Number><xsl:value-of select="DocNumber"/></Number>
								<DateNumber>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocDate"/>
									</xsl:call-template>
								</DateNumber>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="ReasonDescription"/>
									<xsl:with-param name="NodeName" select="'ReasonDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(BeginDate)>0">
									<DateBegin>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="BeginDate"/>
										</xsl:call-template>
									</DateBegin>
								</xsl:if>
								<xsl:if test="string-length(EndDate)>0">
									<DateEnd>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="EndDate"/>
										</xsl:call-template>
									</DateEnd>
								</xsl:if>
							</SuspendedInfo>
						</xsl:for-each>
						<xsl:for-each select="REVIVEDINFO/REVIVEDINFO_ITEM[string-length(DocNumber)>0 and string-length(DocDate)>0]">		
							<RevivedInfo>
								<Date>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocDate"/>
									</xsl:call-template>
								</Date>
								<Number><xsl:value-of select="DocNumber"/></Number>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="ReasonDescription"/>
									<xsl:with-param name="NodeName" select="'ReasonDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
							</RevivedInfo>
						</xsl:for-each>	
						<xsl:for-each select="DISCONTINUEDINFO/DISCONTINUEDINFO_ITEM[string-length(DateDiscontinued)>0 and string-length(NumberDiscontinued)>0 and string-length(DateNumberDiscontinued)>0 and string-length(ReasonCode)>0]">		
							<DiscontinuedInfo>
								<DateDiscontinued>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DateDiscontinued"/>
									</xsl:call-template>
								</DateDiscontinued>
								<NumberDiscontinued><xsl:value-of select="NumberDiscontinued"/></NumberDiscontinued>
								<DateNumberDiscontinued>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DateNumberDiscontinued"/>
									</xsl:call-template>
								</DateNumberDiscontinued>
								<ReasonCode><xsl:value-of select="ReasonCode"/></ReasonCode>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="ReasonDescription"/>
									<xsl:with-param name="NodeName" select="'ReasonDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:ConformanceSertif:5.11.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
							</DiscontinuedInfo>
						</xsl:for-each>	
					</ConformanceSertif>
				</DocBody>
			</ContainerDoc>
		
	</xsl:template>		
</xsl:stylesheet>
