<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
			<xsl:call-template name="CONOSAMENT"/>
	</xsl:template>-->
	<xsl:template name="ConosamentGoods">
		<xsl:param name="NotHazCargoCode"/>
		<Goods xmlns="urn:customs.ru:Information:TransportDocuments:Sea:BillofLading:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0">
			<xsl:if test="string-length(GoodsMarking)>0">
				<cat_ru:GoodsMarking><xsl:value-of select="substring(translate(GoodsMarking,'&#xA;',' '),1,30)"/></cat_ru:GoodsMarking>
			</xsl:if>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods">
					<xsl:call-template name="GoodDescrAvto"/>
				</xsl:with-param>
				<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
				<xsl:with-param name="NameMes" select="true"/> 
				<xsl:with-param name="LenDes" select="250"/>				
			</xsl:call-template>
			<catTrans_ru:GoodsNumeric><xsl:value-of select="position()"/></catTrans_ru:GoodsNumeric>
			<xsl:if test="string-length(GoodsNomenclatureCode)>0">
				<catTrans_ru:GoodsNomenclatureCode><xsl:value-of select="GoodsNomenclatureCode"/></catTrans_ru:GoodsNomenclatureCode>
			</xsl:if>
			<xsl:if test="$NotHazCargoCode!=1">
				<xsl:choose>
					<xsl:when test="count(Danger/DANGER_ITEM[string-length(DangerIMO)>0])>0">
						<xsl:for-each select="Danger/DANGER_ITEM[string-length(DangerIMO)>0]">
							<catTrans_ru:HazardousCargoCode><xsl:value-of select="substring(DangerIMO,1,3)"/></catTrans_ru:HazardousCargoCode>
						</xsl:for-each>	
					</xsl:when>
					<xsl:when test="string-length(DangerIMO)>0">
						<catTrans_ru:HazardousCargoCode><xsl:value-of select="substring(DangerIMO,1,3)"/></catTrans_ru:HazardousCargoCode>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
			<xsl:if test="string-length(VolumeQuantity)>0">
				<catTrans_ru:VolumeQuantity><xsl:value-of select="VolumeQuantity"/></catTrans_ru:VolumeQuantity>
			</xsl:if>
			<xsl:if test="string-length(PlacesQuantity)>0">
				<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="string-length(GrossWeightQuantity)>0">
					<GrossWeightQuantity>
						<xsl:choose>
							<xsl:when test="contains(GrossWeightQuantity,'.') and number(substring-after(GrossWeightQuantity,'.'))>0">
								<xsl:value-of select="format-number(round(GrossWeightQuantity * 1000) div 1000,'#.####')"/>
							</xsl:when>
							<xsl:when test="number(GrossWeightQuantity)=0">0</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="format-number(GrossWeightQuantity,'#')"/>
							</xsl:otherwise>
						</xsl:choose>
					</GrossWeightQuantity>
				</xsl:when>
				<xsl:otherwise>
					<GrossWeightQuantity>0</GrossWeightQuantity>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="string-length(PlacesDescription)>0">
				<PackingDescription><xsl:value-of select="PlacesDescription"/></PackingDescription>
			</xsl:if>	
			<xsl:if test="string-length(ContainerNum)>0">
				<Container>
					<ContainerNum><xsl:value-of select="ContainerNum"/></ContainerNum>
					<xsl:if test="string-length(Seals)>0">
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="Seals"/>
							<xsl:with-param name="NodeName" select="'Seal'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Sea:BillofLading:5.11.0'"/> 
							<xsl:with-param name="LenDes" select="50"/>				
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(TotalSealNumber)>0">
						<TotalSealNumber><xsl:value-of select="TotalSealNumber"/></TotalSealNumber>
					</xsl:if>	
				</Container>
			</xsl:if>
			<xsl:if test="string-length(PolletQuantity)>0">
				<PolletQuantity><xsl:value-of select="PolletQuantity"/></PolletQuantity>
			</xsl:if>
			<xsl:if test="$NotHazCargoCode!=1">
				<xsl:choose>
					<xsl:when test="count(Danger/DANGER_ITEM[string-length(UNNO)>0])>0">
						<xsl:for-each select="Danger/DANGER_ITEM[string-length(UNNO)>0]">
							<UNnumber><xsl:value-of select="UNNO"/></UNnumber>
						</xsl:for-each>	
					</xsl:when>
					<xsl:when test="string-length(UNNO)>0">
						<UNnumber><xsl:value-of select="UNNO"/></UNnumber>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
		</Goods>
	</xsl:template>
	<xsl:template name="CONOSAMENT">
		<xsl:param name="NotHazCargoCode"/>
		<xsl:param name="make-BillofLadingId"/>
		<xsl:if  test="string-length(//GENERALDECL_ITEM/Balast)=0 or (string-length(//GENERALDECL_ITEM/Balast)>0 and number(//GENERALDECL_ITEM/Balast)=0)">
			<xsl:for-each select="CONOSAMENT/CONOSAMENT_ITEM">
				<xsl:call-template name="CONOSAMENT_ONE_DOC">
					<xsl:with-param name="NotHazCargoCode" select="$NotHazCargoCode"/>
					<xsl:with-param name="make-BillofLadingId" select="$make-BillofLadingId"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template name="CONOSAMENT_ONE_DOC">	
		<xsl:param name="NotHazCargoCode"/>
		<xsl:param name="make-BillofLadingId"/>
			<xsl:variable name="NameNode" select ="CONOSAMENTGoods/*[name()='CONOSAMENTGOODS_ITEM' or name()='CONOSAMENTGoods_ITEM']"/>
			<xsl:variable name="CnNum" select="RegNum"/>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<BillofLading xmlns="urn:customs.ru:Information:TransportDocuments:Sea:BillofLading:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:5.9.1" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003202E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:choose>
							<xsl:when test="string-length(LanguageCode)>0">
								<LanguageCode><xsl:value-of select="LanguageCode"/></LanguageCode>
							</xsl:when>
							<xsl:otherwise>
								<LanguageCode>EN</LanguageCode>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(CopyNumber)>0">
							<CopyNumber><xsl:value-of select="CopyNumber"/></CopyNumber>
						</xsl:if>
						<xsl:if test="string-length(Clause)>0">
							<Clause><xsl:value-of select="Clause"/></Clause>
						</xsl:if>
						<xsl:if test="string-length(BOLDescription)>0">
							<BOLDescription><xsl:value-of select="BOLDescription"/></BOLDescription>
						</xsl:if>
						<xsl:if test="string($make-BillofLadingId) = '1'">
							<BillofLadingId>00000000-0000-0000-0000-000000000000</BillofLadingId>
						</xsl:if>
						<xsl:variable name="UinPid">
							<xsl:choose>
								<xsl:when test="string-length($CnNum)>0 and string-length(//LISTUIN/LISTUIN_ITEM/NUMUIN/NUMUIN_ITEM[ConosamentNum=$CnNum]/UIN_ID)>0">
									<xsl:value-of select="normalize-space(//LISTUIN/LISTUIN_ITEM/NUMUIN/NUMUIN_ITEM[ConosamentNum=$CnNum]/UIN_ID)"/>
								</xsl:when>
								<xsl:when test="string-length(PI_RegID)>0">
									<xsl:value-of select="normalize-space(PI_RegID)"/>
								</xsl:when>
								<xsl:when test="string-length($CnNum)>0 and string-length(//ARRSEADECL_ITEM/ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[ConosamentNum=$CnNum]/ConosamentID)>0">
									<xsl:value-of select="normalize-space(//ARRSEADECL_ITEM/ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[ConosamentNum=$CnNum]/ConosamentID)"/>
								</xsl:when>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="ClNum">
							<xsl:call-template name="ClearSimUIN_NUM">
								<xsl:with-param name="UIN" select="$UinPid"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:variable name="ValidPUinPid">
							<xsl:call-template name="ValidUIN_NUM">
								<xsl:with-param name="UIN" select="$ClNum"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:if test="string-length($ClNum)>0 and $ValidPUinPid=1">
							<PI_RegID><xsl:value-of select="$ClNum"/></PI_RegID>
						</xsl:if>
						<RegistrationDocument>
							<xsl:if test="string-length(ConosamentName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="ConosamentName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length($CnNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="$CnNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<xsl:if test="string-length(Place)>0">
								<Place><xsl:value-of select="Place"/></Place>
							</xsl:if>
						</RegistrationDocument>
						<Vessel>
							<catTrans_ru:Name><xsl:value-of select="VesselName"/></catTrans_ru:Name>
							<xsl:if test="string-length(VesselShipmaster)>0">
								<catTrans_ru:Shipmaster><xsl:value-of select="VesselShipmaster"/></catTrans_ru:Shipmaster>
							</xsl:if>
							<xsl:if test="string-length(VesselNationalityCode)>0">
								<xsl:variable name="VesCr" select="string(number(VesselNationalityCode))='NaN'"/>
								<xsl:variable name="VesselNationalityCode" select="VesselNationalityCode"/>
								<xsl:choose>
									<xsl:when test="$VesCr">
										<catTrans_ru:NationalityCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/Code"/></catTrans_ru:NationalityCode>
										<catTrans_ru:NationalityVessel><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/Name"/></catTrans_ru:NationalityVessel>
										<catTrans_ru:NationalityVesselCode><xsl:value-of select="VesselNationalityCode"/></catTrans_ru:NationalityVesselCode>
									</xsl:when>
									<xsl:otherwise>
										<catTrans_ru:NationalityCode><xsl:value-of select="VesselNationalityCode"/></catTrans_ru:NationalityCode>
										<catTrans_ru:NationalityVessel><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/Name"/></catTrans_ru:NationalityVessel>
										<catTrans_ru:NationalityVesselCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/ABC2"/></catTrans_ru:NationalityVesselCode>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</Vessel>
						<Loading>
							<xsl:if test="string-length(LoadingDate)>0">
								<catTrans_ru:Date><xsl:value-of select="substring(LoadingDate,1,10)"/></catTrans_ru:Date>
							</xsl:if>
							<catTrans_ru:Name><xsl:value-of select="LoadingName"/></catTrans_ru:Name>
							<xsl:if test="string-length(LoadingTransferTime)>0">
								<TransferTime><xsl:value-of select="LoadingTransferTime"/></TransferTime>
							</xsl:if>
						</Loading>
						<Unloading>
							<xsl:if test="string-length(UnloadingDate)>0">
								<catTrans_ru:Date><xsl:value-of select="substring(UnloadingDate,1,10)"/></catTrans_ru:Date>
							</xsl:if>
							<catTrans_ru:Name><xsl:value-of select="UnloadingName"/></catTrans_ru:Name>
							<xsl:if test="string-length(UnloadingTransferTime)>0">
								<TransferTime><xsl:value-of select="UnloadingTransferTime"/></TransferTime>
							</xsl:if>
						</Unloading>
						<Carrier>
							<xsl:choose>
								<xsl:when test="string-length(Carrier_Name)>0 and string-length(Carrier_CountryCode)>0">
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Carrier_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template>
									<xsl:call-template name="OKPONode">
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Carrier_'"/>
									</xsl:call-template>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Carrier_'"/>
										<xsl:with-param name="NodeName" select="'cat_ru:Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template>
									<xsl:call-template name="Contact">
										<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Carrier_'"/>
									</xsl:call-template>	
								</xsl:when>
								<xsl:when test="string-length(//GENERALDECL[1]/GENERALDECL_ITEM/ShipAgent_Name)>0">
									<xsl:for-each select="//GENERALDECL[1]/GENERALDECL_ITEM">
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'ShipAgent_'"/>
											<xsl:with-param name="ReqNode" select="false"/>	
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										</xsl:call-template>
											<xsl:call-template name="OKPONode">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Pref" select="'ShipAgent_'"/>
										</xsl:call-template>
										<xsl:call-template name="Address">
											<xsl:with-param name="Pref" select="'ShipAgent_'"/>
											<xsl:with-param name="NodeName" select="'cat_ru:Address'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										</xsl:call-template>
										<xsl:call-template name="Contact">
											<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Pref" select="'ShipAgent_'"/>
										</xsl:call-template>	
									</xsl:for-each>
								</xsl:when>
							</xsl:choose>
						</Carrier>
						<xsl:if test="string-length(Consignee_Name)>0">
							<Consignee>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Consignee_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="OKPONode">
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="Pref" select="'Consignee_'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Consignee_'"/>
									<xsl:with-param name="NodeName" select="'cat_ru:Address'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="Contact">
									<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="Pref" select="'Consignee_'"/>
								</xsl:call-template>
							</Consignee>
						</xsl:if>
						<Consignor>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="OKPONode">
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Consignor_'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="NodeName" select="'cat_ru:Address'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="Contact">
								<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Consignor_'"/>
							</xsl:call-template>
						</Consignor>
						<xsl:if test="string-length(FrDescription)>0 or string-length(FreightAmount)>0">
							<Freight>
								<xsl:if test="string-length(FrDescription)>0">
									<FrDescription><xsl:value-of select="FrDescription"/></FrDescription>
								</xsl:if>
								<xsl:if test="string-length(FreightAmount)>0">
									<FreightAmount><xsl:value-of select="FreightAmount"/></FreightAmount>
								</xsl:if>
							</Freight>
						</xsl:if>
						<xsl:if test="string-length(Destination_Name)>0">
							<Destination>
								<xsl:if test="string-length(Destination_Name)>0">
									<Name><xsl:value-of select="Destination_Name"/></Name>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(Destination_PostalCode)>0 or string-length(Destination_CountryCode)>0 or string-length(Destination_CountryName)>0 or string-length(Destination_Region)>0 or string-length(Destination_City)>0 or string-length(Destination_StreetHouse)>0">
										<xsl:call-template name="Address">
											<xsl:with-param name="Pref" select="'Destination_'"/>
											<xsl:with-param name="NodeName" select="'Address'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Sea:BillofLading:5.11.0'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<Address/>
									</xsl:otherwise>
								</xsl:choose>
							</Destination>
						</xsl:if>
						<xsl:for-each select="$NameNode">
							<xsl:call-template name="ConosamentGoods">
								<xsl:with-param name="NotHazCargoCode" select="$NotHazCargoCode"/>
							</xsl:call-template>
						</xsl:for-each>
						<DocumentSignature>
							<xsl:if test="string-length(DocSig_PersonName)>0">
								<PersonName><xsl:value-of select="DocSig_PersonName"/></PersonName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">
								<PersonPost><xsl:value-of select="DocSig_PersonPost"/></PersonPost>
							</xsl:if>
							<xsl:if test="string-length(DocSig_IssueDate)>0">
								<IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
									</xsl:call-template>
								</IssueDate>
							</xsl:if>
						</DocumentSignature>
						<xsl:if test="string-length(PlaceOfDelivery_City)>0">
							<PlaceOfDelivery>
								<City>
									<xsl:choose>
										<xsl:when test="string-length(PlaceOfDelivery_City)>35">
											<xsl:value-of select="substring(PlaceOfDelivery_City,1,35)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="PlaceOfDelivery_City"/>
										</xsl:otherwise>
									</xsl:choose>
								</City>
								<xsl:if test="string-length(PlaceOfDelivery_CountryName)>0">
									<CountryName><xsl:value-of select="PlaceOfDelivery_CountryName"/></CountryName>
								</xsl:if>
							</PlaceOfDelivery>
						</xsl:if>
						<xsl:if test="string-length(PlaceOfReceipt_City)>0">
							<PlaceOfReceipt>
								<City>
									<xsl:choose>
										<xsl:when test="string-length(PlaceOfReceipt_City)>35">
											<xsl:value-of select="substring(PlaceOfReceipt_City,1,35)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="PlaceOfReceipt_City"/>
										</xsl:otherwise>
									</xsl:choose>
								</City>
								<xsl:if test="string-length(PlaceOfReceipt_CountryName)>0">
									<CountryName><xsl:value-of select="PlaceOfReceipt_CountryName"/></CountryName>
								</xsl:if>
							</PlaceOfReceipt>
						</xsl:if>
						<xsl:if test="string-length(MarkKind)>0">
							<Mark>
								<MarkSing>true</MarkSing>
								<MarkKind><xsl:value-of select="MarkKind"/></MarkKind>
								<xsl:if test="string-length(ResultControl)>0">
									<ResultControl><xsl:value-of select="ResultControl"/></ResultControl>
								</xsl:if>	
							</Mark>
						</xsl:if>
					</BillofLading>
				</DocBody>
			</ContainerDoc>
	</xsl:template>
</xsl:stylesheet>
