<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="CONTRACT"/>
	</xsl:template>-->
	<xsl:key use="concat(./SpecifNum,substring(./SpecifDate,1,10))" name="GoodsContr" match="//CONTRACTSPECIFICATION_ITEM[string-length(SpecifNum)>0 and string-length(SpecifDate)>0 and string-length(GoodsDescription)>0]"/>
	<xsl:template match="//CONTRACTSPECIFICATION_ITEM[string-length(SpecifNum)>0 and string-length(SpecifDate)>0 and string-length(GoodsDescription)>0]" xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:Contract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0">
		<xsl:variable name="SNum" select="SpecifNum"/>
		<xsl:variable name="SDate" select="substring(SpecifDate,1,10)"/>
		<ContractSpecification>
			<catComFin_ru:ID><xsl:value-of select="$SNum"/></catComFin_ru:ID>
			<catComFin_ru:IssueDate><xsl:value-of select="$SDate"/></catComFin_ru:IssueDate>
			<xsl:for-each select="//CONTRACTSPECIFICATION_ITEM[string-length(concat(SpecifNum,substring(SpecifDate,1,10)))>0 and string-length(GoodsDescription)>0 and concat(SpecifNum,substring(SpecifDate,1,10))=concat($SNum,$SDate)]">
				<catComFin_ru:SpecificationGoodsExtended>
					<xsl:if test="string-length(GoodMarking)>0">
						<catComFin_ru:GoodMarking><xsl:value-of select="GoodMarking"/></catComFin_ru:GoodMarking>
					</xsl:if>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods" select="translate(GoodsDescription,'&#xA;',' ')"/>
						<xsl:with-param name="NodeName" select="'catComFin_ru:GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
						<xsl:with-param name="NameMes" select="false"/> 
						<xsl:with-param name="LenDes" select="250"/>
					</xsl:call-template>			
					<xsl:if test="string-length(GoodsQuantity)>0">
						<catComFin_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catComFin_ru:GoodsQuantity>
					</xsl:if>	
					<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
						<catComFin_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catComFin_ru:MeasureUnitQualifierCode>
					</xsl:if>	
					<xsl:if test="string-length(MeasureUnitQualifierName)>0">
						<catComFin_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catComFin_ru:MeasureUnitQualifierName>
					</xsl:if>	
					<xsl:if test="string-length(Price)>0">
						<catComFin_ru:Price><xsl:value-of select="format-number(round(Price  * 10000) div 10000,'0.####')"/></catComFin_ru:Price>
					</xsl:if>	
					<xsl:if test="string-length(GCost)>0">
						<catComFin_ru:GCost><xsl:value-of select="format-number(round(GCost  * 100) div 100,'0.##')"/></catComFin_ru:GCost>
					</xsl:if>	
					<xsl:if test="string-length(GoodsTNVEDCode)>0">
						<catComFin_ru:GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></catComFin_ru:GoodsTNVEDCode>
					</xsl:if>	
					<xsl:if test="string-length(CurrencyCode)>0">
						<catComFin_ru:CurrencyCode><xsl:value-of select="CurrencyCode"/></catComFin_ru:CurrencyCode>
					</xsl:if>	
					<xsl:if test="string-length(PlaceKind)>0 and string-length(PlacesQuantity)>0 and string-length(PlaceWeightQuantity)>0">
						<catComFin_ru:GoodsPlace>
							<catComFin_ru:PlaceKind><xsl:value-of select="PlaceKind"/></catComFin_ru:PlaceKind>
							<catComFin_ru:PlacesQuantity><xsl:value-of select="PlacesQuantity"/></catComFin_ru:PlacesQuantity>
							<catComFin_ru:PlaceWeightQuantity><xsl:value-of select="PlaceWeightQuantity"/></catComFin_ru:PlaceWeightQuantity>
						</catComFin_ru:GoodsPlace>
					</xsl:if>
					<xsl:if test="string-length(NetWeightQuantity)>0 or string-length(GrossWeightQuantity)>0">	
						<catComFin_ru:GoodsWeight>
							<xsl:if test="string-length(NetWeightQuantity)>0">	
								<catComFin_ru:NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></catComFin_ru:NetWeightQuantity>
							</xsl:if>	
							<xsl:if test="string-length(GrossWeightQuantity)>0">		
								<catComFin_ru:GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></catComFin_ru:GrossWeightQuantity>
							</xsl:if>	
						</catComFin_ru:GoodsWeight>
					</xsl:if>	
				</catComFin_ru:SpecificationGoodsExtended>
			</xsl:for-each>
		</ContractSpecification>
	</xsl:template>
  
	<xsl:template name="CONTRACT">
		<xsl:for-each select="//CONTRACT/CONTRACT_ITEM">
			<xsl:call-template name="CONTRACT_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CONTRACT_ONE_DOC">
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<Contract xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:Contract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002004E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<SupplementationSign>
							<xsl:choose>
								<xsl:when test="count(ContractChange/CONTRACTCHANGE_ITEM[string-length(ChangeDocNumber)>0])>0">1</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</SupplementationSign>
						<ContractTerms>
							<xsl:if test="string-length(Amount)>0">
								<catComFin_ru:Amount><xsl:value-of select="Amount"/></catComFin_ru:Amount>
							</xsl:if>
							<xsl:if test="string-length(Discount)>0">
								<catComFin_ru:Discount><xsl:value-of select="Discount"/></catComFin_ru:Discount>
							</xsl:if>
							<xsl:if test="string-length(CurrencyCode)>0">
							<catComFin_ru:CurrencyCode><xsl:value-of select="CurrencyCode"/></catComFin_ru:CurrencyCode>
							</xsl:if>
							<xsl:if test="string-length(PaymentModeCode)>0">
								<catComFin_ru:PaymentModeCode><xsl:value-of select="PaymentModeCode"/></catComFin_ru:PaymentModeCode>
							</xsl:if>
							<xsl:if test="string-length(DueDateCode)>0">
								<xsl:call-template name="tokenize">
									<xsl:with-param name="string" select="DueDateCode"/>		
									<xsl:with-param name="NodeName" select="'catComFin_ru:DueDateCode'"/>
									<xsl:with-param name="Nodespace" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="delimiters" select="','"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="string-length(LastDate)>0">
									<catComFin_ru:LastDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="LastDate"/>
										</xsl:call-template>
									</catComFin_ru:LastDate>
								</xsl:when>
								<xsl:otherwise>
									<catComFin_ru:LastDate>2018-01-01</catComFin_ru:LastDate>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(PaymentCurrencyCode)>0">
								<xsl:call-template name="tokenize">
									<xsl:with-param name="string" select="PaymentCurrencyCode"/>		
									<xsl:with-param name="NodeName" select="'catComFin_ru:PaymentCurrencyCode'"/>
									<xsl:with-param name="Nodespace" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="delimiters" select="','"/>
								</xsl:call-template>
							</xsl:if>	
							<xsl:if test="string-length(ExchangeClause)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ExchangeClause,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:ExchangeClause'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>	
							</xsl:if>
							<xsl:if test="string-length(ContractSubject)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ContractSubject,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:ContractSubject'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>						
							</xsl:if>
							<xsl:if test="string-length(ContractTime)>0">
								<catComFin_ru:ContractTime><xsl:value-of select="substring(ContractTime,1,10)"/></catComFin_ru:ContractTime>
							</xsl:if>	
							<xsl:if test="string-length(AdditionalContractTime)>0">
								<catComFin_ru:AdditionalContractTime><xsl:value-of select="substring(AdditionalContractTime,1,10)"/></catComFin_ru:AdditionalContractTime>
							</xsl:if>
							<xsl:if test="string-length(ContractOtherTerms)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ContractOtherTerms,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:OtherTerms'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>													
							</xsl:if>								
							<xsl:if test="string-length(ContractText)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ContractText,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:ContractText'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>																	
							</xsl:if>
							<xsl:if test="string-length(DiscountPercentage)>0">								
								<catComFin_ru:DiscountPercentage><xsl:value-of select="DiscountPercentage"/></catComFin_ru:DiscountPercentage>
							</xsl:if>	
							<xsl:if test="string-length(PaymentPeriod)>0">								
								<catComFin_ru:PaymentPeriod><xsl:value-of select="PaymentPeriod"/></catComFin_ru:PaymentPeriod>
							</xsl:if>
							<catComFin_ru:DealSign>
								<xsl:choose>
									<xsl:when test="string-length(DealSign)>0">
										<xsl:value-of select="DealSign"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</catComFin_ru:DealSign>
							<xsl:if test="string-length(PrepaySign)>0">								
								<catComFin_ru:PrepaySign><xsl:value-of select="PrepaySign"/></catComFin_ru:PrepaySign>
							</xsl:if>
							<catComFin_ru:StockCategorySign>
								<xsl:choose>
									<xsl:when test="string-length(StockCategorySign)>0">
										<xsl:value-of select="StockCategorySign"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</catComFin_ru:StockCategorySign>
							<catComFin_ru:BuyerLimitationSign>
								<xsl:choose>
									<xsl:when test="string-length(BuyerLimitationSign)>0">
										<xsl:value-of select="BuyerLimitationSign"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</catComFin_ru:BuyerLimitationSign>
							<catComFin_ru:InsuranceSign>
								<xsl:choose>
									<xsl:when test="string-length(InsuranceSign)>0">
										<xsl:value-of select="InsuranceSign"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</catComFin_ru:InsuranceSign>
							<xsl:for-each select="ContractChange/CONTRACTChange_ITEM[string-length(ChangeDocName)>0 or string-length(ChangeDocNumber)>0 or string-length(ChangeDocDate)>0]">
								<catComFin_ru:ChangeContract>
									<xsl:if test="string-length(ChangeDocName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="ChangeDocName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<xsl:if test="string-length(ChangeDocNumber)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="ChangeDocNumber"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(ChangeDocDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="ChangeDocDate"/>
											</xsl:call-template>										
										</cat_ru:PrDocumentDate>
									</xsl:if>
								</catComFin_ru:ChangeContract>
							</xsl:for-each>
						</ContractTerms>
						<ForeignPerson>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'ForeignPerson_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<xsl:for-each select="CONTRACTForeignPerson_BankInformation/CONTRACTForeignPerson_BankInformation_ITEM[count(CONTRACTForeignPerson_BankInformation_Account/CONTRACTForeignPerson_BankInformation_Account_ITEM[string-length(BankAccount)>0])>0 or string-length(BankAccountDescription)>0 or string-length(BankName)>0]">
								<cat_ru:BankInformation>
									<xsl:for-each select="CONTRACTForeignPerson_BankInformation_Account/CONTRACTForeignPerson_BankInformation_Account_ITEM[string-length(BankAccount)>0]">
										<cat_ru:BankAccount><xsl:value-of select="BankAccount"/></cat_ru:BankAccount>
									</xsl:for-each>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="translate(BankAccountDescription,'&#xA;',' ')"/>
										<xsl:with-param name="NodeName" select="'cat_ru:BankAccountDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameMes" select="true"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>													
									<cat_ru:BankName><xsl:value-of select="BankName"/></cat_ru:BankName>
									<xsl:if test="string-length(BankMFO)>0">
										<cat_ru:BankMFO><xsl:value-of select="BankMFO"/></cat_ru:BankMFO>
									</xsl:if>											
									<xsl:if test="string-length(OKPOID)>0">	
										<cat_ru:OKPOID><xsl:value-of select="OKPOID"/></cat_ru:OKPOID>
									</xsl:if>											
									<xsl:if test="string-length(BICID)>0">	
										<cat_ru:BICID><xsl:value-of select="BICID"/></cat_ru:BICID>
									</xsl:if>											
									<xsl:if test="string-length(SWIFTID)>0">	
										<cat_ru:SWIFTID><xsl:value-of select="SWIFTID"/></cat_ru:SWIFTID>
									</xsl:if>											
									<xsl:if test="string-length(CorrAccount)>0">	
										<cat_ru:CorrAccount><xsl:value-of select="CorrAccount"/></cat_ru:CorrAccount>
									</xsl:if>	
									<xsl:for-each select="CONTRACTForeignPerson_BankInformation_TrAccount/CONTRACTForeignPerson_BankInformation_TrAccount_ITEM">
										<cat_ru:TransitCurrencyAccount><xsl:value-of select="TransitCurrencyAccount"/></cat_ru:TransitCurrencyAccount>
									</xsl:for-each>
									<xsl:for-each select="CONTRACTForeignPerson_BankInformation_SpTrAccount/CONTRACTForeignPerson_BankInformation_SpTrAccount_ITEM">
										<cat_ru:SpecialTransitCurrencyAccount><xsl:value-of select="SpecialTransitCurrencyAccount"/></cat_ru:SpecialTransitCurrencyAccount>
									</xsl:for-each>
								</cat_ru:BankInformation>
							</xsl:for-each>
						</ForeignPerson>
						<RussianPerson>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'RussianPerson_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<xsl:for-each select="CONTRACTRussianPerson_BankInformation/CONTRACTRussianPerson_BankInformation_ITEM[count(CONTRACTRussianPerson_BankInformation_Account/CONTRACTRussianPerson_BankInformation_Account_ITEM[string-length(BankAccount)>0])>0 or string-length(BankAccountDescription)>0 or string-length(BankName)>0]">
								<cat_ru:BankInformation>
									<xsl:for-each select="CONTRACTRussianPerson_BankInformation_Account/CONTRACTRussianPerson_BankInformation_Account_ITEM[string-length(BankAccount)>0]">
										<cat_ru:BankAccount><xsl:value-of select="BankAccount"/></cat_ru:BankAccount>
									</xsl:for-each>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="translate(BankAccountDescription,'&#xA;',' ')"/>
										<xsl:with-param name="NodeName" select="'cat_ru:BankAccountDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameMes" select="true"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>												
									<cat_ru:BankName><xsl:value-of select="BankName"/></cat_ru:BankName>
									<xsl:if test="string-length(BankMFO)>0">
										<cat_ru:BankMFO><xsl:value-of select="BankMFO"/></cat_ru:BankMFO>
									</xsl:if>											
									<xsl:if test="string-length(OKPOID)>0">	
										<cat_ru:OKPOID><xsl:value-of select="OKPOID"/></cat_ru:OKPOID>
									</xsl:if>											
									<xsl:if test="string-length(BICID)>0">	
										<cat_ru:BICID><xsl:value-of select="BICID"/></cat_ru:BICID>
									</xsl:if>											
									<xsl:if test="string-length(SWIFTID)>0">	
										<cat_ru:SWIFTID><xsl:value-of select="SWIFTID"/></cat_ru:SWIFTID>
									</xsl:if>											
									<xsl:if test="string-length(CorrAccount)>0">	
										<cat_ru:CorrAccount><xsl:value-of select="CorrAccount"/></cat_ru:CorrAccount>
									</xsl:if>	
									<xsl:for-each select="CONTRACTRussianPerson_BankInformation_TrAccount/CONTRACTRussianPerson_BankInformation_TrAccount_ITEM">
										<cat_ru:TransitCurrencyAccount><xsl:value-of select="TransitCurrencyAccount"/></cat_ru:TransitCurrencyAccount>
									</xsl:for-each>
									<xsl:for-each select="CONTRACTRussianPerson_BankInformation_SpTrAccount/CONTRACTRussianPerson_BankInformation_SpTrAccount_ITEM">
										<cat_ru:SpecialTransitCurrencyAccount><xsl:value-of select="SpecialTransitCurrencyAccount"/></cat_ru:SpecialTransitCurrencyAccount>
									</xsl:for-each>
								</cat_ru:BankInformation>
							</xsl:for-each>
						</RussianPerson>	
						<xsl:for-each select="CONTRACTDeliveryTerms/CONTRACTDELIVERYTERMS_ITEM[string-length(DeliveryTermsStringCode)>0]">
							<ContractDeliveryTerms>
								<xsl:if test="string-length(DeliveryPlace)>0">	
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="DeliveryPlace"/>
										<xsl:with-param name="NodeName" select="'catComFin_ru:DeliveryPlace'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="40"/>
									</xsl:call-template>		
								</xsl:if>
								<xsl:if test="string-length(DeliveryTermsNumericCode)>0">
									<catComFin_ru:DeliveryTermsNumericCode><xsl:value-of select="DeliveryTermsNumericCode"/></catComFin_ru:DeliveryTermsNumericCode>
								</xsl:if>
								<catComFin_ru:DeliveryTermsStringCode><xsl:value-of select="DeliveryTermsStringCode"/></catComFin_ru:DeliveryTermsStringCode>
								<xsl:if test="string-length(TermsDescription)>0">	
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="TermsDescription"/>
										<xsl:with-param name="NodeName" select="'catComFin_ru:TermsDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>									
								</xsl:if>
								<xsl:for-each select="CONTRACTInvoiceSaleTerms/CONTRACTInvoiceSaleTerms_ITEM[string-length(SaleTermsCode)>0 and string-length(SaleTermsDescription)>0]">
									<catComFin_ru:InvoiceSaleTerms>
										<catComFin_ru:SaleTermsCode><xsl:value-of select="SaleTermsCode"/></catComFin_ru:SaleTermsCode>
										<catComFin_ru:SaleTermsDescription><xsl:value-of select="SaleTermsDescription"/></catComFin_ru:SaleTermsDescription>
									</catComFin_ru:InvoiceSaleTerms>
								</xsl:for-each>
							</ContractDeliveryTerms>	
						</xsl:for-each>
						<xsl:apply-templates select="//CONTRACTSPECIFICATION_ITEM[generate-id(.)=generate-id(key('GoodsContr',concat(./SpecifNum,substring(./SpecifDate,1,10)))) and string-length(SpecifNum)>0 and string-length(SpecifDate)>0 and string-length(GoodsDescription)>0]"/>
						<ContractRegistration>
							<xsl:if test="string-length(ContractName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<xsl:if test="string-length(ContractPlace)>0">
								<catComFin_ru:ContractPlace><xsl:value-of select="ContractPlace"/></catComFin_ru:ContractPlace>
							</xsl:if>  
						</ContractRegistration>
						<ContractSignedPerson>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>  
							<xsl:if test="string-length(DocSig_IssueDate)>0">
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
									</xsl:call-template>
								</cat_ru:IssueDate>
							</xsl:if>
						</ContractSignedPerson>
					</Contract>
				</DocBody>
			</ContainerDoc>	
	
	</xsl:template>	
</xsl:stylesheet>
