<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="CREWLIST"/>
	</xsl:template>-->
	<xsl:template name="CREWLIST">
			<xsl:for-each select="CREWLIST/CREWLIST_ITEM">  
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<CrewList xmlns="urn:customs.ru:Information:TransportDocuments:Sea:CrewList:5.10.0"  xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003205E">
							<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
							<LanguageCode>
								<xsl:choose>
									<xsl:when test="string-length(LanguageCode)>0">
										<xsl:call-template name="UpperCaseEng">
											<xsl:with-param name="string" select="LanguageCode"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:when test="string-length(//ARRSEADECL[1]/ARRSEADECL_ITEM/LanguageCode)>0">
										<xsl:call-template name="UpperCaseEng">
											<xsl:with-param name="string" select="//ARRSEADECL[1]/ARRSEADECL_ITEM/LanguageCode"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>EN</xsl:otherwise>
								</xsl:choose>
							</LanguageCode>
							<xsl:variable name="GdDepP">
								<xsl:choose>
									<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator!=0">
										<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DeparturePort"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationPort"/>
									</xsl:otherwise>
								</xsl:choose>					
							</xsl:variable>		
							<DeparturePort>
								<xsl:choose>
									<xsl:when  test="string-length(DeparturePort)>0">
										<xsl:value-of select="DeparturePort"/>
									</xsl:when>
									<xsl:when  test="string-length($GdDepP)>0">
										<xsl:value-of select="$GdDepP"/>
									</xsl:when>
								</xsl:choose>
							</DeparturePort>
							<xsl:if test="string-length(ArrivalIndicator)>0">
								<ArrivalIndicator ><xsl:value-of select="ArrivalIndicator "/></ArrivalIndicator >
							</xsl:if>
							<xsl:if test="string-length(Carrier_Name)>0">
								<Carrier><xsl:value-of select="Carrier_Name"/></Carrier>
							</xsl:if>
							<xsl:if test="string-length(Notice)>0">
								<Notice><xsl:value-of select="substring(Notice,1,250)"/></Notice>
							</xsl:if>
							<RUPersonnel>
								<xsl:choose>
									<xsl:when test="count(CREWLISTCREW/CREWLISTCREW_ITEM[Nationality='RU' and string-length(Nationality)>0]/Nationality)>0">
										<xsl:value-of select="count(CREWLISTCREW/CREWLISTCREW_ITEM[Nationality='RU' and string-length(Nationality)>0]/Nationality)"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose> 
							</RUPersonnel>
							<ForeignPersonnel>
								<xsl:choose>
									<xsl:when test="count(CREWLISTCREW/CREWLISTCREW_ITEM[Nationality!='RU' and string-length(Nationality)>0]/Nationality)>0">
										<xsl:value-of select="count(CREWLISTCREW/CREWLISTCREW_ITEM[Nationality!='RU' and string-length(Nationality)>0]/Nationality)"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>	
							</ForeignPersonnel>
							<DocumentSignature>
								<xsl:choose>
									<xsl:when test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
										<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
										<xsl:if test="string-length(DocSig_PersonPost)>0">
											<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
										</xsl:if>	
										<xsl:if test="string-length(DocSig_IssueDate)>0">								
												<cat_ru:IssueDate>
													<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="DocSig_IssueDate"/>
												</xsl:call-template>								
											</cat_ru:IssueDate>
										</xsl:if>	
									</xsl:when>
									<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName)>0 and string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName2)>0">
										<cat_ru:PersonSurname><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName2"/></cat_ru:PersonName>
										<xsl:if test="string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonMiddleName)>0">
											<cat_ru:PersonMiddleName><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
										</xsl:if>
										<xsl:if test="string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonPost)>0">
											<cat_ru:PersonPost><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonPost"/></cat_ru:PersonPost>
										</xsl:if>
									</xsl:when>
								</xsl:choose>	
							</DocumentSignature>
							<Vessel>
								<catTrans_ru:Name>
									<xsl:choose>
										<xsl:when test="string-length(VesselName)>0">
											<xsl:value-of select="VesselName"/>
										</xsl:when>
										<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselName)>0">
											<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselName"/>
										</xsl:when>
									</xsl:choose>
								</catTrans_ru:Name>
								<xsl:if test="string-length(VesselShipmaster)>0 or string-length(//GENERALDECL/GENERALDECL_ITEM/VesselShipmaster)>0">
									<catTrans_ru:Shipmaster>
										<xsl:choose>
											<xsl:when test="string-length(VesselShipmaster)>0">
												<xsl:value-of select="VesselShipmaster"/>
											</xsl:when>
											<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselShipmaster)>0">
												<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselShipmaster"/>
											</xsl:when>
										</xsl:choose>
									</catTrans_ru:Shipmaster>
								</xsl:if> 
								<xsl:variable name="VesselNationalityCode" select="VesselNationalityCode"/>
								<xsl:variable name="VesNCode">
									<xsl:choose>
										<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/Code)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/Code"/>
										</xsl:when>
										<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC3=$VesselNationalityCode]/Code)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC3=$VesselNationalityCode]/Code"/>
										</xsl:when>
										<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/Code)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/Code"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="DeclVesselNationalityCode" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode"/>
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$DeclVesselNationalityCode]/Code"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="string-length($VesNCode)>0">	
									<catTrans_ru:NationalityCode><xsl:value-of select="$VesNCode"/></catTrans_ru:NationalityCode>
									<catTrans_ru:NationalityVessel><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesNCode]/Name"/></catTrans_ru:NationalityVessel>
									<catTrans_ru:NationalityVesselCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesNCode]/ABC2"/></catTrans_ru:NationalityVesselCode>
								</xsl:if>
							</Vessel>
							<xsl:variable name="ArrSl">
								<xsl:choose>
									<xsl:when test="string-length(ArrivalIndicator)>0"><xsl:value-of select="ArrivalIndicator"/></xsl:when>
									<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator)>0"><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator"/></xsl:when>
									<xsl:otherwise>1</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<xsl:choose>
								<xsl:when test="number($ArrSl)=1">
									<Arrival>
										<xsl:if test="string-length(ArrivalDate)>0">
											<catTrans_ru:Date>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="ArrivalDate"/>
												</xsl:call-template>											
											</catTrans_ru:Date>
										</xsl:if>	
										<catTrans_ru:Name>
											<xsl:choose>
												<xsl:when test="string-length(ArrivalPortName)>0">
													<xsl:value-of select="ArrivalPortName"/>
												</xsl:when>
												<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/DestinationPort)>0">
													<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationPort"/>
												</xsl:when>
											</xsl:choose>
										</catTrans_ru:Name>
									</Arrival>
								</xsl:when>
								<xsl:when test="number($ArrSl)=0">
									<Sailing>
										<xsl:if test="string-length(SailingDate)>0">
											<catTrans_ru:Date>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="SailingDate"/>
												</xsl:call-template>
											</catTrans_ru:Date>
										</xsl:if>	
										<catTrans_ru:Name>
											<xsl:choose>
												<xsl:when test="string-length(SailingPortName)>0">
													<xsl:value-of select="SailingPortName"/>
												</xsl:when>
												<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/DeparturePort)>0">
													<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DeparturePort"/>
												</xsl:when>
											</xsl:choose>
										</catTrans_ru:Name>
									</Sailing>
								</xsl:when>
							</xsl:choose>
							<xsl:for-each select="CREWLISTCREW/CREWLISTCREW_ITEM[string-length(PersonName)>0 and string-length(PersonName2)>0]">
								<CockpitPersonnel>
									<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(PersonPost)>0">
										<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
									</xsl:if>
									<PersNumeric><xsl:value-of select="PersNumeric"/></PersNumeric>
									<Nationality><xsl:value-of select="Nationality"/></Nationality>
									<BirthPlace><xsl:value-of select="BirthPlace"/></BirthPlace>
									<DateofBirth>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="DateofBirth"/>
										</xsl:call-template>	
									</DateofBirth>
									<xsl:call-template name="IdentityCard">
										<xsl:with-param name="NodeName" select="'Document'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Sea:CrewList:5.10.0'"/>
									</xsl:call-template>
								</CockpitPersonnel>
							</xsl:for-each>
						</CrewList>
					</DocBody>
				</ContainerDoc>	
			</xsl:for-each>			
	</xsl:template>
</xsl:stylesheet>
