<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="SERTIFCULTURE"/>
			</ED_Container>	
	</xsl:template>-->
	
	<xsl:template name="SERTIFCULTURE">
		<xsl:for-each select="//SERTIFCULTURE/SERTIFCULTURE_ITEM">
			<xsl:call-template name="SERTIFCULTURE_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="SERTIFCULTURE_ONE_DOC">	
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<CultureCertificate  xmlns="urn:customs.ru:Information:SertifDocuments:CultureCertificate:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:RUScat_ru="urn:customs.ru:RUSCommonAggregateTypes:5.11.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009006E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<RegNumber><xsl:value-of select="RegNum"/></RegNumber>
						<ExportType>
							<xsl:choose>
								<xsl:when test="string-length(ExportType)>0"><xsl:value-of select="ExportType"/></xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</ExportType>
						<xsl:if test="string-length(ListNum)>0">
							<NumSheets><xsl:value-of select="ListNum"/></NumSheets>
						</xsl:if>
						<xsl:if test="string-length(FotoNum)>0">
							<NumFoto><xsl:value-of select="FotoNum"/></NumFoto>
						</xsl:if>
						<CountryName><xsl:value-of select="CountryName"/></CountryName>
						<xsl:if test="string-length(Target)>0">
							<Target><xsl:value-of select="Target"/></Target>
						</xsl:if>
						<xsl:if test="string-length(Term)>0">
							<Term><xsl:value-of select="Term"/></Term>
						</xsl:if>
						<xsl:if test="string-length(UnitTime)>0">
							<UnitTime><xsl:value-of select="UnitTime"/></UnitTime>
						</xsl:if>
						<DateIssued>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</DateIssued>
						<xsl:if test="string-length(StartDate)>0">
							<StartDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="StartDate"/>
								</xsl:call-template>
							</StartDate>
						</xsl:if>
						<xsl:if test="string-length(EndDate)>0">
							<EndDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="EndDate"/>
								</xsl:call-template>
							</EndDate>
						</xsl:if>
						<xsl:if test="string-length(LastUpdate)>0">
							<LastUpdate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="LastUpdate"/>
								</xsl:call-template>
							</LastUpdate>
						</xsl:if>
						<PlaceIssued><xsl:value-of select="PlaceIssued"/></PlaceIssued>
						<OrganizationIssued>
							<xsl:call-template name="OrgNodeRU">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Org_CountryName)>0 or string-length(Org_CountryCode)>0 or string-length(Org_City)>0 or string-length(Org_StreetHouse)>0">
								<RUScat_ru:Address>
									<xsl:call-template name="AdresLine">
										<xsl:with-param name="Pref" select="'Org_'"/>
									</xsl:call-template>
								</RUScat_ru:Address> 														
							</xsl:if>	
						</OrganizationIssued>	
						<DecisionInf>
							<xsl:if test="string-length(DocumentName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(DocumentNumber)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(DocumentDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocumentDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<StateStructure><xsl:value-of select="StateStructure"/></StateStructure>
						</DecisionInf>
						<PersonIssued>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">	
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>	
						</PersonIssued>
						<xsl:for-each select="SERTIFCULTUREVALUES/SERTIFCULTUREVALUES_ITEM">
							<CulturalValuesList>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="CulturalName"/>
									<xsl:with-param name="NodeName" select="'CulturalName'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:CultureCertificate:5.11.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(Description)>0">		
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="Description"/>
										<xsl:with-param name="NodeName" select="'Description'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:CultureCertificate:5.11.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(CulturalNumber)>0">	
									<Quantity>
										<cat_ru:GoodsQuantity><xsl:value-of select="CulturalNumber"/></cat_ru:GoodsQuantity>
										<xsl:if test="string-length(MeasureUnitQualifierName)>0">
											<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
										</xsl:if>
										<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
											<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
										</xsl:if>
									</Quantity>
								</xsl:if>
							</CulturalValuesList>
						</xsl:for-each>
						<xsl:if test="string-length(FlagImage)>0 and number(FlagImage)>0">	
							<FlagImage><xsl:value-of select="FlagImage"/></FlagImage>
						</xsl:if>	
						<xsl:if test="string-length(OrgUnitCode)>0">	
							<OrgUnitCode><xsl:value-of select="OrgUnitCode"/></OrgUnitCode>
						</xsl:if>
					</CultureCertificate>
				</DocBody>
			</ContainerDoc>
	</xsl:template>		
</xsl:stylesheet>
