<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
	<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
	<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="CUSTBROKSERTIF">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CUSTBROKSERTIF_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content-CustomsBrokerCertificate"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="CUSTBROKSERTIF">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTBROKSERTIF/CUSTBROKSERTIF_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content-CustomsBrokerCertificate"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
    <xsl:template name="content-CustomsBrokerCertificate">
		<CustomsBrokerCertificate DocumentModeID="1001103E" xmlns="urn:customs.ru:Information:RegistrationDocuments:CustomsBrokerCertificate:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
			<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
			<FormNumber><xsl:value-of select="FormNumber"/></FormNumber>
			<DocumentReference>
				<cat_ru:PrDocumentName>Свидетельство о включении в реестр ТБ</cat_ru:PrDocumentName>
				<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
				<cat_ru:PrDocumentDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="RegDate"/>
					</xsl:call-template>
				</cat_ru:PrDocumentDate>
			</DocumentReference>
			<Organization>
				<xsl:call-template name="OrgNode">
					<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTBROKSERTIFBRANCH/CUSTBROKSERTIFBRANCH_ITEM'))">
								<xsl:sort select="RECORD_ID" data-type="number"/>
								<xsl:sort select="RECORD_ID" data-type="text"/>
								<BranchDescriprion>
									<OrganizationName><xsl:value-of select="Branch_Name"/></OrganizationName>
									<KPP><xsl:value-of select="Branch_KPP"/></KPP>
									<xsl:call-template name="Address">
										<xsl:with-param name="NodeName" select="'Address'"/>
										<xsl:with-param name="Pref" select="'Branch_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:RegistrationDocuments:CustomsBrokerCertificate:5.10.0'"/>
									</xsl:call-template>
								</BranchDescriprion>
							</xsl:for-each>
							<xsl:call-template name="Address">
								<xsl:with-param name="NodeName" select="'Address'"/>
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:RegistrationDocuments:CustomsBrokerCertificate:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="NodeName" select="'FactAddress'"/>
								<xsl:with-param name="Pref" select="'Org_Fact_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:RegistrationDocuments:CustomsBrokerCertificate:5.10.0'"/>
							</xsl:call-template>
						</Organization>
						<PaymentGuarantee>
							<PaymentModeCode><xsl:value-of select="PaymentModeCode"/></PaymentModeCode>
							<PaymentMode><xsl:value-of select="PaymentMode"/></PaymentMode>
							<PaymentAmount><xsl:value-of select="PaymentAmount"/></PaymentAmount>
						</PaymentGuarantee>
						<FieldRestrictions>
							<GoodsRestriction><xsl:value-of select="GoodsRestriction"/></GoodsRestriction>
							<TransportRestriction><xsl:value-of select="TransportRestriction"/></TransportRestriction>
							<RegionRestriction><xsl:value-of select="RegionRestriction"/></RegionRestriction>
							<ProcedureRestriction><xsl:value-of select="ProcedureRestriction"/></ProcedureRestriction>
						</FieldRestrictions>
						<PersonSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							<cat_ru:IssueDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
								</xsl:call-template>
							</cat_ru:IssueDate>
						</PersonSignature>
					</CustomsBrokerCertificate>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
