<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
	<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
	<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="CUSTREGSERTIF">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CUSTREGSERTIF">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTREGSERTIF/CUSTREGSERTIF_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_CustomsRegistryCertificate"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CUSTREGSERTIF_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content_CustomsRegistryCertificate"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="content_CustomsRegistryCertificate">
		<CustomsRegistryCertificate DocumentModeID="1001104E" xmlns="urn:customs.ru:Information:CustomsDocuments:CustomsRegistryCertificate:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
						<DocSign><xsl:value-of select="DocSign"/></DocSign>
						<IssueDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</IssueDate>
						<CertificateRegNumber><xsl:value-of select="RegNum"/></CertificateRegNumber>
						<!--вызов функции-->
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="InfoDescription"/>
							<xsl:with-param name="NodeName" select="'Simplification'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:CustomsRegistryCertificate:5.10.0'"/> 
							<xsl:with-param name="LenDes" select="250"/>				
						</xsl:call-template>
						<WarehouseType><xsl:value-of select="Warehouse_Type"/></WarehouseType>
						<TotalSquare><xsl:value-of select="TotalSguare"/></TotalSquare>
						<IssueCustoms>
							<cat_ru:Code><xsl:value-of select="CustomsCode"/></cat_ru:Code>
							<cat_ru:OfficeName><xsl:value-of select="CustomsName"/></cat_ru:OfficeName>
						</IssueCustoms>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTREGSERTIFCUSTOMS/CUSTREGSERTIFCUSTOMS_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<SimplificOperationCustoms>
								<cat_ru:Code><xsl:value-of select="CustomsCode"/></cat_ru:Code>
								<cat_ru:OfficeName><xsl:value-of select="CustomsName"/></cat_ru:OfficeName>
							</SimplificOperationCustoms>
						</xsl:for-each>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTREGSERTIFPAYMENT/CUSTREGSERTIFPAYMENT_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<Guarantee>
								<PaymentWayCode><xsl:value-of select="PaymentWayCode"/></PaymentWayCode>
								<Amount><xsl:value-of select="PaymentAmount"/></Amount>
								<Currency><xsl:value-of select="CurrencyCode"/></Currency>
							</Guarantee>
						</xsl:for-each>
						<RegisteredOrganization>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>		
								<xsl:with-param name="PostalAddress" select="1"/>																	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template> 
							<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTREGSERTIFBRANCH/CUSTREGSERTIFBRANCH_ITEM'))">
								<xsl:sort select="RECORD_ID" data-type="number"/>
								<xsl:sort select="RECORD_ID" data-type="text"/>
								<BranchDescription>
									<cat_ru:OrganizationName><xsl:value-of select="Branch_Name"/></cat_ru:OrganizationName>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Branch_'"/>
										<xsl:with-param name="NodeName" select="'cat_ru:Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template>
									<cat_ru:RFOrganizationFeatures>
										<cat_ru:OGRN><xsl:value-of select="Branch_OGRN"/></cat_ru:OGRN>
										<cat_ru:INN><xsl:value-of select="Branch_INN"/></cat_ru:INN>
										<cat_ru:KPP><xsl:value-of select="Branch_KPP"/></cat_ru:KPP>
									</cat_ru:RFOrganizationFeatures>
								</BranchDescription>
							</xsl:for-each>
						</RegisteredOrganization>
						<ChiefCustomsPerson>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							<cat_ru:IssueDate><xsl:value-of select="DocSig_IssueDate"/></cat_ru:IssueDate>
						</ChiefCustomsPerson>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTREGSERTIFPLACE/CUSTREGSERTIFPLACE_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<GoodsOperationPlace>
								<PlaceSign><xsl:value-of select="PlaceSign"/></PlaceSign>
								<PlaceDescription><xsl:value-of select="PlaceDescription"/></PlaceDescription>
								<PlaceVolume><xsl:value-of select="PlaceVolume"/></PlaceVolume>
								<PlaceSquare><xsl:value-of select="PlaceSquare"/></PlaceSquare>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="''"/>
									<xsl:with-param name="NodeName" select="'Address'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:CustomsRegistryCertificate:5.10.0'"/>
								</xsl:call-template>
							</GoodsOperationPlace>
						</xsl:for-each>
					</CustomsRegistryCertificate>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
