<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
	<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
	<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="CUSTDECLCONTRACT">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CUSTDECLCONTRACT_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content_doc"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="CUSTDECLCONTRACT">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/CUSTDECLCONTRACT/CUSTDECLCONTRACT_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_doc"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="content_doc">
		<CustomsRepresContract DocumentModeID="1006196E" xmlns="urn:customs.ru:Information:CustomsDocuments:CustomsRepresContract:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
						<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
						<PaymentFactSign><xsl:value-of select="PaymFactSign"/></PaymentFactSign>
						<AdditionalInformation><xsl:value-of select="AdditionalInformation"/></AdditionalInformation>
						<CustomsRepresentative>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="IdentityCard">
								<xsl:with-param name="NodeName" select="'cat_ru:IdentityCard'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Org_'"/>
							</xsl:call-template>
							<xsl:call-template name="ContactNode">
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="PrefNode" select="'cat_ru:'"/>
							</xsl:call-template>
							<CustomsRepresCertificate>
								<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
								<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocumentDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</CustomsRepresCertificate>	
						</CustomsRepresentative>
						<Declarant>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Declarant_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="IdentityCard">
								<xsl:with-param name="NodeName" select="'cat_ru:IdentityCard'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Declarant_'"/>
							</xsl:call-template>
							<xsl:call-template name="ContactNode">
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
								<xsl:with-param name="Pref" select="'Declarant_'"/>
								<xsl:with-param name="PrefNode" select="'cat_ru:'"/>
							</xsl:call-template>
							<DeclarantModeCode><xsl:value-of select="Declarant_Code"/></DeclarantModeCode>	
						</Declarant>
						<ContractDetails>
							<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
							<StartDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="StartDate"/>
								</xsl:call-template>
							</StartDate>
							<ExpiryDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="EndDate"/>
								</xsl:call-template>
							</ExpiryDate>
						</ContractDetails>
						<RepresentativeDetails>
							<RepresentativeIndicator><xsl:value-of select="RepresSign"/></RepresentativeIndicator>
							<xsl:for-each select="CUSTDECLCONTRACT_DOCS/CUSTDECLCONTRACT_DOCS_ITEM[string-length(DocumentModeCode)>0]">
								<PresentedDocuments>
									<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocumentDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
									<PresentedDocumentModeCode><xsl:value-of select="DocumentModeCode"/></PresentedDocumentModeCode>
								</PresentedDocuments>
							</xsl:for-each>
						</RepresentativeDetails>
					</CustomsRepresContract>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
