<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
	<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="DO1">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="content_DO1">
		<DO1Report DocumentModeID="1008001E" xmlns="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
			<cat_ru:DocumentID>
				<!--вычисление-->000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
			<catWH_ru:MainTransportModeCode><xsl:value-of select="MainTransportModeCode"/></catWH_ru:MainTransportModeCode>
			<catWH_ru:ReportNumber><xsl:value-of select="RegNum"/></catWH_ru:ReportNumber>
			<catWH_ru:ReportDate>
				<xsl:call-template name="TranslateDate">
					<xsl:with-param name="Dat" select="RegDate"/>
				</xsl:call-template>
			</catWH_ru:ReportDate>
			<catWH_ru:ReportTime><xsl:value-of select="RegTime"/></catWH_ru:ReportTime>
			<catWH_ru:CustomRegistration>
				<catWH_ru:CustomState>
					<xsl:choose>
						<xsl:when test="CustomsState=1">ds_Editing</xsl:when>
						<xsl:when test="CustomsState=2">ds_OnInspect</xsl:when>
						<xsl:when test="CustomsState=3">ds_Registered</xsl:when>
						<xsl:when test="CustomsState=4">ds_Rebuilding</xsl:when>
					</xsl:choose>	
				</catWH_ru:CustomState>
				<catWH_ru:RegisterTime><xsl:value-of select="CustomRegTime"/></catWH_ru:RegisterTime>
				<catWH_ru:Inspector>
					<cat_ru:PersonSurname><xsl:value-of select="RegInspector_PersonName"/></cat_ru:PersonSurname>
					<cat_ru:PersonName><xsl:value-of select="RegInspector_PersonName2"/></cat_ru:PersonName>
					<cat_ru:PersonMiddleName><xsl:value-of select="RegInspector_PersonMiddleName"/></cat_ru:PersonMiddleName>
					<cat_ru:PersonPost><xsl:value-of select="RegInspector_PersonPost"/></cat_ru:PersonPost>
					<catWH_ru:LNP><xsl:value-of select="RegInspector_LNP"/></catWH_ru:LNP>
				</catWH_ru:Inspector>
				<catWH_ru:Cancelation>
					<catWH_ru:CancelDate>
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="CustomsCancelDate"/>
						</xsl:call-template>
					</catWH_ru:CancelDate>
					<catWH_ru:CancelReason><xsl:value-of select="CancelReason"/></catWH_ru:CancelReason>
					<catWH_ru:Inspector>
						<cat_ru:PersonSurname><xsl:value-of select="CancelInspector_PersonName"/></cat_ru:PersonSurname>
						<cat_ru:PersonName><xsl:value-of select="CancelInspector_PersonName2"/></cat_ru:PersonName>
						<cat_ru:PersonMiddleName><xsl:value-of select="CancelInspector_PersonMiddleName"/></cat_ru:PersonMiddleName>
						<cat_ru:PersonPost><xsl:value-of select="CancelInspector_PersonPost"/></cat_ru:PersonPost>
						<catWH_ru:LNP><xsl:value-of select="CancelInspector_LNP"/></catWH_ru:LNP>
					</catWH_ru:Inspector>
				</catWH_ru:Cancelation>
				<catWH_ru:RegisterNumber>
					<cat_ru:CustomsCode><xsl:value-of select="CustomsCode"/></cat_ru:CustomsCode>
					<cat_ru:RegistrationDate>
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="CustomsRegDate"/>
						</xsl:call-template>
					</cat_ru:RegistrationDate>
					<cat_ru:GTDNumber><xsl:value-of select="CustomsRegGNumber"/></cat_ru:GTDNumber>
					<catWH_ru:CertificateNumber><xsl:value-of select="CustomsRegCertNumber"/></catWH_ru:CertificateNumber>
					<catWH_ru:OtherWHPlaceKind><xsl:value-of select="CustomsRegOtherWHPlaceKind"/></catWH_ru:OtherWHPlaceKind>
				</catWH_ru:RegisterNumber>
			</catWH_ru:CustomRegistration>
			<catWH_ru:WarehouseOwner>
				<xsl:call-template name="OrgNode">
					<xsl:with-param name="Pref" select="'Warehouse_'"/>
					<xsl:with-param name="ReqNode" select="false"/>
					<xsl:with-param name="PostalAddress" select="4"/>
					<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				</xsl:call-template>
				<catWH_ru:WarehouseLicense>
					<catWH_ru:CertificateKind>
						<xsl:choose>
							<xsl:when test="Warehouse_LicenceKind=1">lic_Certificate</xsl:when>
							<xsl:when test="Warehouse_LicenceKind=2">lic_Licence</xsl:when>
							<xsl:when test="Warehouse_LicenceKind=3">lic_Permition</xsl:when>
							<xsl:when test="Warehouse_LicenceKind=4">lic_PermZtk</xsl:when>
							<xsl:when test="Warehouse_LicenceKind=5">lic_TempZtk</xsl:when>
						</xsl:choose>	
					</catWH_ru:CertificateKind>
					<catWH_ru:CertificateNumber><xsl:value-of select="Warehouse_LicenceID"/></catWH_ru:CertificateNumber>
					<catWH_ru:CertificateDate>
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="Warehouse_LicenceDate"/>
						</xsl:call-template>
					</catWH_ru:CertificateDate>
				</catWH_ru:WarehouseLicense>
				<catWH_ru:WarehousePerson>
					<cat_ru:PersonSurname><xsl:value-of select="Warehouse_PersonName"/></cat_ru:PersonSurname>
					<cat_ru:PersonName><xsl:value-of select="Warehouse_PersonName2"/></cat_ru:PersonName>
					<cat_ru:PersonMiddleName><xsl:value-of select="Warehouse_PersonMiddleName"/></cat_ru:PersonMiddleName>
					<cat_ru:PersonPost><xsl:value-of select="Warehouse_PersonPost"/></cat_ru:PersonPost>
				</catWH_ru:WarehousePerson>
			</catWH_ru:WarehouseOwner>
			<Carrier>
				<xsl:call-template name="OrgNode">
					<xsl:with-param name="Pref" select="'Carrier_'"/>
					<xsl:with-param name="ReqNode" select="false"/>
					<xsl:with-param name="PostalAddress" select="4"/>
					<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				</xsl:call-template>
				<catWH_ru:CarrierPerson>
					<cat_ru:PersonSurname><xsl:value-of select="Carrier_PersonName"/></cat_ru:PersonSurname>
					<cat_ru:PersonName><xsl:value-of select="Carrier_PersonName2"/></cat_ru:PersonName>
					<cat_ru:PersonMiddleName><xsl:value-of select="Carrier_PersonMiddleName"/></cat_ru:PersonMiddleName>
					<cat_ru:PersonPost><xsl:value-of select="Carrier_PersonPost"/></cat_ru:PersonPost>
					<cat_ru:IssueDate>
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="Carrier_IssueDate"/>
						</xsl:call-template>
					</cat_ru:IssueDate>
				</catWH_ru:CarrierPerson>
			</Carrier>
			<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1TRANSPORTS/DO1TRANSPORTS_ITEM'))">
				<xsl:sort select="RECORD_ID" data-type="number"/>
				<xsl:sort select="RECORD_ID" data-type="text"/>
				<Transports>
					<catWH_ru:TransportModeCode><xsl:value-of select="ModeCode"/></catWH_ru:TransportModeCode>
					<catWH_ru:TransportIdentifier><xsl:value-of select="TMNumber"/></catWH_ru:TransportIdentifier>
					<catWH_ru:Avia>
						<catWH_ru:FlightNumber><xsl:value-of select="Avia_FlightNum"/></catWH_ru:FlightNumber>
						<catWH_ru:FlightDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="Avia_FlightDate"/>
							</xsl:call-template>
						</catWH_ru:FlightDate>
					</catWH_ru:Avia>
					<catWH_ru:Avto>
						<catWH_ru:TrailerIdentifier><xsl:value-of select="Avto_TrailerNum"/></catWH_ru:TrailerIdentifier>
						<catWH_ru:SecondTrailerIdentifier><xsl:value-of select="Avto_TrailerNum2"/></catWH_ru:SecondTrailerIdentifier>
					</catWH_ru:Avto>
					<catWH_ru:RailRoad>
						<catWH_ru:RailStation><xsl:value-of select="Rail_StationCode"/></catWH_ru:RailStation>
					</catWH_ru:RailRoad>
					<catWH_ru:Sea>
						<catWH_ru:EntryNumber><xsl:value-of select="Sea_Num"/></catWH_ru:EntryNumber>
						<catWH_ru:CountryCode><xsl:value-of select="Sea_CountryCode"/></catWH_ru:CountryCode>
						<catWH_ru:Captain>
							<cat_ru:PersonSurname><xsl:value-of select="Sea_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="Sea_PersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="Sea_PersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="Sea_PersonPost"/></cat_ru:PersonPost>
						</catWH_ru:Captain>
					</catWH_ru:Sea>
				</Transports>
			</xsl:for-each>
			<GoodsShipment>
				<TotalPackageNumber><xsl:value-of select="TotalQuantity"/></TotalPackageNumber>
				<MPOSign><xsl:value-of select="MPOSign"/></MPOSign>
				<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1TRANSPORTDOC/DO1TRANSPORTDOC_ITEM'))">
					<xsl:sort select="RECORD_ID" data-type="number"/>
					<xsl:sort select="RECORD_ID" data-type="text"/>
					<TransportDocs>
						<cat_ru:PrDocumentName><xsl:value-of select="TranspDocName"/></cat_ru:PrDocumentName>
						<cat_ru:PrDocumentNumber><xsl:value-of select="TranspDocNum"/></cat_ru:PrDocumentNumber>
						<cat_ru:PrDocumentDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="TranspDocDate"/>
							</xsl:call-template>
						</cat_ru:PrDocumentDate>
						<catWH_ru:PresentedDocumentModeCode><xsl:value-of select="ModeCode"/></catWH_ru:PresentedDocumentModeCode>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1COMPLETTELIST/DO1COMPLETTELIST_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<catWH_ru:CompletteList><xsl:value-of select="CompletteList"/></catWH_ru:CompletteList>
						</xsl:for-each>
						<catWH_ru:CustomNumber>
							<cat_ru:CustomsCode><xsl:value-of select="CustomsCode"/></cat_ru:CustomsCode>
							<cat_ru:RegistrationDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="CustomsRegDate"/>
								</xsl:call-template>
							</cat_ru:RegistrationDate>
							<cat_ru:GTDNumber><xsl:value-of select="CustomsRegGNumber"/></cat_ru:GTDNumber>
							<catWH_ru:WaybillNumPP><xsl:value-of select="CustomsWaybillNumPP"/></catWH_ru:WaybillNumPP>
						</catWH_ru:CustomNumber>
						<catWH_ru:Consignor>
							<catWH_ru:CountryCode><xsl:value-of select="Consignor_CountryCodeNum3"/></catWH_ru:CountryCode>
							<catWH_ru:OrganizationName><xsl:value-of select="Consignor_Name"/></catWH_ru:OrganizationName>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</catWH_ru:Consignor>
						<catWH_ru:Consignee>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="4"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="IdentityCard">
								<xsl:with-param name="NodeName" select="'catWH_ru:IdentityCard'"/>
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</catWH_ru:Consignee>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1GOODS/DO1GOODS_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<catWH_ru:Goods>
								<catWH_ru:GoodsNumber><xsl:value-of select="GoodsNumeric"/></catWH_ru:GoodsNumber>
								<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></catWH_ru:GoodsTNVEDCode>
								<catWH_ru:InvoiceCost><xsl:value-of select="InvoicedCost"/></catWH_ru:InvoiceCost>
								<catWH_ru:CurrencyCode><xsl:value-of select="CurrencyCode"/></catWH_ru:CurrencyCode>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/>
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<catWH_ru:MPONumber>
									<catWH_ru:ServiceIndicator><xsl:value-of select="MPONumber_ServiceIndicator"/></catWH_ru:ServiceIndicator>
									<catWH_ru:SerialNumber><xsl:value-of select="MPONumber_SerialNumber"/></catWH_ru:SerialNumber>
									<catWH_ru:CountryCode><xsl:value-of select="MPONumber_CountryCode"/></catWH_ru:CountryCode>
								</catWH_ru:MPONumber>
								<catWH_ru:MPOCaseNum><xsl:value-of select="MPOCaseNumber"/></catWH_ru:MPOCaseNum>
								<catWH_ru:CargoPlace>
									<catWH_ru:PlaceNumber><xsl:value-of select="PackingQuantity"/></catWH_ru:PlaceNumber>
									<catWH_ru:PackageCode><xsl:value-of select="PackingCode"/></catWH_ru:PackageCode>
									<catWH_ru:PlaceDescription><xsl:value-of select="PackingDescription"/></catWH_ru:PlaceDescription>
								</catWH_ru:CargoPlace>
								<catWH_ru:BruttoVolQuant>
									<catWH_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catWH_ru:GoodsQuantity>
									<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="UnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="UnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:BruttoVolQuant>
								<catWH_ru:MeasureQuantity>
									<catWH_ru:GoodsQuantity><xsl:value-of select="SupplementaryGoodsQuantity"/></catWH_ru:GoodsQuantity>
									<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:MeasureQuantity>
								<catWH_ru:GoodsWHNumber><xsl:value-of select="GoodsWHNumber"/></catWH_ru:GoodsWHNumber>
								<catWH_ru:Comments><xsl:value-of select="Comments"/></catWH_ru:Comments>
								<catWH_ru:MPOCaseNumder><xsl:value-of select="MPOCaseNumber"/></catWH_ru:MPOCaseNumder>
								<catWH_ru:MpoBillBruttoVolQuant>
									<catWH_ru:GoodsQuantity><xsl:value-of select="MPOBillBruttoVol_Quantity"/></catWH_ru:GoodsQuantity>
									<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MPOBillBruttoVol_MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MPOBillBruttoVol_MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:MpoBillBruttoVolQuant>
								<catWH_ru:KeepingPlace>
									<catWH_ru:Area><xsl:value-of select="Area"/></catWH_ru:Area>
									<catWH_ru:Square><xsl:value-of select="Square"/></catWH_ru:Square>
									<catWH_ru:Comments><xsl:value-of select="PlaceComments"/></catWH_ru:Comments>
									<catWH_ru:Parking><xsl:value-of select="Parking"/></catWH_ru:Parking>
									<catWH_ru:Angar><xsl:value-of select="Angar"/></catWH_ru:Angar>
									<catWH_ru:WHPackind><xsl:value-of select="WHPackind"/></catWH_ru:WHPackind>
									<catWH_ru:Cell><xsl:value-of select="Cell"/></catWH_ru:Cell>
								</catWH_ru:KeepingPlace>
								<catWH_ru:KeepingLimit>
									<catWH_ru:AcceptDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="AcceptDate"/>
										</xsl:call-template>
									</catWH_ru:AcceptDate>
									<catWH_ru:AcceptTime><xsl:value-of select="AcceptTime"/></catWH_ru:AcceptTime>
									<catWH_ru:StoringDateType><xsl:value-of select="StoringDateType"/></catWH_ru:StoringDateType>
									<catWH_ru:DeadLineDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DeadLineDate"/>
										</xsl:call-template>
									</catWH_ru:DeadLineDate>
								</catWH_ru:KeepingLimit>
							</catWH_ru:Goods>
						</xsl:for-each>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1CONTAINERS/DO1CONTAINERS_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<catWH_ru:Containers>
								<catWH_ru:ContainerNumber><xsl:value-of select="ContainerNumber"/></catWH_ru:ContainerNumber>
								<catWH_ru:GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></catWH_ru:GrossWeightQuantity>
								<catWH_ru:KeepingPlace>
									<catWH_ru:Area><xsl:value-of select="Area"/></catWH_ru:Area>
									<catWH_ru:Square><xsl:value-of select="Square"/></catWH_ru:Square>
									<catWH_ru:Comments><xsl:value-of select="PlaceComments"/></catWH_ru:Comments>
									<catWH_ru:Parking><xsl:value-of select="Parking"/></catWH_ru:Parking>
									<catWH_ru:Angar><xsl:value-of select="Angar"/></catWH_ru:Angar>
									<catWH_ru:WHPackind><xsl:value-of select="WHPackind"/></catWH_ru:WHPackind>
									<catWH_ru:Cell><xsl:value-of select="Cell"/></catWH_ru:Cell>
								</catWH_ru:KeepingPlace>
							</catWH_ru:Containers>
						</xsl:for-each>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1GOODCONTLINKS/DO1GOODCONTLINKS_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<catWH_ru:GoodContLinks>
								<catWH_ru:GoodNumber><xsl:value-of select="GoodNumber"/></catWH_ru:GoodNumber>
								<catWH_ru:ContainerNumber><xsl:value-of select="ContainerNumber"/></catWH_ru:ContainerNumber>
							</catWH_ru:GoodContLinks>
						</xsl:for-each>
					</TransportDocs>
				</xsl:for-each>
				<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1CUSTOMSDOCS/DO1CUSTOMSDOCS_ITEM'))">
					<xsl:sort select="RECORD_ID" data-type="number"/>
					<xsl:sort select="RECORD_ID" data-type="text"/>
					<CustomsDocs>
						<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
						<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
						<cat_ru:PrDocumentDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="DocumentDate"/>
							</xsl:call-template>
						</cat_ru:PrDocumentDate>
						<catWH_ru:DocumentCode><xsl:value-of select="DocumentCode"/></catWH_ru:DocumentCode>
						<catWH_ru:VttCustomsCode><xsl:value-of select="CustomsCode"/></catWH_ru:VttCustomsCode>
					</CustomsDocs>
				</xsl:for-each>
				<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1COMMERCEDOCS/DO1COMMERCEDOCS_ITEM'))">
					<xsl:sort select="RECORD_ID" data-type="number"/>
					<xsl:sort select="RECORD_ID" data-type="text"/>
					<CommerceDocs>
						<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
						<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
						<cat_ru:PrDocumentDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="DocumentDate"/>
							</xsl:call-template>
						</cat_ru:PrDocumentDate>
						<catWH_ru:PresentedDocumentModeCode><xsl:value-of select="ModeCode"/></catWH_ru:PresentedDocumentModeCode>
					</CommerceDocs>
				</xsl:for-each>
			</GoodsShipment>
		</DO1Report>
	</xsl:template>	
	<xsl:template name="DO1">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/DO1/DO1_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_DO1"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="DO1_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content_DO1"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
