<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="DECLARATIONCREW"/>
	</xsl:template>-->
	
	
	<xsl:template name="DECLARATIONCREW">
			<xsl:for-each select="DECLARATIONCREW/DECLARATIONCREW_ITEM">  
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<DeclarationCrew xmlns="urn:customs.ru:Information:TransportDocuments:Sea:DeclarationCrew:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:5.9.1" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003307E">
							<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
							<ShipName><xsl:value-of select="VesselName"/></ShipName>
							<xsl:variable name="VesselNationalityCode" select="VesselNationalityCode"/>
							<xsl:variable name="LNCode" select="//LanguageCode[1]"/>
							<NationalityVessel>
								<xsl:choose>
									<xsl:when test="$LNCode='RU'">
										<xsl:choose>
											<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/Name)>0">
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/Name"/>
											</xsl:when>
											<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC3=$VesselNationalityCode]/Name)>0">
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC3=$VesselNationalityCode]/Name"/>
											</xsl:when>
											<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/Name)>0">
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/Name"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:variable name="DeclVesselNationalityCode" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode"/>
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$DeclVesselNationalityCode]/Name"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/EngName)>0">
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesselNationalityCode]/EngName"/>
											</xsl:when>
											<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC3=$VesselNationalityCode]/EngName)>0">
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC3=$VesselNationalityCode]/EngName"/>
											</xsl:when>
											<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/EngName)>0">
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesselNationalityCode]/EngName"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:variable name="DeclVesselNationalityCode" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode"/>
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$DeclVesselNationalityCode]/EngName"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</NationalityVessel>
							<xsl:for-each select="CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM">
								<xsl:variable  name="Pripas">
									<xsl:for-each select="*[contains(name(),'Subject')]">
										<xsl:if test="string-length(.)>0"><!-- and .!='NIL' and .!='NUL'-->
											<xsl:variable name="SbNam" select="concat('NameSubject',substring-after(name(),'Subject'))"/>
											<xsl:for-each select="../../../*[name()=$SbNam]">
												<xsl:value-of select="concat(.,' - ')"/>
											</xsl:for-each>
											<xsl:value-of select="concat(.,' ')"/>											
										</xsl:if>	
									</xsl:for-each>
								</xsl:variable>
								<xsl:if test="string-length(normalize-space($Pripas))>0"> 
									<Subject>
										<xsl:value-of select="concat(PersonName,' : ',normalize-space($Pripas))"/>
									</Subject>
								</xsl:if>
							</xsl:for-each>
							<xsl:if test="string-length(ArrivalPortName)>0">
								<ArrivalPort><xsl:value-of select="ArrivalPortName"/></ArrivalPort>
							</xsl:if>
							<DeparturePort><xsl:value-of select="DeparturePort"/></DeparturePort>
							<xsl:for-each select="CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[string-length(PersonName)>0 and string-length(PersonName2)>0]">
								<PersonSignature>
									<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(PersonPost)>0">
										<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
									</xsl:if>
								</PersonSignature>
							</xsl:for-each>
							<xsl:choose>
								<xsl:when test="count(CAPITANSIGNATURE/CAPITANSIGNATURE_ITEM[1][string-length(PersonSurname)>0 and string-length(PersonName)>0])>0">
									<xsl:for-each select="CAPITANSIGNATURE/CAPITANSIGNATURE_ITEM[1][string-length(PersonSurname)>0 and string-length(PersonName)>0]">	
										<CaptainSignature>
											<cat_ru:PersonSurname><xsl:value-of select="PersonSurname"/></cat_ru:PersonSurname>
											<cat_ru:PersonName><xsl:value-of select="PersonName"/></cat_ru:PersonName>
											<xsl:if test="string-length(PersonMiddleName)>0">
												<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
											</xsl:if>
											<xsl:if test="string-length(PersonPost)>0">
												<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
											</xsl:if>
											<xsl:if test="string-length(IssueDate)>0">
												<cat_ru:IssueDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="IssueDate"/>
													</xsl:call-template>
												</cat_ru:IssueDate>
											</xsl:if>	
										</CaptainSignature>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>
									<xsl:for-each select="CREWEFECTSDECLARATION/CREWEFECTSDECLARATION_ITEM[PersNumeric='1' and string-length(PersonName)>0 and string-length(PersonName2)>0]">
										<CaptainSignature>
											<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
											<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
											<xsl:if test="string-length(PersonMiddleName)>0">
												<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
											</xsl:if>
											<xsl:if test="string-length(PersonPost)>0">
												<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
											</xsl:if>
										</CaptainSignature>
									</xsl:for-each>
								</xsl:otherwise>
							</xsl:choose>	
						</DeclarationCrew>
					</DocBody>
				</ContainerDoc>	
			</xsl:for-each>			
	</xsl:template>
</xsl:stylesheet>
