<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template name="DocRegNum">
		
		<xsl:for-each select="//ESADOUT_PIT/ESADOUT_PIT_ITEM">
		<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
			<DocRegNum xmlns="urn:customs.ru:Information:CustomsDocuments:DocRegNum:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1004130E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:variable name="RefDocumentID">
					<xsl:choose>
						<xsl:when  test="string-length(../Package/package-properties/prop[@name='RefDocumentID'])">
							<xsl:value-of select="../Package/package-properties/prop[@name='RefDocumentID']"/>
						</xsl:when>
						<xsl:when  test="string-length(RefDocumentID)">
							<xsl:value-of select="RefDocumentID"/>
						</xsl:when>
					</xsl:choose>
				</xsl:variable> 
				<xsl:if test="string-length($RefDocumentID)>0">
					<cat_ru:RefDocumentID><xsl:value-of select="$RefDocumentID"/></cat_ru:RefDocumentID>
				</xsl:if>
				<DTNumber>
					<cat_ru:CustomsCode><xsl:value-of select="PIDT_DocumentCustomsCode"/></cat_ru:CustomsCode>
					<cat_ru:RegistrationDate>
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="PIDT_DocumentDate"/>
						</xsl:call-template>
					</cat_ru:RegistrationDate>
					<cat_ru:GTDNumber><xsl:value-of select="PIDT_DocumentNumber"/></cat_ru:GTDNumber>
					<DTKind><xsl:value-of select="PIDT_Kind"/></DTKind>
				</DTNumber>
			</DocRegNum>	
		</DocBody>
		</ContainerDoc>	
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
