<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
	<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
	<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
	<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="EXTRFROMORDER">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="EXTRFROMORDER">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/EXTRFROMORDER/EXTRFROMORDER_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_ExtractFromOrder"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="EXTRFROMORDER_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_ExtractFromOrder"/>
				</xsl:with-param>
			</xsl:call-template>
	</xsl:template>
	<xsl:template name="content_ExtractFromOrder">
		<ExtractFromOrder DocumentModeID="1002005E" xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:ExtractFromOrder:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
						<BeginDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="BeginDate"/>
							</xsl:call-template>
						</BeginDate>
						<EndDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="EndDate"/>
							</xsl:call-template>
						</EndDate>
						<WorkKind><xsl:value-of select="WorkKind"/></WorkKind>
						<TransferReason><xsl:value-of select="TransferReason"/></TransferReason>
						<EmployeeLNP><xsl:value-of select="EmployeeLNP"/></EmployeeLNP>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="TermsKindWork"/>
							<xsl:with-param name="NodeName" select="'TermsKindWork'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:ExtractFromOrder:5.10.0'"/> 
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<TrialPeriod><xsl:value-of select="TrialPeriod"/></TrialPeriod>
						<OrderEmploymentTransfer><xsl:value-of select="OrderEmploymentTransfer"/></OrderEmploymentTransfer>
						<DocumentReference>
							<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
						</DocumentReference>
						<Organization>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
						</Organization>
						<Employee>
							<cat_ru:PersonSurname><xsl:value-of select="EmployeePersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="EmployeePersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="EmployeePersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="EmployeePersonPost"/></cat_ru:PersonPost>
							<cat_ru:IssueDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="EmployeeIssueDate"/>
								</xsl:call-template>
							</cat_ru:IssueDate>
							<ClockNumber><xsl:value-of select="EmployeeClockNumber"/></ClockNumber>
						</Employee>
						<LastEmployeePlace>
							<DepartmentName><xsl:value-of select="LastEmpPlace_DepName"/></DepartmentName>
							<PersonPost><xsl:value-of select="LastEmpPlace_PersonPost"/></PersonPost>
							<MounthlyWage><xsl:value-of select="LastEmpPlace_MonthlyWage"/></MounthlyWage>
							<ExtraPay><xsl:value-of select="LastEmpPlace_ExtraPay"/></ExtraPay>
						</LastEmployeePlace>
						<NewEmployeePlace>
							<DepartmentName><xsl:value-of select="NewEmpPlace_DepName"/></DepartmentName>
							<PersonPost><xsl:value-of select="NewEmpPlace_PersonPost"/></PersonPost>
							<MounthlyWage><xsl:value-of select="NewEmpPlace_MonthlyWage"/></MounthlyWage>
							<ExtraPay><xsl:value-of select="NewEmpPlace_ExtraPay"/></ExtraPay>
						</NewEmployeePlace>
						<Ground>
							<cat_ru:PrDocumentName><xsl:value-of select="GroundDocName"/></cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="GroundDocNum"/></cat_ru:PrDocumentNumber>
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="GroundDocDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
						</Ground>
						<PersonSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							<cat_ru:IssueDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
								</xsl:call-template>
							</cat_ru:IssueDate>
						</PersonSignature>
					</ExtractFromOrder>
	</xsl:template>	
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
