<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/Package">
		<FactIntermediateLanding DocumentModeID="1003310E" xmlns="urn:customs.ru:Information:TransportDocuments:Air:FactIntermediateLanding:5.11.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<UIN><xsl:value-of select="package-properties/prop[@name='TIN']"/></UIN>
			<xsl:for-each select="//GENERALDECLAIR/GENERALDECLAIR_ITEM">
				<Customs>
					<xsl:variable name="CodTo" select="CustomsCode"/>
					<cat_ru:Code><xsl:value-of select="$CodTo"/></cat_ru:Code>
					<xsl:choose>
						<xsl:when test="string-length(CustomsName)>0">
							<cat_ru:OfficeName><xsl:value-of select="CustomsName"/></cat_ru:OfficeName>
						</xsl:when>
						<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name)>0">
							<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name"/></cat_ru:OfficeName>
						</xsl:when>
					</xsl:choose>
					<xsl:call-template name="CustomsCountryCode">
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="CodTo" select="$CodTo"/>
					</xsl:call-template>
				</Customs>
				<Flight>
					<catTrans_ru:FlightNumber><xsl:value-of select="FlNumber"/></catTrans_ru:FlightNumber>
					<catTrans_ru:FlightDate>
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="FlDate"/>
						</xsl:call-template>
					</catTrans_ru:FlightDate>
					<xsl:if test="string-length(AirplaneMark)>0">
						<catTrans_ru:Mark><xsl:value-of select="AirplaneMark"/></catTrans_ru:Mark>
					</xsl:if>
					<catTrans_ru:AirPlaneRegNum><xsl:value-of select="AirplaneRegNumber"/></catTrans_ru:AirPlaneRegNum>
					<xsl:if test="string-length(FlTime)>0">	
						<catTrans_ru:FlightTime>
							<xsl:call-template name="TranslateTime">
							<xsl:with-param name="Time" select="FlTime"/>
						</xsl:call-template>
						</catTrans_ru:FlightTime>
					</xsl:if>	
					<catTrans_ru:DepartureAirport>
						<xsl:if test="string-length(DepartureAirport)>0">
							<catTrans_ru:Name><xsl:value-of select="DepartureAirport"/></catTrans_ru:Name>
						</xsl:if>	
						<catTrans_ru:IATACode><xsl:value-of select="DepartureAirport_IATACode"/></catTrans_ru:IATACode>
					</catTrans_ru:DepartureAirport>
					<DestinationAirport>
						<xsl:if test="string-length(DestinationAirport)>0">
							<catTrans_ru:Name><xsl:value-of select="DestinationAirport"/></catTrans_ru:Name>
						</xsl:if>	
						<catTrans_ru:IATACode><xsl:value-of select="DestinationAirport_IATACode"/></catTrans_ru:IATACode>
					</DestinationAirport>
				</Flight>
			</xsl:for-each>
		</FactIntermediateLanding>
	</xsl:template>
</xsl:stylesheet>
