<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="PHYTOSERTIF"/>
			</ED_Container>	
	</xsl:template>-->
	<xsl:template name="PHYTOSERTIF">
		<xsl:for-each select="//PHYTOSERTIF/PHYTOSERTIF_ITEM">
			<xsl:call-template name="PHYTOSERTIF_ONE_DOC"/>
		</xsl:for-each>	
	</xsl:template>
	<xsl:template name="PHYTOSERTIF_ONE_DOC">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<FitoSanitaryCertificate xmlns="urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0" xmlns:catSert_ru="urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0"   xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009005E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<CertNumber><xsl:value-of select="RegNum"/></CertNumber>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="AdditionalDeclaration"/>
							<xsl:with-param name="NodeName" select="'AddDeclaration'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
							<xsl:with-param name="NameMes" select="false"/>
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<OrganizationQuarantine>
							<xsl:if test="string-length(Org_CountryName)>0">
								<CounryName><xsl:value-of select="Org_CountryName"/></CounryName>
							</xsl:if>
							<Organization>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Org_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
									<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
								</xsl:call-template>
							</Organization>
						</OrganizationQuarantine>
						<DescriptionConsignment>
							<xsl:if test="string-length(OriginPlace)>0">
								<OriginCountryName><xsl:value-of select="OriginPlace"/></OriginCountryName>
							</xsl:if>
							<TransMeans><xsl:value-of select="Transp"/></TransMeans>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="GoodsDescription"/>
								<xsl:with-param name="NodeName" select="'GoodsName'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>
							<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
							<xsl:if test="string-length(PlantsName)>0">
								<PlantName><xsl:value-of select="PlantsName"/></PlantName>
							</xsl:if>
							<xsl:if test="string-length(EntryPoint)>0">	
								<DeclaredPoint><xsl:value-of select="EntryPoint"/></DeclaredPoint>
							</xsl:if>
							<xsl:if test="string-length(MeasureUnitQualifierName)>0">
								<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
							</xsl:if>
							<Consignee>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Consignee_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
									<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
								</xsl:call-template>
							</Consignee>
							<Exporter>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Exporter_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
									<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
								</xsl:call-template>
							</Exporter>
							<xsl:if test="string-length(PlacesQuantity)>0 and string-length(PackageCode)>0">
								<Packaging>
									<PlacesQiantity><xsl:value-of select="PlacesQuantity"/></PlacesQiantity>
									<PackingCode><xsl:value-of select="PackageCode"/></PackingCode>
									<xsl:if test="string-length(PackageQuantity)>0">
										<PakingQuantity><xsl:value-of select="PackageQuantity"/></PakingQuantity>
									</xsl:if>	
								</Packaging>
							</xsl:if>
							<xsl:if test="string-length(Marks)>0">	
								<Excise>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="Marks"/>
										<xsl:with-param name="NodeName" select="'ExciseDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
								</Excise>
							</xsl:if>	
						</DescriptionConsignment>
						<xsl:if test="string-length(DesinfectionDate)>0">	
							<Desinfestation>
								<DateDesinfestation>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DesinfectionDate"/>
									</xsl:call-template>
								</DateDesinfestation>
								<xsl:if test="string-length(TreatmentMethod)>0">	
									<TreatmentMethod><xsl:value-of select="TreatmentMethod"/></TreatmentMethod>
								</xsl:if>
								<xsl:if test="string-length(Chemical)>0">
									<Chemical><xsl:value-of select="Chemical"/></Chemical>
								</xsl:if>
								<xsl:if test="string-length(Duration)>0">	
									<Duration><xsl:value-of select="Duration"/></Duration>
								</xsl:if>
								<xsl:if test="string-length(Temperature)>0">	
									<Temperature><xsl:value-of select="Temperature"/></Temperature>
								</xsl:if>
								<xsl:if test="string-length(Concentration)>0">		
									<Concentration><xsl:value-of select="Concentration"/></Concentration>
								</xsl:if>
								<xsl:if test="string-length(DesinfectionAddInfo)>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="DesinfectionAddInfo"/>
										<xsl:with-param name="NodeName" select="'AddInfo'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>		
								</xsl:if>	
							</Desinfestation>
						</xsl:if>
						<xsl:call-template name="Address">
							<xsl:with-param name="Pref" select="'PlaceOfIssue_'"/>
							<xsl:with-param name="NodeName" select="'PlaceIssue'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:FitoSanitaryCertificate:5.10.0'"/>
						</xsl:call-template>	
						<PersonSignature>
							<cat_ru:PersonSurname><xsl:value-of select="FIO"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<cat_ru:IssueDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</cat_ru:IssueDate>
						</PersonSignature>
					</FitoSanitaryCertificate>
				</DocBody>
			</ContainerDoc>

	</xsl:template>
</xsl:stylesheet>
