<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:call-template name="ANYDOC">
				<xsl:with-param name="BuildName"/>--><!--  select="'otvt'"--><!--
			</xsl:call-template>
		</ED_Container>
	</xsl:template>-->
	
	<xsl:template name="TextParaSp10000">
		<xsl:param name="DesG"/>
		<xsl:param name="NodeName"/>
		<xsl:param name="Namsp"/> 
		<xsl:param name="LenDes"/>
		<xsl:choose>
			<xsl:when test="string-length($DesG)>10000">
				<xsl:variable name="Des21" select="substring-before(substring($DesG,10001),' ')"/>
				<xsl:variable name="Des2" select="concat(substring($DesG,1,10000),$Des21)"/>
				<xsl:call-template name="TextParaSp">
					<xsl:with-param name="DesG" select="$Des2"/>
					<xsl:with-param name="NodeName" select="$NodeName"/>
					<xsl:with-param name="Namsp" select="$Namsp"/> 
					<xsl:with-param name="LenDes" select="string-length($Des2)"/>
				</xsl:call-template>
				<xsl:variable name="Des22" select="substring($DesG,string-length($Des2)+1)"/>
				<xsl:if  test="string-length($Des22)>0">
					<xsl:call-template name="TextParaSp10000">
						<xsl:with-param name="DesG" select="$Des22"/>
						<xsl:with-param name="NodeName" select="$NodeName"/>
						<xsl:with-param name="Namsp" select="$Namsp"/> 
						<xsl:with-param name="LenDes" select="string-length($Des22)"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="TextParaSp">
					<xsl:with-param name="DesG" select="$DesG"/>
					<xsl:with-param name="NodeName" select="$NodeName"/>
					<xsl:with-param name="Namsp" select="$Namsp"/> 
					<xsl:with-param name="LenDes" select="string-length($DesG)"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="TextParaSp">
		<xsl:param name="DesG"/>
		<xsl:param name="NodeName"/>
		<xsl:param name="Namsp"/> 
		<xsl:param name="LenDes"/>
		<xsl:variable name="Des1">
			<xsl:choose>
				<xsl:when test="contains($DesG,'&#xA;')">
					<xsl:value-of  select="substring-before($DesG,'&#xA;')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of  select="$DesG"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="DesGr">
			<xsl:choose>
				<xsl:when test="string-length($Des1)>250">
					<xsl:call-template name="SplitTextBySpaceAllLen">
						<xsl:with-param name="Text" select="$DesG"/>
						<xsl:with-param name="Len"  select="$LenDes"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$Des1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when  test="string-length($DesGr)>250">
				<xsl:call-template name="GoodsDescr250">
					<xsl:with-param name="DesG" select="normalize-space($DesGr)"/>
					<xsl:with-param name="NodeName" select="$NodeName"/>
					<xsl:with-param name="Namsp" select="$Namsp"/>
					<xsl:with-param name="LenDes" select="250"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if  test="string-length(normalize-space($DesGr))>0">
					<xsl:element name="{$NodeName}"  namespace="{$Namsp}">
						<xsl:value-of select="normalize-space($DesGr)"/>
					</xsl:element>
				</xsl:if>	
			</xsl:otherwise>
		</xsl:choose>	
		<xsl:variable name="DesGr1">
			<xsl:choose>
				<xsl:when test="string-length($DesGr)>0">
					<xsl:value-of select="substring($DesG,string-length($DesGr)+1)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="substring-after($DesG,'&#xA;')"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable> 
		<xsl:if test="string-length($DesGr1)>0">
			<xsl:call-template name="TextParaSp">
				<xsl:with-param name="DesG" select="$DesGr1"/>
				<xsl:with-param name="NodeName" select="$NodeName"/>
				<xsl:with-param name="Namsp" select="$Namsp"/> 
				<xsl:with-param name="LenDes" select="string-length($DesGr1)"/>
			</xsl:call-template>
		</xsl:if>
		
	</xsl:template>
	
	<xsl:template name="ANYDOC">
		<xsl:param name="BuildName"/>
		<xsl:for-each select="ANYDOC/ANYDOC_ITEM"> 
			<xsl:call-template name="ANYDOC_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="SERTIFGRAINQUALITY/SERTIFGRAINQUALITY_ITEM">  
			<xsl:call-template name="SERTIFGRAINQUALITY_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="ORDER/ORDER_ITEM">  
			<xsl:call-template name="ORDER_ONE_DOC">
				<xsl:with-param name="BuildName" select="$BuildName"/>
			</xsl:call-template>
		</xsl:for-each>
		
		<xsl:for-each select="ORDER_TDG/ORDER_TDG_ITEM">  
			<xsl:call-template name="ORDER_TDG_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="GU12/GU12_ITEM">  
			<xsl:call-template name="GU12_ONE_DOC"/>
		</xsl:for-each>
		<xsl:if  test="$BuildName='otvt'">
			<xsl:for-each select="FORWARD_REC/FORWARD_REC_ITEM">  
				<xsl:call-template name="FORWARD_REC_ONE_DOC"/>
			</xsl:for-each>
			<xsl:for-each select="ORDER-NEW/ORDER-NEW_ITEM">  
				<xsl:call-template name="ORDER-NEW_ONE_DOC"/>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>	
		
	<xsl:template name="ANYDOC_ONE_DOC">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<FreeDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0" xmlns:CategoryCust="urn:customs.ru:Categories:3.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006088E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<DocumentHead>
							<DocumentName><xsl:value-of select="DocName"/></DocumentName>
							<DocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</DocumentDate>
							<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
							<xsl:if test="string-length(OrgName)>0">
								<OrganizationName><xsl:value-of select="OrgName"/></OrganizationName>
							</xsl:if>
						</DocumentHead>
						<DocumentBody>
							<xsl:for-each select="ANYDOCText/ANYDOCTEXT_ITEM[string-length(DocText)>0]">
								<TextSection>
									<xsl:call-template name="TextParaSp10000">
										<xsl:with-param name="DesG" select="DocText"/>
										<xsl:with-param name="NodeName" select="'TextPara'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
										<xsl:with-param name="LenDes" select="string-length(DocText)"/>
									</xsl:call-template>	
									<xsl:if test="string-length(SectionName)>0">
										<SectionName><xsl:value-of select="SectionName"/></SectionName>
									</xsl:if>
								</TextSection>
							</xsl:for-each>
							<xsl:for-each select="ANYDOCTABLEHEADER/ANYDOCTABLEHEADER_ITEM[string-length(FieldCaption_A)>0]">
								<Table>
									<xsl:attribute name="cols"><xsl:value-of select="count(*[contains(name(),'FieldCaption') and string-length(.)>0])"/></xsl:attribute>
									<TableName><xsl:value-of select="TableCaption"/></TableName>
									<xsl:for-each select="*[contains(name(),'FieldCaption') and string-length(.)>0]">
										<ColumnSpec><xsl:value-of select="."/></ColumnSpec>
									</xsl:for-each>	
									<TableBody>
										<xsl:for-each select="ANYDOCTABLEDETAILS/ANYDOCTABLEDETAILS_ITEM[string-length(FieldValue_A)>0]">
											<TableRow>
												<xsl:for-each select="*[contains(name(),'FieldValue') and string-length(.)>0]">
												<TableCell>
													<TextPara><xsl:value-of select="."/></TextPara>
												</TableCell>
												</xsl:for-each>
											</TableRow>	
										</xsl:for-each>	
									</TableBody>
									<TableHead>
										<TableRow>
											<xsl:for-each select="*[contains(name(),'FieldCaption') and string-length(.)>0]">
												<TableCell>
													<TextPara><xsl:value-of select="."/></TextPara>
												</TableCell>
											</xsl:for-each>
										</TableRow>	
									</TableHead>
								</Table>
							</xsl:for-each>								
						</DocumentBody>
						<xsl:if test="string-length(Sign1_FIO)>0 and string-length(Sign1_PersonName2)>0">
							<DocumentSign>
								<cat_ru:PersonSurname><xsl:value-of select="Sign1_FIO"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="Sign1_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(Sign1_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="Sign1_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(Sign1_Range)>0">
									<cat_ru:PersonPost><xsl:value-of select="Sign1_Range"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(Sign1_Date)>0">
									<cat_ru:IssueDate><xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="Sign1_Date"/>
										</xsl:call-template>
									</cat_ru:IssueDate>
								</xsl:if>	
							</DocumentSign>
						</xsl:if>
						<xsl:if test="string-length(Sign2_FIO)>0 and string-length(Sign2_PersonName2)>0">
							<DocumentSign>
								<cat_ru:PersonSurname><xsl:value-of select="Sign2_FIO"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="Sign2_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(Sign2_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="Sign2_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(Sign2_Range)>0">
									<cat_ru:PersonPost><xsl:value-of select="Sign2_Range"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(Sign2_Date)>0">
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="Sign2_Date"/>
										</xsl:call-template>
									</cat_ru:IssueDate>
								</xsl:if>	
							</DocumentSign>
						</xsl:if>							
					</FreeDoc>
				</DocBody>
			</ContainerDoc>	
		</xsl:template>
		
		<xsl:template name="SERTIFGRAINQUALITY_ONE_DOC">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<FreeDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0" xmlns:CategoryCust="urn:customs.ru:Categories:3.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006088E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<DocumentHead>
							<DocumentName>Сертификат качества (зерно и продукты переработки)</DocumentName>
							<DocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</DocumentDate>
							<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
							<xsl:if test="string-length(OrgName)>0">
								<OrganizationName>Министерство сельского хозяйства РФ, Федеральная служба по ветеринарному и фитосанитарному надзору</OrganizationName>
							</xsl:if>
						</DocumentHead>
						<DocumentBody>
							<TextSection>
							<xsl:for-each select="child::*">
								<xsl:variable name="NodeName" select="name()"/> 
								<xsl:variable name="value" select="document('../../CTMXSD/SERTIFGRAINQUALITY.XSD')/xsd:schema//xsd:element[@name=$NodeName]/xsd:annotation/xsd:documentation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"/>
								<xsl:if test="string-length(.)>0 and string-length($value)>0 and name()!='RegNum' and name()!='RegDate' and name()!='PersonName' and name()!='PersonName2' and name()!='PersonMiddleName' and name()!='PersonPost'">
									<xsl:variable name="NodeType" select="document('../../CTMXSD/SERTIFGRAINQUALITY.XSD')/xsd:schema//xsd:element[@name=$NodeName]/@type" xmlns:xsd="http://www.w3.org/2001/XMLSchema"/>
									
										<TextPara>
											<xsl:value-of select="concat($value,': ')"/>
											<xsl:choose>
												<xsl:when test="contains($NodeType,'dateTime')">
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="."/>
													</xsl:call-template>
												</xsl:when>
													<xsl:otherwise><xsl:value-of select="."/>
												</xsl:otherwise>
											</xsl:choose>
										</TextPara>
								</xsl:if>
							</xsl:for-each> 
							</TextSection>
						</DocumentBody>
						<xsl:if test="string-length(PersonName)>0 and string-length(PersonName2)>0">
							<DocumentSign>
								<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
							</DocumentSign>
						</xsl:if>
					</FreeDoc>
				</DocBody>
			</ContainerDoc>	
	</xsl:template>	
	
	<xsl:template name="FORWARD_REC_ONE_DOC">	
		<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<FreeDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0" xmlns:CategoryCust="urn:customs.ru:Categories:3.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006088E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<DocumentHead>
						<DocumentName>ЭКСПЕДИТОРСКАЯ РАСПИСКА</DocumentName>
						<DocumentDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</DocumentDate>
						<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
					</DocumentHead>
					<DocumentBody>
						<TextSection>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(Consignor_Name)>0">		
										<xsl:value-of select="concat('3. Грузоотправитель: ',Consignor_Name)"/>
									</xsl:when>
									<xsl:otherwise>3. Грузоотправитель:_______________________________________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(Client_Name)>0">		
										<xsl:value-of select="concat('4. Клиент : ',Client_Name)"/>
									</xsl:when>
									<xsl:otherwise>4. Клиент :_________________________________________________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=1 and string-length(Forward_NameOOO)>0">	
										<xsl:value-of select="concat('5. Экспедитор  : ',Forward_NameOOO)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=2 and string-length(Forward_NameTB)>0">
										<xsl:value-of select="concat('5. Экспедитор  : ',Forward_NameTB)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=3 and string-length(Forward_NamePAO)>0">
										<xsl:value-of select="concat('5. Экспедитор  : ',Forward_NamePAO)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=4 and string-length(Forward_NameTDG)>0">
										<xsl:value-of select="concat('5. Экспедитор  : ',Forward_NameTDG)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=9 and string-length(Forward_NameAny)>0">
										<xsl:value-of select="concat('5. Экспедитор  : ',Forward_NameAny)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)=0 or (string-length(OPF)>0 and number(OPF)=0) and string-length(Forward_Name)>0">
										<xsl:value-of select="concat('5. Экспедитор  : ',Forward_Name)"/>
									</xsl:when>
									<xsl:otherwise>5. Экспедитор :_______________________________________________________________</xsl:otherwise>
								</xsl:choose>
							</TextPara>	
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(OriginCountry)>0">		
										<xsl:value-of select="concat('6. Страна происхождения груза ',OriginCountry)"/>
									</xsl:when>
									<xsl:otherwise>6. Страна происхождения груза:__________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(GoodsCode)>0">		
										<xsl:value-of select="concat('7. Товарный код  : ',GoodsCode)"/>
									</xsl:when>
									<xsl:otherwise>7. Товарный код :________________________________________________________</xsl:otherwise>
								</xsl:choose>
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(PlacesQuantity)>0 or string-length(PlacesDescription)>0 ">	
										<xsl:value-of select="concat('9. Количество мест, вид упаковки :',PlacesQuantity,', ',PlacesDescription)"/>
									</xsl:when>
									<xsl:otherwise>9. Количество мест, вид упаковки:_________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(GrossWeightQuantity)>0">		
										<xsl:value-of select="concat('10. Вес брутто, нетто: ',GrossWeightQuantity,' кг. ')"/>
									</xsl:when>
									<xsl:otherwise>10. Вес брутто, нетто :______  кг.</xsl:otherwise>
								</xsl:choose>		
								<xsl:choose>
									<xsl:when test="string-length(VolumeQuantity)>0">		
										<xsl:value-of select="concat(' 11. Объем:',VolumeQuantity,'  ')"/>
									</xsl:when>
									<xsl:otherwise> 11. Объем:______  </xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="string-length(TotalCost)>0">		
										<xsl:value-of select="concat(' 12. Стоимость :',TotalCost,'  ',CurrencyName,'  ')"/>
									</xsl:when>
									<xsl:otherwise> 12. Стоимость :________________  </xsl:otherwise>
								</xsl:choose>
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(PackingSize)>0">		
										<xsl:value-of select="concat('13. Размер упаковки:',PackingSize)"/>
									</xsl:when>
									<xsl:otherwise>13. Размер упаковки:______</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>14. Условия. Груз принят на основании договора на оказание услуг</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(ContractNum)>0 or string-length(ContractDate)>0">		
										<xsl:variable name="Text14_1">
											<xsl:value-of select="concat(' транспортной экспедиции № ',ContractNum,' от ')"/>
											<xsl:if  test="string-length(ContractDate)>0">
												<xsl:value-of select="concat(substring(ContractDate,9,2),'.',substring(ContractDate,6,2),'.',substring(ContractDate,1,4))"/>
											</xsl:if>
											<xsl:text>и поручения экспедитору </xsl:text>
										</xsl:variable>
										<xsl:value-of select="normalize-space($Text14_1)"/>
									</xsl:when>
									<xsl:otherwise> транспортной экспедиции №________ от  __.__._____   и поручения экспедитору </xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(OrderNum)>0 or string-length(OrderDate)>0">
										<xsl:variable name="Text14_2">		
											<xsl:value-of select="concat(' № ',OrderNum,' от ')"/>
											<xsl:if  test="string-length(OrderDate)>0">
												<xsl:value-of select="concat(substring(OrderDate,9,2),'.',substring(OrderDate,6,2),'.',substring(OrderDate,1,4))"/>
											</xsl:if>
										</xsl:variable>
										<xsl:value-of select="normalize-space($Text14_2)"/>
									</xsl:when>
									<xsl:otherwise> №________ от  __.__._____</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="string-length(SMGSNum)>0">
										<xsl:value-of select="normalize-space(concat(' (ж/д накладная СМГС ',SMGSNum,')'))"/>
									</xsl:when>
									<xsl:otherwise> (ж/д накладная СМГС _______________)</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>15. Особые отметки. Настоящий документ подтверждает право Экспедитора</TextPara>
							<TextPara>на владение и распоряжение грузом в рамках  исполнения   договора и </TextPara>
							<TextPara>поручения, указанных в строке  № 14 Расписки.</TextPara>
						</TextSection>		
					</DocumentBody>
					<DocumentSign>
						<xsl:choose>
							<xsl:when test="OPF=0 or OPF=4">
								<cat_ru:PersonSurname>Косенко</cat_ru:PersonSurname>
								<cat_ru:PersonName>К.</cat_ru:PersonName>
								<cat_ru:PersonMiddleName>C.</cat_ru:PersonMiddleName>
								<cat_ru:PersonPost>
									<xsl:choose>
										<xsl:when test="OPF=0">Поручение принял ООО «Октрансвнештерминал»</xsl:when>
										<xsl:when test="OPF=4">Поручение принял ООО «Транспорт девелопмент групп»</xsl:when>
									</xsl:choose>
								</cat_ru:PersonPost>
							</xsl:when>
							<xsl:when test="OPF=1">
								<cat_ru:PersonSurname>Чекалев</cat_ru:PersonSurname>
								<cat_ru:PersonName>С.</cat_ru:PersonName>
								<cat_ru:PersonMiddleName>П.</cat_ru:PersonMiddleName>
								<cat_ru:PersonPost>ООО «ВМТ»</cat_ru:PersonPost>
							</xsl:when>
							<xsl:when test="OPF=2">
								<cat_ru:PersonSurname>Овечкина</cat_ru:PersonSurname>
								<cat_ru:PersonName>Н.</cat_ru:PersonName>
								<cat_ru:PersonMiddleName>Г.</cat_ru:PersonMiddleName>
								<cat_ru:PersonPost>Поручение принял ООО «ТРАНС- БРОКЕР»</cat_ru:PersonPost>
							</xsl:when>
							<xsl:when test="OPF=3">
								<cat_ru:PersonSurname>Удгодская</cat_ru:PersonSurname>
								<cat_ru:PersonName>Е.</cat_ru:PersonName>
								<cat_ru:PersonMiddleName>Н.</cat_ru:PersonMiddleName>
								<cat_ru:PersonPost>Поручение принял ПАО «ТРАНСКОНТЕЙНЕР»</cat_ru:PersonPost>
							</xsl:when>
							<xsl:when test="OPF=9">
								<cat_ru:PersonSurname><xsl:value-of select="Forward_Person"/></cat_ru:PersonSurname>
								<cat_ru:PersonName>.</cat_ru:PersonName>
								<xsl:if test="string-length(Forward_NameAny)>0">
									<cat_ru:PersonPost><xsl:value-of select="concat('Поручение принял ',Forward_NameAny)"/></cat_ru:PersonPost>
								</xsl:if>
							</xsl:when>
						</xsl:choose>
					</DocumentSign>
				</FreeDoc>
			</DocBody>
		</ContainerDoc>	
	</xsl:template>
	<xsl:template name="ORDER-NEW_ONE_DOC">	
		<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<FreeDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0" xmlns:CategoryCust="urn:customs.ru:Categories:3.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006088E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<DocumentHead>
						<DocumentName>ПОРУЧЕНИЕ ЭКСПЕДИТОРУ</DocumentName>
						<DocumentDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</DocumentDate>
						<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
					</DocumentHead>
					<DocumentBody>
						<TextSection>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(Consignor_Name)>0">		
										<xsl:value-of select="concat('3. Грузоотправитель: ',Consignor_Name)"/>
									</xsl:when>
									<xsl:otherwise>3. Грузоотправитель:_______________________________________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(Client_Name)>0">		
										<xsl:value-of select="concat('4. Клиент : ',Client_Name)"/>
									</xsl:when>
									<xsl:otherwise>4. Клиент :_________________________________________________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(Consignee_Name)>0">		
										<xsl:value-of select="concat('5. Грузополучатель: ',Consignee_Name)"/>
									</xsl:when>
									<xsl:otherwise>5. Грузополучатель:_________________________________________________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=1 and string-length(Forward_NameOOO)>0">	
										<xsl:value-of select="concat('6. Экспедитор  : ',Forward_NameOOO)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=2 and string-length(Forward_NameTB)>0">
										<xsl:value-of select="concat('6. Экспедитор  : ',Forward_NameTB)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=3 and string-length(Forward_NamePAO)>0">
										<xsl:value-of select="concat('6. Экспедитор  : ',Forward_NamePAO)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=4 and string-length(Forward_NameTDG)>0">
										<xsl:value-of select="concat('6. Экспедитор  : ',Forward_NameTDG)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)>0 and number(OPF)=9 and string-length(Forward_NameAny)>0">
										<xsl:value-of select="concat('6. Экспедитор  : ',Forward_NameAny)"/>
									</xsl:when>
									<xsl:when test="string-length(OPF)=0 or (string-length(OPF)>0 and number(OPF)=0) and string-length(Forward_Name)>0">
										<xsl:value-of select="concat('6. Экспедитор  : ',Forward_Name)"/>
									</xsl:when>
									<xsl:otherwise>6. Экспедитор :_______________________________________________________________</xsl:otherwise>
								</xsl:choose>
							</TextPara>	
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(NotifyArrivalGoods)>0">		
										<xsl:value-of select="concat('7. Уведомить сторону о прибытии груза ',NotifyArrivalGoods)"/>
									</xsl:when>
									<xsl:otherwise>7. Уведомить сторону о прибытии груза:__________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(OriginCountry)>0">		
										<xsl:value-of select="concat('8. Страна происхождения груза ',OriginCountry)"/>
									</xsl:when>
									<xsl:otherwise>8. Страна происхождения груза:__________________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<xsl:choose>
								<xsl:when test="string-length(GoodsDescription)>0 or string-length(DepStationName)>0 or string-length(DepDate)>0">		
									<xsl:variable name="GR9">
										<xsl:value-of select="GoodsDescription"/>
										<xsl:value-of select="concat(' ж/д ст. ',DepStationName,',')"/>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DepDate"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="normalize-space(concat('9. Товары, готовые к отправке, место, дата: ',$GR9))"/>
										<xsl:with-param name="NodeName" select="'TextPara'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>	
								</xsl:when>
								<xsl:otherwise>
									<TextPara>9. Товары, готовые к отправке, место, дата:________________________________________________________</TextPara>
								</xsl:otherwise>
							</xsl:choose>
							<TextPara>10. Вид транспорта ЖД</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(DestStationName)>0">		
										<xsl:value-of select="concat('11. Пункт назначения: ж/д ст.  ',DestStationName)"/>
									</xsl:when>
									<xsl:otherwise>11. Пункт назначения:  ________________________________________________________</xsl:otherwise>
								</xsl:choose>
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(Insurance)>0">		
										<xsl:value-of select="concat('12. Страхование:  ',Insurance)"/>
									</xsl:when>
									<xsl:otherwise>12. Страхование:  ________________________________________________________</xsl:otherwise>
								</xsl:choose>
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(GoodsCode)>0 ">	
										<xsl:value-of select="concat('13. Товарный код :',GoodsCode)"/>
									</xsl:when>
									<xsl:otherwise>13. Товарный код : _________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(GoodMarking)>0 ">	
										<xsl:value-of select="concat('14.Маркировка :',GoodMarking)"/>
									</xsl:when>
									<xsl:otherwise>14.Маркировка : _________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(PlacesQuantity)>0 or string-length(PlacesDescription)>0 ">	
										<xsl:value-of select="concat('15. Количество мест, вид упаковки :',PlacesQuantity,', ',PlacesDescription)"/>
									</xsl:when>
									<xsl:otherwise>15. Количество мест, вид упаковки :_________________________</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(GrossWeightQuantity)>0">		
										<xsl:value-of select="concat('16. Вес брутто, нетто: ',GrossWeightQuantity,' кг. ')"/>
									</xsl:when>
									<xsl:otherwise>16. Вес брутто, нетто :______  кг.</xsl:otherwise>
								</xsl:choose>		
								<xsl:choose>
									<xsl:when test="string-length(VolumeQuantity)>0">		
										<xsl:value-of select="concat(' 17. Объем:',VolumeQuantity,'  ')"/>
									</xsl:when>
									<xsl:otherwise> 17. Объем:______  </xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="string-length(TotalCost)>0">		
										<xsl:value-of select="concat(' 18. Стоимость :',TotalCost,'  ',CurrencyName,'  ')"/>
									</xsl:when>
									<xsl:otherwise> 18. Стоимость :________________  </xsl:otherwise>
								</xsl:choose>
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(PackingSize)>0">		
										<xsl:value-of select="concat('19. Размер упаковки:',PackingSize)"/>
									</xsl:when>
									<xsl:otherwise>19. Размер упаковки:______</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(RequiredDocuments)>0">		
										<xsl:value-of select="concat('20. Требуемые документы:',RequiredDocuments)"/>
									</xsl:when>
									<xsl:otherwise>20. Требуемые документы:______</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
							<TextPara>21 Особые отметки: Условия поручения -  организация перевозки груза, </TextPara>
							<TextPara>оформление переадресовки грузов, оформление коммерческих актов о </TextPara>
							<TextPara>недостаче, излишках, порче, повреждениях и утрате груза и тары, погрузка и </TextPara>
							<TextPara>выгрузка транспортных средств, хранение грузов,  проверка количества мест, </TextPara>
							<TextPara>веса, внешнего вида груза, состояния тары и упаковки, слежение за </TextPara>
							<TextPara>продвижением  груза от станции  отправления до станции  назначения, </TextPara>
							<TextPara>уведомление о пересечении грузом Государственной границы, совершать все </TextPara>
							<TextPara>необходимые операции по помещению товаров под таможенную  процедуру  </TextPara>
							<TextPara>таможенного транзита на  пограничных ж/д станциях (ЖДПП), оформление и </TextPara>
							<TextPara>оплата провозных платежей, сборов и штрафов.</TextPara>
							<TextPara>
								<xsl:choose>
									<xsl:when test="string-length(SignatureClient)>0">		
										<xsl:value-of select="concat('22. Подпись клиента:',SignatureClient)"/>
									</xsl:when>
									<xsl:otherwise>22. Подпись клиента:______</xsl:otherwise>
								</xsl:choose>	
							</TextPara>
						</TextSection>		
					</DocumentBody>
				</FreeDoc>
			</DocBody>
		</ContainerDoc>	
	</xsl:template>
	<xsl:template name="ORDER_TDG_ONE_DOC">	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<FreeDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0" xmlns:CategoryCust="urn:customs.ru:Categories:3.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006088E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<DocumentHead>
							<DocumentName>
								<xsl:if  test="string-length(NumberDoc)>0">
									<xsl:text>Приложение № 1 к Договору транспортной экспедиции</xsl:text>
									<xsl:if  test="string-length(DateDoc)>0">
										<xsl:value-of select="concat(' от ',substring(DateDoc,9,2),'.',substring(DateDoc,6,2),'.',substring(DateDoc,1,4))"/>
									</xsl:if>		
									<xsl:value-of select="concat(' № ',NumberDoc)"/>
								</xsl:if>
								<xsl:text>'&#xA;'</xsl:text>
								<xsl:text> ЗАКАЗ </xsl:text>
							</DocumentName>
							<DocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</DocumentDate>
							<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
						</DocumentHead>
						<DocumentBody>
							<TextSection>
								<TextPara>
									<xsl:variable name="T1">
										<xsl:if  test="string-length(NumberDoc)>0">
											<xsl:value-of select="NumberDoc"/>
											<xsl:if  test="string-length(DateDoc)>0">
												<xsl:value-of select="concat(' от ',substring(DateDoc,9,2),'.',substring(DateDoc,6,2),'.',substring(DateDoc,1,4))"/>
											</xsl:if>		
										</xsl:if>
									</xsl:variable>	
									<xsl:value-of select="normalize-space(concat(' по Договору № ',$T1))"/>
								</TextPara>
								<TextPara>
									<xsl:call-template name="FirmGrText">
										<xsl:with-param name="PrefField" select="'Client_'"/>
										<xsl:with-param name="PrefText" select="'Клиент: '"/>
									</xsl:call-template>
								</TextPara>
								<TextPara>
									<xsl:variable name="T3">
										<xsl:if test="string-length(BeginPeriod)>0 or string-length(EndPeriod)>0">		
											<xsl:if  test="string-length(BeginPeriod)>0">
												<xsl:value-of select="concat(' с ',substring(BeginPeriod,9,2),'.',substring(BeginPeriod,6,2),'.',substring(BeginPeriod,1,4))"/>
											</xsl:if>	
											<xsl:if  test="string-length(EndPeriod)>0">
												<xsl:value-of select="concat(' по ',substring(EndPeriod,9,2),'.',substring(EndPeriod,6,2),'.',substring(EndPeriod,1,4))"/>
											</xsl:if>	
										</xsl:if>	
									</xsl:variable>
									<xsl:choose>
										<xsl:when test="string-length($T3)>0">		
											<xsl:value-of select="concat('Период перевозки*: ',$T3)"/>
										</xsl:when>
										<xsl:otherwise>Период перевозки*: c__________по________</xsl:otherwise>
									</xsl:choose>	
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(Subcode_Transportation)>0">		
											<xsl:value-of select="concat('Вид сообщения*: ',Subcode_Transportation)"/>
										</xsl:when>
										<xsl:otherwise>Вид сообщения*: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(DepStationName)>0">		
											<xsl:value-of select="concat('Станция (пункт) отправления*: ',DepStationName)"/>
										</xsl:when>
										<xsl:otherwise>Станция (пункт) отправления*: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(InStationName)>0">		
											<xsl:value-of select="concat('Входная станция РЖД: ',InStationName)"/>
										</xsl:when>
										<xsl:otherwise>Входная станция РЖД: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>	
								<TextPara>
									<xsl:call-template name="FirmGrText">
										<xsl:with-param name="PrefField" select="'Consignor_'"/>
										<xsl:with-param name="PrefText" select="'Грузоотправитель*: '"/>
									</xsl:call-template>
								</TextPara>	
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(DestStationName)>0">		
											<xsl:value-of select="concat('Станция (пункт) назначения*: ',DestStationName)"/>
										</xsl:when>
										<xsl:otherwise>Станция (пункт) назначения*: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(OutStationName)>0">		
											<xsl:value-of select="concat('Выходная станция РЖД: ',OutStationName)"/>
										</xsl:when>
										<xsl:otherwise>Выходная станция РЖД: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(BorderStations)>0">		
											<xsl:value-of select="concat('Погранпереходы СНГ: ',BorderStations)"/>
										</xsl:when>
										<xsl:otherwise>Погранпереходы СНГ: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:call-template name="FirmGrText">
										<xsl:with-param name="PrefField" select="'Consignee_'"/>
										<xsl:with-param name="PrefText" select="'Грузополучатель*: '"/>
									</xsl:call-template>
								</TextPara>	
								<xsl:choose>
									<xsl:when test="string-length(GoodsDescriptionETSNG)>0">		
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="normalize-space(concat('Наименование груза/код ЕТСНГ: ',GoodsDescriptionETSNG))"/>
											<xsl:with-param name="NodeName" select="'TextPara'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>		
									</xsl:when>
									<xsl:otherwise><TextPara>Наименование груза/код ЕТСНГ: _________________</TextPara></xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="string-length(GoodsDescriptionGNG)>0">		
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="normalize-space(concat('Наименование груза/код ГНГ: ',GoodsDescriptionGNG))"/>
											<xsl:with-param name="NodeName" select="'TextPara'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>		
									</xsl:when>
									<xsl:otherwise><TextPara>Наименование груза/код ГНГ: _________________</TextPara></xsl:otherwise>
								</xsl:choose>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(CarriageOwner)>0">		
											<xsl:value-of select="concat('Принадлежность вагонов*: ',CarriageOwner)"/>
										</xsl:when>
										<xsl:otherwise>Принадлежность вагонов*: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(ContainerQuantity)>0">		
											<xsl:value-of select="concat('Кол-во контейнеров*: ',ContainerQuantity)"/>
										</xsl:when>
										<xsl:otherwise>Кол-во контейнеров*: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(NetWeightQuantity)>0">		
											<xsl:value-of select="concat('Вес груза нетто (кг): ',NetWeightQuantity)"/>
										</xsl:when>
										<xsl:otherwise>Вес груза нетто (кг): _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<TextPara>
									<xsl:choose>
										<xsl:when test="string-length(ContainerType)>0">		
											<xsl:value-of select="concat('Типоразмер контейнеров*: ',ContainerType)"/>
										</xsl:when>
										<xsl:otherwise>Типоразмер контейнеров*: _________________</xsl:otherwise>
									</xsl:choose>
								</TextPara>
								<xsl:choose>
									<xsl:when test="string-length(ContainerID)>0">		
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="normalize-space(concat('Примечание: ',ContainerID))"/>
											<xsl:with-param name="NodeName" select="'TextPara'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>		
									</xsl:when>
									<xsl:otherwise><TextPara>Примечание: _________________</TextPara></xsl:otherwise>
								</xsl:choose>
								<xsl:variable name="Text1">* - Поле, обязательное для заполнения Клиентом, Сведения в Заказе должны соответствовать содержанию заявки на перевозку грузов, подаваемой Клиентом (его грузоотправителем) перевозчику,</xsl:variable> 
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="normalize-space($Text1)"/>
									<xsl:with-param name="NodeName" select="'TextPara'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>		
								<TextPara>Примечание:</TextPara>
								<TextPara>
									<xsl:text>1. Заказ принимается к исполнению при наличии на лицевом счете Клиента денежных средств, достаточных для его исполнения, либо поступления денежных средств</xsl:text>
									<xsl:value-of select="Recipient"/>
									<xsl:text>  в соответствии с пунктом </xsl:text>
									<xsl:value-of select="NumberPrDoc"/>
									<xsl:text> Договора транспортной экспедиции.</xsl:text>
								</TextPara>
								<TextPara>	
									<xsl:text>2. Подписание Заказа Клиентом свидетельствует о его согласии со стоимостью заказываемых им услуг </xsl:text>
									<xsl:value-of select="Forwarder"/>
								</TextPara>
								<TextPara>	
									<xsl:text>3. Прочие условия (дата подачи вагонов/контейнеров, необходимость предоставления отгрузочной информации и т.п.): </xsl:text>
									<xsl:value-of select="Notes"/>
								</TextPara>
								<TextPara>	
									<xsl:text>4. Данный Заказ является неотъемлемой частью договора № </xsl:text>
									<xsl:value-of select="NumberDocPath"/>
									<xsl:if  test="string-length(DateDocPath)>0">
											<xsl:value-of select="concat(' от ',substring(DateDocPath,9,2),'.',substring(DateDocPath,6,2),'.',substring(DateDocPath,1,4))"/>
										</xsl:if>	
								</TextPara>
							</TextSection>
							<xsl:if  test="count(ORDERSERVICES/ORDERSERVICES_ITEM[string-length(Description)>0])>0">
								<Table cols="4">
									<TableName>Заказанные услуги</TableName>
									<ColumnSpec>№ п/п</ColumnSpec>
									<ColumnSpec>Наименование услуги и её параметры</ColumnSpec>
									<ColumnSpec>Ставка за контейнер</ColumnSpec>
									<ColumnSpec>Сумма</ColumnSpec>
									<TableBody>
										<xsl:for-each select="ORDERSERVICES/ORDERSERVICES_ITEM[string-length(Description)>0]">
											<TableRow>
												<TableCell>
													<TextPara><xsl:value-of select="position()"/></TextPara>
												</TableCell>
												<TableCell>
													<xsl:call-template name="GoodsDescr">
														<xsl:with-param name="DesGoods" select="Description"/>
														<xsl:with-param name="NodeName" select="'TextPara'"/>
														<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
														<xsl:with-param name="LenDes" select="250"/>
													</xsl:call-template>	
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="RateContainer"/></TextPara>
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="Cost"/></TextPara>
												</TableCell>
											</TableRow>
										</xsl:for-each>
									</TableBody>
									<TableFoot>
										<TableRow>
											<TableCell>
												<TextPara>ИТОГО:</TextPara>
											</TableCell>
										</TableRow>
										<TableCell/>
										<TableCell/>
										<TableCell>
											<TextPara><xsl:value-of select="TotalCost"/></TextPara>
										</TableCell>
									</TableFoot>
								</Table>
							</xsl:if>
						</DocumentBody>
						<xsl:if test="string-length(DocSig_PersonPost)>0 and string-length(DocSig_Person)>0">
							<DocumentSign>
								<xsl:choose>
									<xsl:when test="contains(DocSig_Person,' ')">
										<cat_ru:PersonSurname><xsl:value-of select="substring-before(DocSig_Person,' ')"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="substring-after(DocSig_Person,' ')"/></cat_ru:PersonName>
									</xsl:when>
									<xsl:otherwise>
										<cat_ru:PersonSurname><xsl:value-of select="DocSig_Person"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="DocSig_Person"/></cat_ru:PersonName>
									</xsl:otherwise>
								</xsl:choose>
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</DocumentSign>
						</xsl:if>
						<xsl:if test="string-length(DocSig_FirmPost)>0 and string-length(DocSig_Firm)>0">
							<DocumentSign>
								<xsl:choose>
									<xsl:when test="contains(DocSig_Firm,' ')">
										<cat_ru:PersonSurname><xsl:value-of select="substring-before(DocSig_Firm,' ')"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="substring-after(DocSig_Firm,' ')"/></cat_ru:PersonName>
									</xsl:when>
									<xsl:otherwise>
										<cat_ru:PersonSurname><xsl:value-of select="DocSig_Firm"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="DocSig_Firm"/></cat_ru:PersonName>
									</xsl:otherwise>
								</xsl:choose>
								<cat_ru:PersonPost>
									<xsl:if test="string-length(DocSig_FirmName)>0">
										<xsl:value-of select="DocSig_FirmName"/>
										<xsl:text>'&#xA;'</xsl:text>
									</xsl:if>
									<xsl:value-of select="DocSig_PersonPost"/>
								</cat_ru:PersonPost>
							</DocumentSign>
						</xsl:if>
					</FreeDoc>
				</DocBody>
			</ContainerDoc>	
		
	</xsl:template>	
	<xsl:template name="ORDER_ONE_DOC">	
		<xsl:param name="BuildName"/>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<FreeDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0" xmlns:CategoryCust="urn:customs.ru:Categories:3.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006088E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<DocumentHead>
							<DocumentName>
								<xsl:text>Поручение экспедитору </xsl:text>
								<xsl:if  test="string-length(ContractNum)>0">
									<xsl:text>по договору транспортной экспедиции  № </xsl:text>
									<xsl:value-of select="ContractNum"/>
									<xsl:if  test="string-length(ContractDate)>0">
										<xsl:value-of select="concat(' от ',substring(ContractDate,9,2),'.',substring(ContractDate,6,2),'.',substring(ContractDate,1,4))"/>
									</xsl:if>									
								</xsl:if>
							</DocumentName>
							<DocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</DocumentDate>
							<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
						</DocumentHead>
						<DocumentBody>
							<xsl:choose>
								<xsl:when test="string-length($BuildName)>0 and $BuildName='otvt'">
									<TextSection>
										<TextPara>
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Consignor_'"/>
												<xsl:with-param name="PrefText" select="'Гр.3. Грузоотправитель/Клиент: '"/>
											</xsl:call-template>	
										</TextPara>
										<TextPara>
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Consignee_'"/>
												<xsl:with-param name="PrefText" select="'Гр.4. Грузополучатель: '"/>	
											</xsl:call-template>	
										</TextPara>
										<TextPara>
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Carrier_'"/>
												<xsl:with-param name="PrefText" select="'Гр.5. Экспедитор: '"/>		
												<xsl:with-param name="OrderPr">
													<xsl:choose>
														<xsl:when test="string-length(OPF)>0 and number(OPF)=1">OOO</xsl:when>
														<xsl:when test="string-length(OPF)>0 and number(OPF)=2">TB</xsl:when>
														<xsl:when test="string-length(OPF)>0 and number(OPF)=3">PAO</xsl:when>
														<xsl:when test="string-length(OPF)>0 and number(OPF)=9">Any</xsl:when>
														<xsl:otherwise></xsl:otherwise>
													</xsl:choose>
												</xsl:with-param>
											</xsl:call-template>
										</TextPara>	
										<TextPara>Гр.6. Условия поручения:(см. таблицу)</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(OriginCountry)>0">		
													<xsl:value-of select="concat('Гр.7. Страна происхождения груза ',OriginCountry)"/>
												</xsl:when>
												<xsl:otherwise>Гр.7. Страна происхождения груза:__________________________________</xsl:otherwise>
											</xsl:choose>	
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(GoodsDescription)>0">		
													<xsl:value-of select="concat('Гр.8. Товары, готовые к отправке: ',GoodsDescription)"/>
												</xsl:when>
												<xsl:otherwise>Гр.8. Товары, готовые к отправке:(см. таблицу)</xsl:otherwise>
											</xsl:choose>
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(PlaceDateDispatch)>0">	
													<xsl:value-of select="concat('Гр.9. Место, дата отправки:',PlaceDateDispatch)"/>
												</xsl:when>
												<xsl:otherwise>Гр.9. Место, дата отправки:______</xsl:otherwise>
											</xsl:choose>	
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(Transport)>0">		
													<xsl:value-of select="concat('Гр.10. Вид транспорта:',Transport)"/>
												</xsl:when>
												<xsl:otherwise>Гр.10. Вид транспорта:______</xsl:otherwise>
											</xsl:choose>		
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(CarriageId)>0">		
													<xsl:value-of select="concat('Гр.11. Номер транспортного средства:',CarriageId)"/>
												</xsl:when>
												<xsl:otherwise>Гр.11. Номер транспортного средства:______</xsl:otherwise>
											</xsl:choose>	
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(RequiredDocuments)>0">		
													<xsl:value-of select="concat('Гр.12. Документы: накладная СМГС:',RequiredDocuments)"/>
												</xsl:when>
												<xsl:otherwise>Гр.12. Документы: накладная СМГС:______</xsl:otherwise>
											</xsl:choose>	
										</TextPara>
										<xsl:choose>
											<xsl:when test="string-length(Insurance)>0">	
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="concat('Гр.13. Страхование: ',Insurance)"/>
													<xsl:with-param name="NodeName" select="'TextPara'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>		
											</xsl:when>
											<xsl:otherwise>
												<TextPara>Гр.13. Страхование:____________________________________________________________________________</TextPara>
											</xsl:otherwise>
										</xsl:choose>		
										<xsl:choose>
											<xsl:when  test="string-length(SpecialConditionsText)>0">	
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="concat('Гр.14. Особые отметки: ',SpecialConditionsText)"/>
													<xsl:with-param name="NodeName" select="'TextPara'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>
											</xsl:when>		
											<xsl:otherwise>
												<TextPara>Гр.14. Особые отметки:____________________________________________________________________________</TextPara>
											</xsl:otherwise>
										</xsl:choose>
									</TextSection>		
									<Table cols="2">
										<TableName>Гр.6. Условия поручения (необходимые услуги отмечаются знаком « V »)</TableName>
											<ColumnSpec>.</ColumnSpec>
											<ColumnSpec>.</ColumnSpec>
											<TableBody>
												<xsl:for-each select="child::*[starts-with(name(),'CheckParams')]">
													<xsl:variable name="ChTextNum" select="substring(name(),string-length(name()),1)"/>
													<xsl:variable name="ChText">
														<xsl:choose>
															<xsl:when test="$ChTextNum='1'"> организация перевозки груза</xsl:when>
															<xsl:when test="$ChTextNum='2'"> оформление переадресовки грузов</xsl:when>
															<xsl:when test="$ChTextNum='3'"> оформление коммерческих актов о недостаче, излишках, порче, повреждениях и утрате груза и тары</xsl:when>
															<xsl:when test="$ChTextNum='4'"> погрузку и выгрузку транспортных средств</xsl:when>
															<xsl:when test="$ChTextNum='5'"> хранение грузов</xsl:when>
															<xsl:when test="$ChTextNum='6'"> проверку количества мест, веса, внешнего вида груза, состояния тары и упаковки</xsl:when>
															<xsl:when test="$ChTextNum='7'"> слежение за продвижением  груза от станции  отправления до станции  назначения</xsl:when>
															<xsl:when test="$ChTextNum='8'"> совершать все необходимые операции по помещению товаров под таможенную  процедуру  таможенного транзита на  пограничных ж/д станциях (ЖДПП)</xsl:when>
															<xsl:when test="$ChTextNum='9'"> оформление и оплату провозных платежей, сборов и штрафов</xsl:when>
														</xsl:choose>
													</xsl:variable>		
													<TableRow>
														<TableCell>
															<TextPara><xsl:if test="string-length(.)>0">V</xsl:if></TextPara>
														</TableCell>	
														<TableCell>
															<TextPara><xsl:value-of select="$ChText"/></TextPara>
														</TableCell>
													</TableRow>	
												</xsl:for-each>
											</TableBody>
										<TableHead>
											<TableRow>
												<TableCell>
													<TextPara>.</TextPara>
												</TableCell>
												<TableCell>
													<TextPara>.</TextPara>
												</TableCell>
											</TableRow>
										</TableHead>
									</Table>	
								</xsl:when>
								<xsl:otherwise>
									<TextSection>
										<TextPara>
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Consignor_'"/>
												<xsl:with-param name="PrefText" select="'Гр.3. Грузоотправитель:'"/>
											</xsl:call-template>	
										</TextPara>
										<TextPara>	
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Client_'"/>
												<xsl:with-param name="PrefText" select="'Гр.4. Клиент:'"/>
											</xsl:call-template>	
										</TextPara>
										<TextPara>	
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Consignee_'"/>
												<xsl:with-param name="PrefText" select="'Гр.5. Грузополучатель:'"/>
											</xsl:call-template>	
										</TextPara>
										<TextPara>	
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Carrier_'"/>
												<xsl:with-param name="PrefText" select="'Гр.6. Экспедитор:'"/>
											</xsl:call-template>
										</TextPara>
										<TextPara>	
											<xsl:call-template name="GrFirm">
												<xsl:with-param name="PrefField" select="'Notify_'"/>
												<xsl:with-param name="PrefText" select="'Гр.7. Уведомить сторону о прибытии груза:'"/>
											</xsl:call-template>
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(OriginCountry)>0">		
													<xsl:value-of select="concat('Гр.8. Страна происхождения груза ',OriginCountry)"/>
												</xsl:when>
												<xsl:otherwise>Гр.8. Страна происхождения груза:__________________________________</xsl:otherwise>
											</xsl:choose>	
										</TextPara>	
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(PlaceDateDispatch)>0">	
													<xsl:value-of select="concat('Гр.9. Товары, готовые к отправке, место и дата:',PlaceDateDispatch)"/>
												</xsl:when>
												<xsl:otherwise>Гр.9. Товары, готовые к отправке, место и дата:______</xsl:otherwise>
											</xsl:choose>	
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(Transport)>0">		
													<xsl:value-of select="concat('Гр.10. Вид транспорта:',Transport)"/>
												</xsl:when>
												<xsl:otherwise>Гр.10. Вид транспорта:______</xsl:otherwise>
											</xsl:choose>		
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(CarriageId)>0">		
													<xsl:value-of select="concat('Гр.11. Номер ТС:',CarriageId)"/>
												</xsl:when>
												<xsl:otherwise>Гр.11. Номер ТС:______</xsl:otherwise>
											</xsl:choose>	
										</TextPara>
										<TextPara>
											<xsl:choose>
												<xsl:when test="string-length(PlaceDestination)>0">		
													<xsl:value-of select="concat('Гр.12. Пункт назначения:',PlaceDestination)"/>
												</xsl:when>
												<xsl:otherwise>Гр.12. Пункт назначения:______</xsl:otherwise>
											</xsl:choose>	
										</TextPara>
										<xsl:choose>
											<xsl:when test="string-length(Insurance)>0">	
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="concat('Гр.13. Страхование: ',Insurance)"/>
													<xsl:with-param name="NodeName" select="'TextPara'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>		
											</xsl:when>
											<xsl:otherwise>
												<TextPara>Гр.13. Страхование:____________________________________________________________________________</TextPara>
											</xsl:otherwise>
										</xsl:choose>		
										<xsl:choose>
											<xsl:when  test="string-length(RequiredDocuments)>0">	
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="concat('Гр.14. Документы: ',RequiredDocuments)"/>
													<xsl:with-param name="NodeName" select="'TextPara'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>
											</xsl:when>		
											<xsl:otherwise>
												<TextPara>Гр.14. Документы:____________________________________________________________________________</TextPara>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when  test="string-length(SpecialConditionsText)>0">	
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="concat('Гр.15. Особые отметки: ',SpecialConditionsText)"/>
													<xsl:with-param name="NodeName" select="'TextPara'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
													<xsl:with-param name="LenDes" select="250"/>
												</xsl:call-template>
											</xsl:when>		
											<xsl:otherwise>
												<TextPara>Гр.15. Особые отметки:____________________________________________________________________________</TextPara>
											</xsl:otherwise>
										</xsl:choose>
									</TextSection>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if  test="count(ORDERGoods/ORDERGOODS_ITEM[string-length(GoodsDescription)>0])>0">
								<Table cols="7">
									<TableName>Товары</TableName>
									<ColumnSpec>Наименование товара</ColumnSpec>
									<ColumnSpec>Товарный код</ColumnSpec>
									<ColumnSpec>Брутто</ColumnSpec>
									<ColumnSpec>Нетто</ColumnSpec>
									<ColumnSpec>Стоимость</ColumnSpec>
									<ColumnSpec>Кол-во мест</ColumnSpec>
									<ColumnSpec>Вид упаковки</ColumnSpec>
									<TableBody>
										<xsl:for-each select="ORDERGoods/ORDERGOODS_ITEM[string-length(GoodsDescription)>0]">
											<TableRow>
												<TableCell>
													<xsl:call-template name="GoodsDescr">
														<xsl:with-param name="DesGoods" select="GoodsDescription"/>
														<xsl:with-param name="NodeName" select="'TextPara'"/>
														<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
														<xsl:with-param name="LenDes" select="250"/>
													</xsl:call-template>	
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="GoodsCode"/></TextPara>
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="GrossWeightQuantity"/></TextPara>
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="NetWeightQuantity"/></TextPara>
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="normalize-space(concat(TotalCost,' ',CurrencyCode))"/></TextPara>
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="PlacesQuantity"/></TextPara>
												</TableCell>
												<TableCell>
													<TextPara><xsl:value-of select="PlacesDescription"/></TextPara>
												</TableCell>
											</TableRow>
										</xsl:for-each>
									</TableBody>
								</Table>
							</xsl:if>
						</DocumentBody>
						<xsl:if test="string-length($BuildName)>0 and $BuildName='otvt'">
							<DocumentSign>
								<xsl:choose>
									<xsl:when test="OPF=0">
										<cat_ru:PersonSurname>Косенко</cat_ru:PersonSurname>
										<cat_ru:PersonName>К.</cat_ru:PersonName>
										<cat_ru:PersonMiddleName>C.</cat_ru:PersonMiddleName>
										<cat_ru:PersonPost>Поручение принял ООО «Октрансвнештерминал»</cat_ru:PersonPost>
									</xsl:when>
									<xsl:when test="OPF=1">
										<cat_ru:PersonSurname>Чекалев</cat_ru:PersonSurname>
										<cat_ru:PersonName>С.</cat_ru:PersonName>
										<cat_ru:PersonMiddleName>П.</cat_ru:PersonMiddleName>
										<cat_ru:PersonPost>ООО «ВМТ»</cat_ru:PersonPost>
									</xsl:when>
									<xsl:when test="OPF=2">
										<cat_ru:PersonSurname>Овечкина</cat_ru:PersonSurname>
										<cat_ru:PersonName>Н.</cat_ru:PersonName>
										<cat_ru:PersonMiddleName>Г.</cat_ru:PersonMiddleName>
										<cat_ru:PersonPost>Поручение принял ООО «ТРАНС- БРОКЕР»</cat_ru:PersonPost>
									</xsl:when>
									<xsl:when test="OPF=3">
										<cat_ru:PersonSurname>Демиденко</cat_ru:PersonSurname>
										<cat_ru:PersonName>О.</cat_ru:PersonName>
										<cat_ru:PersonMiddleName>А.</cat_ru:PersonMiddleName>
										<cat_ru:PersonPost>Поручение принял ПАО «ТРАНСКОНТЕЙНЕР»</cat_ru:PersonPost>
									</xsl:when>
									<xsl:when test="OPF=9">
										<cat_ru:PersonSurname><xsl:value-of select="SignatureCarrier"/></cat_ru:PersonSurname>
										<cat_ru:PersonName>.</cat_ru:PersonName>
										<xsl:if test="string-length(Carrier_NameAny)>0">
											<cat_ru:PersonPost><xsl:value-of select="concat('Поручение принял ',Carrier_NameAny)"/></cat_ru:PersonPost>
										</xsl:if>
									</xsl:when>
								</xsl:choose>
							</DocumentSign>
						</xsl:if>
					</FreeDoc>
				</DocBody>
			</ContainerDoc>	
	</xsl:template>	
	<xsl:template name="GU12_ONE_DOC">
		<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<FreeDoc xmlns="urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006088E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<DocumentHead>
						<DocumentName>ГУ-12</DocumentName>
						<DocumentDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</DocumentDate>
						<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
					</DocumentHead>
					<DocumentBody>
						<TextSection>
							<TextPara>
								<xsl:variable name="Line1">
									<xsl:text>Перевозчик  </xsl:text>
									<xsl:value-of select="Carrier_Name"/>
									<xsl:text> Дата согласования заявки </xsl:text>
									<xsl:call-template name="ConvertDate">
										<xsl:with-param name="Dat" select="ReconciliationDate"/>
									</xsl:call-template>
									<xsl:text> </xsl:text>
									<xsl:value-of select="ReconciliationType"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line1)"/>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line2">
									<xsl:text>Дата регистрации заявки  </xsl:text>
									<xsl:call-template name="ConvertDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
									<xsl:text> Должность </xsl:text>
									<xsl:value-of select="DocSig_PersonPost"/>
									<xsl:text> ФИО </xsl:text>
									<xsl:value-of select="DocSig_Person"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line2)"/>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line3">
									<xsl:text>Заявка на перевозку грузов  </xsl:text>
									<xsl:value-of select="Request"/>
									<xsl:text> № </xsl:text>
									<xsl:value-of select="RegNum"/>
									<xsl:text> на период с </xsl:text>
									<xsl:call-template name="ConvertDate">
										<xsl:with-param name="Dat" select="DateBegin"/>
									</xsl:call-template>
									<xsl:text> г.  по </xsl:text>
									<xsl:call-template name="ConvertDate">
										<xsl:with-param name="Dat" select="DateEnd"/>
									</xsl:call-template>
									<xsl:text> г.</xsl:text>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line3)"/>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line4">
									<xsl:text>Станция отправления  </xsl:text>
									<xsl:value-of select="DepStationCode"/>
									<xsl:text> </xsl:text>	
									<xsl:value-of select="DepStationName"/>
									<xsl:text> Признак отправки </xsl:text>
									<xsl:value-of select="Sign_Send"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line4)"/>
							</TextPara>	
							<TextPara>
								<xsl:variable name="Line5">
									<xsl:text>Железнодорожный путь необщего пользования  Наименование</xsl:text>
									<xsl:value-of select="OwnerWay_Name"/>
									<xsl:text> Адрес </xsl:text>	
									<xsl:value-of select="OwnerWay_Addres"/>
									<xsl:text> ОКПО </xsl:text>
									<xsl:value-of select="OwnerWay_OKPO"/>
									<xsl:text> Отметка о согласовании владельца пути необщего пользования</xsl:text>
									<xsl:value-of select="OwnerWay_Mark"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line5)"/>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line6">
									<xsl:text>Номенклатурная группа груза  код</xsl:text>
									<xsl:value-of select="ETSNG"/>
									<xsl:text> наименование </xsl:text>	
									<xsl:value-of select="GoodsDescription"/>
									<xsl:text> Вид сообщения </xsl:text>
									<xsl:value-of select="TypeMessage"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line6)"/>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line7">
									<xsl:text>Грузоотправитель Код ОКПО </xsl:text>
									<xsl:value-of select="Consignor_OKPO"/>
									<xsl:text> Наименование </xsl:text>	
									<xsl:value-of select="Consignor_Name"/>
									<xsl:text> Адрес </xsl:text>
									<xsl:value-of select="Consignor_Addres"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line7)"/>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line8">
									<xsl:text>Плательщик Код </xsl:text>
									<xsl:value-of select="Payer_CODE"/>
									<xsl:text> ОКПО </xsl:text>
									<xsl:value-of select="Payer_OKPO"/>
									<xsl:text> Наименование </xsl:text>	
									<xsl:value-of select="Payer_Name"/>
									<xsl:text> Адрес </xsl:text>
									<xsl:value-of select="Payer_Addres"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line8)"/>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line9">
									<xsl:text>Экспедитор Код ОКПО </xsl:text>
									<xsl:value-of select="Forwarder_OKPO"/>
									<xsl:text> Наименование </xsl:text>	
									<xsl:value-of select="Forwarder_Name"/>
									<xsl:text> Адрес </xsl:text>
									<xsl:value-of select="Forwarder_Addres"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line9)"/>	
							</TextPara>
							<TextPara>
								<xsl:variable name="Line10">
									<xsl:text>№ договора </xsl:text>
									<xsl:value-of select="ContractNum"/>
									<xsl:text> Подача вагонов, контейнеров </xsl:text>	
									<xsl:value-of select="Supply_WagCont"/>
									<xsl:text> Принадлежность </xsl:text>
									<xsl:value-of select="Owner"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line10)"/>	
							</TextPara>
							<TextPara>
									<xsl:text>За достоверность сведений, внесенных в заявку, несу ответственность</xsl:text>
							</TextPara>
							<TextPara>
								<xsl:variable name="Line11">
									<xsl:text>Представитель грузоотправителя Должность </xsl:text>
									<xsl:value-of select="Consignor_PersonPost"/>
									<xsl:text> ФИО </xsl:text>	
									<xsl:value-of select="Consignor_Person"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line11)"/>	
							</TextPara>
							<TextPara>
								<xsl:variable name="Line12">
									<xsl:text> Дата </xsl:text>
									<xsl:call-template name="ConvertDate">
										<xsl:with-param name="Dat" select="Consignor_SignDate"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line12)"/>	
							</TextPara>
							<TextPara>
								<xsl:variable name="Line13">
									<xsl:text>Отметка о согласовании заявки перевозчиком</xsl:text>
									<xsl:value-of select="OwnerInf_Agreement"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line13)"/>	
							</TextPara>
							<TextPara>
								<xsl:variable name="Line14">
									<xsl:text>Отметка о согласовании заявки владельцем инфраструктуры</xsl:text>
									<xsl:value-of select="Carrier_Agreement"/>
								</xsl:variable>
								<xsl:value-of select="normalize-space($Line14)"/>	
							</TextPara>
						</TextSection>		
						<Table cols="13">
							<ColumnSpec>1</ColumnSpec>
							<ColumnSpec>2</ColumnSpec>
							<ColumnSpec>3</ColumnSpec>
							<ColumnSpec>4</ColumnSpec>
							<ColumnSpec>5</ColumnSpec>
							<ColumnSpec>6</ColumnSpec>
							<ColumnSpec>7</ColumnSpec>
							<ColumnSpec>8</ColumnSpec>
							<ColumnSpec>9</ColumnSpec>
							<ColumnSpec>10</ColumnSpec>
							<ColumnSpec>11</ColumnSpec>
							<ColumnSpec>12</ColumnSpec>
							<ColumnSpec>13</ColumnSpec>
							<TableBody>
								<xsl:for-each select="GU12_WAGCONT/GU12_WAGCONT_ITEM">
									<TableRow>
										<TableCell>
											<TextPara><xsl:value-of select="position()"/></TextPara>
										</TableCell>	
										<TableCell>
											<TextPara>
												<xsl:call-template name="ConvertDate">
													<xsl:with-param name="Dat" select="Delivery_Date"/>
												</xsl:call-template>
											</TextPara>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="GoodsCode"/></TextPara>
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="GoodsDescription"/>
												<xsl:with-param name="NodeName" select="'TextPara'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
												<xsl:with-param name="LenDes" select="250"/>
											</xsl:call-template>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="SendType"/></TextPara>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="DestStationName"/></TextPara>
											<TextPara><xsl:value-of select="DestRailwayName"/></TextPara>
											<TextPara><xsl:value-of select="DestCountryName"/></TextPara>
											<TextPara><xsl:value-of select="BorderStationName"/></TextPara>
											<TextPara><xsl:value-of select="Consignee_Name"/></TextPara>
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="Consignee_Addres"/>
												<xsl:with-param name="NodeName" select="'TextPara'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
												<xsl:with-param name="LenDes" select="250"/>
											</xsl:call-template>
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="Dop_G5"/>
												<xsl:with-param name="NodeName" select="'TextPara'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:FreeDoc:5.10.0'"/> 
												<xsl:with-param name="LenDes" select="250"/>
											</xsl:call-template>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="DestStationCode"/></TextPara>
											<TextPara><xsl:value-of select="DestRailwayCode"/></TextPara>
											<TextPara><xsl:value-of select="BorderStationCode"/></TextPara>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="DestCountryCode"/></TextPara>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="GrossWeightQuantity"/></TextPara>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="CountWagCont"/></TextPara>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="TypeWagCont"/></TextPara>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="NameType"/></TextPara>
										</TableCell>
										<TableCell>
											<xsl:for-each select="GU12_COUNTWAGCONT/GU12_COUNTWAGCONT_ITEM">
												<TextPara><xsl:value-of select="ContainerID"/></TextPara>
											</xsl:for-each>
										</TableCell>
										<TableCell>
											<TextPara><xsl:value-of select="COMMENT"/></TextPara>
										</TableCell>
									</TableRow>
								</xsl:for-each>
							</TableBody>
							<TableHead>
								<TableRow>
									<TableCell>
										<TextPara>№ п/п</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Дата</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Код и точное наименование груза</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Видотправки</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Назначение : Железнодорожной станции
назначения, пограничных
передаточных железнодорожных
станций, железнодорожных
станций передачи и другое</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Назначение: 
Коды: 
Коды станции назначения,погран.передаточные 
станции,станции передачи и др.</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Назначение: 
Коды: 
страны
назначения</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Количество тонн</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Род вагонов, грузоподъемность
контейнеров
Кол-во</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Род вагонов, грузоподъемность
контейнеров
Код</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Род вагонов, грузоподъемность
контейнеров
Наименование</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Род вагонов, грузоподъемность
контейнеров
Номер контейнера</TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Примечание</TextPara>
									</TableCell>
								</TableRow>
							</TableHead>
							<TableFoot>
								<TableRow>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara>Итого:</TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara><xsl:value-of select="GrossWeightQuantity"/></TextPara>
									</TableCell>
									<TableCell>
										<TextPara><xsl:value-of select="CountWagCont"/></TextPara>
									</TableCell>
									<TableCell>
										<TextPara><xsl:value-of select="ItogComment"/></TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
									<TableCell>
										<TextPara></TextPara>
									</TableCell>
								</TableRow>
							</TableFoot>
						</Table>	
					</DocumentBody>
				</FreeDoc>
			</DocBody>
		</ContainerDoc>	
	</xsl:template>	
	<xsl:template name="FirmGrText">
		<xsl:param name="PrefField"/>
		<xsl:param name="PrefText"/>
		<xsl:variable name="RezText1">
			<xsl:for-each select="child::*[contains(name(),$PrefField)]">
				<xsl:variable name="Text1">
					<xsl:choose>
						<xsl:when test="contains(name(),'_Code')"> Код </xsl:when>
						<xsl:when test="contains(name(),'_SubCode')"> Подкод </xsl:when>
						<xsl:when test="contains(name(),'_INN')"> ИНН </xsl:when>
						<xsl:when test="contains(name(),'_Phone')"> Телефон </xsl:when>
						<xsl:when test="contains(name(),'_Email')"> Эл.почта </xsl:when>
						<xsl:when test="contains(name(),'_PostalCode')"> Индекс </xsl:when>
					</xsl:choose>
				</xsl:variable>
				<xsl:if  test="string-length(.)>0">
					<xsl:value-of select="concat($Text1,.,',')"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:variable>
		<xsl:variable name="TextRez">
			<xsl:choose>
				<xsl:when test="substring(normalize-space($RezText1),string-length(normalize-space($RezText1)),1)=','">
					<xsl:value-of select="normalize-space(substring(normalize-space($RezText1),1,string-length(normalize-space($RezText1))-1))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="normalize-space($RezText1)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of select="concat($PrefText,normalize-space($TextRez))"/>	
	</xsl:template>
	<xsl:template name="GrFirm">
		<xsl:param name="PrefField"/>
		<xsl:param name="OrderPr"/>
		<xsl:param name="PrefText"/>
		<xsl:param name="Namsp"/>
		<xsl:variable  name="FirmText">
			<xsl:choose>
				<xsl:when test="string-length($OrderPr)>0">
					<xsl:if test="string-length(*[contains(name(),$PrefField) and contains(name(),concat('Name',$OrderPr))])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and contains(name(),concat('Name',$OrderPr))],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and contains(name(),concat('PostalCode',$OrderPr))])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and contains(name(),concat('PostalCode',$OrderPr))],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and contains(name(),concat('CountryName',$OrderPr))])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and contains(name(),concat('CountryName',$OrderPr))],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and contains(name(),concat('City',$OrderPr))])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and contains(name(),concat('City',$OrderPr))],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and contains(name(),concat('StreetHouse',$OrderPr))])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and contains(name(),concat('StreetHouse',$OrderPr))],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and contains(name(),concat('INN',$OrderPr))])>0">
						<xsl:value-of select="concat(' ИНН ',*[contains(name(),$PrefField) and contains(name(),concat('INN',$OrderPr))])"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'Name')])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'Name')],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'PostalCode')])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'PostalCode')],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'CountryName')])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'CountryName')],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'City')])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'City')],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'StreetHouse')])>0">
						<xsl:value-of select="concat(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'StreetHouse')],', ')"/>
					</xsl:if>
					<xsl:if test="string-length(*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'INN')])>0">
						<xsl:value-of select="concat(' ИНН ',*[contains(name(),$PrefField) and not(contains(name(),'OOO')) and not(contains(name(),'TB')) and contains(name(),'INN')])"/>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="TextRez">
			<xsl:choose>
				<xsl:when test="substring(normalize-space($FirmText),string-length(normalize-space($FirmText)),1)=','">
					<xsl:value-of select="normalize-space(substring(normalize-space($FirmText),1,string-length(normalize-space($FirmText))-1))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="normalize-space($FirmText)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of select="concat($PrefText,normalize-space($TextRez))"/>
	</xsl:template>
	<xsl:template name="ConvertDate">
		<xsl:param name="Dat"/>
		<xsl:value-of select="concat(substring($Dat,9,2),'.',substring($Dat,6,2),'.',substring($Dat,1,4))"/>
	</xsl:template>
</xsl:stylesheet>
