<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="GENERALDECLAIR"/>
	</xsl:template>-->
	<xsl:template name="GENERALDECLAIR">
		<xsl:for-each select="GENERALDECLAIR/GENERALDECLAIR_ITEM">  
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<GeneralDeclarationAirTransport xmlns="urn:customs.ru:Information:TransportDocuments:Air:GeneralDeclarationAirTransport:5.11.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003302E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<LanguageCode><xsl:value-of select="LanguageCode"/></LanguageCode>
						<Carrier><xsl:value-of select="Carrier_Name"/></Carrier>
						<xsl:if test="string-length(Notice)>0">
							<Notice><xsl:value-of select="Notice"/></Notice>
						</xsl:if>	
						<xsl:if test="string-length(FoodSetQuantity)>0">
							<FoodSetQuantity><xsl:value-of select="FoodSetQuantity"/></FoodSetQuantity>
						</xsl:if>
						<xsl:if test="string-length(Carrier_Code)>0">
							<CarrierCode><xsl:value-of select="Carrier_Code"/></CarrierCode>
						</xsl:if>
						<CrewMembersNumber><xsl:value-of select="count(GENERALDECLAIRCREW/GENERALDECLAIRCREW_ITEM[string-length(PersonName)>0]/PersonName)"/></CrewMembersNumber>
						<RoutingSign><xsl:value-of select="RoutingSign"/></RoutingSign>
						<Flight>
							<catTrans_ru:FlightNumber><xsl:value-of select="FlNumber"/></catTrans_ru:FlightNumber>
							<catTrans_ru:FlightDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="FlDate"/>
								</xsl:call-template>
							</catTrans_ru:FlightDate>
							<xsl:if test="string-length(AirplaneMark)>0">
								<catTrans_ru:Mark><xsl:value-of select="AirplaneMark"/></catTrans_ru:Mark>
							</xsl:if>
							<catTrans_ru:AirPlaneRegNum><xsl:value-of select="AirplaneRegNumber"/></catTrans_ru:AirPlaneRegNum>
							<xsl:if test="string-length(FlTime)>0">	
								<catTrans_ru:FlightTime>
									<xsl:call-template name="TranslateTime">
									<xsl:with-param name="Time" select="FlTime"/>
								</xsl:call-template>
								</catTrans_ru:FlightTime>
							</xsl:if>	
							<catTrans_ru:DepartureAirport>
								<xsl:if test="string-length(DepartureAirport)>0">
									<catTrans_ru:Name><xsl:value-of select="DepartureAirport"/></catTrans_ru:Name>
								</xsl:if>	
								<catTrans_ru:IATACode><xsl:value-of select="DepartureAirport_IATACode"/></catTrans_ru:IATACode>
							</catTrans_ru:DepartureAirport>
						</Flight>
						<xsl:if test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">	
							<DocumentSignature>
								<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(DocSig_PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(DocSig_IssueDate)>0">											
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="DocSig_IssueDate"/>
										</xsl:call-template>														
									</cat_ru:IssueDate>
								</xsl:if>
							</DocumentSignature>
						</xsl:if>	
						<xsl:for-each select="GENERALDECLAIRCREW/GENERALDECLAIRCREW_ITEM[string-length(PersonName)>0 and string-length(PersonName2)>0]">
							<CockpitPersonnel>
								<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
							</CockpitPersonnel>	
						</xsl:for-each>
						<DestinationAirport>
							<xsl:if test="string-length(DestinationAirport)>0">
								<catTrans_ru:Name><xsl:value-of select="DestinationAirport"/></catTrans_ru:Name>
							</xsl:if>
							<catTrans_ru:IATACode><xsl:value-of select="DestinationAirport_IATACode"/></catTrans_ru:IATACode>
						</DestinationAirport>
						<xsl:for-each select="GENERALDECLAIRROUTINGINFO/GENERALDECLAIRROUTINGINFO_ITEM[string-length(Airport_IATACode)>0]">
							<RoutingInfo>
                                <catTrans_ru:NumPP><xsl:value-of select="position()"/></catTrans_ru:NumPP>
                                <xsl:if test="string-length(Carrier_Name)>0">
									<catTrans_ru:CarrierName><xsl:value-of select="Carrier_Name"/></catTrans_ru:CarrierName>
								</xsl:if>
                                <xsl:if test="string-length(Carrier_Code)>0">
									<catTrans_ru:CarrierCode><xsl:value-of select="Carrier_Code"/></catTrans_ru:CarrierCode>
								</xsl:if>
								<xsl:if test="string-length(FlNumber)>0">
									<catTrans_ru:FlightNumber><xsl:value-of select="FlNumber"/></catTrans_ru:FlightNumber>
								</xsl:if>
								<xsl:if test="string-length(FlDate)>0">	
									<catTrans_ru:FlightDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="FlDate"/>
										</xsl:call-template>
									</catTrans_ru:FlightDate>
								</xsl:if>	
                                <catTrans_ru:Airport>
									<xsl:if test="string-length(Airport)>0">
										<catTrans_ru:Name><xsl:value-of select="Airport"/></catTrans_ru:Name>
									</xsl:if>	
									<catTrans_ru:IATACode><xsl:value-of select="Airport_IATACode"/></catTrans_ru:IATACode>
                                </catTrans_ru:Airport>
							</RoutingInfo>	
						</xsl:for-each>
						<Registration>
							<Date>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</Date>
							<Place><xsl:value-of select="RegPlace"/></Place>
							<xsl:if test="string-length(Airline_IATACode)>0">
								<AirlineIATACode><xsl:value-of select="Airline_IATACode"/></AirlineIATACode>
							</xsl:if>
							<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
						</Registration>
						<xsl:if test="string-length(DeparturePass)>0 or number(//AIRPASSLIST/AIRPASSLIST_ITEM/FactPassNumber)>0">
							<PassengerQuantity>
								<DeparturePass>
									<xsl:choose>
										<xsl:when  test="string-length(DeparturePass)>0">
											<xsl:value-of select="DeparturePass"/>
										</xsl:when>
										<xsl:when test="number(//AIRPASSLIST/AIRPASSLIST_ITEM/FactPassNumber)>0">
											<xsl:value-of select="//AIRPASSLIST/AIRPASSLIST_ITEM/FactPassNumber"/>
										</xsl:when>
									</xsl:choose>
								</DeparturePass>
								<xsl:if test="string-length(TransferDepartPass)>0">
									<TransferDepartPass><xsl:value-of select="TransferDepartPass"/></TransferDepartPass>
								</xsl:if>	
								<xsl:if test="string-length(DestinationPass)>0">	
									<DestinationPass><xsl:value-of select="DestinationPass"/></DestinationPass>
								</xsl:if>	
								<xsl:if test="string-length(TransferDestinationPass)>0">	
									<TransferDestinationPass><xsl:value-of select="TransferDestinationPass"/></TransferDestinationPass>
								</xsl:if>	
							</PassengerQuantity>
						</xsl:if>
						<xsl:if test="string-length(FuelQuantity)>0 and  string-length(FuelQualifierName)>0">
							<FuelInfo>
								<FuelQuantity><xsl:value-of select="FuelQuantity"/></FuelQuantity>
								<FuelQualifierName>
									<xsl:choose>
										<xsl:when test="string-length(FuelQualifierName)>0">
											<xsl:value-of select="FuelQualifierName"/>
										</xsl:when>
										<xsl:otherwise>T</xsl:otherwise>
									</xsl:choose>
								</FuelQualifierName>
								<xsl:if test="string-length(MaxFuelQuantity)>0">
									<MaxFuelQuantity><xsl:value-of select="MaxFuelQuantity"/></MaxFuelQuantity>
								</xsl:if>
							</FuelInfo>
						</xsl:if>	
						<xsl:for-each select="GENERALDECLAIRGSM/GENERALDECLAIRGSM_ITEM[string-length(ItemQuantity)>0]">
							<POLInformation>
								<xsl:call-template name="GSMWeap"/>
							</POLInformation>
						</xsl:for-each>
						<xsl:for-each select="GENERALDECLAIRWEAPON/GENERALDECLAIRWEAPON_ITEM[string-length(ItemQuantity)>0]">
							<WeaponInfo>
								<xsl:call-template name="GSMWeap"/>
							</WeaponInfo>
						</xsl:for-each>
						<xsl:for-each select="GENERALDECLAIRPSYCHAGENT/GENERALDECLAIRPSYCHAGENT_ITEM[string-length(ItemQuantity)>0]">
							<PsychotropicAgentInfo>
								<xsl:call-template name="GSMWeap"/>
							</PsychotropicAgentInfo>
						</xsl:for-each>
						<xsl:if test="string-length(MarkKind)>0">
							<Mark>
								<MarkSing>1</MarkSing>
								<MarkKind><xsl:value-of select="MarkKind"/></MarkKind>
								<xsl:if test="string-length(ResultControl)>0">
									<ResultControl><xsl:value-of select="ResultControl"/></ResultControl>
								</xsl:if>	
							</Mark>
						</xsl:if>
						<DestinationCountry>
							<xsl:if test="string-length(Destination_CountryName)>0">
								<CountryName><xsl:value-of select="Destination_CountryName"/></CountryName>
							</xsl:if>	
							<CountryCode><xsl:value-of select="Destination_CountryCode"/></CountryCode>
						</DestinationCountry>
						<DepartureCountry>
							<xsl:if test="string-length(Departure_CountryName)>0">
								<CountryName><xsl:value-of select="Departure_CountryName"/></CountryName>
							</xsl:if>	
							<CountryCode><xsl:value-of select="Departure_CountryCode"/></CountryCode>
						</DepartureCountry>
						<xsl:if test="string-length(CustomsCode)>0 and CustomsCode!='00000000'">
							<Customs>
								<cat_ru:Code><xsl:value-of select="CustomsCode"/></cat_ru:Code>
								<xsl:if  test="string-length(CustomsName)>0">
									<cat_ru:OfficeName><xsl:value-of select="CustomsName"/></cat_ru:OfficeName>
								</xsl:if>
							</Customs>
						</xsl:if>
						<xsl:if test="string-length(LandingSign)>0 and string-length(GoodSign)>0">
							<SignInOut>
								<LandingSign><xsl:value-of select="LandingSign"/></LandingSign>
								<GoodSign><xsl:value-of select="GoodSign"/></GoodSign>
							</SignInOut>
						</xsl:if>
					</GeneralDeclarationAirTransport>
				</DocBody>
			</ContainerDoc>	
		</xsl:for-each>			
	</xsl:template>
	<xsl:template name="GSMWeap" xmlns="urn:customs.ru:Information:TransportDocuments:Air:GeneralDeclarationAirTransport:5.11.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:if test="string-length(Description)>0">
			<Description><xsl:value-of select="Description"/></Description>
		</xsl:if>
		<xsl:if test="string-length(BillNumber)>0">
			<BillNumber><xsl:value-of select="BillNumber"/></BillNumber>
		</xsl:if>
		<xsl:if test="string-length(QuantityCode)>0">
			<QuantityCode><xsl:value-of select="QuantityCode"/></QuantityCode>
		</xsl:if>
		<ItemQuantity><xsl:value-of select="ItemQuantity"/></ItemQuantity>
		<xsl:if test="string-length(AWBNumber)>0">
			<AirWayBillNumber>
				<xsl:if test="string-length(IATACode)>0">
					<catTrans_ru:AirlineIATACode><xsl:value-of select="IATACode"/></catTrans_ru:AirlineIATACode>
				</xsl:if>
				<catTrans_ru:DocumentNumber><xsl:value-of select="AWBNumber"/></catTrans_ru:DocumentNumber>
				<catTrans_ru:AirlineSign>
					<xsl:choose>
						<xsl:when test="string-length(IATACode)>0">1</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</catTrans_ru:AirlineSign>
			</AirWayBillNumber>
		</xsl:if>	
	</xsl:template>							
</xsl:stylesheet>
