<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
	
	<!--<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="GTDOutCustomsMark"/>
			</ED_Container>	
	</xsl:template>-->
	<xsl:template name="GTDOutCustomsMark">
		<xsl:for-each select="//DesNotif_PIResult[@ctmtd:CfgName='DesNotif_PIResult_TD.CFG.XML']/DesNotif_PIResult_ITEM">
			<xsl:variable name="DatInf" select="substring(DateOutTR,1,10)"/>
			<xsl:variable name="TimeInf" select="substring(DateOutTR,11,8)"/>
			<xsl:variable name="LNP" select="LNP"/>
			<xsl:variable name="TD" select="DocumentID"/>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<GTDOutCustomsMark xmlns="urn:customs.ru:Information:CustomsDocuments:GTDOutCustomsMark:5.11.1"  xmlns:catESAD_ru="urn:customs.ru:RUCommonAggregateTypes:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1006078E" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<GTDDocumentID>00000000-0000-0000-0000-000000000000</GTDDocumentID>
						<GTDOutResolution>
							<catESAD_ru:DecisionCode>10</catESAD_ru:DecisionCode>
							<xsl:if test="string-length($DatInf)>0">
								<catESAD_ru:DateInf><xsl:value-of select="$DatInf"/></catESAD_ru:DateInf>
							</xsl:if>
							<xsl:if test="string-length($TimeInf)>0">
								<catESAD_ru:TimeInf><xsl:value-of select="$TimeInf"/></catESAD_ru:TimeInf>
							</xsl:if>
							<xsl:if test="string-length($LNP)>0">
								<catESAD_ru:LNP><xsl:value-of select="$LNP"/></catESAD_ru:LNP>
							</xsl:if>	
							<ResolutionDescription>ВЫПУСК ТОВАРОВ</ResolutionDescription>
						</GTDOutResolution>
						<xsl:for-each select="//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM">
							<GTDOutGoodsResolution>
								<GoodsNumeric><xsl:value-of select="GoodsNumeric"/></GoodsNumeric>
								<GTDOutGoodsResult>
									<catESAD_ru:DecisionCode>10</catESAD_ru:DecisionCode>
									<xsl:if test="string-length($DatInf)>0">
										<catESAD_ru:DateInf><xsl:value-of select="$DatInf"/></catESAD_ru:DateInf>
									</xsl:if>
									<xsl:if test="string-length($TimeInf)>0">
										<catESAD_ru:TimeInf><xsl:value-of select="$TimeInf"/></catESAD_ru:TimeInf>
									</xsl:if>
									<xsl:if test="string-length($LNP)>0">
										<catESAD_ru:LNP><xsl:value-of select="$LNP"/></catESAD_ru:LNP>
									</xsl:if>	
									<ResolutionDescription>ВЫПУСК ТОВАРОВ</ResolutionDescription>
								</GTDOutGoodsResult>
								<CustCostMethod>
									<CustomsCostCorrectMark>0</CustomsCostCorrectMark>
									<CustomsCostCorrectMethod>1</CustomsCostCorrectMethod>
								</CustCostMethod>
							</GTDOutGoodsResolution>
						</xsl:for-each>
						<GTDID>
							<cat_ru:CustomsCode><xsl:value-of select="substring($TD,1,8)"/></cat_ru:CustomsCode>
							<cat_ru:RegistrationDate><xsl:value-of select="concat('20',substring($TD,14,2),'-',substring($TD,12,2),'-',substring($TD,10,2))"/></cat_ru:RegistrationDate>
							<cat_ru:GTDNumber><xsl:value-of select="substring($TD,17,8)"/></cat_ru:GTDNumber>
						</GTDID>
					</GTDOutCustomsMark>
				</DocBody>
			</ContainerDoc>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
