<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
	<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
		<xsl:call-template name="GENERALDECL"/>
		</ED_Container>
	</xsl:template> -->
	<xsl:template name="ARRSEADECLBALAST">
		<xsl:for-each select="//GENERALDECL[1]/GENERALDECL_ITEM">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<ArrivalDepartCargoDecl xmlns="urn:customs.ru:Information:TransportDocuments:Sea:ArrivalDepartCargoDecl:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003209E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<DocSign>
							<xsl:choose>
								<xsl:when test="string-length(ArrivalIndicator)>0 and number(ArrivalIndicator)=1">0</xsl:when>
								<xsl:when test="string-length(ArrivalIndicator)>0 and number(ArrivalIndicator)=0">1</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</DocSign>
						<LanguageCode>
							<xsl:choose>
								<xsl:when test="string-length(LanguageCode)>0">
									<xsl:call-template name="UpperCaseEng">
										<xsl:with-param name="string" select="LanguageCode"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>EN</xsl:otherwise>
							</xsl:choose>									
						</LanguageCode>
						<DepartDestinPort>
							<xsl:choose>
								<xsl:when test="string-length(DepartDestinPort)>0">
									<xsl:value-of select="DepartDestinPort"/>
								</xsl:when>
								<xsl:when test="string-length(CustomCode)>0 and substring(CustomCode,1,8)='10714060' and string-length(DestDepPort)>0">
									<xsl:value-of select="concat(DeparturePort,'/',DestDepPort)"/>
								</xsl:when>
								<xsl:when test="string-length(CustomCode)>0 and substring(CustomCode,1,8)='10714060' and string-length(DestDepPort)=0">
									<xsl:value-of select="concat(DeparturePort,'/',DestinationPort)"/>
								</xsl:when>
								<xsl:when test="ArrivalIndicator=1">
									<xsl:value-of select="DeparturePort"/>
								</xsl:when>
								<xsl:when test="ArrivalIndicator=0 and string-length(DestDepPort)>0">
									<xsl:value-of select="DestDepPort"/>
								</xsl:when>	
								<xsl:when test="ArrivalIndicator=0 and string-length(DestDepPort)=0">
									<xsl:value-of select="DestinationPort"/>
								</xsl:when>	
							</xsl:choose>	
						</DepartDestinPort>
						<xsl:choose>
							<xsl:when test="string-length(DeclarationPort)>0">
								<DeclarationPort><xsl:value-of select="DeclarationPort"/></DeclarationPort>
							</xsl:when>
							<xsl:when test="ArrivalIndicator=0 and  string-length(DeparturePort)>0">
								<DeclarationPort><xsl:value-of select="DeparturePort"/></DeclarationPort>
							</xsl:when>
							<xsl:when test="ArrivalIndicator=1 and  string-length(DestinationPort)>0">
								<DeclarationPort><xsl:value-of select="DestinationPort"/></DeclarationPort>
							</xsl:when>	
						</xsl:choose>	
						<DocumentSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							<xsl:if test="string-length(DocSig_IssueDate)>0">								
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="DocSig_IssueDate"/>
									</xsl:call-template>								
								</cat_ru:IssueDate>
							</xsl:if>	
						</DocumentSignature>
						<Vessel>
							<catTrans_ru:Name><xsl:value-of select="VesselName"/></catTrans_ru:Name>
							<xsl:if test="string-length(VesselShipmaster)>0">
								<catTrans_ru:Shipmaster><xsl:value-of select="VesselShipmaster"/></catTrans_ru:Shipmaster>
							</xsl:if>
							<xsl:if test="string-length(VesselNationalityCode)>0">
								<catTrans_ru:NationalityCode><xsl:value-of select="VesselNationalityCode"/></catTrans_ru:NationalityCode>
							</xsl:if>	
						</Vessel>	
						<Goods>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="GoodsDescription"/>
								<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
								<xsl:with-param name="NameMes" select="true"/> 
								<xsl:with-param name="LenDes" select="250"/>				
							</xsl:call-template>
							<GrossWeightQuantity>0</GrossWeightQuantity>
							<BillofLading/>
							<PlacesInfo>
								<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
							</PlacesInfo>
						</Goods>
					</ArrivalDepartCargoDecl>
				</DocBody>
			</ContainerDoc>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GENERALDECL">
			<xsl:for-each select="GENERALDECL/GENERALDECL_ITEM">  
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<GeneralDeclaration xmlns="urn:customs.ru:Information:TransportDocuments:Sea:GeneralDeclaration:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003201E">
							<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
                            <xsl:if test="string-length(Remarks)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="Remarks"/>
									<xsl:with-param name="NodeName" select="'Notice'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Sea:GeneralDeclaration:5.10.0'"/> 
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>				
								</xsl:call-template>
							</xsl:if>	
							<LanguageCode>
								<xsl:choose>
									<xsl:when test="string-length(LanguageCode)>0">
										<xsl:call-template name="UpperCaseEng">
											<xsl:with-param name="string" select="LanguageCode"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:when test="string-length(//ARRSEADECL[1]/ARRSEADECL_ITEM/LanguageCode)>0">
										<xsl:call-template name="UpperCaseEng">
											<xsl:with-param name="string" select="//ARRSEADECL[1]/ARRSEADECL_ITEM/LanguageCode"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>EN</xsl:otherwise>
								</xsl:choose>
							</LanguageCode>
							<xsl:if test="string-length(Owner)>0">
								<Carrier><xsl:value-of select="Owner"/></Carrier>
							</xsl:if> 
							<ArrivalIndicator><xsl:value-of select="ArrivalIndicator"/></ArrivalIndicator>
							<VoyageDescription><xsl:value-of select="normalize-space(concat(VoyageDescription,' ',TargetTSMP))"/></VoyageDescription>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="GoodsDescription"/>
								<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Sea:GeneralDeclaration:5.10.0'"/> 
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>				
							</xsl:call-template>
							<xsl:if test="string-length(MembershipNumber)>0">
								<MembershipNumber><xsl:value-of select="MembershipNumber"/></MembershipNumber>
							</xsl:if>
							<xsl:if test="string-length(PassengerNumber)>0">
								<PassengerNumber><xsl:value-of select="PassengerNumber"/></PassengerNumber>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="string-length(DestDepPort)>0">
									<DeparturePort><xsl:value-of select="DeparturePort"/></DeparturePort>
									<DestinationPort><xsl:value-of select="DestDepPort"/></DestinationPort>
							    </xsl:when>
							    <xsl:otherwise>
									<xsl:choose>
										<xsl:when test="ArrivalIndicator!=0">
											<DeparturePort><xsl:value-of select="DeparturePort"/></DeparturePort>
											<DestinationPort><xsl:value-of select="DestinationPort"/></DestinationPort>
										</xsl:when>
										<xsl:when test="ArrivalIndicator=0">
											<DeparturePort><xsl:value-of select="DestinationPort"/></DeparturePort>
											<DestinationPort><xsl:value-of select="DeparturePort"/></DestinationPort>
										</xsl:when>
									</xsl:choose>
							    </xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(Mooring)>0">
								<Mooring><xsl:value-of select="Mooring"/></Mooring>
							</xsl:if>	
							<VesselRegistration>
								<catTrans_ru:Name><xsl:value-of select="VesselName"/></catTrans_ru:Name>
								<xsl:if test="string-length(VesselShipmaster)>0">
									<catTrans_ru:Shipmaster><xsl:value-of select="VesselShipmaster"/></catTrans_ru:Shipmaster>
								</xsl:if>
								<xsl:if test="string-length(VesselNationalityCode)>0">
									<xsl:variable name="VesNCode" select="VesselNationalityCode"/>
									<catTrans_ru:NationalityCode><xsl:value-of select="$VesNCode"/></catTrans_ru:NationalityCode>
									<catTrans_ru:NationalityVessel><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesNCode]/Name"/></catTrans_ru:NationalityVessel>
									<catTrans_ru:NationalityVesselCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$VesNCode]/ABC2"/></catTrans_ru:NationalityVesselCode>
								</xsl:if>	
								<xsl:if test="string-length(VesselRegistrationDate)>0">
									<RegistrationDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="VesselRegistrationDate"/>
										</xsl:call-template>		
									</RegistrationDate>
								</xsl:if>	
								<RegistrationID><xsl:value-of select="VesselRegistrationID"/></RegistrationID>
								<RegistrationPort><xsl:value-of select="VesselRegistrationPort"/></RegistrationPort>
								<GrossTonnage><xsl:value-of select="VesselGrossTonnage"/></GrossTonnage>
								<NetTonnage><xsl:value-of select="VesselNetTonnage"/></NetTonnage>
								<xsl:if test="string-length(IMO)>0">
									<IMO><xsl:value-of select="IMO"/></IMO>
								</xsl:if>	
								<xsl:if test="string-length(VesselNationalityCode)>0">
									<xsl:variable name="NameCr" select="VesselNationalityCode"/>	
									<Flag><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$NameCr]/Name"/></Flag>
								</xsl:if>
								<VesselType><xsl:value-of select="VesselType"/></VesselType>	
							</VesselRegistration>
							<DocumentSignature>
								<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(DocSig_PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(DocSig_IssueDate)>0">	
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="DocSig_IssueDate"/>
										</xsl:call-template>	
									</cat_ru:IssueDate>
								</xsl:if>	
							</DocumentSignature>
							<ShipAgent>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'ShipAgent_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>	
							</ShipAgent>
							<xsl:variable name="NameNodeArrSail">
								<xsl:choose>
									<xsl:when test="ArrivalIndicator!=0">Arrival</xsl:when>
									<xsl:otherwise>Sailing</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<xsl:element name="{$NameNodeArrSail}">
								<xsl:if test="string-length(ArrivalDate)>0 and string-length(ArrivalTime)>0">
									<DateTimeInf><xsl:value-of select="concat(substring(ArrivalDate,1,10),'T',ArrivalTime,':00')"/></DateTimeInf>
								</xsl:if>
								<PortName><xsl:value-of select="DestinationPort"/></PortName>
								<CountryCode><xsl:value-of select="DestinationCountryCode"/></CountryCode>
							</xsl:element>		
							<EnclosedDocument>
								<xsl:if test="string-length(ShipStoresDeclarationCopyNumber)>0">
									<ShipStoresDeclarationCopyNumber><xsl:value-of select="ShipStoresDeclarationCopyNumber"/></ShipStoresDeclarationCopyNumber>
								</xsl:if>
								<xsl:if test="string-length(SailingCargoDeclarationCopyNumber)>0">								
									<SailingCargoDeclarationCopyNumber><xsl:value-of select="SailingCargoDeclarationCopyNumber"/></SailingCargoDeclarationCopyNumber>
								</xsl:if>
								<xsl:if test="string-length(ArrivalCargoDeclarationCopyNumber)>0">
									<ArrivalCargoDeclarationCopyNumber><xsl:value-of select="ArrivalCargoDeclarationCopyNumber"/></ArrivalCargoDeclarationCopyNumber>
								</xsl:if>
								<xsl:if test="string-length(CrewListCopyNumber)>0">
									<CrewListCopyNumber><xsl:value-of select="CrewListCopyNumber"/></CrewListCopyNumber>
								</xsl:if>								
								<xsl:if test="string-length(PassengerListCopyNumber)>0">								
									<PassengerListCopyNumber><xsl:value-of select="PassengerListCopyNumber"/></PassengerListCopyNumber>
								</xsl:if>
								<xsl:if test="string-length(BaggageDeclarationCopyNumber)>0">								
									<BaggageDeclarationCopyNumber><xsl:value-of select="BaggageDeclarationCopyNumber"/></BaggageDeclarationCopyNumber>
								</xsl:if>								
								<xsl:if test="string-length(SeaMedicalDeclarationCopyNumber)>0">								
									<SeaMedicalDeclarationCopyNumber><xsl:value-of select="SeaMedicalDeclarationCopyNumber"/></SeaMedicalDeclarationCopyNumber>
								</xsl:if>								
							</EnclosedDocument>
							<xsl:if test="string-length(CustomCode)>0 and CustomCode!='00000000'">
								<Customs>
									<cat_ru:Code><xsl:value-of select="CustomCode"/></cat_ru:Code>
									<xsl:variable name="CodTO" select="CustomCode"/>
									<xsl:if  test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTO]/Name)>0">
										<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTO]/Name"/></cat_ru:OfficeName>
									</xsl:if>
								</Customs>
							</xsl:if>
						</GeneralDeclaration>
					</DocBody>
				</ContainerDoc>	
			</xsl:for-each>			
			<xsl:if  test="string-length(//GENERALDECL/GENERALDECL_ITEM/Balast)>0 and number(//GENERALDECL/GENERALDECL_ITEM/Balast)=1">
				<xsl:call-template name="ARRSEADECLBALAST"/>
			</xsl:if>
	</xsl:template>
</xsl:stylesheet>
