<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="DocAll">
		<ESADout_CUPresentedDocument xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
			<xsl:if test="string-length(DocumentName)>0">
				<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
			</xsl:if>
			<xsl:if test="string-length(DocumentNumber)>0">
				<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
			</xsl:if>	
			<xsl:if test="string-length(DocumentDate)>0">										
				<cat_ru:PrDocumentDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="DocumentDate"/>
					</xsl:call-template>
				</cat_ru:PrDocumentDate>
			</xsl:if>	
			<catESAD_cu:PresentedDocumentModeCode>
				<xsl:choose>
					<xsl:when test="string-length(ModeCode)>0">
						<xsl:value-of select="ModeCode"/>
					</xsl:when>
					<xsl:otherwise>09999</xsl:otherwise>
				</xsl:choose>
			</catESAD_cu:PresentedDocumentModeCode>
		</ESADout_CUPresentedDocument>
	</xsl:template>	
	<xsl:key use="./ContainerID" name="ContCMR" match="//CMRCONT_ITEM[string-length(ContainerID)>0]"/>							
	<xsl:template match="//CMRCONT_ITEM[string-length(ContainerID)>0]" >
		<xsl:param name="CmrN"/>
		<xsl:param name="CmrD"/>		
		<xsl:param name="Flg"/>
		<xsl:variable name="Cont" select="ContainerID"/>
			<xsl:choose>
				<xsl:when test="$Flg=0">
					<xsl:if test="../../NumDate=$CmrN">
						<catESAD_cu:ContainerNumber xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
							<catESAD_cu:ContainerIdentificaror><xsl:value-of select="$Cont"/></catESAD_cu:ContainerIdentificaror>
						</catESAD_cu:ContainerNumber>
					</xsl:if>	
				</xsl:when>
				<xsl:when test="$Flg=2">
					<catESAD_cu:ContainerNumber xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<catESAD_cu:ContainerIdentificaror><xsl:value-of select="$Cont"/></catESAD_cu:ContainerIdentificaror>
					</catESAD_cu:ContainerNumber>
				</xsl:when>				
				<xsl:when test="$Flg=1">
					<xsl:if test="../../RegNum=$CmrN and substring(../../RegDate,1,10)=$CmrD">
						<do1r:Conatiners xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" >
							<catWH_ru:ContainerNumber><xsl:value-of select="$Cont"/></catWH_ru:ContainerNumber>
						</do1r:Conatiners>
					</xsl:if>	
				</xsl:when>
				<xsl:when test="$Flg=3">
					<xsl:if test="../../RegNum=$CmrN and substring(../../RegDate,1,10)=$CmrD">
						<Containers xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0"  xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
							<catWH_ru:ContainerNumber><xsl:value-of select="$Cont"/></catWH_ru:ContainerNumber>
						</Containers>
					</xsl:if>
				</xsl:when>
			</xsl:choose>
	</xsl:template>
	
	<xsl:key use="concat(../../GoodsCode,../../PackingCode,./PackingCode)" name="PackCMRGr" match="//PACKINGLISTGOODSPACKINGINFO_ITEM"/>
	<xsl:key use="concat(../../NumDateCMR,../../GoodsCode,../../PackingCode,./PackingCode)" name="PackTirGr" match="//PACKINGLISTGOODSPACKINGINFO_ITEM"/>
	<xsl:key use="./DeliveryTermsStringCode" name="TermsCode" match="//INVOICE_ITEM"/>
	<xsl:template match="//PACKINGLISTGOODSPACKINGINFO_ITEM">
		<xsl:param name="Doc"/> 
		<xsl:param name="CMRNum"/>
		<xsl:param name="Code"/>
		<xsl:param name="Pack"/>
		<xsl:variable name="PackingG" select="PackingCode"/>
		<xsl:variable name="PalletCode" select="'PX,AH,AG,PD,AF,PE,PB'"/>
		<xsl:variable name="CargoCode" select="'NA,NE,NF,NG'"/>
		<xsl:choose>
			<xsl:when test="$Doc='CUTir'">
				<PackingInfo xmlns="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
					<catTrans_cu:PackingCode><xsl:value-of select="$PackingG"/></catTrans_cu:PackingCode>
					<catTrans_cu:PakingQuantity>
						<xsl:choose>
							<xsl:when test="string-length($CMRNum)>0">
								<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../NumDateCMR=$CMRNum and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
							</xsl:when>
							<xsl:otherwise>	
								<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG  and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
							</xsl:otherwise>
						</xsl:choose>
					</catTrans_cu:PakingQuantity>
					<xsl:if test="string-length(PackingDescription)>0">
						<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
					</xsl:if>
				</PackingInfo>
			</xsl:when>							
			<xsl:when test="$Doc='Tir'">
				<PackingInfo xmlns="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
					<catTrans_cu:PackingCode><xsl:value-of select="$PackingG"/></catTrans_cu:PackingCode>
					<catTrans_cu:PakingQuantity>
						<xsl:choose>
							<xsl:when test="string-length($CMRNum)>0">
								<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../NumDateCMR=$CMRNum and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
							</xsl:when>
							<xsl:otherwise>	
								<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG  and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
							</xsl:otherwise>
						</xsl:choose>
					</catTrans_cu:PakingQuantity>
					<xsl:if test="string-length(PackingDescription)>0">
						<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
					</xsl:if>
				</PackingInfo>
			</xsl:when>															
			<xsl:when test="$Doc='CMR'">
				<GoodsPackingInfo xmlns="urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" >
					<xsl:if test="string-length($PackingG)>0">
						<catTrans_cu:PackingCode><xsl:value-of select="$PackingG"/></catTrans_cu:PackingCode>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity)=0">
							<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
						</xsl:when>
						<xsl:otherwise>
							<catTrans_cu:PakingQuantity><xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/></catTrans_cu:PakingQuantity>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="string-length(PackingDescription)>0">
						<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
					</xsl:if>
				</GoodsPackingInfo>
			</xsl:when>
			<xsl:when test="$Doc='CTM'">
				<PACKINGINFO_ITEM xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
					<PackingQuantity><xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/></PackingQuantity>
					<PackingDescription><xsl:value-of select="PackingDescription"/></PackingDescription>
					<PackingCode><xsl:value-of select="$PackingG"/></PackingCode>
					<PackingMark>
						<xsl:for-each select="//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingMark)>0]">
							<xsl:value-of select="PackingMark"/>
							<xsl:if test="position()!=last() and count(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingMark)>0])>1">,</xsl:if>
						</xsl:for-each>
					</PackingMark>
				</PACKINGINFO_ITEM>
			</xsl:when>
			<xsl:when test="$Doc='ESADout_CUTir'">
				<xsl:if test="contains($PalletCode,$PackingG)=false and contains($CargoCode,$PackingG)=false">
					<catESAD_cu:PackingInformation xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<catESAD_cu:PackingCode><xsl:value-of select="$PackingG"/></catESAD_cu:PackingCode>			
						<catESAD_cu:PakingQuantity>
							<xsl:choose>
								<xsl:when test="string-length($CMRNum)>0">
									<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../NumDateCMR=$CMRNum and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
								</xsl:when>
								<xsl:otherwise>	
									<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
								</xsl:otherwise>
							</xsl:choose>
						</catESAD_cu:PakingQuantity>
					</catESAD_cu:PackingInformation>
				</xsl:if>
				<xsl:if test="contains($PalletCode,$PackingG)">
					<catESAD_cu:PalleteInformation xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<catESAD_cu:PalleteQuantity>
							<xsl:choose>
								<xsl:when test="string-length($CMRNum)>0">
									<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../NumDateCMR=$CMRNum and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
								</xsl:when>
								<xsl:otherwise>	
									<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
								</xsl:otherwise>
							</xsl:choose>
						</catESAD_cu:PalleteQuantity>
						<xsl:if test="string-length(PlacesDescription)>0">
							<catESAD_cu:PalleteDescription><xsl:value-of select="PlacesDescription"/></catESAD_cu:PalleteDescription>
						</xsl:if>
						<catESAD_cu:PalleteCode><xsl:value-of select="$PackingG"/></catESAD_cu:PalleteCode>
					</catESAD_cu:PalleteInformation>
				</xsl:if>
				<xsl:if test="contains($CargoCode,$PackingG)">
					<catESAD_cu:CargoInfo xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<catESAD_cu:PackingCode><xsl:value-of select="$PackingG"/></catESAD_cu:PackingCode>				
						<catESAD_cu:PakingQuantity>
							<xsl:choose>
								<xsl:when test="string-length($CMRNum)>0">
									<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../NumDateCMR=$CMRNum and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
								</xsl:when>
								<xsl:otherwise>	
									<xsl:value-of select="round(sum(//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]/PackingQuantity) * 1000) div 1000"/>
								</xsl:otherwise>
							</xsl:choose>
						</catESAD_cu:PakingQuantity>
					</catESAD_cu:CargoInfo>	
				</xsl:if>
			</xsl:when>
			<xsl:when test="$Doc='ESADout_CU'">
				<xsl:variable name="PackESaDoutPathSet" select="//PACKINGLISTGOODSPACKINGINFO_ITEM[PackingCode=$PackingG  and ../../GoodsCode=$Code and ../../PackingCode=$Pack and string-length(PackingQuantity)>0]"/>
				<xsl:if test="count($PackESaDoutPathSet[contains($PalletCode,$PackingG)=false and contains($CargoCode,$PackingG)=false])>0">
					<catESAD_cu:PackingInformation xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<catESAD_cu:PackingCode><xsl:value-of select="$PackingG"/></catESAD_cu:PackingCode>											
						<catESAD_cu:PakingQuantity><xsl:value-of select="round(sum($PackESaDoutPathSet/PackingQuantity) * 1000) div 1000"/></catESAD_cu:PakingQuantity>
					</catESAD_cu:PackingInformation>
				</xsl:if>
				<xsl:if test="count($PackESaDoutPathSet[contains($PalletCode,$PackingG)])>0">				
					<catESAD_cu:PalleteInformation xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<catESAD_cu:PalleteQuantity><xsl:value-of select="round(sum($PackESaDoutPathSet/PackingQuantity) * 1000) div 1000"/></catESAD_cu:PalleteQuantity>
						<xsl:if test="string-length(PlacesDescription)>0">
							<catESAD_cu:PalleteDescription><xsl:value-of select="PlacesDescription"/></catESAD_cu:PalleteDescription>
						</xsl:if>
						<catESAD_cu:PalleteCode><xsl:value-of select="$PackingG"/></catESAD_cu:PalleteCode>
					</catESAD_cu:PalleteInformation>
				</xsl:if>
				<xsl:if test="count($PackESaDoutPathSet[contains($CargoCode,$PackingG)])>0">
					<catESAD_cu:CargoInfo xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<catESAD_cu:PackingCode><xsl:value-of select="$PackingG"/></catESAD_cu:PackingCode>											
						<catESAD_cu:PakingQuantity><xsl:value-of select="round(sum($PackESaDoutPathSet/PackingQuantity) * 1000) div 1000"/></catESAD_cu:PakingQuantity>
					</catESAD_cu:CargoInfo>	
				</xsl:if>	
			</xsl:when>			
		</xsl:choose>

	</xsl:template>  
	<xsl:template name="DocPackList" xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<ESADout_CUPresentedDocument>
			<cat_ru:PrDocumentName>
				<xsl:choose>
					<xsl:when test="string-length(DocName)>0">
						<xsl:value-of select="DocName"/>
					</xsl:when>
					<xsl:otherwise>Отгрузочный (упаковочный) лист</xsl:otherwise>
				</xsl:choose>
			</cat_ru:PrDocumentName>
			<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
			<xsl:if test="string-length(RegDate)>0">
				<cat_ru:PrDocumentDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat"  select="RegDate"/>
					</xsl:call-template>
				</cat_ru:PrDocumentDate>
			</xsl:if>
			<catESAD_cu:PresentedDocumentModeCode>04131</catESAD_cu:PresentedDocumentModeCode>
		</ESADout_CUPresentedDocument>
	</xsl:template>							
    <xsl:key use="concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)" name="DocESADoutCMR" match="//INVOICEGOODS_ITEM"/>
 
	<xsl:template match="INVOICEGOODS_ITEM">
		<xsl:param name="Doc"/>
		<xsl:param name="CmrN"/>
		<xsl:param name="CmrD"/>
		<xsl:param name="CMRNum"/>
		<xsl:param name="InvoicePathSet"/>
		<xsl:param name="LangCMR"/>
		<xsl:param name="RegTR"/>
		<xsl:param name="Now"/>
		<xsl:param name="CreateOnlyEDContainer"/>
		<xsl:param name="RwbNum"/>
		<xsl:param name="NumVag"/>
		<xsl:param name="ContNum"/>
		<xsl:variable name="NumInv" select="../../RegNum"/>
		<xsl:variable name="DatInv" select="../../RegDate"/>
		<xsl:variable name="Code" select="GoodsCode"/>
		<xsl:variable name="Pack" select="PlacesCode"/>
		<xsl:variable name="Curr" select="../../CurrencyCode"/>
		<xsl:variable name="PalletCodeInv" select="'PX,AH,AG,PD,AF,PE,PB'"/>
		<xsl:variable name="CargoCodeInv" select="'NA,NE,NF,NG'"/>
		<xsl:choose>
			<xsl:when test="$Doc='CUTir'">
				<TIRGoods xmlns="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0">
					<GoodsNumeric><xsl:value-of select="position()"/></GoodsNumeric>
					<GoodsTNVEDCode>
						<xsl:choose>
							<xsl:when test="string-length($Code)=0">0000000000</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$Code"/>
							</xsl:otherwise>
						</xsl:choose>
					</GoodsTNVEDCode>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods">
							<xsl:call-template name="GoodDescrAvto"/>
						</xsl:with-param>
						<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0'"/>
						<xsl:with-param name="NameMes" select="true"/>
						<xsl:with-param name="LenDes" select="250"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<SupplementaryGoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000000) div 1000000"/></SupplementaryGoodsQuantity>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)=0">
									<GrossWeightQuantity>0</GrossWeightQuantity>
								</xsl:when>
								<xsl:otherwise>
									<GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 100000) div 100000,'0.######')"/></GrossWeightQuantity>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(NetWeightQuantity)>0]/NetWeightQuantity)>0 and $RegTR!='ТР'">
								<NetWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(NetWeightQuantity)>0]/NetWeightQuantity)* 100000) div 100000,'0.######')"/></NetWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 ">
								<SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></SupplementaryMeasureUnitCode>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>	
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0">
								<SupplementaryGoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000000) div 1000000"/></SupplementaryGoodsQuantity>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)=0">
									<GrossWeightQuantity>0</GrossWeightQuantity>
								</xsl:when>
								<xsl:otherwise>
									<GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/></GrossWeightQuantity>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(NetWeightQuantity)>0]/NetWeightQuantity)>0 and $RegTR!='ТР'">
								<NetWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(NetWeightQuantity)>0]/NetWeightQuantity)* 100000) div 100000,'0.######')"/></NetWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 ">
								<SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></SupplementaryMeasureUnitCode>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(TotalCost)>0]/TotalCost)>0 and $RegTR!='ТР'">
								<InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></InvoicedCost>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost)>0 and $RegTR!='ТР'">
								<InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></InvoicedCost>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>	
					<xsl:if test="string-length($Curr)>0 and $RegTR!='ТР'">
						<InvoicedCostCurrencyCode><xsl:value-of select="$Curr"/></InvoicedCostCurrencyCode>
					</xsl:if>
					<xsl:if test="string-length($LangCMR)>0">
						<Language><xsl:value-of select="$LangCMR"/></Language>
					</xsl:if>
					<PlacesInfo>
						<xsl:if test="string-length($Pack)>0">
							<catTrans_cu:PackingCode><xsl:value-of select="$Pack"/></catTrans_cu:PackingCode>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length($CMRNum)>0">
								<xsl:choose>
									<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity)=0">
										<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
									</xsl:when>
									<xsl:otherwise>
										<catTrans_cu:PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/></catTrans_cu:PakingQuantity>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity)=0">
										<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
									</xsl:when>
									<xsl:otherwise>
										<catTrans_cu:PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/></catTrans_cu:PakingQuantity>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(PlacesDescription)>0">
							<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length($CMRNum)>0">
								<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/PakagePartQuantity)>0">
									<catTrans_cu:PakagePartQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/PakagePartQuantity) * 100) div 100"/></catTrans_cu:PakagePartQuantity>
								</xsl:if>		
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/PakagePartQuantity)>0">
									<catTrans_cu:PakagePartQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/PakagePartQuantity) * 100) div 100"/></catTrans_cu:PakagePartQuantity>
								</xsl:if>		
							</xsl:otherwise>
						</xsl:choose>
					</PlacesInfo>
					<xsl:if test="count(//PACKINGLIST)=1">
						<xsl:choose>
							<xsl:when test="string-length($CMRNum)>0">
								<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackTirGr',concat($CMRNum,$Code,$Pack,./PackingCode)))]">
									<xsl:sort select="concat(../../GoodsCode,../../PackingCode,./PackingCode)"/>
									<xsl:with-param name="Doc" select="$Doc"/>
									<xsl:with-param name="CMRNum" select="$CMRNum"/>
									<xsl:with-param name="Code" select="$Code"/>
									<xsl:with-param name="Pack" select="$Pack"/>
								</xsl:apply-templates>	
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackCMRGr',concat($Code,$Pack,./PackingCode)))]">
									<xsl:sort select="concat(../../GoodsCode,../../PackingCode,./PackingCode)"/>
									<xsl:with-param name="Doc" select="$Doc"/>
									<xsl:with-param name="Code" select="$Code"/>
									<xsl:with-param name="Pack" select="$Pack"/>
								</xsl:apply-templates>	
							</xsl:otherwise>
						</xsl:choose>	
					</xsl:if>
					<xsl:if test="string-length($CmrN)>0 or string-length($CmrD)>0">
						<CUPresentedDocuments>
							<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
							<xsl:if test="string-length($CmrN)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="$CmrN"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length($CmrD)>0">
								<cat_ru:PrDocumentDate><xsl:value-of select="$CmrD"/></cat_ru:PrDocumentDate>
							</xsl:if>
							<PresentedDocumentModeCode>02015</PresentedDocumentModeCode>
						</CUPresentedDocuments>	
					</xsl:if>
					<xsl:if test="string-length(../../RegNum)>0 or string-length(../../RegDate)>0">
						<CUPresentedDocuments>
							<xsl:if test="string-length(../../InvoiceName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="../../InvoiceName"/></cat_ru:PrDocumentName>
							</xsl:if>	
							<xsl:if test="string-length(../../RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="../../RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(../../RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="../../RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<PresentedDocumentModeCode>04021</PresentedDocumentModeCode>
						</CUPresentedDocuments>	
					</xsl:if>
					<xsl:if test="count(//PACKINGLIST_ITEM[string-length(RegNum)>0 or string-length(RegDate)>0])=1">
						<CUPresentedDocuments>
							<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM/DocName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="//PACKINGLIST/PACKINGLIST_ITEM/DocName"/></cat_ru:PrDocumentName>
							</xsl:if>	
							<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM/RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="//PACKINGLIST/PACKINGLIST_ITEM/RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM/RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="//PACKINGLIST/PACKINGLIST_ITEM/RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<PresentedDocumentModeCode>04131</PresentedDocumentModeCode>
						</CUPresentedDocuments>	
					</xsl:if>
				</TIRGoods>
			</xsl:when>
			<xsl:when test="$Doc='Tir'">
				<Goods xmlns="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods">
							<xsl:call-template name="GoodDescrAvto"/>
						</xsl:with-param>
						<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NameMes" select="false"/>
						<xsl:with-param name="LenDes" select="250"/>
					</xsl:call-template>
					<catTrans_ru:GoodsNumeric><xsl:value-of select="position()"/></catTrans_ru:GoodsNumeric>
					<catTrans_ru:GoodsTNVEDCode><xsl:value-of select="$Code"/></catTrans_ru:GoodsTNVEDCode>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<catTrans_ru:SupplementaryGoodsQuantity>
									<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/>
								</catTrans_ru:SupplementaryGoodsQuantity>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)=0">
									<catTrans_ru:GrossWeightQuantity>0</catTrans_ru:GrossWeightQuantity>
								</xsl:when>
								<xsl:otherwise>
									<catTrans_ru:GrossWeightQuantity>
										<xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/>
									</catTrans_ru:GrossWeightQuantity>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 ">
								<catTrans_ru:SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></catTrans_ru:SupplementaryMeasureUnitCode>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<catTrans_ru:SupplementaryGoodsQuantity>
									<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/>
								</catTrans_ru:SupplementaryGoodsQuantity>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)=0">
									<catTrans_ru:GrossWeightQuantity>0</catTrans_ru:GrossWeightQuantity>
								</xsl:when>
								<xsl:otherwise>
									<catTrans_ru:GrossWeightQuantity>
										<xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/>
									</catTrans_ru:GrossWeightQuantity>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<catTrans_ru:SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></catTrans_ru:SupplementaryMeasureUnitCode>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(TotalCost)>0]/TotalCost)>0">
								<catTrans_ru:InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></catTrans_ru:InvoicedCost>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost)>0">
								<catTrans_ru:InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></catTrans_ru:InvoicedCost>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>	
					<xsl:if test="string-length(OriginCountryCode)>0">
						<xsl:variable name="OrgCtr" select="OriginCountryCode"/>
						<catTrans_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrgCtr]/Code"/></catTrans_ru:OriginCountryCode>
					</xsl:if>
					<catTrans_ru:DocumentKind>15</catTrans_ru:DocumentKind>
					<catTrans_ru:PrecedingDocumentNumber><xsl:value-of select="$NumInv"/></catTrans_ru:PrecedingDocumentNumber>
					<catTrans_ru:PlacesInfo>
						<xsl:if test="string-length($Pack)>0">
							<catTrans_cu:PackingCode><xsl:value-of select="$Pack"/></catTrans_cu:PackingCode>
						</xsl:if>
						<catTrans_cu:PakingQuantity>
							<xsl:choose>
								<xsl:when test="string-length($CMRNum)>0">
									<xsl:choose>
										<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>	
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
										</xsl:otherwise>
									</xsl:choose>								
								</xsl:otherwise>
							</xsl:choose>
						</catTrans_cu:PakingQuantity>
						<xsl:if test="string-length(PlacesDescription)>0">
							<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
						</xsl:if>
					</catTrans_ru:PlacesInfo>
					<xsl:if test="count(//PACKINGLIST)=1">
						<xsl:choose>
							<xsl:when test="string-length($CMRNum)>0">
								<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackTirGr',concat($CMRNum,$Code,$Pack,./PackingCode)))]">
									<xsl:sort select="concat(../../GoodsCode,../../PackingCode,./PackingCode)"/>
									<xsl:with-param name="Doc" select="$Doc"/>
									<xsl:with-param name="CMRNum" select="$CMRNum"/>
									<xsl:with-param name="Code" select="$Code"/>
									<xsl:with-param name="Pack" select="$Pack"/>
								</xsl:apply-templates>	
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackCMRGr',concat($Code,$Pack,./PackingCode)))]">
									<xsl:sort select="concat(../../GoodsCode,../../PackingCode,./PackingCode)"/>
									<xsl:with-param name="Doc" select="$Doc"/>
									<xsl:with-param name="Code" select="$Code"/>
									<xsl:with-param name="Pack" select="$Pack"/>
								</xsl:apply-templates>	
							</xsl:otherwise>
						</xsl:choose>	
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0 and string-length(//CMR_ITEM[NumDate=$CMRNum]/RegNum)>0">
							<TTNNumber><xsl:value-of select="//CMR_ITEM[NumDate=$CMRNum]/RegNum"/></TTNNumber>
						</xsl:when>
						<xsl:when test="string-length($CMRNum)=0 and string-length(//CMR[1]/CMR_ITEM/RegNum)>0">
							<TTNNumber><xsl:value-of select="//CMR[1]/CMR_ITEM/RegNum"/></TTNNumber>
						</xsl:when>
					</xsl:choose>	
				</Goods>
			</xsl:when>
			<xsl:when test="$Doc='CMR'">
				<CMRGoods xmlns="urn:customs.ru:Information:TransportDocuments:Car:CMR:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
					<xsl:if test="string-length(GoodsMarking)>0">
						<catTrans_ru:GoodsMarking><xsl:value-of select="GoodsMarking"/></catTrans_ru:GoodsMarking>
					</xsl:if>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods">
							<xsl:call-template name="GoodDescrAvto"/>
						</xsl:with-param>
						<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
						<xsl:with-param name="NameMes" select="true"/> 
						<xsl:with-param name="LenDes" select="250"/>
					</xsl:call-template>									
					<catTrans_ru:GoodsNumeric><xsl:value-of select="position()"/></catTrans_ru:GoodsNumeric>
					<xsl:if test="string-length($Code)>0">
						<catTrans_ru:GoodsNomenclatureCode><xsl:value-of select="$Code"/></catTrans_ru:GoodsNomenclatureCode>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity)>0">
								<GoodsQuantity>
									<xsl:choose>
										<xsl:when test="number($CreateOnlyEDContainer)=1">
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/>
										</xsl:otherwise>
									</xsl:choose>
								</GoodsQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)>0">
								<GrossWeightQuantity>
									<xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/>
								</GrossWeightQuantity>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0">
								<GoodsQuantity>
									<xsl:choose>
										<xsl:when test="number($CreateOnlyEDContainer)=1">
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/>
										</xsl:otherwise>
									</xsl:choose>
								</GoodsQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)>0">
								<GrossWeightQuantity>
									<xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/>
								</GrossWeightQuantity>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>					
					<GoodsPackingInfo>
						<xsl:if test="string-length($Pack)>0">
							<catTrans_cu:PackingCode><xsl:value-of select="$Pack"/></catTrans_cu:PackingCode>
						</xsl:if>
						<catTrans_cu:PakingQuantity>
							<xsl:choose>
								<xsl:when test="string-length($CMRNum)>0">
									<xsl:choose>
										<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>	
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/>
										</xsl:otherwise>
									</xsl:choose>								
								</xsl:otherwise>
							</xsl:choose>
						</catTrans_cu:PakingQuantity>
						<xsl:if test="string-length(PlacesDescription)>0">
							<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
						</xsl:if>
					</GoodsPackingInfo>
					<xsl:if test="count(//PACKINGLIST)=1">
						<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackCMRGr',concat($Code,$Pack,./PackingCode)))]">
							<xsl:sort select="concat(../../GoodsCode,../../PackingCode,./PackingCode)"/>
							<xsl:with-param name="Doc" select="$Doc"/>
							<xsl:with-param name="Code" select="$Code"/>
							<xsl:with-param name="Pack" select="$Pack"/>
						</xsl:apply-templates>	
					</xsl:if>
				</CMRGoods>
			</xsl:when>
			<xsl:when test="$Doc='CTM'">
				<Goods xmlns="urn:ctm.ru" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
					<GoodsNumeric><xsl:value-of select="position()"/></GoodsNumeric>
					<GoodsTNVEDCode><xsl:value-of select="$Code"/></GoodsTNVEDCode>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods">
							<xsl:call-template name="GoodDescrAvto"/>
						</xsl:with-param>
						<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:ctm.ru'"/>
						<xsl:with-param name="NameMes" select="true"/>
						<xsl:with-param name="LenDes" select="250"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0 and count(//CMR)>0">
							<SupplementaryGoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/></SupplementaryGoodsQuantity>
							<GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 100000) div 100000,'0.######')"/></GrossWeightQuantity>
							<xsl:if  test="$RegTR!='ТР'">
								<NetWeightQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(NetWeightQuantity)>0]/NetWeightQuantity) * 1000) div 1000"/></NetWeightQuantity>
								<InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></InvoicedCost>
							</xsl:if>
							<PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></PakingQuantity>
						</xsl:when>
						<xsl:when test="string-length($CMRNum)>0 and count(//RWB)>0">
							<SupplementaryGoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/></SupplementaryGoodsQuantity>
							<GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/></GrossWeightQuantity>
							<xsl:if  test="$RegTR!='ТР'">
								<NetWeightQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$CMRNum and string-length(NetWeightQuantity)>0]/NetWeightQuantity) * 1000) div 1000"/></NetWeightQuantity>
								<InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$CMRNum and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></InvoicedCost>
							</xsl:if>	
							<PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></PakingQuantity>
						</xsl:when>
						<xsl:otherwise>
							<SupplementaryGoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/></SupplementaryGoodsQuantity>
							<GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/></GrossWeightQuantity>
							<xsl:if  test="$RegTR!='ТР'">
								<NetWeightQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and string-length(NetWeightQuantity)>0]/NetWeightQuantity) * 1000) div 1000"/></NetWeightQuantity>
								<InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></InvoicedCost>
							</xsl:if>	
							<PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></PakingQuantity>
						</xsl:otherwise>
					</xsl:choose>	
					<SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></SupplementaryMeasureUnitCode>
					<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
					<xsl:if  test="$RegTR!='ТР'">
						<InvoicedCostCurrencyCode><xsl:value-of select="$Curr"/></InvoicedCostCurrencyCode>
					</xsl:if>	
					<PackingCode><xsl:value-of select="$Pack"/></PackingCode>
					<PackingDescription><xsl:value-of select="PlacesDescription"/></PackingDescription>
					<OriginCountryCode><xsl:value-of select="OriginCountryCode"/></OriginCountryCode>
					<xsl:variable name="NDatRw" select="../../NumDateRw"/>
					<xsl:if test="string-length(//RWB_ITEM[NumDate=$NDatRw]/ContainerID)>0">
						<ContainerNumber>
							<xsl:choose>
								<xsl:when test="contains(ContainerID,'-P')">
									<xsl:value-of select="substring-before(//RWB_ITEM[NumDate=$NDatRw]/ContainerID,'-P')"/>								
								</xsl:when>
								<xsl:otherwise>	
									<xsl:value-of select="//RWB_ITEM[NumDate=$NDatRw]/ContainerID"/>	
								</xsl:otherwise>
							</xsl:choose>
						</ContainerNumber>
					</xsl:if> 
					<xsl:if test="count(//PACKINGLIST)=1">
						<PackingInfo>
							<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackCMRGr',concat($Code,$Pack,./PackingCode)))]">
								<xsl:sort select="concat(../../GoodsCode,../../PlacesCode,./PackingCode)"/>
								<xsl:with-param name="Doc" select="$Doc"/>
								<xsl:with-param name="Code" select="$Code"/>
								<xsl:with-param name="Pack" select="$Pack"/>
							</xsl:apply-templates>	
						</PackingInfo>	
					</xsl:if>
				</Goods>
			</xsl:when>
			<xsl:when test="$Doc='ESADout_CU'">
				<ESADout_CUGoods xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
					<catESAD_cu:GoodsNumeric><xsl:value-of select="position()"/></catESAD_cu:GoodsNumeric>
					<xsl:variable name="NumGood" select="position()"/>
					<xsl:variable name="NumCmrInv" select="$CMRNum"/>
					<xsl:variable name="GdsDesc">
						<xsl:call-template name="GoodDescrAvto"/>
					</xsl:variable>
					<xsl:variable name="GdsDescBeginGrs">
						<xsl:call-template name="GoodsDescBegin">
							<xsl:with-param name="GdDescr" select="$GdsDesc"/>
						</xsl:call-template>	
					</xsl:variable>
					<xsl:variable  name="GdsDescEndGrs" select="substring($GdsDesc,string-length($GdsDescBeginGrs)+1)"/>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods" select="$GdsDescBeginGrs"/>
						<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
						<xsl:with-param name="NameMes" select="false"/> 
						<xsl:with-param name="LenDes" select="250"/>											
					</xsl:call-template>						
					<xsl:choose>
						<xsl:when test="string-length($NumCmrInv)>0 and count(//CMR)>0">				
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)>0">
								<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(NetWeightQuantity)>0]/NetWeightQuantity)>0  and $RegTR!='ТР'">
								<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(NetWeightQuantity)>0]/NetWeightQuantity)* 100000) div 100000,'0.######')"/></catESAD_cu:NetWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(TotalCost)>0]/TotalCost)>0  and $RegTR!='ТР'">
								<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
							</xsl:if>
						</xsl:when>
						<xsl:when test="string-length($NumCmrInv)>0 and count(//RWB)>0">				
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$NumCmrInv and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)>0">
								<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$NumCmrInv and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(NetWeightQuantity)>0]/NetWeightQuantity)>0  and $RegTR!='ТР'">
								<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$NumCmrInv and string-length(NetWeightQuantity)>0]/NetWeightQuantity)* 100000) div 100000,'0.######')"/></catESAD_cu:NetWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(TotalCost)>0]/TotalCost)>0  and $RegTR!='ТР'">
								<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$NumCmrInv and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>	
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)>0">
								<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(NetWeightQuantity)>0]/NetWeightQuantity)>0  and $RegTR!='ТР'">
								<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(NetWeightQuantity)>0]/NetWeightQuantity)* 100000) div 100000,'0.######')"/></catESAD_cu:NetWeightQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost)>0  and $RegTR!='ТР'">
								<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost) * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>		
					<xsl:if test="string-length($Code)>0">
						<catESAD_cu:GoodsTNVEDCode><xsl:value-of select="substring($Code,1,10)"/></catESAD_cu:GoodsTNVEDCode>
					</xsl:if>
					<xsl:if test="string-length(OriginCountryCode)>0">
						<catESAD_cu:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catESAD_cu:OriginCountryCode>
					</xsl:if>
					<xsl:if test="string-length(OriginCountry)>0">
							<catESAD_cu:OriginCountryName><xsl:value-of select="OriginCountry"/></catESAD_cu:OriginCountryName>
					</xsl:if>
					<xsl:if test="string-length(substring($Code,11,4))>0">
						<catESAD_cu:GoodsAddTNVEDCode><xsl:value-of select="substring($Code,11,4)"/></catESAD_cu:GoodsAddTNVEDCode>
					</xsl:if>	
					<xsl:choose>
						<xsl:when test="$NumGood=1">
							<catESAD_cu:AdditionalSheetCount>1</catESAD_cu:AdditionalSheetCount>
						</xsl:when>
						<xsl:otherwise>
							<catESAD_cu:AdditionalSheetCount>
								<xsl:call-template name="NumList">
									<xsl:with-param name="Num" select="$NumGood"/>
								</xsl:call-template>	
							</catESAD_cu:AdditionalSheetCount>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="string-length(../../DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])&gt;1">
						<catESAD_cu:CUESADDeliveryTerms>
							<xsl:if test="string-length(../../DeliveryPlace)>0">
								<cat_ru:DeliveryPlace><xsl:value-of select="../../DeliveryPlace"/></cat_ru:DeliveryPlace>
							</xsl:if>	
							<cat_ru:DeliveryTermsStringCode><xsl:value-of select="../../DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
						</catESAD_cu:CUESADDeliveryTerms>
					</xsl:if>
					<xsl:choose>
						<xsl:when  test="string-length($GdsDescEndGrs)>0">
							<xsl:call-template name="GoodsGroupDesc">
								<xsl:with-param name="GrpGoodsDes" select="normalize-space($GdsDescEndGrs)"/>
								<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="string-length(GoodsMarking)>0">
						<catESAD_cu:GoodsGroupDescription>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="$GdsDesc"/>
								<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>											
							</xsl:call-template>				
							<catESAD_cu:GoodsGroupInformation>
								<xsl:if test="string-length(../../Seler_Name)>0">
									<catESAD_cu:Manufacturer><xsl:value-of select="../../Seler_Name"/></catESAD_cu:Manufacturer>
								</xsl:if>
								<catESAD_cu:GoodsMarking><xsl:value-of select="substring(translate(GoodMarking,'&#xA;&#xD;',' '),1,50)"/></catESAD_cu:GoodsMarking>
								<xsl:choose>
									<xsl:when test="string-length($NumCmrInv)>0  and count(//CMR)>0">
										<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
											<catESAD_cu:GoodsGroupQuantity>
												<cat_ru:GoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000000) div 1000000"/></cat_ru:GoodsQuantity>
												<xsl:if test="string-length(MeasureUnitQualifierName)>0">
													<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
												</xsl:if>
												<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
													<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
												</xsl:if>
											</catESAD_cu:GoodsGroupQuantity>	
										</xsl:if>	
									</xsl:when>
									<xsl:when test="string-length($NumCmrInv)>0  and count(//RWB)>0">
										<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$NumCmrInv and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
											<catESAD_cu:GoodsGroupQuantity>
												<cat_ru:GoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateRw=$NumCmrInv and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000000) div 1000000"/></cat_ru:GoodsQuantity>
												<xsl:if test="string-length(MeasureUnitQualifierName)>0">
													<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
												</xsl:if>
												<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
													<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
												</xsl:if>
											</catESAD_cu:GoodsGroupQuantity>	
										</xsl:if>	
									</xsl:when>									
									<xsl:otherwise>		
										<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
											<catESAD_cu:GoodsGroupQuantity>
												<cat_ru:GoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000000) div 1000000"/></cat_ru:GoodsQuantity>
												<xsl:if test="string-length(MeasureUnitQualifierName)>0">
													<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
												</xsl:if>
												<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
													<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
												</xsl:if>
											</catESAD_cu:GoodsGroupQuantity>	
										</xsl:if>										
									</xsl:otherwise>
								</xsl:choose>
							</catESAD_cu:GoodsGroupInformation>
						</catESAD_cu:GoodsGroupDescription>
						</xsl:when>	
					</xsl:choose>
					<xsl:if test="string-length($Curr)>0  and $RegTR!='ТР'">
						<CurrencyCode><xsl:value-of select="$Curr"/></CurrencyCode>
					</xsl:if>
					<xsl:if test="count(//CMR)>0">
						<xsl:choose>
							<xsl:when test="string-length($NumCmrInv)>0">
								<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('DocESADoutCMR',concat($Curr,$NumCmrInv,$Code,$Pack)))]">
									<xsl:with-param name="Doc" select="'ESADout_CUDoc'"/>
								</xsl:apply-templates>
								<xsl:for-each select="//CMREnclosedDocument[concat(../RegNum,substring(../RegDate,1,10))=$NumCmrInv]/CMRENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0 and ModeCode!='04021']">
									<xsl:call-template name="DocAll"/>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>	
								<ESADout_CUPresentedDocument>
									<cat_ru:PrDocumentName>Накладная CMR</cat_ru:PrDocumentName>
									<cat_ru:PrDocumentNumber><xsl:value-of select="//CMR[1]/CMR_ITEM/RegNum"/></cat_ru:PrDocumentNumber>
									<xsl:if test="string-length(//CMR[1]/CMR_ITEM/RegDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="//CMR[1]/CMR_ITEM/RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<catESAD_cu:PresentedDocumentModeCode>02015</catESAD_cu:PresentedDocumentModeCode>
								</ESADout_CUPresentedDocument>
								<xsl:for-each select="//CMR[1]/CMR_ITEM/CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0 and ModeCode!='04021']">
									<xsl:call-template name="DocAll"/>
								</xsl:for-each>						
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="count(//RWB)>0">
						<xsl:choose>
							<xsl:when test="string-length($NumCmrInv)>0">
								<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('DocESADoutCMR',concat($Curr,$NumCmrInv,$Code,$Pack)))]">
									<xsl:with-param name="Doc" select="'ESADout_CUDoc'"/>
								</xsl:apply-templates>
								<xsl:for-each select="//RWBConsignorDocument[concat(../RegNum,substring(../RegDate,1,10))=$NumCmrInv]/RWBCONSIGNORDOCUMENT_ITEM[string-length(ModeCode)>0 and ModeCode!='04021']">
									<xsl:call-template name="DocAll"/>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>	
								<ESADout_CUPresentedDocument>
									<cat_ru:PrDocumentName>Накладная СМГС</cat_ru:PrDocumentName>
									<cat_ru:PrDocumentNumber><xsl:value-of select="//RWB[1]/RWB_ITEM/RegNum"/></cat_ru:PrDocumentNumber>
									<xsl:if test="string-length(//RWB[1]/RWB_ITEM/RegDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="//RWB[1]/RWB_ITEM/RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<catESAD_cu:PresentedDocumentModeCode>02013</catESAD_cu:PresentedDocumentModeCode>
								</ESADout_CUPresentedDocument>
								<xsl:for-each select="//RWB[1]/RWB_ITEM/RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM[string-length(ModeCode)>0 and ModeCode!='04021']">
									<xsl:call-template name="DocAll"/>
								</xsl:for-each>						
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="count(//TIR/TIR_ITEM)>0">
						<ESADout_CUPresentedDocument>
							<cat_ru:PrDocumentName>TIR</cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="concat(//TIR/TIR_ITEM/TIRSeries,//TIR/TIR_ITEM/TIRID)"/></cat_ru:PrDocumentNumber>
							<xsl:if test="string-length(translate(normalize-space(//TIR/TIR_ITEM/RegDate),'&#xA;',''))>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="translate(normalize-space(//TIR/TIR_ITEM/RegDate),'&#xA;','')"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<catESAD_cu:PresentedDocumentModeCode>02024</catESAD_cu:PresentedDocumentModeCode>
							<xsl:if test="string-length(//TIR/TIR_ITEM/TIRWhitePageNumber)>0">
								<catESAD_cu:TIRPageNumber><xsl:value-of select="//TIR/TIR_ITEM/TIRWhitePageNumber"/></catESAD_cu:TIRPageNumber>
							</xsl:if>
							<xsl:if test="string-length(//TIR/TIR_ITEM/TIRHolder)>0">
								<catESAD_cu:TIRHolderID><xsl:value-of select="//TIR/TIR_ITEM/TIRHolder"/></catESAD_cu:TIRHolderID>
							</xsl:if>
						</ESADout_CUPresentedDocument>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="count(//PACKINGLIST_ITEM)=1">
							<xsl:for-each select="//PACKINGLIST_ITEM">
								<xsl:call-template name="DocPackList"/>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="count(//PACKINGLIST_ITEM[string-length(concat(InvoiceNum,substring(InvoiceDate,1,10)))>0])>0">
									<xsl:for-each select="//PACKINGLIST_ITEM[string-length(concat(InvoiceNum,substring(InvoiceDate,1,10)))>0]">
										<xsl:variable name="InvNums" select="concat(InvoiceNum,substring(InvoiceDate,1,10))"/> 
										<xsl:if test=" count(//INVOICE_ITEM[CurrencyCode=$Curr and NumDateCMR=$NumCmrInv and INVOICEGoods/INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack] and concat(RegNum,substring(RegDate,1,10))=$InvNums])>0">
											<xsl:call-template name="DocPackList"/>
										</xsl:if>	
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>
									<xsl:for-each select="//PACKINGLIST_ITEM">
										<xsl:call-template name="DocPackList"/>
									</xsl:for-each>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length($NumCmrInv)>0">
							<xsl:for-each select="//INVOICE_ITEM[CurrencyCode=$Curr and NumDateCMR=$NumCmrInv and INVOICEGoods/INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack]]">
								<ESADout_CUPresentedDocument >
									<xsl:if test="string-length(InvoiceName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
									<xsl:if test="string-length(RegDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<catESAD_cu:PresentedDocumentModeCode>04021</catESAD_cu:PresentedDocumentModeCode>
								</ESADout_CUPresentedDocument>
								<xsl:if test="string-length(ContractNum)>0">
									<ESADout_CUPresentedDocument>
										<xsl:if test="string-length(ContractName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
										</xsl:if>	
										<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(ContractDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="ContractDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<catESAD_cu:PresentedDocumentModeCode>03011</catESAD_cu:PresentedDocumentModeCode>
									</ESADout_CUPresentedDocument>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="//INVOICE_ITEM[CurrencyCode=$Curr and INVOICEGoods/INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack]]">
								<ESADout_CUPresentedDocument >
									<xsl:if test="string-length(InvoiceName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
									<xsl:if test="string-length(RegDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<catESAD_cu:PresentedDocumentModeCode>04021</catESAD_cu:PresentedDocumentModeCode>
								</ESADout_CUPresentedDocument>
								<xsl:if test="string-length(ContractNum)>0">
									<ESADout_CUPresentedDocument>
										<xsl:if test="string-length(ContractName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
										</xsl:if>	
										<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(ContractDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="ContractDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<catESAD_cu:PresentedDocumentModeCode>03011</catESAD_cu:PresentedDocumentModeCode>
									</ESADout_CUPresentedDocument>
								</xsl:if>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>	
					<xsl:choose>
						<xsl:when test="string-length($NumCmrInv)>0">				
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
								<SupplementaryGoodsQuantity>
									<cat_ru:GoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000000) div 1000000"/></cat_ru:GoodsQuantity>
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
									</xsl:if>
									<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
										<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
									</xsl:if>
								</SupplementaryGoodsQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
								<ESADGoodsPackaging>
									<catESAD_cu:PakageQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/></catESAD_cu:PakageQuantity>
									<xsl:if test="string-length($Pack)>0">
										<catESAD_cu:PakageTypeCode>
											<xsl:choose>
												<xsl:when test="$Pack='NA' or $Pack='NE' or $Pack='NF' or $Pack='NG'">0</xsl:when>
												<xsl:when test="$Pack='VG' or $Pack='VQ' or $Pack='VL' or $Pack='VR' or $Pack='VO' or $Pack='VY'">2</xsl:when>
												<xsl:otherwise>1</xsl:otherwise>
											</xsl:choose>	
										</catESAD_cu:PakageTypeCode>	
										<catESAD_cu:PackageCode><xsl:value-of select="$Pack"/></catESAD_cu:PackageCode>
										<xsl:if test="contains($PalletCodeInv,$Pack)=false and contains($CargoCodeInv,$Pack)=false">
											<catESAD_cu:PackingInformation>
												<catESAD_cu:PackingCode><xsl:value-of select="$Pack"/></catESAD_cu:PackingCode>											
												<catESAD_cu:PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catESAD_cu:PakingQuantity>
											</catESAD_cu:PackingInformation>
										</xsl:if>
										<xsl:if test="contains($PalletCodeInv,$Pack)">
											<catESAD_cu:PalleteInformation>
												<catESAD_cu:PalleteQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catESAD_cu:PalleteQuantity>
												<xsl:if test="string-length(PlacesDescription)>0">
													<catESAD_cu:PalleteDescription><xsl:value-of select="PlacesDescription"/></catESAD_cu:PalleteDescription>
												</xsl:if>
												<catESAD_cu:PalleteCode><xsl:value-of select="$Pack"/></catESAD_cu:PalleteCode>
											</catESAD_cu:PalleteInformation>
										</xsl:if>
										<xsl:if test="contains($CargoCodeInv,$Pack)">
											<catESAD_cu:CargoInfo>
												<catESAD_cu:PackingCode><xsl:value-of select="$Pack"/></catESAD_cu:PackingCode>											
												<catESAD_cu:PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$NumCmrInv and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catESAD_cu:PakingQuantity>
											</catESAD_cu:CargoInfo>	
										</xsl:if>
										<xsl:if test="count(//PACKINGLIST)=1">
											<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackTirGr',concat($NumCmrInv,$Code,$Pack,./PackingCode)))]">
												<xsl:sort select="concat(../../GoodsCode,../../PackingCode,./PackingCode)"/>
												<xsl:with-param name="Doc" select="concat($Doc,'Tir')"/>
												<xsl:with-param name="CMRNum" select="$NumCmrInv"/>
												<xsl:with-param name="Code" select="$Code"/>
												<xsl:with-param name="Pack" select="$Pack"/>
											</xsl:apply-templates>	
										</xsl:if>
									</xsl:if>
								</ESADGoodsPackaging>
							</xsl:if>	
							<xsl:if test="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID)) and ../../NumDate=$NumCmrInv])>0">
								<ESADContainer>
									<catESAD_cu:ContainerQuantity><xsl:value-of select="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID)) and ../../NumDate=$NumCmrInv])"/></catESAD_cu:ContainerQuantity>
									<xsl:apply-templates select="//CMRcont/CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))]">
										<xsl:with-param name="CmrN" select="$NumCmrInv"/>
										<xsl:with-param name="Flg" select="0"/>											
									</xsl:apply-templates>
								</ESADContainer>
							</xsl:if>		
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
								<SupplementaryGoodsQuantity>
									<cat_ru:GoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/></cat_ru:GoodsQuantity>
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
									</xsl:if>
									<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
										<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
									</xsl:if>
								</SupplementaryGoodsQuantity>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
								<ESADGoodsPackaging>
									<catESAD_cu:PakageQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catESAD_cu:PakageQuantity>
									<xsl:if test="string-length($Pack)>0">
										<catESAD_cu:PakageTypeCode>
											<xsl:choose>
												<xsl:when test="$Pack='NA' or $Pack='NE' or $Pack='NF' or $Pack='NG'">0</xsl:when>
												<xsl:when test="$Pack='VG' or $Pack='VQ' or $Pack='VL' or $Pack='VR' or $Pack='VO' or $Pack='VY'">2</xsl:when>
												<xsl:otherwise>1</xsl:otherwise>
											</xsl:choose>	
										</catESAD_cu:PakageTypeCode>	
										<catESAD_cu:PackageCode><xsl:value-of select="$Pack"/></catESAD_cu:PackageCode>
										<xsl:if test="contains($PalletCodeInv,$Pack)=false and contains($CargoCodeInv,$Pack)=false">
											<catESAD_cu:PackingInformation>
												<catESAD_cu:PackingCode><xsl:value-of select="$Pack"/></catESAD_cu:PackingCode>											
												<catESAD_cu:PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catESAD_cu:PakingQuantity>
											</catESAD_cu:PackingInformation>
										</xsl:if>
										<xsl:if test="contains($PalletCodeInv,$Pack)">
											<catESAD_cu:PalleteInformation>
												<catESAD_cu:PalleteQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catESAD_cu:PalleteQuantity>
												<xsl:if test="string-length(PlacesDescription)>0">
													<catESAD_cu:PalleteDescription><xsl:value-of select="PlacesDescription"/></catESAD_cu:PalleteDescription>
												</xsl:if>
												<catESAD_cu:PalleteCode><xsl:value-of select="$Pack"/></catESAD_cu:PalleteCode>
											</catESAD_cu:PalleteInformation>
										</xsl:if>
										<xsl:if test="contains($CargoCodeInv,$Pack)">
											<catESAD_cu:CargoInfo>
												<catESAD_cu:PackingCode><xsl:value-of select="$Pack"/></catESAD_cu:PackingCode>											
												<catESAD_cu:PakingQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catESAD_cu:PakingQuantity>
											</catESAD_cu:CargoInfo>	
										</xsl:if>
										<xsl:if test="count(//PACKINGLIST)=1">
											<xsl:apply-templates select="//PACKINGLISTGOODSPACKINGINFO_ITEM[generate-id(.)=generate-id(key('PackCMRGr',concat($Code,$Pack,./PackingCode)))]">
												<xsl:sort select="concat(../../GoodsCode,../../PackingCode,./PackingCode)"/>
												<xsl:with-param name="Doc" select="$Doc"/>
												<xsl:with-param name="CMRNum" select="$CMRNum"/>
												<xsl:with-param name="Code" select="$Code"/>
												<xsl:with-param name="Pack" select="$Pack"/>
											</xsl:apply-templates>	
										</xsl:if>
									</xsl:if>
								</ESADGoodsPackaging>
							</xsl:if>
							<xsl:if test="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))])>0">
								<ESADContainer>
									<catESAD_cu:ContainerQuantity><xsl:value-of select="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))])"/></catESAD_cu:ContainerQuantity>
									<xsl:apply-templates select="//CMRcont/CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))]">
										<xsl:with-param name="Flg" select="2"/>											
									</xsl:apply-templates>
								</ESADContainer>
							</xsl:if>			
						</xsl:otherwise>
					</xsl:choose>										
					<xsl:if test="$RegTR!='ТР' and $RegTR!='ПР'">
						<ESADCustomsProcedure>
							<xsl:choose>
								<xsl:when test="$RegTR='ЭК'">
									<catESAD_cu:MainCustomsModeCode>10</catESAD_cu:MainCustomsModeCode>
								</xsl:when>
								<xsl:when test="$RegTR='ИМ'">
									<catESAD_cu:MainCustomsModeCode>40</catESAD_cu:MainCustomsModeCode>
								</xsl:when>
							</xsl:choose>
							<catESAD_cu:PrecedingCustomsModeCode>00</catESAD_cu:PrecedingCustomsModeCode>
							<catESAD_cu:GoodsTransferFeature>000</catESAD_cu:GoodsTransferFeature>
						</ESADCustomsProcedure>
					</xsl:if>	
				</ESADout_CUGoods>
			</xsl:when>
			<xsl:when test="$Doc='ESADout_CUDoc'">
				<xsl:choose>
					<xsl:when test="count(//CMR)>0">
						<xsl:variable name="NumDatCmr" select="../../NumDateCMR"/>
						<ESADout_CUPresentedDocument xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
							<cat_ru:PrDocumentName>Накладная CMR</cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="//CMR_ITEM[NumDate=$NumDatCmr]/RegNum"/></cat_ru:PrDocumentNumber>
							<xsl:if test="string-length(//CMR_ITEM[NumDate=$NumDatCmr]/RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="//CMR_ITEM[NumDate=$NumDatCmr]/RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<catESAD_cu:PresentedDocumentModeCode>02015</catESAD_cu:PresentedDocumentModeCode>
						</ESADout_CUPresentedDocument>
					</xsl:when>
					<xsl:when test="count(//RWB)>0">
						<xsl:variable name="NumDatRwb" select="../../NumDateRw"/>
						<ESADout_CUPresentedDocument xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
							<cat_ru:PrDocumentName>Накладная СМГС</cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="//RWB_ITEM[NumDate=$NumDatRwb]/RegNum"/></cat_ru:PrDocumentNumber>
							<xsl:if test="string-length(//RWB_ITEM[NumDate=$NumDatRwb]/RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="//RWB_ITEM[NumDate=$NumDatRwb]/RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<catESAD_cu:PresentedDocumentModeCode>02013</catESAD_cu:PresentedDocumentModeCode>
						</ESADout_CUPresentedDocument>
					</xsl:when>					
				</xsl:choose>	
			</xsl:when>
			<xsl:when test="$Doc='DO1'">
				<do1r:Goods xmlns:do1r="urn:customs.ru:Information:WarehouseDocuments:DO1Report:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
					<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
					<xsl:variable name="NumGood" select="position()"/>
					<xsl:if test="string-length($Code)>0">
						<catWH_ru:GoodsTNVEDCode><xsl:value-of select="$Code"/></catWH_ru:GoodsTNVEDCode>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(TotalCost)>0]/TotalCost)>0">
								<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(TotalCost)>0]/TotalCost) * 1000) div 1000,'0.####')"/></catWH_ru:InvoiceCost>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost)>0">
								<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(TotalCost)>0]/TotalCost) * 1000) div 1000,'0.####')"/></catWH_ru:InvoiceCost>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>	
					<xsl:if test="string-length($Curr)>0">
						<catWH_ru:CurrencyCode><xsl:value-of select="$Curr"/></catWH_ru:CurrencyCode>
					</xsl:if>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods">
							<xsl:call-template name="GoodDescrAvto"/>
						</xsl:with-param>
						<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/> 
						<xsl:with-param name="NameMes" select="false"/> 
						<xsl:with-param name="LenDes" select="250"/>											
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
								<catWH_ru:CargoPlace>
									<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
										<catWH_ru:PlaceNumber><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catWH_ru:PlaceNumber>
									</xsl:if>	
									<xsl:if test="string-length(PlacesCode)>0">
										<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
									</xsl:if>	
									<xsl:if test="string-length(PlacesDescription)>0">
										<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
									</xsl:if>									
								</catWH_ru:CargoPlace>
							</xsl:if>	
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)>0">
								<catWH_ru:BruttoVolQuant>
									<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
									<catWH_ru:MeasureUnitQualifierName>КИЛОГРАММ</catWH_ru:MeasureUnitQualifierName>
									<catWH_ru:MeasureUnitQualifierCode>КГ</catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:BruttoVolQuant>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<catWH_ru:MeasureQuantity>
									<catWH_ru:GoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/></catWH_ru:GoodsQuantity>
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
									</xsl:if>
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:MeasureQuantity>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
								<catWH_ru:CargoPlace>
									<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
										<catWH_ru:PlaceNumber><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(PlacesQuantity)>0]/PlacesQuantity) * 1000) div 1000"/></catWH_ru:PlaceNumber>
									</xsl:if>	
									<xsl:if test="string-length(PlacesCode)>0">
										<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
									</xsl:if>	
									<xsl:if test="string-length(PlacesDescription)>0">
										<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
									</xsl:if>									
								</catWH_ru:CargoPlace>
							</xsl:if>	
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)>0">
								<catWH_ru:BruttoVolQuant>
									<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity)* 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
									<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
									<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:BruttoVolQuant>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<catWH_ru:MeasureQuantity>
									<catWH_ru:GoodsQuantity><xsl:value-of select="round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr and string-length(GoodsQuantity)>0]/GoodsQuantity) * 1000) div 1000"/></catWH_ru:GoodsQuantity>
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
									</xsl:if>
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:MeasureQuantity>
							</xsl:if>						
						</xsl:otherwise>
					</xsl:choose>	
					<do1r:KeepingLimit>
						<do1r:AcceptDate>
							<xsl:choose>
								<xsl:when test="string-length(../../DeadLine)>0">
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="../../DeadLine"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="$Now"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</do1r:AcceptDate>
					</do1r:KeepingLimit>
				</do1r:Goods>
			</xsl:when>
			<xsl:when test="$Doc='WHINV'">
				<Goods xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
					<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
					<xsl:if test="string-length($Code)>0">
						<catWH_ru:GoodsTNVEDCode><xsl:value-of select="$Code"/></catWH_ru:GoodsTNVEDCode>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/TotalCost)>0">
								<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/TotalCost) * 100) div 100,'0.##')"/></catWH_ru:InvoiceCost>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/TotalCost)>0">
								<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/TotalCost) * 100) div 100,'0.##')"/></catWH_ru:InvoiceCost>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="string-length($Curr)>0">
						<catWH_ru:CurrencyCode><xsl:value-of select="$Curr"/></catWH_ru:CurrencyCode>
					</xsl:if>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods">
							<xsl:call-template name="GoodDescrAvto"/>
						</xsl:with-param>
						<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
						<xsl:with-param name="NameMes" select="false"/>
						<xsl:with-param name="LenDes" select="250"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="string-length($CMRNum)>0">
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
								<catWH_ru:CargoPlace>
									<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/PlacesQuantity)>0">
										<catWH_ru:PlaceNumber><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/PlacesQuantity) * 100) div 100,'0.##')"/></catWH_ru:PlaceNumber>
									</xsl:if>
									<xsl:if test="string-length(PlacesCode)>0">
										<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
									</xsl:if>
									<xsl:if test="string-length(PlacesDescription)>0">
										<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
									</xsl:if>
								</catWH_ru:CargoPlace>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/GrossWeightQuantity)>0">
								<catWH_ru:BruttoVolQuant>
									<catWH_ru:GoodsQuantity>
										<xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/GrossWeightQuantity) * 1000) div 1000,'0.###')"/>
									</catWH_ru:GoodsQuantity>
									<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
									<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:BruttoVolQuant>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<catWH_ru:MeasureQuantity>
									<catWH_ru:GoodsQuantity>
										<xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr  and ../../NumDateCMR=$CMRNum]/GoodsQuantity) * 1000) div 1000,'0.####')"/>
									</catWH_ru:GoodsQuantity>
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
									</xsl:if>
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:MeasureQuantity>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
								<catWH_ru:CargoPlace>
									<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/PlacesQuantity)>0">
										<catWH_ru:PlaceNumber><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/PlacesQuantity) * 100) div 100,'0.##')"/></catWH_ru:PlaceNumber>
									</xsl:if>
									<xsl:if test="string-length(PlacesCode)>0">
										<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
									</xsl:if>
									<xsl:if test="string-length(PlacesDescription)>0">
										<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
									</xsl:if>
								</catWH_ru:CargoPlace>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/GrossWeightQuantity)>0">
								<catWH_ru:BruttoVolQuant>
									<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/GrossWeightQuantity) * 1000) div 1000,'0.####')"/></catWH_ru:GoodsQuantity>
									<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
									<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:BruttoVolQuant>
							</xsl:if>
							<xsl:if test="sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
								<catWH_ru:MeasureQuantity>
									<catWH_ru:GoodsQuantity>
										<xsl:value-of select="format-number(round(sum(//INVOICEGOODS_ITEM[GoodsCode=$Code and PlacesCode=$Pack and ../../CurrencyCode=$Curr]/GoodsQuantity) * 1000) div 1000,'0.####')"/>
									</catWH_ru:GoodsQuantity>
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
									</xsl:if>
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
								</catWH_ru:MeasureQuantity>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</Goods>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
