<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="INTERNALRWB"/>

	</xsl:template>-->
	
<xsl:template name="INTERNALRWB">
		<xsl:variable name="IntRwbCou" select="count(//INTERNAL_RWB_ITEM)"/>
		<xsl:for-each select="INTERNAL_RWB/INTERNAL_RWB_ITEM">
			<xsl:call-template name="INTERNALRWB_ONE_DOC">	
				<xsl:with-param name="IntRwbCou" select="$IntRwbCou"/>
			</xsl:call-template>	
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="INTERNALRWB_ONE_DOC">	
		<xsl:param name="IntRwbCou"/>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<RailwayBill xmlns="urn:customs.ru:Information:TransportDocuments:Railway:RailwayBill:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003401E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<Number><xsl:value-of select="RegNum"/></Number>
						<RegistrationDocument>
							<xsl:if test="string-length(SMGSName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="SMGSName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="RegDate"/>
									</xsl:call-template>									
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</RegistrationDocument>
						<xsl:if test="string-length(ConsignorNotice)>0">
							<ConsignorNotice><xsl:value-of select="normalize-space(ConsignorNotice)"/></ConsignorNotice>
						</xsl:if>
						<xsl:if test="string-length(ConsignorOptionNotice)>0">
							<ConsignorOptionNotice><xsl:value-of select="ConsignorOptionNotice"/></ConsignorOptionNotice>
						</xsl:if>
						<xsl:if test="not(contains(PlacesQuantityStr,'НАВАЛОМ')) and not(contains(PlacesQuantityStr,'НАЛИВОМ')) and string-length(PlacesQuantity)>0">
							<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(GrossWeightQuantity)>0">
								<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
							</xsl:when>
							<xsl:otherwise>
								<GrossWeightQuantity>0</GrossWeightQuantity>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(DepartureModeDescription)>0">
							<DepartureModeDescription><xsl:value-of select="DepartureModeDescription"/></DepartureModeDescription>
						</xsl:if>
						<xsl:if test="string-length(LoaderModeDescription)>0">
							<LoaderModeDescription><xsl:value-of select="LoaderModeDescription"/></LoaderModeDescription>
						</xsl:if>
						<xsl:if test="string-length(AdditionalSheetQuantity)>0">
							<AdditionalSheetQuantity><xsl:value-of select="AdditionalSheetQuantity"/></AdditionalSheetQuantity>
						</xsl:if>
						<xsl:if test="string-length(CargoValue)>0">
							<CargoValue><xsl:value-of select="CargoValue"/></CargoValue>
						</xsl:if>
						<xsl:if test="string-length(CustomsNotice)>0">
							<CustomsNotice><xsl:value-of select="CustomsNotice"/></CustomsNotice>
						</xsl:if>
						<xsl:if test="string-length(WeightDefinitionModeDescription)>0">
							<WeightDefinitionModeDescription><xsl:value-of select="WeightDefinitionModeDescription"/></WeightDefinitionModeDescription>
						</xsl:if>	
						<Consignor>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Consignor_RailCode)>0">
								<RBCode><xsl:value-of select="Consignor_RailCode"/></RBCode>
							</xsl:if>	
							<xsl:if test="string-length(Signature)>0">
								<ConsignorSign><xsl:value-of select="Signature"/></ConsignorSign>
							</xsl:if>
						</Consignor>	
						<Consignee>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Consignee_RailCode)>0">
								<RBCode><xsl:value-of select="Consignee_RailCode"/></RBCode>
							</xsl:if>		
						</Consignee>
						<xsl:variable name="DepSt" select="DepStationCode"/>
						<DepartureStation>
							<xsl:if test="string-length($DepSt)>0">
								<StationCode><xsl:value-of select="substring($DepSt,1,5)"/></StationCode>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="string-length(DepStationName)>0">
									<StationName><xsl:value-of select="DepStationName"/></StationName>
								</xsl:when>
								<xsl:when test="string-length($DepSt)=6 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DepSt]/NAME)>0">
									<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DepSt]/NAME,1,40)"/></StationName>
								</xsl:when>
								<xsl:when test="string-length($DepSt)=5 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DepSt]/NAME)>0">
									<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DepSt]/NAME,1,40)"/></StationName>
								</xsl:when>
								<xsl:otherwise>
									<StationName>N</StationName>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(DepRailwayCode)>0">
								<RailwayCode><xsl:value-of select="DepRailwayCode"/></RailwayCode>
							</xsl:if>
						</DepartureStation>
						<xsl:variable name="DesSt" select="DestStationCode"/>
						<DestinationStation>
							<xsl:if test="string-length(DestRailwayCode)>0">
								<RailwayCode><xsl:value-of select="DestRailwayCode"/></RailwayCode>
							</xsl:if>
							<xsl:if test="string-length($DesSt)>0">
								<StationCode><xsl:value-of select="substring($DesSt,1,5)"/></StationCode>
							</xsl:if>
							<RailwayAndStationName>
								<xsl:choose>
									<xsl:when test="string-length(DestStationName)>0 and string-length(DestRailwayCode)>0">
										<xsl:value-of select="concat(DestRailwayCode,' ',DestStationName)"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)=0 and string-length(DestRailwayCode)>0 and string-length($DesSt)=6 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DesSt]/NAME)>0">
										<xsl:value-of select="concat(DestRailwayCode,' ',document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DesSt]/NAME)"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)=0 and string-length(DestRailwayCode)>0 and string-length($DesSt)=5 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DesSt]/NAME)>0">
										<xsl:value-of select="concat(DestRailwayCode,' ',document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DesSt]/NAME)"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)=0 and string-length(DestRailwayCode)>0 and string-length($DesSt)=0">
										<xsl:value-of select="DestRailwayCode"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)>0 and string-length(DestRailwayCode)=0">
										<xsl:value-of select="DestStationName"/>
									</xsl:when>
								</xsl:choose>
							</RailwayAndStationName>
						</DestinationStation>
						<xsl:for-each select="RWBBorderStation/RWBBORDERSTATION_ITEM[string-length(StationCode)>0 or string-length(StationName)>0]">
							<BorderStation>
								<xsl:if test="string-length(StationCode)>0">
									<StationCode><xsl:value-of select="substring(StationCode,1,5)"/></StationCode>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(StationName)>0">
										<StationName><xsl:value-of select="StationName"/></StationName>
									</xsl:when>
									<xsl:when test="string-length(StationCode)>0">
										<xsl:variable name="StCod" select="substring(StationCode,1,5)"/>
										<StationName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StCod]/NAME"/></StationName>
									</xsl:when>
									<xsl:otherwise>
										<StationName>N</StationName>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length(RailwayCode)>0">
									<RailwayCode><xsl:value-of select="RailwayCode"/></RailwayCode>
								</xsl:if>
							</BorderStation>
						</xsl:for-each>
						<xsl:if test="string-length(G2)>0">
							<Contract>
								<xsl:choose>
									<xsl:when test="contains(G2, 'от')">
										<cat_ru:PrDocumentNumber><xsl:value-of select="normalize-space(substring-before(G2,'от'))"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="normalize-space(substring-after(G2,'от'))"/>
											</xsl:call-template>	
										</cat_ru:PrDocumentDate>
									</xsl:when>
									<xsl:otherwise>
										<cat_ru:PrDocumentNumber><xsl:value-of select="G2"/></cat_ru:PrDocumentNumber>
									</xsl:otherwise>
								</xsl:choose>
							</Contract>
						</xsl:if>
						<xsl:variable name="ContNum">
							<xsl:choose>
								<xsl:when test="contains(ContainerID,'-P')">
									<ContainerID><xsl:value-of select="normalize-space(substring-before(ContainerID,'-P'))"/></ContainerID>
								</xsl:when>
								<xsl:otherwise>
									<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>	
						<xsl:for-each select="INTERNAL_RWBGoods/INTERNAL_RWBGOODS_ITEM">
							<RWBGoods>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
									<xsl:with-param name="NameMes" select="true"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<catTrans_ru:GoodsNumeric><xsl:value-of select="position()"/></catTrans_ru:GoodsNumeric>
								<xsl:if test="string-length($ContNum)>0">
									<ContainerIndicator>1</ContainerIndicator>
								</xsl:if>
								<xsl:variable name="Usl1" select="string-length(PlacesQuantity)>0"/>
								<xsl:variable name="Usl2" select="contains(PlacesDescription,'АВАЛОМ')"/>
								<xsl:variable name="Usl3" select="contains(PlacesDescription,'АЛИВОМ')"/>
								<xsl:variable name="Usl4" select="contains(PlacesDescription,'аливом')"/>
								<xsl:variable name="Usl5" select="contains(PlacesDescription,'авалом')"/>
								<xsl:if test="$Usl1 and not($Usl2 or $Usl3 or $Usl4 or $Usl5)">
									<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(GrossWeightQuantity)>0">
										<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
									</xsl:when>
									<xsl:otherwise>
										<GrossWeightQuantity>0</GrossWeightQuantity>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:variable name="Pack">
									<xsl:choose>
										<xsl:when test="string-length(PlacesDescription)>0">
											<xsl:value-of select="PlacesDescription"/>
										</xsl:when>
										<xsl:when test="string-length(PlacesDescription)=0 and string-length(PlacesCode)>0">
											<xsl:variable name="PcCode" select="PlacesCode"/>
											<xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Packing_ITEM[ID=$PcCode]/Name"/>
										</xsl:when>
										<xsl:otherwise>NE</xsl:otherwise>
									</xsl:choose>
								</xsl:variable> 
								<PlacesDescription><xsl:value-of select="$Pack"/></PlacesDescription>
								<xsl:if test="string-length(../../GNG)>0">
									<HarmonizedRangeGoods><xsl:value-of select="GNG"/></HarmonizedRangeGoods>
								</xsl:if> 
								<Packing><xsl:value-of select="$Pack"/></Packing>
								<xsl:if test="string-length(INTERNAL_RWBCarriage/INTERNAL_RWBCARRIAGE_ITEM[string-length(CarriageId)>0][1]/CarriageId)>0">
									<CarriageNumber><xsl:value-of select="INTERNAL_RWBCarriage/INTERNAL_RWBCARRIAGE_ITEM[string-length(CarriageId)>0][1]/CarriageId"/></CarriageNumber>
								</xsl:if> 
								<xsl:if test="string-length($ContNum)>0">
									<ContainerNumber><xsl:value-of select="$ContNum"/></ContainerNumber>
								</xsl:if> 
							</RWBGoods>
						</xsl:for-each>		
						<xsl:if test="string-length(ExchangeMode)>0">
							<ExchangePallet>
								<xsl:if test="string-length(FlatPalletQuantity)>0">
									<FlatPalletQuantity><xsl:value-of select="FlatPalletQuantity"/></FlatPalletQuantity>
								</xsl:if>
								<xsl:if test="string-length(BoxPalletQuantity)>0">
									<BoxPalletQuantity><xsl:value-of select="BoxPalletQuantity"/></BoxPalletQuantity>
								</xsl:if>
								<ExchangeMode><xsl:value-of select="ExchangeMode"/></ExchangeMode>
							</ExchangePallet>
						</xsl:if>
						<xsl:if test="string-length(WorkToolContainerModeDescription)>0 and not(WorkToolContainerModeDescription='N')">
							<WorkTool>
								<xsl:if test="string-length(WorkToolRailwayCode)>0">
									<RailwayCode><xsl:value-of select="WorkToolRailwayCode"/></RailwayCode>
								</xsl:if>
								<xsl:if test="string-length(WorkToolID)>0">
									<WorkToolID><xsl:value-of select="WorkToolID"/></WorkToolID>
								</xsl:if>
								<ContainerModeDescription><xsl:value-of select="WorkToolContainerModeDescription"/></ContainerModeDescription>
							</WorkTool>
						</xsl:if>
						<xsl:if test="string-length(ContainerID)>0">
							<Container>
								<xsl:if test="string-length(ContainerRailwayCode)>0">
									<RailwayCode><xsl:value-of select="ContainerRailwayCode"/></RailwayCode>
								</xsl:if>
								<ContainerID><xsl:value-of select="$ContNum"/></ContainerID>
								<xsl:choose>
									<xsl:when test="string-length(ContainerModeDescription)=0">
										<ContainerModeDescription>N</ContainerModeDescription>
									</xsl:when>
									<xsl:otherwise>
										<ContainerModeDescription><xsl:value-of select="ContainerModeDescription"/></ContainerModeDescription>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length(ContainerCapacity)>0">
									<ContainerCapacity><xsl:value-of select="ContainerCapacity"/></ContainerCapacity>
								</xsl:if>
								<xsl:if test="string-length(ContainerCapacityUnitQualifierName)>0">
									<ContainerCapacityUnitQualifierCode><xsl:value-of select="ContainerCapacityUnitQualifierName"/></ContainerCapacityUnitQualifierCode>
								</xsl:if>
							</Container>
						</xsl:if>
						<xsl:variable name="GrW" select="GrossWeightQuantity"/>
						<xsl:for-each select="INTERNAL_RWBCarriage/INTERNAL_RWBCARRIAGE_ITEM[string-length(CarriageId)>0]">
							<Carriage>
								<CarriageID><xsl:value-of select="CarriageId"/></CarriageID>
								<OwnerType>
									<xsl:choose>
										<xsl:when test="string-length(normalize-space(OwnerType))>0">
											<xsl:choose>
												<xsl:when test="normalize-space(OwnerType)='P'">П</xsl:when>
												<xsl:otherwise><xsl:value-of select="normalize-space(OwnerType)"/></xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:otherwise>П</xsl:otherwise>
									</xsl:choose>
								</OwnerType>
								<xsl:if test="string-length(Power)>0">
									<Power><xsl:value-of select="Power"/></Power>
								</xsl:if>		
								<xsl:if test="string-length(AxisQuantity)>0">
									<AxisQuantity><xsl:value-of select="AxisQuantity"/></AxisQuantity>
								</xsl:if>	
								<xsl:if test="string-length(Tare)>0">
									<Tare><xsl:value-of select="Tare"/></Tare>
								</xsl:if>
								<xsl:if test="string-length(GoodsWeight)>0">
									<GoodsWeight><xsl:value-of select="GoodsWeight"/></GoodsWeight>
								</xsl:if>
							</Carriage>
						</xsl:for-each>
						<xsl:for-each select="(ZPU_ZNAK | ZPU_ZNAK2 | ZPU_ZNAK3 | ZPU_ZNAK4)[string-length(.)>0]">
							<Seal>
								<SealID><xsl:value-of select="substring(., 1, 50)"/></SealID>
								<SealQuantity>1</SealQuantity>
								<IdentKind>1</IdentKind>
								<IdentDesc>
									<xsl:variable name="full-number">
										<xsl:if test="string-length(.)>50">
											<xsl:value-of select="."/>
										</xsl:if>
									</xsl:variable>
									<xsl:variable name="type" select="../*[ name() = concat('ZPU_TYPE', substring-after(name(current()), 'ZPU_ZNAK')) ][string-length(.)>0]"/>
									<xsl:variable name="owner" select="../ZPU_OWNER"/>
									<xsl:value-of select="normalize-space(concat($full-number,' ', $type,' ', $owner))"/>
								</IdentDesc>
							</Seal>
						</xsl:for-each>
						<Carrier>
							<CarrierName>
								<xsl:choose>
									<xsl:when test="string-length(Carrier_Name)>0">
										<xsl:value-of select="Carrier_Name"/>
									</xsl:when>
									<xsl:when test="string-length(RWBForwarder/RWBFORWARDER_ITEM[1]/Forwarder_Name)>0">
										<xsl:value-of select="RWBForwarder/RWBFORWARDER_ITEM[1]/Forwarder_Name"/>
									</xsl:when>
									<xsl:otherwise>РЖД</xsl:otherwise>
								</xsl:choose>
							</CarrierName>
							<FromStation>
								<xsl:call-template name="RwbStRw">
									<xsl:with-param name="StCode" select="DepStationCode"/>
									<xsl:with-param name="StName" select="DepStationName"/>
									<xsl:with-param name="RwCode" select="DepRailwayCode"/>
								</xsl:call-template>
							</FromStation>
							<ToStation>
								<xsl:call-template name="RwbStRw">
									<xsl:with-param name="StCode" select="DestStationCode"/>
									<xsl:with-param name="StName" select="DestStationName"/>
									<xsl:with-param name="RwCode" select="DestRailwayCode"/>
								</xsl:call-template>
							</ToStation>
						</Carrier>
						<ContractCarrierDate>
							<CarrierName>
								<xsl:choose>
									<xsl:when test="string-length(Carrier_Name)>0">
										<xsl:value-of select="Carrier_Name"/>
									</xsl:when>
									<xsl:when test="string-length(RWBForwarder/RWBFORWARDER_ITEM[1]/Forwarder_Name)>0">
										<xsl:value-of select="RWBForwarder/RWBFORWARDER_ITEM[1]/Forwarder_Name"/>
									</xsl:when>
									<xsl:otherwise>РЖД</xsl:otherwise>
								</xsl:choose>	
							</CarrierName>
							<Date>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat"  select="RegDate"/>
								</xsl:call-template>
							</Date>
							<Station>
								<xsl:call-template name="RwbStRw">
									<xsl:with-param name="StCode" select="DepStationCode"/>
									<xsl:with-param name="StName" select="DepStationName"/>
									<xsl:with-param name="RwCode" select="DepRailwayCode"/>
								</xsl:call-template>
							</Station>
						</ContractCarrierDate>
					</RailwayBill>
				</DocBody>
			</ContainerDoc>

	</xsl:template>
	<xsl:template name="RwbStRw"  xmlns="urn:customs.ru:Information:TransportDocuments:Railway:RailwayBill:5.10.0">
		<xsl:param name="StCode"/>
		<xsl:param name="StName"/>
		<xsl:param name="RwCode"/>
		<xsl:if test="string-length($StCode)>0">
			<StationCode><xsl:value-of select="$StCode"/></StationCode>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="string-length($StName)>0">
				<StationName><xsl:value-of select="$StName"/></StationName>
			</xsl:when>
			<xsl:when test="string-length($StCode)=6 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$StCode]/NAME)>0">
				<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$StCode]/NAME,1,40)"/></StationName>
			</xsl:when>
			<xsl:when test="string-length($StCode)=5 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$StCode]/NAME)>0">
				<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$StCode]/NAME,1,40)"/></StationName>
			</xsl:when>
			<xsl:otherwise>
				<StationName>N</StationName>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="string-length($RwCode)>0">
			<RailwayCode><xsl:value-of select="$RwCode"/></RailwayCode>
			<xsl:if  test="string-length(document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$RwCode]/Name_Roads)>0">
				<RWName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$RwCode]/Name_Roads"/></RWName>
			</xsl:if>	
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
