<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerInventoryArchDocID.xsl"/>
	<xsl:param name="Now"/>
	<xsl:param name="DeclLastName"/>
	<xsl:param name="DeclFirstName"/>
	<xsl:template match="/Package">
		<xsl:apply-templates mode="Inventory-armti" select="EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM | PMP_INVENTORY/PMP_INVENTORY_ITEM | INVENTORY/INVENTORY_ITEM"/>
	</xsl:template>
	<xsl:template name="Inventory-armti">
		<xsl:apply-templates mode="Inventory-armti" select="EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM |PMP_INVENTORY/PMP_INVENTORY_ITEM | INVENTORY/INVENTORY_ITEM"/>
	</xsl:template>
	<xsl:template match="EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM |PMP_INVENTORY/PMP_INVENTORY_ITEM | INVENTORY/INVENTORY_ITEM" mode="Inventory-armti">
		<Inventory xmlns="urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  DocumentModeID="1006003E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<NumberOfInvent>1</NumberOfInvent>
			<GTDPerson>
				<xsl:call-template name="OrgNode">
					<xsl:with-param name="Pref" select="'DocSig_'"/>
					<xsl:with-param name="ReqNode" select="false"/>		
					<xsl:with-param name="BLR" select="'INV'"/>
					<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
				</xsl:call-template> 	
			</GTDPerson>
			<InventoryInstance>
				<InstanceNumber>1</InstanceNumber>
				<InventoryInstanceDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat">
							<xsl:choose>
								<xsl:when test="string-length(UsedDate)>0">
									<xsl:value-of  select="UsedDate"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of  select="$Now"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:with-param>
					</xsl:call-template>
				</InventoryInstanceDate>
				<InventoryInstancePerson>
					<xsl:call-template name="DriverInformation">
						<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="Nodesp" select="'urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0'"/>
						<xsl:with-param name="Pref" select="'DocSig_'"/>
						<xsl:with-param name="Doc" select="'INV'"/>
					</xsl:call-template>	
					
					<xsl:if test="string-length(DocSig_AuthoritesDocName)>0 or string-length(DocSig_AuthoritesDocNum)>0 or string-length(DocSig_AuthoritesDocDate)>0 or string-length(DocSig_ComplationDocDate)>0">
						<AuthoritesDocument>
							<xsl:if test="string-length(DocSig_AuthoritesDocName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="DocSig_AuthoritesDocName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_AuthoritesDocNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="DocSig_AuthoritesDocNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(DocSig_AuthoritesDocDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_AuthoritesDocDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<xsl:if test="string-length(DocSig_ComplationDocDate)>0">
								<cat_ru:ComplationAuthorityDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_ComplationDocDate"/>
									</xsl:call-template>
								</cat_ru:ComplationAuthorityDate>
							</xsl:if>
						</AuthoritesDocument>
					</xsl:if>
				</InventoryInstancePerson>
				<xsl:for-each select="InventDocument/INVENTDOCUMENT_ITEM">
					<xsl:variable name="NumDat" select="concat(InvDocName,InvDocNumber,substring(InvDocDate,1,10))"/>	
					<InventDocument>
						<xsl:choose>
							<xsl:when test="InvDocCode='09999' and count(//PASSPORTRF_ITEM[concat('Документ, удостоверяющий личность',RegNum,substring(RegDate,1,10))=$NumDat or concat('Паспорт гражданина РФ',RegNum,substring(RegDate,1,10))=$NumDat])>0">
								<InvDocCode>11001</InvDocCode>
								<InvDocName>Документ, удостоверяющий личность</InvDocName>
							</xsl:when>
							<xsl:when test="InvDocCode='09999' and count(//DOVER_ITEM[concat(DocName,RegNum,substring(RegDate,1,10))=$NumDat])>0">
								<InvDocCode>11003</InvDocCode>
								<InvDocName><xsl:value-of select="InvDocName"/></InvDocName>
							</xsl:when>
							<xsl:otherwise>
								<InvDocCode><xsl:value-of select="InvDocCode"/></InvDocCode>
								<InvDocName><xsl:value-of select="InvDocName"/></InvDocName>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(InvDocNumber)>0">
							<InvDocNumber><xsl:value-of select="InvDocNumber"/></InvDocNumber>
						</xsl:if>
						<xsl:if test="string-length(InvDocDate)>0 and InvDocCode!='02024'">
							<InvDocDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="InvDocDate"/>
								</xsl:call-template>
							</InvDocDate>
						</xsl:if>
						<xsl:if test="string-length(InvDocLists)>0">
							<InvDocLists><xsl:value-of select="InvDocLists"/></InvDocLists>
						</xsl:if>
						<xsl:if test="string-length(InvDocCopies)>0">
							<InvDocCopies><xsl:value-of select="InvDocCopies"/></InvDocCopies>
						</xsl:if>
						<xsl:if test="string-length(Note)>0">
							<Note><xsl:value-of select="Note"/></Note>
						</xsl:if>
						<xsl:apply-templates mode="Inventory-Arch" select=".">
							<xsl:with-param name="namespace-uri" select="'urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0'"/>
							<xsl:with-param name="DocCode">
								<xsl:choose>
									<xsl:when test="InvDocCode='09999' and count(//PASSPORTRF_ITEM[concat('Документ, удостоверяющий личность',RegNum,substring(RegDate,1,10))=$NumDat or concat('Паспорт гражданина РФ',RegNum,substring(RegDate,1,10))=$NumDat])>0">11001</xsl:when>
									<xsl:when test="InvDocCode='09999' and count(//DOVER_ITEM[concat(DocName,RegNum,substring(RegDate,1,10))=$NumDat])>0">11003</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="InvDocCode"/>
									</xsl:otherwise>
								</xsl:choose>		
							</xsl:with-param>
						</xsl:apply-templates>
						<xsl:if test="string-length(InventDocumentID)>0">
							<InventDocumentID><xsl:value-of select="InventDocumentID"/></InventDocumentID>
						</xsl:if>
						<InventLineID>
							<xsl:value-of select="InventLineID"/>
							<xsl:if test="0 = string-length(InventLineID)">
								<!--См. CreateGUID.xsl. Обязателен для заполнения при использовании в системах электронного декларирования.-->
								<xsl:value-of select="'00000000-0000-0000-0000-000000000000'"/>
							</xsl:if>
						</InventLineID>
						<DocumentFormSign>
							<xsl:choose>
								<xsl:when  test="string-length(DocumentFormSign)>0">
									<xsl:value-of select="DocumentFormSign"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</DocumentFormSign>
					</InventDocument>
				</xsl:for-each>
			</InventoryInstance>
		</Inventory>
	</xsl:template>
</xsl:stylesheet>
