<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerInventoryArchDocID.xsl"/>
	<xsl:param name="Now"/>
	<xsl:param name="DeclLastName"/>
	<xsl:param name="DeclFirstName"/>
	<xsl:template match="/Package">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<ContainerDoc>
				<DocBody>
					<Inventory xmlns="urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1006003E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<NumberOfInvent>1</NumberOfInvent>
						<GTDPerson/>
						<InventoryInstance>
							<InstanceNumber>1</InstanceNumber>
							<InventoryInstanceDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="$Now"/>
								</xsl:call-template>
							</InventoryInstanceDate>
							<InventoryInstancePerson>
								<cat_ru:PersonSurname>N</cat_ru:PersonSurname>
								<cat_ru:PersonName>N</cat_ru:PersonName>
							</InventoryInstancePerson>
							<xsl:for-each select="child::*[string-length(@DocumentModeID)>0 and concat(@*[local-name()='docCode'],@*[local-name()='InvDocNumber'],@*[local-name()='InvDocDate'])]">
								<InventDocument>
									<InvDocCode><xsl:value-of select="@*[local-name()='docCode']"/></InvDocCode>
									<InvDocName><xsl:value-of select="@*[local-name()='InvDocName']"/></InvDocName>
									<xsl:if test="string-length(@*[local-name()='InvDocNumber'])>0">
										<InvDocNumber><xsl:value-of select="@*[local-name()='InvDocNumber']"/></InvDocNumber>
									</xsl:if>
									<xsl:if test="string-length(@*[local-name()='InvDocDate'])>0">
										<InvDocDate><xsl:value-of select="@*[local-name()='InvDocDate']"/></InvDocDate>
									</xsl:if>
									<xsl:call-template name="Inventory-Archid" >
										<xsl:with-param name="namespace-uri" select="'urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0'"/>
										<xsl:with-param name="InvDocCode" select="@*[local-name()='docCode']"/>
										<xsl:with-param name="InvDocNumber" select="@*[local-name()='InvDocNumber']"/>
										<xsl:with-param name="InvDocDate" select="@*[local-name()='InvDocDate']"/>
									</xsl:call-template>
									<InventLineID>00000000-0000-0000-0000-000000000000</InventLineID>
									<DocumentFormSign>0</DocumentFormSign>
								</InventDocument>
							</xsl:for-each>
						</InventoryInstance>
					</Inventory>
				</DocBody>
			</ContainerDoc>
			<ContainerDoc>
				<DocBody>
					<GoodsOperationRequest xmlns="urn:customs.ru:Information:TransportDocuments:Air:GoodsOperationRequest:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1003311E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:for-each select="child::*[string-length(@DocumentModeID)>0 and local-name()='AirWaybill']">
							<WayBillOperation>
								<Operation>1</Operation>
								<WayBillNumber>
									<xsl:for-each select="*[local-name()='Registration']">
										<xsl:if test="string-length(*[local-name()='AirlineIATACode'])>0">
											<catTrans_ru:AirlineIATACode><xsl:value-of select="*[local-name()='AirlineIATACode']"/></catTrans_ru:AirlineIATACode>
										</xsl:if>
										<catTrans_ru:DocumentNumber><xsl:value-of select="*[local-name()='DocumentNumber']"/></catTrans_ru:DocumentNumber>
										<catTrans_ru:AirlineSign><xsl:value-of select="*[local-name()='AirlineSign']"/></catTrans_ru:AirlineSign>
									</xsl:for-each>	
								</WayBillNumber>
							</WayBillOperation>
						</xsl:for-each>
						<xsl:for-each select="child::*[string-length(@DocumentModeID)>0 and local-name()='GeneralDeclarationAirTransport'][1]">	
							<CustomsOffice>
								<xsl:for-each select="*[local-name()='Customs']">
									<cat_ru:Code><xsl:value-of select="*[local-name()='Code']"/></cat_ru:Code>
									<cat_ru:OfficeName><xsl:value-of select="*[local-name()='OfficeName']"/></cat_ru:OfficeName>
								</xsl:for-each>	
							</CustomsOffice>
							<Carrier>
								<cat_ru:OrganizationName><xsl:value-of select="*[local-name()='Carrier']"/></cat_ru:OrganizationName>
							</Carrier>
						</xsl:for-each>	
					</GoodsOperationRequest>
				</DocBody>
			</ContainerDoc>
		</ED_Container>			
	</xsl:template>
</xsl:stylesheet>
