<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="results-that-is-correct" select="//DesNotif_PIResult_ITEM[ string-length(ArchID)>0 and string-length(DocumentID)>0 ]"/>
	<xsl:template mode="Inventory-Arch" match="InventDocument/INVENTDOCUMENT_ITEM">
		<xsl:param name="namespace-uri"/>
		<xsl:param name="DocCode"/>
		<!---->
		<!--#5650 - у документов одинаковые код, номер, дата, - то берём для текущей строки её позицию среди таких одинаковых строк-соседей, и берем результат в той же позиции среди таких одинаковых результатов-->
		<xsl:call-template name="Inventory-Archid" >
			<xsl:with-param name="InvDocCode" select="$DocCode"/>
			<xsl:with-param name="InvDocNumber" select="InvDocNumber"/>
			<xsl:with-param name="InvDocDate" select="InvDocDate"/>
			<xsl:with-param name="namespace-uri" select="$namespace-uri"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="Inventory-Archid" >
		<xsl:param name="InvDocCode"/>
		<xsl:param name="InvDocNumber"/>
		<xsl:param name="InvDocDate"/>
		<xsl:param name="namespace-uri"/>
		<xsl:variable name="queries-was-sent" select="/Package/*[ concat(fb:docCode,fb:InvDocNumber,substring(fb:InvDocDate,1,10))= concat($InvDocCode,$InvDocNumber, substring($InvDocDate,1,10)) ]" xmlns:fb="http://fill-bill.ru/archive"/>
		<xsl:variable name="results" select="$results-that-is-correct[concat(InvDocCode,InvDocNumber,substring(InvDocDate,1,10))=concat($InvDocCode,$InvDocNumber,substring($InvDocDate,1,10)) ]"/>
		<xsl:variable name="position-in-equal-siblings" select="1 + count(   preceding-sibling::*[concat(InvDocCode, InvDocNumber ,substring(InvDocDate,1,10))=concat($InvDocCode, $InvDocNumber , substring($InvDocDate,1,10)) ]   )"/>
		<xsl:variable name="single-result-in-position" select="$results[ position() = $position-in-equal-siblings ]"/>
		<xsl:choose>
			<xsl:when test="count($single-result-in-position)>0">
				<xsl:for-each select="$single-result-in-position[1]">
					<xsl:element name="ArchID" namespace="{$namespace-uri}">
						<xsl:value-of select="ArchID"/>
					</xsl:element>
					<xsl:element name="ArchDocID" namespace="{$namespace-uri}">
						<xsl:value-of select="DocumentID"/>
					</xsl:element>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="0 = count(  $queries-was-sent[ position() = $position-in-equal-siblings ]  )">
				<!--ответа нет и запроса нет, и пусть, хотя странный случай: документ не отправлялся в архив, но включён в опись специально - может быть это только на случай требования указывать саму декларацию в описи, или документы, предоставляемые в бумажном виде, запрашиваемые потом по описи-->
			</xsl:when>
			<xsl:otherwise>
				<xsl:message terminate="yes">Не нашёлся ответ о размещении документа в таможенном архиве (ArchDocID) для строки из описи: <xsl:value-of select="concat($InvDocCode, ' ', $InvDocNumber, ' ', $InvDocDate)"/>
				</xsl:message>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	
</xsl:stylesheet>
