<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--		<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
		<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
		<xsl:param name="GoodsFromCMRForPi" select="0"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="INVOICE"/>
			</ED_Container>	
	</xsl:template>-->
	<xsl:key use="concat(./PlacesCode,../../RegNum,substring(../../RegDate,1,10),count(../../../preceding-sibling::*))" name="PlCode" match="INVOICEGoods/INVOICEGOODS_ITEM"/>
	<xsl:template name="INVOICE">
		<xsl:param name="BuildName"/>
		<xsl:for-each select="INVOICE/INVOICE_ITEM">
			<xsl:call-template name="INVOICE_ONE_DOC">
				<xsl:with-param name="BuildName" select="$BuildName"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="INVOICE_ONE_DOC">	
		<xsl:param name="BuildName"/>
		<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<Invoice xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002007E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<xsl:if test="string-length(CurrencyRate)>0">
						<CurrencyRate><xsl:value-of select="CurrencyRate"/></CurrencyRate>
					</xsl:if>
					<CurrencyCode>
						<xsl:choose>
							<xsl:when test="string-length(CurrencyCode)>0">
								<xsl:value-of select="CurrencyCode"/>
							</xsl:when>
							<xsl:otherwise>EUR</xsl:otherwise>
						</xsl:choose> 
					</CurrencyCode>
					<xsl:if test="string-length(PlacesQuantity)>0 and number(PlacesQuantity)>0">
						<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
						<xsl:if test="count(INVOICEGoods/INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('PlCode',concat(./PlacesCode,../../RegNum,substring(../../RegDate,1,10),count(../../../preceding-sibling::*))))][string-length(PlacesCode)>0])=1">
							<xsl:variable name="Plc" select="INVOICEGoods/INVOICEGOODS_ITEM[string-length(PlacesCode)>0][1]/PlacesCode"/>	
							<xsl:choose>
								<xsl:when test="string-length(INVOICEGoods/INVOICEGOODS_ITEM[string-length(PlacesCode)>0][1]/PlacesDescription)>0">
									<PlacesDescription><xsl:value-of select="INVOICEGoods/INVOICEGOODS_ITEM[string-length(PlacesCode)>0][1]/PlacesDescription"/></PlacesDescription>
								</xsl:when>
								<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Packing_ITEM[ID=$Plc]/Name)>0">
									<PlacesDescription><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Packing_ITEM[ID=$Plc]/Name"/></PlacesDescription>
								</xsl:when>
							</xsl:choose>
						</xsl:if>
					</xsl:if>	
					<xsl:if test="string-length(GrossWeightQuantity)>0">
						<GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></GrossWeightQuantity>
					</xsl:if>
					<xsl:if test="string-length(NetWeightQuantity)>0">
						<NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></NetWeightQuantity>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length(GCost)=0">
							<GCost>0.00</GCost>
						</xsl:when>
						<xsl:otherwise>
							<GCost><xsl:value-of select="format-number(round(GCost  * 100) div 100,'0.##')"/></GCost>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="string-length(Discount)>0">
						<Discount><xsl:value-of select="Discount"/></Discount>
					</xsl:if>
					<xsl:if test="string-length(TransportCharges)>0">
						<TransportCharges><xsl:value-of select="TransportCharges"/></TransportCharges>
					</xsl:if>
					<xsl:if test="string-length(InsuranceCharges)>0">
						<InsuranceCharges><xsl:value-of select="InsuranceCharges"/></InsuranceCharges>
					</xsl:if>
					<xsl:if test="string-length(OtherCharges)>0">
						<OtherCharges><xsl:value-of select="OtherCharges"/></OtherCharges>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="string-length(TotalCost)=0">
							<TotalCost>0.00</TotalCost>
						</xsl:when>
						<xsl:otherwise>
							<TotalCost><xsl:value-of select="format-number(round(TotalCost  * 100) div 100,'0.##')"/></TotalCost>
						</xsl:otherwise>
					</xsl:choose>
					<Buyer>
						<xsl:if test="string-length(Buyer_INN)>0">
							<catComFin_ru:CompanyID><xsl:value-of select="Buyer_INN"/></catComFin_ru:CompanyID>
						</xsl:if>
						<xsl:if test="string-length(Buyer_KPP)>0">
							<catComFin_ru:KPPCode><xsl:value-of select="Buyer_KPP"/></catComFin_ru:KPPCode>
						</xsl:if>
						<catComFin_ru:Name><xsl:value-of select="Buyer_Name"/></catComFin_ru:Name>
						<xsl:if test="string-length(Buyer_Phone)>0">
							<catComFin_ru:Phone><xsl:value-of select="Buyer_Phone"/></catComFin_ru:Phone>
						</xsl:if>
						<xsl:if test="string-length(Buyer_Bank_Name)>0">
							<PaymentRequisitions>
								<xsl:if test="string-length(Buyer_Bank_OKPOID)>0">
									<catComFin_ru:OKPOID><xsl:value-of select="Buyer_Bank_OKPOID"/></catComFin_ru:OKPOID>
								</xsl:if>
								<catComFin_ru:BankName><xsl:value-of select="Buyer_Bank_Name"/></catComFin_ru:BankName>
								<xsl:if test="string-length(Buyer_Bank_BICID)>0">
									<catComFin_ru:BICID><xsl:value-of select="Buyer_Bank_BICID"/></catComFin_ru:BICID>
								</xsl:if>
								<xsl:if test="string-length(Buyer_Bank_SWIFTID)>0">
									<catComFin_ru:SWIFTID><xsl:value-of select="Buyer_Bank_SWIFTID"/></catComFin_ru:SWIFTID>
								</xsl:if>
								<xsl:if test="string-length(Buyer_Bank_AccountNumeric)>0">
									<catComFin_ru:AccountNumeric><xsl:value-of select="Buyer_Bank_AccountNumeric"/></catComFin_ru:AccountNumeric>
								</xsl:if>
								<xsl:if test="string-length(INVOICEBuyer_BankInformation_CurrAccount/INVOICEBUYER_BANKINFORMATION_CURRACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:CurrentCurrencyAccount><xsl:value-of select="INVOICEBuyer_BankInformation_CurrAccount/INVOICEBUYER_BANKINFORMATION_CURRACCOUNT_ITEM/BankAccount"/></catComFin_ru:CurrentCurrencyAccount>
								</xsl:if>
								<xsl:if test="string-length(INVOICEBuyer_BankInformation_TrAccount/INVOICEBUYER_BANKINFORMATION_TRACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:TransitCurrencyAccount><xsl:value-of select="INVOICEBuyer_BankInformation_TrAccount/INVOICEBUYER_BANKINFORMATION_TRACCOUNT_ITEM/BankAccount"/></catComFin_ru:TransitCurrencyAccount>
								</xsl:if>
								<xsl:if test="string-length(INVOICEBuyer_BankInformation_SpTrAccount/INVOICEBUYER_BANKINFORMATION_SPTRACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:SpecialTransitCurrencyAccount><xsl:value-of select="INVOICEBuyer_BankInformation_SpTrAccount/INVOICEBUYER_BANKINFORMATION_SPTRACCOUNT_ITEM/BankAccount"/></catComFin_ru:SpecialTransitCurrencyAccount>
								</xsl:if>
								<xsl:if test="string-length(INVOICEBuyer_BankInformation_RubAccount/INVOICEBUYER_BANKINFORMATION_RUBACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:RoubleCurrencyAccount><xsl:value-of select="INVOICEBuyer_BankInformation_RubAccount/INVOICEBUYER_BANKINFORMATION_RUBACCOUNT_ITEM/BankAccount"/></catComFin_ru:RoubleCurrencyAccount>
								</xsl:if>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Buyer_Bank_'"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:BankPostalAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/> 
								</xsl:call-template>	
							</PaymentRequisitions>
						</xsl:if>
						<xsl:call-template name="Address">
							<xsl:with-param name="Pref" select="'Buyer_'"/>
							<xsl:with-param name="NodeName" select="'PostalAddress'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0'"/> 
						</xsl:call-template>
					</Buyer>
					<Seler>
						<xsl:if test="string-length(Seler_INN)>0">
							<catComFin_ru:CompanyID><xsl:value-of select="Seler_INN"/></catComFin_ru:CompanyID>
						</xsl:if>
						<xsl:if test="string-length(Seler_KPP)>0">
							<catComFin_ru:KPPCode><xsl:value-of select="Seler_KPP"/></catComFin_ru:KPPCode>
						</xsl:if>
						<catComFin_ru:Name><xsl:value-of select="Seler_Name"/></catComFin_ru:Name>
						<xsl:if test="string-length(Seler_Phone)>0">
							<catComFin_ru:Phone><xsl:value-of select="Seler_Phone"/></catComFin_ru:Phone>
						</xsl:if>
						<xsl:if test="string-length(Seler_Bank_Name)>0">
							<PaymentRequisitions>
								<xsl:if test="string-length(Seler_Bank_OKPOID)>0">
									<catComFin_ru:OKPOID><xsl:value-of select="Seler_Bank_OKPOID"/></catComFin_ru:OKPOID>
								</xsl:if>
								<catComFin_ru:BankName><xsl:value-of select="Seler_Bank_Name"/></catComFin_ru:BankName>
								<xsl:if test="string-length(Seler_Bank_BICID)>0">
									<catComFin_ru:BICID><xsl:value-of select="Seler_Bank_BICID"/></catComFin_ru:BICID>
								</xsl:if>
								<xsl:if test="string-length(Seler_Bank_SWIFTID)>0">
									<catComFin_ru:SWIFTID><xsl:value-of select="Seler_Bank_SWIFTID"/></catComFin_ru:SWIFTID>
								</xsl:if>
								<xsl:if test="string-length(Seler_Bank_AccountNumeric)>0">
									<catComFin_ru:AccountNumeric><xsl:value-of select="Seler_Bank_AccountNumeric"/></catComFin_ru:AccountNumeric>
								</xsl:if>
								<xsl:if test="string-length(INVOICESeler_BankInformation_CurrAccount/INVOICESELER_BANKINFORMATION_CURRACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:CurrentCurrencyAccount><xsl:value-of select="INVOICESeler_BankInformation_CurrAccount/INVOICESELER_BANKINFORMATION_CURRACCOUNT_ITEM/BankAccount"/></catComFin_ru:CurrentCurrencyAccount>
								</xsl:if>
								<xsl:if test="string-length(INVOICESeler_BankInformation_TrAccount/INVOICESELER_BANKINFORMATION_TRACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:TransitCurrencyAccount><xsl:value-of select="INVOICESeler_BankInformation_TrAccount/INVOICESELER_BANKINFORMATION_TRACCOUNT_ITEM/BankAccount"/></catComFin_ru:TransitCurrencyAccount>
								</xsl:if>
								<xsl:if test="string-length(INVOICESeler_BankInformation_SpTrAccount/INVOICESELER_BANKINFORMATION_SPTRACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:SpecialTransitCurrencyAccount><xsl:value-of select="INVOICESeler_BankInformation_SpTrAccount/INVOICESELER_BANKINFORMATION_SPTRACCOUNT_ITEM/BankAccount"/></catComFin_ru:SpecialTransitCurrencyAccount>
								</xsl:if>
								<xsl:if test="string-length(INVOICESeler_BankInformation_RubAccount/INVOICESELER_BANKINFORMATION_RUBACCOUNT_ITEM/BankAccount)>0">
									<catComFin_ru:RoubleCurrencyAccount><xsl:value-of select="INVOICESeler_BankInformation_RubAccount/INVOICESELER_BANKINFORMATION_RUBACCOUNT_ITEM/BankAccount"/></catComFin_ru:RoubleCurrencyAccount>
								</xsl:if>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Seler_Bank_'"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:BankPostalAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/> 
								</xsl:call-template>	
							</PaymentRequisitions>
						</xsl:if>
						<xsl:call-template name="Address">
							<xsl:with-param name="Pref" select="'Seler_'"/>
							<xsl:with-param name="NodeName" select="'PostalAddress'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:Invoice:5.11.0'"/>
						</xsl:call-template>
					</Seler>
					<xsl:if test="string-length(Consignor_Name)>0">
						<Consignor>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
							</xsl:call-template>
						</Consignor>	
					</xsl:if>
					<xsl:if test="string-length(Consignee_Name)>0">
						<Consignee>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
							</xsl:call-template>							
						</Consignee>
					</xsl:if>
					<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
						<InvoiceGoods>
							<xsl:if test="string-length(GoodMarking)>0">
								<catComFin_ru:GoodMarking><xsl:value-of select="GoodMarking"/></catComFin_ru:GoodMarking>
							</xsl:if>
							<xsl:if test="string-length(GoodsCode)>0">
								<catComFin_ru:GoodsCode><xsl:value-of select="GoodsCode"/></catComFin_ru:GoodsCode>
							</xsl:if>
							<xsl:if test="string-length(SupplementaryQualifierName)>0">
								<catComFin_ru:SupplementaryQualifierName><xsl:value-of select="SupplementaryQualifierName"/></catComFin_ru:SupplementaryQualifierName>
							</xsl:if>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods">
									<xsl:call-template name="GoodDescrAvto"/>
								</xsl:with-param>
								<xsl:with-param name="NodeName" select="'catComFin_ru:GoodsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>																		
							<xsl:if test="string-length(GoodsQuantity)>0">
								<catComFin_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catComFin_ru:GoodsQuantity>
							</xsl:if>
							<xsl:if test="string-length(MeasureUnitQualifierName)>0">
								<catComFin_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catComFin_ru:MeasureUnitQualifierName>
							</xsl:if>
							<xsl:if test="string-length(GrossWeightQuantity)>0">
								<catComFin_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catComFin_ru:GrossWeightQuantity>
							</xsl:if>
							<xsl:if test="string-length(NetWeightQuantity)>0">
								<catComFin_ru:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catComFin_ru:NetWeightQuantity>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="string-length(Price)=0">
									<catComFin_ru:Price>0.0000</catComFin_ru:Price>
								</xsl:when>
								<xsl:otherwise>
									<catComFin_ru:Price><xsl:value-of select="format-number(round(Price  * 10000) div 10000,'0.####')"/></catComFin_ru:Price>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="string-length(TotalCost)=0">
									<catComFin_ru:TotalCost>0.00</catComFin_ru:TotalCost>
								</xsl:when>
								<xsl:otherwise>
									<catComFin_ru:TotalCost><xsl:value-of select="format-number(round(TotalCost  * 100) div 100,'0.##')"/></catComFin_ru:TotalCost>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(Discount)>0">
								<catComFin_ru:Discount><xsl:value-of select="Discount"/></catComFin_ru:Discount>
							</xsl:if>
							<xsl:if test="string-length(OriginCountryCode)>0">
								<xsl:variable name="Cod" select="OriginCountryCode"/>
								<catComFin_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$Cod]/Code"/></catComFin_ru:OriginCountryCode>
							</xsl:if>
						</InvoiceGoods>
					</xsl:for-each>
					<DeliveryTerms>
						<xsl:if test="string-length(DeliveryPlace)>0">
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="DeliveryPlace"/>
								<xsl:with-param name="NodeName" select="'catComFin_ru:DeliveryPlace'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="40"/>
							</xsl:call-template>	
						</xsl:if>
						<xsl:if test="string-length(DeliveryTermsNumericCode)>0">
							<catComFin_ru:DeliveryTermsNumericCode><xsl:value-of select="DeliveryTermsNumericCode"/></catComFin_ru:DeliveryTermsNumericCode>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(DeliveryTermsStringCode)=0">
								<catComFin_ru:DeliveryTermsStringCode>NNN</catComFin_ru:DeliveryTermsStringCode>
							</xsl:when>
							<xsl:otherwise>
								<catComFin_ru:DeliveryTermsStringCode><xsl:value-of select="DeliveryTermsStringCode"/></catComFin_ru:DeliveryTermsStringCode>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(TermsDescription)>0">
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="TermsDescription"/>
								<xsl:with-param name="NodeName" select="'catComFin_ru:TermsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>	
						</xsl:if>
						<xsl:if test="count(INVOICESaleTerms/INVOICESALETERMS_ITEM[string-length(SaleTermsCode)>0 and string-length(SaleTermsDescription)>0])>0">
							<xsl:for-each select="INVOICESaleTerms/INVOICESALETERMS_ITEM[string-length(SaleTermsCode)>0 and string-length(SaleTermsDescription)>0]">
								<catComFin_ru:InvoiceSaleTerms>
									<catComFin_ru:SaleTermsCode><xsl:value-of select="SaleTermsCode"/></catComFin_ru:SaleTermsCode>
									<catComFin_ru:SaleTermsDescription><xsl:value-of select="SaleTermsDescription"/></catComFin_ru:SaleTermsDescription>
								</catComFin_ru:InvoiceSaleTerms>
							</xsl:for-each>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(DispatchCountryCode)=0 and count(//OEZ_IMPORTEXPORTNOTIF_ITEM)>0">
								<DispatchCountryCode>NN</DispatchCountryCode>
							</xsl:when>
							<xsl:otherwise>
								<DispatchCountryCode><xsl:value-of select="DispatchCountryCode"/></DispatchCountryCode>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="string-length(TradingCountryCode)=0 and count(//OEZ_IMPORTEXPORTNOTIF_ITEM)>0">
								<TradingCountryCode>NN</TradingCountryCode>
							</xsl:when>
							<xsl:otherwise>
								<TradingCountryCode><xsl:value-of select="TradingCountryCode"/></TradingCountryCode>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="string-length(DestinationCountryCode)=0 and count(//OEZ_IMPORTEXPORTNOTIF_ITEM)>0">
								<DestinationCountryCode>NN</DestinationCountryCode>
							</xsl:when>
							<xsl:otherwise>
								<DestinationCountryCode><xsl:value-of select="DestinationCountryCode"/></DestinationCountryCode>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(DeadLine)>0">
							<Deadline>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DeadLine"/>
								</xsl:call-template>
							</Deadline>
						</xsl:if>
					</DeliveryTerms>
					<!--#72835  Нужно не копировать номера вагонов в грузовую ведомость при создании ведомости на основе инвойса, или не отправлять их в таможню при преобразовании на сервере ФБ-->
					<!--#73625 Создание инвойса на основании приложения к инвойсу 20.04.2017 10:08, вопрос: Нужно ли информацию по вагонам указывать в таможенном формате Инвойса?   Кравцов Дмитрий пишет: - УКАЗЫВАЕМ!-->
					<xsl:if  test="$BuildName='otvt'">
						<xsl:for-each select="Carriage/CARRIAGE_ITEM[string-length(CarriageId)>0]">
							<xsl:variable name="Num" select="normalize-space(CarriageId)"/>
							<xsl:variable name="Vid">
								<xsl:choose>
									<xsl:when test="string-length(TransportModeCode)>0"><xsl:value-of select="TransportModeCode"/></xsl:when>
									<xsl:when test="contains(CarriageId,'T/X')>0 or (count(//CONOSAMENT/CONOSAMENT_ITEM[VesselName=$Num])>0) or (count(//CONOSAMENT/CONOSAMENT_ITEM)>0 and count(//RWB)=0 and count(//CMR)=0)">10</xsl:when>
									<xsl:when test="count(//RWB)>0">20</xsl:when>
									<xsl:when test="count(//CMR)>0 and count(//TIR)>0"><xsl:value-of select="//TIR/TIR_ITEM/TransportModeCode"/></xsl:when>
									<xsl:when test="count(//CMR)>0 and count(//TIR)=0">30</xsl:when>
									<xsl:when test="count(//TTN)>0 and count(//TTN/TTN_ITEM[PrimeMoverStateSignID=$Num or TrailerStateSignID=$Num])>0">30</xsl:when>
								</xsl:choose>
							</xsl:variable>
							<xsl:if  test="string-length($Num)>0 and string-length($Vid)>0">
								<TransportMeans>
									<catComFin_ru:Number><xsl:value-of select="$Num"/></catComFin_ru:Number>
									<catComFin_ru:ModeCode><xsl:value-of select="$Vid"/></catComFin_ru:ModeCode>
									<xsl:if test="string-length(NationalityCode)>0">
										<catComFin_ru:NationalityCode><xsl:value-of select="NationalityCode"/></catComFin_ru:NationalityCode>
									</xsl:if>
									<xsl:if test="string-length(MoverIndicator)>0">
										<catComFin_ru:MoverIndicator><xsl:value-of select="MoverIndicator"/></catComFin_ru:MoverIndicator>
									</xsl:if>	
								</TransportMeans>
							</xsl:if>
						</xsl:for-each>	
					</xsl:if>	
					<Registration>
						<xsl:choose>
							<xsl:when test="string-length(InvoiceName)=0">
								<cat_ru:PrDocumentName>Invoice</cat_ru:PrDocumentName>
							</xsl:when>
							<xsl:otherwise>
								<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(RegNum)>0">
							<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
						</xsl:if>
						<xsl:if test="string-length(RegDate)>0">
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
						</xsl:if>
					</Registration>
					<xsl:if test="string-length(ContractNum)>0 and string-length(ContractDate)>0">
						<Contract>
							<xsl:choose>
								<xsl:when test="string-length(ContractName)=0">
									<cat_ru:PrDocumentName>Contract</cat_ru:PrDocumentName>
								</xsl:when>
								<xsl:otherwise>
									<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(ContractNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(ContractDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="ContractDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</Contract>
					</xsl:if>
					<xsl:if test="count(INVOICEEnclosure/INVOICEENCLOSURE_ITEM[string-length(DocumentNumber)>0])>0">
						<xsl:for-each select="INVOICEEnclosure/INVOICEENCLOSURE_ITEM[string-length(DocumentNumber)>0]">
							<Enclosure>
								<xsl:if test="string-length(DocumentName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(DocumentNumber)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
								</xsl:if>
								<xsl:if test="string-length(DocumentDate)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocumentDate"/>
										</xsl:call-template>											
									</cat_ru:PrDocumentDate>
								</xsl:if>
							</Enclosure>
						</xsl:for-each>
					</xsl:if>
				</Invoice>
			</DocBody>
		</ContainerDoc>
	</xsl:template>		
</xsl:stylesheet>
