<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
			<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
			<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
			<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
			<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
			<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="DOVER">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="DOVER">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/DOVER/DOVER_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_LetterOfAttorney"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="DOVER_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content_LetterOfAttorney"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="content_LetterOfAttorney">
		<LetterOfAttorney DocumentModeID="1002008E" xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:LetterOfAttorney:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="Subject"/>
							<xsl:with-param name="NodeName" select="'Subject'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:LetterOfAttorney:5.10.0'"/> 
							<xsl:with-param name="NameMes" select="false"/> 
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<xsl:if  test="string-length(TypeDoc)>0">
							<TypeOfAttorney><xsl:value-of select="TypeDoc"/></TypeOfAttorney>
						</xsl:if>	
						<EndDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="EndDate"/>
							</xsl:call-template>
						</EndDate>
						<DocumentReference>
							<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
						</DocumentReference>
						<Organization>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<OrganizationPerson>
								<cat_ru:PersonSurname><xsl:value-of select="Org_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="Org_PersonName2"/></cat_ru:PersonName>
								<cat_ru:PersonMiddleName><xsl:value-of select="Org_PersonMiddleName"/></cat_ru:PersonMiddleName>
								<cat_ru:PersonPost><xsl:value-of select="Org_PersonPost"/></cat_ru:PersonPost>
							</OrganizationPerson>
						</Organization>
						<AuthoritiesDocument>
							<cat_ru:PrDocumentName><xsl:value-of select="AuthDocName"/></cat_ru:PrDocumentName>
							<cat_ru:PrDocumentNumber><xsl:value-of select="AuthDocNumber"/></cat_ru:PrDocumentNumber>
							<cat_ru:PrDocumentDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="AuthDocDate"/>
								</xsl:call-template>
							</cat_ru:PrDocumentDate>
							<cat_ru:ComplationAuthorityDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="AuthEndDate"/>
								</xsl:call-template>
							</cat_ru:ComplationAuthorityDate>
						</AuthoritiesDocument>
						<EmpoweredPerson>
							<cat_ru:PersonSurname><xsl:value-of select="Empowered_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="Empowered_PersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="Empowered_PersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="Empowered_PersonPost"/></cat_ru:PersonPost>
							<Passport>
								<cat_ru:IdentityCardCode><xsl:value-of select="Empowered_IdentityCardCode"/></cat_ru:IdentityCardCode>
								<cat_ru:IdentityCardName><xsl:value-of select="Empowered_IdentityCardName"/></cat_ru:IdentityCardName>
								<cat_ru:IdentityCardSeries><xsl:value-of select="Empowered_IdentityCardSeries"/></cat_ru:IdentityCardSeries>
								<cat_ru:IdentityCardNumber><xsl:value-of select="Empowered_IdentityCardNumber"/></cat_ru:IdentityCardNumber>
								<cat_ru:IdentityCardDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="Empowered_IdentityCardDate"/>
									</xsl:call-template>
								</cat_ru:IdentityCardDate>
								<cat_ru:OrganizationName><xsl:value-of select="Empowered_IdentityCardOrgName"/></cat_ru:OrganizationName>
							</Passport>
						</EmpoweredPerson>
						<PersonSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							<cat_ru:IssueDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
								</xsl:call-template>
							</cat_ru:IssueDate>
						</PersonSignature>
					</LetterOfAttorney>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
