<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="OEZ_IMPORTEXPORTNOTIF"/>
	</xsl:template>

	<xsl:template name="OEZ_IMPORTEXPORTNOTIF">
		<xsl:for-each select="//OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM">
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<xsl:choose>
						<xsl:when test="ImEx=0">
							<OEZ_ImportNotif xmlns="urn:customs.ru:Information:CustomsDocuments:OEZ_ImportNotif:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006141E">
								<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
								<ImportDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="ImExDate"/>
									</xsl:call-template>
								</ImportDate>
								<xsl:if test="string-length(AddInformation)>0">
									<AddInformation><xsl:value-of select="AddInformation"/></AddInformation>
								</xsl:if>
								<DocSign>
									<xsl:choose>
										<xsl:when test="string-length(DocSign)=0">1</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="DocSign"/>
										</xsl:otherwise>
									</xsl:choose>
								</DocSign>
								<Customs>
									<cat_ru:Code><xsl:value-of select="Code"/></cat_ru:Code>
									<xsl:if test="string-length(OfficeName)>0">
										<cat_ru:OfficeName><xsl:value-of select="OfficeName"/></cat_ru:OfficeName>
									</xsl:if>
								</Customs>
								<Consignee>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref">
											<xsl:choose>
												<xsl:when test="string-length(IncidentNotif_Name)>0">
													<xsl:value-of select="'IncidentNotif_'"/>
												</xsl:when>
												<xsl:when test="string-length(Consignee_Name)>0">
													<xsl:value-of select="'Consignee_'"/>
												</xsl:when>
											</xsl:choose>
										</xsl:with-param>
										<xsl:with-param name="ReqNode" select="false"/>		
										<xsl:with-param name="PostalAddress" select="3"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ImportNotif:5.10.0'"/>
									</xsl:call-template> 											
								</Consignee>
								<TransportMeans>
									<TransportKind><xsl:value-of select="TransportKind"/></TransportKind>
									<xsl:if test="string-length(TransportMark)>0">
										<TransportMark><xsl:value-of select="TransportMark"/></TransportMark>
									</xsl:if>
									<xsl:for-each select="TransportNumber/TRANSPORTNUMBER_ITEM[string-length(TransportRegNumber)>0]">
										<TransportRegNumber><xsl:value-of select="TransportRegNumber"/></TransportRegNumber>
									</xsl:for-each>
									<ActiveTransportIdentifier><xsl:value-of select="ActiveTransportNumber"/></ActiveTransportIdentifier>
								</TransportMeans>
								<xsl:for-each select="OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM">
									<GoodsInfo>
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="GoodsDescription"/>
											<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ImportNotif:5.10.0'"/>
											<xsl:with-param name="NameMes" select="false"/> 
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>
										<GoodsStatus><xsl:value-of select="GoodsStatusIm"/></GoodsStatus>	
										<xsl:if test="string-length(CustomsModeCode)>0">
											<CustomsModeCode><xsl:value-of select="CustomsModeCode"/></CustomsModeCode>
										</xsl:if>	
										<xsl:if test="string-length(GoodsIdentification)>0">
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="GoodsIdentification"/>
												<xsl:with-param name="NodeName" select="'GoodsIdentification'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ImportNotif:5.10.0'"/>
												<xsl:with-param name="NameMes" select="false"/> 
												<xsl:with-param name="LenDes" select="250"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="string-length(Note)>0">	
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="Note"/>
												<xsl:with-param name="NodeName" select="'Note'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ImportNotif:5.10.0'"/>
												<xsl:with-param name="LenDes" select="250"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="string-length(PackagesQuantity)>0">	
											<PackagesQuantity><xsl:value-of select="PackagesQuantity"/></PackagesQuantity>
										</xsl:if>
										<xsl:if test="string-length(PackagingKind)>0">	
											<PackagingKind><xsl:value-of select="PackagingKind"/></PackagingKind>
										</xsl:if>
										<xsl:if test="string-length(GoodsTNVEDCode)>0">	
											<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
										</xsl:if>
										<SupplementaryQuantity>
											<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantityIm"/></cat_ru:GoodsQuantity>
											<xsl:if test="string-length(MeasureUnitQualifierNameIm)>0">
												<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierNameIm"/></cat_ru:MeasureUnitQualifierName>
											</xsl:if>
											<xsl:if test="string-length(MeasureUnitQualifierCodeIm)>0">
												<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCodeIm"/></cat_ru:MeasureUnitQualifierCode>
											</xsl:if>
										</SupplementaryQuantity>
										<xsl:if test="string-length(../../Consignee_Name)>0 or string-length(../../Consignee_PostalCode)>0 or string-length(../../Consignee_CountryCode)>0 or string-length(../../Consignee_CountryName)>0 or string-length(../../Consignee_Region)>0 or string-length(../../Consignee_City)>0 or string-length(../../Consignee_StreetHouse)>0">
											<xsl:call-template name="FirmNodeConstr">
												<xsl:with-param name="Pref" select="'Consignee_'"/>
												<xsl:with-param name="ReqNode" select="false"/>	
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
												<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
											</xsl:call-template>
										</xsl:if>
									</GoodsInfo>
								</xsl:for-each>
							</OEZ_ImportNotif>
						</xsl:when>
						<xsl:when test="ImEx=1">
							<OEZ_ExportNotif xmlns="urn:customs.ru:Information:CustomsDocuments:OEZ_ExportNotif:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006144E">
								<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
								<xsl:if test="string-length(ImExDate)>0">
									<ExportDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="ImExDate"/>
										</xsl:call-template>
									</ExportDate>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(ExPassKind)>0">
										<PassKind><xsl:value-of select="ExPassKind"/></PassKind>
									</xsl:when>
									<xsl:otherwise>
										<PassKind>0</PassKind>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length(AddInformation)>0">
									<AddInformation><xsl:value-of select="AddInformation"/></AddInformation>
								</xsl:if>
								<xsl:if test="string-length(ExProvisionalDateBegin)>0">
									<ProvisionalDateBegin>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="ExProvisionalDateBegin"/>
										</xsl:call-template>
									</ProvisionalDateBegin>
								</xsl:if>	
								<xsl:if test="string-length(ExProvisionalDateEnd)>0">
									<ProvisionalDateEnd>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="ExProvisionalDateEnd"/>
										</xsl:call-template>
									</ProvisionalDateEnd>
								</xsl:if>
								<DocSign>
									<xsl:choose>
										<xsl:when test="string-length(DocSign)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="DocSign"/>
										</xsl:otherwise>
									</xsl:choose>
								</DocSign>
								<IncidentNotif>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'IncidentNotif_'"/>
										<xsl:with-param name="ReqNode" select="false"/>		
										<xsl:with-param name="PostalAddress" select="3"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ExportNotif:5.10.0'"/>
									</xsl:call-template> 														
								</IncidentNotif>	
								<Customs>
									<cat_ru:Code><xsl:value-of select="Code"/></cat_ru:Code>
									<xsl:if test="string-length(Code)>0">
										<cat_ru:OfficeName><xsl:value-of select="OfficeName"/></cat_ru:OfficeName>
									</xsl:if>
								</Customs>
								<xsl:if test="string-length(Consignee_Name)>0 or string-length(Consignee_PostalCode)>0 or string-length(Consignee_CountryCode)>0 or string-length(Consignee_CountryName)>0 or string-length(Consignee_Region)>0 or string-length(Consignee_City)>0 or string-length(Consignee_StreetHouse)>0">
									<Consignor>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>		
											<xsl:with-param name="PostalAddress" select="3"/>	
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ExportNotif:5.10.0'"/>
										</xsl:call-template> 														
									</Consignor>	
								</xsl:if>	
								<TransportMeans>
									<EmptyIndicator>
										<xsl:choose>
											<xsl:when test="count(OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM[string-length(GoodsDescription)>0])>0">0</xsl:when>
											<xsl:otherwise>1</xsl:otherwise>
										</xsl:choose>
									</EmptyIndicator>
									<TransportKind><xsl:value-of select="TransportKind"/></TransportKind>
									<xsl:if test="string-length(TransportMark)>0">
										<TransportMark><xsl:value-of select="TransportMark"/></TransportMark>
									</xsl:if>
									<xsl:for-each select="TransportNumber/TRANSPORTNUMBER_ITEM[string-length(TransportRegNumber)>0]">
										<TransportRegNumber><xsl:value-of select="TransportRegNumber"/></TransportRegNumber>
									</xsl:for-each>
									<ActiveTransportIdentifier><xsl:value-of select="ActiveTransportNumber"/></ActiveTransportIdentifier>
								</TransportMeans>
								<xsl:for-each select="OEZ_IMPORTEXPORTNOTIFGoods/OEZ_IMPORTEXPORTNOTIFGOODS_ITEM">
									<GoodsInfo>
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="GoodsDescription"/>
											<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ExportNotif:5.10.0'"/>
											<xsl:with-param name="NameMes" select="false"/> 
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>
										<PackagesQuantity><xsl:value-of select="PackagesQuantity"/></PackagesQuantity>
										<PackagingKind><xsl:value-of select="PackagingKind"/></PackagingKind>
										<WeighQuantity><xsl:value-of select="format-number(WeighQuantity,'#')"/></WeighQuantity>
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="Note"/>
											<xsl:with-param name="NodeName" select="'Note'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ExportNotif:5.10.0'"/>
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>
										<xsl:if test="string-length(GoodsQuantityIm)>0">
											<SupplementaryQuantity>
												<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantityIm"/></cat_ru:GoodsQuantity>
												<xsl:if test="string-length(MeasureUnitQualifierNameIm)>0">
													<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierNameIm"/></cat_ru:MeasureUnitQualifierName>
												</xsl:if>
												<xsl:if test="string-length(MeasureUnitQualifierCodeIm)>0">
													<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCodeIm"/></cat_ru:MeasureUnitQualifierCode>
												</xsl:if>
											</SupplementaryQuantity>																	
										</xsl:if>	
										<xsl:for-each select="GoodsStatusEx/GOODSSTATUSEX_ITEM[string-length(StatusSymbolicValue)>0]">
											<GoodsStatus>
												<StatusSymbolicValue><xsl:value-of select="StatusSymbolicValue"/></StatusSymbolicValue>
												<xsl:if test="string-length(CustomsModeCode)>0">
													<CustomsModeCode><xsl:value-of select="CustomsModeCode"/></CustomsModeCode>
												</xsl:if>
												<xsl:if test="string-length(GoodsNumeric)>0">
													<GoodsNumeric><xsl:value-of select="GoodsNumeric"/></GoodsNumeric>
												</xsl:if>
												<xsl:if test="string-length(NetWeightQuantity)>0">
													<NetWeightQuantity><xsl:value-of select="format-number(NetWeightQuantity,'#')"/></NetWeightQuantity>
												</xsl:if>
												<xsl:if test="string-length(GTD)>0 and substring(GTD,9,1)='/' and substring(GTD,16,1)='/'">
													<GTDID>
														<cat_ru:CustomsCode><xsl:value-of select="substring(GTD,1,8)"/></cat_ru:CustomsCode>
														<cat_ru:RegistrationDate><xsl:value-of select="concat('20',substring(GTD,14,2),'-',substring(GTD,12,2),'-',substring(GTD,10,2))"/></cat_ru:RegistrationDate>
														<cat_ru:GTDNumber><xsl:value-of select="substring(GTD,17)"/></cat_ru:GTDNumber>
													</GTDID>
												</xsl:if>
												<xsl:if test="string-length(GoodsQuantityIm)>0">
													<SupplementaryQuantity>
														<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantityIm"/></cat_ru:GoodsQuantity>
														<xsl:if test="string-length(MeasureUnitQualifierNameIm)>0">
															<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierNameIm"/></cat_ru:MeasureUnitQualifierName>
														</xsl:if>
														<xsl:if test="string-length(MeasureUnitQualifierCodeIm)>0">
															<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCodeIm"/></cat_ru:MeasureUnitQualifierCode>
														</xsl:if>
													</SupplementaryQuantity>																
												</xsl:if>	
											</GoodsStatus>
										</xsl:for-each>
									</GoodsInfo>
								</xsl:for-each>
							</OEZ_ExportNotif>
						</xsl:when>
					</xsl:choose>
				</DocBody>
			</ContainerDoc>	
		</xsl:for-each>	
	</xsl:template>		
</xsl:stylesheet>
