<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerInventoryArchDocID.xsl"/>
	<xsl:template match="/Package">
		<xsl:apply-templates mode="oezInventory-armti" select="OEZ_INVENTORY/OEZ_INVENTORY_ITEM">
			<xsl:with-param name="ArchNum" select="1"/>
		</xsl:apply-templates>
	</xsl:template>
	<xsl:template name="oezInventory-armti">
		<xsl:apply-templates mode="oezInventory-armti" select="OEZ_INVENTORY/OEZ_INVENTORY_ITEM"/>
	</xsl:template>
	<xsl:template match="OEZ_INVENTORY/OEZ_INVENTORY_ITEM" mode="oezInventory-armti">
		<xsl:param name="ArchNum"/>
		<xsl:choose>
			<xsl:when test="count(//OEZ_INVENTORY/OEZ_INVENTORY_ITEM)=0">
				<xsl:message terminate="yes">Опись электронных документов для ОЭЗ отсутсвует в пакете.</xsl:message>
			</xsl:when>
			<xsl:otherwise>
				<xsl:for-each select="//OEZ_INVENTORY[1]/OEZ_INVENTORY_ITEM" >
					<OEZ_Inventory xmlns="urn:customs.ru:Information:CustomsDocuments:OEZ_Inventory:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006146E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<InventoryInstanceDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</InventoryInstanceDate>
						<xsl:for-each select="InventDocument/INVENTDOCUMENT_ITEM[string-length(InvDocCode)>0 and string-length(InvDocName)>0 and string-length(DocumentFormSign)>0]">
							<xsl:variable name="NumDat" select="concat(InvDocName,InvDocNumber,substring(InvDocDate,1,10))"/>
							<InventDocument>
								<xsl:choose>
									<xsl:when test="InvDocCode='09999' and count(//PASSPORTRF_ITEM[concat('Документ, удостоверяющий личность',RegNum,substring(RegDate,1,10))=$NumDat or concat('Паспорт гражданина РФ',RegNum,substring(RegDate,1,10))=$NumDat])>0">
										<InvDocCode>11001</InvDocCode>
										<InvDocName>Документ, удостоверяющий личность</InvDocName>
									</xsl:when>
									<xsl:when test="InvDocCode='09999' and count(//DOVER_ITEM[concat(DocName,RegNum,substring(RegDate,1,10))=$NumDat])>0">
										<InvDocCode>11003</InvDocCode>
										<InvDocName><xsl:value-of select="InvDocName"/></InvDocName>
									</xsl:when>
									<xsl:otherwise>
										<InvDocCode><xsl:value-of select="InvDocCode"/></InvDocCode>
										<InvDocName><xsl:value-of select="InvDocName"/></InvDocName>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length(InvDocNumber)>0">
									<InvDocNumber><xsl:value-of select="InvDocNumber"/></InvDocNumber>
								</xsl:if>
								<xsl:if test="string-length(InvDocDate)>0 and InvDocCode!='02024'">
									<InvDocDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="InvDocDate"/>
										</xsl:call-template>
									</InvDocDate>
								</xsl:if>
								<xsl:if test="string-length(InvDocLists)>0">
									<InvDocLists><xsl:value-of select="InvDocLists"/></InvDocLists>
								</xsl:if>
								<xsl:if test="string-length(InvDocCopies)>0">
									<InvDocCopies><xsl:value-of select="InvDocCopies"/></InvDocCopies>
								</xsl:if>
								<xsl:if test="string-length(Note)>0">
									<Note><xsl:value-of select="Note"/></Note>
								</xsl:if>
								<xsl:if test="$ArchNum=1">
									<xsl:apply-templates mode="Inventory-Arch" select=".">
										<xsl:with-param name="namespace-uri" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_Inventory:5.10.0'"/>
										<xsl:with-param name="DocCode">
											<xsl:choose>
												<xsl:when test="InvDocCode='09999' and count(//PASSPORTRF_ITEM[concat('Документ, удостоверяющий личность',RegNum,substring(RegDate,1,10))=$NumDat or concat('Паспорт гражданина РФ',RegNum,substring(RegDate,1,10))=$NumDat])>0">11001</xsl:when>
												<xsl:when test="InvDocCode='09999' and count(//DOVER_ITEM[concat(DocName,RegNum,substring(RegDate,1,10))=$NumDat])>0">11003</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="InvDocCode"/>
												</xsl:otherwise>
											</xsl:choose>		
										</xsl:with-param>
									</xsl:apply-templates>
									<xsl:if test="string-length(InventDocumentID)>0">
										<InventDocumentID><xsl:value-of select="InventDocumentID"/></InventDocumentID>
									</xsl:if>
									<InventLineID>00000000-0000-0000-0000-000000000000</InventLineID>
								</xsl:if>	
								<PaperDocumentSign><xsl:value-of select="DocumentFormSign"/></PaperDocumentSign>
							</InventDocument>
						</xsl:for-each>
						<InventoryInstancePerson>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonSurname"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
							<xsl:if test="string-length(DocSig_IndentityCardCode)>0 or string-length(DocSig_IdentityCardName)>0 or string-length(DocSig_IdentityCardSeries)>0 or string-length(DocSig_IdentityCardNumder)>0 or string-length(DocSig_IndentityCardDate)>0 or string-length(DocSig_OrganizationName)>0">
								<xsl:call-template name="IdentityCard">
									<xsl:with-param name="Pref" select="'DocSig_'"/>
									<xsl:with-param name="NodeName" select="'IdentityCard'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_Inventory:5.10.0'"/>
								</xsl:call-template>	
							</xsl:if>
							<xsl:if test="string-length(DocSig_AuthoritesDocName)>0 or string-length(DocSig_AuthoritesDocNum)>0 or string-length(DocSig_AuthoritesDocDate)>0 or string-length(DocSig_ComplationDocDate)>0">
								<AuthoritesDocument>
									<xsl:if test="string-length(DocSig_AuthoritesDocName)>0">
										<cat_ru:PrDocumentName>
											<xsl:value-of select="DocSig_AuthoritesDocName"/>
										</cat_ru:PrDocumentName>
									</xsl:if>
									<xsl:if test="string-length(DocSig_AuthoritesDocNum)>0">
										<cat_ru:PrDocumentNumber>
											<xsl:value-of select="DocSig_AuthoritesDocNum"/>
										</cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(DocSig_AuthoritesDocDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="DocSig_AuthoritesDocDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<xsl:if test="string-length(DocSig_ComplationDocDate)>0">
										<cat_ru:ComplationAuthorityDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="DocSig_ComplationDocDate"/>
											</xsl:call-template>
										</cat_ru:ComplationAuthorityDate>
									</xsl:if>
								</AuthoritesDocument>
							</xsl:if>
						</InventoryInstancePerson>
					</OEZ_Inventory>
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
</xsl:stylesheet>
