<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="PiNoCustoms"/>

	</xsl:template>-->

	<xsl:template name="PiNoCustoms">
		<xsl:for-each select="//ESADOUT_PIT/ESADOUT_PIT_ITEM">
		<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
		<DocBody>
			<PI_NoCustoms xmlns="urn:customs.ru:Information:PriorInformation:PI_NoCustoms:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:RUScat_ru="urn:customs.ru:RUSCommonAggregateTypes:5.11.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006823E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:variable name="RefDocumentID">
					<xsl:choose>
						<xsl:when  test="string-length(../Package/package-properties/prop[@name='RefDocumentID'])">
							<xsl:value-of select="../Package/package-properties/prop[@name='RefDocumentID']"/>
						</xsl:when>
						<xsl:when  test="string-length(RefDocumentID)">
							<xsl:value-of select="RefDocumentID"/>
						</xsl:when>
					</xsl:choose>
				</xsl:variable> 
				<xsl:if test="string-length($RefDocumentID)>0">
					<cat_ru:RefDocumentID><xsl:value-of select="$RefDocumentID"/></cat_ru:RefDocumentID>
				</xsl:if>
				<xsl:if test="string-length(Exp_CountryCode)>0">
					<Exp_CountryCode><xsl:value-of select="Exp_CountryCode"/></Exp_CountryCode>
				</xsl:if>
				<xsl:if test="string-length(Consignee_Name)>0">
					<Consignee>
						<xsl:call-template name="OrgNodeRU">
							<xsl:with-param name="Pref" select="'Consignee_'"/>
							<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:if test="string-length(Consignee_CountryName)>0 or string-length(Consignee_CountryCode)>0 or string-length(Consignee_City)>0 or string-length(Consignee_StreetHouse)>0">
							<RUScat_ru:Address>
								<xsl:call-template name="AdresLine">
									<xsl:with-param name="Pref" select="'Consignee_'"/>
								</xsl:call-template>
							</RUScat_ru:Address> 														
						</xsl:if>	
					</Consignee>
				</xsl:if>
				<xsl:if test="string-length(Carrier_Name)>0">
					<Carrier>
						<xsl:call-template name="OrgNodeRU">
							<xsl:with-param name="Pref" select="'Carrier_'"/>
							<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:if test="string-length(Carrier_CountryName)>0 or string-length(Carrier_CountryCode)>0 or string-length(Carrier_City)>0 or string-length(Carrier_StreetHouse)>0">
							<RUScat_ru:Address>
								<xsl:call-template name="AdresLine">
									<xsl:with-param name="Pref" select="'Carrier_'"/>
								</xsl:call-template>
							</RUScat_ru:Address> 														
						</xsl:if>	
					</Carrier>
				</xsl:if>
				<xsl:if test="string-length(Consignor_Name)>0">
					<Consignor>
						<xsl:call-template name="OrgNodeRU">
							<xsl:with-param name="Pref" select="'Consignor_'"/>
							<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:if test="string-length(Consignor_CountryName)>0 or string-length(Consignor_CountryCode)>0 or string-length(Consignor_City)>0 or string-length(Consignor_StreetHouse)>0">
							<RUScat_ru:Address>
								<xsl:call-template name="AdresLine">
									<xsl:with-param name="Pref" select="'Consignor_'"/>
								</xsl:call-template>
							</RUScat_ru:Address> 														
						</xsl:if>	
					</Consignor>
				</xsl:if>
				<GoodsInform>
					<TotalGoodsNameQuantity><xsl:value-of select="count(//ESADOUT_PITGOODS_ITEM/GoodsCode)"/></TotalGoodsNameQuantity>
					<xsl:if test="string-length(ArrivalDate)>0">
						<DateExpectedArrival>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="ArrivalDate"/>
							</xsl:call-template>
						</DateExpectedArrival>
						<xsl:if test="string-length(ArrivalTime)>0">
							<TimeExpectedArrival>
								<xsl:call-template name="TranslateTime">
									<xsl:with-param name="Dat" select="ArrivalTime"/>
								</xsl:call-template>
							</TimeExpectedArrival>
						</xsl:if>
					</xsl:if>
					<xsl:for-each select="//ESADOUT_PITGOODS_ITEM">
						<Goods>
							<catpi_ru:GoodsNumeric>
								<xsl:choose>
									<xsl:when test="string-length(GoodsNumeric)>0">
										<xsl:value-of select="GoodsNumeric"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="position()"/>
									</xsl:otherwise>
								</xsl:choose>
							</catpi_ru:GoodsNumeric>
							<xsl:if test="string-length(GoodsCode)>0">
								<catpi_ru:GoodsTNVEDCode><xsl:value-of select="substring(GoodsCode,1,10)"/></catpi_ru:GoodsTNVEDCode>
							</xsl:if>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="normalize-space(GoodsDescription)"/>
								<xsl:with-param name="NodeName" select="'catpi_ru:GoodsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>											
							</xsl:call-template>	
							<xsl:if test="string-length(GrossWeightQuantity)>0">
								<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:GrossWeightQuantity>
							</xsl:if>
							<xsl:if test="string-length(NetWeightQuantity)>0">
								<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:NetWeightQuantity>
							</xsl:if>	
							<xsl:if test="string-length(GoodsQuantity)>0 and number(GoodsQuantity)>0">
								<xsl:variable name="Dei">
									<xsl:choose>
										<xsl:when test="string-length(MeasureUnitQualifierCode)>0">
											<xsl:value-of select="MeasureUnitQualifierCode"/>
										</xsl:when>
										<xsl:when test="string-length(CodeDEI)>0">
											<xsl:value-of select="CodeDEI"/>
										</xsl:when>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="NameDei" select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$Dei]/ABBR"/>
								<GoodsMeasureQuantity>
									<catpi_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catpi_ru:GoodsQuantity>	
									<xsl:if test="string-length($Dei)>0 and string-length($NameDei)>0">
										<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="$NameDei"/></catpi_ru:MeasureUnitQualifierName>
										<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="$Dei"/></catpi_ru:MeasureUnitQualifierCode>
									</xsl:if>
								</GoodsMeasureQuantity>
							</xsl:if>	
							<xsl:if test="string-length(OriginCountryCode)>0">
								<OriginCountryCode><xsl:value-of select="OriginCountryCode"/></OriginCountryCode>
							</xsl:if>
							<xsl:if test="string-length(PlacesCode)>0">
								<GoodsPackaging>
									<xsl:if test="string-length(PlacesQuantity)>0">
										<catpi_ru:PakageQuantity><xsl:value-of select="PlacesQuantity"/></catpi_ru:PakageQuantity>
									</xsl:if>	
									<catpi_ru:CargoCode><xsl:value-of select="PlacesCode"/></catpi_ru:CargoCode>
									<xsl:if test="string-length(CargoDescription)>0">
										<catpi_ru:CargoDescription><xsl:value-of select="CargoDescription"/></catpi_ru:CargoDescription>
									</xsl:if>
									<xsl:for-each select="Seals/SEALS_ITEM[string-length(SealID)>0]">	
										<catpi_ru:Seal><xsl:value-of select="SealID"/></catpi_ru:Seal>
									</xsl:for-each>
									<xsl:for-each select="GoodsPackingInfo/GOODSPACKINGINFO_ITEM[string-length(PackingCode)>0 and string-length(PackingQuantity)>0]">
										<catpi_ru:PackingInformation>
											<catpi_ru:PackingCode><xsl:value-of select="PackingCode"/></catpi_ru:PackingCode>
											<catpi_ru:PakingQuantity><xsl:value-of select="PackingQuantity"/></catpi_ru:PakingQuantity>
											<xsl:if test="string-length(CargoDescription)>0">
												<catpi_ru:PackingMark><xsl:value-of select="PackingMark"/></catpi_ru:PackingMark>
											</xsl:if>
										</catpi_ru:PackingInformation>
									</xsl:for-each>
								</GoodsPackaging>
							</xsl:if>
							<xsl:variable name="SanNodeNotSp" select="count(child::*[contains(name(),'San_') and string-length(.)>0])+count(child::*/child::*/child::*[contains(name(parent::*),'SAN_') and string-length(.)>0])"/>
							<xsl:variable name="VetNodeNotSp" select="count(child::*[contains(name(),'Vet_') and string-length(.)>0])+count(child::*/child::*/child::*[contains(name(parent::*),'VET_') and string-length(.)>0])"/>
							<xsl:variable name="FitoNodeNotSp" select="count(child::*[contains(name(),'Fito_') and string-length(.)>0])"/>
							<xsl:if  test="number($SanNodeNotSp)>0 or number($VetNodeNotSp)>0 or number($FitoNodeNotSp)>0">
								<ControlNoCustoms>
									<xsl:if  test="number($SanNodeNotSp)>0">
										<catpi_ru:SanitaryQuarantine>
											<xsl:if test="string-length(San_DocPermitName)>0 or string-length(San_DocPermitNum)>0 or string-length(San_DocPermitDate)>0 or string-length(San_DocPermitExpiredDate)>0 or string-length(San_DocPermitModeCode)>0 or string-length(San_GrossWeightQuantity)>0 or string-length(San_NetWeightQuantity)>0 or string-length(San_GoodsQuantity)>0">
												<catpi_ru:DocPermit>
													<xsl:if test="string-length(San_DocPermitName)>0">
														<cat_ru:PrDocumentName><xsl:value-of select="San_DocPermitName"/></cat_ru:PrDocumentName>
													</xsl:if>
													<xsl:if test="string-length(San_DocPermitNum)>0">
														<cat_ru:PrDocumentNumber><xsl:value-of select="San_DocPermitNum"/></cat_ru:PrDocumentNumber>
													</xsl:if>
													<xsl:if test="string-length(San_DocPermitDate)>0">
														<cat_ru:PrDocumentDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="San_DocPermitDate"/>
															</xsl:call-template>
														</cat_ru:PrDocumentDate>
													</xsl:if>
													<xsl:if test="string-length(San_DocPermitModeCode)>0">
														<catpi_ru:PresentedDocumentModeCode><xsl:value-of select="San_DocPermitModeCode"/></catpi_ru:PresentedDocumentModeCode>
													</xsl:if>
													<xsl:if test="string-length(San_DocPermitExpiredDate)>0">
														<catpi_ru:ExpiredDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="San_DocPermitExpiredDate"/>
															</xsl:call-template>
														</catpi_ru:ExpiredDate>
													</xsl:if>
													<xsl:if test="string-length(San_NetWeightQuantity)>0">
														<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(San_NetWeightQuantity * 1000000) div 1000000,'0.000000')"/></catpi_ru:NetWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(San_GrossWeightQuantity)>0">
														<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(San_GrossWeightQuantity * 1000000) div 1000000,'0.000000')"/></catpi_ru:GrossWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(San_GoodsQuantity)>0">
														<catpi_ru:GoodsMeasureQuantity>
															<catpi_ru:GoodsQuantity><xsl:value-of select="San_GoodsQuantity"/></catpi_ru:GoodsQuantity>
															<xsl:variable name="SanDEI" select ="SanMeasureUnitQualifierCode"/>
															<xsl:variable name="SanNameDEI" select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$SanDEI]/ABBR"/>
															<xsl:if test="string-length($SanDEI)>0 and string-length($SanNameDEI)>0">
																<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="$SanNameDEI"/></catpi_ru:MeasureUnitQualifierName>
																<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="$SanDEI"/></catpi_ru:MeasureUnitQualifierCode>
															</xsl:if>
														</catpi_ru:GoodsMeasureQuantity>
													</xsl:if>
												</catpi_ru:DocPermit>
											</xsl:if>
											<xsl:if test="string-length(San_OriginPlace)>0">
												<catpi_ru:OriginPlace><xsl:value-of select="San_OriginPlace"/></catpi_ru:OriginPlace>
											</xsl:if>
											<xsl:if test="string-length(San_GoodsPurpose)>0">
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="normalize-space(San_GoodsPurpose)"/>
													<xsl:with-param name="NodeName" select="'catpi_ru:GoodsPurpose'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
													<xsl:with-param name="NameMes" select="false"/> 
													<xsl:with-param name="LenDes" select="250"/>											
												</xsl:call-template>	
											</xsl:if>	
											<xsl:if test="string-length(San_FoodGoods)>0">
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="normalize-space(San_FoodGoods)"/>
													<xsl:with-param name="NodeName" select="'catpi_ru:FoodGoods'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
													<xsl:with-param name="NameMes" select="false"/> 
													<xsl:with-param name="LenDes" select="250"/>											
												</xsl:call-template>	
											</xsl:if>
											<xsl:if test="string-length(San_PromGoods)>0">
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="normalize-space(San_PromGoods)"/>
													<xsl:with-param name="NodeName" select="'catpi_ru:PromGoods'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
													<xsl:with-param name="NameMes" select="false"/> 
													<xsl:with-param name="LenDes" select="250"/>											
												</xsl:call-template>	
											</xsl:if>
											<xsl:if test="string-length(San_DateSeaDecl)>0">
												<catpi_ru:DateSeaDecl>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="San_DateSeaDecl"/>
													</xsl:call-template>
												</catpi_ru:DateSeaDecl>
											</xsl:if>
											<xsl:for-each select="San_LoadingPorts/SAN_LOADINGPORTS_ITEM[string-length(CountryCode)>0 and (string-length(Code)>0 or string-length(Name)>0)]">
												<catpi_ru:Ports>
													<catpi_ru:CountryCode><xsl:value-of select="CountryCode"/></catpi_ru:CountryCode>
													<catpi_ru:PortName>
														<xsl:choose>
															<xsl:when test="string-length(Name)>0"><xsl:value-of select="Name"/></xsl:when>
															<xsl:when  test="string-length(Code)>0">
																<xsl:variable name="NamP" select="Code"/>
																<xsl:value-of select="document('../../NSI/Ports.xml')//SeaPorts_ITEM[PortCode=$NamP]/PortRUS"/>
															</xsl:when>
														</xsl:choose>
													</catpi_ru:PortName>
												</catpi_ru:Ports>
											</xsl:for-each>
											<xsl:for-each select="San_DangerPort/SAN_DANGERPORT_ITEM[string-length(CountryCode)>0 and (string-length(Code)>0 or string-length(Name)>0)]">
												<catpi_ru:DangerPort>
													<catpi_ru:CountryCode><xsl:value-of select="CountryCode"/></catpi_ru:CountryCode>
													<catpi_ru:PortName>
														<xsl:choose>
															<xsl:when test="string-length(Name)>0"><xsl:value-of select="Name"/></xsl:when>
															<xsl:when  test="string-length(Code)>0">
																<xsl:variable name="NamP" select="Code"/>
																<xsl:value-of select="document('../../NSI/Ports.xml')//SeaPorts_ITEM[PortCode=$NamP]/PortRUS"/>
															</xsl:when>
														</xsl:choose>
													</catpi_ru:PortName>
												</catpi_ru:DangerPort>
											</xsl:for-each>
											<xsl:if test="string-length(San_DangerDate)>0">
												<catpi_ru:DangerDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="San_DangerDate"/>
													</xsl:call-template>
												</catpi_ru:DangerDate>
											</xsl:if>
											<xsl:if test="string-length(San_Immunity)>0">
												<catpi_ru:Immunity><xsl:value-of select="San_Immunity"/></catpi_ru:Immunity>
											</xsl:if>
											<xsl:if test="string-length(San_Effect)>0">
												<catpi_ru:Effect><xsl:value-of select="San_Effect"/></catpi_ru:Effect>
											</xsl:if>
											<xsl:if test="string-length(San_Raid)>0">
												<catpi_ru:Raid><xsl:value-of select="San_Raid"/></catpi_ru:Raid>
											</xsl:if>
											<xsl:if test="string-length(San_FreePass)>0">
												<catpi_ru:FreePass><xsl:value-of select="San_FreePass"/></catpi_ru:FreePass>
											</xsl:if>
											<xsl:if test="string-length(San_Equipment)>0">
												<catpi_ru:Equipment><xsl:value-of select="San_Equipment"/></catpi_ru:Equipment>
											</xsl:if>
											<xsl:if test="string-length(San_insecticide)>0">
												<catpi_ru:insecticide><xsl:value-of select="San_insecticide"/></catpi_ru:insecticide>
											</xsl:if>
											<xsl:if test="string-length(San_Prevention)>0">
												<catpi_ru:Prevention><xsl:value-of select="San_Prevention"/></catpi_ru:Prevention>
											</xsl:if>
											<xsl:if test="string-length(San_Insects)>0">
												<catpi_ru:Insects><xsl:value-of select="San_Insects"/></catpi_ru:Insects>
											</xsl:if>
											<xsl:if test="string-length(San_Disinfestation)>0">
												<catpi_ru:Disinfestation><xsl:value-of select="San_Disinfestation"/></catpi_ru:Disinfestation>
											</xsl:if>
											<xsl:if test="string-length(San_DisinfestationSert)>0">
												<catpi_ru:DisinfestationSert><xsl:value-of select="San_DisinfestationSert"/></catpi_ru:DisinfestationSert>
											</xsl:if>
											<xsl:if test="string-length(San_RepeatInspection)>0">
												<catpi_ru:RepeatInspection><xsl:value-of select="San_RepeatInspection"/></catpi_ru:RepeatInspection>
											</xsl:if>
										</catpi_ru:SanitaryQuarantine>
									</xsl:if>
									<xsl:if  test="number($VetNodeNotSp)>0">
										<catpi_ru:Veterinary>
											<xsl:for-each select="Vet_DocPermit/VET_DOCPERMIT_ITEM[string-length(DocName)>0 or string-length(DocNum)>0 or string-length(DocDate)>0 or string-length(DocExpiredDate)>0 or string-length(ModeCode)>0 or string-length(VetGrossWeightQuantity)>0 or string-length(VetNetWeightQuantity)>0 or string-length(VetGoodsQuantity)>0]">
												<catpi_ru:DocPermit>
													<xsl:if test="string-length(DocName)>0">
														<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
													</xsl:if>
													<xsl:if test="string-length(DocNum)>0">
														<cat_ru:PrDocumentNumber><xsl:value-of select="DocNum"/></cat_ru:PrDocumentNumber>
													</xsl:if>
													<xsl:if test="string-length(DocDate)>0">
														<cat_ru:PrDocumentDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="DocDate"/>
															</xsl:call-template>
														</cat_ru:PrDocumentDate>
													</xsl:if>
													<xsl:if test="string-length(ModeCode)>0">
														<catpi_ru:PresentedDocumentModeCode><xsl:value-of select="ModeCode"/></catpi_ru:PresentedDocumentModeCode>
													</xsl:if>
													<xsl:if test="string-length(DocExpiredDate)>0">
														<catpi_ru:ExpiredDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="DocExpiredDate"/>
															</xsl:call-template>
														</catpi_ru:ExpiredDate>
													</xsl:if>
													<xsl:if test="string-length(VetNetWeightQuantity)>0">
														<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(VetNetWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:NetWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(VetGrossWeightQuantity)>0">
														<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(VetGrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:GrossWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(VetGoodsQuantity)>0">
														<catpi_ru:GoodsMeasureQuantity>
															<catpi_ru:GoodsQuantity><xsl:value-of select="VetGoodsQuantity"/></catpi_ru:GoodsQuantity>
															<xsl:variable name="VtDEI" select ="VetMeasureUnitQualifierCode"/>
															<xsl:variable name="VtNamDEI" select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$VtDEI]/ABBR"/>
															<xsl:if test="string-length($VtDEI)>0 and string-length($VtNamDEI)>0">
																<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="$VtNamDEI"/></catpi_ru:MeasureUnitQualifierName>
																<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="$VtDEI"/></catpi_ru:MeasureUnitQualifierCode>
															</xsl:if>
														</catpi_ru:GoodsMeasureQuantity>
													</xsl:if>
												</catpi_ru:DocPermit>
											</xsl:for-each>
											<xsl:for-each select="Vet_VeterinaryAdd/VET_VETERINARYADD_ITEM[string-length(DocName)>0 or string-length(DocNum)>0 or string-length(DocDate)>0 or string-length(DocExpiredDate)>0 or string-length(ModeCode)>0 or string-length(VetAddGrossWeightQuantity)>0 or string-length(VetAddNetWeightQuantity)>0 or string-length(VetAddGoodsQuantity)>0]">
												<catpi_ru:VeterinaryAdd>
													<xsl:if test="string-length(DocName)>0">
														<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
													</xsl:if>
													<xsl:if test="string-length(DocNum)>0">
														<cat_ru:PrDocumentNumber><xsl:value-of select="DocNum"/></cat_ru:PrDocumentNumber>
													</xsl:if>
													<xsl:if test="string-length(DocDate)>0">
														<cat_ru:PrDocumentDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="DocDate"/>
															</xsl:call-template>
														</cat_ru:PrDocumentDate>
													</xsl:if>
													<xsl:if test="string-length(ModeCode)>0">
														<catpi_ru:PresentedDocumentModeCode><xsl:value-of select="ModeCode"/></catpi_ru:PresentedDocumentModeCode>
													</xsl:if>
													<xsl:if test="string-length(DocExpiredDate)>0">
														<catpi_ru:ExpiredDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="DocExpiredDate"/>
															</xsl:call-template>
														</catpi_ru:ExpiredDate>
													</xsl:if>
													<xsl:if test="string-length(VetAddNetWeightQuantity)>0">
														<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(VetAddNetWeightQuantity * 1000000) div 1000000,'0.000000')"/></catpi_ru:NetWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(VetAddGrossWeightQuantity)>0">
														<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(VetAddGrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catpi_ru:GrossWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(VetAddGoodsQuantity)>0">
														<catpi_ru:GoodsMeasureQuantity>
															<catpi_ru:GoodsQuantity><xsl:value-of select="VetAddGoodsQuantity"/></catpi_ru:GoodsQuantity>
															<xsl:variable name="VetAddDEI" select ="VetAddMeasureUnitQualifierCode"/>
															<xsl:variable name="VetAddNameDEI" select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$VetAddDEI]/ABBR"/>
															<xsl:if test="string-length($VetAddDEI)>0 and string-length($VetAddNameDEI)>0">
																<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="$VetAddNameDEI"/></catpi_ru:MeasureUnitQualifierName>
																<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="$VetAddDEI"/></catpi_ru:MeasureUnitQualifierCode>
															</xsl:if>
														</catpi_ru:GoodsMeasureQuantity>
													</xsl:if>
												</catpi_ru:VeterinaryAdd>
											</xsl:for-each>
											<xsl:if test="string-length(Vet_Marking)>0">
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="normalize-space(Vet_Marking)"/>
													<xsl:with-param name="NodeName" select="'catpi_ru:Marking'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
													<xsl:with-param name="NameMes" select="false"/> 
													<xsl:with-param name="LenDes" select="250"/>											
												</xsl:call-template>	
											</xsl:if>
											<xsl:for-each select="Vet_VetManufacturer/VET_MANUFACTURER_ITEM[string-length(VetManufacturer_Name)>0]">
												<catpi_ru:Manufacturer>
													<xsl:call-template name="OrgNodeRU">
														<xsl:with-param name="Pref" select="'VetManufacturer_'"/>
														<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
														<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
													</xsl:call-template>
													<xsl:if test="string-length(VetManufacturer_CountryName)>0 or string-length(VetManufacturer_CountryCode)>0 or string-length(VetManufacturer_City)>0 or string-length(VetManufacturer_StreetHouse)>0">
														<RUScat_ru:Address>
															<xsl:call-template name="AdresLine">
																<xsl:with-param name="Pref" select="'VetManufacturer_'"/>
															</xsl:call-template>
														</RUScat_ru:Address> 														
													</xsl:if>
													<xsl:if test="string-length(VetManufacturerKind)>0 and number(VetManufacturerKind)>-1">
														<catpi_ru:ManufacturerKind><xsl:value-of select="VetManufacturerKind"/></catpi_ru:ManufacturerKind>
													</xsl:if>	
													<xsl:if test="string-length(VetManufacturerNum)>0">
														<catpi_ru:ManufacturerNum><xsl:value-of select="VetManufacturerNum"/></catpi_ru:ManufacturerNum>
													</xsl:if>
													<xsl:if test="string-length(ManufacturerInfo)>0">
														<catpi_ru:ManufacturerInfo><xsl:value-of select="VetManufacturerInfo"/></catpi_ru:ManufacturerInfo>
													</xsl:if>
												</catpi_ru:Manufacturer>
											</xsl:for-each>
											<xsl:for-each select="Vet_VeterinaryInfo/VET_VETERINARYINFO_ITEM[string-length(DocName)>0 or string-length(DocNum)>0 or string-length(DocDate)>0 or string-length(DocExpiredDate)>0 or string-length(Description)>0 or string-length(Series)>0 or string-length(Manufacturer_Name)>0]">
												<catpi_ru:VeterinaryInfo>
													<xsl:if test="string-length(DocName)>0">
														<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
													</xsl:if>
													<xsl:if test="string-length(DocNum)>0">
														<cat_ru:PrDocumentNumber><xsl:value-of select="DocNum"/></cat_ru:PrDocumentNumber>
													</xsl:if>
													<xsl:if test="string-length(DocDate)>0">
														<cat_ru:PrDocumentDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="DocDate"/>
															</xsl:call-template>
														</cat_ru:PrDocumentDate>
													</xsl:if>
													<xsl:if test="string-length(DocExpiredDate)>0">
														<catpi_ru:ExpiredDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="DocExpiredDate"/>
															</xsl:call-template>
														</catpi_ru:ExpiredDate>
													</xsl:if>
													<xsl:if test="string-length(Description)>0">
														<xsl:call-template name="GoodsDescr">
															<xsl:with-param name="DesGoods" select="normalize-space(Description)"/>
															<xsl:with-param name="NodeName" select="'catpi_ru:Description'"/>
															<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
															<xsl:with-param name="NameMes" select="false"/> 
															<xsl:with-param name="LenDes" select="250"/>											
														</xsl:call-template>	
													</xsl:if>
													<xsl:if test="string-length(Series)>0">
														<catpi_ru:Series><xsl:value-of select="Series"/></catpi_ru:Series>
													</xsl:if>
													<xsl:if test="string-length(Manufacturer_Name)>0">
														<catpi_ru:Manufacturer>
															<xsl:call-template name="OrgNodeRU">
																<xsl:with-param name="Pref" select="'Manufacturer_'"/>
																<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
																<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
															</xsl:call-template>
															<xsl:if test="string-length(Manufacturer_CountryName)>0 or string-length(Manufacturer_CountryCode)>0 or string-length(Manufacturer_City)>0 or string-length(Manufacturer_StreetHouse)>0">
																<RUScat_ru:Address>
																	<xsl:call-template name="AdresLine">
																		<xsl:with-param name="Pref" select="'Manufacturer_'"/>
																	</xsl:call-template>
																</RUScat_ru:Address> 														
															</xsl:if>
														</catpi_ru:Manufacturer>
													</xsl:if>		
												</catpi_ru:VeterinaryInfo>
											</xsl:for-each>
										</catpi_ru:Veterinary>
									</xsl:if>
									<xsl:if  test="number($FitoNodeNotSp)>0">
										<catpi_ru:FitoSanitary>
											<xsl:if test="string-length(Fito_Name)>0 or string-length(Fito_Num)>0 or string-length(Fito_Date)>0 or string-length(Fito_ExpiredDate)>0 or string-length(Fito_ModeCode)>0 or string-length(Fito_GrossWeightQuantity)>0 or string-length(Fito_NetWeightQuantity)>0 or string-length(Fito_GoodsQuantity)>0">
												<catpi_ru:FitoSanitaryDoc>
													<xsl:if test="string-length(Fito_Name)>0">
														<cat_ru:PrDocumentName><xsl:value-of select="Fito_Name"/></cat_ru:PrDocumentName>
													</xsl:if>
													<xsl:if test="string-length(Fito_Num)>0">
														<cat_ru:PrDocumentNumber><xsl:value-of select="Fito_Num"/></cat_ru:PrDocumentNumber>
													</xsl:if>
													<xsl:if test="string-length(Fito_Date)>0">
														<cat_ru:PrDocumentDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="Fito_Date"/>
															</xsl:call-template>
														</cat_ru:PrDocumentDate>
													</xsl:if>
													<xsl:if test="string-length(Fito_ModeCode)>0">
														<catpi_ru:PresentedDocumentModeCode><xsl:value-of select="Fito_ModeCode"/></catpi_ru:PresentedDocumentModeCode>
													</xsl:if>
													<xsl:if test="string-length(Fito_ExpiredDate)>0">
														<catpi_ru:ExpiredDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat" select="Fito_ExpiredDate"/>
															</xsl:call-template>
														</catpi_ru:ExpiredDate>
													</xsl:if>
													<xsl:if test="string-length(Fito_NetWeightQuantity)>0">
														<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(Fito_NetWeightQuantity * 1000000) div 1000000,'0.000000')"/></catpi_ru:NetWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(Fito_GrossWeightQuantity)>0">
														<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(Fito_GrossWeightQuantity * 1000000) div 1000000,'0.000000')"/></catpi_ru:GrossWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(Fito_GoodsQuantity)>0">
														<catpi_ru:GoodsMeasureQuantity>
															<catpi_ru:GoodsQuantity><xsl:value-of select="Fito_GoodsQuantity"/></catpi_ru:GoodsQuantity>
															<xsl:variable name="FitoDEI" select ="Fito_MeasureUnitQualifierCode"/>
															<xsl:variable name="FitoNameDEI" select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$FitoDEI]/ABBR"/>
															<xsl:if test="string-length($FitoDEI)>0 and string-length($FitoNameDEI)>0">
																<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="$FitoNameDEI"/></catpi_ru:MeasureUnitQualifierName>
																<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="$FitoDEI"/></catpi_ru:MeasureUnitQualifierCode>
															</xsl:if>
														</catpi_ru:GoodsMeasureQuantity>
													</xsl:if>
												</catpi_ru:FitoSanitaryDoc>
											</xsl:if>
											<xsl:if test="string-length(Fito_CountryCode)>0">
												<catpi_ru:FitoCountryCode><xsl:value-of select="Fito_CountryCode"/></catpi_ru:FitoCountryCode>
											</xsl:if>
											<xsl:if test="string-length(Fito_CountryName)>0">
												<catpi_ru:FitoCountryName><xsl:value-of select="Fito_CountryName"/></catpi_ru:FitoCountryName>
											</xsl:if>
											<xsl:if test="string-length(Fito_OriginPlace)>0">
												<catpi_ru:OriginPlace><xsl:value-of select="Fito_OriginPlace"/></catpi_ru:OriginPlace>
											</xsl:if>
											<xsl:if test="string-length(Fito_DepartDate)>0">
												<catpi_ru:DepartDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="Fito_DepartDate"/>
													</xsl:call-template>
												</catpi_ru:DepartDate>
											</xsl:if>
											<xsl:if test="string-length(Fito_DisinfectionInfo)>0">
												<catpi_ru:DisinfectionInfo><xsl:value-of select="Fito_DisinfectionInfo"/></catpi_ru:DisinfectionInfo>
											</xsl:if>
											<xsl:if test="string-length(Fito_Marking)>0">
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="normalize-space(Fito_Marking)"/>
													<xsl:with-param name="NodeName" select="'catpi_ru:Marking'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
													<xsl:with-param name="NameMes" select="false"/> 
													<xsl:with-param name="LenDes" select="250"/>											
												</xsl:call-template>	
											</xsl:if>
										</catpi_ru:FitoSanitary>										
									</xsl:if>
								</ControlNoCustoms>
							</xsl:if>
						</Goods>
					</xsl:for-each>
					<xsl:if test="string-length(BorderCustomsCode)>0">
						<xsl:variable name="CodePP" select="BorderCustomsCode"/>
						<BorderCustoms>
							<cat_ru:Code><xsl:value-of select="BorderCustomsCode"/></cat_ru:Code>
							<xsl:choose>
								<xsl:when test="string-length(BorderCustomsOfficeName)>0">
									<cat_ru:OfficeName><xsl:value-of select="BorderCustomsOfficeName"/></cat_ru:OfficeName>
								</xsl:when>
								<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodePP]/Name)>0">
									<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodePP]/Name"/></cat_ru:OfficeName>
								</xsl:when>
							</xsl:choose>
							<xsl:call-template name="CustomsCountryCode">
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="CodTo" select="$CodePP"/>
							</xsl:call-template>
						</BorderCustoms>
					</xsl:if>
				</GoodsInform>
				<xsl:if test="(string-length(BorderTransport_TransportModeCode)>0 and count(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(TMNumber)>0 and string-length(NationalityCode)>0])>0) or string-length(DispatchCountryCode)>0 or string-length(DestinationCountryCode)>0 or count(//child::*[contains(name(parent::*),'ESADOUT_PITTRANSCONTROL_ITEM') and string-length(.)>0])>0">
					<ShippingInformation>
						<xsl:if test="string-length(ContainerIndicator)>0 and number(ContainerIndicator)=1">	
							<ContainerIndicator><xsl:value-of select="ContainerIndicator"/></ContainerIndicator>
						</xsl:if>
						<xsl:if test="string-length(BorderTransport_TransportModeCode)>0 and count(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(TMNumber)>0 and string-length(NationalityCode)>0])>0">
							<xsl:choose>
								<xsl:when  test="substring(BorderTransport_TransportModeCode,1,1)='3'">
									<BorderTransport>
										<catpi_ru:TransportIdentifier><xsl:value-of select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/TMNumber"/></catpi_ru:TransportIdentifier>
										<xsl:if test="string-length(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[2]/TMNumber)>0">
											<catpi_ru:TrailerIdentifier><xsl:value-of select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[2]/TMNumber"/></catpi_ru:TrailerIdentifier>
										</xsl:if>
										<xsl:if test="string-length(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[3]/TMNumber)>0">	
											<catpi_ru:SecondTrailerIdentifier><xsl:value-of select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[3]/TMNumber"/></catpi_ru:SecondTrailerIdentifier>
										</xsl:if>
										<xsl:if test="string-length(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/IMO)>0">
											<catpi_ru:VINID><xsl:value-of select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/IMO"/></catpi_ru:VINID>
										</xsl:if>
										<catpi_ru:TransportModeCode><xsl:value-of select="BorderTransport_TransportModeCode"/></catpi_ru:TransportModeCode>
										<catpi_ru:TransportMeansNationalityCode><xsl:value-of select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode"/></catpi_ru:TransportMeansNationalityCode>
									</BorderTransport>
								</xsl:when>
								<xsl:otherwise>
									<xsl:for-each select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(TMNumber)>0 and string-length(NationalityCode)>0]">
										<BorderTransport>
											<catpi_ru:TransportIdentifier><xsl:value-of select="TMNumber"/></catpi_ru:TransportIdentifier>
											<xsl:if test="string-length(IMO)>0">
												<catpi_ru:VINID><xsl:value-of select="IMO"/></catpi_ru:VINID>
											</xsl:if>
											<catpi_ru:TransportModeCode><xsl:value-of select="../../BorderTransport_TransportModeCode"/></catpi_ru:TransportModeCode>
											<catpi_ru:TransportMeansNationalityCode><xsl:value-of select="NationalityCode"/></catpi_ru:TransportMeansNationalityCode>
										</BorderTransport>	
									</xsl:for-each> 
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
						<xsl:if test="string-length(DispatchCountryCode)>0">
							<DispatchCountry>
								<xsl:if test="string-length(DispatchCountryName)>0">	
									<catpi_ru:CountryName><xsl:value-of select="DispatchCountryName"/></catpi_ru:CountryName>
								</xsl:if>
								<catpi_ru:CountryACode><xsl:value-of select="DispatchCountryCode"/></catpi_ru:CountryACode>	
								<xsl:if test="string-length(DispatchPlace)>0">	
									<catpi_ru:CountryPlace><xsl:value-of select="DispatchPlace"/></catpi_ru:CountryPlace>
								</xsl:if>
							</DispatchCountry>
						</xsl:if>
						<xsl:if test="string-length(DestinationCountryCode)>0">
							<DestinationCountry>
								<xsl:if test="string-length(DestinationCountryName)>0">	
									<catpi_ru:CountryName><xsl:value-of select="DestinationCountryName"/></catpi_ru:CountryName>
								</xsl:if>
								<catpi_ru:CountryACode><xsl:value-of select="DestinationCountryCode"/></catpi_ru:CountryACode>	
								<xsl:if test="string-length(DestinationPlace)>0">	
									<catpi_ru:CountryPlace><xsl:value-of select="DestinationPlace"/></catpi_ru:CountryPlace>
								</xsl:if>
							</DestinationCountry>
						</xsl:if>
						<xsl:if  test="count(//child::*[contains(name(parent::*),'ESADOUT_PITTRANSCONTROL_ITEM') and string-length(.)>0])>0">
							<xsl:for-each select="ESADOUT_PITTransControl/ESADOUT_PITTRANSCONTROL_ITEM">
								<TransControl>
									<xsl:if test="count(child::*[contains(name(),'Foreign_') and not(contains(name(),'ForeignKind')) and string-length(.)>0])">
										<xsl:call-template name="DocTraspPi">
											<xsl:with-param name="Pref" select="'Foreign_'"/>
											<xsl:with-param name="NodePr" select="'catpi_ru:ForeignDoc'"/>
											<xsl:with-param name="NamspPr" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(Foreign_ForeignKind)>0 and number(Foreign_ForeignKind)>-1">	
										<catpi_ru:ForeignKind><xsl:value-of select="Foreign_ForeignKind"/></catpi_ru:ForeignKind>
									</xsl:if>
									<xsl:if test="count(child::*[contains(name(),'Danger_') and string-length(.)>0])">
										<xsl:call-template name="DocTraspPi">
											<xsl:with-param name="Pref" select="'Danger_'"/>
											<xsl:with-param name="NodePr" select="'catpi_ru:DangerDoc'"/>
											<xsl:with-param name="NamspPr" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="count(child::*[contains(name(),'Oversized_') and string-length(.)>0])">
										<xsl:call-template name="DocTraspPi">
											<xsl:with-param name="Pref" select="'Oversized_'"/>
											<xsl:with-param name="NodePr" select="'catpi_ru:OversizedDoc'"/>
											<xsl:with-param name="NamspPr" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="count(child::*[contains(name(),'Heavyweight_') and string-length(.)>0])">
										<xsl:call-template name="DocTraspPi">
											<xsl:with-param name="Pref" select="'Heavyweight_'"/>
											<xsl:with-param name="NodePr" select="'catpi_ru:HeavyweightDoc'"/>
											<xsl:with-param name="NamspPr" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="count(child::*[contains(name(),'RusPermit_') and string-length(.)>0])">
										<xsl:call-template name="DocTraspPi">
											<xsl:with-param name="Pref" select="'RusPermit_'"/>
											<xsl:with-param name="NodePr" select="'catpi_ru:RusPermitDoc'"/>
											<xsl:with-param name="NamspPr" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
										</xsl:call-template>
									</xsl:if>
								</TransControl>
							</xsl:for-each>
						</xsl:if>
					</ShippingInformation>
				</xsl:if>
				<xsl:if test="string-length(PIDT_DocumentDate)>0 and string-length(PIDT_DocumentNumber)>0 and string-length(PIDT_DocumentCustomsCode)>0 and string-length(PIDT_Kind)>0">
					<PI_DTNumber>
						<cat_ru:CustomsCode><xsl:value-of select="PIDT_DocumentCustomsCode"/></cat_ru:CustomsCode>
						<cat_ru:RegistrationDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="PIDT_DocumentDate"/>
							</xsl:call-template>
						</cat_ru:RegistrationDate>
						<cat_ru:GTDNumber><xsl:value-of select="PIDT_DocumentNumber"/></cat_ru:GTDNumber>
						<DTKind><xsl:value-of select="PIDT_Kind"/></DTKind>
					</PI_DTNumber>
				</xsl:if> 
			</PI_NoCustoms>	
</DocBody>
</ContainerDoc>
		
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="DocTraspPi" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:param name="Pref"/>
		<xsl:param name="NodePr"/>
		<xsl:param name="NamspPr"/> 
		<xsl:param name="PathN"/>
		<xsl:element name="{$NodePr}" namespace="{$NamspPr}">
			<xsl:if test="string-length(*[name()=concat($Pref,'DocumentName')])>0">
				<cat_ru:PrDocumentName>
					<xsl:value-of select="*[name()=concat($Pref,'DocumentName')]"/>
				</cat_ru:PrDocumentName>
			</xsl:if>
			<xsl:if test="string-length(*[name()=concat($Pref,'DocumentNumber')])>0">
				<cat_ru:PrDocumentNumber>
					<xsl:value-of select="*[name()=concat($Pref,'DocumentNumber')]"/>
				</cat_ru:PrDocumentNumber>
			</xsl:if>
			<xsl:if test="string-length(*[name()=concat($Pref,'DocumentDate')])>0">
				<cat_ru:PrDocumentDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="*[name()=concat($Pref,'DocumentDate')]"/>
					</xsl:call-template>
				</cat_ru:PrDocumentDate>
			</xsl:if>
		</xsl:element> 
	</xsl:template>
		
</xsl:stylesheet>
