<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml"/>
	<xsl:variable name="results-that-is-correct" select="//DesNotif_PIResult_ITEM[ string-length(ArchID)>0 and string-length(DocumentID)>0 ]"/>
	<!--<xsl:template match="/Package">
		<xsl:for-each select="//ESADOUT_PIT/ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM">
			<xsl:variable name="NumDat" select="concat(DocumentNumber,substring(DocumentDate,1,10))"/>	
		<aaaaa>
			<xsl:apply-templates mode="PIT-Arch" select=".">
				<xsl:with-param name="DocCode" select="ModeCode"/>
			</xsl:apply-templates>
		</aaaaa>		
		</xsl:for-each>
	</xsl:template>-->
	<xsl:template mode="PIT-Arch" match="EnclosedDocument/ENCLOSEDDOCUMENT_ITEM" xmlns="urn:ctm.ru"  xmlns:fb="http://fill-bill.ru/archive" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
		<xsl:param name="namespace-uri"/>
		<xsl:param name="DocCode"/>
		<xsl:variable name="InvDocCode" select="$DocCode"/>
		<xsl:variable name="InvDocNumber" select="DocumentNumber"/>
		<xsl:variable name="InvDocDate" select="DocumentDate"/>
		<xsl:variable name="InvDoc" select="concat($InvDocCode,$InvDocNumber, substring($InvDocDate,1,10))"/>
		<xsl:variable name="queries-was-sent" select="//Package/*[concat(@fb:docCode,@fb:InvDocNumber,substring(@fb:InvDocDate,1,10))= $InvDoc]" xmlns:fb="http://fill-bill.ru/archive"/>

		<xsl:variable name="results" select="$results-that-is-correct[concat(InvDocCode,InvDocNumber,substring(InvDocDate,1,10))=$InvDoc ]"/>
		<xsl:variable name="position-in-equal-siblings" select="1 + count(preceding-sibling::*[concat(InvDocCode,InvDocNumber,substring(InvDocDate,1,10))=$InvDoc])"/>
		<xsl:variable name="single-result-in-position" select="$results[position() = $position-in-equal-siblings]"/>
		<xsl:choose>
			<xsl:when test="count($single-result-in-position)>0">
				<xsl:for-each select="$single-result-in-position[1]">
					<xsl:element name="catESAD_cu:RFG44PresentedDocId" namespace="{$namespace-uri}">
						<xsl:element name="catESAD_cu:ElectronicDocumentID" namespace="{$namespace-uri}">
							<xsl:value-of select="DocumentID"/>
						</xsl:element>
						<xsl:element name="catESAD_cu:ElectronicArchID" namespace="{$namespace-uri}">
							<xsl:value-of select="ArchID"/>
						</xsl:element>
						<xsl:element name="catESAD_cu:DocumentModeID" namespace="{$namespace-uri}">
							<xsl:value-of select="$queries-was-sent/@DocumentModeID" xmlns:fb="http://fill-bill.ru/archive"/>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="0 = count(  $queries-was-sent[ position() = $position-in-equal-siblings ]  )">
				<!--ответа нет и запроса нет, и пусть, хотя странный случай: документ не отправлялся в архив, но включён в опись специально - может быть это только на случай требования указывать саму декларацию в описи, или документы, предоставляемые в бумажном виде, запрашиваемые потом по описи-->
			</xsl:when>
			<xsl:otherwise>
				<xsl:message terminate="yes">Не нашёлся ответ о размещении документа в таможенном архиве (ArchDocID) для строки из описи: <xsl:value-of select="concat($InvDocCode, ' ', $InvDocNumber, ' ', $InvDocDate)"/>
				</xsl:message>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
