<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
		<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
		<xsl:param name="GoodsFromCMRForPi" select="0"/>
	<xsl:template match="/Package">
		<xsl:call-template name="PACKINGLIST"/>
	</xsl:template>-->
	<xsl:key use="concat(../../RegNum,../../RegDate,./PackingCode)" name="Pack" match="//PACKINGLISTGOODS_ITEM"/>
	<xsl:template match="//PACKINGLISTGOODS_ITEM" xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0">
		<xsl:variable name="Num" select="../../RegNum"/>
		<xsl:variable name="Dat" select="../../RegDate"/>
		<xsl:variable name="Pack" select="PackingCode"/>
		<TotalPlacesQuantity>
			<xsl:if test="sum(//PACKINGLISTGOODS_ITEM[../../RegNum=$Num and ../../RegDate=$Dat and PackingCode=$Pack and string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
				<PlacesQuantity><xsl:value-of select="sum(//PACKINGLISTGOODS_ITEM[../../RegNum=$Num and ../../RegDate=$Dat and PackingCode=$Pack  and string-length(PlacesQuantity)>0]/PlacesQuantity)"/></PlacesQuantity>
			</xsl:if>
			<xsl:if test="string-length(PlacesDescription)>0">
				<PlacesDescription><xsl:value-of select="PlacesDescription"/></PlacesDescription>
			</xsl:if>
				<PackingCode><xsl:value-of select="$Pack"/></PackingCode>
		</TotalPlacesQuantity>
	</xsl:template>
	  
	    
	<xsl:template name="PACKINGLIST_ONE_DOC">
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<PackingList xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002009E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:choose>
							<xsl:when test="string-length(GrossWeightQuantity)=0">
								<GrossWeightQuantity>0.000</GrossWeightQuantity>
							</xsl:when>
							<xsl:otherwise>
								<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="string-length(NetWeightQuantity)=0">
								<NetWeightQuantity>0.000</NetWeightQuantity>
							</xsl:when>
							<xsl:otherwise>
								<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
							</xsl:otherwise>
						</xsl:choose>
						<Consignor>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>								
						</Consignor>
						<Consignee>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>							
						</Consignee>
						<xsl:variable name="NumInv" select="InvoiceNum"/>
						<xsl:variable name="DatInv" select="substring(InvoiceDate,1,10)"/>	
						<xsl:if test="string-length(DeliveryPlace)>0 or string-length(DeliveryTermsNumericCode)>0 or string-length(DeliveryTermsStringCode)>0 or string-length(//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryPlace)>0">
							<DeliveryTerms>
								<xsl:choose>
									<xsl:when test="string-length(DeliveryPlace)>0">
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="translate(DeliveryPlace,'&#xA;',' ')"/>
											<xsl:with-param name="NodeName" select="'DeliveryPlace'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0'"/>
											<xsl:with-param name="NameMes" select="false"/> 
											<xsl:with-param name="LenDes" select="40"/>
										</xsl:call-template>		
									</xsl:when>
									<xsl:when test="string-length(DeliveryPlace)=0 and string-length(//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryPlace)>0">
										<DeliveryPlace><xsl:value-of select="//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryPlace"/></DeliveryPlace>
									</xsl:when>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="string-length(DeliveryTermsNumericCode)>0 and string-length(DeliveryTermsNumericCode)=2">
										<DeliveryTermsNumericCode><xsl:value-of select="DeliveryTermsNumericCode"/></DeliveryTermsNumericCode>
									</xsl:when>
									<xsl:when test="string-length(DeliveryTermsNumericCode)=0 and string-length(//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryTermsNumericCode)>0 and string-length(//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryTermsNumericCode)=2">
										<DeliveryTermsNumericCode><xsl:value-of select="//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryTermsNumericCode"/></DeliveryTermsNumericCode>
									</xsl:when>
									<xsl:when test="string-length(DeliveryTermsNumericCode)!=2 and string-length(DeliveryTermsStringCode)>0">
										<xsl:variable name="TermsC" select="normalize-space(DeliveryTermsStringCode)"/>
										<xsl:if  test="string-length(document('../../NSI/TranspNSIXml.xml')//USLPOST_ITEM[KODS=$TermsC]/KODZ)=2">
											<DeliveryTermsNumericCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//USLPOST_ITEM[KODS=$TermsC]/KODZ"/></DeliveryTermsNumericCode>
										</xsl:if>
									</xsl:when>
								</xsl:choose>
								<DeliveryTermsStringCode>
									<xsl:choose>
										<xsl:when test="string-length(DeliveryTermsStringCode)>0">
											<xsl:value-of select="DeliveryTermsStringCode"/>
										</xsl:when>
										<xsl:when test="string-length(DeliveryTermsStringCode)=0 and string-length(//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryTermsStringCode)>0">
											<xsl:value-of select="//INVOICE_ITEM[RegNum=$NumInv and substring(RegDate,1,10)=$DatInv]/DeliveryTermsStringCode"/>
										</xsl:when>
										<xsl:otherwise>AAA</xsl:otherwise>
									</xsl:choose>
								</DeliveryTermsStringCode>
								<xsl:if test="string-length(TermsDescription)>0">
									<TermsDescription><xsl:value-of select="TermsDescription"/></TermsDescription>
								</xsl:if>
								<xsl:if test="string-length(ContractNum)>0 and string-length(ContractDate)>0">
									<Contract>
										<xsl:if test="string-length(ContractName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="ContractDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</Contract>
								</xsl:if>
								<xsl:if test="string-length(InvoiceNum)>0 and string-length(InvoiceDate)>0">
									<Invoice>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<cat_ru:PrDocumentNumber><xsl:value-of select="InvoiceNum"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="InvoiceDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</Invoice>
								</xsl:if>
								<xsl:if test="string-length(RegNum)>0 or string-length(RegDate)>0">
									<Registration>
										<xsl:if test="string-length(DocName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(RegNum)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
									</Registration>
								</xsl:if>
							</DeliveryTerms>
						</xsl:if>
						<xsl:for-each select="PACKINGLISTGoods/PACKINGLISTGOODS_ITEM">
							<Goods>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(GoodsDescription,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:PackingList:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<GoodsQuantity>																		
									<xsl:choose>
										<xsl:when test="string-length(GoodsQuantity)>0">
											<xsl:value-of select="GoodsQuantity"/>
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</GoodsQuantity>
								<xsl:if test="string-length(PlaceGoodsQuantity)>0">
									<PlaceGoodsQuantity><xsl:value-of select="PlaceGoodsQuantity"/></PlaceGoodsQuantity>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitQualifierName)>0">
									<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
								</xsl:if>
								<GrossWeightQuantity>
									<xsl:choose>
										<xsl:when test="string-length(GrossWeightQuantity)>0">
											<xsl:value-of select="GrossWeightQuantity"/>
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</GrossWeightQuantity>
								<xsl:if test="string-length(NetWeightQuantity)>0">
									<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
								</xsl:if>
								<xsl:if test="string-length(Dimensions)>0">
									<Dimensions><xsl:value-of select="Dimensions"/></Dimensions>
								</xsl:if>
								<xsl:if test="string-length(GoodsVolume)>0">
									<GoodsVolume><xsl:value-of select="GoodsVolume"/></GoodsVolume>
								</xsl:if>
								<xsl:if test="string-length(VolumeUnitQualifierName)>0">
									<VolumeUnitQualifierName><xsl:value-of select="VolumeUnitQualifierName"/></VolumeUnitQualifierName>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
									<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></MeasureUnitQualifierCode>
								</xsl:if>
								<xsl:if test="string-length(GoodMarking)>0">
									<GoodMarking><xsl:value-of select="GoodMarking"/></GoodMarking>
								</xsl:if>
								<xsl:if test="(string-length(PlacesQuantity)>0 and number(translate(PlacesQuantity,'.',''))>0) or string-length(PlacesDescription)>0 or string-length(PackingCode)>0">
									<PlacesQuantity>
										<xsl:if test="string-length(PlacesQuantity)>0 and number(translate(PlacesQuantity,'.',''))>0">
											<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
										</xsl:if>
										<xsl:if test="string-length(PlacesDescription)>0">
											<PlacesDescription><xsl:value-of select="PlacesDescription"/></PlacesDescription>
										</xsl:if>
										<xsl:if test="string-length(PackingCode)>0">
											<PackingCode><xsl:value-of select="PackingCode"/></PackingCode>
										</xsl:if>
									</PlacesQuantity>
								</xsl:if>
								<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0 and number(translate(PackingQuantity,'.',''))>0]">
									<PackingInfo>
										<xsl:if test="string-length(PackingCode)>0">
											<PackingCode><xsl:value-of select="PackingCode"/></PackingCode>
										</xsl:if>
										<PakingQuantity><xsl:value-of select="PackingQuantity"/></PakingQuantity>
										<xsl:if test="string-length(PackingDescription)>0">
											<PackingDescription><xsl:value-of select="PackingDescription"/></PackingDescription>
										</xsl:if>
									</PackingInfo>
								</xsl:for-each>
							</Goods>
						</xsl:for-each>
						<xsl:apply-templates select="PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[generate-id(.)=generate-id(key('Pack',concat(../../RegNum,../../RegDate,./PackingCode)))]"/>
					</PackingList>
				</DocBody>
			</ContainerDoc>
	</xsl:template>
	<xsl:template name="PACKINGLIST">
		<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM">		
			<xsl:call-template name="PACKINGLIST_ONE_DOC"/>
		</xsl:for-each>	
	</xsl:template>
</xsl:stylesheet>
