<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
				<xsl:call-template name="AIRPASSLIST"/>
	</xsl:template>-->
	
	<xsl:template name="AIRPASSLIST">
		<xsl:for-each select="AIRPASSLIST/AIRPASSLIST_ITEM">  
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<PassengerManifest xmlns="urn:customs.ru:Information:TransportDocuments:Air:PassengerManifest:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003304E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(RegNum)>0">
							<ListNumber><xsl:value-of select="RegNum"/></ListNumber>
						</xsl:if>
						<xsl:if test="string-length(RegDate)>0">							
							<ManifestDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</ManifestDate>
						</xsl:if>
						<xsl:if test="string-length(Carrier_Name)>0">								
							<CarrierName><xsl:value-of select="Carrier_Name"/></CarrierName>	
						</xsl:if>
						<xsl:if test="string-length(Carrier_Code)>0">								
							<CarrierCode><xsl:value-of select="Carrier_Code"/></CarrierCode>
						</xsl:if>
						<xsl:if test="string-length(TotalPassNumber)>0">
							<TotalPassNumber><xsl:value-of select="TotalPassNumber"/></TotalPassNumber>
						</xsl:if>	
						<FactPassNumber>
							<xsl:choose>
								<xsl:when test="string-length(FactPassNumber)=0">0</xsl:when>
								<xsl:otherwise><xsl:value-of select="FactPassNumber"/></xsl:otherwise>
							</xsl:choose>
						</FactPassNumber>
						<xsl:if test="string-length(BaggageNumber)>0">	
							<LuggagePlaces><xsl:value-of select="BaggageNumber"/></LuggagePlaces>
						</xsl:if>
						<xsl:if test="string-length(BaggageWeight)>0">	
							<LuggageWeight><xsl:value-of select="BaggageWeight"/></LuggageWeight>
						</xsl:if>
						<xsl:if test="string-length(LanguageCode)>0">	
							<LNG><xsl:value-of select="LanguageCode"/></LNG>
						</xsl:if>
						<TransportKind>1</TransportKind>
						<AirNationalityCode><xsl:value-of select="CountryCode"/></AirNationalityCode>
						<xsl:if test="string-length(TotalCrewNumber)>0">
							<TotalCrewNumber><xsl:value-of select="TotalCrewNumber"/></TotalCrewNumber>
						</xsl:if>	
						<xsl:if test="string-length(FlNumber)>0 and string-length(FlDate)>0 and string-length(AirplaneRegNumber)>0 and string-length(DepartureAirport_IATACode)>0">
							<FlightInfo>
								<catTrans_ru:FlightNumber><xsl:value-of select="FlNumber"/></catTrans_ru:FlightNumber>
								<catTrans_ru:FlightDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="FlDate"/>
									</xsl:call-template>
								</catTrans_ru:FlightDate>
								<xsl:if test="string-length(AirplaneMark)>0">
									<catTrans_ru:Mark><xsl:value-of select="AirplaneMark"/></catTrans_ru:Mark>
								</xsl:if>	
								<catTrans_ru:AirPlaneRegNum><xsl:value-of select="AirplaneRegNumber"/></catTrans_ru:AirPlaneRegNum>
								<xsl:if test="string-length(FlTime)>0">	
									<catTrans_ru:FlightTime>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time" select="FlTime"/>
										</xsl:call-template>
									</catTrans_ru:FlightTime>
								</xsl:if>	
								<catTrans_ru:DepartureAirport>
									<xsl:if test="string-length(DepartureAirport)>0">
										<catTrans_ru:Name><xsl:value-of select="DepartureAirport"/></catTrans_ru:Name>
									</xsl:if>	
									<catTrans_ru:IATACode><xsl:value-of select="DepartureAirport_IATACode"/></catTrans_ru:IATACode>
								</catTrans_ru:DepartureAirport>
							</FlightInfo>
						</xsl:if>
						<xsl:if test="string-length(DestinationAirport_IATACode)>0">
							<DestinationAirport>
								<xsl:if test="string-length(DestinationAirport)>0">
									<catTrans_ru:Name><xsl:value-of select="DestinationAirport"/></catTrans_ru:Name>
								</xsl:if>	
								<catTrans_ru:IATACode><xsl:value-of select="DestinationAirport_IATACode"/></catTrans_ru:IATACode>
							</DestinationAirport>
						</xsl:if>
						<PassengerCapacity>
							<xsl:if test="string-length(FClassNumber)>0">
								<FClassNumber><xsl:value-of select="FClassNumber"/></FClassNumber>
							</xsl:if>
							<xsl:if test="string-length(JClassNumber)>0">
								<JClassNumber><xsl:value-of select="JClassNumber"/></JClassNumber>
							</xsl:if>
							<xsl:if test="string-length(YClassNumber)>0">										
								<YClassNumber><xsl:value-of select="YClassNumber"/></YClassNumber>
							</xsl:if>										
						</PassengerCapacity>
						<xsl:for-each select="AIRPASSLISTPassInfo/AIRPASSLISTPASSINFO_ITEM[string-length(normalize-space(concat(PersonName,' ',PersonName2,' ',PersonMiddleName)))>0]">
							<PassengerInfo>
								<xsl:if test="string-length(Sex)>0">	
									<Sex><xsl:value-of select="Sex"/></Sex>
								</xsl:if>	
								<xsl:if test="string-length(SeatNumber)>0">											
									<SeatNumber><xsl:value-of select="SeatNumber"/></SeatNumber>
								</xsl:if>	
								<PersonName><xsl:value-of select="normalize-space(concat(PersonName,' ',PersonName2,' ',PersonMiddleName))"/></PersonName>
								<xsl:if test="string-length(PlacesQuantity)>0">	
									<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
								</xsl:if>
								<xsl:if test="string-length(WeightUnitQualifierCode)>0">	
									<WeightUnitQualifierCode><xsl:value-of select="WeightUnitQualifierCode"/></WeightUnitQualifierCode>
								</xsl:if>	
								<xsl:if test="string-length(GrossWeightQuantity)>0">	
									<GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></GrossWeightQuantity>
								</xsl:if>		
								<xsl:if test="count(LUGGAGETAG/LUGGAGETAG_ITEM[string-length(LuggageNumber)>0])>0">
									<LuggageTag>
										<xsl:for-each  select="LUGGAGETAG/LUGGAGETAG_ITEM[string-length(LuggageNumber)>0]">
											<LuggageNumber><xsl:value-of select="LuggageNumber"/></LuggageNumber>
										</xsl:for-each>
									</LuggageTag>
								</xsl:if>
								<xsl:if test="string-length(Comment)>0">
									<Comment><xsl:value-of select="substring(Comment,1,250)"/></Comment>
								</xsl:if>	
								<xsl:if test="string-length(PassClass)>0">
									<PassClass><xsl:value-of select="PassClass"/></PassClass>
								</xsl:if>
								<xsl:if test="string-length(BirthDate)>0">
									<BirthDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="BirthDate"/>
										</xsl:call-template>
									</BirthDate>
								</xsl:if>
								<xsl:if test="string-length(BirthPlace)>0">	
									<BirthPlace><xsl:value-of select="BirthPlace"/></BirthPlace>
								</xsl:if>
								<xsl:if test="string-length(Nationality)>0">	
									<Nationality><xsl:value-of select="Nationality"/></Nationality>
								</xsl:if>	
								<xsl:if test="string-length(DestinationAirport_IATACode)>0">
									<DestinationAirport>
										<xsl:if test="string-length(DestinationAirport)>0">
											<catTrans_ru:Name><xsl:value-of select="DestinationAirport"/></catTrans_ru:Name>
										</xsl:if>	
										<catTrans_ru:IATACode><xsl:value-of select="DestinationAirport_IATACode"/></catTrans_ru:IATACode>
									</DestinationAirport>
								</xsl:if>	
								<xsl:call-template name="IdentityCard">
									<xsl:with-param name="NodeName" select="'IdentityCard'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Air:PassengerManifest:5.10.0'"/>
								</xsl:call-template>
								<xsl:if test="string-length(../../DepartureAirport_IATACode)>0">
									<DepartureAirport>
										<xsl:if test="string-length(../../DepartureAirport)>0">
											<catTrans_ru:Name><xsl:value-of select="../../DepartureAirport"/></catTrans_ru:Name>
										</xsl:if>	
										<catTrans_ru:IATACode><xsl:value-of select="../../DepartureAirport_IATACode"/></catTrans_ru:IATACode>
									</DepartureAirport>
								</xsl:if>
								<xsl:if test="string-length(TransferLuggage)>0 and number(TransferLuggage)=1">
									<TransferLuggage><xsl:value-of select="TransferLuggage"/></TransferLuggage>
								</xsl:if>
								<xsl:if test="string-length(TransferInvalid)>0 and number(TransferInvalid)=1">
									<TransferInvalid><xsl:value-of select="TransferInvalid"/></TransferInvalid>
								</xsl:if>
								<xsl:if test="string-length(SpecialLuggage)>0 and number(SpecialLuggage)=1">
									<SpecialLuggage><xsl:value-of select="SpecialLuggage"/></SpecialLuggage>
								</xsl:if>
							</PassengerInfo>
						</xsl:for-each>
						<xsl:if test="string-length(CaptainInfo_PersonName2)>0 and string-length(CaptainInfo_PersonName)>0">
							<CaptainInfo>
								<cat_ru:PersonSurname><xsl:value-of select="CaptainInfo_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="CaptainInfo_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(CaptainInfo_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="CaptainInfo_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>	
								<xsl:if test="string-length(CaptainInfo_PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="CaptainInfo_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(CaptainInfo_IssueDate)>0">
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="CaptainInfo_IssueDate"/>
										</xsl:call-template>
									</cat_ru:IssueDate>
								</xsl:if>	
							</CaptainInfo>
						</xsl:if>
						<xsl:for-each  select="AIRPASSLISTROUTEINFO/AIRPASSLISTROUTEINFO_ITEM[string-length(Airport_IATACode)>0]">
							<RoutingInfo>
								<catTrans_ru:NumPP><xsl:value-of select="position()"/></catTrans_ru:NumPP>
								<xsl:if test="string-length(Carrier_Name)>0">	
									<catTrans_ru:CarrierName><xsl:value-of select="Carrier_Name"/></catTrans_ru:CarrierName>
								</xsl:if>
								<xsl:if test="string-length(Carrier_Code)>0">	
									<catTrans_ru:CarrierCode><xsl:value-of select="Carrier_Code"/></catTrans_ru:CarrierCode>
								</xsl:if>
								<xsl:if test="string-length(FlNumber)>0">	
									<catTrans_ru:FlightNumber><xsl:value-of select="FlNumber"/></catTrans_ru:FlightNumber>
								</xsl:if>
								<xsl:if test="string-length(FlDate)>0">	
									<catTrans_ru:FlightDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="FlDate"/>
										</xsl:call-template>
									</catTrans_ru:FlightDate>
								</xsl:if>
								<catTrans_ru:Airport>
									<xsl:if test="string-length(Airport)>0">
										<catTrans_ru:Name><xsl:value-of select="Airport"/></catTrans_ru:Name>
									</xsl:if>
									<catTrans_ru:IATACode><xsl:value-of select="Airport_IATACode"/></catTrans_ru:IATACode>
								</catTrans_ru:Airport>
							</RoutingInfo>
						</xsl:for-each>
					</PassengerManifest>
				</DocBody>
			</ContainerDoc>	
		</xsl:for-each>			
	</xsl:template>
	<xsl:template name="SEAPASSLIST">
		<xsl:for-each select="SEAPASSLIST/SEAPASSLIST_ITEM">  
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<PassengerManifest xmlns="urn:customs.ru:Information:TransportDocuments:Air:PassengerManifest:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003304E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(RegNum)>0">
							<ListNumber><xsl:value-of select="RegNum"/></ListNumber>
						</xsl:if>
						<xsl:if test="string-length(RegDate)>0">							
							<ManifestDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</ManifestDate>
						</xsl:if>
						<xsl:if test="string-length(Carrier_Name)>0">								
							<CarrierName><xsl:value-of select="Carrier_Name"/></CarrierName>	
						</xsl:if>
						<TotalPassNumber>
							<xsl:choose>
								<xsl:when test="string-length(TotalPassNumber)=0">0</xsl:when>
								<xsl:otherwise><xsl:value-of select="TotalPassNumber"/></xsl:otherwise>
							</xsl:choose>
						</TotalPassNumber>
						<FactPassNumber>
							<xsl:choose>
								<xsl:when test="string-length(FactPassNumber)=0">0</xsl:when>
								<xsl:otherwise><xsl:value-of select="FactPassNumber"/></xsl:otherwise>
							</xsl:choose>
						</FactPassNumber>
						<xsl:if test="string-length(LanguageCode)>0">	
							<LNG><xsl:value-of select="LanguageCode"/></LNG>
						</xsl:if>
						<TransportKind>2</TransportKind>
						<xsl:if test="string-length(VesselName)>0">
							<ShipName><xsl:value-of select="VesselName"/></ShipName>
						</xsl:if>
						<xsl:choose>
							<xsl:when  test="string-length(Agent_Name)>0">	
								<Agent><xsl:value-of select="Agent_Name"/></Agent>
							</xsl:when>	
							<xsl:when  test="string-length(//GENERALDECL/GENERALDECL_ITEM/ShipAgent_Name)>0">	
								<Agent><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/ShipAgent_Name"/></Agent>
							</xsl:when>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="string-length(VesselRegistrationPort)>0">
								<Port><xsl:value-of select="VesselRegistrationPort"/></Port>
							</xsl:when>
							<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselRegistrationPort)>0">
								<Port><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselRegistrationPort"/></Port>
							</xsl:when>
						</xsl:choose>
						<AirNationalityCode>
							<xsl:choose>
								<xsl:when  test="string-length(VesselNationalityCountryCode)>0">
									<xsl:value-of select="VesselNationalityCountryCode"/>
								</xsl:when>
								<xsl:when  test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)>0">
									<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode"/>
								</xsl:when>
								<xsl:when  test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode)>0">	
									<xsl:variable name="CrCode" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode"/>
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CrCode]/ABC2"/>
								</xsl:when>
								<xsl:when  test="string-length(//ARRSEADECL/ARRSEADECL_ITEM/VesselNationalityCountryCode)>0">
									<xsl:value-of select="//ARRSEADECL/ARRSEADECL_ITEM/VesselNationalityCountryCode"/>
								</xsl:when>
								<xsl:when  test="string-length(//ARRSEADECL/ARRSEADECL_ITEM/VesselNationalityCode)>0">	
									<xsl:variable name="CrCode" select="//ARRSEADECL/ARRSEADECL_ITEM/VesselNationalityCode"/>
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CrCode]/ABC2"/>
								</xsl:when>
								<xsl:otherwise>00</xsl:otherwise>
							</xsl:choose>
						</AirNationalityCode>
						<xsl:choose>
							<xsl:when  test="string-length(TotalCrewNumber)>0">	
								<TotalCrewNumber><xsl:value-of select="TotalCrewNumber"/></TotalCrewNumber>
							</xsl:when>	
							<xsl:when  test="count(//CREWLISTCREW/CREWLISTCREW_ITEM[string-length(PersonName)>0])>0">	
								<TotalCrewNumber><xsl:value-of select="count(//CREWLISTCREW/CREWLISTCREW_ITEM[string-length(PersonName)>0])"/></TotalCrewNumber>
							</xsl:when>	
						</xsl:choose>
						<PassengerCapacity>
							<xsl:if test="string-length(FClassNumber)>0">
								<FClassNumber><xsl:value-of select="FClassNumber"/></FClassNumber>
							</xsl:if>
							<xsl:if test="string-length(JClassNumber)>0">
								<JClassNumber><xsl:value-of select="JClassNumber"/></JClassNumber>
							</xsl:if>
							<xsl:if test="string-length(YClassNumber)>0">										
								<YClassNumber><xsl:value-of select="YClassNumber"/></YClassNumber>
							</xsl:if>										
						</PassengerCapacity>
						<xsl:for-each select="SEAPASSLISTPassInfo/SEAPASSLISTPASSINFO_ITEM[string-length(normalize-space(concat(PersonName,' ',PersonName2,' ',PersonMiddleName)))>0]">
							<PassengerInfo>
								<xsl:if test="string-length(Sex)>0">	
									<Sex><xsl:value-of select="Sex"/></Sex>
								</xsl:if>	
								<xsl:if test="string-length(SeatNumber)>0">											
									<SeatNumber><xsl:value-of select="SeatNumber"/></SeatNumber>
								</xsl:if>	
								<PersonName><xsl:value-of select="normalize-space(concat(PersonName,' ',PersonName2,' ',PersonMiddleName))"/></PersonName>
								<xsl:if test="string-length(PassClass)>0">
									<PassClass><xsl:value-of select="PassClass"/></PassClass>
								</xsl:if>
								<xsl:if test="string-length(BirthDate)>0">	
									<BirthDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="BirthDate"/>
										</xsl:call-template>
									</BirthDate>
								</xsl:if>
								<xsl:if test="string-length(BirthPlace)>0">
									<BirthPlace><xsl:value-of select="BirthPlace"/></BirthPlace>
								</xsl:if>
								<xsl:if test="string-length(Nationality)>0">	
									<Nationality><xsl:value-of select="Nationality"/></Nationality>
								</xsl:if>
								<xsl:if test="string-length(LoadingName)>0">
									<DeparturePort><xsl:value-of select="LoadingName"/></DeparturePort>
								</xsl:if>	
								<xsl:if test="string-length(UnloadingName)>0">
									<DestinationPort><xsl:value-of select="UnloadingName"/></DestinationPort>
								</xsl:if>	
								<xsl:call-template name="IdentityCard">
									<xsl:with-param name="NodeName" select="'IdentityCard'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Air:PassengerManifest:5.10.0'"/>
								</xsl:call-template>
							</PassengerInfo>
						</xsl:for-each>
						<xsl:if test="string-length(PersonSurname)>0 and string-length(PersonName)>0">
							<CaptainInfo>
								<cat_ru:PersonSurname><xsl:value-of select="PersonSurname"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="PersonName"/></cat_ru:PersonName>
								<xsl:if test="string-length(PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>	
								<xsl:if test="string-length(PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
								</xsl:if>	
							</CaptainInfo>
						</xsl:if>	
					</PassengerManifest>
				</DocBody>
			</ContainerDoc>	
		</xsl:for-each>			
	</xsl:template>	
</xsl:stylesheet>
