<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
			<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
			<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
			<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
			<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
			<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="PASSPORTRF">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="PASSPORTRF_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content_Passport"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="PASSPORTRF">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/PASSPORTRF/PASSPORTRF_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_Passport"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="content_Passport">
		<Passport DocumentModeID="1001204E" xmlns="urn:customs.ru:Information:RegistrationDocuments:Passport:5.11.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<cat_ru:DocumentID>
							<!--вычисление-->000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
						<CardSeries>
								<!--<xsl:variable name="IDAVIWYG" select="translate(RegNum, translate(RegNum, '0123456789', ''), '')"/>-->
								<xsl:value-of select="substring-before(RegNum,' ')"/>
						</CardSeries>
						<CardNumber>
								<xsl:value-of select="substring-after(RegNum,' ')"/>
								<!--<xsl:variable name="IDA0IWYG" select="translate(RegNum, translate(RegNum, '0123456789', ''), '')"/>
								<xsl:value-of select="substring($IDA0IWYG, 5, 6)"/>-->
						</CardNumber>
						<OrganizationName><xsl:value-of select="Org_Name"/></OrganizationName>
						<CardDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</CardDate>
						<OrgCode><xsl:value-of select="Org_Code"/></OrgCode>
						<PersonInfo>
							<PersonSurname><xsl:value-of select="FIO"/></PersonSurname>
							<PersonName><xsl:value-of select="PersonName2"/></PersonName>
							<PersonMiddleName><xsl:value-of select="PersonMiddleName"/></PersonMiddleName>
							<Sex>
								<xsl:variable name="female" select="contains('жЖ', substring(Sex, 1, 1))"/>
								<xsl:choose>
									<xsl:when test="$female">1</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</Sex>
							<Birthday>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="BirthDate"/>
								</xsl:call-template>
							</Birthday>
							<Birthplace>
								<xsl:value-of select="BirthPlace"/>
							</Birthplace>
						</PersonInfo>
						<xsl:call-template name="Address">
							<xsl:with-param name="Pref" select="'RussianPerson_'"/>
							<xsl:with-param name="NodeName" select="'ResidencePlace'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:RegistrationDocuments:Passport:5.11.0'"/>
						</xsl:call-template>	
					</Passport>
	</xsl:template>	
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
