<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="POSTAL"/>
	</xsl:template>-->
	<xsl:template name="POSTAL">
		<xsl:for-each select="POSTALMANIFEST/POSTALMANIFEST_ITEM | AIRPOSTALMANIFEST/AIRPOSTALMANIFEST_ITEM">  
			<xsl:variable name="Pref">
				<xsl:choose>
					<xsl:when test="name(parent::*)='AIRPOSTALMANIFEST'">AIR</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<PostalManifest xmlns="urn:customs.ru:Information:TransportDocuments:PostalManifest:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003006E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<ManifestDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="ManifestDate"/>
							</xsl:call-template>
						</ManifestDate>
						<xsl:if test="string-length(SerialNumber)>0">								
							<SerialNumber><xsl:value-of select="SerialNumber"/></SerialNumber>	
						</xsl:if>
						<PrioritySign><xsl:value-of select="PrioritySign"/></PrioritySign>
						<xsl:if test="string-length(OperatorContainerOwner)>0">
							<OperatorContainerOwner><xsl:value-of select="OperatorContainerOwner"/></OperatorContainerOwner>
						</xsl:if>
						<FormSign><xsl:value-of select="FormSign"/></FormSign>
						<xsl:variable name="DesignatedOperatorNode" select="count(child::*[contains(name(),'DesignatedOperator_') and string-length(.)>0])"/>
						<xsl:if test="number($DesignatedOperatorNode)>0">
							<DesignatedOperator>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'DesignatedOperator_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>
							</DesignatedOperator>
						</xsl:if>
						<xsl:variable name="DestinationAgencyNode" select="count(child::*[contains(name(),'DestinationAgency_') and string-length(.)>0])"/>	
						<xsl:if test="number($DestinationAgencyNode)>0">
							<DestinationAgency>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'DestinationAgency_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template> 								
							</DestinationAgency>
						</xsl:if>
						<xsl:variable name="CarrierNode" select="count(child::*[contains(name(),'Carrier_') and string-length(.)>0])"/>	
						<xsl:if test="number($CarrierNode)>0">
							<Carrier>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Carrier_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template> 								
							</Carrier>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="number(TranspSign)=1 or string-length($Pref)>0">
								<AirTransport>
									<SendDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="SendDate"/>
										</xsl:call-template>
									</SendDate>
									<xsl:if test="string-length(SendTime)>0">
										<SendTime><xsl:value-of select="SendTime"/></SendTime>
									</xsl:if>
									<FlightNumber><xsl:value-of select="FlightNumber"/></FlightNumber>
									<DirectOverloadAirport><xsl:value-of select="DirectOverloadAirport"/></DirectOverloadAirport>
									<UnloadAirport><xsl:value-of select="UnloadAirport"/></UnloadAirport>
								</AirTransport>
							</xsl:when>
							<xsl:when test="number(TranspSign)=2">
								<SeaTransport>
									<ShipName><xsl:value-of select="SeaTransport_ShipName"/></ShipName>
									<UnloadingPort><xsl:value-of select="SeaTransport_UnloadingPort"/></UnloadingPort>
									<xsl:if test="string-length(SeaTransport_Company)>0">
										<Company><xsl:value-of select="SeaTransport_Company"/></Company>
									</xsl:if>	
								</SeaTransport>
							</xsl:when>
							<xsl:when test="number(TranspSign)=3">
								<RW_Transport>
									<xsl:if test="string-length(RWTransport_SendDate)>0">
										<SendDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="RWTransport_SendDate"/>
											</xsl:call-template>
										</SendDate>
									</xsl:if>	
									<xsl:if test="string-length(RWTransport_SendTime)>0">
										<SendTime><xsl:value-of select="RWTransport_SendTime"/></SendTime>
									</xsl:if>
									<TransportNumber><xsl:value-of select="RWTransport_TransportNumber"/></TransportNumber>
									<Direction><xsl:value-of select="RWTransport_Direction"/></Direction>
									<xsl:if test="string-length(RWTransport_SealID)>0">
										<SealID><xsl:value-of select="RWTransport_SealID"/></SealID>
									</xsl:if>	
								</RW_Transport>
							</xsl:when>
							<xsl:when test="number(TranspSign)=4">
								<AutoTransport>
									<xsl:if test="string-length(AutoTransport_SendDate)>0">
										<SendDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="AutoTransport_SendDate"/>
											</xsl:call-template>
										</SendDate>
									</xsl:if>	
									<xsl:if test="string-length(AutoTransport_SendTime)>0">
										<SendTime><xsl:value-of select="AutoTransport_SendTime"/></SendTime>
									</xsl:if>
									<TransportNumber><xsl:value-of select="AutoTransport_TransportNumber"/></TransportNumber>
									<Direction><xsl:value-of select="AutoTransport_Direction"/></Direction>
									<xsl:if test="string-length(AutoTransport_SealID)>0">
										<SealID><xsl:value-of select="AutoTransport_SealID"/></SealID>
									</xsl:if>	
								</AutoTransport>
							</xsl:when>
						</xsl:choose>	
						<xsl:for-each select="*[name()=concat($Pref,'POSTALMANIFESTCONTAINERS')]/*[name()=concat($Pref,'POSTALMANIFESTCONTAINERS_ITEM')][string-length(ContainerNumber)>0]">
							<Container>
								<ContainerNumber><xsl:value-of select="ContainerNumber"/></ContainerNumber>
								<xsl:if test="string-length(StampNumber)>0">
									<StampNumber><xsl:value-of select="StampNumber"/></StampNumber>
								</xsl:if>	
							</Container>
						</xsl:for-each>		
						<xsl:for-each select="*[name()=concat($Pref,'POSTALMANIFESTINFO')]/*[name()=concat($Pref,'POSTALMANIFESTINFO_ITEM')]">
							<DespatchInfo>
								<DespatchNumber><xsl:value-of select="DespatchNumber"/></DespatchNumber>
								<FilingAgency><xsl:value-of select="FillingAgency"/></FilingAgency>
								<DestinationAgency><xsl:value-of select="DestinationAgency"/></DestinationAgency>
								<xsl:if test="string-length(Comments)>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="Comments"/>
										<xsl:with-param name="NodeName" select="'Comments'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:PostalManifest:5.10.0'"/> 
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>											
									</xsl:call-template>
								</xsl:if>
								<xsl:call-template name="NodeQuantityWeight">
									<xsl:with-param name="NodeNameRez" select="'EmptyContainers'"/>
									<xsl:with-param name="NodePref" select="'EmptyCont_'"/>
								</xsl:call-template>
								<xsl:call-template name="NodeQuantityWeight">
									<xsl:with-param name="NodeNameRez" select="'WrittenCorrespondence'"/>
									<xsl:with-param name="NodePref" select="'Written_'"/>
								</xsl:call-template>
								<xsl:call-template name="NodeQuantityWeight">
									<xsl:with-param name="NodeNameRez" select="'UncapacityParcels'"/>
									<xsl:with-param name="NodePref" select="'Parcels_'"/>
								</xsl:call-template>
								<xsl:call-template name="NodeQuantityWeight">
									<xsl:with-param name="NodeNameRez" select="'EMS'"/>
									<xsl:with-param name="NodePref" select="'EMS_'"/>
								</xsl:call-template>
							</DespatchInfo>
						</xsl:for-each>
						<xsl:if test="number(count(child::*[contains(name(),'ReplacementBillInfo_') and string-length(.)>0]))>0">		
							<ReplacementBillInfo>
								<xsl:if test="string-length(ReplacementBillInfo_FormingAircompany)>0">
									<FormingAircompany><xsl:value-of select="ReplacementBillInfo_FormingAircompany"/></FormingAircompany>
								</xsl:if>
								<xsl:if test="string-length(ReplacementBillInfo_SubmitAirport)>0">
									<SubmitAirport><xsl:value-of select="ReplacementBillInfo_SubmitAirport"/></SubmitAirport>
								</xsl:if>
								<xsl:if test="string-length(ReplacementBillInfo_Remarks)>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="ReplacementBillInfo_Remarks"/>
										<xsl:with-param name="NodeName" select="'Remarks'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:PostalManifest:5.10.0'"/> 
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>		
								</xsl:if>
								<xsl:if test="string-length(ReplacementBillInfo_OperatorSupplyCountry)>0">
									<OperatorSupplyCountry><xsl:value-of select="ReplacementBillInfo_OperatorSupplyCountry"/></OperatorSupplyCountry>
								</xsl:if>
							</ReplacementBillInfo>
						</xsl:if>
						<xsl:call-template name="NodeQuantityWeight">
							<xsl:with-param name="NodeNameRez" select="'TotalEmptyContainers'"/>
							<xsl:with-param name="NodePref" select="'TotalEmptyContainers_'"/>
							<xsl:with-param name="NodeRez" select="1"/>
						</xsl:call-template>
						<xsl:call-template name="NodeQuantityWeight">
							<xsl:with-param name="NodeNameRez" select="'TotalWrittenCorr'"/>
							<xsl:with-param name="NodePref" select="'TotalWrittenCorr_'"/>
						</xsl:call-template>
						<xsl:call-template name="NodeQuantityWeight">
							<xsl:with-param name="NodeNameRez" select="'TotalUncapacityParcels'"/>
							<xsl:with-param name="NodePref" select="'TotalUncapacityParcels_'"/>
						</xsl:call-template>
						<xsl:if test="string-length(PriorityAviaKind)>0 or string-length(UnpriorityLandKind)>0 or string-length(ParcelKind)>0 or string-length(EMSKind)>0">
							<ReturnedContainersKind>
								<xsl:if test="string-length(PriorityAviaKind)>0">
									<PriorityAviaKind><xsl:value-of select="PriorityAviaKind"/></PriorityAviaKind>
								</xsl:if>
								<xsl:if test="string-length(UnpriorityLandKind)>0">
									<UnpriorityLandKind><xsl:value-of select="UnpriorityLandKind"/></UnpriorityLandKind>
								</xsl:if>
								<xsl:if test="string-length(ParcelKind)>0">
									<ParcelKind><xsl:value-of select="ParcelKind"/></ParcelKind>
								</xsl:if>
								<xsl:if test="string-length(EMSKind)>0">
									<EMSKind><xsl:value-of select="EMSKind"/></EMSKind>
								</xsl:if>
							</ReturnedContainersKind>										
						</xsl:if>	
						<xsl:for-each select="*[name()=concat($Pref,'POSTALMANIFESTRELOADINFO')]/*[name()=concat($Pref,'POSTALMANIFESTRELOADINFO_ITEM')][count(child::*[string-length(.)>0])>0]">
							<ReloadInfo>
								<xsl:if test="string-length(OperationDescription)>0">
									<OperationDescription><xsl:value-of select="OperationDescription"/></OperationDescription>
								</xsl:if>
								<xsl:if test="string-length(CustomsCode)>0 or string-length(PlaceDescription)>0">
									<ReloadPlace>
										<xsl:choose>
											<xsl:when test="string-length(CustomsCode)>0">
												<cat_ru:Code><xsl:value-of select="CustomsCode"/></cat_ru:Code>
												<xsl:if test="string-length(CustomsName)>0">
													<cat_ru:OfficeName><xsl:value-of select="CustomsName"/></cat_ru:OfficeName>
												</xsl:if>
											</xsl:when>
											<xsl:when test="string-length(PlaceDescription)>0">
												<ReloadPlaceDescription><xsl:value-of select="PlaceDescription"/></ReloadPlaceDescription>
											</xsl:when>
										</xsl:choose>
									</ReloadPlace>
								</xsl:if>	
							</ReloadInfo>
						</xsl:for-each>		
					</PostalManifest>
				</DocBody>
			</ContainerDoc>	
		</xsl:for-each>			
	</xsl:template>
	<xsl:template name="NodeQuantityWeight" xmlns="urn:customs.ru:Information:TransportDocuments:PostalManifest:5.10.0">
		<xsl:param name="NodeNameRez"/>
		<xsl:param name="NodePref"/>
		<xsl:param name="NodeRez"/>
		<xsl:choose>
			<xsl:when test="string-length($NodeRez)>0">
				<xsl:call-template name="NodeQuantityWeightRez">
					<xsl:with-param name="NodeNameRez" select="$NodeNameRez"/>
					<xsl:with-param name="NodePref" select="$NodePref"/>
				</xsl:call-template>	
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="number(count(child::*[contains(name(),$NodePref) and number(.)>0]))>0">
					<xsl:call-template name="NodeQuantityWeightRez">
						<xsl:with-param name="NodeNameRez" select="$NodeNameRez"/>
						<xsl:with-param name="NodePref" select="$NodePref"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="NodeQuantityWeightRez" xmlns="urn:customs.ru:Information:TransportDocuments:PostalManifest:5.10.0">
		<xsl:param name="NodeNameRez"/>
		<xsl:param name="NodePref"/>
		<xsl:element name="{$NodeNameRez}">
			<xsl:if test="string-length(*[name()=concat($NodePref,'Quantity')])>0">
				<Quantity><xsl:value-of select="*[name()=concat($NodePref,'Quantity')]"/></Quantity>
			</xsl:if>	
			<xsl:if test="string-length(*[name()=concat($NodePref,'Weight')])>0">
				<Weight><xsl:value-of select="*[name()=concat($NodePref,'Weight')]"/></Weight>
			</xsl:if>
			<xsl:if test="string-length(*[name()=concat($NodePref,'FactWeight')])>0">
				<FactWeight><xsl:value-of select="*[name()=concat($NodePref,'FactWeight')]"/></FactWeight>	
			</xsl:if>	
		</xsl:element>
	</xsl:template>							
</xsl:stylesheet>
