<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="PROFINVOICE"/>
			</ED_Container>	
	</xsl:template>-->
	
	<xsl:template name="PROFINVOICE">
		<xsl:param name="DeclLastName"/>
		<xsl:param name="DeclFirstName"/>
		<xsl:for-each select="//PROFINVOICE/PROFINVOICE_ITEM | //PRILINVOICE/PRILINVOICE_ITEM">
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<ProformInvoice  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:ProformInvoice:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002012E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(CurrencyCode)>0">
							<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
						</xsl:if>	
						<xsl:if test="string-length(CurrencyRate)>0">
							<CurrencyRate><xsl:value-of select="CurrencyRate"/></CurrencyRate>
						</xsl:if>
						<xsl:if test="string-length(PlacesQuantity)>0">
							<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
						</xsl:if>
						<xsl:if test="string-length(GrossWeightQuantity)>0">
							<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
						</xsl:if>
						<xsl:if test="string-length(NetWeightQuantity)>0">
							<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
						</xsl:if>
						<Consignor>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>													
						</Consignor>	
						<xsl:for-each select="PROFINVOICEGoods/PROFINVOICEGOODS_ITEM | PRILINVOICEGoods/PRILINVOICEGOODS_ITEM">
							<InvoiceGoods>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods">
										<xsl:call-template name="GoodDescrAvto"/>
									</xsl:with-param>
									<xsl:with-param name="NodeName" select="'catComFin_ru:GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>						
								<xsl:if test="string-length(Articul)>0">
									<catComFin_ru:GoodMarking><xsl:value-of select="Articul"/></catComFin_ru:GoodMarking>
								</xsl:if>
								<xsl:if test="string-length(GoodsCode)>0">
									<catComFin_ru:GoodsCode><xsl:value-of select="GoodsCode"/></catComFin_ru:GoodsCode>
								</xsl:if>
								<xsl:if test="string-length(SupplementaryQualifierName)>0">
									<catComFin_ru:SupplementaryQualifierName><xsl:value-of select="SupplementaryQualifierName"/></catComFin_ru:SupplementaryQualifierName>
								</xsl:if>																		
								<xsl:if test="string-length(GoodsQuantity)>0">
									<catComFin_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catComFin_ru:GoodsQuantity>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitQualifierName)>0">
									<catComFin_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catComFin_ru:MeasureUnitQualifierName>
								</xsl:if>
								<catComFin_ru:GoodsPrice>	
									<xsl:choose>
										<xsl:when test="string-length(Price)=0">0.0000</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="Price"/>
										</xsl:otherwise>
									</xsl:choose>
								</catComFin_ru:GoodsPrice>
								<catComFin_ru:GoodsCost>
									<xsl:choose>
										<xsl:when test="string-length(GoodsCost)=0">0.00</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(GoodsCost  * 100) div 100"/>
										</xsl:otherwise>
									</xsl:choose>
								</catComFin_ru:GoodsCost>
								<xsl:if test="string-length(Exise)>0">
									<catComFin_ru:Exise><xsl:value-of select="Exise"/></catComFin_ru:Exise>
								</xsl:if>
								<xsl:if test="string-length(TaxRate)>0">
									<catComFin_ru:TaxRate><xsl:value-of select="TaxRate"/></catComFin_ru:TaxRate>
								</xsl:if>
								<xsl:if test="string-length(TaxSum)>0">
									<catComFin_ru:TaxSum><xsl:value-of select="TaxSum"/></catComFin_ru:TaxSum>
								</xsl:if>
								<catComFin_ru:TotalCost>
									<xsl:choose>
										<xsl:when test="string-length(TotalCost)=0">0.00</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="round(TotalCost  * 100) div 100"/>
										</xsl:otherwise>
									</xsl:choose>
								</catComFin_ru:TotalCost>
								<xsl:if test="string-length(OriginCountryCode)>0">
									<xsl:variable select="OriginCountryCode" name="OrCountry"/>
									<catComFin_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrCountry]/Code"/></catComFin_ru:OriginCountryCode>
									<catComFin_ru:OriginA3CountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrCountry]/ABC3"/></catComFin_ru:OriginA3CountryCode>
								</xsl:if>								
								<xsl:if test="string-length(GTD)>0">
									<catComFin_ru:GTDID>
										<cat_ru:CustomsCode><xsl:value-of select="substring(GTD,1,8)"/></cat_ru:CustomsCode>
										<cat_ru:RegistrationDate><xsl:value-of select="concat(substring(GTD,14,4),'-',substring(GTD,10,2),'-',substring(GTD,12,2))"/></cat_ru:RegistrationDate>
										<cat_ru:GTDNumber><xsl:value-of select="substring(GTD,18)"/></cat_ru:GTDNumber>
									</catComFin_ru:GTDID>
								</xsl:if>
								<xsl:if test="string-length(Manufacturer_Name)>0 or string-length(TradeMark)>0 or string-length(GoodsMark)>0 or string-length(GoodsModel)>0 or string-length(GoodsStandard)>0">
									<catComFin_ru:AdditionalGoodsDescription>
										<xsl:if test="string-length(Manufacturer_Name)>0">
											<catComFin_ru:Manufacturer><xsl:value-of select="Manufacturer_Name"/></catComFin_ru:Manufacturer>
										</xsl:if>
										<xsl:if test="string-length(TradeMark)>0">
											<catComFin_ru:TradeMark><xsl:value-of select="TradeMark"/></catComFin_ru:TradeMark>
										</xsl:if>
										<xsl:if test="string-length(GoodsMark)>0">
											<catComFin_ru:GoodsMark><xsl:value-of select="GoodsMark"/></catComFin_ru:GoodsMark>
										</xsl:if>
										<xsl:if test="string-length(GoodsModel)>0">
											<catComFin_ru:GoodsModel><xsl:value-of select="GoodsModel"/></catComFin_ru:GoodsModel>
										</xsl:if>
										<xsl:if test="string-length(GoodsStandard)>0">
											<catComFin_ru:GoodsStandart><xsl:value-of select="GoodsStandard"/></catComFin_ru:GoodsStandart>
										</xsl:if>
									</catComFin_ru:AdditionalGoodsDescription>
								</xsl:if>
							</InvoiceGoods>
						</xsl:for-each>
						<Consignee>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>										
						</Consignee>
						<xsl:if  test="string-length(Buyer_Name)>0">
							<Buyer>
								<xsl:if test="string-length(Buyer_INN)>0">
									<catComFin_ru:CompanyID><xsl:value-of select="Buyer_INN"/></catComFin_ru:CompanyID>
								</xsl:if>
								<xsl:if test="string-length(Buyer_KPP)>0">
									<catComFin_ru:KPPCode><xsl:value-of select="Buyer_KPP"/></catComFin_ru:KPPCode>
								</xsl:if>
								<catComFin_ru:Name><xsl:value-of select="Buyer_Name"/></catComFin_ru:Name>
								<xsl:if test="string-length(Buyer_Phone)>0">
									<catComFin_ru:Phone><xsl:value-of select="Buyer_Phone"/></catComFin_ru:Phone>
								</xsl:if>
							</Buyer>
						</xsl:if>
						<xsl:if  test="string-length(Seler_Name)>0">
							<Seler>
								<xsl:if test="string-length(Seler_INN)>0">
									<catComFin_ru:CompanyID><xsl:value-of select="Seler_INN"/></catComFin_ru:CompanyID>
								</xsl:if>
								<xsl:if test="string-length(Seler_KPP)>0">
									<catComFin_ru:KPPCode><xsl:value-of select="Seler_KPP"/></catComFin_ru:KPPCode>
								</xsl:if>
								<catComFin_ru:Name><xsl:value-of select="Seler_Name"/></catComFin_ru:Name>
								<xsl:if test="string-length(Seler_Phone)>0">
									<catComFin_ru:Phone><xsl:value-of select="Seler_Phone"/></catComFin_ru:Phone>
								</xsl:if>
							</Seler>
						</xsl:if>		
						<Signature>
							<cat_ru:PersonSurname>
								<xsl:choose>
									<xsl:when test="string-length(DocSig_PersonName)>0">
										<xsl:value-of select="DocSig_PersonName"/>
									</xsl:when>
									<xsl:when test="string-length($DeclLastName)>0">
										<xsl:value-of select="$DeclLastName"/>
									</xsl:when>
									<xsl:otherwise>N</xsl:otherwise>
								</xsl:choose>
							</cat_ru:PersonSurname>
							<cat_ru:PersonName>
								<xsl:choose>
									<xsl:when test="string-length(DocSig_PersonName2)>0">
										<xsl:value-of select="DocSig_PersonName2"/>
									</xsl:when>
									<xsl:when test="string-length($DeclFirstName)>0">
										<xsl:value-of select="$DeclFirstName"/>
									</xsl:when>
									<xsl:otherwise>N</xsl:otherwise>
								</xsl:choose>
							</cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">	
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>	
							<xsl:if test="string-length(DocSig_IssueDate)>0">	
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
									</xsl:call-template>
								</cat_ru:IssueDate>
							</xsl:if>	
						</Signature>
						<xsl:if  test="string-length(Carrier_Name)>0">
							<Carier>
								<catComFin_ru:Name><xsl:value-of select="Carrier_Name"/></catComFin_ru:Name>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Carrier_'"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:Address'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
								</xsl:call-template>
							</Carier>	
						</xsl:if>
						<Registration>
							<xsl:choose>
								<xsl:when test="name()='PRILINVOICE_ITEM'">
									<cat_ru:PrDocumentName>
										<xsl:choose>
											<xsl:when test="string-length(InvoiceName)>0">
												<xsl:value-of select="InvoiceName"/>
											</xsl:when>
											<xsl:otherwise>Приложение к инвойсу</xsl:otherwise>
										</xsl:choose>
									</cat_ru:PrDocumentName>
								</xsl:when>
								<xsl:when  test="string-length(DocName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
								</xsl:when>
							</xsl:choose>	
							<xsl:if test="string-length(RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</Registration>
						<xsl:if test="string-length(DeliveryPlace)>0 or string-length(DeliveryTermsStringCode)>0">
							<DeliveryTerms>
								<xsl:if test="string-length(DeliveryPlace)>0">
									<cat_ru:DeliveryPlace><xsl:value-of select="DeliveryPlace"/></cat_ru:DeliveryPlace>
								</xsl:if>
								<xsl:if test="string-length(DeliveryTermsStringCode)>0">
									<cat_ru:DeliveryTermsStringCode><xsl:value-of select="DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
								</xsl:if>
							</DeliveryTerms>
						</xsl:if>
					</ProformInvoice>
				</DocBody>
			</ContainerDoc>
		</xsl:for-each>	
	</xsl:template>		
</xsl:stylesheet>
