<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

	<xsl:template match="/Package">
		<xsl:call-template name="PROHIBITEDGOODS"/>
	</xsl:template>-->
	<xsl:template name="PROHIBITEDGOODS">
		<xsl:for-each select="PROHIBITEDGOODS/PROHIBITEDGOODS_ITEM | AIRPROHIBITEDGOODS/AIRPROHIBITEDGOODS_ITEM">  
			<xsl:variable name="PrefPr">
					<xsl:choose>
						<xsl:when test="name()='AIRPROHIBITEDGOODS_ITEM'">AIR</xsl:when>
						<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<ProhibitedGoods xmlns="urn:customs.ru:Information:TransportDocuments:ProhibitedGoods:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003001E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<ShipInfo>
							<xsl:choose>
								<xsl:when test="count(FlightNumber)>0 or string-length($PrefPr)>0">
									<ShipName>
										<xsl:choose>
											<xsl:when test="string-length(FlightNumber)>0">
												<xsl:value-of select="FlightNumber"/>
											</xsl:when>
											<xsl:when test="string-length(//GENERALDECLAIR_ITEM/FlNumber)>0">
												<xsl:value-of select="//GENERALDECLAIR_ITEM/FlNumber"/>
											</xsl:when>
										</xsl:choose>
									</ShipName>
									<ShipFlag><xsl:value-of select="CountryCode"/></ShipFlag>
								</xsl:when>
								<xsl:when test="count(//VesselName)>0">
									<ShipName>
										<xsl:choose>
											<xsl:when test="string-length(VesselName)>0">
												<xsl:value-of select="VesselName"/>
											</xsl:when>
											<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselName)>0">
												<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselName"/>
											</xsl:when>
										</xsl:choose>
									</ShipName>
									<ShipFlag>
										<xsl:choose>
											<xsl:when test="string-length(VesselNationalityCode)>0">
												<xsl:value-of select="VesselNationalityCode"/>
											</xsl:when>
											<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode)>0">
												<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode"/>
											</xsl:when>
											<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCode)>0">
												<xsl:variable name="CnC1" select="//GENERALDECL/GENERALDECL_ITEM/VesselNationalityCountryCode"/>
												<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CnC1]/ABC2"/>
											</xsl:when>
										</xsl:choose>
									</ShipFlag>
								</xsl:when>
							</xsl:choose>
							<xsl:variable name="DepP">
								<xsl:choose>
									<xsl:when test="string-length(DeparturePort)>0">
										<xsl:value-of select="DeparturePort"/>
									</xsl:when>
									<xsl:when test="string-length(//GENERALDECLAIR/GENERALDECLAIR_ITEM/DepartureAirport_IATACode)>0">
										<xsl:variable name="IATACodeNsi" select="DepartureAirport_IATACode"/>
										<xsl:if test="string-length(document('../../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$IATACodeNsi]/EngName)>0">
											<xsl:value-of select="document('../../../NSI/AirNsiXml.xml')//AIRPORTS_ITEM[IATA=$IATACodeNsi]/EngName"/>
										</xsl:if>	
									</xsl:when>
									<xsl:when test="string-length(//ARRSEADECL/ARRSEADECL_ITEM/DeparturePort)>0">
										<xsl:value-of select="//ARRSEADECL/ARRSEADECL_ITEM/DeparturePort"/>
									</xsl:when>
									<xsl:when test="string-length(//GENERALDECL/GENERALDECL_ITEM/DeparturePort)>0">
										<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DeparturePort"/>
									</xsl:when>									
								</xsl:choose>
							</xsl:variable>
							<xsl:if test="string-length($DepP)>0">
								<DepaturePort><xsl:value-of select="$DepP"/></DepaturePort>
							</xsl:if>	
						</ShipInfo>
						<DocumentInfo>
							<xsl:if test="string-length(DocumentName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
							</xsl:if>	
							<xsl:if test="string-length(RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>	
							<xsl:if test="string-length(RegDate)>0">							
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</DocumentInfo>
						<xsl:for-each select="ARMSINFO/ARMSINFO_ITEM[string-length(GoodsQuantity)>0 and string-length(Name)>0]">
							<ArmsInfo>
								<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
								<xsl:if test="string-length(MeasureUnitQualifierName)>0">	
									<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitQualifierCode)>0">	
									<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
								</xsl:if>	
								<Name><xsl:value-of select="Name"/></Name>
								<xsl:if test="string-length(Description)>0">
									<Description><xsl:value-of select="Description"/></Description>
								</xsl:if>	
							</ArmsInfo>
						</xsl:for-each>
						<xsl:for-each select="CURRENCYINFO/CURRENCYINFO_ITEM[string-length(Amout)>0 and string-length(CurrencyCode)>0]">
							<CurrencyInfo>
								<Amout><xsl:value-of select="Amout"/></Amout>
								<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
							</CurrencyInfo>
						</xsl:for-each>
						<xsl:for-each select="DRUGSSUBSTANCEINFO/DRUGSSUBSTANCEINFO_ITEM[string-length(GoodsQuantity)>0 and string-length(Name)>0 and string-length(DrugsType)>0]">
							<DrugsSubstanceInfo>
								<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
								<xsl:if test="string-length(MeasureUnitQualifierName)>0">	
									<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitQualifierCode)>0">	
									<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
								</xsl:if>	
								<Name><xsl:value-of select="Name"/></Name>
								<xsl:if test="string-length(Description)>0">
									<Description><xsl:value-of select="Description"/></Description>
								</xsl:if>	
								<DrugsType><xsl:value-of select="DrugsType"/></DrugsType>
							</DrugsSubstanceInfo>
						</xsl:for-each>
						<xsl:for-each select="PERMITIONDOCS/PERMITIONDOCS_ITEM[string-length(DocumentDescriprion)>0 and string-length(PermitDocOrganization)>0]">
							<PermitionDocs>
								<xsl:if test="string-length(DocumentName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
								</xsl:if>	
								<xsl:if test="string-length(DocumentNumber)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
								</xsl:if>	
								<xsl:if test="string-length(DocumentDate)>0">							
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocumentDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>
								<DocumentDescriprion><xsl:value-of select="DocumentDescriprion"/></DocumentDescriprion>
								<PermitDocOrganization><xsl:value-of select="PermitDocOrganization"/></PermitDocOrganization>
							</PermitionDocs>
						</xsl:for-each>												
					</ProhibitedGoods>
				</DocBody>
			</ContainerDoc>	
		</xsl:for-each>			
	</xsl:template>
</xsl:stylesheet>
