<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
			<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
			<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
			<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
			<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
			<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="QUALIFSERTIF">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="QUALIFSERTIF_ONE_DOC">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:call-template name="ContainerDoc-DocBody">
			<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
			<xsl:with-param name="content">
				<xsl:call-template name="content_QualificationCertificate"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="QUALIFSERTIF">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/QUALIFSERTIF/QUALIFSERTIF_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<xsl:call-template name="content_QualificationCertificate"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="content_QualificationCertificate">
		<QualificationCertificate DocumentModeID="1001202E" xmlns="urn:customs.ru:Information:RegistrationDocuments:QualificationCertificate:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
						<PersonName><xsl:value-of select="PersonName"/></PersonName>
						<DateBirth>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="DateBirth"/>
							</xsl:call-template>
						</DateBirth>
						<DateIssueCertificate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</DateIssueCertificate>
						<IdentityCard>
							<cat_ru:IdentityCardCode><xsl:value-of select="IdentityCardCode"/></cat_ru:IdentityCardCode>
							<cat_ru:IdentityCardName><xsl:value-of select="IdentityCardName"/></cat_ru:IdentityCardName>
							<cat_ru:IdentityCardSeries><xsl:value-of select="IdentityCardSeries"/></cat_ru:IdentityCardSeries>
							<cat_ru:IdentityCardNumber><xsl:value-of select="IdentityCardNumber"/></cat_ru:IdentityCardNumber>
							<cat_ru:IdentityCardDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="IdentityCardDate"/>
								</xsl:call-template>
							</cat_ru:IdentityCardDate>
							<cat_ru:OrganizationName><xsl:value-of select="IdentityCardOrgName"/></cat_ru:OrganizationName>
						</IdentityCard>
						<Customs>
							<cat_ru:Code><xsl:value-of select="CustomsCode"/></cat_ru:Code>
							<cat_ru:OfficeName><xsl:value-of select="CustomsName"/></cat_ru:OfficeName>
						</Customs>
						<SignatureChairmanCommission>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							<cat_ru:IssueDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
								</xsl:call-template>
							</cat_ru:IssueDate>
						</SignatureChairmanCommission>
						<xsl:for-each select="key('NAME', concat(generate-id(), '/QUALIFSERTIFLEARN/QUALIFSERTIFLEARN_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<InfoLearning>
								<StartPeriod>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="StartPeriod"/>
									</xsl:call-template>
								</StartPeriod>
								<EndPeriod>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="EndPeriod"/>
									</xsl:call-template>
								</EndPeriod>
								<NameOrganizaion><xsl:value-of select="Org_Name"/></NameOrganizaion>
								<NubmerLicenseOrganization><xsl:value-of select="Org_LicenceNumber"/></NubmerLicenseOrganization>
								<MarkCustoms><xsl:value-of select="MarkCustoms"/></MarkCustoms>
								<xsl:for-each select="key('NAME', concat(generate-id(), '/QUALIFSERTIFLEARNDOCS/QUALIFSERTIFLEARNDOCS_ITEM'))">
									<xsl:sort select="RECORD_ID" data-type="number"/>
									<xsl:sort select="RECORD_ID" data-type="text"/>
									<DocumentLearning>
										<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="DocumentDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</DocumentLearning>
								</xsl:for-each>
								<xsl:for-each select="key('NAME', concat(generate-id(), '/QUALIFSERTIFLEARNAUTHSIGN/QUALIFSERTIFLEARNAUTHSIGN_ITEM'))">
									<xsl:sort select="RECORD_ID" data-type="number"/>
									<xsl:sort select="RECORD_ID" data-type="text"/>
									<SignatureAuthorizedPerson>
										<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
										<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
										<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
										<cat_ru:IssueDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
											</xsl:call-template>
										</cat_ru:IssueDate>
									</SignatureAuthorizedPerson>
								</xsl:for-each>
							</InfoLearning>
						</xsl:for-each>
						<RegistrationNumberCertificate>
							<NumberManagement>
								<xsl:variable name="RegNum_Code--IDANGTYG" select="translate(., translate(., '0123456789', ''), '')"/>
								<xsl:value-of select="substring($RegNum_Code--IDANGTYG, 1, 1)"/>
							</NumberManagement>
							<Date>
								<xsl:variable name="RegNum_Date--IDAXGTYG" select="translate(., translate(., '0123456789', ''), '')"/>
								<xsl:value-of select="concat('20', substring($RegNum_Date--IDAXGTYG, 4, 2), '-', substring($RegNum_Date--IDAXGTYG, 2, 2))"/>
							</Date>
							<SerialNumber>
								<xsl:variable name="RegNum_Num--IDASGTYG" select="translate(., translate(., '0123456789', ''), '')"/>
								<xsl:value-of select="substring($RegNum_Num--IDASGTYG, 6, 5)"/>
							</SerialNumber>
						</RegistrationNumberCertificate>
						<Form>
							<FormSerial><xsl:value-of select="FormSerial"/></FormSerial>
							<FormNumber><xsl:value-of select="FormNumber"/></FormNumber>
						</Form>
					</QualificationCertificate>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
