<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="SERTIFQUARANTINE"/>
	</xsl:template>-->
<xsl:template name="SERTIFQUARANTINE">
		<xsl:for-each select="//SERTIFQUARANTINE/SERTIFQUARANTINE_ITEM">
			<xsl:call-template name="SERTIFQUARANTINE_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>	
	<xsl:template name="SERTIFQUARANTINE_ONE_DOC">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<QuarantineCertificate xmlns="urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catSert_ru="urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009010E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<RegistrationNumber><xsl:value-of select="RegNum"/></RegistrationNumber>
						<IssueDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</IssueDate>
						<ExpirationDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="EndDate"/>
							</xsl:call-template>
						</ExpirationDate>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="GoodsInfo"/>
							<xsl:with-param name="NodeName" select="'StatusGoodsInfo'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
							<xsl:with-param name="NameMes" select="false"/> 
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<RegionManagement><xsl:value-of select="RegionManagement"/></RegionManagement>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="AddActivities"/>
							<xsl:with-param name="NodeName" select="'AdditionalActivities'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
							<xsl:with-param name="NameMes" select="false"/> 
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<xsl:if test="string-length(UnloadingPlace)>0">
							<UnloadingPlace><xsl:value-of select="UnloadingPlace"/></UnloadingPlace>
						</xsl:if>
						<xsl:if test="string-length(UnloadingRegion)>0">
							<UnloadingRegion><xsl:value-of select="UnloadingRegion"/></UnloadingRegion>
						</xsl:if>	
						<SubjectInfo>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Org_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
								<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Org_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</SubjectInfo>
						<DeclarantInfo>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Declarant_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
								<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Declarant_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</DeclarantInfo>
						<ReceiverInfo>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
								<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Consignee_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</ReceiverInfo>
						<xsl:for-each select="SERTIFQUARANTINEGOODS/SERTIFQUARANTINEGOODS_ITEM">
							<Goods>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'GoodsName'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<TotalWeigh><xsl:value-of select="TotalWeightQuantity"/></TotalWeigh>
								<MeasureUnitWeigh><xsl:value-of select="MeasureUnitWeight"/></MeasureUnitWeigh>
								<PackagesQuantity><xsl:value-of select="PlacesQuantity"/></PackagesQuantity>
								<xsl:if test="string-length(GoodMarking)>0">
									<Mark><xsl:value-of select="GoodMarking"/></Mark>
								</xsl:if>	
								<MethodTransportation><xsl:value-of select="MethodTransport"/></MethodTransportation>
								<SenderStation><xsl:value-of select="DepStationName"/></SenderStation>
								<RecipientStation><xsl:value-of select="DestStationName"/></RecipientStation>
								<xsl:if test="string-length(Volume)>0">
									<Volume><xsl:value-of select="Volume"/></Volume>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitVolume)>0">
									<MeasureUnitVolume><xsl:value-of select="MeasureUnitVolume"/></MeasureUnitVolume>
								</xsl:if>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Origin_'"/>
									<xsl:with-param name="NodeName" select="'Origin'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
								</xsl:call-template>
							</Goods>
						</xsl:for-each>
						<xsl:call-template name="Address">
							<xsl:with-param name="Pref" select="'Examination_'"/>
							<xsl:with-param name="NodeName" select="'AddressSearch'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:QuarantineCertificate:5.10.0'"/>
							<xsl:with-param name="Phone" select="1"/>
						</xsl:call-template>
						<InspectorSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">	
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
							<xsl:if test="string-length(DocSig_IssueDate)>0">		
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
										</xsl:call-template>
								</cat_ru:IssueDate>
							</xsl:if>	
						</InspectorSignature>
						<xsl:choose>
							<xsl:when test="count(SERTIFQUARANTINEDOCS/SERTIFQUARANTINEDOCS_ITEM[string-length(DocName)>0 or string-length(DocNumber)>0 or string-length(DocDate)>0])>0">
								<xsl:for-each select="SERTIFQUARANTINEDOCS/SERTIFQUARANTINEDOCS_ITEM[string-length(DocName)>0 or string-length(DocNumber)>0 or string-length(DocDate)>0]">
									<AuthorityCertificate>
										<xsl:if test="string-length(DocName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
										</xsl:if>	
										<xsl:if test="string-length(DocNumber)>0">	
											<cat_ru:PrDocumentNumber><xsl:value-of select="DocNumber"/></cat_ru:PrDocumentNumber>
										</xsl:if>	
										<xsl:if test="string-length(DocDate)>0">	
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="DocDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>	
									</AuthorityCertificate>
								</xsl:for-each>	
							</xsl:when>
							<xsl:otherwise>
								<AuthorityCertificate/>
							</xsl:otherwise>
						</xsl:choose>
					</QuarantineCertificate>
				</DocBody>
			</ContainerDoc>
		
	</xsl:template>
</xsl:stylesheet>
