<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:param name="GoodsFromCMRForPi" select="0"/>
		<xsl:template match="/Package">
			<xsl:call-template name="RWB"/>
	</xsl:template>-->
	<xsl:template name="RwbGood" xmlns="urn:customs.ru:Information:TransportDocuments:Railway:RailwayBill:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0">
		<xsl:param name="ContNum"/>
		<xsl:param name="NumVag"/>
		<xsl:param name="Pos"/>
		<RWBGoods>
			<xsl:if test="string-length(GoodsMarking)>0">
				<catTrans_ru:GoodsMarking><xsl:value-of select="GoodsMarking"/></catTrans_ru:GoodsMarking>
			</xsl:if>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods">
					<xsl:choose>
						<xsl:when test="(../../../@ctmtd:CfgName)='invoiceauto.cfg.xml'" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
							<xsl:call-template name="GoodDescrAvto"/>
						</xsl:when>
						<xsl:when test="(../../../@ctmtd:CfgName)='invoicealco.cfg.xml' and substring(GoodsCode,1,2)='22'" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
							<xsl:call-template name="GoodDescrAlco"/>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="GoodsDescription"/></xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>
				<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
				<xsl:with-param name="NameMes" select="true"/> 
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<catTrans_ru:GoodsNumeric>
				<xsl:choose>
					<xsl:when test="string-length($Pos)>0">
						<xsl:value-of select="number($Pos)+position()"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="position()"/>				
					</xsl:otherwise>
				</xsl:choose>
			</catTrans_ru:GoodsNumeric>
			<xsl:choose>
				<xsl:when test="string-length(GoodsCode)>0">
					<catTrans_ru:GoodsNomenclatureCode><xsl:value-of select="GoodsCode"/></catTrans_ru:GoodsNomenclatureCode>
				</xsl:when>
				<xsl:when test="string-length(GoodsNomenclatureCode)>0">
					<catTrans_ru:GoodsNomenclatureCode><xsl:value-of select="GoodsNomenclatureCode"/></catTrans_ru:GoodsNomenclatureCode>
				</xsl:when>
			</xsl:choose> 
			<xsl:if test="string-length(HazardousCargoCode)>0">
				<catTrans_ru:HazardousCargoCode><xsl:value-of select="HazardousCargoCode"/></catTrans_ru:HazardousCargoCode>
			</xsl:if>
			<xsl:if test="string-length(VolumeQuantity)>0">	
				<catTrans_ru:VolumeQuantity><xsl:value-of select="VolumeQuantity"/></catTrans_ru:VolumeQuantity>
			</xsl:if>	
			<xsl:if test="string-length($ContNum)>0">
				<ContainerIndicator>1</ContainerIndicator>
			</xsl:if>
			<xsl:variable name="Usl1" select="string-length(PlacesQuantity)>0"/>
			<xsl:variable name="Usl2" select="contains(PlacesDescription,'АВАЛОМ')"/>
			<xsl:variable name="Usl3" select="contains(PlacesDescription,'АЛИВОМ')"/>
			<xsl:variable name="Usl4" select="contains(PlacesDescription,'аливом')"/>
			<xsl:variable name="Usl5" select="contains(PlacesDescription,'авалом')"/>
			<xsl:if test="$Usl1 and not($Usl2 or $Usl3 or $Usl4 or $Usl5)">
				<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="string-length(GrossWeightQuantity)>0">
					<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
				</xsl:when>
				<xsl:otherwise>
					<GrossWeightQuantity>0</GrossWeightQuantity>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:variable name="Pack">
				<xsl:choose>
					<xsl:when test="string-length(PlacesDescription)>0">
						<xsl:value-of select="normalize-space(PlacesDescription)"/>
					</xsl:when>
					<xsl:when test="string-length(PlacesDescription)=0 and string-length(PlacesCode)>0">
						<xsl:variable name="PcCode" select="PlacesCode"/>
						<xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Packing_ITEM[ID=$PcCode]/Name"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Packing_ITEM[ID='NE']/Name"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable> 
			<PlacesDescription><xsl:value-of select="$Pack"/></PlacesDescription>
			<xsl:if test="string-length(GNG)>0">
				<HarmonizedRangeGoods><xsl:value-of select="GNG"/></HarmonizedRangeGoods>
			</xsl:if> 
			<Packing><xsl:value-of select="substring($Pack,1,50)"/></Packing>
			<xsl:if test="string-length(Marking)>0">
				<Marking><xsl:value-of select="Marking"/></Marking>
			</xsl:if> 
			<xsl:if test="string-length($NumVag)>0">
				<CarriageNumber><xsl:value-of select="$NumVag"/></CarriageNumber>
			</xsl:if> 
			<xsl:if test="string-length($ContNum)>0">
				<ContainerNumber><xsl:value-of select="$ContNum"/></ContainerNumber>
			</xsl:if> 
		</RWBGoods>
	</xsl:template>
	
	<xsl:template name="RWB">
		<xsl:param name="CreateOnlyEDContainer"/>
		<xsl:variable name="RwbCou" select="count(//RWB_ITEM)"/>
		<xsl:for-each select="RWB/RWB_ITEM">
			<xsl:call-template name="RWB_ONE_DOC">
				<xsl:with-param name="CreateOnlyEDContainer" select="$CreateOnlyEDContainer"/>
				<xsl:with-param name="RwbCou" select="$RwbCou"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="RWB_ONE_DOC">	
		<xsl:param name="CreateOnlyEDContainer"/>
		<xsl:param name="RwbCou"/>
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<RailwayBill xmlns="urn:customs.ru:Information:TransportDocuments:Railway:RailwayBill:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003401E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<Number><xsl:value-of select="RegNum"/></Number>
						<RegistrationDocument>
							<xsl:if test="string-length(SMGSName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="SMGSName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="RegDate"/>
									</xsl:call-template>									
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</RegistrationDocument>
						<xsl:if test="string-length(ConsignorNotice)>0">
							<ConsignorNotice><xsl:value-of select="substring(normalize-space(ConsignorNotice),1,250)"/></ConsignorNotice>
						</xsl:if>
						<xsl:if test="string-length(ConsignorOptionNotice)>0">
							<ConsignorOptionNotice><xsl:value-of select="substring(normalize-space(ConsignorOptionNotice),1,250)"/></ConsignorOptionNotice>
						</xsl:if>
						<xsl:if test="not(contains(PlacesQuantityStr,'НАВАЛОМ')) and not(contains(PlacesQuantityStr,'НАЛИВОМ')) and string-length(PlacesQuantity)>0">
							<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(GrossWeightQuantity)>0">
								<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
							</xsl:when>
							<xsl:otherwise>
								<GrossWeightQuantity>0</GrossWeightQuantity>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(DepartureModeDescription)>0">
							<DepartureModeDescription><xsl:value-of select="DepartureModeDescription"/></DepartureModeDescription>
						</xsl:if>
						<xsl:if test="string-length(LoaderModeDescription)>0">
							<LoaderModeDescription><xsl:value-of select="LoaderModeDescription"/></LoaderModeDescription>
						</xsl:if>
						<xsl:if test="string-length(AdditionalSheetQuantity)>0">
							<AdditionalSheetQuantity><xsl:value-of select="AdditionalSheetQuantity"/></AdditionalSheetQuantity>
						</xsl:if>
						<xsl:if test="string-length(CargoValue)>0">
							<CargoValue><xsl:value-of select="CargoValue"/></CargoValue>
						</xsl:if>
						<xsl:if test="string-length(CustomsNotice)>0">
							<CustomsNotice><xsl:value-of select="CustomsNotice"/></CustomsNotice>
						</xsl:if>
						<xsl:if test="string-length(WeightDefinitionModeDescription)>0">
							<WeightDefinitionModeDescription><xsl:value-of select="WeightDefinitionModeDescription"/></WeightDefinitionModeDescription>
						</xsl:if>	
						<Consignor>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Consignor_RailCode)>0">
								<RBCode><xsl:value-of select="Consignor_RailCode"/></RBCode>
							</xsl:if>	
							<xsl:if test="string-length(Signature)>0">
								<ConsignorSign><xsl:value-of select="Signature"/></ConsignorSign>
							</xsl:if>
						</Consignor>	
						<Consignee>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Consignee_RailCode)>0">
								<RBCode><xsl:value-of select="Consignee_RailCode"/></RBCode>
							</xsl:if>	
						</Consignee>
						<xsl:variable name="DepSt" select="DepStationCode"/>
						<DepartureStation>
							<xsl:if test="string-length($DepSt)>0">
								<StationCode><xsl:value-of select="substring($DepSt,1,5)"/></StationCode>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="string-length(DepStationName)>0">
									<StationName><xsl:value-of select="DepStationName"/></StationName>
								</xsl:when>
								<xsl:when test="string-length($DepSt)=6 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DepSt]/NAME)>0">
									<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DepSt]/NAME,1,40)"/></StationName>
								</xsl:when>
								<xsl:when test="string-length($DepSt)=5 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DepSt]/NAME)>0">
									<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DepSt]/NAME,1,40)"/></StationName>
								</xsl:when>
								<xsl:otherwise>
									<StationName>N</StationName>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(DepRailwayCode)>0">
								<RailwayCode><xsl:value-of select="DepRailwayCode"/></RailwayCode>
								<xsl:variable name="DepRwCode" select="DepRailwayCode"/>
								<xsl:if  test="string-length(document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$DepRwCode]/Name_Roads)>0">
									<RWName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$DepRwCode]/Name_Roads"/></RWName>
								</xsl:if>	
							</xsl:if>
						</DepartureStation>
						<xsl:variable name="DesSt" select="DestStationCode"/>
						<DestinationStation>
							<xsl:if test="string-length(DestRailwayCode)>0">
								<RailwayCode><xsl:value-of select="DestRailwayCode"/></RailwayCode>
							</xsl:if>
							<xsl:if test="string-length($DesSt)>0">
								<StationCode><xsl:value-of select="substring($DesSt,1,5)"/></StationCode>
							</xsl:if>
							<xsl:variable name="DesRwCode" select="DestRailwayCode"/>
							<xsl:variable name="DesRwName" select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$DesRwCode]/Name_Roads"/>	
							<RailwayAndStationName>
								<xsl:choose>
									<xsl:when test="string-length($DesRwName)>0 and string-length(DestStationName)>0">
										<xsl:value-of select="concat($DesRwName,' ',DestStationName)"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)>0 and string-length(DestRailwayCode)>0">
										<xsl:value-of select="concat(DestRailwayCode,' ',DestStationName)"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)=0 and string-length(DestRailwayCode)>0 and string-length($DesSt)=6 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DesSt]/NAME)>0">
										<xsl:value-of select="concat(DestRailwayCode,' ',document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$DesSt]/NAME)"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)=0 and string-length(DestRailwayCode)>0 and string-length($DesSt)=5 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DesSt]/NAME)>0">
										<xsl:value-of select="concat(DestRailwayCode,' ',document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$DesSt]/NAME)"/>
									</xsl:when>
									<xsl:when test="string-length($DesRwName)>0 and string-length(DestStationName)=0 and string-length($DesSt)=0">
										<xsl:value-of select="$DesRwName"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)=0 and string-length(DestRailwayCode)>0 and string-length($DesSt)=0">
										<xsl:value-of select="DestRailwayCode"/>
									</xsl:when>
									<xsl:when test="string-length(DestStationName)>0 and string-length(DestRailwayCode)=0">
										<xsl:value-of select="DestStationName"/>
									</xsl:when>
								</xsl:choose>
							</RailwayAndStationName>
						</DestinationStation>
						<xsl:for-each select="RWBBorderStation/RWBBORDERSTATION_ITEM[string-length(StationCode)>0 or string-length(StationName)>0]">
							<BorderStation>
								<xsl:if test="string-length(StationCode)>0">
									<StationCode><xsl:value-of select="substring(StationCode,1,5)"/></StationCode>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(StationName)>0">
										<StationName><xsl:value-of select="StationName"/></StationName>
									</xsl:when>
									<xsl:when test="string-length(StationCode)>0">
										<xsl:variable name="StCod" select="substring(StationCode,1,5)"/>
										<StationName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StCod]/NAME"/></StationName>
									</xsl:when>
									<xsl:otherwise>
										<StationName>N</StationName>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length(RailwayCode)>0">
									<RailwayCode><xsl:value-of select="RailwayCode"/></RailwayCode>
								</xsl:if>
								<xsl:variable name="RwCode" select="RailwayCode"/>
								<xsl:variable name="RwName" select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$RwCode]/Name_Roads"/>	
								<xsl:choose>
									<xsl:when test="string-length(RoadName)>0">
										<RWName><xsl:value-of select="RoadName"/></RWName>
									</xsl:when>
									<xsl:when test="string-length($RwName)>0">
										<RWName><xsl:value-of select="$RwName"/></RWName>
									</xsl:when>
								</xsl:choose>	
							</BorderStation>
						</xsl:for-each>
						<xsl:if test="string-length(G2)>0 or string-length(G2Number)>0 or string-length(G2Date)>0">
							<Contract>
								<xsl:if test="string-length(G2)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="normalize-space(G2)"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(G2Number)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="normalize-space(G2Number)"/></cat_ru:PrDocumentNumber>
								</xsl:if>
								<xsl:if test="string-length(G2Date)>0">	
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="G2Date"/>
										</xsl:call-template>	
									</cat_ru:PrDocumentDate>
								</xsl:if>
							</Contract>
						</xsl:if>
						<xsl:variable name="ContNum">
							<xsl:choose>
								<xsl:when test="contains(ContainerID,'-P')">
									<ContainerID><xsl:value-of select="normalize-space(substring-before(ContainerID,'-P'))"/></ContainerID>
								</xsl:when>
								<xsl:otherwise>
									<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>						
						<xsl:choose>
							<xsl:when test="count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])>0">
								<xsl:for-each select="RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)]">
									<xsl:call-template name="RwbGood">
										<xsl:with-param name="ContNum" select="$ContNum"/>
									</xsl:call-template>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)])>0">
								<xsl:for-each select="RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)]">
									<xsl:call-template name="RwbGood">
										<xsl:with-param name="ContNum" select="$ContNum"/>
									</xsl:call-template>
								</xsl:for-each>	
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0  and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)]">
									<xsl:call-template name="RwbGood">
										<xsl:with-param name="ContNum" select="$ContNum"/>
									</xsl:call-template>
								</xsl:for-each>
								<xsl:for-each select="RWBGoods_dop/RWBGOODS_DOP_ITEM[string-length(GoodsDescription)>0 and (string-length(PlacesCode)>0 or string-length(PlacesDescription)>0)]">
									<xsl:call-template name="RwbGood">
										<xsl:with-param name="ContNum" select="$ContNum"/>
										<xsl:with-param name="Pos" select="count(../../RWBGoods/RWBGOODS_ITEM[string-length(GoodsDescription)>0])"/>
									</xsl:call-template>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(ExchangeMode)>0">
							<ExchangePallet>
								<xsl:if test="string-length(FlatPalletQuantity)>0">
									<FlatPalletQuantity><xsl:value-of select="FlatPalletQuantity"/></FlatPalletQuantity>
								</xsl:if>
								<xsl:if test="string-length(BoxPalletQuantity)>0">
									<BoxPalletQuantity><xsl:value-of select="BoxPalletQuantity"/></BoxPalletQuantity>
								</xsl:if>
								<ExchangeMode><xsl:value-of select="ExchangeMode"/></ExchangeMode>
							</ExchangePallet>
						</xsl:if>
						<xsl:if test="string-length(WorkToolContainerModeDescription)>0 and not(WorkToolContainerModeDescription='N')">
							<WorkTool>
								<xsl:if test="string-length(WorkToolRailwayCode)>0">
									<RailwayCode><xsl:value-of select="WorkToolRailwayCode"/></RailwayCode>
								</xsl:if>
								<xsl:if test="string-length(WorkToolID)>0">
									<WorkToolID><xsl:value-of select="WorkToolID"/></WorkToolID>
								</xsl:if>
								<ContainerModeDescription><xsl:value-of select="WorkToolContainerModeDescription"/></ContainerModeDescription>
							</WorkTool>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="count(SMGS_CONTAINERS/SMGS_CONTAINERS[string-length(ContainerID)>0])>1">
								<xsl:for-each select="SMGS_CONTAINERS/SMGS_CONTAINERS[string-length(ContainerID)>0]">
									<Container>
										<xsl:if test="string-length(ContainerOwnerCountryCode)>0">
											<RailwayCode><xsl:value-of select="ContainerOwnerCountryCode"/></RailwayCode>
										</xsl:if>
										<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
										<xsl:if test="string-length(ContainerModeDescription)>0">
											<ContainerModeDescription><xsl:value-of select="ContainerModeDescription"/></ContainerModeDescription>
										</xsl:if>	
										<xsl:if test="string-length(ContainerCapacity)>0">
											<ContainerCapacity><xsl:value-of select="ContainerCapacity"/></ContainerCapacity>
										</xsl:if>
										<xsl:if test="string-length(ContainerWeight)>0">
											<Tare><xsl:value-of select="ContainerWeight"/></Tare>
										</xsl:if>
										<xsl:if test="string-length(GrossWeightQuantity)>0">
											<GoodsWeight><xsl:value-of select="GrossWeightQuantity"/></GoodsWeight>
										</xsl:if>
										<xsl:if test="string-length(PlacesQuantity)>0">
											<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
										</xsl:if>
									</Container>	
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="string-length(ContainerID)>0">
									<Container>
										<xsl:if test="string-length(ContainerRailwayCode)>0">
											<RailwayCode><xsl:value-of select="ContainerRailwayCode"/></RailwayCode>
										</xsl:if>
										<xsl:choose>
											<xsl:when test="contains(ContainerID,'-P')">
												<ContainerID><xsl:value-of select="normalize-space(substring-before(ContainerID,'-P'))"/></ContainerID>
											</xsl:when>
											<xsl:otherwise>
												<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="string-length(ContainerModeDescription)=0">
												<ContainerModeDescription>N</ContainerModeDescription>
											</xsl:when>
											<xsl:otherwise>
												<ContainerModeDescription><xsl:value-of select="ContainerModeDescription"/></ContainerModeDescription>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:if test="string-length(ContainerCapacity)>0">
											<ContainerCapacity><xsl:value-of select="ContainerCapacity"/></ContainerCapacity>
										</xsl:if>
										<xsl:if test="string-length(ContainerCapacityUnitQualifierName)>0">
											<ContainerCapacityUnitQualifierCode><xsl:value-of select="ContainerCapacityUnitQualifierName"/></ContainerCapacityUnitQualifierCode>
										</xsl:if>
										<xsl:if test="string-length(ContainerWeight)>0">
											<Tare><xsl:value-of select="ContainerWeight"/></Tare>
										</xsl:if>
										<xsl:if test="string-length(GrossWeightQuantity)>0">
												<GoodsWeight><xsl:value-of select="GrossWeightQuantity"/></GoodsWeight>
										</xsl:if>
										<xsl:if test="string-length(PlacesQuantity)>0">
											<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
										</xsl:if>
									</Container>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$RwbCou>1">
								<xsl:for-each select="RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM">
									<xsl:if test="string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0">
										<ConsignorDocument>
											<xsl:if test="string-length(DocumentName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(DocumentNumber)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(DocumentDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="DocumentDate"/>
													</xsl:call-template>													
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<xsl:choose>
												<xsl:when test="string-length(ModeCode)=0">
													<xsl:choose>
														<xsl:when test="contains(DocumentName,'ИНВОЙС') or contains(DocumentName,'Inv') or contains(DocumentName,'INV')">
															<catTrans_ru:ModeCode>1002007E</catTrans_ru:ModeCode>
														</xsl:when>
														<xsl:when test="contains(DocumentName,'PackingList') or contains(DocumentName,'Pack') or contains(DocumentName,'Упаков')">
															<catTrans_ru:ModeCode>1002009E</catTrans_ru:ModeCode>
														</xsl:when>
														<xsl:otherwise>
															<catTrans_ru:ModeCode>00000000</catTrans_ru:ModeCode>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<xsl:choose>
														<xsl:when test="ModeCode=04021">
															<catTrans_ru:ModeCode>1002007E</catTrans_ru:ModeCode>
														</xsl:when>
														<xsl:when test="ModeCode=02099 or ModeCode=02026 or ModeCode=04131">
															<catTrans_ru:ModeCode>1002009E</catTrans_ru:ModeCode>
														</xsl:when>
														<xsl:otherwise>
															<catTrans_ru:ModeCode>00000000</catTrans_ru:ModeCode>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:otherwise>
											</xsl:choose>
										</ConsignorDocument>
									</xsl:if>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="$RwbCou=1">
								<xsl:if test="count(//INVOICE_ITEM)>0">
									<xsl:for-each select="//INVOICE_ITEM">
										<ConsignorDocument>
											<xsl:if test="string-length(InvoiceName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(RegNum)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
											</xsl:if>	
											<xsl:if test="string-length(RegDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="RegDate"/>
													</xsl:call-template>													
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catTrans_ru:ModeCode>1002007E</catTrans_ru:ModeCode>
										</ConsignorDocument>
									</xsl:for-each>
								</xsl:if>
								<xsl:if test="count(//PACKINGLIST_ITEM)>0">
									<xsl:for-each select="//PACKINGLIST_ITEM">
										<ConsignorDocument>
											<xsl:if test="string-length(DocName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(RegNum)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
											</xsl:if>	
											<xsl:if test="string-length(RegDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="RegDate"/>
													</xsl:call-template>													
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catTrans_ru:ModeCode>1002009E</catTrans_ru:ModeCode>
										</ConsignorDocument>
									</xsl:for-each>
								</xsl:if>
								<xsl:for-each select="RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM">
								    <xsl:variable name="Usl1" select="(string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0)"/>
   								    <xsl:variable name="Usl2" select="(contains(DocumentName,'ИНВОЙС') or contains(DocumentName,'Inv') or contains(DocumentName,'INV') or contains(DocumentName,'PackingList') or contains(DocumentName,'Pack') or contains(DocumentName,'Упаков'))"/>
   								    <xsl:variable name="Usl3" select="ModeCode!=04021 or ModeCode!=02099"/>
									<xsl:if test="Usl1 and (Usl2=false) and Usl3">
										<ConsignorDocument>
											<xsl:if test="string-length(DocumentName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(DocumentNumber)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(DocumentDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="DocumentDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catTrans_ru:ModeCode>00000000</catTrans_ru:ModeCode>
										</ConsignorDocument>
									</xsl:if>
								</xsl:for-each>
							</xsl:when>
						</xsl:choose>

						<xsl:variable name="GrW" select="GrossWeightQuantity"/>
						<xsl:choose>
							<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>0">
								<xsl:for-each select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]">
									<Carriage>
										<CarriageID><xsl:value-of select="RailwayBill"/></CarriageID>
										<xsl:if test="string-length(WOWNER)>0">
											<xsl:variable name="CrLand" select="WOWNER"/>
											<xsl:if  test="string-length(document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$CrLand]/Name_Roads)>0">
												<RWName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$CrLand]/Name_Roads"/></RWName>
											</xsl:if>	
										</xsl:if>
										<OwnerType>
											<xsl:choose>
												<xsl:when test="string-length(normalize-space(OwnerType))>0">
													<xsl:choose>
														<xsl:when test="normalize-space(OwnerType)='P'">П</xsl:when>
														<xsl:otherwise><xsl:value-of select="normalize-space(OwnerType)"/></xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>П</xsl:otherwise>
											</xsl:choose>
										</OwnerType>	
										<xsl:if test="string-length(Power)>0">
											<Power><xsl:value-of select="Power"/></Power>
										</xsl:if>		
										<xsl:if test="string-length(AxisQuantity)>0">
											<AxisQuantity><xsl:value-of select="AxisQuantity"/></AxisQuantity>
										</xsl:if>	
										<xsl:if test="string-length(Tare)>0">
											<Tare><xsl:value-of select="Tare"/></Tare>
										</xsl:if>
										<xsl:if test="string-length(GoodsWeight)>0">
											<GoodsWeight><xsl:value-of select="GoodsWeight"/></GoodsWeight>
										</xsl:if>
									</Carriage>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:variable name="CVag" select="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0])"/>
								<xsl:for-each select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0]">
									<Carriage>
										<CarriageID><xsl:value-of select="CarriageId"/></CarriageID>
										<xsl:if test="string-length(CarriageLand)>0">
											<xsl:variable name="CrLand" select="CarriageLand"/>
											<xsl:if  test="string-length(document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$CrLand]/Name_Roads)>0">
												<RWName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$CrLand]/Name_Roads"/></RWName>
											</xsl:if>	
										</xsl:if>		
										<OwnerType>
											<xsl:choose>
												<xsl:when test="string-length(normalize-space(OwnerType))>0">
													<xsl:choose>
														<xsl:when test="normalize-space(OwnerType)='P'">П</xsl:when>
														<xsl:otherwise><xsl:value-of select="normalize-space(OwnerType)"/></xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>П</xsl:otherwise>
											</xsl:choose>
										</OwnerType>
										<xsl:if test="string-length(Power)>0">
											<Power><xsl:value-of select="Power"/></Power>
										</xsl:if>		
										<xsl:if test="string-length(AxisQuantity)>0">
											<AxisQuantity><xsl:value-of select="AxisQuantity"/></AxisQuantity>
										</xsl:if>	
										<xsl:if test="string-length(Tare)>0">
											<Tare><xsl:value-of select="Tare"/></Tare>
										</xsl:if>
										<xsl:choose>
											<xsl:when  test="string-length(GoodsWeight)>0">
												<GoodsWeight><xsl:value-of select="GoodsWeight"/></GoodsWeight>
											</xsl:when>
											<xsl:when  test="$CVag=1 and string-length(../../GrossWeightQuantity)>0">
												<GoodsWeight><xsl:value-of select="../../GrossWeightQuantity"/></GoodsWeight>
											</xsl:when>
										</xsl:choose>	
									</Carriage>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(RWBSeal/RWBSEAL_ITEM/SealId)>0 or string-length(RWBSeal/RWBSEAL_ITEM/SealQuantity)>0">
							<xsl:for-each select="RWBSeal/RWBSEAL_ITEM">
								<Seal>
									<xsl:choose>
										<xsl:when test="string-length(SealId)=0">
											<SealID>0</SealID>
										</xsl:when>
										<xsl:otherwise>
											<SealID><xsl:value-of select="SealId"/></SealID>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
										<xsl:when test="string-length(SealQuantity)=0">
											<SealQuantity>0</SealQuantity>
										</xsl:when>
										<xsl:otherwise>
											<SealQuantity><xsl:value-of select="SealQuantity"/></SealQuantity>
										</xsl:otherwise>
									</xsl:choose>
								</Seal>
							</xsl:for-each>
						</xsl:if>
						<xsl:for-each select="SMGS_CARRIERS/SMGS_CARRIERS_ITEM[string-length(NAME)>0 and string-length(STATIONCODEFROM)>0 and string-length(STATIONCODEINTO)>0]">
							<Carrier>
								<CarrierName><xsl:value-of select="NAME"/></CarrierName>
								<FromStation>
									<xsl:call-template name="RwbStRw">
										<xsl:with-param name="StCode" select="STATIONCODEFROM"/>
										<xsl:with-param name="StName" select="STATIONNAMEFROM"/>
										<xsl:with-param name="RwCode" select="STATIONROADFROM"/>
									</xsl:call-template>
								</FromStation>
								<ToStation>
									<xsl:call-template name="RwbStRw">
										<xsl:with-param name="StCode" select="STATIONCODEINTO"/>
										<xsl:with-param name="StName" select="STATIONNAMEINTO"/>
										<xsl:with-param name="RwCode" select="STATIONROADINTO"/>
									</xsl:call-template>
								</ToStation>
							</Carrier>
						</xsl:for-each>
						<xsl:for-each select="RWBPaidRailwayCode/RWBPAIDRAILWAYCODE_ITEM[string-length(RailWayCode)>0]">
							<xsl:variable select="RailWayCode" name="RwCode"/>
							<PaidRailwayCodeName>
								<PaidRailwayCode><xsl:value-of select="$RwCode"/></PaidRailwayCode>
								<xsl:if test="string-length(document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$RwCode]/Name_Roads)>0">
									<PaidRailwayShortName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$RwCode]/Name_Roads"/></PaidRailwayShortName>
								</xsl:if>
								<xsl:if test="string-length(../../Forwarder_RZD)>0">
									<InfoPayer>
										<PayerName><xsl:value-of select="../../Forwarder_RZD"/></PayerName>
									</InfoPayer>
								</xsl:if>
							</PaidRailwayCodeName>
						</xsl:for-each>
						<ContractCarrierDate>
							<CarrierName>
								<xsl:choose>
									<xsl:when test="string-length(Carrier_Name)>0">
										<xsl:value-of select="Carrier_Name"/>
									</xsl:when>
									<xsl:when test="string-length(RWBForwarder/RWBFORWARDER_ITEM[1]/Forwarder_Name)>0">
										<xsl:value-of select="RWBForwarder/RWBFORWARDER_ITEM[1]/Forwarder_Name"/>
									</xsl:when>
									<xsl:otherwise>РЖД</xsl:otherwise>
								</xsl:choose>	
							</CarrierName>
							<Date>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat">
										<xsl:choose>
											<xsl:when test="string-length(G46_Date)>0">
												<xsl:value-of select="G46_Date"/>
											</xsl:when>
											<xsl:otherwise><xsl:value-of select="RegDate"/></xsl:otherwise>
										</xsl:choose>	
									</xsl:with-param>
								</xsl:call-template>
							</Date>
							<Station>
								<xsl:call-template name="RwbStRw">
									<xsl:with-param name="StCode" select="DepStationCode"/>
									<xsl:with-param name="StName" select="DepStationName"/>
									<xsl:with-param name="RwCode" select="DepRailwayCode"/>
								</xsl:call-template>
							</Station>
						</ContractCarrierDate>
					</RailwayBill>
				</DocBody>
			</ContainerDoc>
	</xsl:template>
	<xsl:template name="RwbStRw"  xmlns="urn:customs.ru:Information:TransportDocuments:Railway:RailwayBill:5.10.0">
		<xsl:param name="StCode"/>
		<xsl:param name="StName"/>
		<xsl:param name="RwCode"/>
		<xsl:if test="string-length($StCode)>0">
			<StationCode><xsl:value-of select="$StCode"/></StationCode>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="string-length($StName)>0">
				<StationName><xsl:value-of select="$StName"/></StationName>
			</xsl:when>
			<xsl:when test="string-length($StCode)=6 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$StCode]/NAME)>0">
				<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[CODE=$StCode]/NAME,1,40)"/></StationName>
			</xsl:when>
			<xsl:when test="string-length($StCode)=5 and string-length(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$StCode]/NAME)>0">
				<StationName><xsl:value-of select="substring(document('../../NSI/TranspNsiXml.xml')//Stations_ITEM[substring(CODE,1,5)=$StCode]/NAME,1,40)"/></StationName>
			</xsl:when>
			<xsl:otherwise>
				<StationName>N</StationName>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="string-length($RwCode)>0">
			<RailwayCode><xsl:value-of select="$RwCode"/></RailwayCode>
			<xsl:if  test="string-length(document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$RwCode]/Name_Roads)>0">
				<RWName><xsl:value-of select="document('../../NSI/TranspNsiXml.xml')//Land_dop_ITEM[Land_OSJD=$RwCode]/Name_Roads"/></RWName>
			</xsl:if>	
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
