<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>-->
	<xsl:output method="xml"/>
<!--	<xsl:template match="/Package">
		<xsl:call-template name="REPRESENTATIVEAPPLICATION"/>
	</xsl:template>
-->
	<xsl:template name="REPRESENTATIVEAPPLICATION">
		<xsl:for-each select="REPRESENTATIVEAPPLICATION/REPRESENTATIVEAPPLICATION_ITEM">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<RepresentativeApplication xmlns="urn:customs.ru:Information:CustomsDocuments:RepresentativeApplication:5.10.0"  xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:catESAD_ru="urn:customs.ru:RUCommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006181E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(DestinationCountryCode)>0">
							<DestinationCountry><xsl:value-of select="DestinationCountryCode"/></DestinationCountry>
						</xsl:if>
						<xsl:if test="string-length(TotalGoods)>0">
							<TotalGoodsNumber><xsl:value-of select="TotalGoods"/></TotalGoodsNumber>
						</xsl:if>
						<xsl:if  test="string-length(Representative_LicenseNumber)>0">
							<Representative>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Representative_'"/>
									<xsl:with-param name="ReqNode" select="false"/>
									<xsl:with-param name="BLR" select="'RepApp'"/>
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="PostalAddress" select="1"/>
								</xsl:call-template>
								<xsl:if test="string-length(Representative_IdentityCardCode)>0 or string-length(Representative_IdentityCardName)>0 or string-length(Representative_IdentityCardSeries)>0 or string-length(Representative_IdentityCardNumder)>0 or string-length(Representative_IdentityCardDate)>0 or string-length(Representative_OrganizationName)>0">
									<xsl:call-template name="IdentityCard">
										<xsl:with-param name="NodeName" select="'cat_ru:IdentityCard'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Representative_'"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Representative_Phone)>0 or string-length(Representative_Fax)>0 or string-length(Representative_Email)>0">
									<xsl:call-template name="Contact">
										<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Representative_'"/>
									</xsl:call-template>
								</xsl:if>
								<LicenseNumber><xsl:value-of select="Representative_LicenseNumber"/></LicenseNumber>
								<xsl:if  test="string-length(Representative_OKPOID)>0">
									<OKPOID><xsl:value-of select="Representative_OKPOID"/></OKPOID>
								</xsl:if>
							</Representative>
						</xsl:if>
						<ApplicationSign><xsl:value-of select="ApplicationSign"/></ApplicationSign>
						<xsl:if test="string-length(ApplicationReg_CustomsCode)>0 and string-length(ApplicationReg_Date)>0 and string-length(ApplicationReg_Number)>0">
							<ApplicationRegNumber>
								<cat_ru:CustomsCode><xsl:value-of select="ApplicationReg_CustomsCode"/></cat_ru:CustomsCode>
								<cat_ru:RegistrationDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="ApplicationReg_Date"/>
									</xsl:call-template>
								</cat_ru:RegistrationDate>
								<cat_ru:GTDNumber><xsl:value-of select="ApplicationReg_Number"/></cat_ru:GTDNumber>
							</ApplicationRegNumber>
						</xsl:if>
						<WarehousePlace>
							<catESAD_ru:CertificateNumber><xsl:value-of select="Warehouse_CertificateNumber"/></catESAD_ru:CertificateNumber>
							<catESAD_ru:CustomsOfficeID>
								<!--важно заполнить (хоть необязательное), чтобы пройти автоматическую проверку на: Номер лицензии 10001022/311210/10002/2 не соответствует коду ТО 10001022 (это должен быть РТУ, а не пост!)-->
								<xsl:variable name="CodeRTU">
									<xsl:variable name="part1" select="substring-before(Warehouse_CertificateNumber, '/')"/>
									<xsl:variable name="right8" select="substring(Warehouse_CertificateNumber, string-length($part1) + 1 - 8, 8)"/>
									<xsl:variable name="right5" select="substring(Warehouse_CertificateNumber, string-length($part1) + 1 - 5, 5)"/>
									<xsl:choose>
										<xsl:when test="8 = string-length($right8) and not(string(translate($right8, '0123456789', '')))">
											<xsl:value-of select="concat( substring($right8, 1, 5), '000' )"/>
										</xsl:when>
										<xsl:when test="5 = string-length($right5) and not(string(translate($right5, '0123456789', '')))">
											<xsl:value-of select="concat( $right5, '000' )"/>
										</xsl:when>
										<xsl:otherwise>
											<!--не удалось разобрать, будет пусто, пусть руками исправляют-->
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:choose>
									<xsl:when test="string-length(Warehouse_CustomsOfficeID)>0">
										<xsl:value-of select="Warehouse_CustomsOfficeID"/>
									</xsl:when>
									<xsl:when test="string($CodeRTU)">
										<xsl:value-of select="$CodeRTU"/>
									</xsl:when>
								</xsl:choose>
							</catESAD_ru:CustomsOfficeID>
							<xsl:if test="string-length(Warehouse_CertificateDate)>0">
								<catESAD_ru:CertificateDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="Warehouse_CertificateDate"/>
									</xsl:call-template>
								</catESAD_ru:CertificateDate>
							</xsl:if>
						</WarehousePlace>
						<xsl:for-each select="CONSIGNMENT/CONSIGNMENT_ITEM">
							<Consignment>
								<ListNumeric><xsl:value-of select="ListNumeric"/></ListNumeric>
								<WayBillID>00000000-0000-0000-0000-000000000000</WayBillID>
								<xsl:if test="string-length(PrevListNumeric)>0">
									<PrevListNumeric><xsl:value-of select="PrevListNumeric"/></PrevListNumeric>
								</xsl:if>
								<xsl:if test="string-length(PrevWayBillID)>0">
									<PrevWayBillID><xsl:value-of select="PrevWayBillID"/></PrevWayBillID>
								</xsl:if>
								<xsl:if test="string-length(IndividualWayBill_Name)>0 or string-length(IndividualWayBill_Date)>0 or string-length(IndividualWayBill_Number)>0">
									<IndividualWayBill>
										<xsl:if test="string-length(IndividualWayBill_Name)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="IndividualWayBill_Name"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(IndividualWayBill_Number)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="IndividualWayBill_Number"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(IndividualWayBill_Date)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="IndividualWayBill_Date"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
									</IndividualWayBill>
								</xsl:if>
								<CurrencyRate><xsl:value-of select="CurrencyRate_Bill"/></CurrencyRate>
								<xsl:if test="string-length(CurrencyRubleRate_Bill)>0">
									<CurrencyRubleRate><xsl:value-of select="CurrencyRubleRate_Bill"/></CurrencyRubleRate>
								</xsl:if>
								<Currency><xsl:value-of select="CurrencyCode_Bill"/></Currency>
								<xsl:if test="string-length(GrossWeight)>0">
									<GrossWeight><xsl:value-of select="GrossWeight"/></GrossWeight>
								</xsl:if>
								<xsl:if test="string-length(GoodsCost)>0">
									<GoodsCost><xsl:value-of select="GoodsCost"/></GoodsCost>
								</xsl:if>
								<xsl:if test="string-length(GoodsCostEuro)>0">
									<GoodsCostEuro><xsl:value-of select="GoodsCostEuro"/></GoodsCostEuro>
								</xsl:if>
								<xsl:if test="string-length(GoodsCostRuble)>0">
									<GoodsCostRuble><xsl:value-of select="GoodsCostRuble"/></GoodsCostRuble>
								</xsl:if>
								<xsl:if test="string-length(ReservationID)>0">
									<ReservationID><xsl:value-of select="ReservationID"/></ReservationID>
								</xsl:if>
								<Consignor>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Consignor_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="BLR" select="'RepApp'"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="PostalAddress" select="1"/>
									</xsl:call-template>
									<xsl:if test="string-length(Consignor_IdentityCardCode)>0 or string-length(Consignor_IdentityCardName)>0 or string-length(Consignor_IdentityCardSeries)>0 or string-length(Consignor_IdentityCardNumder)>0 or string-length(Consignor_IdentityCardDate)>0 or  string-length(Consignor_OrganizationName)>0">
										<xsl:call-template name="IdentityCard">
											<xsl:with-param name="NodeName" select="'cat_ru:IdentityCard'"/>
											<xsl:with-param name="Pref" select="'Consignor_'"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="string-length(Consignor_Phone)>0 or string-length(Consignor_Fax)>0 or string-length(Consignor_Email)>0">
										<xsl:call-template name="Contact">
											<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Pref" select="'Consignor_'"/>
										</xsl:call-template>
									</xsl:if>
									<ConsignorCountryCode><xsl:value-of select="Consignor_CountryCode"/></ConsignorCountryCode>
								</Consignor>
								<Consignee>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Consignee_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="BLR" select="'RepApp'"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="PostalAddress" select="0"/>
									</xsl:call-template>
									<xsl:call-template name="IdentityCard">
										<xsl:with-param name="NodeName" select="'IdentityCard'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:RepresentativeApplication:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:RepresentativeApplication:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Consignee_'"/>
										<xsl:with-param name="PrefRez" select="1"/>
									</xsl:call-template>
									<xsl:if test="string-length(Consignee_Phone)>0 or string-length(Consignee_Fax)>0 or string-length(Consignee_Email)>0">
										<xsl:call-template name="Contact">
											<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Pref" select="'Consignee_'"/>
										</xsl:call-template>
									</xsl:if>
									<ConsigneeSign><xsl:value-of select="Consignee_ConsigneeSign"/></ConsigneeSign>
								</Consignee>
								<xsl:for-each select="GOODS/GOODS_ITEM">
									<Goods>
										<GoodsNumeric><xsl:value-of select="GoodsNumeric"/></GoodsNumeric>
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="GoodsDescription"/>
											<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:RepresentativeApplication:5.10.0'"/>
											<xsl:with-param name="NameMes" select="true"/>
											<xsl:with-param name="LenDes" select="250"/>
										</xsl:call-template>
										<xsl:if test="string-length(GoodsTNVEDCode)>0">
											<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
										</xsl:if>
										<GoodsCost><xsl:value-of select="GoodsCost"/></GoodsCost>
										<GrossWeight><xsl:value-of select="GrossWeightQuantity"/></GrossWeight>
										<GoodsCostEuro><xsl:value-of select="GoodsCostEuro"/></GoodsCostEuro>
										<xsl:if test="string-length(GoodsCostRuble)>0">
											<GoodsCostRuble><xsl:value-of select="GoodsCostRuble"/></GoodsCostRuble>
										</xsl:if>
										<xsl:for-each select="GOODSQUANTITY/GOODSQUANTITY_ITEM[string-length(Quantity)>0]">
											<GoodsQuantity>
												<cat_ru:GoodsQuantity><xsl:value-of select="Quantity"/></cat_ru:GoodsQuantity>
												<xsl:if test="string-length(MeasureUnitQualifierName)>0">
													<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
												</xsl:if>
												<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
													<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
												</xsl:if>
											</GoodsQuantity>
										</xsl:for-each>
										<xsl:for-each select="PRESENTEDDOCUMENTS/PRESENTEDDOCUMENTS_ITEM[string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0 or string-length(ModeCode)>0]">
											<PresentedDocuments>
												<xsl:if test="string-length(DocumentName)>0">
													<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
												</xsl:if>
												<xsl:if test="string-length(DocumentNumber)>0">
													<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
												</xsl:if>
												<xsl:if test="string-length(DocumentDate)>0">
													<cat_ru:PrDocumentDate>
														<xsl:call-template name="TranslateDate">
															<xsl:with-param name="Dat" select="DocumentDate"/>
														</xsl:call-template>
													</cat_ru:PrDocumentDate>
												</xsl:if>
												<xsl:if test="string-length(ModeCode)>0">
													<DocumentModeCode><xsl:value-of select="ModeCode"/></DocumentModeCode>
												</xsl:if>
											</PresentedDocuments>
										</xsl:for-each>
									</Goods>
								</xsl:for-each>
								<xsl:if test="string-length(CustomsDuties_Duties)>0 or string-length(CustomsDuties_Taxes)>0 or string-length(CustomsDuties_CurrencyCode)>0">
									<CustomsDuties>
										<xsl:if test="string-length(CustomsDuties_Duties)>0">
											<Duties><xsl:value-of select="CustomsDuties_Duties"/></Duties>
										</xsl:if>
										<xsl:if test="string-length(CustomsDuties_Taxes)>0">
											<Taxes><xsl:value-of select="CustomsDuties_Taxes"/></Taxes>
										</xsl:if>
										<xsl:if test="string-length(CustomsDuties_CurrencyCode)>0">
											<CurrencyCode><xsl:value-of select="CustomsDuties_CurrencyCode"/></CurrencyCode>
										</xsl:if>
									</CustomsDuties>
								</xsl:if>
								<xsl:if test="string-length(IndicatorChange)>0">
									<IndicatorChange><xsl:value-of select="IndicatorChange"/></IndicatorChange>
								</xsl:if>
								<xsl:for-each select="WAYBILL/WAYBILL_ITEM[string-length(WayBillKind)>0]">
									<WayBill>
										<xsl:if test="string-length(DocumentName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(DocumentNumber)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(DocumentDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="DocumentDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<WayBillKind><xsl:value-of select="WayBillKind"/></WayBillKind>
									</WayBill>
								</xsl:for-each>
							</Consignment>
						</xsl:for-each>
					</RepresentativeApplication>
				</DocBody>
			</ContainerDoc>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
