<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	--><!--<xsl:import href="ArmtiEDContainerCTM_SEA.xsl"/>--><!--
	<xsl:template match="/Package">
			<xsl:call-template name="DEPSEADECL">
				<xsl:with-param name="ConosamentFromArrSeaDcl" select="1" />
				<xsl:with-param name="NotHazCargoCode" select="1" />
			</xsl:call-template>
		--><!--<xsl:call-template name="CTMCONTAINER_SEA"/>--><!--
	</xsl:template>
-->

	<xsl:template name="DEPSEADECL">
		<xsl:param name="ConosamentFromArrSeaDcl"/>
		<xsl:param name="NotHazCargoCode"/>
		<xsl:if test="number($ConosamentFromArrSeaDcl)!=2">
			<xsl:for-each select="DEPSEADECL[1]/DEPSEADECL_ITEM">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<ArrivalDepartCargoDecl xmlns="urn:customs.ru:Information:TransportDocuments:Sea:ArrivalDepartCargoDecl:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003209E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<DocSign>1</DocSign>
						<xsl:choose>
							<xsl:when test="string-length(LanguageCode)>0">
								<LanguageCode><xsl:value-of select="LanguageCode"/></LanguageCode>
							</xsl:when>
							<xsl:otherwise>
								<LanguageCode>EN</LanguageCode>
							</xsl:otherwise>
						</xsl:choose>
						<DepartDestinPort>
							<xsl:choose>
								<xsl:when test="string-length(DeparturePort)>0">
									<xsl:value-of select="DeparturePort"/>
								</xsl:when>
								<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=1 and  string-length(//GENERALDECL/GENERALDECL_ITEM/DeparturePort)>0">
									<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DeparturePort"/>
								</xsl:when>
								<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=0 and  string-length(//GENERALDECL/GENERALDECL_ITEM/DestinationPort)>0">
									<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationPort"/>
								</xsl:when>	
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>	
						</DepartDestinPort>
						<DeclarationPort>
							<xsl:choose>
								<xsl:when test="string-length(DeclarationPort)>0">
									<xsl:value-of select="DeclarationPort"/>
								</xsl:when>
								<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=0 and  string-length(//GENERALDECL/GENERALDECL_ITEM/DeparturePort)>0">
									<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DeparturePort"/>
								</xsl:when>
								<xsl:when test="//GENERALDECL/GENERALDECL_ITEM/ArrivalIndicator=1 and  string-length(//GENERALDECL/GENERALDECL_ITEM/DestinationPort)>0">
									<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DestinationPort"/>
								</xsl:when>	
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>	
						</DeclarationPort>
						<DocumentSignature>
							<cat_ru:PersonSurname>
								<xsl:choose>
									<xsl:when test="string-length(DocSig_PersonName)>0">
										<xsl:value-of select="DocSig_PersonName"/>
									</xsl:when>
									<xsl:when test=" string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName)>0">
										<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName"/>
									</xsl:when>
									<xsl:otherwise>NNN</xsl:otherwise>
								</xsl:choose>
							</cat_ru:PersonSurname>
							<cat_ru:PersonName>
								<xsl:choose>
									<xsl:when test="string-length(DocSig_PersonName2)>0">
										<xsl:value-of select="DocSig_PersonName2"/>
									</xsl:when>
									<xsl:when test=" string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName2)>0">
										<xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonName2"/>
									</xsl:when>
									<xsl:otherwise>NNN</xsl:otherwise>
								</xsl:choose>
							</cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="string-length(DocSig_PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
								</xsl:when>
								<xsl:when test=" string-length(//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonPost)>0">
									<cat_ru:PersonPost><xsl:value-of select="//GENERALDECL/GENERALDECL_ITEM/DocSig_PersonPost"/></cat_ru:PersonPost>
								</xsl:when>
							</xsl:choose>
							<xsl:if test="string-length(DocSig_IssueDate)>0">								
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat"  select="DocSig_IssueDate"/>
									</xsl:call-template>								
								</cat_ru:IssueDate>
							</xsl:if>	
						</DocumentSignature>
						<Vessel>
							<catTrans_ru:Name><xsl:value-of select="VesselName"/></catTrans_ru:Name>
							<xsl:if test="string-length(VesselShipmaster)>0">
								<catTrans_ru:Shipmaster><xsl:value-of select="VesselShipmaster"/></catTrans_ru:Shipmaster>
							</xsl:if>
							<xsl:if test="string-length(VesselNationalityCode)>0">
								<catTrans_ru:NationalityCode><xsl:value-of select="VesselNationalityCode"/></catTrans_ru:NationalityCode>
							</xsl:if>	
						</Vessel>	
						<xsl:for-each select="//DEPSEADECLGoods/DEPSEADECLGOODS_ITEM">
							<Goods>
								<xsl:if test="string-length(GoodsMarking)>0">
									<cat_ru:GoodsMarking><xsl:value-of select="substring(translate(GoodsMarking,'&#xA;&#xD;','  '),1,30)"/></cat_ru:GoodsMarking>
								</xsl:if>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
									<xsl:with-param name="NameMes" select="true"/> 
									<xsl:with-param name="LenDes" select="250"/>				
								</xsl:call-template>
								<xsl:if test="string-length(GoodsTNVEDCode)>0">	
									<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
								</xsl:if>
								<xsl:if test="string-length(PlacesQuantity)>0 and contains(PlacesQuantity,'NaN')=false">
									<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
								</xsl:if>	
								<GrossWeightQuantity>							
									<xsl:choose>
										<xsl:when test="string-length(GrossWeightQuantity)>0  and contains(GrossWeightQuantity,'NaN')=false">
											<xsl:choose>
												<xsl:when test="contains(GrossWeightQuantity,'.') and number(substring-after(GrossWeightQuantity,'.'))>0">
													<xsl:value-of select="format-number(GrossWeightQuantity,'#.000000')"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="format-number(GrossWeightQuantity,'#')"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</GrossWeightQuantity>
								<xsl:if test="string-length(Dimensions)>0">
									<Dimensions><xsl:value-of select="Dimensions"/></Dimensions>
								</xsl:if>
								<xsl:if test="string-length(SupplementaryGoodsQuantity)>0">
									<SupplementaryGoodsQuantity>
										<cat_ru:GoodsQuantity><xsl:value-of select="SupplementaryGoodsQuantity"/></cat_ru:GoodsQuantity>
										<xsl:if test="string-length(SupplementaryMeasureUnitCode)>0">	
											<xsl:variable select="SupplementaryMeasureUnitCode" name="MCode"/>
											<cat_ru:MeasureUnitQualifierName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$MCode]/ABBR"/></cat_ru:MeasureUnitQualifierName>
											<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="$MCode"/></cat_ru:MeasureUnitQualifierCode>	
										</xsl:if>	
									</SupplementaryGoodsQuantity>
								</xsl:if>
								<BillofLading>
									<xsl:if test="string-length(ConosamentName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="ConosamentName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<xsl:if test="string-length(ConosamentNum)>0">	
											<cat_ru:PrDocumentNumber><xsl:value-of select="ConosamentNum"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(ConosamentDate)>0">	
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="ConosamentDate"/>
											</xsl:call-template>		
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<xsl:if test="string-length(DestinationPort)>0">	
										<DebarkationPort><xsl:value-of select="DestinationPort"/></DebarkationPort>
									</xsl:if>	
									<xsl:if test="string-length(DepartureGoodsPort)>0">	
										<DepartureGoodsPort><xsl:value-of select="DepartureGoodsPort"/></DepartureGoodsPort>
									</xsl:if>	
								</BillofLading>
								<xsl:choose>
									<xsl:when test="count(DEPSEADECLGoodsPlaces/DEPSEADECLGOODSPLACES_ITEM[string-length(PackingQuantity)>0 and not(contains(PlacesQuantity,'NaN'))])>0">
										<xsl:for-each select="DEPSEADECLGoodsPlaces/DEPSEADECLGOODSPLACES_ITEM[string-length(PackingQuantity)>0 and not(contains(PlacesQuantity,'NaN'))]">
											<PlacesInfo>
												<xsl:if test="string-length(PackingCode)>0">	
													<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
												</xsl:if>	
												<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
												<xsl:if test="string-length(PackingDescription)>0">													
													<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
												</xsl:if>	
												<xsl:if test="string-length(PakagePartQuantity)>0">														
													<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
												</xsl:if>	
											</PlacesInfo>
										</xsl:for-each>
									</xsl:when>
									<xsl:when test="sum(Container/CONTAINER_ITEM[string-length(Place)>0 and not(contains(Place,'NaN'))]/Place)>0">
										<PlacesInfo>
											<catTrans_cu:PakingQuantity><xsl:value-of select="sum(Container/CONTAINER_ITEM[string-length(Place)>0 and not(contains(Place,'NaN'))]/Place)"/></catTrans_cu:PakingQuantity>
										</PlacesInfo>
									</xsl:when>		
									<xsl:when test="string-length(PlacesQuantity)>0 and not(contains(PlacesQuantity,'NaN'))">
										<PlacesInfo>
											<catTrans_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catTrans_cu:PakingQuantity>
										</PlacesInfo>
									</xsl:when>											
									<xsl:otherwise>
										<PlacesInfo>
											<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
										</PlacesInfo>
									</xsl:otherwise>		
								</xsl:choose>
								<xsl:for-each select="DEPSEADECLGoodsPacking/DEPSEADECLGOODSPAKING_ITEM[string-length(PackingQuantity)>0 and not(contains(PlacesQuantity,'NaN'))]">
									<PackingInfo>
										<xsl:if test="string-length(PackingCode)>0">	
											<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
										</xsl:if>	
										<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
										<xsl:if test="string-length(PackingDescription)>0">													
											<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
										</xsl:if>	
									</PackingInfo>
								</xsl:for-each>
							</Goods>
						</xsl:for-each>
					</ArrivalDepartCargoDecl>
				</DocBody>
			</ContainerDoc>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string-length($ConosamentFromArrSeaDcl)>0 and number($ConosamentFromArrSeaDcl)!=0">
			<xsl:apply-templates select="//DEPSEADECLGOODS_ITEM[generate-id(.)=generate-id(key('Conosament',./ConosamentNum))]">
				<xsl:with-param name="ArrSeaD"  select="1"/>
				<xsl:with-param name="NotHazCargoCode" select="$NotHazCargoCode"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
