<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:call-template name="SANSERTIF"/>
		</ED_Container>
	</xsl:template>-->
	<xsl:template name="SANSERTIF">
		<xsl:for-each select="//SANSERTIF/SANSERTIF_ITEM">
			<xsl:call-template name="SANSERTIF_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>	
	<xsl:template name="SANSERTIF_ONE_DOC">	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<SanitarySertif xmlns="urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catSert_ru="urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009002E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<SertifNumber><xsl:value-of select="RegNum"/></SertifNumber>
						<BeginDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="BeginDate"/>
							</xsl:call-template>
						</BeginDate>
						<xsl:if test="string-length(EndDate)>0">	
							<EndDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="EndDate"/>
								</xsl:call-template>
							</EndDate>
						</xsl:if>	
						<FormNumber><xsl:value-of select="FormNumber"/></FormNumber>
						<TypeOfSetif><xsl:value-of select="TypeOfSertif"/></TypeOfSetif>
						<SertifOrganization>
							<OrganizationName><xsl:value-of select="SertifOrg_Name"/></OrganizationName>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'SertifOrg_'"/>
								<xsl:with-param name="NodeName" select="'PostalAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>	
							</xsl:call-template>
						</SertifOrganization>
						<xsl:if test="string-length(NormDocOrg_Name)>0">
							<NormDocsOrganization>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'NormDocOrg_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>	
									<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'NormDocOrg_Fact_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
							</NormDocsOrganization>
						</xsl:if>
						<xsl:for-each select="SANSERTIFMANUFACTURER/SANSERTIFMANUFACTURER_ITEM">
							<ManufacturerInf>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Manufacturer_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>	
									<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Manufacturer_Fact_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
							</ManufacturerInf>
						</xsl:for-each>	
						<SertifRecipient>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Recipient_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>	
								<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Recipient_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</SertifRecipient>
						<xsl:for-each select="SANSERTIFGOODS/SANSERTIFGOODS_ITEM[string-length(GoodsDescription)>0 and string-length(InvestigProtocols)>0]">
							<Goods>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(RuUseInf)>0">
									<RuUseInf><xsl:value-of select="RuUseInf"/></RuUseInf>
								</xsl:if>	
								<xsl:if test="string-length(NormTechDocs)>0">	
									<NormTechDocs><xsl:value-of select="NormTechDocs"/></NormTechDocs>
								</xsl:if>	
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="InvestigProtocols"/>
									<xsl:with-param name="NodeName" select="'InvestigProtocols'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(GoodsEntry)>0">
									<GoodsEntry><xsl:value-of select="GoodsEntry"/></GoodsEntry>
								</xsl:if>	
								<xsl:if test="string-length(SanitaryCharachter)>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="SanitaryCharachter"/>
										<xsl:with-param name="NodeName" select="'SanitaryCharachter'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
								</xsl:if>	
								<xsl:if test="string-length(FieldOfUse)>0">
									<FieldOfUse><xsl:value-of select="FieldOfUse"/></FieldOfUse>
								</xsl:if>	
								<xsl:if test="string-length(ReqConditions)>0">
									<ReqConditions><xsl:value-of select="ReqConditions"/></ReqConditions>
								</xsl:if>
								<xsl:if test="string-length(LabelInf)>0">
									<LabelInf><xsl:value-of select="LabelInf"/></LabelInf>
								</xsl:if>	
								<xsl:if test="string-length(SanitaryRegulation)>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="SanitaryRegulation"/>
										<xsl:with-param name="NodeName" select="'SanitaryRegulations'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>	
								</xsl:if>
							</Goods>
						</xsl:for-each>
						<DocumentSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
							<cat_ru:IssueDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
								</xsl:call-template>
							</cat_ru:IssueDate>
						</DocumentSignature>
						<xsl:for-each select="SANSERTIFCONTRACT/SANSERTIFCONTRACT_ITEM[string-length(ContractName)>0 or string-length(ContractNum)>0 or string-length(ContractDate)>0]">
							<Contract>
								<xsl:if test="string-length(ContractName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
								</xsl:if>	
								<xsl:if test="string-length(ContractNum)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
								</xsl:if>	
								<xsl:if test="string-length(ContractDate)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="ContractDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>
							</Contract>
						</xsl:for-each>
						<xsl:if test="string-length(translate(SupplementText,'&#xA;',' '))>0">	
							<SertifSupplement>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(SupplementText,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'SupplementText'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SanitarySertif:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
							</SertifSupplement>
						</xsl:if>
					</SanitarySertif>
				</DocBody>
			</ContainerDoc>
	
	</xsl:template>
</xsl:stylesheet>
