<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:call-template name="SERTIFA"/>
		</ED_Container>
	</xsl:template>-->
	<xsl:template name="SERTIFA">
		<xsl:for-each select="//SERTIFA/SERTIFA_ITEM">
			<xsl:call-template name="SERTIFA_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
		
	<xsl:template name="SERTIFA_ONE_DOC">	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<SertifAForm xmlns="urn:customs.ru:Information:SertifDocuments:SertifAForm:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catSert_ru="urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009003E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<CountryCode><xsl:value-of select="CountryCode"/></CountryCode>
						<xsl:if test="string-length(Route)>0">	
							<Route><xsl:value-of select="Route"/></Route>
						</xsl:if>
						<xsl:if test="string-length(SpecialComments)>0">		
							<SpecialComments><xsl:value-of select="SpecialComments"/></SpecialComments>
						</xsl:if>
						<FilledDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</FilledDate>
						<Place><xsl:value-of select="FillPlace"/></Place>
						<CountryOriginCode><xsl:value-of select="CountryOriginCode"/></CountryOriginCode>
						<DestinationCountryCode><xsl:value-of select="DestinationCountryCode"/></DestinationCountryCode>
						<CountryOriginName><xsl:value-of select="CountryOriginName"/></CountryOriginName>
						<DestinationCountryName><xsl:value-of select="DestinationCountryName"/></DestinationCountryName>
						<RegistrationDocument>
							<xsl:if test="string-length(SertifName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="SertifName"/></cat_ru:PrDocumentName>
							</xsl:if>	
							<xsl:if test="string-length(RegNum)>0">	
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>	
							<xsl:if test="string-length(RegDate)>0">	
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>	
							<Agency><xsl:value-of select="Agency"/></Agency>
							<xsl:if test="string-length(IssuedPlace)>0">
								<Place><xsl:value-of select="IssuedPlace"/></Place>
							</xsl:if>	
							<xsl:if test="string-length(AuthSig_PersonName)>0 and string-length(AuthSig_PersonName2)>0">
								<AuthSign>
									<cat_ru:PersonSurname><xsl:value-of select="AuthSig_PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="AuthSig_PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(AuthSig_PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="AuthSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>	
									<xsl:if test="string-length(AuthSig_PersonPost)>0">	
										<cat_ru:PersonPost><xsl:value-of select="AuthSig_PersonPost"/></cat_ru:PersonPost>
									</xsl:if>	
									<xsl:if test="string-length(AuthSig_IssueDate)>0">	
										<cat_ru:IssueDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="AuthSig_IssueDate"/>
											</xsl:call-template>
										</cat_ru:IssueDate>
									</xsl:if>	
								</AuthSign>
							</xsl:if>	
						</RegistrationDocument>
						<Consignor>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SertifAForm:5.10.0'"/>
								<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Consignor_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</Consignor>
						<xsl:choose>
							<xsl:when test="string-length(ToOrderFlag)>0 and number(ToOrderFlag)=1">
								<ToOrderFlag><xsl:value-of select="ToOrderFlag"/></ToOrderFlag>
							</xsl:when>
							<xsl:when test="string-length(Consignee_Name)>0">
								<ConsigneeName>
									<xsl:call-template name="FirmNodeConstr">
										<xsl:with-param name="Pref" select="'Consignee_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SertifAForm:5.10.0'"/>
										<xsl:with-param name="NamspNodeContact" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
										<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
										<xsl:with-param name="NodeNameAdr" select="'catSert_ru:LegalAddress'"/>
										<xsl:with-param name="NodeNameContact" select="'catSert_ru:'"/>
									</xsl:call-template>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Consignee_Fact_'"/>
										<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									</xsl:call-template>
								</ConsigneeName>
							</xsl:when>
							<xsl:when test="string-length(Consignee_CountryCodeNum)>0">
								<ConsigneeCountry>
									<CountryCode><xsl:value-of select="Consignee_CountryCodeNum"/></CountryCode>
								</ConsigneeCountry>
							</xsl:when>
							<xsl:otherwise>
								<ToOrderFlag>0</ToOrderFlag>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(AnnuledSertifName)>0 or string-length(AnnuledSertifNum)>0 or string-length(AnnuledSertifDate)>0">
							<AnnuledSertifAForm>
								<xsl:if test="string-length(AnnuledSertifName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="AnnuledSertifName"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(AnnuledSertifNum)>0">	
									<cat_ru:PrDocumentNumber><xsl:value-of select="AnnuledSertifNum"/></cat_ru:PrDocumentNumber>
								</xsl:if>
								<xsl:if test="string-length(AnnuledSertifDate)>0">	
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="AnnuledSertifDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>	
							</AnnuledSertifAForm>
						</xsl:if>
						<xsl:for-each select="SERTIFAGOODS/SERTIFAGOODS_ITEM">
							<Goods>
								<GoodsNumeric>
									<xsl:choose>
										<xsl:when test="string-length(GoodsNumeric)>0"><xsl:value-of select="GoodsNumeric"/></xsl:when>
										<xsl:otherwise><xsl:value-of select="position()"/></xsl:otherwise>
									</xsl:choose>
								</GoodsNumeric>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifAForm:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(GoodsQuantity)>0">
									<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
								</xsl:if>
								<xsl:if test="string-length(SupplementaryGoodsQuantity)>0">
									<SupplementaryGoodsQuantity><xsl:value-of select="SupplementaryGoodsQuantity"/></SupplementaryGoodsQuantity>
								</xsl:if>	
								<xsl:if test="string-length(MeasureUnitQualifierName)>0">	
									<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierCode>
								</xsl:if>	
								<xsl:if test="string-length(SupplementaryMeasureUnitQualifierName)>0">	
									<SupplementaryMeasureUnitQualifierCode><xsl:value-of select="SupplementaryMeasureUnitQualifierName"/></SupplementaryMeasureUnitQualifierCode>
								</xsl:if>	
								<GoodsPlacesQuantity><xsl:value-of select="GoodsPlacesQuantity"/></GoodsPlacesQuantity>
								<PlacesQuantity><xsl:value-of select="PlacesQuantity"/></PlacesQuantity>
								<PlacesDescription><xsl:value-of select="PlacesDescription"/></PlacesDescription>
								<xsl:if test="string-length(Marking)>0">
									<Marking><xsl:value-of select="Marking"/></Marking>
								</xsl:if>
								<xsl:if test="string-length(GrossWeightQuantity)>0">	
									<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
								</xsl:if>
								<xsl:if test="string-length(OriginCriterionCode)>0">	
									<OriginCriterionCode><xsl:value-of select="OriginCriterionCode"/></OriginCriterionCode>
								</xsl:if>
								<xsl:if test="string-length(PercentPart)>0">	
									<PercentPart><xsl:value-of select="PercentPart"/></PercentPart>
								</xsl:if>	
								<xsl:for-each select="SERTIFAGOODSINVOICE/SERTIFAGOODSINVOICE_ITEM[string-length(InvoiceName)>0 or string-length(InvoiceNum)>0 or string-length(InvoiceDate)>0]">
									<GoodsInvoice>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(InvoiceNum)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="InvoiceNum"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(InvoiceDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="InvoiceDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>	
									</GoodsInvoice>
								</xsl:for-each>	
							</Goods>
						</xsl:for-each>
						<xsl:for-each select="SERTIFAINVOICE/SERTIFAINVOICE_ITEM[string-length(InvoiceName)>0 or string-length(InvoiceNum)>0 or string-length(InvoiceDate)>0]">
							<Invoice>
								<xsl:if test="string-length(InvoiceName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(InvoiceNum)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="InvoiceNum"/></cat_ru:PrDocumentNumber>
								</xsl:if>
								<xsl:if test="string-length(InvoiceDate)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="InvoiceDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>	
							</Invoice>
						</xsl:for-each>
						<xsl:if test="string-length(ExpSig_PersonName)>0 and string-length(ExpSig_PersonName2)>0">	
							<ExportSign>
								<cat_ru:PersonSurname><xsl:value-of select="ExpSig_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="ExpSig_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(ExpSig_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="ExpSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(ExpSig_PersonPost)>0">	
									<cat_ru:PersonPost><xsl:value-of select="ExpSig_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(ExpSig_IssueDate)>0">	
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="ExpSig_IssueDate"/>
										</xsl:call-template>
									</cat_ru:IssueDate>
								</xsl:if>	
							</ExportSign>
						</xsl:if>	
					</SertifAForm>
				</DocBody>
			</ContainerDoc>
		
	</xsl:template>
</xsl:stylesheet>
