<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--		<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="SERTIFST2"/>
	</xsl:template>-->
	<xsl:template name="SERTIFST2">
		<xsl:for-each select="//SERTIFST2/SERTIFST2_ITEM">
			<xsl:call-template name="SERTIFST2_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="SERTIFST2_ONE_DOC">	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<SertifST2Form xmlns="urn:customs.ru:Information:SertifDocuments:SertifST2Form:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catSert_ru="urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009017E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<SertifNumber><xsl:value-of select="RegNum"/></SertifNumber>
						<RegNumber><xsl:value-of select="SertifRegNum"/></RegNumber>
						<IssueCountryCode><xsl:value-of select="IssueCountryCode"/></IssueCountryCode>
						<DestinCountryCode><xsl:value-of select="DestinCountryCode"/></DestinCountryCode>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="TransportMeansRoute"/>
							<xsl:with-param name="NodeName" select="'TransportMeansRoute'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifST2Form:5.10.0'"/>
							<xsl:with-param name="NameMes" select="false"/> 
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="SpecialComments"/>
							<xsl:with-param name="NodeName" select="'SpecialComments'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifST2Form:5.10.0'"/>
							<xsl:with-param name="NameMes" select="false"/> 
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<LNPSign>
							<xsl:choose>
								<xsl:when test="string-length(LNPSign)>0">
									<xsl:value-of select="LNPSign"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</LNPSign>
						<IssueCountryName><xsl:value-of select="IssueCountryName"/></IssueCountryName>
						<DestinCountryName><xsl:value-of select="DestinCountryName"/></DestinCountryName>
						<SenderInformation>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Sender_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SertifST1Form:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="ContactNode">
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Sender_'"/>
								<xsl:with-param name="PrefNode" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Sender_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Sender_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</SenderInformation>
						<Recipient>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Recipient_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SertifST1Form:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="ContactNode">
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Recipient_'"/>
								<xsl:with-param name="PrefNode" select="'catSert_ru:'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Recipient_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:LegalAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Recipient_Fact_'"/>
								<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
							</xsl:call-template>
						</Recipient>
						<xsl:if test="string-length(Importer_Name)>0">
							<Importer>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Importer_'"/>
									<xsl:with-param name="ReqNode" select="false"/>
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SertifST1Form:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="ContactNode">
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="Pref" select="'Importer_'"/>
									<xsl:with-param name="PrefNode" select="'catSert_ru:'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Importer_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Importer_Fact_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
							</Importer>
						</xsl:if>
						<SertifInf>
							<xsl:if test="string-length(SertifInf_Name)>0">
								<OrganizationName><xsl:value-of select="SertifInf_Name"/></OrganizationName>
							</xsl:if>
							<DateInf>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="SertifInf_Date"/>
								</xsl:call-template>
							</DateInf>
							<xsl:if test="string-length(SertifInf_FIO)>0">
								<FIO><xsl:value-of select="SertifInf_FIO"/></FIO>
							</xsl:if>
							<SignPlace><xsl:value-of select="SertifInf_SignPlace"/></SignPlace>
							<xsl:choose>
								<xsl:when test="string-length(SertifInfPlace_PostalCode)>0 or string-length(SertifInfPlace_CountryCode)>0 or string-length(SertifInfPlace_CountryName)>0 or	string-length(SertifInfPlace_Region)>0 or string-length(SertifInfPlace_City)>0 or string-length(SertifInfPlace_StreetHouse)>0">
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'SertifInfPlace_'"/>
										<xsl:with-param name="NodeName" select="'Place'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifST2Form:5.10.0'"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<Place/>
								</xsl:otherwise>
							</xsl:choose>
						</SertifInf>
						<AppDeclaration>
							<DateInf>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="AppDeclInf_Date"/>
								</xsl:call-template>
							</DateInf>
							<xsl:if test="string-length(AppDeclInf_Country)>0">
								<AppCountry><xsl:value-of select="AppDeclInf_Country"/></AppCountry>
							</xsl:if>	
							<xsl:if test="string-length(AppDeclInf_FIO)>0">
								<FIO><xsl:value-of select="AppDeclInf_FIO"/></FIO>
							</xsl:if>
							<SignPlace><xsl:value-of select="AppDeclInf_SignPlace"/></SignPlace>
						</AppDeclaration>
						<xsl:for-each select="SERTIFST2GOODS/SERTIFST2GOODS_ITEM">
							<Goods>
								<GoodsNumeric>
									<xsl:choose>
										<xsl:when test="string-length(GoodsNumeric)>0"><xsl:value-of select="GoodsNumeric"/></xsl:when>
										<xsl:otherwise><xsl:value-of select="position()"/></xsl:otherwise>
									</xsl:choose>
								</GoodsNumeric>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifST2Form:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierName)>0">
									<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
									<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierCode>
								</xsl:if>
								<xsl:if test="string-length(SupplementaryGoodsQuantity)>0 and string-length(SupplementaryMeasureUnitQualifierName)>0">	
									<SupplementaryGoodsQuantity><xsl:value-of select="SupplementaryGoodsQuantity"/></SupplementaryGoodsQuantity>
									<SupplementaryMeasureUnitQualifierCode><xsl:value-of select="SupplementaryMeasureUnitQualifierName"/></SupplementaryMeasureUnitQualifierCode>
								</xsl:if>
								<xsl:if test="string-length(GoodsPlacesQuantity)>0">	
									<GoodsPlacesQuantity><xsl:value-of select="GoodsPlacesQuantity"/></GoodsPlacesQuantity>
								</xsl:if>	
								<PlacesDescription><xsl:value-of select="PlacesDescription"/></PlacesDescription>
								<xsl:if test="string-length(OriginCriterionCode)>0">	
									<OriginCriterionCode><xsl:value-of select="OriginCriterionCode"/></OriginCriterionCode>
								</xsl:if>	
								<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
								<xsl:if test="string-length(NetWeightQuantity)>0">
									<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
								</xsl:if>
								<xsl:for-each select="SERTIFST2GOODSINVOICE/SERTIFST2GOODSINVOICE_ITEM[string-length(InvoiceName)>0 or string-length(InvoiceNum)>0 or string-length(InvoiceDate)>0]">
									<GoodsInvoice>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>	
										<xsl:if test="string-length(InvoiceNum)>0">	
											<cat_ru:PrDocumentNumber><xsl:value-of select="InvoiceNum"/></cat_ru:PrDocumentNumber>
										</xsl:if>	
										<xsl:if test="string-length(InvoiceDate)>0">	
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="InvoiceDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>	
									</GoodsInvoice>
								</xsl:for-each>
							</Goods>
						</xsl:for-each>
						<xsl:if test="string-length(Exporter_Name)>0">
							<ExporterInformation>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Exporter_'"/>
									<xsl:with-param name="ReqNode" select="false"/>
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode"  select="'urn:customs.ru:Information:SertifDocuments:SertifST1Form:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="ContactNode">
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
									<xsl:with-param name="Pref" select="'Exporter_'"/>
									<xsl:with-param name="PrefNode" select="'catSert_ru:'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Sender_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:LegalAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
								<xsl:call-template name="Address">
									<xsl:with-param name="Pref" select="'Exporter_Fact_'"/>
									<xsl:with-param name="NodeName" select="'catSert_ru:FactAddress'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:SertifCommonAggregateTypesCust:5.10.0'"/>
								</xsl:call-template>
							</ExporterInformation>
						</xsl:if>	
					</SertifST2Form>
				</DocBody>
			</ContainerDoc>
		
	</xsl:template>
</xsl:stylesheet>
