<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="SPECIFICATION"/>
			</ED_Container>	
	</xsl:template>-->
	<xsl:template name="SPECIFICATION">
		<xsl:for-each select="SPECIFICATION/SPECIFICATION_ITEM">
			<xsl:call-template name="SPECIFICATION_ONE_DOC"/>	
		</xsl:for-each>
		<xsl:for-each select="SPECIFIC/SPECIFIC_ITEM">
			<xsl:call-template name="SPECIFIC_ONE_DOC"/>	
		</xsl:for-each>
	</xsl:template>
		
		<xsl:template name="SPECIFICATION_ONE_DOC">	
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<ShippingSpecification xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:ShippingSpecification:5.11.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:cltESAD_cu="urn:customs.ru:CUESADCommonLeafTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002017E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<Specification>
							<xsl:if test="string-length(DocName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(RegNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(RegDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</Specification>
						<ActivitiesAgreement>
							<xsl:if test="string-length(ContractName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(ContractNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(ContractDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="ContractDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</ActivitiesAgreement>
						<Sender>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Seler_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template> 
						</Sender>
						<Receiver>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Buyer_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template> 
						</Receiver>
						<xsl:for-each select="SPECIFICATIONGoods/SPECIFICATIONGOODS_ITEM[string-length(GoodsDescription)>0 and string-length(Articul)>0 and string-length(Code)>0]">
							<Goods>
								<Description><xsl:value-of select="substring(GoodsDescription,1,250)"/></Description>
								<xsl:if test="string-length(GoodMarking)>0">
									<GoodMarking><xsl:value-of select="GoodMarking"/></GoodMarking>
								</xsl:if>
								<Articul><xsl:value-of select="Articul"/></Articul>
								<Code><xsl:value-of select="GoodsCode"/></Code>
								<xsl:if test="string-length(GoodsTNVEDCode)>0">
									<TNVED><xsl:value-of select="GoodsTNVEDCode"/></TNVED>
								</xsl:if>
								<xsl:for-each select="SPECIFICATIONPackageNumber/SPECIFICATIONPACKAGENUMBER_ITEM[string-length(PackageNumber)>0]">
									<PakageNumber><xsl:value-of select="PackageNumber"/></PakageNumber>
								</xsl:for-each>
								<xsl:if test="string-length(Dimensions)>0">
									<Dimensions><xsl:value-of select="Dimensions"/></Dimensions>
								</xsl:if>
								<xsl:if test="string-length(Quantity)>0">
									<Quantity><xsl:value-of select="Quantity"/></Quantity>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
									<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></MeasureUnitQualifierCode>
								</xsl:if>
								<xsl:if test="string-length(MeasureUnitQualifierName)>0">
									<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
								</xsl:if>
								<xsl:if test="string-length(CurrencyCode)>0">
									<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
								</xsl:if>
								<xsl:if test="string-length(Price)>0"> 
									<Price><xsl:value-of select="format-number(round(Price * 10000) div 10000,'0.####')"/></Price>
								</xsl:if>
								<xsl:if test="string-length(Cost)>0"> 
									<Cost><xsl:value-of select="format-number(round(Cost * 100) div 100,'0.##')"/></Cost>
								</xsl:if>
								<xsl:if test="string-length(Notes)>0"> 
									<Notes><xsl:value-of select="Notes"/></Notes>
								</xsl:if>
								<xsl:if test="string-length(GrossWeightQuantity)>0 or string-length(NetWeightQuantity)>0">
									<Weight>
										<xsl:if test="string-length(NetWeightQuantity)>0">
											<catComFin_ru:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catComFin_ru:NetWeightQuantity>
										</xsl:if>
										<xsl:if test="string-length(GrossWeightQuantity)>0">
											<catComFin_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catComFin_ru:GrossWeightQuantity>
										</xsl:if>
									</Weight>
								</xsl:if>	
								<xsl:if test="string-length(ContainerQuantity)>0 and number(ContainerQuantity)>0 and count(SPECIFICATIONContainerNum/SPECIFICATIONCONTAINERNUM_ITEM[string-length(ContainerNum)>0])>0">
									<Transport>
										<catESAD_cu:ContainerQuantity><xsl:value-of select="ContainerQuantity"/></catESAD_cu:ContainerQuantity>
										<xsl:if test="string-length(ContainerKind)>0">
											<catESAD_cu:ContainerKind><xsl:value-of select="ContainerKind"/></catESAD_cu:ContainerKind>
										</xsl:if>
										<xsl:for-each select="SPECIFICATIONContainerNum/SPECIFICATIONCONTAINERNUM_ITEM[string-length(ContainerNum)>0]">
											<catESAD_cu:ContainerNumber>
												<catESAD_cu:ContainerIdentificaror><xsl:value-of select="ContainerNum"/></catESAD_cu:ContainerIdentificaror>
												<xsl:if test="string-length(FullIndicator)>0">
													<catESAD_cu:FullIndicator><xsl:value-of select="FullIndicator"/></catESAD_cu:FullIndicator>
												</xsl:if>
											</catESAD_cu:ContainerNumber>
										</xsl:for-each>
									</Transport>
								</xsl:if>
								<xsl:if test="string-length(PlacesCode)>0 and string-length(PlacesQuantity)>0 and string-length(PlaceWeightQuantity)>0">
									<Place>
										<catComFin_ru:PlaceKind><xsl:value-of select="PlacesCode"/></catComFin_ru:PlaceKind>
										<catComFin_ru:PlacesQuantity><xsl:value-of select="PlacesQuantity"/></catComFin_ru:PlacesQuantity>
										<catComFin_ru:PlaceWeightQuantity><xsl:value-of select="PlaceWeightQuantity"/></catComFin_ru:PlaceWeightQuantity>
									</Place>
								</xsl:if>
								<QualityDocument>
									<xsl:if test="string-length(QualityDoc)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="QualityDoc"/></cat_ru:PrDocumentName>
									</xsl:if>
									<xsl:if test="string-length(QualityDocNum)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="QualityDocNum"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(QualityDocDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="QualityDocDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
								</QualityDocument>
							</Goods>
						</xsl:for-each>
					</ShippingSpecification>
				</DocBody>
			</ContainerDoc>
		</xsl:template>
		<xsl:template name="SPECIFIC_ONE_DOC">	
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<ShippingSpecification xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:ShippingSpecification:5.11.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:cltESAD_cu="urn:customs.ru:CUESADCommonLeafTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002017E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<Specification>
							<xsl:if test="string-length(DocName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(RegNumSpecfic)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="RegNumSpecfic"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(RegDateSpecfic)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDateSpecfic"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</Specification>
						<ActivitiesAgreement>
							<xsl:if test="string-length(ContractName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(ContractNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(ContractDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="ContractDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
						</ActivitiesAgreement>
						<Sender>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template> 
						</Sender>
						<Receiver>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
						</Receiver>
						<xsl:for-each select="SPECIFICGoods/SPECIFICGOODS_ITEM[string-length(GoodsDescription)>0 and string-length(GoodMarking)>0 and string-length(GoodsCode)>0]">
							<Goods>
								<Description><xsl:value-of select="substring(GoodsDescription,1,250)"/></Description>
								<Articul><xsl:value-of select="GoodMarking"/></Articul>
								<Code><xsl:value-of select="GoodsCode"/></Code>
								<xsl:if test="string-length(GoodsQuantity)>0">
									<Quantity><xsl:value-of select="GoodsQuantity"/></Quantity>
									<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
										<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></MeasureUnitQualifierCode>
									</xsl:if>
									<xsl:if test="string-length(MeasureUnitQualifierName)>0">
										<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
									</xsl:if>
								</xsl:if>
								<xsl:if test="string-length(../../CurrencyCode)>0">
									<CurrencyCode><xsl:value-of select="../../CurrencyCode"/></CurrencyCode>
								</xsl:if>
								<xsl:if test="string-length(Price)>0"> 
									<Price><xsl:value-of select="format-number(round(Price  * 10000) div 10000,'0.####')"/></Price>
								</xsl:if>
								<xsl:if test="string-length(TotalCost)>0"> 
									<Cost><xsl:value-of select="format-number(round(TotalCost  * 100) div 100,'0.##')"/></Cost>
								</xsl:if>
								<xsl:if test="string-length(GrossWeightQuantity)>0 or string-length(NetWeightQuantity)>0">
									<Weight>
										<xsl:if test="string-length(NetWeightQuantity)>0">
											<catComFin_ru:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catComFin_ru:NetWeightQuantity>
										</xsl:if>
										<xsl:if test="string-length(GrossWeightQuantity)>0">
											<catComFin_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catComFin_ru:GrossWeightQuantity>
										</xsl:if>
									</Weight>
								</xsl:if>	
								<xsl:if test="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0])>0">
									<Transport>
										<catESAD_cu:ContainerQuantity><xsl:value-of select="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0])"/></catESAD_cu:ContainerQuantity>
										<xsl:for-each select="../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
											<catESAD_cu:ContainerNumber>
												<catESAD_cu:ContainerIdentificaror><xsl:value-of select="ContainerID"/></catESAD_cu:ContainerIdentificaror>
											</catESAD_cu:ContainerNumber>
										</xsl:for-each>
									</Transport>
								</xsl:if>
								<xsl:if test="string-length(PlacesCode)>0 and string-length(PlacesQuantity)>0 and string-length(PlaceWeightQuantity)>0">
									<Place>
										<catComFin_ru:PlaceKind><xsl:value-of select="PlacesCode"/></catComFin_ru:PlaceKind>
										<catComFin_ru:PlacesQuantity><xsl:value-of select="PlacesQuantity"/></catComFin_ru:PlacesQuantity>
										<catComFin_ru:PlaceWeightQuantity><xsl:value-of select="PlaceWeightQuantity"/></catComFin_ru:PlaceWeightQuantity>
									</Place>
								</xsl:if>
								<QualityDocument/>
							</Goods>
						</xsl:for-each>
					</ShippingSpecification>
				</DocBody>
			</ContainerDoc>
		</xsl:template>		
</xsl:stylesheet>
