<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="STATEREGSERTIF"/>
	</xsl:template>
	<xsl:template name="STATEREGSERTIF">
		<xsl:for-each select="//STATEREGSERTIF/STATEREGSERTIF_ITEM">
			<xsl:call-template name="STATEREGSERTIF_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>	
	<xsl:template name="STATEREGSERTIF_ONE_DOC">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<StateRegistrationCertif xmlns="urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0"  xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:RUScat_ru="urn:customs.ru:RUSCommonAggregateTypes:5.11.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009018E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<AutorizedAgency><xsl:value-of select="Org_Name"/></AutorizedAgency>
						<xsl:if test="string-length(Org_Head)>0">
							<AgencyHead><xsl:value-of select="Org_Head"/></AgencyHead>
						</xsl:if>
						<xsl:if test="string-length(TerritorialUnit)>0">
							<TerritorialUnit><xsl:value-of select="TerritorialUnit"/></TerritorialUnit>
						</xsl:if>
						<xsl:if test="string-length(BlankSeries)>0">
							<BlankSeries><xsl:value-of select="BlankSeries"/></BlankSeries>
						</xsl:if>
						<xsl:if test="string-length(BlankTypographNum)>0">
							<BlankTypographNum><xsl:value-of select="BlankTypographNum"/></BlankTypographNum>
						</xsl:if>	
						<CertificateNumber><xsl:value-of select="RegNum"/></CertificateNumber>
						<CertDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</CertDate>
						<xsl:if test="string-length(CertStatus)>0">
							<CertStatus><xsl:value-of select="CertStatus"/></CertStatus>
						</xsl:if>
						<xsl:if test="string-length(BlankTypeID)>0">
							<BlankTypeID><xsl:value-of select="BlankTypeID"/></BlankTypeID>
						</xsl:if>
						<Goods>
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="GoodsDescription"/>
								<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>
							<xsl:if test="string-length(NormTechDocs)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="NormTechDocs"/>
									<xsl:with-param name="NodeName" select="'NormTechDocs'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
							</xsl:if>	
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="InvestigProtocols"/>
								<xsl:with-param name="NodeName" select="'InvestigProtocols'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>
							<xsl:if test="string-length(SanitaryCharachter)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="SanitaryCharachter"/>
									<xsl:with-param name="NodeName" select="'SanitaryCharachter'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
							</xsl:if>	
							<xsl:if test="string-length(LabelInf)>0">
								<LabelInf><xsl:value-of select="LabelInf"/></LabelInf>
							</xsl:if>
							<xsl:if test="string-length(SanitaryRegulations)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="SanitaryRegulations"/>
									<xsl:with-param name="NodeName" select="'SanitaryRegulations'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
							</xsl:if>	
							<xsl:if test="string-length(UsageArea)>0">
								<UsageArea><xsl:value-of select="UsageArea"/></UsageArea>
							</xsl:if>	
						</Goods>
						<ManufacturerInf>
							<xsl:call-template name="OrgNodeRU">
								<xsl:with-param name="Pref" select="'Manufacturer_'"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
								<xsl:with-param name="PostalAddress" select="1"/>
							</xsl:call-template>
							<xsl:call-template name="Contact">
								<xsl:with-param name="NodeName" select="'RUScat_ru:Contact'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="Pref" select="'Manufacturer_'"/>
							</xsl:call-template>
							<xsl:for-each select="STATEREGSERTIFMANUFACTURERFILIAL/STATEREGSERTIFMANUFACTURERFILIAL_ITEM[string-length(Manufacturer_Name)>0 or string-length(Manufacturer_CountryCode)>0]">
								<SubdivisionInfo>
									<xsl:call-template name="OrgNodeRU">
										<xsl:with-param name="Pref" select="'Manufacturer_'"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
										<xsl:with-param name="NamspParent" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
									</xsl:call-template>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Manufacturer_'"/>
										<xsl:with-param name="NodeName" select="'Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
									</xsl:call-template> 
								</SubdivisionInfo>
							</xsl:for-each>
						</ManufacturerInf>
						<GoodsRecipient>
							<xsl:call-template name="OrgNodeRU">
								<xsl:with-param name="Pref" select="'Recipient_'"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
								<xsl:with-param name="PostalAddress" select="1"/>
							</xsl:call-template>
							<xsl:call-template name="Contact">
								<xsl:with-param name="Pref" select="'Recipient_'"/>
								<xsl:with-param name="NodeName" select="'RUScat_ru:Contact'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>							
							</xsl:call-template>
						</GoodsRecipient>
						<xsl:for-each select="STATEREGSERTIF_ORG/STATEREGSERTIF_ORG_ITEM[string-length(Org_Name)>0 or string-length(Org_OGRN)>0 or string-length(Org_INN)>0 or string-length(Org_KPP)>0]">
							<TestingOrg>
								<xsl:call-template name="OrgNodeRU">
									<xsl:with-param name="Pref" select="'Org_'"/>
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
									<xsl:with-param name="NamspParent" select="'urn:customs.ru:Information:SertifDocuments:StateRegistrationCertif:5.11.0'"/>
								</xsl:call-template> 
							</TestingOrg>
						</xsl:for-each>
						<AutorizedPerson>
							<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(PersonPost)>0">	
								<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
						</AutorizedPerson>
					</StateRegistrationCertif>
				</DocBody>
			</ContainerDoc>
		
	</xsl:template>
</xsl:stylesheet>
