<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="CONTRACTAPX"/>
	</xsl:template>-->
	<xsl:key use="concat(./SpecifNum,substring(./SpecifDate,1,10))" name="GoodsContrApxDop" match="//CONTRACTAPXSPECIFICATION_ITEM[string-length(SpecifNum)>0 and string-length(SpecifDate)>0]"/>
	<xsl:template match="//CONTRACTAPXSPECIFICATION_ITEM[string-length(SpecifNum)>0 and string-length(SpecifDate)>0]" xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:variable name="SNum" select="SpecifNum"/>
		<xsl:variable name="SDate" select="substring(SpecifDate,1,10)"/>
		<ContractSpecification>
			<IssueDate><xsl:value-of select="$SDate"/></IssueDate>
			<ID><xsl:value-of select="$SNum"/></ID>
			<xsl:for-each select="//CONTRACTAPXSPECIFICATION_ITEM[string-length(concat(SpecifNum,substring(SpecifDate,1,10)))>0 and string-length(GoodsDescription)>0 and string-length(MeasureUnitQualifierCode)>0 and concat(SpecifNum,substring(SpecifDate,1,10))=concat($SNum,$SDate)]">
				<AddSpecificationGoods>
					<xsl:if test="string-length(GoodMarking)>0">
						<GoodMarking><xsl:value-of select="GoodMarking"/></GoodMarking>
					</xsl:if>
					<xsl:call-template name="GoodsDescr">
						<xsl:with-param name="DesGoods" select="translate(GoodsDescription,'&#xA;',' ')"/>
						<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0'"/>
						<xsl:with-param name="NameMes" select="false"/> 
						<xsl:with-param name="LenDes" select="250"/>
					</xsl:call-template>			
					<xsl:if test="string-length(GoodsQuantity)>0">
						<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
					</xsl:if>	
					<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></MeasureUnitQualifierCode>
					<xsl:if test="string-length(MeasureUnitQualifierName)>0">
						<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
					</xsl:if>	
					<xsl:if test="string-length(Price)>0">
						<Price><xsl:value-of select="format-number(round(Price  * 10000) div 10000,'0.####')"/></Price>
					</xsl:if>	
					<xsl:if test="string-length(GCost)>0">
						<GCost><xsl:value-of select="format-number(round(GCost  * 100) div 100,'0.##')"/></GCost>
					</xsl:if>	
					<xsl:if test="string-length(GoodsTNVEDCode)>0">
						<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
					</xsl:if>	
					<xsl:if test="string-length(CurrencyCode)>0">
						<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
					</xsl:if>
					<xsl:if test="string-length(NetWeightQuantity)>0 or string-length(GrossWeightQuantity)>0">	
						<GoodsWeight>
							<xsl:if test="string-length(NetWeightQuantity)>0">	
								<catComFin_ru:NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></catComFin_ru:NetWeightQuantity>
							</xsl:if>	
							<xsl:if test="string-length(GrossWeightQuantity)>0">		
								<catComFin_ru:GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></catComFin_ru:GrossWeightQuantity>
							</xsl:if>	
						</GoodsWeight>
					</xsl:if>
					<xsl:if test="string-length(PlaceKind)>0 and string-length(PlacesQuantity)>0 and string-length(PlaceWeightQuantity)>0">
						<GoodsPlace>
							<catComFin_ru:PlaceKind><xsl:value-of select="PlaceKind"/></catComFin_ru:PlaceKind>
							<catComFin_ru:PlacesQuantity><xsl:value-of select="PlacesQuantity"/></catComFin_ru:PlacesQuantity>
							<catComFin_ru:PlaceWeightQuantity><xsl:value-of select="PlaceWeightQuantity"/></catComFin_ru:PlaceWeightQuantity>
						</GoodsPlace>
					</xsl:if>
					<xsl:if test="string-length(Manufacturer_Name)>0 or string-length(TradeMark)>0 or string-length(GoodsMark)>0 or string-length(GoodsModel)>0 or string-length(GoodsStandard)>0">	
						<AdditionalGoodsDescription>
							<xsl:if test="string-length(Manufacturer_Name)>0">	
								<catComFin_ru:Manufacturer><xsl:value-of select="Manufacturer_Name"/></catComFin_ru:Manufacturer>
							</xsl:if>	
							<xsl:if test="string-length(TradeMark)>0">		
								<catComFin_ru:TradeMark><xsl:value-of select="TradeMark"/></catComFin_ru:TradeMark>
							</xsl:if>	
							<xsl:if test="string-length(GoodsMark)>0">		
								<catComFin_ru:GoodsMark><xsl:value-of select="GoodsMark"/></catComFin_ru:GoodsMark>
							</xsl:if>
							<xsl:if test="string-length(GoodsModel)>0">		
								<catComFin_ru:GoodsModel><xsl:value-of select="GoodsModel"/></catComFin_ru:GoodsModel>
							</xsl:if>	
							<xsl:if test="string-length(GoodsStandard)>0">		
								<catComFin_ru:GoodsStandart><xsl:value-of select="GoodsStandard"/></catComFin_ru:GoodsStandart>
							</xsl:if>
						</AdditionalGoodsDescription>
					</xsl:if>
				</AddSpecificationGoods>
			</xsl:for-each>
		</ContractSpecification>
	</xsl:template>
  
	<xsl:template name="CONTRACTAPX">
		<xsl:for-each select="//CONTRACTAPX/CONTRACTAPX_ITEM">
			<xsl:call-template name="CONTRACTAPX_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CONTRACTAPX_ONE_DOC">
		<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
			<DocBody>
				<SupplementaryContract xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002014E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<DocumentNumber><xsl:value-of select="RegNum"/></DocumentNumber>
					<xsl:if test="string-length(RegDate)>0">
						<IssueDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</IssueDate>
					</xsl:if>
					<xsl:if test="string-length(ContractName)>0 or string-length(ContractNum)>0 or string-length(ContractDate)>0 or string-length(ContractPlace)>0">
						<ContractRegistration>
							<xsl:if test="string-length(ContractName)>0">
								<cat_ru:PrDocumentName><xsl:value-of select="ContractName"/></cat_ru:PrDocumentName>
							</xsl:if>
							<xsl:if test="string-length(ContractNum)>0">
								<cat_ru:PrDocumentNumber><xsl:value-of select="ContractNum"/></cat_ru:PrDocumentNumber>
							</xsl:if>
							<xsl:if test="string-length(ContractDate)>0">
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="ContractDate"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
							</xsl:if>
							<xsl:if test="string-length(ContractPlace)>0">
								<catComFin_ru:ContractPlace><xsl:value-of select="ContractPlace"/></catComFin_ru:ContractPlace>
							</xsl:if>  
						</ContractRegistration>
					</xsl:if>	
					<xsl:if test="string-length(LastDate)>0 and string-length(StockCategorySign)>0 and string-length(InsuranceSign)>0 and string-length(BuyerLimitationSign)>0">
						<ContractDescription>
							<xsl:if test="string-length(Amount)>0">
								<catComFin_ru:Amount><xsl:value-of select="Amount"/></catComFin_ru:Amount>
							</xsl:if>
							<xsl:if test="string-length(Discount)>0">
								<catComFin_ru:Discount><xsl:value-of select="Discount"/></catComFin_ru:Discount>
							</xsl:if>
							<xsl:if test="string-length(CurrencyCode)>0">
							<catComFin_ru:CurrencyCode><xsl:value-of select="CurrencyCode"/></catComFin_ru:CurrencyCode>
							</xsl:if>
							<xsl:if test="string-length(PaymentModeCode)>0">
								<catComFin_ru:PaymentModeCode><xsl:value-of select="PaymentModeCode"/></catComFin_ru:PaymentModeCode>
							</xsl:if>
							<xsl:if test="string-length(DueDateCode)>0">
								<xsl:call-template name="tokenize">
									<xsl:with-param name="string" select="DueDateCode"/>		
									<xsl:with-param name="NodeName" select="'catComFin_ru:DueDateCode'"/>
									<xsl:with-param name="Nodespace" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="delimiters" select="','"/>
								</xsl:call-template>
							</xsl:if>
							<catComFin_ru:LastDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="LastDate"/>
								</xsl:call-template>
							</catComFin_ru:LastDate>
							<xsl:if test="string-length(PaymentCurrencyCode)>0">
								<xsl:call-template name="tokenize">
									<xsl:with-param name="string" select="PaymentCurrencyCode"/>		
									<xsl:with-param name="NodeName" select="'catComFin_ru:PaymentCurrencyCode'"/>
									<xsl:with-param name="Nodespace" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="delimiters" select="','"/>
								</xsl:call-template>
							</xsl:if>	
							<xsl:if test="string-length(ExchangeClause)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ExchangeClause,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:ExchangeClause'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>	
							</xsl:if>
							<xsl:if test="string-length(ContractSubject)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ContractSubject,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:ContractSubject'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>						
							</xsl:if>
							<xsl:if test="string-length(ContractTime)>0">
								<catComFin_ru:ContractTime><xsl:value-of select="substring(ContractTime,1,10)"/></catComFin_ru:ContractTime>
							</xsl:if>	
							<xsl:if test="string-length(AdditionalContractTime)>0">
								<catComFin_ru:AdditionalContractTime><xsl:value-of select="substring(AdditionalContractTime,1,10)"/></catComFin_ru:AdditionalContractTime>
							</xsl:if>
							<xsl:if test="string-length(ContractOtherTerms)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ContractOtherTerms,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:OtherTerms'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>													
							</xsl:if>								
							<xsl:if test="string-length(ContractText)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(ContractText,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:ContractText'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>																	
							</xsl:if>
							<xsl:if test="string-length(DiscountPercentage)>0">								
								<catComFin_ru:DiscountPercentage><xsl:value-of select="DiscountPercentage"/></catComFin_ru:DiscountPercentage>
							</xsl:if>	
							<xsl:if test="string-length(PaymentPeriod)>0">								
								<catComFin_ru:PaymentPeriod><xsl:value-of select="PaymentPeriod"/></catComFin_ru:PaymentPeriod>
							</xsl:if>
							<catComFin_ru:DealSign><xsl:value-of select="DealSign"/></catComFin_ru:DealSign>
							<xsl:if test="string-length(PrepaySign)>0">								
								<catComFin_ru:PrepaySign><xsl:value-of select="PrepaySign"/></catComFin_ru:PrepaySign>
							</xsl:if>
							<catComFin_ru:StockCategorySign><xsl:value-of select="StockCategorySign"/></catComFin_ru:StockCategorySign>
							<catComFin_ru:BuyerLimitationSign><xsl:value-of select="BuyerLimitationSign"/></catComFin_ru:BuyerLimitationSign>
							<catComFin_ru:InsuranceSign><xsl:value-of select="InsuranceSign"/></catComFin_ru:InsuranceSign>
							<xsl:for-each select="CONTRACTAPXCHANGE/CONTRACTAPXCHANGE_ITEM[string-length(ChangeDocName)>0 or string-length(ChangeDocNumber)>0 or string-length(ChangeDocDate)>0]">
								<catComFin_ru:ChangeContract>
									<xsl:if test="string-length(ChangeDocName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="ChangeDocName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<xsl:if test="string-length(ChangeDocNumber)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="ChangeDocNumber"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(ChangeDocDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="ChangeDocDate"/>
											</xsl:call-template>										
										</cat_ru:PrDocumentDate>
									</xsl:if>
								</catComFin_ru:ChangeContract>
							</xsl:for-each>
						</ContractDescription>
					</xsl:if>
					<xsl:for-each select="CONTRACTAPXDELIVERYTERMS/CONTRACTAPXDELIVERYTERMS_ITEM[string-length(DeliveryTermsStringCode)>0]">
						<SupContractDeliveryTerms>
							<xsl:if test="string-length(DeliveryPlace)>0">	
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="DeliveryPlace"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:DeliveryPlace'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="40"/>
								</xsl:call-template>		
							</xsl:if>
							<xsl:if test="string-length(DeliveryTermsNumericCode)>0">
								<catComFin_ru:DeliveryTermsNumericCode><xsl:value-of select="DeliveryTermsNumericCode"/></catComFin_ru:DeliveryTermsNumericCode>
							</xsl:if>
							<catComFin_ru:DeliveryTermsStringCode><xsl:value-of select="DeliveryTermsStringCode"/></catComFin_ru:DeliveryTermsStringCode>
							<xsl:if test="string-length(TermsDescription)>0">	
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="TermsDescription"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:TermsDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="NameMes" select="false"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>									
							</xsl:if>
							<xsl:for-each select="CONTRACTAPXINVOICESALETERMS/CONTRACTAPXINVOICESALETERMS_ITEM[string-length(SaleTermsCode)>0 or string-length(SaleTermsDescription)>0]">
								<catComFin_ru:InvoiceSaleTerms>
									<xsl:if test="string-length(SaleTermsCode)>0">
										<catComFin_ru:SaleTermsCode><xsl:value-of select="SaleTermsCode"/></catComFin_ru:SaleTermsCode>
									</xsl:if>
									<xsl:if test="string-length(SaleTermsDescription)>0">
										<catComFin_ru:SaleTermsDescription><xsl:value-of select="SaleTermsDescription"/></catComFin_ru:SaleTermsDescription>
									</xsl:if>
								</catComFin_ru:InvoiceSaleTerms>
							</xsl:for-each>
						</SupContractDeliveryTerms>	
					</xsl:for-each>
					<xsl:apply-templates select="//CONTRACTAPXSPECIFICATION_ITEM[generate-id(.)=generate-id(key('GoodsContrApxDop',concat(./SpecifNum,substring(./SpecifDate,1,10)))) and string-length(SpecifNum)>0 and string-length(SpecifDate)>0 and string-length(GoodsDescription)>0]"/>
					<RussianPerson>
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'RussianPerson_'"/>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:if test="string-length(RussianPerson_OKPOID)>0">
							<cat_ru:OKPOID><xsl:value-of select="RussianPerson_OKPOID"/></cat_ru:OKPOID>
						</xsl:if>
						<xsl:if test="string-length(RussianPerson_OKATOCode)>0">
							<cat_ru:OKATOCode><xsl:value-of select="RussianPerson_OKATOCode"/></cat_ru:OKATOCode>
						</xsl:if>
						<xsl:call-template name="Address">
							<xsl:with-param name="Pref" select="'RussianPerson_'"/>
							<xsl:with-param name="NodeName"  select="'cat_ru:Address'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:call-template name="Contact">
							<xsl:with-param name="Pref" select="'RussianPerson_'"/>
							<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:for-each select="CONTRACTAPXRUSSIANPERSON_BANKINFORMATION/CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ITEM[count(CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(BankAccount)>0])>0 or string-length(BankAccountDescription)>0 or string-length(BankName)>0]">
							<cat_ru:BankInformation>
								<xsl:for-each select="CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(BankAccount)>0]">
									<cat_ru:BankAccount><xsl:value-of select="BankAccount"/></cat_ru:BankAccount>
								</xsl:for-each>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(BankAccountDescription,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'cat_ru:BankAccountDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NameMes" select="true"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>												
								<cat_ru:BankName><xsl:value-of select="BankName"/></cat_ru:BankName>
								<xsl:if test="string-length(BankMFO)>0">
									<cat_ru:BankMFO><xsl:value-of select="BankMFO"/></cat_ru:BankMFO>
								</xsl:if>											
								<xsl:if test="string-length(OKPOID)>0">	
									<cat_ru:OKPOID><xsl:value-of select="OKPOID"/></cat_ru:OKPOID>
								</xsl:if>											
								<xsl:if test="string-length(BICID)>0">	
									<cat_ru:BICID><xsl:value-of select="BICID"/></cat_ru:BICID>
								</xsl:if>											
								<xsl:if test="string-length(SWIFTID)>0">	
									<cat_ru:SWIFTID><xsl:value-of select="SWIFTID"/></cat_ru:SWIFTID>
								</xsl:if>											
								<xsl:if test="string-length(CorrAccount)>0">	
									<cat_ru:CorrAccount><xsl:value-of select="CorrAccount"/></cat_ru:CorrAccount>
								</xsl:if>	
								<xsl:for-each select="CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(TransitCurrencyAccount)>0]">
									<cat_ru:TransitCurrencyAccount><xsl:value-of select="TransitCurrencyAccount"/></cat_ru:TransitCurrencyAccount>
								</xsl:for-each>
								<xsl:for-each select="CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXRUSSIANPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(SpecialTransitCurrencyAccount)>0]">
									<cat_ru:SpecialTransitCurrencyAccount><xsl:value-of select="SpecialTransitCurrencyAccount"/></cat_ru:SpecialTransitCurrencyAccount>
								</xsl:for-each>
							</cat_ru:BankInformation>
						</xsl:for-each>
					</RussianPerson>	
					<ForeignPerson>
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'ForeignPerson_'"/>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:if test="string-length(ForeignPerson_OKPOID)>0">
							<cat_ru:OKPOID><xsl:value-of select="ForeignPerson_OKPOID"/></cat_ru:OKPOID>
						</xsl:if>
						<xsl:if test="string-length(ForeignPerson_OKATOCode)>0">
							<cat_ru:OKATOCode><xsl:value-of select="ForeignPerson_OKATOCode"/></cat_ru:OKATOCode>
						</xsl:if>
						<xsl:call-template name="Address">
							<xsl:with-param name="Pref" select="'ForeignPerson_'"/>
							<xsl:with-param name="NodeName"  select="'cat_ru:Address'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:call-template name="Contact">
							<xsl:with-param name="Pref" select="'ForeignPerson_'"/>
							<xsl:with-param name="NodeName" select="'cat_ru:Contact'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						</xsl:call-template>
						<xsl:for-each select="CONTRACTAPXFOREIGNPERSON_BANKINFORMATION/CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ITEM[count(CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(BankAccount)>0])>0 and string-length(BankAccountDescription)>0 and string-length(BankName)>0]">
							<cat_ru:BankInformation>
								<xsl:for-each select="CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(BankAccount)>0]">
									<cat_ru:BankAccount><xsl:value-of select="BankAccount"/></cat_ru:BankAccount>
								</xsl:for-each>
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="translate(BankAccountDescription,'&#xA;',' ')"/>
									<xsl:with-param name="NodeName" select="'cat_ru:BankAccountDescription'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NameMes" select="true"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>													
								<cat_ru:BankName><xsl:value-of select="BankName"/></cat_ru:BankName>
								<xsl:if test="string-length(BankMFO)>0">
									<cat_ru:BankMFO><xsl:value-of select="BankMFO"/></cat_ru:BankMFO>
								</xsl:if>											
								<xsl:if test="string-length(OKPOID)>0">	
									<cat_ru:OKPOID><xsl:value-of select="OKPOID"/></cat_ru:OKPOID>
								</xsl:if>											
								<xsl:if test="string-length(BICID)>0">	
									<cat_ru:BICID><xsl:value-of select="BICID"/></cat_ru:BICID>
								</xsl:if>											
								<xsl:if test="string-length(SWIFTID)>0">	
									<cat_ru:SWIFTID><xsl:value-of select="SWIFTID"/></cat_ru:SWIFTID>
								</xsl:if>											
								<xsl:if test="string-length(CorrAccount)>0">	
									<cat_ru:CorrAccount><xsl:value-of select="CorrAccount"/></cat_ru:CorrAccount>
								</xsl:if>	
								<xsl:for-each select="CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(TransitCurrencyAccount)>0]">
									<cat_ru:TransitCurrencyAccount><xsl:value-of select="TransitCurrencyAccount"/></cat_ru:TransitCurrencyAccount>
								</xsl:for-each>
								<xsl:for-each select="CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT/CONTRACTAPXFOREIGNPERSON_BANKINFORMATION_ACCOUNT_ITEM[string-length(SpecialTransitCurrencyAccount)>0]">
									<cat_ru:SpecialTransitCurrencyAccount><xsl:value-of select="SpecialTransitCurrencyAccount"/></cat_ru:SpecialTransitCurrencyAccount>
								</xsl:for-each>
							</cat_ru:BankInformation>
						</xsl:for-each>
					</ForeignPerson>
					<xsl:for-each select="CONTRACTAPXSIGNEDPERSON/CONTRACTAPXSIGNEDPERSON_ITEM[string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0]">
						<ContractSignedPerson>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>  
							<xsl:if test="string-length(DocSig_IssueDate)>0">
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
									</xsl:call-template>
								</cat_ru:IssueDate>
							</xsl:if>
						</ContractSignedPerson>
					</xsl:for-each>	
				</SupplementaryContract>
			</DocBody>
		</ContainerDoc>	
	</xsl:template>	
</xsl:stylesheet>
