<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="CUTIR_TIR"/>
			</ED_Container>	
	</xsl:template>-->
	
	<xsl:key use="./CurrencyCode" name="CurrC" match="//INVOICE_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)" name="GoodsTIR" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)" name="CountGoodsTIR" match="//INVOICEGOODS_ITEM"/>
	
	<xsl:template name="TirGoods" xmlns="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0">
		<xsl:param name="CmrN"/>
		<xsl:param name="CmrD"/>
		<xsl:param name="CMRNum"/>
		<xsl:param name="Lang"/>
		<xsl:choose>
			<xsl:when test="string-length($CMRNum)>0">
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsTIR',concat(../../CurrencyCode,$CMRNum,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="CmrN" select="$CmrN"/>
					<xsl:with-param name="CmrD" select="$CmrD"/>
					<xsl:with-param name="Doc" select="'CUTir'"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
					<xsl:with-param name="LangCMR" select="$Lang"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('CountGoodsTIR',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="CmrN" select="$CmrN"/>
					<xsl:with-param name="CmrD" select="$CmrD"/>
					<xsl:with-param name="Doc" select="'CUTir'"/>
					<xsl:with-param name="LangCMR" select="$Lang"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose> 
	</xsl:template>

<xsl:template name="GoodsQuantity"  xmlns="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0">

	<xsl:param name="InvoicesN0"/>
	<xsl:param name="InvoicesN1"/>		

	<xsl:variable name="InvoiceSet1" select="//INVOICE_ITEM[NumDate=$InvoicesN1]"/>
	<xsl:variable name="GoodsSet1" select="$InvoiceSet1/descendant::INVOICEGOODS_ITEM"/>
	<xsl:variable name="InvoiceSet0" select="//INVOICE_ITEM[NumDate=$InvoicesN0]"/>
	<xsl:variable name="GoodsSet0" select="$InvoiceSet0/descendant::INVOICEGOODS_ITEM"/>

	<xsl:value-of select="count($GoodsSet1[generate-id(.)=generate-id(key('CountGoodsTIR',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))])+count($GoodsSet0)"/>
</xsl:template>


<xsl:template name="GoodsQuantityTirCarnet"  xmlns="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0" >

	<xsl:param name="InvoicesN0"/>
	<xsl:param name="InvoicesN1"/>
	<xsl:variable name="InvoiceSet1" select="//INVOICE_ITEM[NumDate=$InvoicesN1]"/>
	<xsl:variable name="GoodsSet1" select="$InvoiceSet1/descendant::INVOICEGOODS_ITEM"/>
	<xsl:variable name="InvoiceSet0" select="//INVOICE_ITEM[NumDate=$InvoicesN0]"/>
	<xsl:variable name="GoodsSet0" select="$InvoiceSet0/descendant::INVOICEGOODS_ITEM"/>

	<xsl:value-of select="count($GoodsSet1[generate-id(.)=generate-id(key('CountGoodsTIR',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))])+count($GoodsSet0)"/>
</xsl:template>

	<xsl:template name="TirGroupGoods" xmlns="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0">
		<xsl:param name="RNum"/>
		<xsl:param name="Lang"/>
		<xsl:param name="CMRNum"/>
		<xsl:choose>
			<xsl:when test="string-length($CMRNum)>0">
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsTIR',concat(../../CurrencyCode,$CMRNum,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="CmrN" select="$RNum"/>
					<xsl:with-param name="Doc" select="'Tir'"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
					<xsl:with-param name="LangCMR" select="$Lang"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('CountGoodsTIR',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="CmrN" select="$RNum"/>
					<xsl:with-param name="Doc" select="'Tir'"/>
					<xsl:with-param name="LangCMR" select="$Lang"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose> 		
	</xsl:template>

	<xsl:template name="CUTIR_TIR">
		<xsl:param name="IncludeInventory"/>
		<xsl:variable name="CmrCou" select="count(//CMR_ITEM)"/>
		<xsl:for-each select="//TIR/TIR_ITEM">
		<xsl:if  test="string-length($IncludeInventory)=0 or $IncludeInventory='0'">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<CUTIR_Carnet  xmlns="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003106E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
						<xsl:if test="string-length($RefDocumentID)>0">
							<cat_ru:RefDocumentID><xsl:value-of select="$RefDocumentID"/></cat_ru:RefDocumentID>
						</xsl:if>
						<xsl:variable name="Reg">
							<xsl:call-template name="RegTD">
								<xsl:with-param name="CnorC" select="//CMR/CMR_ITEM[1]/Consignor_CountryCode"/>
								<xsl:with-param name="CneeC" select="//CMR/CMR_ITEM[1]/Consignee_CountryCode"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:choose>
							<xsl:when test="$Reg!='ТР' and $Reg!='ПР'">
								<TransitDirectionCode><xsl:value-of select="$Reg"/></TransitDirectionCode>
								<CustomsProcedure>VTT</CustomsProcedure>
							</xsl:when>
							<xsl:otherwise>
								<TransitDirectionCode>ТР</TransitDirectionCode>
								<CustomsProcedure>MTT</CustomsProcedure>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:variable name="CountGoodsCuTir">
								<xsl:value-of select="count(//CMR/CMR_ITEM[GroupGoods=1]/CMRGoods/CMRGOODS_ITEM)+count(//CMR/CMR_ITEM[GroupGoods=0 or string-length(GroupGoods)=0]/CMRGoods/CMRGOODS_ITEM)"/>
						</xsl:variable>
						<GoodsQuantity>
							<xsl:choose>
								<xsl:when test="count(//CMR/CMR_ITEM[GroupGoods=1])>0">
									<xsl:choose>
										<xsl:when test="$CountGoodsCuTir=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$CountGoodsCuTir"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="count(//INVOICEGoods/INVOICEGOODS_ITEM)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="count(//INVOICEGoods/INVOICEGOODS_ITEM)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
						</GoodsQuantity>						
						<xsl:if test="count(//INVOICE_ITEM)>0">
							<SpecificationNumber><xsl:value-of select="count(//INVOICE_ITEM)"/></SpecificationNumber>
						</xsl:if>
						<xsl:if test="count(//INVOICEGoods/INVOICEGOODS_ITEM)>0">
							<ShipSpecifGoodsQuantity><xsl:value-of select="count(//INVOICEGoods/INVOICEGOODS_ITEM)"/></ShipSpecifGoodsQuantity>
						</xsl:if>
						<xsl:if test="string-length(DispatchCountryCode)>0">
							<DispatchCountryCode><xsl:value-of select="DispatchCountryCode"/></DispatchCountryCode>
						</xsl:if>
						<xsl:if test="string-length(DestinationCountryCode)>0">
							<DestinationCountryCode><xsl:value-of select="DestinationCountryCode"/></DestinationCountryCode>
						</xsl:if>
						<xsl:if test="count(//INVOICE_ITEM[generate-id(.)=generate-id(key('CurrC',./CurrencyCode)) and string-length(CurrencyCode)>0])=1">
							<xsl:if test="sum(//INVOICEGoods/INVOICEGOODS_ITEM/TotalCost)>0">
								<TotalInvoicedCost><xsl:value-of select="format-number(round(sum(//INVOICEGoods/INVOICEGOODS_ITEM/TotalCost) * 100) div 100,'0.00')"/></TotalInvoicedCost>
							</xsl:if>
							<InvoicedCostCurrencyCode><xsl:value-of select="//INVOICE/INVOICE_ITEM[1]/CurrencyCode"/></InvoicedCostCurrencyCode>
						</xsl:if>
						<DestinationCountryName>
							<xsl:choose>
								<xsl:when test="string-length(DestinationCountryName)=0 and string-length(DestinationCountryCode)>0">
									<xsl:variable name="CodDes" select="DestinationCountryCode"/>
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDes]/Name"/>
								</xsl:when>
								<xsl:when test="string-length(DestinationCountryName)>0">
									<xsl:value-of select="DestinationCountryName"/>
								</xsl:when>
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>
						</DestinationCountryName>
						<DispatchCountryName>
							<xsl:choose>
								<xsl:when test="string-length(DispatchCountryName)=0 and string-length(DispatchCountryCode)>0">
									<xsl:variable name="CodDis" select="DispatchCountryCode"/>
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDis]/Name"/>
								</xsl:when>
								<xsl:when test="string-length(DispatchCountryName)>0">	
									<xsl:value-of select="DispatchCountryName"/>
								</xsl:when>
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>
						</DispatchCountryName>
						<xsl:if test="sum(//INVOICEGoods/INVOICEGOODS_ITEM/PlacesQuantity)>0">
							<TotalPackageNumber><xsl:value-of select="round(sum(//INVOICEGoods/INVOICEGOODS_ITEM/PlacesQuantity) * 100) div 100 "/></TotalPackageNumber>
						</xsl:if>
						<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLine)>0">
							<DateExpectedArrival>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="//INVOICE[1]/INVOICE_ITEM/DeadLine"/>
								</xsl:call-template>
							</DateExpectedArrival>
						</xsl:if>			
						<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLineTime)>0">
							<TimeExpectedArrival>
								<xsl:call-template name="TranslateTime">
									<xsl:with-param name="Time" select="//INVOICE[1]/INVOICE_ITEM/DeadLineTime"/>
								</xsl:call-template>
							</TimeExpectedArrival>
						</xsl:if>	
						<TIRIdentifier>
							<catTrans_cu:TIRID><xsl:value-of select="TIRID"/></catTrans_cu:TIRID>
							<catTrans_cu:TIRSeries><xsl:value-of select="TIRSeries"/></catTrans_cu:TIRSeries>
							<catTrans_cu:TIRWhitePageNumber><xsl:value-of select="format-number(TIRWhitePageNumber,'00')"/></catTrans_cu:TIRWhitePageNumber>
						</TIRIdentifier>
						<Carrier>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:if test="string-length(Carrier_Phone)>0">
								<cat_ru:Contact>
									<cat_ru:Phone><xsl:value-of select="Carrier_Phone"/></cat_ru:Phone>
								</cat_ru:Contact>
							</xsl:if>
							<xsl:if test="string-length(TIRHolder)>0">
								<TIRHolderID><xsl:value-of select="TIRHolder"/></TIRHolderID>
							</xsl:if>
							<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0]">
								<xsl:if test="position()=1">
									<CUDriverInformation>
										<xsl:call-template name="DriverInformation">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										</xsl:call-template>
									</CUDriverInformation>
								</xsl:if>
							</xsl:for-each>
						</Carrier>
						<CUTransport>
							<xsl:if test="string-length(TransportModeCode)>0">
								<cat_ru:TransportModeCode><xsl:value-of select="TransportModeCode"/></cat_ru:TransportModeCode>
							</xsl:if>
							<xsl:if test="string-length(TransportMeansNationalityCode)>0">
								<cat_ru:TransportNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></cat_ru:TransportNationalityCode>
							</xsl:if>
							<xsl:if test="string-length(TMNumber)>0 or string-length(TrailerNumber)>0 or string-length(TrailerNumber2)>0">
								<TransportMeansQuantity>
									<xsl:choose>
										<xsl:when test="string-length(TMNumber)>0 and string-length(TrailerNumber)>0 and string-length(TrailerNumber2)>0">3</xsl:when>
										<xsl:when test="string-length(TMNumber)>0 and string-length(TrailerNumber)>0 and string-length(TrailerNumber2)=0">2</xsl:when>
										<xsl:when test="string-length(TMNumber)>0 and string-length(TrailerNumber)=0 and string-length(TrailerNumber2)=0">1</xsl:when>
									</xsl:choose>
								</TransportMeansQuantity>
								<xsl:if test="string-length(TMNumber)>0">
									<TransportMeans>
										<xsl:if test="string-length(VINID)>0">
											<cat_ru:VIN><xsl:value-of select="VINID"/></cat_ru:VIN>
										</xsl:if>
										<cat_ru:TransportIdentifier><xsl:value-of select="TMNumber"/></cat_ru:TransportIdentifier>
										<xsl:if test="string-length(TransportMeansNationalityCode)>0">
											<cat_ru:TransportMeansNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></cat_ru:TransportMeansNationalityCode>
										</xsl:if>
									</TransportMeans>
								</xsl:if>
								<xsl:if test="string-length(TrailerNumber)>0">
									<TransportMeans>
										<cat_ru:TransportIdentifier><xsl:value-of select="TrailerNumber"/></cat_ru:TransportIdentifier>
										<xsl:if test="string-length(TransportMeansNationalityCode)>0">
											<cat_ru:TransportMeansNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></cat_ru:TransportMeansNationalityCode>
										</xsl:if>
										<xsl:if test="string-length(TMNumber)>0">
											<cat_ru:ActiveTransportIdentifier><xsl:value-of select="TMNumber"/></cat_ru:ActiveTransportIdentifier>
										</xsl:if>
									</TransportMeans>
								</xsl:if>
								<xsl:if test="string-length(TrailerNumber2)>0">
									<TransportMeans>
										<cat_ru:TransportIdentifier><xsl:value-of select="TrailerNumber2"/></cat_ru:TransportIdentifier>
										<xsl:if test="string-length(TransportMeansNationalityCode)>0">
											<cat_ru:TransportMeansNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></cat_ru:TransportMeansNationalityCode>
										</xsl:if>
										<xsl:if test="string-length(TMNumber)>0">
											<cat_ru:ActiveTransportIdentifier><xsl:value-of select="TMNumber"/></cat_ru:ActiveTransportIdentifier>
										</xsl:if>
									</TransportMeans>
								</xsl:if>
							</xsl:if>
						</CUTransport>
						<xsl:choose>
							<xsl:when test="$CmrCou>1">
								<xsl:if test="count(CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM)>0">
									<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM">
										<xsl:if test="string-length(ModeCode)>0">
											<CUPresentedDocuments>
												<xsl:if test="string-length(PrDocumentName)>0">
													<cat_ru:PrDocumentName><xsl:value-of select="PrDocumentName"/></cat_ru:PrDocumentName>
												</xsl:if>
												<xsl:if test="string-length(PrDocumentNumber)>0">
													<cat_ru:PrDocumentNumber><xsl:value-of select="PrDocumentNumber"/></cat_ru:PrDocumentNumber>
												</xsl:if>
												<xsl:if test="string-length(PrDocumentDate)>0">
													<cat_ru:PrDocumentDate>
														<xsl:call-template name="TranslateDate">
															<xsl:with-param name="Dat" select="PrDocumentDate"/>
														</xsl:call-template>
													</cat_ru:PrDocumentDate>
												</xsl:if>
												<PresentedDocumentModeCode><xsl:value-of select="ModeCode"/></PresentedDocumentModeCode>
											</CUPresentedDocuments>
										</xsl:if>
									</xsl:for-each>
								</xsl:if>
							</xsl:when>
							<xsl:when test="$CmrCou=1">
								<CUPresentedDocuments>
									<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
									<xsl:if test="string-length(//CMR/CMR_ITEM/RegNum)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="//CMR/CMR_ITEM/RegNum"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(//CMR/CMR_ITEM/RegDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="//CMR/CMR_ITEM/RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<PresentedDocumentModeCode>02015</PresentedDocumentModeCode>
								</CUPresentedDocuments>
								<xsl:if test="count(//INVOICE_ITEM)>0">
									<xsl:for-each select="//INVOICE_ITEM">
										<CUPresentedDocuments>
											<xsl:if test="string-length(InvoiceName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(RegNum)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(RegDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="RegDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<PresentedDocumentModeCode>04021</PresentedDocumentModeCode>
										</CUPresentedDocuments>
									</xsl:for-each>
								</xsl:if>
								<xsl:if test="count(//PACKINGLIST_ITEM)>0">
									<xsl:for-each select="//PACKINGLIST_ITEM">
										<CUPresentedDocuments>
											<xsl:if test="string-length(DocName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(RegNum)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(RegDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="RegDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<PresentedDocumentModeCode>04131</PresentedDocumentModeCode>
										</CUPresentedDocuments>
									</xsl:for-each>
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<TIRDeclarant>
							<xsl:if test="number(//APPENDIX[1]/APPENDIX_ITEM/Declarant_Principal)=1">
								<xsl:for-each select="//APPENDIX[1]/APPENDIX_ITEM">
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Principal_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="PostalAddress" select="1"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									</xsl:call-template>
								</xsl:for-each>
							</xsl:if>
						</TIRDeclarant>
						<xsl:for-each select="//CMR/CMR_ITEM">
							<TIRShipment>
								<xsl:variable name="RNum" select="RegNum"/>
								<xsl:variable name="RDat">
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:variable name="NumCmr" select="NumDate"/>
								<xsl:variable name="RDate" select="RegDate"/>
								<xsl:variable name="Lang" select="LanguageCode"/>
								<xsl:choose>
									<xsl:when test="count(CMRcont/CMRCONT_ITEM[string-length(ContainerID)>0])>0">
										<ContainerIndicator>1</ContainerIndicator>
										<xsl:for-each select="CMRcont/CMRCONT_ITEM">
											<xsl:if test="string-length(ContainerID)>0">
												<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
											</xsl:if>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>
										<ContainerIndicator>0</ContainerIndicator>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="$CmrCou>1">
										<xsl:if test="sum(//CMR_ITEM[NumDate=$NumCmr]/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
											<TotalPlacesQuantity>
												<xsl:value-of select="round(sum(//CMR_ITEM[NumDate=$NumCmr]/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
											</TotalPlacesQuantity>
										</xsl:if>
									</xsl:when>
									<xsl:when test="$CmrCou=1">
										<xsl:if test="sum(//CMR_ITEM/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
											<TotalPlacesQuantity>
												<xsl:value-of select="round(sum(//CMR_ITEM/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
											</TotalPlacesQuantity>
										</xsl:if>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(Consignor_INN)>0 or string-length(Consignor_Name)>0 or string-length(Consignor_CountryCode)>0 or string-length(Consignor_CountryName)>0 or string-length(Consignor_City)>0 or string-length(Consignor_StreetHouse)>0">
									<TIRConsignor>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignor_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										</xsl:call-template>
									</TIRConsignor>
								</xsl:if>
								<xsl:if test="string-length(Consignee_INN)>0 or string-length(Consignee_Name)>0 or string-length(Consignee_CountryCode)>0 or string-length(Consignee_CountryName)>0 or string-length(Consignee_City)>0 or string-length(Consignee_StreetHouse)>0">
									<TIRConsignee>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										</xsl:call-template>
									</TIRConsignee>
								</xsl:if>
								<xsl:if test="string-length(DestinationOfficeIdentifier)>0 or string-length(//TIR/TIR_ITEM/DestinationOfficeIdentifier)>0 or string-length(DestinationOfficeCountryCode)>0 or string-length(DestinationOfficeCountryName)>0 or  string-length(DestinationOfficeCity)>0 or string-length(DestinationOfficeStreetHouse)>0 or string-length(DestinantionPlaceName)>0 or (string-length(DeliveryPlace_City)>0 and string-length(DeliveryPlace_StreetHouse)>0) or string-length(WarehouseLicenceID)>0 or string-length(WarehouseLicenceDate)>0">
									<Destination>
										<xsl:choose>
											<xsl:when test="string-length(DestinationOfficeIdentifier)>0">
												<catTrans_cu:DestinationCustomsCode>
													<xsl:choose>
														<xsl:when test="substring(DestinationOfficeIdentifier,1,2)='10'">
															<xsl:value-of select="concat(substring(DestinationOfficeIdentifier,1,5),'000')"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="DestinationOfficeIdentifier"/>
														</xsl:otherwise>
													</xsl:choose>
												</catTrans_cu:DestinationCustomsCode>
												<catTrans_cu:DeliveryCustomsPostCode><xsl:value-of select="DestinationOfficeIdentifier"/></catTrans_cu:DeliveryCustomsPostCode>
											</xsl:when>
											<xsl:when test="string-length(//TIR/TIR_ITEM/DestinationOfficeIdentifier)>0">
												<catTrans_cu:DeliveryCustomsPostCode><xsl:value-of select="//TIR/TIR_ITEM/DestinationOfficeIdentifier"/></catTrans_cu:DeliveryCustomsPostCode>
											</xsl:when>
										</xsl:choose>
										<xsl:call-template name="Address">
											<xsl:with-param name="Pref" select="'DeliveryPlace_'"/>
											<xsl:with-param name="NodeName" select="'catTrans_cu:Address'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0'"/>
										</xsl:call-template>
										<xsl:if test="string-length(DestinantionPlaceName)>0">
											<catTrans_cu:DestinationPlaceName><xsl:value-of select="DestinantionPlaceName"/></catTrans_cu:DestinationPlaceName>
										</xsl:if>
									</Destination>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="GroupGoods=1">
										<xsl:choose>
											<xsl:when test="$CmrCou>1">
												<xsl:call-template name="TirGoods">
													<xsl:with-param name="CmrN" select="$RNum"/>
													<xsl:with-param name="CmrD" select="$RDat"/>
													<xsl:with-param name="CMRNum" select="$NumCmr"/>
													<xsl:with-param name="Lang" select="$Lang"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:call-template name="TirGoods">
													<xsl:with-param name="CmrN" select="$RNum"/>
													<xsl:with-param name="CmrD" select="$RDat"/>
													<xsl:with-param name="Lang" select="$Lang"/>
												</xsl:call-template>
											</xsl:otherwise>
										</xsl:choose>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="$CmrCou>1">
												<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[ModeCode=04021 and string-length(NumDate)>0]">
													<xsl:variable name="InvNum" select="NumDate"/>
													<xsl:for-each select="//INVOICEGOODS_ITEM">
														<xsl:variable name="Pos" select="position()"/>
														<xsl:if test="../../NumDate=$InvNum">
															<TIRGoods>
																<GoodsNumeric><xsl:value-of select="$Pos"/></GoodsNumeric>
																<GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></GoodsTNVEDCode>
																<xsl:call-template name="GoodsDescr">
																	<xsl:with-param name="DesGoods">
																		<xsl:call-template name="GoodDescrAvto"/>
																	</xsl:with-param>
																	<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
																	<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0'"/>
																	<xsl:with-param name="NameMes" select="true"/>
																	<xsl:with-param name="LenDes" select="250"/>
																</xsl:call-template>
																<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 ">
																	<SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></SupplementaryGoodsQuantity>
																</xsl:if>
																<GrossWeightQuantity>
																	<xsl:choose>
																		<xsl:when test="string-length(GrossWeightQuantity)=0">0</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of select="GrossWeightQuantity"/>
																		</xsl:otherwise>
																	</xsl:choose>
																</GrossWeightQuantity>	
																<xsl:if test="string-length(NetWeightQuantity)>0">
																	<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
																</xsl:if>
																<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 ">
																	<SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></SupplementaryMeasureUnitCode>
																</xsl:if>
																<xsl:if test="string-length(TotalCost)>0">
																	<InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></InvoicedCost>
																</xsl:if>
																<xsl:if test="string-length(../../CurrencyCode)>0">
																	<InvoicedCostCurrencyCode><xsl:value-of select="../../CurrencyCode"/></InvoicedCostCurrencyCode>
																</xsl:if>
																<xsl:if test="string-length($Lang)>0">
																	<Language><xsl:value-of select="$Lang"/></Language>
																</xsl:if>
																<PlacesInfo>
																	<xsl:if test="string-length(PlacesCode)>0">
																		<catTrans_cu:PackingCode><xsl:value-of select="PlacesCode"/></catTrans_cu:PackingCode>
																	</xsl:if>
																	<catTrans_cu:PakingQuantity>
																		<xsl:choose>
																			<xsl:when test="string-length(PlacesQuantity)=0">0</xsl:when>
																			<xsl:otherwise>
																				<xsl:value-of select="PlacesQuantity"/>
																			</xsl:otherwise>
																		</xsl:choose>
																	</catTrans_cu:PakingQuantity>	
																	<xsl:if test="string-length(PlacesDescription)>0">
																		<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
																	</xsl:if>
																	<xsl:if test="string-length(PakagePartQuantity)>0">
																		<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
																	</xsl:if>
																</PlacesInfo>
																<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
																	<xsl:if test="position()=$Pos">
																		<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																			<PackingInfo>
																				<xsl:if test="string-length(PackingCode)>0">
																					<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
																				</xsl:if>
																				<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
																				<xsl:if test="string-length(PackingDescription)>0">
																					<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
																				</xsl:if>
																				<xsl:if test="string-length(PakagePartQuantity)>0">
																					<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
																				</xsl:if>
																			</PackingInfo>
																		</xsl:for-each>
																	</xsl:if>
																</xsl:for-each>		
																<xsl:if test="string-length($RNum)>0 or string-length($RDat)>0">
																	<CUPresentedDocuments>
																		<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
																		<xsl:if test="string-length($RNum)>0">
																			<cat_ru:PrDocumentNumber><xsl:value-of select="$RNum"/></cat_ru:PrDocumentNumber>
																		</xsl:if>
																		<xsl:if test="string-length($RDat)>0">
																			<cat_ru:PrDocumentDate><xsl:value-of select="$RDat"/></cat_ru:PrDocumentDate>
																		</xsl:if>
																		<PresentedDocumentModeCode>02015</PresentedDocumentModeCode>
																	</CUPresentedDocuments>	
																</xsl:if>
																<xsl:if test="string-length(../../RegNum)>0 or string-length(../../RegDate)>0">
																	<CUPresentedDocuments>
																		<xsl:if test="string-length(../../InvoiceName)>0">
																			<cat_ru:PrDocumentName><xsl:value-of select="../../InvoiceName"/></cat_ru:PrDocumentName>
																		</xsl:if>	
																		<xsl:if test="string-length(../../RegNum)>0">
																			<cat_ru:PrDocumentNumber><xsl:value-of select="../../RegNum"/></cat_ru:PrDocumentNumber>
																		</xsl:if>
																		<xsl:if test="string-length(../../RegDate)>0">
																			<cat_ru:PrDocumentDate>
																				<xsl:call-template name="TranslateDate">
																					<xsl:with-param name="Dat" select="../../RegDate"/>
																				</xsl:call-template>
																			</cat_ru:PrDocumentDate>
																		</xsl:if>
																		<PresentedDocumentModeCode>04021</PresentedDocumentModeCode>
																	</CUPresentedDocuments>	
																</xsl:if>
																<xsl:if test="count(//PACKINGLISTGOODS_ITEM[position()=$Pos and (string-length(../../RegNum)>0 or string-length(../../RegDate)>0)])>0">
																	<CUPresentedDocuments>
																		<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/DocName)>0">
																			<cat_ru:PrDocumentName><xsl:value-of select="//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/DocName"/></cat_ru:PrDocumentName>
																		</xsl:if>	
																		<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegNum)>0">
																			<cat_ru:PrDocumentNumber><xsl:value-of select="//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegNum"/></cat_ru:PrDocumentNumber>
																		</xsl:if>
																		<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegDate)>0">
																			<cat_ru:PrDocumentDate>
																				<xsl:call-template name="TranslateDate">
																					<xsl:with-param name="Dat" select="//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegDate"/>
																				</xsl:call-template>
																			</cat_ru:PrDocumentDate>
																		</xsl:if>
																		<PresentedDocumentModeCode>04131</PresentedDocumentModeCode>
																	</CUPresentedDocuments>	
																</xsl:if>
															</TIRGoods>
														</xsl:if>
													</xsl:for-each>	
												</xsl:for-each>
											</xsl:when>
											<xsl:when test="$CmrCou=1">
												<xsl:for-each select="//INVOICEGOODS_ITEM">
													<xsl:variable name="Pos" select="position()"/>
													<TIRGoods>
														<GoodsNumeric><xsl:value-of select="$Pos"/></GoodsNumeric>
														<GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></GoodsTNVEDCode>
														<xsl:call-template name="GoodsDescr">
															<xsl:with-param name="DesGoods">
																<xsl:call-template name="GoodDescrAvto"/>
															</xsl:with-param>
															<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
															<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.10.0'"/>
															<xsl:with-param name="NameMes" select="true"/>
															<xsl:with-param name="LenDes" select="250"/>
														</xsl:call-template>
														<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
															<SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></SupplementaryGoodsQuantity>
														</xsl:if>		
														<GrossWeightQuantity>
															<xsl:choose>
																<xsl:when test="string-length(GrossWeightQuantity)=0">0</xsl:when>
																<xsl:otherwise>
																	<xsl:value-of select="GrossWeightQuantity"/>
																</xsl:otherwise>
															</xsl:choose>
														</GrossWeightQuantity>
														<xsl:if test="string-length(NetWeightQuantity)>0">
															<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
														</xsl:if>
														<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
															<SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></SupplementaryMeasureUnitCode>
														</xsl:if>
														<xsl:if test="string-length(TotalCost)>0">
															<InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></InvoicedCost>
														</xsl:if>
														<xsl:if test="string-length(../../CurrencyCode)>0">
															<InvoicedCostCurrencyCode><xsl:value-of select="../../CurrencyCode"/></InvoicedCostCurrencyCode>
														</xsl:if>
														<xsl:if test="string-length($Lang)>0">
															<Language><xsl:value-of select="$Lang"/></Language>
														</xsl:if>
														<PlacesInfo>
															<xsl:if test="string-length(PlacesCode)>0">
																<catTrans_cu:PackingCode><xsl:value-of select="PlacesCode"/></catTrans_cu:PackingCode>
															</xsl:if>
															<catTrans_cu:PakingQuantity>
																<xsl:choose>
																	<xsl:when test="string-length(PlacesQuantity)=0">0</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of select="PlacesQuantity"/>
																	</xsl:otherwise>
																</xsl:choose>
															</catTrans_cu:PakingQuantity>	
															<xsl:if test="string-length(PlacesDescription)>0">
																<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
															</xsl:if>
															<xsl:if test="string-length(PakagePartQuantity)>0">
																<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
															</xsl:if>
														</PlacesInfo>
														<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
															<xsl:if test="position()=$Pos">
																<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																	<PackingInfo>
																		<xsl:if test="string-length(PackingCode)>0">
																			<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
																		</xsl:if>
																		<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
																		<xsl:if test="string-length(PackingDescription)>0">
																			<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
																		</xsl:if>
																		<xsl:if test="string-length(PakagePartQuantity)>0">
																			<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
																		</xsl:if>
																	</PackingInfo>
																</xsl:for-each>
															</xsl:if>	
														</xsl:for-each>
														<xsl:if test="string-length($RNum)>0 or string-length($RDat)>0">
															<CUPresentedDocuments>
																<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
																<xsl:if test="string-length($RNum)>0">
																	<cat_ru:PrDocumentNumber><xsl:value-of select="$RNum"/></cat_ru:PrDocumentNumber>
																</xsl:if>
																<xsl:if test="string-length($RDat)>0">
																	<cat_ru:PrDocumentDate><xsl:value-of select="$RDat"/></cat_ru:PrDocumentDate>
																</xsl:if>
																<PresentedDocumentModeCode>02015</PresentedDocumentModeCode>
															</CUPresentedDocuments>	
														</xsl:if>
														<xsl:if test="string-length(../../RegNum)>0 or string-length(../../RegDate)>0">
															<CUPresentedDocuments>
																<xsl:if test="string-length(../../InvoiceName)>0">
																	<cat_ru:PrDocumentName><xsl:value-of select="../../InvoiceName"/></cat_ru:PrDocumentName>
																</xsl:if>	
																<xsl:if test="string-length(../../RegNum)>0">
																	<cat_ru:PrDocumentNumber><xsl:value-of select="../../RegNum"/></cat_ru:PrDocumentNumber>
																</xsl:if>
																<xsl:if test="string-length(../../RegDate)>0">
																	<cat_ru:PrDocumentDate>
																		<xsl:call-template name="TranslateDate">
																			<xsl:with-param name="Dat" select="../../RegDate"/>
																		</xsl:call-template>
																	</cat_ru:PrDocumentDate>
																</xsl:if>
																<PresentedDocumentModeCode>04021</PresentedDocumentModeCode>
															</CUPresentedDocuments>	
														</xsl:if>
														<xsl:if test="count(//PACKINGLISTGOODS_ITEM[position()=$Pos and (string-length(../../RegNum)>0 or string-length(../../RegDate)>0)])>0">
															<CUPresentedDocuments>
																<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/DocName)>0">
																	<cat_ru:PrDocumentName><xsl:value-of select="//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/DocName"/></cat_ru:PrDocumentName>
																</xsl:if>	
																<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegNum)>0">
																	<cat_ru:PrDocumentNumber><xsl:value-of select="//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegNum"/></cat_ru:PrDocumentNumber>
																</xsl:if>
																<xsl:if test="string-length(//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegDate)>0">
																	<cat_ru:PrDocumentDate>
																		<xsl:call-template name="TranslateDate">
																			<xsl:with-param name="Dat" select="//PACKINGLIST/PACKINGLIST_ITEM[PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$Pos]]/RegDate"/>
																		</xsl:call-template>
																	</cat_ru:PrDocumentDate>
																</xsl:if>
																<PresentedDocumentModeCode>04131</PresentedDocumentModeCode>
															</CUPresentedDocuments>	
														</xsl:if>
													</TIRGoods>
												</xsl:for-each>
											</xsl:when>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>	
							</TIRShipment>
						</xsl:for-each>
						<xsl:for-each select="//APPENDIX/APPENDIX_ITEM[string-length(DepatureOfficeIdentifier)>0]">
							<BorderCustoms>
								<cat_ru:Code><xsl:value-of select="DepatureOfficeIdentifier"/></cat_ru:Code>
								<xsl:variable name="CodTo" select="DepatureOfficeIdentifier"/>
								<xsl:choose>
									<xsl:when test="string-length(DepatureOfficeName)>0">
										<cat_ru:OfficeName><xsl:value-of select="DepatureOfficeName"/></cat_ru:OfficeName>
									</xsl:when>
									<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name)>0">
										<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name"/></cat_ru:OfficeName>
									</xsl:when>
								</xsl:choose>
								<xsl:call-template name="CustomsCountryCode">
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="CodTo" select="$CodTo"/>
								</xsl:call-template>
							</BorderCustoms>
						</xsl:for-each>
					</CUTIR_Carnet>
				</DocBody>
			</ContainerDoc>
		</xsl:if>	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<TIR_Carnet xmlns="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003104E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(TIRHolder)>0">
							<TIRHolderID><xsl:value-of select="TIRHolder"/></TIRHolderID>
						</xsl:if>
						<xsl:variable name="CountGoodsTir">
							<xsl:value-of select="count(//CMR/CMR_ITEM[GroupGoods=1]/CMRGoods/CMRGOODS_ITEM)+count(//CMR/CMR_ITEM[GroupGoods=0 or string-length(GroupGoods)=0]/CMRGoods/CMRGOODS_ITEM)"/>
						</xsl:variable>
						<GoodsQuantity>
							<xsl:choose>
								<xsl:when test="count(//CMR/CMR_ITEM[GroupGoods=1])>0">
									<xsl:choose>
										<xsl:when test="$CountGoodsTir=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$CountGoodsTir"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="count(//INVOICEGoods/INVOICEGOODS_ITEM)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="count(//INVOICEGoods/INVOICEGOODS_ITEM)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
						</GoodsQuantity>				
						<xsl:if test="count(//INVOICEGoods/INVOICEGOODS_ITEM)>0">
							<ShipSpecifGoodsQuantity><xsl:value-of select="count(//INVOICEGoods/INVOICEGOODS_ITEM)"/></ShipSpecifGoodsQuantity>
						</xsl:if>
						<xsl:if test="string-length(DispatchCountryCode)>0">
							<DispatchCountryCode><xsl:value-of select="DispatchCountryCode"/></DispatchCountryCode>
						</xsl:if>
						<xsl:if test="string-length(DestinationCountryCode)>0">
							<DestinationCountryCode><xsl:value-of select="DestinationCountryCode"/></DestinationCountryCode>
						</xsl:if>
						<xsl:if test="count(//INVOICE_ITEM[generate-id(.)=generate-id(key('CurrC',./CurrencyCode))])=1 and sum(//INVOICEGoods/INVOICEGOODS_ITEM/TotalCost)>0">
							<TotalInvoicedCost><xsl:value-of select="round(sum(//INVOICEGoods/INVOICEGOODS_ITEM/TotalCost) * 100) div 100"/></TotalInvoicedCost>
						</xsl:if>
						<xsl:variable name="CodDis" select="DispatchCountryCode"/>
						<xsl:variable name="CodDes" select="DestinationCountryCode"/>
						<DestinationCountryName>
							<xsl:choose>
								<xsl:when test="string-length(DestinationCountryName)=0 and string-length(DestinationCountryCode)>0">
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDes]/Name"/>
								</xsl:when>
								<xsl:when test="string-length(DestinationCountryName)>0">
									<xsl:value-of select="DestinationCountryName"/>
								</xsl:when>
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>
						</DestinationCountryName>
						<DispatchCountryName>
							<xsl:choose>
								<xsl:when test="string-length(DispatchCountryName)=0 and string-length(DispatchCountryCode)>0">
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDis]/Name"/>
								</xsl:when>
								<xsl:when test="string-length(DispatchCountryName)>0">	
									<xsl:value-of select="DispatchCountryName"/>
								</xsl:when>
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>
						</DispatchCountryName>
						<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDis]/ABC3)>0">
							<DispatchCountryA3Code><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDis]/ABC3"/></DispatchCountryA3Code>
						</xsl:if>
						<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDes]/ABC3)>0">
							<DestinationCountryA3Code><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDes]/ABC3"/></DestinationCountryA3Code>
						</xsl:if>
						<TIRIdentifier>
							<TIRID><xsl:value-of select="TIRID"/></TIRID>
							<TIRSeries><xsl:value-of select="TIRSeries"/></TIRSeries>
							<xsl:if test="string-length(TIRWhitePageNumber)>0">
								<TIRWhitePageNumber><xsl:value-of select="format-number(TIRWhitePageNumber,'00')"/></TIRWhitePageNumber>
							</xsl:if>
						</TIRIdentifier>
						<Carrier>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="3"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0'"/>
							</xsl:call-template>
						</Carrier>
						<TransportMeans>
							<catTrans_ru:TMNumber><xsl:value-of select="TMNumber"/></catTrans_ru:TMNumber>
							<catTrans_ru:VINID><xsl:value-of select="VINID"/></catTrans_ru:VINID>
							<xsl:if test="string-length(TransportModeCode)>0">
								<catTrans_ru:ModeCode><xsl:value-of select="TransportModeCode"/></catTrans_ru:ModeCode>
							</xsl:if>
							<xsl:if test="string-length(TransportMeansNationalityCode)>0">
								<xsl:variable name="CodTr" select="TransportMeansNationalityCode"/>
								<catTrans_ru:NationalityCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodTr]/Code"/></catTrans_ru:NationalityCode>
							</xsl:if>
							<xsl:if test="string-length(TrailerNumber)>0">
								<TrailerNumber><xsl:value-of select="TrailerNumber"/></TrailerNumber>
							</xsl:if>
							<xsl:if test="string-length(TrailerNumber2)>0">
								<TrailerNumber2><xsl:value-of select="TrailerNumber2"/></TrailerNumber2>
							</xsl:if>
						</TransportMeans>
						<xsl:choose>
							<xsl:when test="$CmrCou>1">
								<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM">
									<xsl:if test="string-length(ModeCode)>0">
										<PrecedingDocument>
											<xsl:if test="string-length(PrDocumentName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="PrDocumentName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(PrDocumentNumber)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="PrDocumentNumber"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(PrDocumentDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="PrDocumentDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<xsl:if test="string-length(ModeCode)>0">
												<DocumentKind><xsl:value-of select="substring(ModeCode,string-length(ModeCode)-1,2)"/></DocumentKind>
											</xsl:if>
										</PrecedingDocument>
									</xsl:if>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="$CmrCou=1">
								<PrecedingDocument>
									<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
									<xsl:if test="string-length(//CMR/CMR_ITEM/RegNum)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="//CMR/CMR_ITEM/RegNum"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(//CMR/CMR_ITEM/RegDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="//CMR/CMR_ITEM/RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<DocumentKind>15</DocumentKind>
								</PrecedingDocument>
								<xsl:for-each select="//INVOICE_ITEM">
									<PrecedingDocument>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(RegNum)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<DocumentKind>21</DocumentKind>
									</PrecedingDocument>
								</xsl:for-each>
								<xsl:for-each select="//PACKINGLIST_ITEM">
									<PrecedingDocument>
										<xsl:if test="string-length(DocName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(RegNum)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<DocumentKind>26</DocumentKind>
									</PrecedingDocument>
								</xsl:for-each>
							</xsl:when>
						</xsl:choose>
						<xsl:for-each select="//CMR/CMR_ITEM">
							<TIR_Shipment>
								<xsl:variable name="RNum" select="RegNum"/>
								<xsl:variable name="RDat">
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:variable name="NumCmrTir" select="NumDate"/>
								<xsl:variable name="RDate" select="RegDate"/>
								<xsl:variable name="Lang" select="LanguageCode"/>
								<xsl:if test="count(CMRcont/CMRCONT_ITEM[string-length(ContainerID)>0])>0">
									<xsl:for-each select="CMRcont/CMRCONT_ITEM">
										<xsl:if test="string-length(ContainerID)>0">
											<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
										</xsl:if>
									</xsl:for-each>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="$CmrCou>1">
										<xsl:if test="sum(//CMR_ITEM[RegNum=$RNum and substring(RegDate,1,10)=$RDat]/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
											<TotalPlacesQuantity>
												<xsl:value-of select="round(sum(//CMR_ITEM[RegNum=$RNum and substring(RegDate,1,10)=$RDat]/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
											</TotalPlacesQuantity>
										</xsl:if>
									</xsl:when>
									<xsl:when test="$CmrCou=1">
										<xsl:if test="sum(//CMR_ITEM/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
											<TotalPlacesQuantity>
												<xsl:value-of select="round(sum(//CMR_ITEM/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
											</TotalPlacesQuantity>
										</xsl:if>
									</xsl:when>
								</xsl:choose>
								<DepartureCustomsOffice>
									<xsl:choose>
										<xsl:when test="string-length(DepartureCustomsOffice)>0">
											<xsl:value-of select="DepartureCustomsOffice"/>
										</xsl:when>
										<xsl:when test="string-length(//APPENDIX/APPENDIX_ITEM/DepatureOfficeIdentifier)>0">
											<xsl:value-of select="//APPENDIX/APPENDIX_ITEM/DepatureOfficeIdentifier"/>
										</xsl:when>										
										<xsl:otherwise>
											<xsl:text>00000000</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</DepartureCustomsOffice>
								<xsl:if test="string-length(Consignor_INN)>0 or string-length(Consignor_Name)>0 or string-length(Consignor_CountryCode)>0 or string-length(Consignor_CountryName)>0 or string-length(Consignor_City)>0 or string-length(Consignor_StreetHouse)>0">
									<Consignor>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignor_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="3"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0'"/>
										</xsl:call-template>
									</Consignor>
								</xsl:if>
								<xsl:if test="string-length(Consignee_INN)>0 or string-length(Consignee_Name)>0 or string-length(Consignee_CountryCode)>0 or string-length(Consignee_CountryName)>0 or string-length(Consignee_City)>0 or string-length(Consignee_StreetHouse)>0">
									<Consignee>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="3"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0'"/>
										</xsl:call-template>
									</Consignee>
								</xsl:if>
								<xsl:if test="string-length(DestinationOfficeIdentifier)>0 or string-length(//TIR/TIR_ITEM/DestinationOfficeIdentifier)>0 or string-length(DestinationOfficeCountryCode)>0 or string-length(DestinationOfficeCountryName)>0 or  string-length(DestinationOfficeCity)>0 or string-length(DestinationOfficeStreetHouse)>0 or string-length(DestinantionPlaceName)>0 or (string-length(DeliveryPlace_City)>0 and string-length(DeliveryPlace_StreetHouse)>0) or string-length(WarehouseLicenceID)>0 or string-length(WarehouseLicenceDate)>0">
									<Destination>
										<xsl:choose>
											<xsl:when test="string-length(DestinationOfficeIdentifier)>0">
												<catTrans_cu:DestinationCustomsCode>
													<xsl:choose>
														<xsl:when test="substring(DestinationOfficeIdentifier,1,2)='10'">
															<xsl:value-of select="concat(substring(DestinationOfficeIdentifier,1,5),'000')"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="DestinationOfficeIdentifier"/>
														</xsl:otherwise>
													</xsl:choose>
												</catTrans_cu:DestinationCustomsCode>
												<catTrans_cu:DeliveryCustomsPostCode><xsl:value-of select="DestinationOfficeIdentifier"/></catTrans_cu:DeliveryCustomsPostCode>
											</xsl:when>
											<xsl:when test="string-length(//TIR/TIR_ITEM/DestinationOfficeIdentifier)>0">
												<catTrans_cu:DeliveryCustomsPostCode><xsl:value-of select="//TIR/TIR_ITEM/DestinationOfficeIdentifier"/></catTrans_cu:DeliveryCustomsPostCode>
											</xsl:when>
										</xsl:choose>
										<xsl:call-template name="Address">
											<xsl:with-param name="Pref" select="'DestinationOffice'"/>
											<xsl:with-param name="NodeName" select="'catTrans_cu:Address'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0'"/>
										</xsl:call-template>
										<xsl:if test="string-length(DestinantionPlaceName)>0">
											<catTrans_cu:DestinationPlaceName><xsl:value-of select="DestinantionPlaceName"/></catTrans_cu:DestinationPlaceName>
										</xsl:if>
									</Destination>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="GroupGoods=1">
										<xsl:choose>
											<xsl:when test="$CmrCou>1">
												<xsl:call-template name="TirGroupGoods">
													<xsl:with-param name="CMRNum" select="$NumCmrTir"/>
													<xsl:with-param name="RNum" select="$RNum"/>
													<xsl:with-param name="Lang" select="$Lang"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:call-template name="TirGroupGoods">
													<xsl:with-param name="RNum" select="$RNum"/>
													<xsl:with-param name="Lang" select="$Lang"/>
												</xsl:call-template>
											</xsl:otherwise>
										</xsl:choose>											
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="$CmrCou>1">
												<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[ModeCode=04021 and string-length(NumDate)>0]">
													<xsl:variable name="InvNum" select="NumDate"/>
													<xsl:for-each select="//INVOICEGOODS_ITEM">
														<xsl:variable name="Pos" select="position()"/>
														<xsl:if test="../../NumDate=$InvNum">
															<Goods>
																<xsl:call-template name="GoodsDescr">
																	<xsl:with-param name="DesGoods">
																		<xsl:call-template name="GoodDescrAvto"/>
																	</xsl:with-param>
																	<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
																	<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
																	<xsl:with-param name="NameMes" select="false"/>
																	<xsl:with-param name="LenDes" select="250"/>
																</xsl:call-template>
																<catTrans_ru:GoodsNumeric><xsl:value-of select="$Pos"/></catTrans_ru:GoodsNumeric>
																<catTrans_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catTrans_ru:GoodsTNVEDCode>
																<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
																	<catTrans_ru:SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></catTrans_ru:SupplementaryGoodsQuantity>
																</xsl:if>
																<xsl:choose>
																	<xsl:when test="string-length(GrossWeightQuantity)=0">
																		<catTrans_ru:GrossWeightQuantity>0</catTrans_ru:GrossWeightQuantity>
																	</xsl:when>
																	<xsl:otherwise>
																		<catTrans_ru:GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></catTrans_ru:GrossWeightQuantity>
																	</xsl:otherwise>
																</xsl:choose>
																<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
																	<catTrans_ru:SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></catTrans_ru:SupplementaryMeasureUnitCode>
																</xsl:if>
																<xsl:if test="string-length(TotalCost)>0">
																	<catTrans_ru:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catTrans_ru:InvoicedCost>
																</xsl:if>
																<xsl:if test="string-length(OriginCountryCode)>0">
																	<xsl:variable name="OrgCtr" select="OriginCountryCode"/>
																	<catTrans_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrgCtr]/Code"/></catTrans_ru:OriginCountryCode>
																</xsl:if>
																<catTrans_ru:DocumentKind>15</catTrans_ru:DocumentKind>
																<catTrans_ru:PrecedingDocumentNumber><xsl:value-of select="../../RegNum"/></catTrans_ru:PrecedingDocumentNumber>
																<catTrans_ru:PlacesInfo>
																	<xsl:if test="string-length(PlacesCode)>0">
																		<catTrans_cu:PackingCode><xsl:value-of select="PlacesCode"/></catTrans_cu:PackingCode>
																	</xsl:if>
																	<xsl:choose>
																		<xsl:when test="string-length(PlacesQuantity)=0">
																			<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
																		</xsl:when>
																		<xsl:otherwise>
																			<catTrans_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catTrans_cu:PakingQuantity>
																		</xsl:otherwise>
																	</xsl:choose>
																	<xsl:if test="string-length(PlacesDescription)>0">
																		<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
																	</xsl:if>
																</catTrans_ru:PlacesInfo>
																<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
																	<xsl:if test="position()=$Pos">
																		<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																			<catTrans_ru:PackingInfo>
																				<xsl:if test="string-length(PackingCode)>0">
																					<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
																				</xsl:if>
																				<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
																				<xsl:if test="string-length(PackingDescription)>0">
																					<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
																				</xsl:if>
																				<xsl:if test="string-length(PakagePartQuantity)>0">
																					<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
																				</xsl:if>
																			</catTrans_ru:PackingInfo>
																		</xsl:for-each>
																	</xsl:if>
																</xsl:for-each>
																<xsl:if test="string-length($RNum)>0">
																	<TTNNumber><xsl:value-of select="$RNum"/></TTNNumber>
																</xsl:if>
															</Goods>
														</xsl:if>
													</xsl:for-each>	
												</xsl:for-each>
											</xsl:when>
											<xsl:when test="$CmrCou=1">
												<xsl:for-each select="//INVOICEGOODS_ITEM">
													<xsl:variable name="Pos" select="position()"/>
													<Goods>
														<xsl:call-template name="GoodsDescr">
															<xsl:with-param name="DesGoods">
																<xsl:call-template name="GoodDescrAvto"/>
															</xsl:with-param>
															<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
															<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
															<xsl:with-param name="NameMes" select="false"/>
															<xsl:with-param name="LenDes" select="250"/>
														</xsl:call-template>
														<catTrans_ru:GoodsNumeric><xsl:value-of select="$Pos"/></catTrans_ru:GoodsNumeric>
														<catTrans_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catTrans_ru:GoodsTNVEDCode>
														<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
															<catTrans_ru:SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></catTrans_ru:SupplementaryGoodsQuantity>
														</xsl:if>
														<xsl:choose>
															<xsl:when test="string-length(GrossWeightQuantity)=0">
																<catTrans_ru:GrossWeightQuantity>0</catTrans_ru:GrossWeightQuantity>
															</xsl:when>
															<xsl:otherwise>
																<catTrans_ru:GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></catTrans_ru:GrossWeightQuantity>
															</xsl:otherwise>
														</xsl:choose>
														<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 ">
															<catTrans_ru:SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></catTrans_ru:SupplementaryMeasureUnitCode>
														</xsl:if>
														<xsl:if test="string-length(TotalCost)>0">
															<catTrans_ru:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catTrans_ru:InvoicedCost>
														</xsl:if>
														<xsl:if test="string-length(OriginCountryCode)>0">
															<xsl:variable name="OrgCtr" select="OriginCountryCode"/>
															<catTrans_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrgCtr]/Code"/></catTrans_ru:OriginCountryCode>
														</xsl:if>
														<catTrans_ru:DocumentKind>15</catTrans_ru:DocumentKind>
														<catTrans_ru:PrecedingDocumentNumber><xsl:value-of select="../../RegNum"/></catTrans_ru:PrecedingDocumentNumber>
														<catTrans_ru:PlacesInfo>
															<xsl:if test="string-length(PlacesCode)>0">
																<catTrans_cu:PackingCode><xsl:value-of select="PlacesCode"/></catTrans_cu:PackingCode>
															</xsl:if>
															<xsl:choose>
																<xsl:when test="string-length(PlacesQuantity)=0">
																	<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
																</xsl:when>
																<xsl:otherwise>
																	<catTrans_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catTrans_cu:PakingQuantity>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:if test="string-length(PlacesDescription)>0">
																<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
															</xsl:if>
														</catTrans_ru:PlacesInfo>
														<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
															<xsl:if test="position()=$Pos">
																<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																	<catTrans_ru:PackingInfo>
																		<xsl:if test="string-length(PackingCode)>0">
																			<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
																		</xsl:if>
																		<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
																		<xsl:if test="string-length(PackingDescription)>0">
																			<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
																		</xsl:if>
																		<xsl:if test="string-length(PakagePartQuantity)>0">
																			<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
																		</xsl:if>
																	</catTrans_ru:PackingInfo>
																</xsl:for-each>
															</xsl:if>
														</xsl:for-each>
														<xsl:if test="string-length($RNum)>0">
															<TTNNumber><xsl:value-of select="$RNum"/></TTNNumber>
														</xsl:if>
													</Goods>
												</xsl:for-each>
											</xsl:when>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</TIR_Shipment>
						</xsl:for-each>

					</TIR_Carnet>
				</DocBody>
			</ContainerDoc>
			
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="TIR_CAR">
		<xsl:param name="CmrCou"/>	
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<TIR_Carnet xmlns="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonLeafTypesCust:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0"   xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003104E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(TIRHolder)>0">
							<TIRHolderID><xsl:value-of select="TIRHolder"/></TIRHolderID>
						</xsl:if>
						<xsl:variable name="CountGoodsTir">
							<xsl:value-of select="count(//CMR/CMR_ITEM[GroupGoods=1]/CMRGoods/CMRGOODS_ITEM)+count(//CMR/CMR_ITEM[GroupGoods=0 or string-length(GroupGoods)=0]/CMRGoods/CMRGOODS_ITEM)"/>
						</xsl:variable>
						<GoodsQuantity>
							<xsl:choose>
								<xsl:when test="count(//CMR/CMR_ITEM[GroupGoods=1])>0">
									<xsl:choose>
										<xsl:when test="$CountGoodsTir=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$CountGoodsTir"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="count(//INVOICEGoods/INVOICEGOODS_ITEM)=0">0</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="count(//INVOICEGoods/INVOICEGOODS_ITEM)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
						</GoodsQuantity>				
						<xsl:if test="count(//INVOICEGoods/INVOICEGOODS_ITEM)>0">
							<ShipSpecifGoodsQuantity><xsl:value-of select="count(//INVOICEGoods/INVOICEGOODS_ITEM)"/></ShipSpecifGoodsQuantity>
						</xsl:if>
						<xsl:if test="string-length(DispatchCountryCode)>0">
							<DispatchCountryCode><xsl:value-of select="DispatchCountryCode"/></DispatchCountryCode>
						</xsl:if>
						<xsl:if test="string-length(DestinationCountryCode)>0">
							<DestinationCountryCode><xsl:value-of select="DestinationCountryCode"/></DestinationCountryCode>
						</xsl:if>
						<xsl:if test="count(//INVOICE_ITEM[generate-id(.)=generate-id(key('CurrC',./CurrencyCode))])=1 and sum(//INVOICEGoods/INVOICEGOODS_ITEM/TotalCost)>0">
							<TotalInvoicedCost><xsl:value-of select="round(sum(//INVOICEGoods/INVOICEGOODS_ITEM/TotalCost) * 100) div 100"/></TotalInvoicedCost>
						</xsl:if>
						<xsl:variable name="CodDis" select="DispatchCountryCode"/>
						<xsl:variable name="CodDes" select="DestinationCountryCode"/>
						<DestinationCountryName>
							<xsl:choose>
								<xsl:when test="string-length(DestinationCountryName)=0 and string-length(DestinationCountryCode)>0">
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDes]/Name"/>
								</xsl:when>
								<xsl:when test="string-length(DestinationCountryName)>0">
									<xsl:value-of select="DestinationCountryName"/>
								</xsl:when>
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>
						</DestinationCountryName>
						<DispatchCountryName>
							<xsl:choose>
								<xsl:when test="string-length(DispatchCountryName)=0 and string-length(DispatchCountryCode)>0">
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDis]/Name"/>
								</xsl:when>
								<xsl:when test="string-length(DispatchCountryName)>0">	
									<xsl:value-of select="DispatchCountryName"/>
								</xsl:when>
								<xsl:otherwise>NNN</xsl:otherwise>
							</xsl:choose>
						</DispatchCountryName>
						<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDis]/ABC3)>0">
							<DispatchCountryA3Code><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDis]/ABC3"/></DispatchCountryA3Code>
						</xsl:if>
						<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDes]/ABC3)>0">
							<DestinationCountryA3Code><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodDes]/ABC3"/></DestinationCountryA3Code>
						</xsl:if>
						<TIRIdentifier>
							<TIRID><xsl:value-of select="TIRID"/></TIRID>
							<TIRSeries><xsl:value-of select="TIRSeries"/></TIRSeries>
							<xsl:if test="string-length(TIRWhitePageNumber)>0">
								<TIRWhitePageNumber><xsl:value-of select="format-number(TIRWhitePageNumber,'00')"/></TIRWhitePageNumber>
							</xsl:if>
						</TIRIdentifier>
						<Carrier>
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="0"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="NodeName" select="'Address'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0'"/>
							</xsl:call-template>
						</Carrier>
						<TransportMeans>
							<catTrans_ru:TMNumber><xsl:value-of select="TMNumber"/></catTrans_ru:TMNumber>
							<catTrans_ru:VINID><xsl:value-of select="VINID"/></catTrans_ru:VINID>
							<xsl:if test="string-length(TransportModeCode)>0">
								<catTrans_ru:ModeCode><xsl:value-of select="TransportModeCode"/></catTrans_ru:ModeCode>
							</xsl:if>
							<xsl:if test="string-length(TransportMeansNationalityCode)>0">
								<xsl:variable name="CodTr" select="TransportMeansNationalityCode"/>
								<catTrans_ru:NationalityCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodTr]/Code"/></catTrans_ru:NationalityCode>
							</xsl:if>
							<xsl:if test="string-length(TrailerNumber)>0">
								<TrailerNumber><xsl:value-of select="TrailerNumber"/></TrailerNumber>
							</xsl:if>
							<xsl:if test="string-length(TrailerNumber2)>0">
								<TrailerNumber2><xsl:value-of select="TrailerNumber2"/></TrailerNumber2>
							</xsl:if>
						</TransportMeans>
						<xsl:choose>
							<xsl:when test="$CmrCou>1">
								<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM">
									<xsl:if test="string-length(ModeCode)>0">
										<PrecedingDocument>
											<xsl:if test="string-length(PrDocumentName)>0">
												<cat_ru:PrDocumentName><xsl:value-of select="PrDocumentName"/></cat_ru:PrDocumentName>
											</xsl:if>
											<xsl:if test="string-length(PrDocumentNumber)>0">
												<cat_ru:PrDocumentNumber><xsl:value-of select="PrDocumentNumber"/></cat_ru:PrDocumentNumber>
											</xsl:if>
											<xsl:if test="string-length(PrDocumentDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat" select="PrDocumentDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<xsl:if test="string-length(ModeCode)>0">
												<DocumentKind><xsl:value-of select="substring(ModeCode,string-length(ModeCode)-1,2)"/></DocumentKind>
											</xsl:if>
										</PrecedingDocument>
									</xsl:if>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="$CmrCou=1">
								<PrecedingDocument>
									<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
									<xsl:if test="string-length(//CMR/CMR_ITEM/RegNum)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="//CMR/CMR_ITEM/RegNum"/></cat_ru:PrDocumentNumber>
									</xsl:if>
									<xsl:if test="string-length(//CMR/CMR_ITEM/RegDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="//CMR/CMR_ITEM/RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<DocumentKind>15</DocumentKind>
								</PrecedingDocument>
								<xsl:for-each select="//INVOICE_ITEM">
									<PrecedingDocument>
										<xsl:if test="string-length(InvoiceName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="InvoiceName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(RegNum)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<DocumentKind>21</DocumentKind>
									</PrecedingDocument>
								</xsl:for-each>
								<xsl:for-each select="//PACKINGLIST_ITEM">
									<PrecedingDocument>
										<xsl:if test="string-length(DocName)>0">
											<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
										</xsl:if>
										<xsl:if test="string-length(RegNum)>0">
											<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										</xsl:if>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>
										<DocumentKind>00</DocumentKind>
									</PrecedingDocument>
								</xsl:for-each>
							</xsl:when>
						</xsl:choose>
						<xsl:for-each select="//CMR/CMR_ITEM">
							<TIR_Shipment>
								<xsl:variable name="RNum" select="RegNum"/>
								<xsl:variable name="RDat">
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
								</xsl:variable>
								<xsl:variable name="NumCmrTir" select="NumDate"/>
								<xsl:variable name="RDate" select="RegDate"/>
								<xsl:variable name="Lang" select="LanguageCode"/>
								<xsl:if test="count(CMRcont/CMRCONT_ITEM[string-length(ContainerID)>0])>0">
									<xsl:for-each select="CMRcont/CMRCONT_ITEM">
										<xsl:if test="string-length(ContainerID)>0">
											<ContainerID><xsl:value-of select="ContainerID"/></ContainerID>
										</xsl:if>
									</xsl:for-each>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="$CmrCou>1">
										<xsl:if test="sum(//CMR_ITEM[RegNum=$RNum and substring(RegDate,1,10)=$RDat]/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
											<TotalPlacesQuantity>
												<xsl:value-of select="round(sum(//CMR_ITEM[RegNum=$RNum and substring(RegDate,1,10)=$RDat]/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
											</TotalPlacesQuantity>
										</xsl:if>
									</xsl:when>
									<xsl:when test="$CmrCou=1">
										<xsl:if test="sum(//CMR_ITEM/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
											<TotalPlacesQuantity>
												<xsl:value-of select="round(sum(//CMR_ITEM/CMRGoods/CMRGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity) * 100) div 100"/>
											</TotalPlacesQuantity>
										</xsl:if>
									</xsl:when>
								</xsl:choose>
								<DepartureCustomsOffice>
									<xsl:choose>
										<xsl:when test="string-length(DepartureCustomsOffice)>0">
											<xsl:value-of select="DepartureCustomsOffice"/>
										</xsl:when>
										<xsl:when test="string-length(//APPENDIX/APPENDIX_ITEM/DepatureOfficeIdentifier)>0">
											<xsl:value-of select="//APPENDIX/APPENDIX_ITEM/DepatureOfficeIdentifier"/>
										</xsl:when>										
										<xsl:otherwise>
											<xsl:text>00000000</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</DepartureCustomsOffice>
								<xsl:if test="string-length(Consignor_INN)>0 or string-length(Consignor_Name)>0 or string-length(Consignor_CountryCode)>0 or string-length(Consignor_CountryName)>0 or string-length(Consignor_City)>0 or string-length(Consignor_StreetHouse)>0">
									<Consignor>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignor_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="3"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0'"/>
										</xsl:call-template>
									</Consignor>
								</xsl:if>
								<xsl:if test="string-length(Consignee_INN)>0 or string-length(Consignee_Name)>0 or string-length(Consignee_CountryCode)>0 or string-length(Consignee_CountryName)>0 or string-length(Consignee_City)>0 or string-length(Consignee_StreetHouse)>0">
									<Consignee>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="3"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:5.10.0'"/>
										</xsl:call-template>
									</Consignee>
								</xsl:if>
								<xsl:if test="string-length(DestinationOfficeIdentifier)>0 or string-length(//TIR/TIR_ITEM/DestinationOfficeIdentifier)>0 or string-length(DestinationOfficeCountryCode)>0 or string-length(DestinationOfficeCountryName)>0 or  string-length(DestinationOfficeCity)>0 or string-length(DestinationOfficeStreetHouse)>0 or string-length(DestinantionPlaceName)>0 or (string-length(DeliveryPlace_City)>0 and string-length(DeliveryPlace_StreetHouse)>0) or string-length(WarehouseLicenceID)>0 or string-length(WarehouseLicenceDate)>0">
									<Destination>
										<xsl:choose>
											<xsl:when test="string-length(DestinationOfficeIdentifier)>0">
												<catTrans_cu:DestinationCustomsCode>
													<xsl:choose>
														<xsl:when test="substring(DestinationOfficeIdentifier,1,2)='10'">
															<xsl:value-of select="concat(substring(DestinationOfficeIdentifier,1,5),'000')"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="DestinationOfficeIdentifier"/>
														</xsl:otherwise>
													</xsl:choose>
												</catTrans_cu:DestinationCustomsCode>
												<catTrans_cu:DeliveryCustomsPostCode><xsl:value-of select="DestinationOfficeIdentifier"/></catTrans_cu:DeliveryCustomsPostCode>
											</xsl:when>
											<xsl:when test="string-length(//TIR/TIR_ITEM/DestinationOfficeIdentifier)>0">
												<catTrans_cu:DeliveryCustomsPostCode><xsl:value-of select="//TIR/TIR_ITEM/DestinationOfficeIdentifier"/></catTrans_cu:DeliveryCustomsPostCode>
											</xsl:when>
										</xsl:choose>
										<xsl:if test="string-length(DestinationOfficeCountryCode)>0 or string-length(DestinationOfficeCountryName)>0 or  string-length(DestinationOfficeCity)>0 or string-length(DestinationOfficeStreetHouse)>0">
											<catTrans_cu:Address>
												<xsl:if test="string-length(DestinationOfficeCountryCode)>0">
													<cat_ru:CountryCode><xsl:value-of select="DestinationOfficeCountryCode"/></cat_ru:CountryCode>
												</xsl:if>
												<xsl:if test="string-length(DestinationOfficeCountryName)>0">
													<cat_ru:CounryName><xsl:value-of select="DestinationOfficeCountryName"/></cat_ru:CounryName>
												</xsl:if>
												<xsl:if test="string-length(DestinationOfficeCity)>0">
													<cat_ru:City><xsl:value-of select="DestinationOfficeCity"/></cat_ru:City>
												</xsl:if>
												<xsl:if test="string-length(DestinationOfficeStreetHouse)>0">
													<cat_ru:StreetHouse>
														<xsl:choose>
															<xsl:when test="string-length(DestinationOfficeStreetHouse)>50">
																<xsl:value-of select="substring(DestinationOfficeStreetHouse,1,50)"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:value-of select="DestinationOfficeStreetHouse"/>
															</xsl:otherwise>
														</xsl:choose>
													</cat_ru:StreetHouse>
												</xsl:if>
											</catTrans_cu:Address>
										</xsl:if>
										<catTrans_cu:DestinationPlaceName>
											<xsl:choose>
												<xsl:when test="string-length(DestinantionPlaceName)>0 and (pi=0 or pi=2)">
													<xsl:value-of select="DestinantionPlaceName"/>
												</xsl:when>
												<xsl:when test="string-length(DeliveryPlace_City)>0 and string-length(DeliveryPlace_StreetHouse)>0 and pi=3">
													<xsl:value-of select="concat(DeliveryPlace_City,' ',DeliveryPlace_StreetHouse)"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="DestinationOfficeName"/>
												</xsl:otherwise>
											</xsl:choose>
										</catTrans_cu:DestinationPlaceName>
									</Destination>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="GroupGoods=1">
										<xsl:choose>
											<xsl:when test="$CmrCou>1">
												<xsl:call-template name="TirGroupGoods">
													<xsl:with-param name="CMRNum" select="$NumCmrTir"/>
													<xsl:with-param name="RNum" select="$RNum"/>
													<xsl:with-param name="Lang" select="$Lang"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:call-template name="TirGroupGoods">
													<xsl:with-param name="RNum" select="$RNum"/>
													<xsl:with-param name="Lang" select="$Lang"/>
												</xsl:call-template>
											</xsl:otherwise>
										</xsl:choose>											
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="$CmrCou>1">
												<xsl:for-each select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[ModeCode=04021 and string-length(NumDate)>0]">
													<xsl:variable name="InvNum" select="NumDate"/>
													<xsl:for-each select="//INVOICEGOODS_ITEM">
														<xsl:variable name="Pos" select="position()"/>
														<xsl:if test="../../NumDate=$InvNum">
															<Goods>
																<xsl:call-template name="GoodsDescr">
																	<xsl:with-param name="DesGoods">
																		<xsl:call-template name="GoodDescrAvto"/>
																	</xsl:with-param>
																	<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
																	<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
																	<xsl:with-param name="NameMes" select="false"/>
																	<xsl:with-param name="LenDes" select="250"/>
																</xsl:call-template>
																<catTrans_ru:GoodsNumeric><xsl:value-of select="$Pos"/></catTrans_ru:GoodsNumeric>
																<catTrans_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catTrans_ru:GoodsTNVEDCode>
																<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
																	<catTrans_ru:SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></catTrans_ru:SupplementaryGoodsQuantity>
																</xsl:if>
																<xsl:choose>
																	<xsl:when test="string-length(GrossWeightQuantity)=0">
																		<catTrans_ru:GrossWeightQuantity>0</catTrans_ru:GrossWeightQuantity>
																	</xsl:when>
																	<xsl:otherwise>
																		<catTrans_ru:GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></catTrans_ru:GrossWeightQuantity>
																	</xsl:otherwise>
																</xsl:choose>
																<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
																	<catTrans_ru:SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></catTrans_ru:SupplementaryMeasureUnitCode>
																</xsl:if>
																<xsl:if test="string-length(TotalCost)>0">
																	<catTrans_ru:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catTrans_ru:InvoicedCost>
																</xsl:if>
																<xsl:if test="string-length(OriginCountryCode)>0">
																	<xsl:variable name="OrgCtr" select="OriginCountryCode"/>
																	<catTrans_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrgCtr]/Code"/></catTrans_ru:OriginCountryCode>
																</xsl:if>
																<catTrans_ru:DocumentKind>15</catTrans_ru:DocumentKind>
																<catTrans_ru:PrecedingDocumentNumber><xsl:value-of select="../../RegNum"/></catTrans_ru:PrecedingDocumentNumber>
																<catTrans_ru:PlacesInfo>
																	<xsl:if test="string-length(PlacesCode)>0">
																		<catTrans_cu:PackingCode><xsl:value-of select="PlacesCode"/></catTrans_cu:PackingCode>
																	</xsl:if>
																	<xsl:choose>
																		<xsl:when test="string-length(PlacesQuantity)=0">
																			<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
																		</xsl:when>
																		<xsl:otherwise>
																			<catTrans_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catTrans_cu:PakingQuantity>
																		</xsl:otherwise>
																	</xsl:choose>
																	<xsl:if test="string-length(PlacesDescription)>0">
																		<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
																	</xsl:if>
																</catTrans_ru:PlacesInfo>
																<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
																	<xsl:if test="position()=$Pos">
																		<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																			<catTrans_ru:PackingInfo>
																				<xsl:if test="string-length(PackingCode)>0">
																					<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
																				</xsl:if>
																				<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
																				<xsl:if test="string-length(PackingDescription)>0">
																					<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
																				</xsl:if>
																				<xsl:if test="string-length(PakagePartQuantity)>0">
																					<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
																				</xsl:if>
																			</catTrans_ru:PackingInfo>
																		</xsl:for-each>
																	</xsl:if>
																</xsl:for-each>
																<xsl:if test="string-length($RNum)>0">
																	<TTNNumber><xsl:value-of select="$RNum"/></TTNNumber>
																</xsl:if>
															</Goods>
														</xsl:if>
													</xsl:for-each>	
												</xsl:for-each>
											</xsl:when>
											<xsl:when test="$CmrCou=1">
												<xsl:for-each select="//INVOICEGOODS_ITEM">
													<xsl:variable name="Pos" select="position()"/>
													<Goods>
														<xsl:call-template name="GoodsDescr">
															<xsl:with-param name="DesGoods">
																<xsl:call-template name="GoodDescrAvto"/>
															</xsl:with-param>
															<xsl:with-param name="NodeName" select="'cat_ru:GoodsDescription'"/>
															<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
															<xsl:with-param name="NameMes" select="false"/>
															<xsl:with-param name="LenDes" select="250"/>
														</xsl:call-template>
														<catTrans_ru:GoodsNumeric><xsl:value-of select="$Pos"/></catTrans_ru:GoodsNumeric>
														<catTrans_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catTrans_ru:GoodsTNVEDCode>
														<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
															<catTrans_ru:SupplementaryGoodsQuantity><xsl:value-of select="GoodsQuantity"/></catTrans_ru:SupplementaryGoodsQuantity>
														</xsl:if>
														<xsl:choose>
															<xsl:when test="string-length(GrossWeightQuantity)=0">
																<catTrans_ru:GrossWeightQuantity>0</catTrans_ru:GrossWeightQuantity>
															</xsl:when>
															<xsl:otherwise>
																<catTrans_ru:GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></catTrans_ru:GrossWeightQuantity>
															</xsl:otherwise>
														</xsl:choose>
														<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0 ">
															<catTrans_ru:SupplementaryMeasureUnitCode><xsl:value-of select="MeasureUnitQualifierCode"/></catTrans_ru:SupplementaryMeasureUnitCode>
														</xsl:if>
														<xsl:if test="string-length(TotalCost)>0">
															<catTrans_ru:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catTrans_ru:InvoicedCost>
														</xsl:if>
														<xsl:if test="string-length(OriginCountryCode)>0">
															<xsl:variable name="OrgCtr" select="OriginCountryCode"/>
															<catTrans_ru:OriginCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$OrgCtr]/Code"/></catTrans_ru:OriginCountryCode>
														</xsl:if>
														<catTrans_ru:DocumentKind>15</catTrans_ru:DocumentKind>
														<catTrans_ru:PrecedingDocumentNumber><xsl:value-of select="../../RegNum"/></catTrans_ru:PrecedingDocumentNumber>
														<catTrans_ru:PlacesInfo>
															<xsl:if test="string-length(PlacesCode)>0">
																<catTrans_cu:PackingCode><xsl:value-of select="PlacesCode"/></catTrans_cu:PackingCode>
															</xsl:if>
															<xsl:choose>
																<xsl:when test="string-length(PlacesQuantity)=0">
																	<catTrans_cu:PakingQuantity>0</catTrans_cu:PakingQuantity>
																</xsl:when>
																<xsl:otherwise>
																	<catTrans_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catTrans_cu:PakingQuantity>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:if test="string-length(PlacesDescription)>0">
																<catTrans_cu:PackingDescription><xsl:value-of select="PlacesDescription"/></catTrans_cu:PackingDescription>
															</xsl:if>
														</catTrans_ru:PlacesInfo>
														<xsl:for-each select="//PACKINGLISTGOODS_ITEM">
															<xsl:if test="position()=$Pos">
																<xsl:for-each select="PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingQuantity)>0]">
																	<catTrans_ru:PackingInfo>
																		<xsl:if test="string-length(PackingCode)>0">
																			<catTrans_cu:PackingCode><xsl:value-of select="PackingCode"/></catTrans_cu:PackingCode>
																		</xsl:if>
																		<catTrans_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catTrans_cu:PakingQuantity>
																		<xsl:if test="string-length(PackingDescription)>0">
																			<catTrans_cu:PackingDescription><xsl:value-of select="PackingDescription"/></catTrans_cu:PackingDescription>
																		</xsl:if>
																		<xsl:if test="string-length(PakagePartQuantity)>0">
																			<catTrans_cu:PakagePartQuantity><xsl:value-of select="PakagePartQuantity"/></catTrans_cu:PakagePartQuantity>
																		</xsl:if>
																	</catTrans_ru:PackingInfo>
																</xsl:for-each>
															</xsl:if>
														</xsl:for-each>
														<xsl:if test="string-length($RNum)>0">
															<TTNNumber><xsl:value-of select="$RNum"/></TTNNumber>
														</xsl:if>
													</Goods>
												</xsl:for-each>
											</xsl:when>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</TIR_Shipment>
						</xsl:for-each>

					</TIR_Carnet>
				</DocBody>
			</ContainerDoc>
	</xsl:template>
</xsl:stylesheet>
