<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:call-template name="TTN"/>
		</ED_Container>
	</xsl:template>-->
	
	<xsl:template name="TTN">
		<xsl:for-each select="TTN/TTN_ITEM">
			<xsl:call-template name="TTN_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>	 
		<xsl:template name="TTN_ONE_DOC"> 
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<AutoBill xmlns="urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:5.9.1" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:cltESAD_cu="urn:customs.ru:CUESADCommonLeafTypes:5.10.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"  xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1003103E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<NumberTN><xsl:value-of select="RegNum"/></NumberTN>
						<DateTN>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</DateTN>
						<NumberCopies>
							<xsl:choose>
								<xsl:when test="string-length(Copy)>0">
									<xsl:value-of select="Copy"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</NumberCopies>
						<Order>
							<NumberOrder><xsl:value-of select="RegNum"/></NumberOrder>
							<DateOrder>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</DateOrder>
							<xsl:if test="string-length(DocSig_Date)>0">
								<DateAcceptingOrder>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_Date"/>
									</xsl:call-template>
								</DateAcceptingOrder>
							</xsl:if>
							<xsl:if test="string-length(PersonName)>0 and string-length(PersonName2)>0">	
								<PersonAcceptingOrder>
									<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(PersonPost)>0">	
										<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
									</xsl:if>	
								</PersonAcceptingOrder>
							</xsl:if>	
						</Order>
						<Consignor>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>	
						</Consignor>		
						<Consignee>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>	
						</Consignee>
						<Cargo>	
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="GoodsDescription"/>
								<xsl:with-param name="NodeName" select="'CargoDescription'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/> 
								<xsl:with-param name="NameMes" select="true"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>
							<xsl:if test="string-length(PlacesCode)>0 or string-length(GoodsMarking)>0 or string-length(CargoState)>0">
								<Package>
									<xsl:if test="string-length(GoodsMarking)>0">
										<PackingMark><xsl:value-of select="GoodsMarking"/></PackingMark>
									</xsl:if>
									<xsl:if test="string-length(PlacesCode)>0">
										<PackingInfo>
											<catESAD_cu:PackingCode><xsl:value-of select="PlacesCode"/></catESAD_cu:PackingCode>
											<xsl:if test="string-length(GoodsQuantity)>0">
												<catESAD_cu:PakingQuantity><xsl:value-of select="GoodsQuantity"/></catESAD_cu:PakingQuantity>
											</xsl:if>	
										</PackingInfo>
									</xsl:if>	
								</Package>
							</xsl:if>
							<xsl:if test="string-length(NetWeightQuantity)>0">
								<NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></NetWeightQuantity>
							</xsl:if>
							<xsl:if test="string-length(GrossWeightQuantity)>0">
								<GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></GrossWeightQuantity>
							</xsl:if>
							<xsl:if test="string-length(VolumeQuantity)>0">
								<Capacity><xsl:value-of select="VolumeQuantity"/></Capacity>
							</xsl:if>
							<xsl:if test="string-length(HazardousCargoCode)>0">
								<DangerCargo>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="HazardousCargoCode"/>
										<xsl:with-param name="NodeName" select="'DangerCargoDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/> 
										<xsl:with-param name="NameMes" select="true"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
								</DangerCargo>
							</xsl:if>
						</Cargo>
						<xsl:for-each select="TTNDocument/TTNDOCUMENT_ITEM[string-length(ModeCode)>0]">
							<DocumentCargo>
								<xsl:if test="string-length(DocumentName)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="DocumentName"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(DocumentNumber)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="DocumentNumber"/></cat_ru:PrDocumentNumber>
								</xsl:if>	
								<xsl:if test="string-length(DocumentDate)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DocumentDate"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>
								<DocumentModeCode><xsl:value-of select="ModeCode"/></DocumentModeCode>
							</DocumentCargo>
						</xsl:for-each>
						<ConsignorInstruction>
							<TransportInfo>
								<RegistrationNumber>
									<xsl:value-of select="PrimeMoverStateSignID"/>
									<xsl:if test="string-length(TrailerStateSignID)>0">
										<xsl:value-of select="concat(' / ',TrailerStateSignID)"/>
									</xsl:if>
								</RegistrationNumber>
							</TransportInfo>
							<xsl:if test="string-length(Requrements)>0">
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="Requrements"/>
									<xsl:with-param name="NodeName" select="'PerformRequirements'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/> 
									<xsl:with-param name="NameMes" select="true"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
							</xsl:if>	
							<xsl:if test="string-length(Seals)>0">
								<Seal>
									<IdentNumber><xsl:value-of select="Seals"/></IdentNumber>
									<IdentKind>
										<xsl:choose>
											<xsl:when test="contains(Seals,'пломб') or contains(Seals,'ПЛОМБ')">1</xsl:when>
											<xsl:when test="contains(Seals,'печат') or contains(Seals,'ПЕЧАТ')">2</xsl:when>
											<xsl:otherwise>3</xsl:otherwise>
										</xsl:choose>
									</IdentKind>
								</Seal>
							</xsl:if>
							<xsl:if test="string-length(DeadlineTransport)>0">
								<DeadlineTransport>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DeadlineTransport"/>
									</xsl:call-template>
								</DeadlineTransport>
							</xsl:if>
							<xsl:if test="string-length(Temperature)>0">
								<Temperature><xsl:value-of select="Temperature"/></Temperature>
							</xsl:if>	
							<xsl:if test="string-length(GoodsCost)>0">
								<Cost>
									<xsl:if test="string-length(CurrencyCode)>0">
										<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
									</xsl:if>	
									<TotalAmount><xsl:value-of select="format-number(round(GoodsCost  * 100) div 100,'0.##')"/></TotalAmount>
								</Cost>
							</xsl:if>
							<xsl:if test="string-length(OverloadProhibition)>0">
								<OverloadProhibition><xsl:value-of select="OverloadProhibition"/></OverloadProhibition>
							</xsl:if>		
						</ConsignorInstruction>
						<xsl:if test="string-length(Load_CountryCode)>0  or string-length(Load_City)>0 or string-length(Load_StreetHouse)>0 or string-length(Load_CargoState)>0 or  string-length(Load_Weight)>0 or string-length(Load_Quantity)>0">
							<LoadCargo>
								<xsl:if test="string-length(Load_CountryCode)>0  or string-length(Load_City)>0 or string-length(Load_StreetHouse)>0">
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Load_'"/>
										<xsl:with-param name="NodeName" select="'Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(Load_Date)>0">
									<DateTime>
										<xsl:call-template name="TranslateDateTime">
											<xsl:with-param name="Dat" select="Load_Date"/>
										</xsl:call-template>
									</DateTime>		
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(Load_DateArrival)>0">
										<ActualDateTime>
											<xsl:call-template name="TranslateDateTime">
												<xsl:with-param name="Dat" select="Load_DateArrival"/>
											</xsl:call-template>
										</ActualDateTime>
									</xsl:when>
									<xsl:when test="string-length(Load_DateDepart)>0">
										<ActualDateTime>
											<xsl:call-template name="TranslateDateTime">
												<xsl:with-param name="Dat" select="Load_DateDepart"/>
											</xsl:call-template>
										</ActualDateTime>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(Load_CargoState)>0">
									<ActualStateOfPackages>
										<CargoState><xsl:value-of select="Load_CargoState"/></CargoState>
									</ActualStateOfPackages>
								</xsl:if>
								<xsl:if test="string-length(Load_Weight)>0">
									<CargoWeight><xsl:value-of select="Load_Weight"/></CargoWeight>
								</xsl:if>
								<xsl:if test="string-length(Load_Quantity)>0">
									<PlacesQuantity><xsl:value-of select="Load_Quantity"/></PlacesQuantity>
								</xsl:if>
								<xsl:for-each select="TTNLoadPerson/TTNLOADPERSON_ITEM[string-length(Load_PersonName)>0 and string-length(Load_PersonName2)>0]">
									<PersonSign>
										<cat_ru:PersonSurname><xsl:value-of select="Load_PersonName"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="Load_PersonName2"/></cat_ru:PersonName>
										<xsl:if test="string-length(Load_PersonMiddleName)>0">
											<cat_ru:PersonMiddleName><xsl:value-of select="Load_PersonMiddleName"/></cat_ru:PersonMiddleName>
										</xsl:if>
										<xsl:if test="string-length(Load_PersonPost)>0">	
											<cat_ru:PersonPost><xsl:value-of select="Load_PersonPost"/></cat_ru:PersonPost>
										</xsl:if>	
									</PersonSign>	
								</xsl:for-each>
							</LoadCargo> 
						</xsl:if>
						<xsl:if test="string-length(UnLoad_CountryCode)>0  or string-length(UnLoad_City)>0 or string-length(UnLoad_StreetHouse)>0 or string-length(UnLoad_CargoState)>0 or  string-length(UnLoad_Weight)>0 or string-length(UnLoad_Quantity)>0">
							<UnloadCargo>
								<xsl:if test="string-length(UnLoad_CountryCode)>0  or string-length(UnLoad_City)>0 or string-length(UnLoad_StreetHouse)>0">
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'UnLoad_'"/>
										<xsl:with-param name="NodeName" select="'Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="string-length(UnLoad_Date)>0">
									<DateTime>
										<xsl:call-template name="TranslateDateTime">
											<xsl:with-param name="Dat" select="UnLoad_Date"/>
										</xsl:call-template>
									</DateTime>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="string-length(UnLoad_DateArrival)>0">
										<ActualDateTime>
											<xsl:call-template name="TranslateDateTime">
												<xsl:with-param name="Dat" select="UnLoad_DateArrival"/>
											</xsl:call-template>
										</ActualDateTime>
									</xsl:when>
									<xsl:when test="string-length(UnLoad_DateDepart)>0">
										<ActualDateTime>
											<xsl:call-template name="TranslateDateTime">
												<xsl:with-param name="Dat" select="UnLoad_DateDepart"/>
											</xsl:call-template>
										</ActualDateTime>
									</xsl:when>
								</xsl:choose>
								<xsl:if test="string-length(UnLoad_CargoState)>0">
									<ActualStateOfPackages>
										<CargoState><xsl:value-of select="UnLoad_CargoState"/></CargoState>
									</ActualStateOfPackages>
								</xsl:if>
								<xsl:if test="string-length(UnLoad_Weight)>0">
									<CargoWeight><xsl:value-of select="UnLoad_Weight"/></CargoWeight>
								</xsl:if>
								<xsl:if test="string-length(UnLoad_Quantity)>0">
									<PlacesQuantity><xsl:value-of select="UnLoad_Quantity"/></PlacesQuantity>
								</xsl:if>
								<xsl:for-each select="TTNUnloadPerson/TTNUNLOADPERSON_ITEM[string-length(UnLoad_PersonName)>0 and string-length(UnLoad_PersonName2)>0]">
									<PersonSign>
										<cat_ru:PersonSurname><xsl:value-of select="UnLoad_PersonName"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="UnLoad_PersonName2"/></cat_ru:PersonName>
										<xsl:if test="string-length(UnLoad_PersonMiddleName)>0">
											<cat_ru:PersonMiddleName><xsl:value-of select="UnLoad_PersonMiddleName"/></cat_ru:PersonMiddleName>
										</xsl:if>
										<xsl:if test="string-length(UnLoad_PersonPost)>0">	
											<cat_ru:PersonPost><xsl:value-of select="UnLoad_PersonPost"/></cat_ru:PersonPost>
										</xsl:if>	
									</PersonSign>	
								</xsl:for-each>
							</UnloadCargo> 
						</xsl:if>
						<xsl:if test="string-length(DeadlineDelivery)>0 or string-length(FormNotification)>0 or string-length(DeadlineCarrierStorage)>0 or string-length(FeeOfCarrierStorage_Amount)>0 or string-length(Weight)>0 or string-length(Weight_Cargo)>0 or string-length(ContainerID)>0 or string-length(Load_Work)>0 or string-length(Remark)>0">
							<Conditions>
								<xsl:if test="string-length(DeadlineDelivery)>0">
									<DeadlineDelivery>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DeadlineDelivery"/>
										</xsl:call-template>
									</DeadlineDelivery>
								</xsl:if>
								<xsl:if test="string-length(FormNotification)>0">
									<FormNotification><xsl:value-of select="FormNotification"/></FormNotification>	
								</xsl:if>
								<xsl:if test="string-length(DeadlineCarrierStorage)>0">
									<DeadlineCarrierStorage>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DeadlineCarrierStorage"/>
										</xsl:call-template>
									</DeadlineCarrierStorage>
								</xsl:if>
								<xsl:if test="string-length(FeeOfCarrierStorage_Amount)>0">
									<FeeOfCarrierStorage>
										<xsl:if test="string-length(FeeOfCarrierStorage_PaymentMode)>0">
											<PaymentMode><xsl:value-of select="FeeOfCarrierStorage_PaymentMode"/></PaymentMode>
										</xsl:if>
										<Amount><xsl:value-of select="FeeOfCarrierStorage_Amount"/></Amount>
										<xsl:if test="string-length(FeeOfCarrierStorage_CurrencyCode)>0">
											<CurrencyCode><xsl:value-of select="FeeOfCarrierStorage_CurrencyCode"/></CurrencyCode>
										</xsl:if>
										<xsl:if test="string-length(FeeOfCarrierStorage_Comments)>0">
											<Comments><xsl:value-of select="FeeOfCarrierStorage_Comments"/></Comments>
										</xsl:if> 
									</FeeOfCarrierStorage>
								</xsl:if>
								<xsl:if test="string-length(Weight_Cargo)>0">
									<WeightDefinitionMode><xsl:value-of select="Weight_Cargo"/></WeightDefinitionMode>	
								</xsl:if>
								<xsl:if test="string-length(Weight)>0">
									<WeightQuantity><xsl:value-of select="Weight"/></WeightQuantity>	
								</xsl:if>
								<xsl:if test="string-length(ContainerID)>0">	
									<Containers>
										<xsl:choose>
											<xsl:when test="string-length(ContainerID)=11">
												<ContainerQuantity>1</ContainerQuantity>
												<ContainerIdentificator><xsl:value-of select="ContainerID"/></ContainerIdentificator>
											</xsl:when>
											<xsl:when test="string-length(ContainerID)>11">
												<xsl:variable name="LenModel" select="string-length(ContainerID)"/>
												<xsl:variable name="LenModelNotDel" select="string-length(translate(ContainerID,',',''))"/>											
												<xsl:variable name="CCont"><xsl:value-of select="number($LenModel)-number($LenModelNotDel)+1"/></xsl:variable>
												<ContainerQuantity><xsl:value-of select="$CCont"/></ContainerQuantity>
												<xsl:call-template name="tokenize">
													<xsl:with-param name="string" select="normalize-space(ContainerID)"/>
													<xsl:with-param name="delimiters" select="','"/>	
													<xsl:with-param name="NodeName" select="'ContainerIdentificator'"/>
													<xsl:with-param name="Nodespace" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/>
												</xsl:call-template>
											</xsl:when>
										</xsl:choose>
									</Containers>
								</xsl:if>	
								<xsl:if test="string-length(Load_Work)>0">
									<Loading><xsl:value-of select="Load_Work"/></Loading>		
								</xsl:if>	
								<xsl:if test="string-length(PenaltyInfo)>0">
									<PenaltyInfo><xsl:value-of select="PenaltyInfo"/></PenaltyInfo>		
								</xsl:if>
							</Conditions>
						</xsl:if>
						<xsl:if test="string-length(Carrier_Name)>0">
							<Carrier>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Carrier_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="PostalAddress" select="1"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								</xsl:call-template> 
								<xsl:if test="string-length(Driver_IndentityCardCode)>0 or string-length(Driver_IdentityCardCode)>0 or string-length(Driver_IdentityCardName)>0 or string-length(Driver_IdentityCardSeries)>0 or string-length(Driver_IdentityCardNumder)>0 or string-length(Driver_IndentityCardDate)>0 or string-length(Driver_IdentityCardDate)>0 or string-length(Driver_OrganizationName)>0">
									<xsl:call-template name="IdentityCard">
										<xsl:with-param name="NodeName" select="'cat_ru:IdentityCard'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="Pref" select="'Driver_'"/>
									</xsl:call-template>
								</xsl:if>	
								<xsl:if test="string-length(Carrier_Phone)>0 or string-length(Carrier_Fax)>0 or string-length(Carrier_E_mail)>0">
									<cat_ru:Contact>
										<xsl:call-template name="ContactNode">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Pref" select="'Carrier_'"/>
											<xsl:with-param name="PrefNode" select="'cat_ru:'"/>
										</xsl:call-template>
									</cat_ru:Contact>
								</xsl:if>	
								<xsl:if test="string-length(Driver_Name)>0 and string-length(Driver_Name2)>0">
									<Drivers>
										<cat_ru:PersonSurname><xsl:value-of select="Driver_Name"/></cat_ru:PersonSurname>
										<cat_ru:PersonName><xsl:value-of select="Driver_Name2"/></cat_ru:PersonName>
										<xsl:if test="string-length(Driver_MiddleName)>0">
											<cat_ru:PersonMiddleName><xsl:value-of select="Driver_MiddleName"/></cat_ru:PersonMiddleName>
										</xsl:if>
										<cat_ru:PersonPost>ВОДИТЕЛЬ</cat_ru:PersonPost>
										<xsl:if test="string-length(Driver_Phone)>0">
											<Contact>
												<cat_ru:Phone><xsl:value-of select="Driver_Phone"/></cat_ru:Phone>
											</Contact>
										</xsl:if>
									</Drivers>
								</xsl:if>
							</Carrier>
						</xsl:if>
						<Transport>
							<RegistrationNumber>
								<xsl:value-of select="PrimeMoverStateSignID"/>
								<xsl:if test="string-length(TrailerStateSignID)>0">
									<xsl:value-of select="concat(' / ',TrailerStateSignID)"/>
								</xsl:if>	
							</RegistrationNumber>
							<xsl:if test="string-length(Model)>0">
								<Kind><xsl:value-of select="Model"/></Kind>
							</xsl:if>
							<xsl:if test="string-length(Mark)>0">
								<Mark><xsl:value-of select="Mark"/></Mark>
							</xsl:if>
						</Transport>
						<xsl:if test=" string-length(Carrier_CargoStateLoad)>0 or string-length(Carrier_CargoStateUnLoad)>0">	
							<CarrierComments>
								<xsl:if test="string-length(Carrier_CargoStateLoad)>0">
									<ActualStateLoad>
										<CargoState><xsl:value-of select="Carrier_CargoStateLoad"/></CargoState>
									</ActualStateLoad>
								</xsl:if>
								<xsl:if test="string-length(Carrier_TermsMove)>0">
									<ChangeConditionsInMove><xsl:value-of select="Carrier_TermsMove"/></ChangeConditionsInMove>
								</xsl:if>
								<xsl:if test="string-length(Carrier_CargoStateUnLoad)>0">
									<ActualStateUnLoad>
										<CargoState><xsl:value-of select="Carrier_CargoStateUnLoad"/></CargoState>
									</ActualStateUnLoad>
								</xsl:if>
								<xsl:if test="string-length(Carrier_TermsUnLoad)>0">
									<ChangeConditionsInUnload><xsl:value-of select="Carrier_TermsUnLoad"/></ChangeConditionsInUnload>
								</xsl:if>
							</CarrierComments>					
						</xsl:if>
						<OtherConditions>
							<xsl:if test="string-length(DocName)>0 or string-length(DocNumber)>0 or string-length(DocDate)>0 or string-length(ModeCode)>0 or string-length(DocDateEnd)>0">
								<SpecialPermission>
									<xsl:if test="string-length(DocName)>0">
										<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
									</xsl:if>
									<xsl:if test="string-length(DocNumber)>0">
										<cat_ru:PrDocumentNumber><xsl:value-of select="DocNumber"/></cat_ru:PrDocumentNumber>
									</xsl:if>	
									<xsl:if test="string-length(DocDate)>0">
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="DocDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
									</xsl:if>
									<catTrans_ru:ModeCode><xsl:value-of select="ModeCode"/></catTrans_ru:ModeCode>
									<xsl:if test="string-length(DocDateEnd)>0">
										<ExpirationDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="DocDateEnd"/>
											</xsl:call-template>
										</ExpirationDate>
									</xsl:if>
								</SpecialPermission>
							</xsl:if>
							<xsl:if test="string-length(WorkingDay_Driver_From)>0 and string-length(WorkingDay_Driver_To)>0">
								<From>
									<xsl:call-template name="TranslateTime">
										<xsl:with-param name="Time" select="WorkingDay_Driver_From"/>
									</xsl:call-template>
								</From>
								<To>
									<xsl:call-template name="TranslateTime">
										<xsl:with-param name="Time" select="WorkingDay_Driver_To"/>
									</xsl:call-template>
								</To>
							</xsl:if>
						</OtherConditions>	
						<xsl:if test="string-length(Redirect_Date)>0">
							<Readdressing>
								<DateReaddressing>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="Redirect_DateReaddressing"/>
									</xsl:call-template>
								</DateReaddressing>
								<xsl:if test="string-length(Redirect_FormReaddressing)>0">
									<FormReaddressing><xsl:value-of select="Redirect_FormReaddressing"/></FormReaddressing>
								</xsl:if>
								<xsl:if test="string-length(Redirect_Info)>0">
									<PersonReaddressing>
										<cat_ru:OrganizationName><xsl:value-of select="Redirect_Info"/></cat_ru:OrganizationName>
									</PersonReaddressing>
								</xsl:if>
								<xsl:if test="string-length(New_Consignee)>0">
									<Consignee>
										<cat_ru:OrganizationName><xsl:value-of select="New_Consignee"/></cat_ru:OrganizationName>
									</Consignee>
								</xsl:if>
								<xsl:if test="string-length(New_Load_CountryCode)>0  or string-length(New_Load_City)>0 or string-length(New_Load_StreetHouse)>0">
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'New_Load_'"/>
										<xsl:with-param name="NodeName" select="'Address'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/>
									</xsl:call-template>
								</xsl:if>
							</Readdressing>
						</xsl:if>
						<xsl:if test="string-length(Payer_Name)>0 and string-length(Payer_Bank_Name)>0">
							<Calculation>
								<xsl:if test="string-length(TransportCost)>0">
									<CostOfTheCarrierService><xsl:value-of select="TransportCost"/></CostOfTheCarrierService>
								</xsl:if>
								<xsl:if test="string-length(How_Pay)>0">
									<ProcedureCalculation><xsl:value-of select="How_Pay"/></ProcedureCalculation>
								</xsl:if>
								<xsl:if test="string-length(Transport_Pay)>0">
									<FeeOfTransporting><xsl:value-of select="Transport_Pay"/></FeeOfTransporting>
								</xsl:if>
								<xsl:if test="string-length(Road_Pay)>0">
									<FeeOnTollRoads>
										<xsl:if test="string-length(Road_CodePay)>0">
											<PaymentMode><xsl:value-of select="Road_CodePay"/></PaymentMode>
										</xsl:if>
										<Amount><xsl:value-of select="Road_Pay"/></Amount>
										<xsl:if test="string-length(Road_CurrencyCodePay)>0">
											<CurrencyCode><xsl:value-of select="Road_CurrencyCodePay"/></CurrencyCode>
										</xsl:if>
										<xsl:if test="string-length(Road_CommentsPay)>0">
											<Comments><xsl:value-of select="Road_CommentsPay"/></Comments>
										</xsl:if>
									</FeeOnTollRoads>
								</xsl:if>
								<xsl:if test="string-length(Hazardous_Pay)>0">
									<FeeOnDangerousHeavy>
										<xsl:if test="string-length(Hazardous_CodePay)>0">
											<PaymentMode><xsl:value-of select="Hazardous_CodePay"/></PaymentMode>
										</xsl:if>
										<Amount><xsl:value-of select="Hazardous_Pay"/></Amount>
										<xsl:if test="string-length(Hazardous_CurrencyCodePay)>0">
											<CurrencyCode><xsl:value-of select="Hazardous_CurrencyCodePay"/></CurrencyCode>
										</xsl:if>
										<xsl:if test="string-length(Hazardous_CommentsPay)>0">
											<Comments><xsl:value-of select="Hazardous_CommentsPay"/></Comments>
										</xsl:if>
									</FeeOnDangerousHeavy>
								</xsl:if>
								<xsl:if test="string-length(Clean_Car_Pay)>0">
									<FeeOfDesinfection>
										<xsl:if test="string-length(Clean_Car_CodePay)>0">
											<PaymentMode><xsl:value-of select="Clean_Car_CodePay"/></PaymentMode>
										</xsl:if>
										<Amount><xsl:value-of select="Clean_Car_Pay"/></Amount>
										<xsl:if test="string-length(Clean_Car_CurrencyCodePay)>0">
											<CurrencyCode><xsl:value-of select="Clean_Car_CurrencyCodePay"/></CurrencyCode>
										</xsl:if>
										<xsl:if test="string-length(Clean_Car_CommentsPay)>0">
											<Comments><xsl:value-of select="Clean_Car_CommentsPay"/></Comments>
										</xsl:if>
									</FeeOfDesinfection>
								</xsl:if>
								<Payer>
									<xsl:if test="string-length(Payer_INN)>0">
										<catComFin_ru:CompanyID><xsl:value-of select="Payer_INN"/></catComFin_ru:CompanyID>
									</xsl:if>
									<xsl:if test="string-length(Payer_KPP)>0">
										<catComFin_ru:KPPCode><xsl:value-of select="Payer_KPP"/></catComFin_ru:KPPCode>
									</xsl:if>
									<catComFin_ru:Name><xsl:value-of select="Payer_Name"/></catComFin_ru:Name>
									<PaymentRequisitions>
										<catComFin_ru:BankName><xsl:value-of select="Payer_Bank_Name"/></catComFin_ru:BankName>
									</PaymentRequisitions>
									<xsl:if test="string-length(Payer_CountryCode)>0  or string-length(Payer_City)>0 or string-length(Payer_StreetHouse)>0">
										<xsl:call-template name="Address">
											<xsl:with-param name="Pref" select="'Payer_'"/>
											<xsl:with-param name="NodeName" select="'PostalAddress'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:TransportDocuments:AutoBill:5.11.0'"/>
										</xsl:call-template>
									</xsl:if>
								</Payer>
							</Calculation>
						</xsl:if>
						<xsl:if test="string-length(Consignor_PersonName)>0 and string-length(Consignor_PersonName2)>0">	
							<ConsignorSign>
								<cat_ru:PersonSurname><xsl:value-of select="Consignor_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="Consignor_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(Consignor_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="Consignor_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(Consignor_PersonPost)>0">	
									<cat_ru:PersonPost><xsl:value-of select="Consignor_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(Consignor_IssueDate)>0">	
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="Consignor_IssueDate"/>
										</xsl:call-template>
									</cat_ru:IssueDate>	
								</xsl:if>	
							</ConsignorSign>
						</xsl:if>
						<xsl:if test="string-length(Carrier_PersonName)>0 and string-length(Carrier_PersonName2)>0">	
							<ConsigneeSign>
								<cat_ru:PersonSurname><xsl:value-of select="Carrier_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="Carrier_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(Carrier_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="Carrier_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(Carrier_PersonPost)>0">	
									<cat_ru:PersonPost><xsl:value-of select="Carrier_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
								<xsl:if test="string-length(Carrier_IssueDate)>0">	
									<cat_ru:IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="Carrier_IssueDate"/>
										</xsl:call-template>
									</cat_ru:IssueDate>	
								</xsl:if>	
							</ConsigneeSign>
						</xsl:if>
						<xsl:for-each select="TTNMark/TTNMARK_ITEM[string-length(MarkDescription)>0 and string-length(PersonName)>0 and string-length(PersonName2)>0]">
							<Notes>
								<DescriptionNote><xsl:value-of select="MarkDescription"/></DescriptionNote>
								<xsl:if test="string-length(Mark_Fine)>0">
									<Calculation><xsl:value-of select="Mark_Fine"/></Calculation>
								</xsl:if>
								<PersonSign>
									<cat_ru:PersonSurname><xsl:value-of select="PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(PersonPost)>0">	
										<cat_ru:PersonPost><xsl:value-of select="PersonPost"/></cat_ru:PersonPost>
									</xsl:if>
									<xsl:if test="string-length(Mark_Date)>0">	
										<cat_ru:IssueDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="Mark_Date"/>
											</xsl:call-template>
										</cat_ru:IssueDate>	
									</xsl:if>		
								</PersonSign>
							</Notes>
						</xsl:for-each>			
					</AutoBill>
				</DocBody>
			</ContainerDoc>	
						
	</xsl:template>
</xsl:stylesheet>
