<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				<xsl:call-template name="TAXRSERTIF"/>
			</ED_Container>	
	</xsl:template>-->
	
	<xsl:template name="TAXRSERTIF">
		<xsl:for-each select="//TAXRSERTIF/TAXRSERTIF_ITEM">
			<xsl:call-template name="TAXRSERTIF_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="TAXRSERTIF_ONE_DOC">
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<TaxOrganRegistrationCertificate xmlns="urn:customs.ru:Information:RegistrationDocuments:TaxOrganRegistrationCertificate:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"   xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1001102E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<RegistrationDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegistrationDate"/>
							</xsl:call-template>
						</RegistrationDate>
						<TaxOrganName><xsl:value-of select="TaxOrganName"/></TaxOrganName>
						<xsl:if test="string-length(RegDate)>0">
							<CertificateDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="RegDate"/>
								</xsl:call-template>
							</CertificateDate>
						</xsl:if>
						<CertificateID><xsl:value-of select="RegNum"/></CertificateID>
						<TaxOrganID><xsl:value-of select="TaxOrganID"/></TaxOrganID>
						<Company>
							<xsl:call-template name="FirmNodeConstr">
								<xsl:with-param name="Pref" select="'Company_'"/>
								<xsl:with-param name="ReqNode" select="false"/>	
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
								<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
							</xsl:call-template>
						</Company>
						<xsl:if test="string-length(TaxOrganClerk_PersonName)>0 and string-length(TaxOrganClerk_PersonName2)>0">
							<TaxOrganClerkSignature>
								<cat_ru:PersonSurname><xsl:value-of select="TaxOrganClerk_PersonName"/></cat_ru:PersonSurname>
								<cat_ru:PersonName><xsl:value-of select="TaxOrganClerk_PersonName2"/></cat_ru:PersonName>
								<xsl:if test="string-length(TaxOrganClerk_PersonMiddleName)>0">
									<cat_ru:PersonMiddleName><xsl:value-of select="TaxOrganClerk_PersonMiddleName"/></cat_ru:PersonMiddleName>
								</xsl:if>
								<xsl:if test="string-length(TaxOrganClerk_PersonPost)>0">	
									<cat_ru:PersonPost><xsl:value-of select="TaxOrganClerk_PersonPost"/></cat_ru:PersonPost>
								</xsl:if>
							</TaxOrganClerkSignature>
						</xsl:if>	
						<xsl:for-each select="TAXRSERTIFREGDOCUMENT/TAXRSERTIFREGDOCUMENT_ITEM[string-length(DocumentName)>0 or string-length(IssueDate)>0]">
							<RegistrationDocument>
								<xsl:if test="string-length(IssueDate)>0">
									<IssueDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="IssueDate"/>
										</xsl:call-template>
									</IssueDate>
								</xsl:if>
								<xsl:if test="string-length(DocumentName)>0">
									<DocumentName><xsl:value-of select="DocumentName"/></DocumentName>
								</xsl:if>
							</RegistrationDocument>	
						</xsl:for-each>	
					</TaxOrganRegistrationCertificate>
				</DocBody>
			</ContainerDoc>
	</xsl:template>		
</xsl:stylesheet>
