<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="VETERINARYCERTIFICATE"/>
	</xsl:template>-->
	<xsl:template name="VETERINARYCERTIFICATE">
		<xsl:for-each select="//VETERINARYCERTIFICATE/VETERINARYCERTIFICATE_ITEM">
			<xsl:call-template name="VETERINARYCERTIFICATE_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>	
	<xsl:template name="VETERINARYCERTIFICATE_ONE_DOC">
			<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<VeterinaryCertificate xmlns="urn:customs.ru:Information:SertifDocuments:VeterinaryCertificate:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1009012E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<xsl:if test="string-length(SpecialNotes)>0">
							<xsl:call-template name="GoodsDescr">
								<xsl:with-param name="DesGoods" select="SpecialNotes"/>
								<xsl:with-param name="NodeName" select="'SpecialNotes'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:VeterinaryCertificate:5.10.0'"/>
								<xsl:with-param name="NameMes" select="false"/> 
								<xsl:with-param name="LenDes" select="250"/>
							</xsl:call-template>
						</xsl:if>
						<DateCertf>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="RegDate"/>
							</xsl:call-template>
						</DateCertf>
						<NumberForm><xsl:value-of select="NumberForm"/></NumberForm>
						<xsl:if test="string-length(Route)>0">
							<Route><xsl:value-of select="Route"/></Route>
						</xsl:if>
						<xsl:if test="string-length(ProductOrigin)>0">
							<ProductOrigin><xsl:value-of select="ProductOrigin"/></ProductOrigin>
						</xsl:if>
						<xsl:if test="string-length(DateManufactur)>0">
							<DateManufactur>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DateManufactur"/>
								</xsl:call-template>
							</DateManufactur>
						</xsl:if>
						<xsl:if test="string-length(DeemedFit)>0">
							<DeemedFit><xsl:value-of select="DeemedFit"/></DeemedFit>
						</xsl:if>
						<xsl:if test="string-length(CauseRestrictions)>0">
							<CauseRestrictions><xsl:value-of select="CauseRestrictions"/></CauseRestrictions>
						</xsl:if>
						<xsl:if test="string-length(Examination)>0">
							<Examination><xsl:value-of select="Examination"/></Examination>
						</xsl:if>
						<xsl:if test="string-length(ImportingCountry)>0">
							<ImportingCountry><xsl:value-of select="ImportingCountry"/></ImportingCountry>
						</xsl:if>
						<xsl:if test="string-length(ReasonSending)>0">
							<ReasonSending><xsl:value-of select="ReasonSending"/></ReasonSending>
						</xsl:if>
						<xsl:if test="string-length(LocationCU)>0">
							<LocationCU><xsl:value-of select="LocationCU"/></LocationCU>
						</xsl:if>
						<xsl:if test="string-length(TimeLocation)>0">
							<TimeLocation><xsl:value-of select="TimeLocation"/></TimeLocation>
						</xsl:if>
						<xsl:if test="string-length(BorderOffice)>0">
							<BorderOffice><xsl:value-of select="BorderOffice"/></BorderOffice>
						</xsl:if>
						<xsl:if test="string-length(ExportTerrAuthority)>0">
							<ExportTerrAuthority><xsl:value-of select="ExportTerrAuthority"/></ExportTerrAuthority>
						</xsl:if>
						<xsl:if test="string-length(IssueOrganization_Name)>0">
							<IssueOrganization>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'IssueOrganization_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								</xsl:call-template>
							</IssueOrganization>
						</xsl:if>
						<xsl:for-each select="PRODUCTINFO/PRODUCTINFO_ITEM[string-length(ProductName)>0 and string-length(GoodsQuantity)>0]">
							<ProductInfo>
								<ProductName><xsl:value-of select="ProductName"/></ProductName>
								<xsl:if test="string-length(ProductMark)>0">
									<ProductMark><xsl:value-of select="ProductMark"/></ProductMark>
								</xsl:if>
								<xsl:if test="string-length(ProductPacking)>0">
									<ProductPacking><xsl:value-of select="ProductPacking"/></ProductPacking>
								</xsl:if>
								<xsl:if test="string-length(Sex)>0">	
									<Sex><xsl:value-of select="Sex"/></Sex>
								</xsl:if>
								<xsl:if test="string-length(Breed)>0">		
									<Breed><xsl:value-of select="Breed"/></Breed>
								</xsl:if>
								<xsl:if test="string-length(Age)>0">		
									<Age><xsl:value-of select="Age"/></Age>
								</xsl:if>
								<xsl:if test="string-length(IDNumber)>0">	
									<IDNumber><xsl:value-of select="IDNumber"/></IDNumber>
								</xsl:if>
								<xsl:if test="string-length(Brand)>0">		
									<Brand><xsl:value-of select="Brand"/></Brand>
								</xsl:if>
								<xsl:if test="string-length(NickName)>0">			
									<NickName><xsl:value-of select="NickName"/></NickName>
								</xsl:if>
								<xsl:if test="string-length(Weight)>0">		
									<Weight><xsl:value-of select="format-number(round(Weight * 1000000) div 1000000,'0.######')"/></Weight>
								</xsl:if>	
								<ProductQuantity>
									<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
									<xsl:if test="string-length(MeasureUnitName)>0">	
										<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitName"/></cat_ru:MeasureUnitQualifierName>
									</xsl:if>
									<xsl:if test="string-length(MeasureUnitCode)>0">	
										<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitCode"/></cat_ru:MeasureUnitQualifierCode>
									</xsl:if>
								</ProductQuantity>
							</ProductInfo>	
						</xsl:for-each>
						<xsl:if test="string-length(Manufacturer_Name)>0">
							<Manufacturer>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Manufacturer_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>
								<xsl:if test="string-length(Manufacturer_OwnersManufacturer)>0">
									<OwnersManufacturer><xsl:value-of select="Manufacturer_OwnersManufacturer"/></OwnersManufacturer>
								</xsl:if>	
							</Manufacturer>
						</xsl:if>
						<xsl:if test="string-length(Sender_Name)>0">
							<Sender>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Sender_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>
							</Sender>
						</xsl:if>
						<xsl:if test="string-length(Location_PlaceLocation)>0 or string-length(Location_PostalCode)>0 or string-length(Location_CountryCode)>0 or string-length(Location_CountryName)>0 or	string-length(Location_Region)>0 or string-length(Location_City)>0 or string-length(Location_StreetHouse)>0">
							<Location>
								<xsl:choose>
									<xsl:when test="string-length(Location_PlaceLocation)>0">
										<PlaceLocation><xsl:value-of select="Location_PlaceLocation"/></PlaceLocation>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="Address">
											<xsl:with-param name="Pref" select="'Location_'"/>
											<xsl:with-param name="NodeName" select="'Address'"/>
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:SertifDocuments:VeterinaryCertificate:5.10.0'"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</Location>	
						</xsl:if>
						<xsl:if test="string-length(Receiver_Name)>0">
							<Receiver>
								<xsl:call-template name="FirmNodeConstr">
									<xsl:with-param name="Pref" select="'Receiver_'"/>
									<xsl:with-param name="ReqNode" select="false"/>	
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NodeNameAdr" select="'cat_ru:Address'"/>
									<xsl:with-param name="NodeNameContact" select="'cat_ru:Contact'"/>
								</xsl:call-template>
							</Receiver>
						</xsl:if>	
						<xsl:if test="string-length(ShippingDocument_Date)>0 or string-length(ShippingDocument_Num)>0 or string-length(ShippingDocument_Name)>0">
							<ShippingDocuments>
								<xsl:if test="string-length(ShippingDocument_Name)>0">
									<cat_ru:PrDocumentName><xsl:value-of select="ShippingDocument_Name"/></cat_ru:PrDocumentName>
								</xsl:if>
								<xsl:if test="string-length(ShippingDocument_Num)>0">
									<cat_ru:PrDocumentNumber><xsl:value-of select="ShippingDocument_Num"/></cat_ru:PrDocumentNumber>
								</xsl:if>
								<xsl:if test="string-length(ShippingDocument_Date)>0">
									<cat_ru:PrDocumentDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="ShippingDocument_Date"/>
										</xsl:call-template>
									</cat_ru:PrDocumentDate>
								</xsl:if>
							</ShippingDocuments>
						</xsl:if>
						<xsl:if test="string-length(PlaseQuarantine)>0 and string-length(NumberDays)>0">
							<Quarantine>
								<PlaseQuarantine><xsl:value-of select="PlaseQuarantine"/></PlaseQuarantine>
								<NumberDays><xsl:value-of select="NumberDays"/></NumberDays>
							</Quarantine>
						</xsl:if>
						<xsl:for-each select="RESEARCHLABORATORY/RESEARCHLABORATORY_ITEM[string-length(NameLaboratory)>0 and string-length(ResultExamination)>0]">
							<ResearchLaboratory>
								<NameLaboratory><xsl:value-of select="NameLaboratory"/></NameLaboratory>
								<xsl:if test="string-length(ProductMark)>0">
									<ProductMark><xsl:value-of select="ProductMark"/></ProductMark>
								</xsl:if>
								<xsl:if test="string-length(NumberExamination)>0">
									<NumberExamination><xsl:value-of select="NumberExamination"/></NumberExamination>
								</xsl:if>
								<xsl:if test="string-length(DateExamination)>0">	
									<DateExamination>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DateExamination"/>
										</xsl:call-template>
									</DateExamination>
								</xsl:if>
								<xsl:if test="string-length(MethodExamination)>0">		
									<MethodExamination><xsl:value-of select="MethodExamination"/></MethodExamination>
								</xsl:if>
								<xsl:if test="string-length(SickName)>0">		
									<SickName><xsl:value-of select="SickName"/></SickName>
								</xsl:if>
								<ResultExamination><xsl:value-of select="ResultExamination"/></ResultExamination>
							</ResearchLaboratory>
						</xsl:for-each>
						<xsl:for-each select="IMMUNIZATION/IMMUNIZATION_ITEM[string-length(NameProcessing)>0 and string-length(DateProcessing)>0]">
							<Immunization>
								<NameProcessing><xsl:value-of select="NameProcessing"/></NameProcessing>
								<DateProcessing>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DateProcessing"/>
									</xsl:call-template>
								</DateProcessing>
							</Immunization>
						</xsl:for-each>
						<xsl:for-each select="PROCESSINGPARASITES/PROCESSINGPARASITES_ITEM[string-length(NameProcessing)>0 and string-length(DateProcessing)>0]">
							<ProcessingParasites>
								<NameProcessing><xsl:value-of select="NameProcessing"/></NameProcessing>
								<DateProcessing>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DateProcessing"/>
									</xsl:call-template>
								</DateProcessing>
							</ProcessingParasites>
						</xsl:for-each>
						<PersonSignature>
							<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonSurname"/></cat_ru:PersonSurname>
							<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonName>
							<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
								<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
							</xsl:if>
							<xsl:if test="string-length(DocSig_PersonPost)>0">	
								<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
							</xsl:if>
							<xsl:if test="string-length(DocSig_IssueDate)>0">		
								<cat_ru:IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DocSig_IssueDate"/>
									</xsl:call-template>
								</cat_ru:IssueDate>
							</xsl:if>	
						</PersonSignature>
						<xsl:for-each select="MARKINSPECTION/MARKINSPECTION_ITEM[string-length(DateInspection)>0 and string-length(NamePlace)>0 and string-length(Inspection_PersonSurname)>0 and string-length(Inspection_PersonName)>0]">
							<MarkInspection>
								<DateInspection>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="DateInspection"/>
									</xsl:call-template>
								</DateInspection>
								<NamePlace><xsl:value-of select="NamePlace"/></NamePlace>
								<xsl:if test="string-length(ViewedProducts_Quantity)>0 and string-length(ViewedProducts_Weight)>0">
									<ViewedProducts>
										<Quantity><xsl:value-of select="ViewedProducts_Quantity"/></Quantity>
										<Weight><xsl:value-of select="format-number(round(ViewedProducts_Weight * 1000000) div 1000000,'0.######')"/></Weight>
									</ViewedProducts>	
								</xsl:if>
								<xsl:if test="string-length(QuantitySeized_Quantity)>0 and string-length(QuantitySeized_Weight)>0">
									<QuantitySeized>
										<Quantity><xsl:value-of select="QuantitySeized_Quantity"/></Quantity>
										<Weight><xsl:value-of select="format-number(round(QuantitySeized_Weight * 1000000) div 1000000,'0.######')"/></Weight>
									</QuantitySeized>	
								</xsl:if>
								<xsl:if test="string-length(QuantityPermitted_Quantity)>0 and string-length(QuantityPermitted_Weight)>0">
									<QuantityPermitted>
										<Quantity><xsl:value-of select="QuantityPermitted_Quantity"/></Quantity>
										<Weight><xsl:value-of select="format-number(round(QuantityPermitted_Weight * 1000000) div 1000000,'0.######')"/></Weight>
									</QuantityPermitted>	
								</xsl:if>
								<PersonSignatureInspection>
									<cat_ru:PersonSurname><xsl:value-of select="Inspection_PersonSurname"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="Inspection_PersonName"/></cat_ru:PersonName>
									<xsl:if test="string-length(Inspection_PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="Inspection_PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(Inspection_PersonPost)>0">	
										<cat_ru:PersonPost><xsl:value-of select="Inspection_PersonPost"/></cat_ru:PersonPost>
									</xsl:if>
									<xsl:if test="string-length(Inspection_IssueDate)>0">		
										<cat_ru:IssueDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="Inspection_IssueDate"/>
											</xsl:call-template>
										</cat_ru:IssueDate>
									</xsl:if>	
								</PersonSignatureInspection>
							</MarkInspection>
						</xsl:for-each>
						<xsl:for-each select="TRANSPORTINFO/TRANSPORTINFO_ITEM[string-length(TransportName)>0 or string-length(TransportNumber)>0 or string-length(TransportModeCode)>0 or string-length(TransportMeansNationalityCode)>0]">
							<TransportInfo>
								<xsl:if test="string-length(TransportName)>0">
									<TransportName><xsl:value-of select="TransportName"/></TransportName>
								</xsl:if>
								<xsl:if test="string-length(TransportNumber)>0">
									<TransportNumber><xsl:value-of select="TransportNumber"/></TransportNumber>
								</xsl:if>
								<xsl:if test="string-length(TransportModeCode)>0">
									<TransportModeCode><xsl:value-of select="TransportModeCode"/></TransportModeCode>
								</xsl:if>
								<xsl:if test="string-length(TransportMeansNationalityCode)>0">
									<TransportMeansNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></TransportMeansNationalityCode>
								</xsl:if>
							</TransportInfo>
						</xsl:for-each>
						<xsl:if test="string-length(TermWellBeing)>0 or string-length(UnitTermWellBeing)>0 or string-length(DescriptionWellBeing)>0">
							<WellBeingInfo>
								<xsl:if test="string-length(TermWellBeing)>0">
									<TermWellBeing><xsl:value-of select="TermWellBeing"/></TermWellBeing>
								</xsl:if>
								<xsl:if test="string-length(UnitTermWellBeing)>0">
									<UnitTermWellBeing><xsl:value-of select="UnitTermWellBeing"/></UnitTermWellBeing>
								</xsl:if>
								<xsl:if test="string-length(DescriptionWellBeing)>0">
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="DescriptionWellBeing"/>
										<xsl:with-param name="NodeName" select="'DescriptionWellBeing'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:SertifDocuments:VeterinaryCertificate:5.10.0'"/>
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
								</xsl:if>
							</WellBeingInfo>
						</xsl:if>
						<RegistrationInfo>
							<RegistrationNumber><xsl:value-of select="RegNum"/></RegistrationNumber>
							<xsl:if test="string-length(IssueDate)>0">
								<IssueDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="IssueDate"/>
									</xsl:call-template>
								</IssueDate>
							</xsl:if>
							<TerritorialAuthority><xsl:value-of select="TerritorialAuthority"/></TerritorialAuthority>
							<xsl:if test="string-length(CompetentAuthority)>0">
								<CompetentAuthority><xsl:value-of select="CompetentAuthority"/></CompetentAuthority>
							</xsl:if>
							<xsl:if test="string-length(IssueCountry)>0">
								<IssueCountry><xsl:value-of select="IssueCountry"/></IssueCountry>
							</xsl:if>							
						</RegistrationInfo>
					</VeterinaryCertificate>
				</DocBody>
			</ContainerDoc>
	</xsl:template>
</xsl:stylesheet>
