<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerCTM_SEA.xsl"/>
	<xsl:import href="ArmtiEDContainerInventoryArchDocID.xsl"/>
	<xsl:output method="xml"/>
	<xsl:param name="Now"/>
	<xsl:param name="copy_pit_to_whdocinventory"/>
	
	<xsl:key use="concat(../ContainerNum,../../../RegNum)" name="ContSeaWH" match="//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[string-length(ContainerNum)>0]/ContainerNum"/>
		
	<xsl:template name="TransportRWB" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
		<xsl:param name="Id"/>
		<xsl:for-each select="//RWB/RWB_ITEM/RWBCarriage/RWBCARRIAGE_ITEM[CarriageId=$Id]">
			<catWH_ru:RailRoad>
				<catWH_ru:RailStation>
					<xsl:value-of select="../../DepStationCode"/>
				</catWH_ru:RailStation>
			</catWH_ru:RailRoad>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="FirmCarrier" xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:if test="string-length(Carrier_Name) or string-length(Carrier_CountryCode)>0">
			<Carrier>
				<xsl:call-template name="OrgNode">
					<xsl:with-param name="Pref" select="'Carrier_'"/>
					<xsl:with-param name="ReqNode" select="false"/>
					<xsl:with-param name="PostalAddress" select="4"/>
					<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0'"/>
					<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				</xsl:call-template>
				<xsl:if test="string-length(Carrier_Driver_PersonName)>0 and string-length(Carrier_Driver_PersonSurname)>0">
					<catWH_ru:CarrierPerson>
						<cat_ru:PersonSurname><xsl:value-of select="Carrier_Driver_PersonSurname"/></cat_ru:PersonSurname>
						<cat_ru:PersonName><xsl:value-of select="Carrier_Driver_PersonName"/></cat_ru:PersonName>
						<xsl:if test="string-length(Carrier_Driver_PersonMiddleName)>0">
							<cat_ru:PersonMiddleName><xsl:value-of select="Carrier_Driver_PersonMiddleName"/></cat_ru:PersonMiddleName>
						</xsl:if>
						<xsl:if test="string-length(Carrier_Driver_PersonPost)>0">
							<cat_ru:PersonPost><xsl:value-of select="Carrier_Driver_PersonPost"/></cat_ru:PersonPost>
						</xsl:if>
					</catWH_ru:CarrierPerson>
				</xsl:if>		
			</Carrier>
		</xsl:if>	
	</xsl:template>		
	<xsl:template name="FirmConos" xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:if test="string-length(Consignor_Name)>0">
			<catWH_ru:Consignor>
				<xsl:if test="string-length(Consignor_CountryCode)>0">
					<xsl:variable select="Consignor_CountryCode" name="CCorCode"/>
					<catWH_ru:CountryCode>
						<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CCorCode]/Code"/>
					</catWH_ru:CountryCode>
				</xsl:if>
				<catWH_ru:OrganizationName>
					<xsl:value-of select="substring(translate(translate(Consignor_Name,'&#xA;',' '),'&#xA;&#xD;',' '),1,150)"/>
				</catWH_ru:OrganizationName>
				<xsl:call-template name="Address">
					<xsl:with-param name="Pref" select="'Consignor_'"/>
					<xsl:with-param name="NodeName" select="'catWH_ru:Address'"/>
					<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				</xsl:call-template>
			</catWH_ru:Consignor>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="string-length(Consignee_Name)>0">
				<catWH_ru:Consignee>
					<xsl:call-template name="OrgNode">
						<xsl:with-param name="Pref" select="'Consignee_'"/>
						<xsl:with-param name="ReqNode" select="false"/>
						<xsl:with-param name="PostalAddress" select="4"/>
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
						<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
					</xsl:call-template>
				</catWH_ru:Consignee>
			</xsl:when>
			<xsl:otherwise>
				<catWH_ru:Consignee>
					<catWH_ru:Address/>
				</catWH_ru:Consignee>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:key use="concat(./ContainerNum,../../RegNum,substring(../../RegDate,1,10))" match="//AWBGOODSCONTAINERS_ITEM" name="ContAWB"/>
	<xsl:template match="//AWBGOODSCONTAINERS_ITEM[string-length(ContainerNum)>0]" xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0"  xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
		<xsl:param name="CmrN"/>
		<xsl:param name="CmrD"/>		
		<xsl:variable name="Cont" select="ContainerNum"/>
		<xsl:if test="concat(../../RegNum,substring(../../RegDate,1,10))=concat($CmrN,$CmrD)">
			<Containers xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0"  xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
				<catWH_ru:ContainerNumber><xsl:value-of select="$Cont"/></catWH_ru:ContainerNumber>
				<xsl:variable name="WhC" select="format-number(round(sum(//AWBGoods/AWBGOODS_ITEM[AWBGoodsContainers/AWBGOODSCONTAINERS_ITEM/ContainerNum=$Cont and concat(../../RegNum,substring(../../RegDate,1,10))=concat($CmrN,$CmrD) and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 100000) div 100000,'0.######')"/>
				<xsl:if test="$WhC>0 and $WhC!='NaN'">
					<catWH_ru:GrossWeightQuantity><xsl:value-of select="$WhC"/></catWH_ru:GrossWeightQuantity>
				</xsl:if>	
			</Containers>
		</xsl:if>	
	</xsl:template>
	<xsl:key use="concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)" name="GoodsWHCMR" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)" name="GoodsWHCMRnotNum" match="//INVOICEGOODS_ITEM"/>
	<xsl:template name="WHCMRGoods">
		<xsl:param name="CMRNum"/>
		<xsl:choose>
			<xsl:when test="count(//CMR/CMR_ITEM)>1">
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsWHCMR',concat(../../CurrencyCode,$CMRNum,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
					<xsl:with-param name="Doc" select="'WHINV'"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsWHCMRnotNum',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="Doc" select="'WHINV'"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="GoodsInvoice" xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0">
		<Goods>
			<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
			<xsl:if test="string-length(GoodsCode)>0">
				<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catWH_ru:GoodsTNVEDCode>
			</xsl:if>
			<xsl:if test="string-length(TotalCost)>0">
				<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.##')"/></catWH_ru:InvoiceCost>
			</xsl:if>
			<xsl:if test="string-length(../../CurrencyCode)>0">
				<catWH_ru:CurrencyCode><xsl:value-of select="../../CurrencyCode"/></catWH_ru:CurrencyCode>
			</xsl:if>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods">
					<xsl:call-template name="GoodDescrAvto"/>
				</xsl:with-param>
				<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
				<xsl:with-param name="NameMes" select="false"/>
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<xsl:if test="string-length(PlacesQuantity)>0 or string-length(PlacesCode)>0 or string-length(PlacesDescription)>0">
				<catWH_ru:CargoPlace>
					<xsl:if test="string-length(PlacesQuantity)>0">
						<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
					</xsl:if>
					<xsl:if test="string-length(PlacesCode)>0">
						<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
					</xsl:if>
					<xsl:if test="string-length(PlacesDescription)>0">
						<catWH_ru:PlaceDescription><xsl:value-of select="PlacesDescription"/></catWH_ru:PlaceDescription>
					</xsl:if>
				</catWH_ru:CargoPlace>
			</xsl:if>
			<xsl:if test="string-length(GrossWeightQuantity)>0">
				<catWH_ru:BruttoVolQuant>
					<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
					<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
					<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:BruttoVolQuant>
			</xsl:if>
			<xsl:if test="string-length(GoodsQuantity)>0 and string-length(MeasureUnitQualifierCode)>0">
				<catWH_ru:MeasureQuantity>
					<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GoodsQuantity * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
					<xsl:if test="string-length(MeasureUnitQualifierName)>0">
						<catWH_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catWH_ru:MeasureUnitQualifierName>
					</xsl:if>
					<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catWH_ru:MeasureUnitQualifierCode>
				</catWH_ru:MeasureQuantity>
			</xsl:if>
		</Goods>
	</xsl:template>
	
	<xsl:template match="/Package">
		<xsl:apply-templates mode="whInventory-armti" select="WHDOCINVENTORY/WHDOCINVENTORY_ITEM">
			<xsl:with-param name="ArchNum" select="1"/>
		</xsl:apply-templates>
	</xsl:template>
	<xsl:template name="whInventory-armti">
		<xsl:apply-templates mode="whInventory-armti" select="WHDOCINVENTORY/WHDOCINVENTORY_ITEM"/>
	</xsl:template>
	<xsl:template match="WHDOCINVENTORY/WHDOCINVENTORY_ITEM" mode="whInventory-armti">
		<xsl:param name="ArchNum"/>
		<xsl:choose>
			<xsl:when test="count(//WHDOCINVENTORY/WHDOCINVENTORY_ITEM)=0">
				<xsl:message terminate="yes">Опись электронных документов для СВХ отсутсвует в пакете.</xsl:message>
			</xsl:when>
			<xsl:otherwise>
				<xsl:for-each select="//WHDOCINVENTORY[1]/WHDOCINVENTORY_ITEM">
					<WHDocInventory xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1008014E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
						<InventoryInstanceDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat">
									<xsl:choose>
										<xsl:when test="string-length(InventoryInstanceDate)>0">
											<xsl:value-of  select="InventoryInstanceDate"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$Now"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:with-param>
							</xsl:call-template>
						</InventoryInstanceDate>
						<xsl:for-each select="InventDocument/INVENTDOCUMENT_ITEM[string-length(InvDocCode)>0]">
							<xsl:variable name="NumDat" select="concat(Note,InvDocNumber,substring(InvDocDate,1,10))"/>	
							<xsl:variable name="Nums" select="InvDocNumber"/>
							<xsl:variable name="NotGDcl" select="count(//GENERALDECL_ITEM[concat('02099',$Nums)=concat('02099',IMO)])"/>
							<InventDocument>
								<xsl:choose>
									<xsl:when test="InvDocCode='09999' and count(//PASSPORTRF_ITEM[concat('Документ, удостоверяющий личность',RegNum,substring(RegDate,1,10))=$NumDat or concat('Паспорт гражданина РФ',RegNum,substring(RegDate,1,10))=$NumDat])>0">
										<InvDocCode>11001</InvDocCode>
									</xsl:when>
									<xsl:when test="InvDocCode='09999' and count(//DOVER_ITEM[concat(DocName,RegNum,substring(RegDate,1,10))=$NumDat])>0">
										<InvDocCode>11003</InvDocCode>
									</xsl:when>
									<xsl:otherwise>
										<InvDocCode><xsl:value-of select="InvDocCode"/></InvDocCode>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length(InvDocNumber)>0">
									<InvDocNumber><xsl:value-of select="InvDocNumber"/></InvDocNumber>
								</xsl:if>
								<xsl:if test="string-length(InvDocDate)>0 and InvDocCode!='02024' and number($NotGDcl)=0">	
									<InvDocDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="InvDocDate"/>
										</xsl:call-template>
									</InvDocDate>
								</xsl:if>	
								<xsl:if test="string-length(Note)>0">
									<Note><xsl:value-of select="normalize-space(substring(Note,1,250))"/></Note>
								</xsl:if>
								<xsl:if test="$ArchNum=1">
									<xsl:apply-templates mode="Inventory-Arch" select=".">
										<xsl:with-param name="namespace-uri" select="'urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0'"/>
										<xsl:with-param name="DocCode">
											<xsl:choose>
												<xsl:when test="InvDocCode='09999' and count(//PASSPORTRF_ITEM[concat('Документ, удостоверяющий личность',RegNum,substring(RegDate,1,10))=$NumDat or concat('Паспорт гражданина РФ',RegNum,substring(RegDate,1,10))=$NumDat])>0">11001</xsl:when>
												<xsl:when test="InvDocCode='09999' and count(//DOVER_ITEM[concat(DocName,RegNum,substring(RegDate,1,10))=$NumDat])>0">11003</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="InvDocCode"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:with-param>
									</xsl:apply-templates>
									<InventLineID>00000000-0000-0000-0000-000000000000</InventLineID>
								</xsl:if>
							</InventDocument>
						</xsl:for-each>
						<Sender>
							<xsl:choose>
								<xsl:when test="string-length(Carrier_Name) or string-length(Carrier_CountryCode)>0">
									<xsl:call-template name="FirmCarrier"/>
								</xsl:when>
								<xsl:when test="string-length(Sender_Customs_Code)>0">
									<Customs>
										<cat_ru:Code><xsl:value-of select="Sender_Customs_Code"/></cat_ru:Code>
										<xsl:if test="string-length(Sender_Customs_OfficeName)>0">
											<cat_ru:OfficeName><xsl:value-of select="Sender_Customs_OfficeName"/></cat_ru:OfficeName>
										</xsl:if>
										<xsl:if test="string-length(Sender_Customs_PersonName)>0 and string-length(Sender_Customs_PersonSurname)>0 and string-length(Sender_Customs_LNP)>0">
											<CustomsPerson>
												<cat_ru:PersonSurname><xsl:value-of select="Sender_Customs_PersonSurname"/></cat_ru:PersonSurname>
												<cat_ru:PersonName><xsl:value-of select="Sender_Customs_PersonName"/></cat_ru:PersonName>
												<xsl:if test="string-length(Sender_Customs_PersonMiddleName)>0">
													<cat_ru:PersonMiddleName><xsl:value-of select="Sender_Customs_PersonMiddleName"/></cat_ru:PersonMiddleName>
												</xsl:if>
												<xsl:if test="string-length(Sender_Customs_PersonPost)>0">
													<cat_ru:PersonPost><xsl:value-of select="Sender_Customs_PersonPost"/></cat_ru:PersonPost>
												</xsl:if>
												<catWH_ru:LNP><xsl:value-of select="Sender_Customs_LNP"/></catWH_ru:LNP>
											</CustomsPerson>
										</xsl:if>
									</Customs>
								</xsl:when>
							</xsl:choose>
						</Sender>
						<Receiver>
							<xsl:choose>
								<xsl:when test="string-length(Receiver_Customs_Code)>0">
									<Customs>
										<cat_ru:Code><xsl:value-of select="Receiver_Customs_Code"/></cat_ru:Code>
										<xsl:if test="string-length(Receiver_Customs_OfficeName)>0">
											<cat_ru:OfficeName><xsl:value-of select="Receiver_Customs_OfficeName"/></cat_ru:OfficeName>
										</xsl:if>
										<xsl:if test="string-length(Receiver_Customs_PersonName)>0 and string-length(Receiver_Customs_PersonSurname)>0 and string-length(Receiver_Customs_LNP)>0">
											<CustomsPerson>
												<cat_ru:PersonSurname><xsl:value-of select="Receiver_Customs_PersonSurname"/></cat_ru:PersonSurname>
												<cat_ru:PersonName><xsl:value-of select="Receiver_Customs_PersonName"/></cat_ru:PersonName>
												<xsl:if test="string-length(Receiver_Customs_PersonMiddleName)>0">
													<cat_ru:PersonMiddleName><xsl:value-of select="Receiver_Customs_PersonMiddleName"/></cat_ru:PersonMiddleName>
												</xsl:if>
												<xsl:if test="string-length(Receiver_Customs_PersonPost)>0">
													<cat_ru:PersonPost><xsl:value-of select="Receiver_Customs_PersonPost"/></cat_ru:PersonPost>
												</xsl:if>
												<catWH_ru:LNP><xsl:value-of select="Receiver_Customs_LNP"/></catWH_ru:LNP>
											</CustomsPerson>
										</xsl:if>
									</Customs>
								</xsl:when>
								<xsl:when test="string-length(SVH_DocumentNumber)>0">
									<SVH>
										<xsl:choose>
											<xsl:when test="SVH_DocumentModeCode=0"><DocumentModeCode>lic_Certificate</DocumentModeCode></xsl:when>
											<xsl:when test="SVH_DocumentModeCode=1"><DocumentModeCode>lic_Licence</DocumentModeCode></xsl:when>
											<xsl:when test="SVH_DocumentModeCode=2"><DocumentModeCode>lic_Permition</DocumentModeCode></xsl:when>
											<xsl:when test="SVH_DocumentModeCode=3"><DocumentModeCode>lic_PermZtk</DocumentModeCode></xsl:when>
											<xsl:when test="SVH_DocumentModeCode=4"><DocumentModeCode>lic_TempZtk</DocumentModeCode></xsl:when>
										</xsl:choose>
										<DocumentNumber><xsl:value-of select="SVH_DocumentNumber"/></DocumentNumber>
										<xsl:if test="string-length(SVH_DO1PresentDocumentDate)>0">
											<DO1PresentDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="SVH_DO1PresentDocumentDate"/>
												</xsl:call-template>
											</DO1PresentDocumentDate>
										</xsl:if>
										<xsl:if test="string-length(SVH_DO1PresentDocumentTime)>0">
											<DO1PresentDocumentTime>
												<xsl:call-template name="TranslateTime">
													<xsl:with-param name="Dat" select="SVH_DO1PresentDocumentTime"/>
												</xsl:call-template>
											</DO1PresentDocumentTime>
										</xsl:if>
									</SVH>
								</xsl:when>
							</xsl:choose>
						</Receiver>
						<xsl:if test="string-length(RegistrationNumber)>0 and substring(RegistrationNumber,1,9)='/' and substring(RegistrationNumber,1,16)='/'">
							<RegNumberDoc>
								<cat_ru:CustomsCode><xsl:value-of select="substring(RegistrationNumber,1,8)"/></cat_ru:CustomsCode>
								<cat_ru:RegistrationDate><xsl:value-of select="concat('20',substring(RegistrationNumber,14,2),'-',substring(RegistrationNumber,12,2),'-',substring(RegistrationNumber,10,2))"/></cat_ru:RegistrationDate>
								<cat_ru:GTDNumber><xsl:value-of select="substring(RegistrationNumber,17)"/></cat_ru:GTDNumber>
							</RegNumberDoc>
						</xsl:if>
						<xsl:if test="string-length(CertificateKind)>0 and string-length(CertificateNumber)>0">
							<WarehouseLicense>
								<catWH_ru:CertificateKind>
									<xsl:choose>
											<xsl:when test="CertificateKind=0">lic_Certificate</xsl:when>
											<xsl:when test="CertificateKind=1">lic_Licence</xsl:when>
											<xsl:when test="CertificateKind=2">lic_Permition</xsl:when>
											<xsl:when test="CertificateKind=3">lic_PermZtk</xsl:when>
											<xsl:when test="CertificateKind=4">lic_TempZtk</xsl:when>
										</xsl:choose>
								</catWH_ru:CertificateKind>
								<catWH_ru:CertificateNumber><xsl:value-of select="CertificateNumber"/></catWH_ru:CertificateNumber>
								<xsl:if test="string-length(CertificateDate)>0">
									<catWH_ru:CertificateDate>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="CertificateDate"/>
										</xsl:call-template>	
									</catWH_ru:CertificateDate>
								</xsl:if>
							</WarehouseLicense>
						</xsl:if>
						<xsl:if test="count(//ARRSEADECL)>0 or count(//CONOSAMENT)>0 or count(//GENERALDECL)>0 or count(//CMR)>0 or count(//RWB)>0  or count(//TTN)>0 or count(//GENERALDECLAIR)>0">
							<xsl:choose>
								<xsl:when test="count(//GENERALDECLAIR)>0">
									<xsl:for-each select="//GENERALDECLAIR[1]/GENERALDECLAIR_ITEM">
										<Transports>
											<catWH_ru:TransportModeCode>40</catWH_ru:TransportModeCode>
											<catWH_ru:TransportIdentifier>
												<xsl:value-of select="AirplaneRegNumber"/>
											</catWH_ru:TransportIdentifier>
											<catWH_ru:Avia>
												<xsl:if test="string-length(FlNumber)>0">
													<catWH_ru:FlightNumber>
														<xsl:value-of select="FlNumber"/>
													</catWH_ru:FlightNumber>
												</xsl:if>
												<xsl:if test="string-length(FlDate)>0">
													<catWH_ru:FlightDate>
														<xsl:call-template name="TranslateDate">
															<xsl:with-param name="Dat" select="FlDate"/>
														</xsl:call-template>
													</catWH_ru:FlightDate>
												</xsl:if>
											</catWH_ru:Avia>
										</Transports>	
									</xsl:for-each>
								</xsl:when>
								<xsl:when test="count(//CMR)>0 or count(//TTN)>0">
									<xsl:for-each select="//CMR/CMR_ITEM|//TTN/TTN_ITEM">
										<Transports>
											<catWH_ru:TransportModeCode>30</catWH_ru:TransportModeCode>
											<catWH_ru:TransportIdentifier><xsl:value-of select="PrimeMoverStateSignID"/></catWH_ru:TransportIdentifier>
											<catWH_ru:Avto>
												<xsl:if test="string-length(TrailerStateSignID)>0">
													<catWH_ru:TrailerIdentifier><xsl:value-of select="TrailerStateSignID"/></catWH_ru:TrailerIdentifier>
												</xsl:if>
												<xsl:if test="string-length(TrailerStateSignID2)>0">
													<catWH_ru:SecondTrailerIdentifier><xsl:value-of select="TrailerStateSignID2"/></catWH_ru:SecondTrailerIdentifier>
												</xsl:if>
											</catWH_ru:Avto>
										</Transports>
									</xsl:for-each>
								</xsl:when>
								<xsl:when test="count(//RWB)>0">
									<xsl:for-each select="//RWB/RWB_ITEM">
										<xsl:choose>
											<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0])>0">
												<xsl:for-each select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0]">
													<Transports>
														<catWH_ru:TransportModeCode>20</catWH_ru:TransportModeCode>
														<catWH_ru:TransportIdentifier><xsl:value-of select="CarriageId"/></catWH_ru:TransportIdentifier>
														<xsl:call-template name="TransportRWB">
															<xsl:with-param name="Id" select="CarriageId"/>
														</xsl:call-template>
													</Transports>
												</xsl:for-each>
											</xsl:when>
											<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>0">
												<xsl:for-each select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]">
													<Transports>
														<catWH_ru:TransportModeCode>20</catWH_ru:TransportModeCode>
														<catWH_ru:TransportIdentifier><xsl:value-of select="RailwayBill"/></catWH_ru:TransportIdentifier>
														<xsl:call-template name="TransportRWB">
															<xsl:with-param name="Id" select="RailwayBill"/>
														</xsl:call-template>
													</Transports>
												</xsl:for-each>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</xsl:when>
								<xsl:when test="count(//GENERALDECL)>0">
									<Transports>
										<catWH_ru:TransportModeCode>10</catWH_ru:TransportModeCode>
										<xsl:for-each select="//GENERALDECL/GENERALDECL_ITEM">
											<catWH_ru:TransportIdentifier><xsl:value-of select="VesselName"/></catWH_ru:TransportIdentifier>
											<catWH_ru:Sea>
												<xsl:if test="string-length(VesselNationalityCode)>0">
													<xsl:variable select="VesselNationalityCode" name="VNCode"/>
													<catWH_ru:CountryCode>
														<xsl:choose>
															<xsl:when test="number(VesselNationalityCode)>0">
																<xsl:value-of select="VesselNationalityCode"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VNCode]/Code"/>
															</xsl:otherwise>
														</xsl:choose>
													</catWH_ru:CountryCode>
												</xsl:if>
												<xsl:if test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
													<catWH_ru:Captain>
														<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
														<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
														<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
															<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
														</xsl:if>
														<xsl:if test="string-length(DocSig_PersonPost)>0">
															<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
														</xsl:if>
													</catWH_ru:Captain>
												</xsl:if>
											</catWH_ru:Sea>
										</xsl:for-each>
									</Transports>	
								</xsl:when>
								<xsl:when test="count(//ARRSEADECL)>0 and count(//GENERALDECL)=0">
									<Transports>
										<catWH_ru:TransportModeCode>10</catWH_ru:TransportModeCode>
										<xsl:for-each select="//ARRSEADECL/ARRSEADECL_ITEM">
											<catWH_ru:TransportIdentifier>
												<xsl:value-of select="VesselName"/>
											</catWH_ru:TransportIdentifier>
											<catWH_ru:Sea>
												<xsl:if test="string-length(VesselNationalityCode)>0">
													<xsl:variable select="VesselNationalityCode" name="VNCode"/>
													<catWH_ru:CountryCode>
														<xsl:choose>
															<xsl:when test="number(VesselNationalityCode)>0">
																<xsl:value-of select="VesselNationalityCode"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VNCode]/Code"/>
															</xsl:otherwise>
														</xsl:choose>
													</catWH_ru:CountryCode>
												</xsl:if>
												<xsl:if test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
													<catWH_ru:Captain>
														<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
														<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
														<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
															<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
														</xsl:if>
														<xsl:if test="string-length(DocSig_PersonPost)>0">
															<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
														</xsl:if>
													</catWH_ru:Captain>
												</xsl:if>
											</catWH_ru:Sea>
										</xsl:for-each>
									</Transports>	
								</xsl:when>
								<xsl:when test="count(//CONOSAMENT)>0 and count(//ARRSEADECL)=0 and count(//GENERALDECL)=0">
									<Transports>
										<catWH_ru:TransportModeCode>10</catWH_ru:TransportModeCode>
										<xsl:for-each select="//CONOSAMENT[1]/CONOSAMENT_ITEM">
											<catWH_ru:TransportIdentifier>
												<xsl:value-of select="VesselName"/>
											</catWH_ru:TransportIdentifier>
											<catWH_ru:Sea>
												<xsl:if test="string-length(VesselNationalityCode)>0 or string-length(VesselNationalityCodeNum)>0 ">
													<xsl:variable select="VesselNationalityCode" name="VNCode"/>
													<catWH_ru:CountryCode>
														<xsl:choose>
															<xsl:when test="number(VesselNationalityCode)>0">
																<xsl:value-of select="VesselNationalityCode"/>
															</xsl:when>
															<xsl:when test="number(VesselNationalityCodeNum)>0">
																<xsl:value-of select="VesselNationalityCodeNum"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VNCode]/Code"/>
															</xsl:otherwise>
														</xsl:choose>
													</catWH_ru:CountryCode>
												</xsl:if>
												<xsl:if test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
													<catWH_ru:Captain>
														<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
														<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
														<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
															<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
														</xsl:if>
														<xsl:if test="string-length(DocSig_PersonPost)>0">
															<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
														</xsl:if>
													</catWH_ru:Captain>
												</xsl:if>
											</catWH_ru:Sea>
										</xsl:for-each>
									</Transports>	
								</xsl:when>
							</xsl:choose>
						</xsl:if>
						<xsl:call-template name="FirmCarrier"/>
						<xsl:choose>
							<xsl:when test="count(//AWB)>0 and count(//GENERALDECLAIR)>0">
								<xsl:for-each select="//AWB/AWB_ITEM">
									<xsl:variable name="NumCmr" select="RegNum"/>
									<xsl:variable name="DatCmr">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<GoodsShipment>
										<cat_ru:PrDocumentName>Авиационная Накладная</cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
										<catWH_ru:PresentedDocumentModeCode>02017</catWH_ru:PresentedDocumentModeCode>
										<xsl:call-template name="FirmConos"/>
										<xsl:for-each select="AWBGoods/AWBGOODS_ITEM">
											<Goods>
												<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
												<xsl:if test="string-length(GoodsCode)>0">
													<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCommodityCode"/></catWH_ru:GoodsTNVEDCode>
												</xsl:if>
												<xsl:if test="string-length(TotalSum)>0">
													<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(TotalSum * 100) div 100,'0.##')"/></catWH_ru:InvoiceCost>
												</xsl:if>
												<xsl:if test="string-length(../../AgreedValuationCurrencyCode)>0">
													<catWH_ru:CurrencyCode><xsl:value-of select="../../AgreedValuationCurrencyCode"/></catWH_ru:CurrencyCode>
												</xsl:if>
												<xsl:for-each select="AWBGoodsDsc/AWBGOODSDSC_ITEM[string-length(GoodsDescription)>0]">
													<catWH_ru:GoodsDescription><xsl:value-of select="GoodsDescription"/></catWH_ru:GoodsDescription>
												</xsl:for-each>
												<xsl:if test="string-length(FactPlacesQuantity)>0 or string-length(PlacesModeDescription)>0">
													<catWH_ru:CargoPlace>
														<xsl:if test="string-length(FactPlacesQuantity)>0">
															<catWH_ru:PlaceNumber><xsl:value-of select="FactPlacesQuantity"/></catWH_ru:PlaceNumber>
														</xsl:if>
														<xsl:if test="string-length(PlacesModeDescription)>0">
															<catWH_ru:PlaceDescription><xsl:value-of select="PlacesModeDescription"/></catWH_ru:PlaceDescription>
														</xsl:if>
													</catWH_ru:CargoPlace>
												</xsl:if>
												<xsl:if test="string-length(GrossWeightQuantity)>0">
													<catWH_ru:BruttoVolQuant>
														<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
														<xsl:choose>
															<xsl:when test="WeightUnitQualifierCode='k' or WeightUnitQualifierCode='K'">
																<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
																<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
															</xsl:when>
															<xsl:when test="WeightUnitQualifierCode='f' or WeightUnitQualifierCode='F'">
																<catWH_ru:MeasureUnitQualifierName>ФУТЫ</catWH_ru:MeasureUnitQualifierName>
															</xsl:when>
														</xsl:choose>	
													</catWH_ru:BruttoVolQuant>
												</xsl:if>
											</Goods>
										</xsl:for-each>
										<xsl:if test="count(//AWBGOODSCONTAINERS_ITEM[generate-id(.)=generate-id(key('ContAWB',concat(./ContainerNum,$NumCmr,$DatCmr)))])>0">
											<xsl:apply-templates select="//AWBGOODSCONTAINERS_ITEM[generate-id(.)=generate-id(key('ContAWB',concat(./ContainerNum,$NumCmr,$DatCmr)))]">
												<xsl:with-param name="CmrN" select="$NumCmr"/>
												<xsl:with-param name="CmrD" select="$DatCmr"/>
											</xsl:apply-templates>
										</xsl:if>
									</GoodsShipment>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="count(//CMR)>0">
								<xsl:for-each select="//CMR/CMR_ITEM">
									<xsl:variable name="NumCmr" select="RegNum"/>
									<xsl:variable name="DatCmr">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:variable name="PosCmr" select="count(../preceding-sibling::*)"/>
									<xsl:variable name="NumCmrGr" select="concat(RegNum,$DatCmr,$PosCmr)"/>
									<xsl:variable name="Groups" select="GroupGoods"/>
									<GoodsShipment>
										<cat_ru:PrDocumentName>CMR</cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
										<catWH_ru:PresentedDocumentModeCode>02015</catWH_ru:PresentedDocumentModeCode>
										<xsl:call-template name="FirmConos"/>
										<xsl:choose>
											<xsl:when test="GroupGoods=1">
												<xsl:call-template name="WHCMRGoods">
													<xsl:with-param name="CMRNum" select="$NumCmrGr"/>
													<xsl:with-param name="CmrN" select="$NumCmr"/>
													<xsl:with-param name="CmrD" select="$DatCmr"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:choose>
													<xsl:when test="count(//CMR/CMR_ITEM)>1">
														<xsl:for-each select="//INVOICEGOODS_ITEM[../../NumDateCMR=$NumCmrGr]">
															<xsl:call-template name="GoodsInvoice"/>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:for-each select="//INVOICEGOODS_ITEM">
															<xsl:call-template name="GoodsInvoice"/>
														</xsl:for-each>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:if test="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))])>0">
											<xsl:apply-templates select="//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))]">
												<xsl:with-param name="CmrN" select="$NumCmr"/>
												<xsl:with-param name="CmrD" select="$DatCmr"/>
												<xsl:with-param name="Flg" select="3"/>
											</xsl:apply-templates>
										</xsl:if>
									</GoodsShipment>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="count(//TTN)>0">
								<xsl:for-each select="//TTN/TTN_ITEM">
									<xsl:variable name="NumCmr" select="RegNum"/>
									<xsl:variable name="DatCmr">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:variable name="PosCmr" select="count(../preceding-sibling::*)"/>
									<xsl:variable name="NumCmrGr" select="concat(RegNum,$DatCmr,$PosCmr)"/>
									<xsl:variable name="Groups" select="GroupGoods"/>
									<GoodsShipment>
										<cat_ru:PrDocumentName>ТТН</cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
										<catWH_ru:PresentedDocumentModeCode>02016</catWH_ru:PresentedDocumentModeCode>
										<xsl:call-template name="FirmConos"/>
										<Goods>
											<catWH_ru:GoodsNumber>1</catWH_ru:GoodsNumber>
											<xsl:if test="string-length(GoodsCost)>0">
												<catWH_ru:InvoiceCost><xsl:value-of select="round(GoodsCost * 100) div 100"/></catWH_ru:InvoiceCost>
											</xsl:if>
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="GoodsDescription"/>
												<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
												<xsl:with-param name="NameMes" select="false"/>
												<xsl:with-param name="LenDes" select="250"/>
											</xsl:call-template>
											<xsl:if test="string-length(GoodsQuantity)>0">
												<catWH_ru:CargoPlace>
													<catWH_ru:PlaceNumber><xsl:value-of select="format-number(round(GoodsQuantity * 100000) div 100000,'0.######')"/></catWH_ru:PlaceNumber>
												</catWH_ru:CargoPlace>
											</xsl:if>
											<xsl:if test="string-length(GrossWeightQuantity)>0">
												<catWH_ru:BruttoVolQuant>
													<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 100000) div 100000,'0.######')"/></catWH_ru:GoodsQuantity>
													<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
													<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
												</catWH_ru:BruttoVolQuant>
											</xsl:if>
										</Goods>
										<xsl:if test="string-length(ContainerID)>0">
											<xsl:choose>
												<xsl:when test="string-length(normalize-space(ContainerID))=11">
													<Containers>
														<catWH_ru:ContainerNumber><xsl:value-of select="normalize-space(ContainerID)"/></catWH_ru:ContainerNumber>
													</Containers>
												</xsl:when>
												<xsl:when test="string-length(normalize-space(ContainerID))>11">
													<xsl:call-template name="tokenize">
														<xsl:with-param name="string" select="normalize-space(ContainerID)"/>
														<xsl:with-param name="NameN" select="'Containers'"/>
														<xsl:with-param name="NameNsp" select="'urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0'"/>
														<xsl:with-param name="NodeName" select="'catWH_ru:ContainerNumber'"/>
														<xsl:with-param name="Nodespace" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
														<xsl:with-param name="delimiters" select="','"/>
													</xsl:call-template>
												</xsl:when>
											</xsl:choose>
										</xsl:if>
									</GoodsShipment>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="count(//RWB)>0">
								<xsl:for-each select="//RWB/RWB_ITEM">
									<xsl:variable name="NumRw" select="RegNum"/>
									<xsl:variable name="DatRw">
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="RegDate"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:variable name="ContNum" select="ContainerID"/>
									<xsl:variable name="PosCmr" select="count(../preceding-sibling::*)"/>
									<xsl:variable name="NumRwGr" select="concat($NumRw,$DatRw,$PosCmr)"/>
									<GoodsShipment>
										<cat_ru:PrDocumentName>Накладная СМГС</cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<cat_ru:PrDocumentDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="RegDate"/>
											</xsl:call-template>
										</cat_ru:PrDocumentDate>
										<catWH_ru:PresentedDocumentModeCode>02013</catWH_ru:PresentedDocumentModeCode>
										<xsl:call-template name="FirmConos"/>
										<xsl:for-each select="//INVOICE/INVOICE_ITEM">
											<xsl:if test="Container/CONTAINER_ITEM/ContainerID=$ContNum">
												<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
													<xsl:call-template name="GoodsInvoice"/>
												</xsl:for-each>
											</xsl:if>
										</xsl:for-each>
										<xsl:if test="string-length($ContNum)>0">
											<Containers>
												<catWH_ru:ContainerNumber>
													<xsl:choose>
														<xsl:when test="contains($ContNum,'-P')">
															<xsl:value-of select="normalize-space(substring-before($ContNum,'-P'))"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="$ContNum"/>
														</xsl:otherwise>
													</xsl:choose>
												</catWH_ru:ContainerNumber>
												<xsl:if test="//INVOICE/INVOICE_ITEM/Container/CONTAINER_ITEM/ContainerID=$ContNum and string-length(//INVOICE/INVOICE_ITEM[Container/CONTAINER_ITEM/ContainerID=$ContNum]/GrossWeightQuantity)>0">
													<catWH_ru:GrossWeightQuantity>
														<xsl:value-of select="//INVOICE/INVOICE_ITEM[Container/CONTAINER_ITEM/ContainerID=$ContNum]/GrossWeightQuantity"/>
													</catWH_ru:GrossWeightQuantity>
												</xsl:if>
											</Containers>
										</xsl:if>	
									</GoodsShipment>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="count(//CONOSAMENT)>0 or count(//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[string-length(ConosamentNum)>0])>0">
								<xsl:for-each select="//CONOSAMENT_ITEM">
									<xsl:variable name="num-conosament" select="RegNum"/>
									<xsl:variable name="uin-conosament">
										<xsl:choose>
											<xsl:when test="string-length(PI_RegID)>0">
												<xsl:value-of  select="PI_RegID"/>
											</xsl:when>
											<xsl:when test="count(//ARRSEADECL)>0 and count(//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[generate-id(.)=generate-id(key('Conosament',$num-conosament))])>0 and string-length($num-conosament)>0">
												<xsl:value-of  select="//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[ConosamentNum=$num-conosament]/ConosamentID"/>
											</xsl:when>
										</xsl:choose>
									</xsl:variable>
									<GoodsShipment>
										<cat_ru:PrDocumentName>Коносамент</cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="RegNum"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length(RegDate)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat" select="RegDate"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>	
										<catWH_ru:PresentedDocumentModeCode>02011</catWH_ru:PresentedDocumentModeCode>
										<xsl:call-template name="FirmConos"/>
										<xsl:choose>
											<xsl:when test="$copy_pit_to_whdocinventory=1 and string-length($uin-conosament)>0 and count(//ESADOUT_PIT[@UIN=$uin-conosament and ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[DocumentNumber=$num-conosament and ModeCode='02011']])>0">
												<xsl:call-template name="GoodsFromPit">
													<xsl:with-param name="uin-conosament"  select="$uin-conosament"/>
													<xsl:with-param name="num-conosament"  select="$num-conosament"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:for-each select="CONOSAMENTGoods/CONOSAMENTGOODS_ITEM">
													<Goods>
														<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
														<xsl:if test="string-length(GoodsNomenclatureCode)>0">
															<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsNomenclatureCode"/></catWH_ru:GoodsTNVEDCode>
														</xsl:if>
														<xsl:if test="string-length(Price)>0 and string-length(GoodsQuantity)>0">
															<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(Price * GoodsQuantity * 100) div 100,'0.##')"/></catWH_ru:InvoiceCost>
														</xsl:if>
														<xsl:if test="string-length(../../CurrencyCode)>0">
															<catWH_ru:CurrencyCode><xsl:value-of select="../../CurrencyCode"/></catWH_ru:CurrencyCode>
														</xsl:if>
														<xsl:call-template name="GoodsDescr">
															<xsl:with-param name="DesGoods" select="GoodsDescription"/>
															<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
															<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
															<xsl:with-param name="NameMes" select="false"/>
															<xsl:with-param name="LenDes" select="250"/>
														</xsl:call-template>
														<xsl:if test="string-length(PlacesQuantity)>0">
															<catWH_ru:CargoPlace>
																<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
															</catWH_ru:CargoPlace>
														</xsl:if>
														<xsl:if test="string-length(GrossWeightQuantity)>0">
															<catWH_ru:BruttoVolQuant>
																<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity* 1000) div 1000,'0.###')"/></catWH_ru:GoodsQuantity>
																<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
																<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
															</catWH_ru:BruttoVolQuant>
														</xsl:if>
														<xsl:if test="string-length(VolumeQuantity)>0">
															<catWH_ru:MeasureQuantity>
																<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(VolumeQuantity* 1000) div 1000,'0.###')"/></catWH_ru:GoodsQuantity>
																<catWH_ru:MeasureUnitQualifierName>М3</catWH_ru:MeasureUnitQualifierName>
																<catWH_ru:MeasureUnitQualifierCode>113</catWH_ru:MeasureUnitQualifierCode>
															</catWH_ru:MeasureQuantity>
														</xsl:if>
													</Goods>
												</xsl:for-each>
												<xsl:variable name="NumSea" select="RegNum"/>
												<xsl:if test="count(//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[../../RegNum=$NumSea and string-length(ContainerNum)>0])>0">
													<xsl:variable name="ContainerConosament" select="//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM/ContainerNum[generate-id(.)=generate-id(key('ContSeaWH',concat(../ContainerNum,$NumSea))) and string-length(../ContainerNum)>0]"/>
													<xsl:for-each select="$ContainerConosament">
														<xsl:variable name="n-container" select="."/>
														<Containers>
															<catWH_ru:ContainerNumber><xsl:value-of select="$n-container"/></catWH_ru:ContainerNumber>
															<xsl:variable name="GrossWeight" select="format-number(round(sum(//CONOSAMENTGoods/CONOSAMENTGOODS_ITEM[ContainerNum=$n-container and ../../RegNum=$NumSea and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 100000) div 100000,'0.######')"/>
															<xsl:if test="$GrossWeight>0 and $GrossWeight!='NaN'">
																<catWH_ru:GrossWeightQuantity><xsl:value-of select="$GrossWeight"/></catWH_ru:GrossWeightQuantity>
															</xsl:if>	
														</Containers>
													</xsl:for-each>
												</xsl:if>
											</xsl:otherwise>
										</xsl:choose>		
									</GoodsShipment>
								</xsl:for-each>
								<xsl:if test="count(//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[string-length(ConosamentNum)>0])>0">
									<xsl:for-each select="//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[string-length(ConosamentNum)>0]">
										<xsl:variable name="ConosamentNum" select="ConosamentNum"/>
										<xsl:if  test="string-length($ConosamentNum)>0 and count(//CONOSAMENT_ITEM[RegNum=$ConosamentNum])=0">
										
											<xsl:variable name="uin-arrdclconosament"  select="//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[ConosamentNum=$ConosamentNum]/ConosamentID"/>
											<xsl:choose>
												<xsl:when test="$copy_pit_to_whdocinventory=1 and string-length($uin-arrdclconosament)>0 and count(//ESADOUT_PIT[@UIN=$uin-arrdclconosament and ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[DocumentNumber=$ConosamentNum and ModeCode='02011']])>0">
													<GoodsShipment>
														<xsl:call-template name="GoodsFromPit">
															<xsl:with-param name="uin-conosament"  select="$uin-arrdclconosament"/>
															<xsl:with-param name="num-conosament"  select="$ConosamentNum"/>	
															<xsl:with-param name="conosament-from-arrdcl">1</xsl:with-param>
														</xsl:call-template>
													</GoodsShipment>
												</xsl:when>
												<xsl:otherwise>
													<xsl:apply-templates select="//ARRSEADECLGoods/ARRSEADECLGOODS_ITEM[generate-id(.)=generate-id(key('Conosament',$ConosamentNum)) and string-length(ConosamentNum)>0]">
														<xsl:with-param name="ArrSeaD"  select="2"/>
													</xsl:apply-templates>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:if>
									</xsl:for-each>	
								</xsl:if>
							</xsl:when>
						</xsl:choose>
					</WHDocInventory>
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:key use="concat(../ContainerNum,../../../EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[ModeCode='02011']/DocumentNumber,../../../../../../@UIN,../../../../../../@pid)" name="ContPIT" match="//ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID"/>

	<xsl:template name="GoodsFromPit"  xmlns="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:param name="uin-conosament"/>
		<xsl:param name="num-conosament"/>
		<xsl:param name="conosament-from-arrdcl"/>
		<xsl:for-each select="//ESADOUT_PIT[@UIN=$uin-conosament and ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[DocumentNumber=$num-conosament and ModeCode='02011']]">
			<xsl:sort select="@pid" order="descending"/>
			<xsl:if test="position()=1">
				<xsl:variable name="max-pid" select="@pid"/>
				<xsl:if  test="$conosament-from-arrdcl=1">
					<cat_ru:PrDocumentName>Коносамент</cat_ru:PrDocumentName>
					<cat_ru:PrDocumentNumber><xsl:value-of select="$num-conosament"/></cat_ru:PrDocumentNumber>
					<xsl:variable name="dat-conosament" select="ESADOUT_PIT_ITEM/ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[DocumentNumber=$num-conosament and ModeCode='02011']/DocumentDate"/>
					<xsl:if test="string-length($dat-conosament)>0">
						<cat_ru:PrDocumentDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="$dat-conosament"/>
							</xsl:call-template>
						</cat_ru:PrDocumentDate>
					</xsl:if>	
					<catWH_ru:PresentedDocumentModeCode>02011</catWH_ru:PresentedDocumentModeCode>
					<xsl:for-each select="ESADOUT_PIT_ITEM">
						<xsl:call-template name="FirmConos"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:for-each select="//ESADOUT_PITGoods[../../@UIN=$uin-conosament and ../../@pid=$max-pid]/ESADOUT_PITGOODS_ITEM[EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[DocumentNumber=$num-conosament and ModeCode='02011']]">
					<Goods>
						<catWH_ru:GoodsNumber><xsl:value-of select="position()"/></catWH_ru:GoodsNumber>
						<xsl:if test="string-length(GoodsCode)>0">
							<catWH_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catWH_ru:GoodsTNVEDCode>
						</xsl:if>
						<xsl:if test="string-length(InvoicedCost)>0">
							<catWH_ru:InvoiceCost><xsl:value-of select="format-number(round(InvoicedCost * 100) div 100,'0.##')"/></catWH_ru:InvoiceCost>
						</xsl:if>
						<xsl:if test="string-length(CurrencyCode)>0">
							<catWH_ru:CurrencyCode><xsl:value-of select="CurrencyCode"/></catWH_ru:CurrencyCode>
						</xsl:if>
						<xsl:call-template name="GoodsDescr">
							<xsl:with-param name="DesGoods" select="GoodsDescription"/>
							<xsl:with-param name="NodeName" select="'catWH_ru:GoodsDescription'"/>
							<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
							<xsl:with-param name="NameMes" select="false"/>
							<xsl:with-param name="LenDes" select="250"/>
						</xsl:call-template>
						<xsl:if test="string-length(PlacesQuantity)>0">
							<catWH_ru:CargoPlace>
								<catWH_ru:PlaceNumber><xsl:value-of select="PlacesQuantity"/></catWH_ru:PlaceNumber>
								<xsl:if test="string-length(PlacesCode)>0">
									<catWH_ru:PackageCode><xsl:value-of select="PlacesCode"/></catWH_ru:PackageCode>
								</xsl:if>
							</catWH_ru:CargoPlace>
						</xsl:if>
						<xsl:if test="string-length(GrossWeightQuantity)>0">
							<catWH_ru:BruttoVolQuant>
								<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000) div 1000,'0.###')"/></catWH_ru:GoodsQuantity>
								<catWH_ru:MeasureUnitQualifierName>КГ</catWH_ru:MeasureUnitQualifierName>
								<catWH_ru:MeasureUnitQualifierCode>166</catWH_ru:MeasureUnitQualifierCode>
							</catWH_ru:BruttoVolQuant>
						</xsl:if>
						<xsl:if test="string-length(GoodsQuantity)>0 and number(GoodsQuantity)>0">
							<catWH_ru:MeasureQuantity>
								<catWH_ru:GoodsQuantity><xsl:value-of select="format-number(round(GoodsQuantity * 1000) div 1000,'0.###')"/></catWH_ru:GoodsQuantity>
								<xsl:if test="string-length(CodeDEI)>0">
									<catWH_ru:MeasureUnitQualifierCode><xsl:value-of select="CodeDEI"/></catWH_ru:MeasureUnitQualifierCode>
								</xsl:if>
							</catWH_ru:MeasureQuantity>
						</xsl:if>
					</Goods>
				</xsl:for-each>
				<xsl:variable name="num-container" select="//ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM/Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID[generate-id(.)=generate-id(key('ContPIT',concat(../ContainerNum,$num-conosament,$uin-conosament,$max-pid)))]"/>	
				<xsl:for-each select="$num-container">
					<xsl:variable name="NumContainer" select="."/>
					<xsl:variable name="WhContainer" select="format-number(round(sum(//ESADOUT_PITGoods[../../@UIN=$uin-conosament and ../../@pid=$max-pid]/ESADOUT_PITGOODS_ITEM[EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[DocumentNumber=$num-conosament and ModeCode='02011'] and string-length(GrossWeightQuantity)>0 and Container/CONTAINER_ITEM/ContainerID=$NumContainer]/GrossWeightQuantity) * 100000) div 100000,'0.######')"/>
					<Containers>
						<catWH_ru:ContainerNumber><xsl:value-of select="."/></catWH_ru:ContainerNumber>
						<xsl:if test="$WhContainer>0 and $WhContainer!='NaN'">
							<catWH_ru:GrossWeightQuantity><xsl:value-of select="$WhContainer"/></catWH_ru:GrossWeightQuantity>
						</xsl:if>	
					</Containers>
				</xsl:for-each>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>	
</xsl:stylesheet>
