<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
			<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
			<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
			<xsl:variable name="en-upcase" select="'ABCDEFGHIJKLMNOPQRSTUWVXYZ'"/>
			<xsl:variable name="en-lowcase" select="'abcdefghijklmnopqrstuwvxyz'"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[1]), '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="NAME" use="concat(    generate-id(ancestor::node()[2]),    '/',    translate(local-name(ancestor::*[1]), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ'),    '/',    translate(local-name(), 'abcdefghijklmnopqrstuwvxyz', 'ABCDEFGHIJKLMNOPQRSTUWVXYZ')    )" match="*"/>
			<xsl:key name="DO_STATUS" use="NumCode" match="*[@xml:id = 'DO_STATUS']/*"/>
			<xsl:key name="DO_LIC_TYPE" use="NumCode" match="*[@xml:id = 'DO_LIC_TYPE']/*"/>
	<xsl:template match="/">
		<!--понадобится для EPS_DocResponse отдельно от Package.Armti-EDContainer.xsl, да и для тестов может пригодится возможность самостоятельного вызова в Transform без импорта в другой xsl-->
		<xsl:for-each select="/Package">
			<xsl:call-template name="WBEI">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="false()"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="WBEI">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:for-each select="key('NAME', concat(generate-id(), '/WBEI/WBEI_ITEM'))">
			<xsl:call-template name="ContainerDoc-DocBody">
				<xsl:with-param name="enclose-to-ContainerDoc-DocBody" select="$enclose-to-ContainerDoc-DocBody"/>
				<xsl:with-param name="content">
					<WayBillExpressIndividual DocumentModeID="1002018E" xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<cat_ru:DocumentID>000000000000-0000-0000-0000-00000000</cat_ru:DocumentID>
						<WayBillNumber><xsl:value-of select="RegNum"/></WayBillNumber>
						<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
						<ShipmentType><xsl:value-of select="ShipmentType"/></ShipmentType>
						<xsl:if test="string-length(Services)>0">
							<Services><xsl:value-of select="Services"/></Services>
						</xsl:if>
						<xsl:if test="string-length(SpecialServices)>0">
							<SpecialServices><xsl:value-of select="SpecialServices"/></SpecialServices>
						</xsl:if>	
						<InternationalDistribution>
							<xsl:choose>
								<xsl:when test="string-length(InternationalDistribution)>0">
									<xsl:value-of select="InternationalDistribution"/>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</InternationalDistribution>
						<xsl:if test="string-length(MailStickerNum)>0">
							<MailStickerNumber><xsl:value-of select="MailStickerNum"/></MailStickerNumber>
						</xsl:if>	
						<CustomsModeCode><xsl:value-of select="CustomsModeCode"/></CustomsModeCode>
						<xsl:if test="string-length(NetWeightTotal)>0">
							<NetWeightTotal><xsl:value-of select="NetWeightTotal"/></NetWeightTotal>
						</xsl:if>	
						<GrossWeightTotal><xsl:value-of select="GrossWeightTotal"/></GrossWeightTotal>
						<Sender>
							<xsl:if test="string-length(Consignor_Account)>0">
								<Account><xsl:value-of select="Consignor_Account"/></Account>
							</xsl:if>
							<xsl:if test="string-length(Consignor_Notes)>0">	
								<Notes><xsl:value-of select="Consignor_Notes"/></Notes>
							</xsl:if>	
							<Organisation>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Consignor_'"/>
									<xsl:with-param name="ReqNode" select="false"/>
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
								</xsl:call-template>
							</Organisation>
							<xsl:call-template name="Address">
								<xsl:with-param name="NodeName" select="'Address'"/>
								<xsl:with-param name="Pref" select="'Consignor_'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
								<xsl:with-param name="NodeAddres">1</xsl:with-param>
							</xsl:call-template>
							<xsl:if test="string-length(Consignor_PersonName)>0 and string-length(Consignor_PersonName2)>0">
								<Signature>
									<cat_ru:PersonSurname><xsl:value-of select="Consignor_PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="Consignor_PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(Consignor_PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="Consignor_PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(Consignor_PersonPost)>0">	
										<cat_ru:PersonPost><xsl:value-of select="Consignor_PersonPost"/></cat_ru:PersonPost>
									</xsl:if>	
									<xsl:if test="string-length(Consignor_IssueDate)>0">
										<cat_ru:IssueDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat" select="Consignor_IssueDate"/>
											</xsl:call-template>
										</cat_ru:IssueDate>
									</xsl:if>
								</Signature>
							</xsl:if>
						</Sender>
						<xsl:if  test="count(*[contains(name(),'Consignee_')][string-length(.)>0])>0">
							<Receiver>
								<xsl:if test="string-length(Consignee_Account)>0">	
									<Account><xsl:value-of select="Consignee_Account"/></Account>
								</xsl:if>
								<Organisation>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Consignee_'"/>
										<xsl:with-param name="ReqNode" select="false"/>
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
									</xsl:call-template>
								</Organisation>
								<xsl:call-template name="Address">
									<xsl:with-param name="NodeName" select="'Address'"/>
									<xsl:with-param name="Pref" select="'Consignee_'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
									<xsl:with-param name="NodeAddres">1</xsl:with-param>
								</xsl:call-template>
								<xsl:call-template name="IdentityCard">
									<xsl:with-param name="NodeName" select="'IdentityCard'"/>
									<xsl:with-param name="Pref" select="'Consignee_'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
								</xsl:call-template>
							</Receiver>
						</xsl:if>
						<Carrier>
							<OrganizationName><xsl:value-of select="Carrier_Name"/></OrganizationName>
							<CustomsBrokerCertificate><xsl:value-of select="CustomsBrokerCertificate"/></CustomsBrokerCertificate>
							<xsl:if test="string-length(Carrier_INN)>0">
								<INN><xsl:value-of select="Carrier_INN"/></INN>
							</xsl:if>
							<xsl:if test="string-length(Carrier_OKPO)>0">
								<OKPOID><xsl:value-of select="Carrier_OKPO"/></OKPOID>
							</xsl:if>
							<xsl:if test="string-length(Carrier_Note)>0">
								<Note><xsl:value-of select="Carrier_Note"/></Note>
							</xsl:if>
							<xsl:call-template name="Address">
								<xsl:with-param name="NodeName" select="'LegalAddress'"/>
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
								<xsl:with-param name="NodeAddres">1</xsl:with-param>
							</xsl:call-template>
							<xsl:call-template name="Address">
								<xsl:with-param name="NodeName" select="'FactAddress'"/>
								<xsl:with-param name="Pref" select="'Carrier_Fact'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
								<xsl:with-param name="NodeAddres">1</xsl:with-param>
							</xsl:call-template>
						</Carrier>
						<DeparturePoint>
							<Name><xsl:value-of select="Departure_Name"/></Name>
							<xsl:if test="string-length(Departure_IATACode)>0">
								<IATACode><xsl:value-of select="Departure_IATACode"/></IATACode>
							</xsl:if>	
							<xsl:call-template name="Address">
								<xsl:with-param name="NodeName" select="'Address'"/>
								<xsl:with-param name="Pref" select="'Departure_'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
								<xsl:with-param name="NodeAddres">1</xsl:with-param>
							</xsl:call-template>
						</DeparturePoint>
						<DeliveryPoint>
							<Name><xsl:value-of select="Delivery_Name"/></Name>
							<xsl:if test="string-length(Delivery_IATACode)>0">
								<IATACode><xsl:value-of select="Delivery_IATACode"/></IATACode>
							</xsl:if>	
							<xsl:call-template name="Address">
								<xsl:with-param name="NodeName" select="'Address'"/>
								<xsl:with-param name="Pref" select="'Delivery_'"/>
								<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/>
								<xsl:with-param name="NodeAddres">1</xsl:with-param>
							</xsl:call-template>
						</DeliveryPoint>
						<xsl:if test="string-length(RegDate)>0 and string-length(PersonName)>0">
							<WayBillAccepted>
								<DateTime>
									<!--вычисление-->
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="RegDate"/>
									</xsl:call-template>
									<xsl:if test="string-length(RegTime)>0">
										<xsl:value-of select="'T'"/>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time" select="RegTime"/>
										</xsl:call-template>
									</xsl:if>
								</DateTime>
								<PersonName><xsl:value-of select="PersonName"/></PersonName>
							</WayBillAccepted>
						</xsl:if>
						<xsl:if  test="string-length(Insurance_Amount)>0 and string-length(Insurance_Account)>0 and string-length(Insurance_PaymentType)>0">
							<Insurance>
								<Amount><xsl:value-of select="Insurance_Amount"/></Amount>
								<Account><xsl:value-of select="Insurance_Account"/></Account>
								<PaymentType><xsl:value-of select="Insurance_PaymentType"/></PaymentType>
								<InsuanceCompany>
									<xsl:if  test="string-length(Insurance_OrgName)>0">
										<cat_ru:OrganizationName><xsl:value-of select="Insurance_OrgName"/></cat_ru:OrganizationName>
									</xsl:if>
									<cat_ru:RFOrganizationFeatures>
										<xsl:if  test="string-length(Insurance_OGRN)>0">
											<cat_ru:OGRN><xsl:value-of select="Insurance_OGRN"/></cat_ru:OGRN>
										</xsl:if>
										<xsl:if  test="string-length(Insurance_INN)>0">
											<cat_ru:INN><xsl:value-of select="Insurance_INN"/></cat_ru:INN>
										</xsl:if>
										<xsl:if  test="string-length(Insurance_KPP)>0">	
											<cat_ru:KPP><xsl:value-of select="Insurance_KPP"/></cat_ru:KPP>
										</xsl:if>	
									</cat_ru:RFOrganizationFeatures>
								</InsuanceCompany>
							</Insurance>
						</xsl:if>	
						<xsl:for-each select="key('NAME', concat(generate-id(), '/WBEIGOODS/WBEIGOODS_ITEM'))">
							<xsl:sort select="RECORD_ID" data-type="number"/>
							<xsl:sort select="RECORD_ID" data-type="text"/>
							<Goods>
								<CommonWayBillNumber><xsl:value-of select="CommonWayBillNum"/></CommonWayBillNumber>
								<!--вызов функции-->
								<xsl:call-template name="GoodsDescr">
									<xsl:with-param name="DesGoods" select="GoodsDescription"/>
									<xsl:with-param name="NodeName" select="'Name'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:WayBillExpressIndividual:5.11.0'"/> 
									<xsl:with-param name="LenDes" select="250"/>
								</xsl:call-template>
								<xsl:if test="string-length(TNVEDCode)>0">
									<TNVED><xsl:value-of select="TNVEDCode"/></TNVED>
								</xsl:if>
								<xsl:if test="string-length(NetWeightQuantity)>0">
									<NetWeight><xsl:value-of select="NetWeightQuantity"/></NetWeight>
								</xsl:if>	
								<GrossWeight><xsl:value-of select="GrossWeightQuantity"/></GrossWeight>
								<xsl:if test="string-length(InvoicedCost)>0">
									<InvoicedCost><xsl:value-of select="InvoicedCost"/></InvoicedCost>
								</xsl:if>	
								<CustomsCost><xsl:value-of select="CustomsCost"/></CustomsCost>
								<ReceiverByCommonWayBill>
									<xsl:if test="string-length(Receiver_Name)>0">
										<cat_ru:OrganizationName><xsl:value-of select="Receiver_Name"/></cat_ru:OrganizationName>
									</xsl:if>	
									<cat_ru:RFOrganizationFeatures>
										<xsl:if test="string-length(Receiver_OGRN)>0">
											<cat_ru:OGRN><xsl:value-of select="Receiver_OGRN"/></cat_ru:OGRN>
										</xsl:if>		
										<xsl:if test="string-length(Receiver_INN)>0">	
											<cat_ru:INN><xsl:value-of select="Receiver_INN"/></cat_ru:INN>
										</xsl:if>		
										<xsl:if test="string-length(Receiver_KPP)>0">	
											<cat_ru:KPP><xsl:value-of select="Receiver_KPP"/></cat_ru:KPP>
										</xsl:if>	
									</cat_ru:RFOrganizationFeatures>
								</ReceiverByCommonWayBill>
								<xsl:variable name="Pack1" select="count(key('NAME', concat(generate-id(), '/WBEIGOODSPACKINGINFO/WBEIGOODSPACKINGINFO_ITEM'))[string-length(PackingCode)>0])"/>
								<xsl:variable name="Pack2" select="count(key('NAME', concat(generate-id(), '/WBEIGOODSPALLETEINFO/WBEIGOODSPALLETEINFO_ITEM'))[string-length(PalleteQuantity)>0])"/>
								<xsl:variable name="Pack3" select="count(key('NAME', concat(generate-id(), '/WBEIGOODSUNITPACKINFO/WBEIGOODSUNITPACKINFO_ITEM'))[string-length(PackingCode)>0])"/>
								<xsl:variable name="Pack4" select="count(key('NAME', concat(generate-id(), '/WBEIGOODSCARGOINFO/WBEIGOODSCARGOINFO_ITEM'))[string-length(PackingCode)>0])"/>
								<xsl:if test="$Pack1>0 or $Pack2>0 or $Pack3>0 or $Pack4>0">
									<Packaging>
										<xsl:if test="string-length(PlacesQuantity)>0">
											<catESAD_cu:PakageQuantity><xsl:value-of select="PlacesQuantity"/></catESAD_cu:PakageQuantity>
										</xsl:if>
										<xsl:if test="string-length(PackingTypeCode)>0">	
											<catESAD_cu:PakageTypeCode><xsl:value-of select="PackingTypeCode"/></catESAD_cu:PakageTypeCode>
										</xsl:if>
										<xsl:if test="string-length(PlacesPartQuantity)>0">	
											<catESAD_cu:PakagePartQuantity><xsl:value-of select="PlacesPartQuantity"/></catESAD_cu:PakagePartQuantity>
										</xsl:if>	
										<xsl:for-each select="key('NAME', concat(generate-id(), '/WBEIGOODSPACKINGINFO/WBEIGOODSPACKINGINFO_ITEM'))[string-length(PackingCode)>0]">
											<xsl:sort select="RECORD_ID" data-type="number"/>
											<xsl:sort select="RECORD_ID" data-type="text"/>
											<catESAD_cu:PackingInformation>
												<catESAD_cu:PackingCode><xsl:value-of select="PackingCode"/></catESAD_cu:PackingCode>
												<xsl:if test="string-length(PackingQuantity)>0">	
													<catESAD_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catESAD_cu:PakingQuantity>
												</xsl:if>	
											</catESAD_cu:PackingInformation>
										</xsl:for-each>
										<xsl:for-each select="key('NAME', concat(generate-id(), '/WBEIGOODSPALLETEINFO/WBEIGOODSPALLETEINFO_ITEM'))[string-length(PalleteQuantity)>0]">
											<xsl:sort select="RECORD_ID" data-type="number"/>
											<xsl:sort select="RECORD_ID" data-type="text"/>
											<catESAD_cu:PalleteInformation>
												<catESAD_cu:PalleteQuantity><xsl:value-of select="PalleteQuantity"/></catESAD_cu:PalleteQuantity>
												<xsl:if test="string-length(PalleteDescription)>0">	
													<catESAD_cu:PalleteDescription><xsl:value-of select="PalleteDescription"/></catESAD_cu:PalleteDescription>
												</xsl:if>
												<xsl:if test="string-length(PalleteCode)>0">
													<catESAD_cu:PalleteCode><xsl:value-of select="PalleteCode"/></catESAD_cu:PalleteCode>
												</xsl:if>	
											</catESAD_cu:PalleteInformation>
										</xsl:for-each>
										<xsl:for-each select="key('NAME', concat(generate-id(), '/WBEIGOODSUNITPACKINFO/WBEIGOODSUNITPACKINFO_ITEM'))[string-length(PackingCode)>0]">
											<xsl:sort select="RECORD_ID" data-type="number"/>
											<xsl:sort select="RECORD_ID" data-type="text"/>
											<catESAD_cu:UnitPackInfo>
												<catESAD_cu:PackingCode><xsl:value-of select="PackingCode"/></catESAD_cu:PackingCode>
												<xsl:if test="string-length(PackingQuantity)>0">
													<catESAD_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catESAD_cu:PakingQuantity>
												</xsl:if>	
											</catESAD_cu:UnitPackInfo>
										</xsl:for-each>
										<xsl:for-each select="key('NAME', concat(generate-id(), '/WBEIGOODSCARGOINFO/WBEIGOODSCARGOINFO_ITEM'))[string-length(PackingCode)>0]">
											<xsl:sort select="RECORD_ID" data-type="number"/>
											<xsl:sort select="RECORD_ID" data-type="text"/>
											<catESAD_cu:CargoInfo>
												<catESAD_cu:PackingCode><xsl:value-of select="PackingCode"/></catESAD_cu:PackingCode>
												<xsl:if test="string-length(PackingQuantity)>0">
													<catESAD_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catESAD_cu:PakingQuantity>
												</xsl:if>	
											</catESAD_cu:CargoInfo>
										</xsl:for-each>
									</Packaging>
								</xsl:if>			
								<xsl:if test="string-length(DimensionsCode)>0 or string-length(Length)>0 or string-length(Width)>0 or string-length(Height)>0">
									<Dimensions>
										<xsl:if test="string-length(DimensionsCode)>0">
											<cat_ru:DimensionsCode><xsl:value-of select="DimensionsCode"/></cat_ru:DimensionsCode>
										</xsl:if>
										<xsl:if test="string-length(Length)>0">
											<cat_ru:Lenght><xsl:value-of select="Length"/></cat_ru:Lenght>
										</xsl:if>
										<xsl:if test="string-length(Width)>0">
											<cat_ru:Wight><xsl:value-of select="Width"/></cat_ru:Wight>
										</xsl:if>
										<xsl:if test="string-length(Height)>0">
											<cat_ru:Height><xsl:value-of select="Height"/></cat_ru:Height>
										</xsl:if>
									</Dimensions>
								</xsl:if>	
								<xsl:if test="string-length(PaymentModeCode)>0 or string-length(TaxBase)>0 or string-length(PaymentAmount)>0">		
									<CustomsPayment>
										<xsl:if test="string-length(PaymentModeCode)>0">		
											<PaymentModeCode><xsl:value-of select="PaymentModeCode"/></PaymentModeCode>
										</xsl:if>
										<xsl:if test="string-length(TaxBase)>0">			
											<TaxBase><xsl:value-of select="TaxBase"/></TaxBase>
										</xsl:if>
										<xsl:if test="string-length(PaymentAmount)>0">			
											<PaymentAmount><xsl:value-of select="PaymentAmount"/></PaymentAmount>
										</xsl:if>	
									</CustomsPayment>
								</xsl:if>	
							</Goods>
						</xsl:for-each>
					</WayBillExpressIndividual>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="ContainerDoc-DocBody">
		<xsl:param name="enclose-to-ContainerDoc-DocBody" select="true()"/>
		<xsl:param name="content"/>
		<xsl:choose>
			<xsl:when test="$enclose-to-ContainerDoc-DocBody">
				<ContainerDoc xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
					<DocBody>
						<xsl:copy-of select="$content"/>
					</DocBody>
				</ContainerDoc>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$content"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
