<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="ESADout_CU">
		<xsl:with-param name="TranzitDcl" select="1"/>
		<xsl:with-param name="SelectDcl" select="1"/>
		<xsl:with-param name="DeclLastName" select="'N'"/>
		<xsl:with-param name="DeclFirstName"  select="'N'"/>
		<xsl:with-param name="Now"  select="'2001-01-11'"/>
		</xsl:call-template>
	</xsl:template>-->
	
	<xsl:key use="./OriginCountryCode" name="OrCountryCn" match="//CONOSAMENTGOODS_ITEM"/>
	<xsl:key use="./OriginCountryCode" name="OrCountry1" match="//COMMINVOICEGOODS_ITEM"/>
	<xsl:key use="./OriginCountryCode" name="OrCountry" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="./DeliveryTermsStringCode" name="TermsCode" match="//INVOICE_ITEM"/>
	<xsl:key use="./CurrencyCode" name="CurrC" match="//INVOICE_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)" name="GoodsESADoutCMR" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,../../NumDateRw,./GoodsCode,./PlacesCode)" name="GoodsESADoutRWB" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../CurrencyCode,./GoodsCode,./PlacesCode)" name="GoodsESADout" match="//INVOICEGOODS_ITEM"/>
	<xsl:key use="concat(../../RegNum,substring(../../RegDate,1,10))" name="InvNums" match="//INVOICEGOODS_ITEM"/>
	
	
	<xsl:template name="Transport" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
		<xsl:param name="NumTC"/>
		<xsl:param name="VinTC"/>		
		<xsl:param name="NatTC"/>
		<xsl:param name="ActTC"/>					
		<TransportMeans>
			<xsl:if test="string-length($VinTC)>0">
				<cat_ru:VIN><xsl:value-of select="$VinTC"/></cat_ru:VIN>
			</xsl:if>
			<cat_ru:TransportIdentifier><xsl:value-of select="$NumTC"/></cat_ru:TransportIdentifier>
			<xsl:if test="string-length($NatTC)>0">
				<cat_ru:TransportMeansNationalityCode><xsl:value-of select="$NatTC"/></cat_ru:TransportMeansNationalityCode>
			</xsl:if>	
			<xsl:if test="string-length($ActTC)>0">
				<cat_ru:ActiveTransportIdentifier><xsl:value-of select="$ActTC"/></cat_ru:ActiveTransportIdentifier>
			</xsl:if>	
		</TransportMeans>
	</xsl:template>
	
	<xsl:template name="ESADoutGoods" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
		<xsl:param name="RegTR"/>
		<xsl:param name="CMRNum"/>
		<xsl:choose>
			<xsl:when test="count(//CMR/CMR_ITEM)>1">
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsESADoutCMR',concat(../../CurrencyCode,../../NumDateCMR,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="RegTR" select="$RegTR"/>
					<xsl:with-param name="Doc" select="'ESADout_CU'"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="count(//RWB/RWB_ITEM)>1">
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsESADoutRWB',concat(../../CurrencyCode,../../NumDateRw,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="RegTR" select="$RegTR"/>
					<xsl:with-param name="Doc" select="'ESADout_CU'"/>
					<xsl:with-param name="CMRNum" select="$CMRNum"/>
				</xsl:apply-templates>
			</xsl:when>			
			<xsl:otherwise>
				<xsl:apply-templates select="//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsESADout',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))]">
					<xsl:sort select="concat(./GoodsCode,../../CurrencyCode,./PlacesCode)"/>
					<xsl:with-param name="RegTR" select="$RegTR"/>
					<xsl:with-param name="Doc" select="'ESADout_CU'"/>
				</xsl:apply-templates>			
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	

	<xsl:template name="EsadOutPack" xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
    	<xsl:param  name="NumGood"/>
    	<xsl:param  name="Conos"/>
		<xsl:variable name="PalletCode" select="'PX,AH,AG,PD,AF,PE,PB'"/>
		<xsl:variable name="CargoCode" select="'NA,NE,NF,NG'"/>
		<ESADGoodsPackaging>
			<catESAD_cu:PakageQuantity><xsl:value-of select="PlacesQuantity"/></catESAD_cu:PakageQuantity>
			<xsl:if test="string-length(PlacesCode)>0">
				<catESAD_cu:PakageTypeCode>
					<xsl:choose>
						<xsl:when test="PlacesCode='NA' or PlacesCode='NE' or PlacesCode='NF' or PlacesCode='NG'">0</xsl:when>
						<xsl:when test="PlacesCode='VG' or PlacesCode='VQ' or PlacesCode='VL' or PlacesCode='VR' or PlacesCode='VO' or PlacesCode='VY'">2</xsl:when>
						<xsl:otherwise>1</xsl:otherwise>	
					</xsl:choose>	
				</catESAD_cu:PakageTypeCode>
				<catESAD_cu:PackageCode><xsl:value-of select="PlacesCode"/></catESAD_cu:PackageCode>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="count(//PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$NumGood]/PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingCode)>0])>0 and $Conos!=1">
					<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$NumGood]/PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingCode)>0 and contains($PalletCode,PackingCode)=false and contains($CargoCode,PackingCode)=false]">
						<catESAD_cu:PackingInformation>
							<catESAD_cu:PackingCode><xsl:value-of select="PackingCode"/></catESAD_cu:PackingCode>											
								<xsl:if test="string-length(PackingQuantity)>0">
									<catESAD_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catESAD_cu:PakingQuantity>
								</xsl:if>
						</catESAD_cu:PackingInformation>
					</xsl:for-each>
					<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$NumGood]/PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingCode)>0 and contains($PalletCode,PackingCode)]">
						<catESAD_cu:PalleteInformation>
							<catESAD_cu:PalleteQuantity>
								<xsl:choose>
									<xsl:when test="string-length(PackingQuantity)>0">
										<xsl:value-of select="PackingQuantity"/>
									</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</catESAD_cu:PalleteQuantity>
							<xsl:if test="string-length(PackingDescription)>0">
								<catESAD_cu:PalleteDescription><xsl:value-of select="PackingDescription"/></catESAD_cu:PalleteDescription>
							</xsl:if>
							<catESAD_cu:PalleteCode><xsl:value-of select="PackingCode"/></catESAD_cu:PalleteCode>
						</catESAD_cu:PalleteInformation>
					</xsl:for-each>
					<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[position()=$NumGood]/PACKINGLISTGoodsPackingInfo/PACKINGLISTGOODSPACKINGINFO_ITEM[string-length(PackingCode)>0 and contains($CargoCode,PackingCode)]">
						<catESAD_cu:CargoInfo>
							<catESAD_cu:PackingCode><xsl:value-of select="PackingCode"/></catESAD_cu:PackingCode>											
							<xsl:if test="string-length(PackingQuantity)>0">
								<catESAD_cu:PakingQuantity><xsl:value-of select="PackingQuantity"/></catESAD_cu:PakingQuantity>
							</xsl:if>
						</catESAD_cu:CargoInfo>	
					</xsl:for-each>
				</xsl:when>
				<xsl:when test="string-length(PlacesCode)>0">
					<xsl:if test="contains($PalletCode,PlacesCode)=false and contains($CargoCode,PlacesCode)=false">
						<catESAD_cu:PackingInformation>
							<catESAD_cu:PackingCode><xsl:value-of select="PlacesCode"/></catESAD_cu:PackingCode>											
							<catESAD_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catESAD_cu:PakingQuantity>
						</catESAD_cu:PackingInformation>
					</xsl:if>
					<xsl:if test="contains($PalletCode,PlacesCode)">
						<catESAD_cu:PalleteInformation>
							<catESAD_cu:PalleteQuantity><xsl:value-of select="PlacesQuantity"/></catESAD_cu:PalleteQuantity>
							<xsl:if test="string-length(PlacesDescription)>0">
								<catESAD_cu:PalleteDescription><xsl:value-of select="PlacesDescription"/></catESAD_cu:PalleteDescription>
							</xsl:if>
							<catESAD_cu:PalleteCode><xsl:value-of select="PlacesCode"/></catESAD_cu:PalleteCode>
						</catESAD_cu:PalleteInformation>
					</xsl:if>
					<xsl:if test="contains($CargoCode,PlacesCode)">
						<catESAD_cu:CargoInfo>
							<catESAD_cu:PackingCode><xsl:value-of select="PlacesCode"/></catESAD_cu:PackingCode>											
							<catESAD_cu:PakingQuantity><xsl:value-of select="PlacesQuantity"/></catESAD_cu:PakingQuantity>
						</catESAD_cu:CargoInfo>	
					</xsl:if>
				</xsl:when>
			</xsl:choose>
		</ESADGoodsPackaging>
	</xsl:template>
	<xsl:template name="ESADout_CU">
		<xsl:param name="TranzitDcl"/>
		<xsl:param name="SelectDcl"/>
		<xsl:param name="DeclLastName"/>
		<xsl:param name="DeclFirstName"/>
		<xsl:param name="Now"/>	

		<ESADout_CU xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006107E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			
            <xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
            <xsl:if test="$RefDocumentID!=''"><cat_ru:RefDocumentID><xsl:value-of select="$RefDocumentID"/></cat_ru:RefDocumentID></xsl:if>
			<xsl:if test="count(//CMR)>0">
				<xsl:for-each select="CMR/CMR_ITEM">
					<xsl:variable name="NumCmr" select="RegNum"/>
					<xsl:variable name="DatCmr">
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="RegDate"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:variable name="PosCmr" select="count(../preceding-sibling::*)"/>
					<xsl:variable name="NumCmrGr" select="concat(RegNum,$DatCmr,$PosCmr)"/>
					<xsl:variable name="Groups"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
						<xsl:choose>
							<xsl:when test="string-length($NumCmrGr)>0 and count(//INVOICE[((@ctmtd:CfgName)='invoiceauto.cfg.xml' or (@ctmtd:CfgName)='invoicealco.cfg.xml')]/INVOICE_ITEM[NumDateCMR=$NumCmrGr])>0">0</xsl:when>
							<xsl:when test="count(//INVOICE[(@ctmtd:CfgName)='invoiceauto.cfg.xml' or (@ctmtd:CfgName)='invoicealco.cfg.xml'])>0">0</xsl:when>
							<xsl:otherwise><xsl:value-of select="GroupGoods"/></xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					
					<xsl:if test="position()=1">
						<xsl:variable name="NumInv1"  select="CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[(ModeCode='4021' or ModeCode='04021') and position()=1]/DocumentNumber"/>
						<xsl:variable name="DatInv1"  select="substring(CMREnclosedDocument/CMRENCLOSEDDOCUMENT_ITEM[(ModeCode='4021' or ModeCode='04021') and position()=1]/DocumentDate,1,10)"/>
						<xsl:variable name="CodeDisC" select="//INVOICE/INVOICE_ITEM[RegNum=$NumInv1 and substring(RegDate,1,10)=$DatInv1]/DispatchCountryCode"/>
						<xsl:variable name="CodeCR" select="//INVOICE/INVOICE_ITEM[RegNum=$NumInv1 and substring(RegDate,1,10)=$DatInv1]/DestinationCountryCode"/>
						<xsl:variable name="RegTR">
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
										<xsl:with-param name="CneeC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="Consignor_CountryCode"/>
										<xsl:with-param name="CneeC" select="Consignee_CountryCode"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:call-template name="CustPrTrDir">
							<xsl:with-param name="CneeC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignee_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="CnorC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignor_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
							<xsl:with-param name="TranzitPrTr" select="$TranzitDcl"/>
						</xsl:call-template>
						<RecipientCountryCode>
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
								</xsl:when>
								<xsl:when test="string-length(Consignee_CountryCode)>0">
									<xsl:value-of select="Consignee_CountryCode"/>
								</xsl:when>
								<xsl:otherwise>RU</xsl:otherwise>
							</xsl:choose>
						</RecipientCountryCode>
						<ExecutionDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat"  select="$Now"/>
							</xsl:call-template>
						</ExecutionDate>
						<ESADout_CUGoodsShipment>
							<xsl:choose>
								<xsl:when test="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('OrCountry',./OriginCountryCode))])=0">
									<catESAD_cu:OriginCountryName>НЕИЗВЕСТНА</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:when test="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('OrCountry',./OriginCountryCode))])>1">
									<catESAD_cu:OriginCountryName>РАЗНЫЕ</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:when test="string-length(//INVOICEGoods/INVOICEGOODS_ITEM[1]/OriginCountry)>0">
									<catESAD_cu:OriginCountryName><xsl:value-of select="//INVOICEGoods/INVOICEGOODS_ITEM[1]/OriginCountry"/></catESAD_cu:OriginCountryName>
								</xsl:when>
							</xsl:choose>
							<xsl:variable name="CountGoodsESADout">
								<xsl:value-of select="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsESADout',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))])"/>
							</xsl:variable>
							<xsl:choose>
								<xsl:when test="$Groups=1">
									<catESAD_cu:TotalGoodsNumber><xsl:value-of select="$CountGoodsESADout"/></catESAD_cu:TotalGoodsNumber>
									<xsl:if test="sum(CMRGoods/CMRGOODS_ITEM/PlacesQuantity)>0">
										<catESAD_cu:TotalPackageNumber><xsl:value-of select="sum(CMRGoods/CMRGOODS_ITEM/PlacesQuantity)"/></catESAD_cu:TotalPackageNumber>
									</xsl:if>
									<catESAD_cu:TotalSheetNumber>
										<xsl:call-template name="CountCds">
											<xsl:with-param name="CountGoods" select="$CountGoodsESADout - 1"/>
										</xsl:call-template>
									</catESAD_cu:TotalSheetNumber>
								</xsl:when>
								<xsl:otherwise>
									<catESAD_cu:TotalGoodsNumber><xsl:value-of select="count(//INVOICEGOODS_ITEM/GoodsCode)"/></catESAD_cu:TotalGoodsNumber>
									<xsl:if test="sum(//INVOICEGOODS_ITEM/PlacesQuantity)>0">
										<catESAD_cu:TotalPackageNumber><xsl:value-of select="sum(//INVOICEGOODS_ITEM/PlacesQuantity)"/></catESAD_cu:TotalPackageNumber>
									</xsl:if>
									<catESAD_cu:TotalSheetNumber>
										<xsl:call-template name="CountCds">
											<xsl:with-param name="CountGoods" select="count(//INVOICEGOODS_ITEM/GoodsCode) - 1"/>
										</xsl:call-template>
									</catESAD_cu:TotalSheetNumber>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="string-length(ObCena)>0 and $RegTR!='ТР'">
								<catESAD_cu:TotalCustCost><xsl:value-of select="ObCena"/></catESAD_cu:TotalCustCost>
							</xsl:if>
							<xsl:if test="string-length(CurrencyCode)>0 and $RegTR!='ТР'">
								<catESAD_cu:CustCostCurrencyCode><xsl:value-of select="CurrencyCode"/></catESAD_cu:CustCostCurrencyCode>
							</xsl:if>
							<ESADout_CUConsignor>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G02'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignor_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>	
							</ESADout_CUConsignor>
							<ESADout_CUConsignee>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G08'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>	
							</ESADout_CUConsignee>
							<ESADout_CUFinancialAdjustingResponsiblePerson>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G09'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</ESADout_CUFinancialAdjustingResponsiblePerson>
							<xsl:choose>
								<xsl:when test="$SelectDcl=1">
									<ESADout_CUDeclarant>
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G14'"/>
										</xsl:call-template>
									</ESADout_CUDeclarant>	
								</xsl:when>
								<xsl:when test="count(//APPENDIX/APPENDIX_ITEM[string-length(Principal_Name)>0]/Principal_Name)>0">
									<xsl:for-each  select="//APPENDIX/APPENDIX_ITEM[string-length(Principal_Name)>0]">
										<ESADout_CUDeclarant>
											<xsl:call-template name="OrgNode">
												<xsl:with-param name="Pref" select="'Principal_'"/>
												<xsl:with-param name="ReqNode" select="false"/>
												<xsl:with-param name="PostalAddress" select="1"/>
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
											</xsl:call-template>
										</ESADout_CUDeclarant>
									</xsl:for-each>	
								</xsl:when>
							</xsl:choose>
							<ESADout_CUCarrier>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Carrier_'"/>
									<xsl:with-param name="ReqNode" select="false"/>
									<xsl:with-param name="PostalAddress" select="1"/>
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
								</xsl:call-template>
								<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0]">
									<ESADout_CUDriverInformation>
										<xsl:call-template name="DriverInformation">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										</xsl:call-template>
									</ESADout_CUDriverInformation>
								</xsl:for-each>	
							</ESADout_CUCarrier>
							<ESADout_CUConsigment>
								<xsl:choose>
									<xsl:when test="count(CMRcont/CMRCONT_ITEM[string-length(ContainerID)>0]/ContainerID)>0">
										<catESAD_cu:ContainerIndicator>1</catESAD_cu:ContainerIndicator>
									</xsl:when>
									<xsl:otherwise>
										<catESAD_cu:ContainerIndicator>0</catESAD_cu:ContainerIndicator>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:if test="string-length($CodeDisC)>0">
									<catESAD_cu:DispatchCountryCode><xsl:value-of select="$CodeDisC"/></catESAD_cu:DispatchCountryCode>
									<catESAD_cu:DispatchCountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeDisC]/Name"/></catESAD_cu:DispatchCountryName>
								</xsl:if>
								<xsl:if test="string-length($CodeCR)>0">
									<catESAD_cu:DestinationCountryCode><xsl:value-of select="$CodeCR"/></catESAD_cu:DestinationCountryCode>
									<catESAD_cu:DestinationCountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeCR]/Name"/></catESAD_cu:DestinationCountryName>
								</xsl:if>
								<xsl:if test="string-length(DestinationOfficeIdentifier)>0 and $RegTR='ЭК'">
									<catESAD_cu:BorderCustomsOffice>
										<xsl:choose>
											<xsl:when test="substring(DestinationOfficeIdentifier,1,3)='112'">
												<cat_ru:Code><xsl:value-of select="substring(DestinationOfficeIdentifier,4,5)"/></cat_ru:Code>
											</xsl:when>
											<xsl:otherwise>
												<cat_ru:Code><xsl:value-of select="DestinationOfficeIdentifier"/></cat_ru:Code>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:if test="string-length(DestinationOfficeName)>0">
											<cat_ru:OfficeName><xsl:value-of select="DestinationOfficeName"/></cat_ru:OfficeName>
										</xsl:if>
									</catESAD_cu:BorderCustomsOffice>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLine)>0">
									<DateExpectedArrival>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="//INVOICE[1]/INVOICE_ITEM/DeadLine"/>
										</xsl:call-template>
									</DateExpectedArrival>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLineTime)>0">
									<TimeExpectedArrival>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time"  select="//INVOICE[1]/INVOICE_ITEM/DeadLineTime"/>
										</xsl:call-template>
									</TimeExpectedArrival>
								</xsl:if>								
								<ESADout_CUBorderTransport>
									<cat_ru:TransportModeCode>
										<xsl:choose>
											<xsl:when test="string-length(//TIR/TIR_ITEM/TransportModeCode)>0">
												<xsl:value-of select="//TIR/TIR_ITEM/TransportModeCode"/>
											</xsl:when>
											<xsl:when test="string-length(TransportModeCode)>0">
												<xsl:value-of select="TransportModeCode"/>
											</xsl:when>					
											<xsl:otherwise>30</xsl:otherwise>	
										</xsl:choose>
									</cat_ru:TransportModeCode>
									<xsl:choose>
										<xsl:when test="count(//TIR/TIR_ITEM)>0">
											<xsl:for-each select="//TIR/TIR_ITEM">
												<xsl:if test="string-length(TransportMeansNationalityCode)>0">
													<cat_ru:TransportNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></cat_ru:TransportNationalityCode>
												</xsl:if>	
												<xsl:if test="string-length(TMNumber)>0 or string-length(TrailerNumber)>0 or string-length(TrailerNumber2)>0">
													<TransportMeansQuantity>
														<xsl:choose>
															<xsl:when test="string-length(TMNumber)>0 and string-length(TrailerNumber)>0 and string-length(TrailerNumber2)>0">3</xsl:when>
															<xsl:when test="string-length(TMNumber)>0 and string-length(TrailerNumber)>0 and string-length(TrailerNumber2)=0">2</xsl:when>
															<xsl:when test="string-length(TMNumber)>0 and string-length(TrailerNumber)=0 and string-length(TrailerNumber2)=0">1</xsl:when>
														</xsl:choose>
													</TransportMeansQuantity>
												</xsl:if>	
												<xsl:if test="string-length(TMNumber)>0">
													<xsl:call-template name="Transport">
														<xsl:with-param name="NumTC" select="TMNumber"/>
														<xsl:with-param name="VinTC" select="VINID"/>		
														<xsl:with-param name="NatTC" select="TransportMeansNationalityCode"/>
													</xsl:call-template>	
												</xsl:if>	
												<xsl:if test="string-length(TrailerNumber)>0">
													<xsl:call-template name="Transport">
														<xsl:with-param name="NumTC" select="TrailerNumber"/>
														<xsl:with-param name="NatTC" select="TransportMeansNationalityCode"/>
														<xsl:with-param name="ActTC" select="TMNumber"/>	
													</xsl:call-template>	
												</xsl:if>
												<xsl:if test="string-length(TrailerNumber2)>0">
													<xsl:call-template name="Transport">
														<xsl:with-param name="NumTC" select="TrailerNumber2"/>
														<xsl:with-param name="NatTC" select="TransportMeansNationalityCode"/>
														<xsl:with-param name="ActTC" select="TMNumber"/>	
													</xsl:call-template>	
												</xsl:if>	
											</xsl:for-each>										
										</xsl:when>
										<xsl:otherwise>
											<xsl:if test="string-length(TransportMeansNationalityCode)>0">
												<cat_ru:TransportNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></cat_ru:TransportNationalityCode>
											</xsl:if>
											<xsl:if test="string-length(PrimeMoverStateSignID)>0 or string-length(TrailerStateSignID)>0 or string-length(TrailerStateSignID2)>0">
												<TransportMeansQuantity>
													<xsl:choose>
														<xsl:when test="string-length(PrimeMoverStateSignID)>0 and string-length(TrailerStateSignID)>0 and string-length(TrailerStateSignID2)>0">3</xsl:when>
														<xsl:when test="string-length(PrimeMoverStateSignID)>0 and string-length(TrailerStateSignID)>0 and string-length(TrailerStateSignID2)=0">2</xsl:when>
														<xsl:when test="string-length(PrimeMoverStateSignID)>0 and string-length(TrailerStateSignID)=0 and string-length(TrailerStateSignID2)=0">1</xsl:when>
													</xsl:choose>
												</TransportMeansQuantity>
											</xsl:if>	
											<xsl:if test="string-length(PrimeMoverStateSignID)>0">
												<xsl:call-template name="Transport">
													<xsl:with-param name="NumTC" select="PrimeMoverStateSignID"/>
													<xsl:with-param name="VinTC" select="VINID"/>		
													<xsl:with-param name="NatTC" select="TransportMeansNationalityCode"/>
												</xsl:call-template>
											</xsl:if>	
											<xsl:if test="string-length(TrailerStateSignID)>0">
												<xsl:call-template name="Transport">
													<xsl:with-param name="ActTC" select="PrimeMoverStateSignID"/>
													<xsl:with-param name="VinTC" select="VINID2"/>		
													<xsl:with-param name="NatTC" select="TransportMeansNationalityCode2"/>
													<xsl:with-param name="NumTC" select="TrailerStateSignID"/>	
												</xsl:call-template>
											</xsl:if>
											<xsl:if test="string-length(TrailerStateSignID2)>0">
												<xsl:call-template name="Transport">
													<xsl:with-param name="ActTC" select="PrimeMoverStateSignID"/>
													<xsl:with-param name="VinTC" select="VINID3"/>		
													<xsl:with-param name="NatTC" select="TransportMeansNationalityCode3"/>
													<xsl:with-param name="NumTC" select="TrailerStateSignID2"/>	
												</xsl:call-template>
											</xsl:if>
										</xsl:otherwise>
									</xsl:choose>
								</ESADout_CUBorderTransport>
								<xsl:if test="string-length(//APPENDIX/APPENDIX_ITEM/DepatureOfficeIdentifier)>0">
									<PPBorderCustoms>
										<xsl:variable name="CodTo" select="//APPENDIX/APPENDIX_ITEM/DepatureOfficeIdentifier"/>
										<cat_ru:Code><xsl:value-of select="$CodTo"/></cat_ru:Code>
										<xsl:choose>
											<xsl:when test="string-length(//APPENDIX/APPENDIX_ITEM/DepatureOfficeName)>0">
												<cat_ru:OfficeName><xsl:value-of select="//APPENDIX/APPENDIX_ITEM/DepatureOfficeName"/></cat_ru:OfficeName>
											</xsl:when>
											<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name)>0">
												<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name"/></cat_ru:OfficeName>
											</xsl:when>
										</xsl:choose>
										<xsl:call-template name="CustomsCountryCode">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="CodTo" select="$CodTo"/>
										</xsl:call-template>
									</PPBorderCustoms>
								</xsl:if>
								<xsl:if test="string-length(DestinationOfficeIdentifier)>0">
									<TDDeliveryPlace>
										<DeliveryCustomsOffice>
											<xsl:choose>
												<xsl:when test="substring(DestinationOfficeIdentifier,1,3)='112'">
													<cat_ru:Code><xsl:value-of select="substring(DestinationOfficeIdentifier,4,5)"/></cat_ru:Code>
												</xsl:when>
												<xsl:otherwise>
													<cat_ru:Code><xsl:value-of select="DestinationOfficeIdentifier"/></cat_ru:Code>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:if test="string-length(DestinationOfficeName)>0">
												<cat_ru:OfficeName><xsl:value-of select="DestinationOfficeName"/></cat_ru:OfficeName>
											</xsl:if>
											<xsl:call-template name="CustomsCountryCode">
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="CodTo" select="DestinationOfficeIdentifier"/>
											</xsl:call-template>
										</DeliveryCustomsOffice>
									</TDDeliveryPlace>
								</xsl:if>
							</ESADout_CUConsigment>
							<ESADout_CUMainContractTerms>
								<xsl:if test="count(//INVOICE_ITEM[generate-id(.)=generate-id(key('CurrC',./CurrencyCode))])=1  and $RegTR!='ТР'">
									<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/CurrencyCode)>0">
										<catESAD_cu:ContractCurrencyCode><xsl:value-of select="//INVOICE[1]/INVOICE_ITEM/CurrencyCode"/></catESAD_cu:ContractCurrencyCode>
									</xsl:if>
									<xsl:if test="sum(//INVOICE_ITEM/GCost)>0">
										<catESAD_cu:TotalInvoiceAmount><xsl:value-of select="format-number(round(sum(//INVOICE_ITEM/GCost) * 100) div 100,'0.00')"/></catESAD_cu:TotalInvoiceAmount>
									</xsl:if>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/TradingCountryCode)>0">
									<catESAD_cu:TradeCountryCode><xsl:value-of select="//INVOICE/INVOICE_ITEM[1]/TradingCountryCode"/></catESAD_cu:TradeCountryCode>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])=1">
									<catESAD_cu:CUESADDeliveryTerms>
										<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeliveryPlace)>0">
											<cat_ru:DeliveryPlace><xsl:value-of select="//INVOICE[1]/INVOICE_ITEM/DeliveryPlace"/></cat_ru:DeliveryPlace>
										</xsl:if>	
										<cat_ru:DeliveryTermsStringCode><xsl:value-of select="//INVOICE[1]/INVOICE_ITEM/DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
									</catESAD_cu:CUESADDeliveryTerms>
								</xsl:if>
							</ESADout_CUMainContractTerms>
							<xsl:choose>
								<xsl:when test="$Groups=1">
									<xsl:call-template name="ESADoutGoods">
										<xsl:with-param name="RegTR"  select="$RegTR"/>
										<xsl:with-param name="CMRNum" select="$NumCmrGr"/>	
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:for-each select="//INVOICEGoods/INVOICEGOODS_ITEM">
										<xsl:variable name="NumCmrInv" select="../../NumDateCMR"/>
										<xsl:variable name="NumGood" select="position()"/>
										<xsl:variable name="DescCmr" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
											<xsl:choose>
												<xsl:when test="(../../../@ctmtd:CfgName)='invoiceauto.cfg.xml'">
													<xsl:call-template name="GoodDescrAvto"/>
												</xsl:when>
												<xsl:when test="(../../../@ctmtd:CfgName)='invoicealco.cfg.xml' and substring(GoodsCode,1,2)='22'">
													<xsl:call-template name="GoodDescrAlco"/>
												</xsl:when>
												<xsl:otherwise><xsl:value-of select="GoodsDescription"/></xsl:otherwise>
											</xsl:choose>
										</xsl:variable>			
										<xsl:variable name="GdsDescBegin">
											<xsl:call-template name="GoodsDescBegin">
												<xsl:with-param name="GdDescr" select="$DescCmr"/>
											</xsl:call-template>	
										</xsl:variable>
										<xsl:variable  name="GdsDescEnd" select="substring($DescCmr,string-length($GdsDescBegin)+1)"/>
										<ESADout_CUGoods>
											<catESAD_cu:GoodsNumeric><xsl:value-of select="$NumGood"/></catESAD_cu:GoodsNumeric>
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="$GdsDescBegin"/>
												<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
												<xsl:with-param name="NameMes" select="false"/> 
												<xsl:with-param name="LenDes" select="250"/>											
											</xsl:call-template>										
											<xsl:if test="string-length(GrossWeightQuantity)>0">
												<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
											</xsl:if>
											<xsl:if test="string-length(NetWeightQuantity)>0 and $RegTR!='ТР'">
												<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:NetWeightQuantity>
											</xsl:if>
											<xsl:if test="string-length(TotalCost)>0 and $RegTR!='ТР'">
												<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
											</xsl:if>
											<xsl:if test="string-length(GoodsCode)>0">
												<catESAD_cu:GoodsTNVEDCode><xsl:value-of select="substring(GoodsCode,1,10)"/></catESAD_cu:GoodsTNVEDCode>
											</xsl:if>
											<xsl:if test="string-length(OriginCountryCode)>0">
												<catESAD_cu:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catESAD_cu:OriginCountryCode>
											</xsl:if>
											<xsl:if test="string-length(OriginCountry)>0">
													<catESAD_cu:OriginCountryName><xsl:value-of select="OriginCountry"/></catESAD_cu:OriginCountryName>
											</xsl:if>
											<xsl:if test="string-length(substring(GoodsCode,11,4))>0">
												<catESAD_cu:GoodsAddTNVEDCode><xsl:value-of select="substring(GoodsCode,11,4)"/></catESAD_cu:GoodsAddTNVEDCode>
											</xsl:if>
											<catESAD_cu:AdditionalSheetCount>	
												<xsl:choose>
													<xsl:when test="$NumGood=1">1</xsl:when>
													<xsl:otherwise>
														<xsl:call-template name="NumList">
															<xsl:with-param name="Num" select="$NumGood"/>
														</xsl:call-template>	
													</xsl:otherwise>
												</xsl:choose>
											</catESAD_cu:AdditionalSheetCount>
											<xsl:if test="string-length(../../DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])&gt;1">
												<catESAD_cu:CUESADDeliveryTerms>
													<xsl:if test="string-length(../../DeliveryPlace)>0">
														<cat_ru:DeliveryPlace><xsl:value-of select="../../DeliveryPlace"/></cat_ru:DeliveryPlace>
													</xsl:if>	
													<cat_ru:DeliveryTermsStringCode><xsl:value-of select="../../DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
												</catESAD_cu:CUESADDeliveryTerms>
											</xsl:if>
											<xsl:choose>
												<xsl:when  test="string-length($GdsDescEnd)>0">
													<xsl:call-template name="GoodsGroupDesc">
														<xsl:with-param name="GrpGoodsDes" select="normalize-space($GdsDescEnd)"/>
														<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
														<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
													</xsl:call-template>
												</xsl:when>
												<xsl:when test="string-length(GoodMarking)>0">
													<catESAD_cu:GoodsGroupDescription>
														<xsl:call-template name="GoodsDescr">
															<xsl:with-param name="DesGoods" select="$DescCmr"/>
															<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
															<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
															<xsl:with-param name="NameMes" select="false"/> 
															<xsl:with-param name="LenDes" select="250"/>											
														</xsl:call-template>				
														<catESAD_cu:GoodsGroupInformation>
															<xsl:if test="string-length(../../Seler_Name)>0">
																<catESAD_cu:Manufacturer><xsl:value-of select="../../Seler_Name"/></catESAD_cu:Manufacturer>
															</xsl:if>
															<catESAD_cu:GoodsMarking><xsl:value-of select="substring(translate(GoodMarking,'&#xA;&#xD;',' '),1,50)"/></catESAD_cu:GoodsMarking>
															<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
																<catESAD_cu:GoodsGroupQuantity>
																	<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
																	<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																		<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
																	</xsl:if>
																	<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																		<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
																	</xsl:if>
																</catESAD_cu:GoodsGroupQuantity>	
															</xsl:if>	
														</catESAD_cu:GoodsGroupInformation>
													</catESAD_cu:GoodsGroupDescription>
												</xsl:when>
											</xsl:choose>	
											<xsl:if test="string-length(../../CurrencyCode)>0 and $RegTR!='ТР'">
												<CurrencyCode><xsl:value-of select="../../CurrencyCode"/></CurrencyCode>
											</xsl:if>
											<xsl:choose>
												<xsl:when test="string-length($NumCmrInv)>0">
													<xsl:call-template name="PresDocs">
														<xsl:with-param name="Num" select="//CMR_ITEM[NumDate=$NumCmrInv]/RegNum"/>
														<xsl:with-param name="Dat" select="//CMR_ITEM[NumDate=$NumCmrInv]/RegDate"/>
														<xsl:with-param name="NodeName" select="'ESADout_CUPresentedDocument'"/>
														<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
														<xsl:with-param name="NamspCode" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
														<xsl:with-param name="NamspTr" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
														<xsl:with-param name="TD" select="1"/>
													</xsl:call-template>
												</xsl:when>
												<xsl:otherwise>
													<xsl:call-template name="PresDocs">
														<xsl:with-param name="Num" select="//CMR[1]/CMR_ITEM/RegNum"/>
														<xsl:with-param name="Dat" select="//CMR[1]/CMR_ITEM/RegDate"/>
														<xsl:with-param name="NodeName" select="'ESADout_CUPresentedDocument'"/>
														<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
														<xsl:with-param name="NamspCode" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
														<xsl:with-param name="NamspTr" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
														<xsl:with-param name="TD" select="1"/>
													</xsl:call-template>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:if test="string-length(GoodsQuantity)>0  and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
												<SupplementaryGoodsQuantity>
													<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
													<xsl:if test="string-length(MeasureUnitQualifierName)>0">
														<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
													</xsl:if>
													<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
														<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
													</xsl:if>
												</SupplementaryGoodsQuantity>
											</xsl:if>
											<xsl:if test="string-length(PlacesQuantity)>0">
												<xsl:call-template name="EsadOutPack">
													<xsl:with-param  name="NumGood" select="$NumGood"/>
												</xsl:call-template>
											</xsl:if>
											<xsl:if test="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))])>0 and string(../../NumDateCMR)>0">
												<ESADContainer>
													<catESAD_cu:ContainerQuantity><xsl:value-of select="count(//CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))])"/></catESAD_cu:ContainerQuantity>
													<xsl:apply-templates select="//CMRcont/CMRCONT_ITEM[generate-id(.)=generate-id(key('ContCMR',./ContainerID))]">
														<xsl:with-param name="CmrN" select="../../NumDateCMR"/>
														<xsl:with-param name="CmrD" select="$DatCmr"/>		
														<xsl:with-param name="Flg" select="0"/>
													</xsl:apply-templates>
												</ESADContainer>
											</xsl:if>												
											<xsl:if test="$RegTR!='ТР' and $RegTR!='ПР'">
												<ESADCustomsProcedure>
													<xsl:choose>
														<xsl:when test="$RegTR='ЭК'">
															<catESAD_cu:MainCustomsModeCode>10</catESAD_cu:MainCustomsModeCode>
														</xsl:when>
														<xsl:when test="$RegTR='ИМ'">
															<catESAD_cu:MainCustomsModeCode>40</catESAD_cu:MainCustomsModeCode>
														</xsl:when>
													</xsl:choose>
													<catESAD_cu:PrecedingCustomsModeCode>00</catESAD_cu:PrecedingCustomsModeCode>
													<catESAD_cu:GoodsTransferFeature>000</catESAD_cu:GoodsTransferFeature>
												</ESADCustomsProcedure>
											</xsl:if>
										</ESADout_CUGoods>
									</xsl:for-each>
								</xsl:otherwise>
							</xsl:choose>	
							<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/TDGuarantee/TDGUARANTEE_ITEM[string-length(MeasureCode)>0]">
								<TDGuarantee>
									<catESAD_cu:MeasureCode><xsl:value-of select="MeasureCode"/></catESAD_cu:MeasureCode>
									<xsl:if test="string-length(DocNumber)>0">
										<catESAD_cu:DocNumber><xsl:value-of select="DocNumber"/></catESAD_cu:DocNumber>
									</xsl:if>
									<xsl:if test="string-length(DocDate)>0">
										<catESAD_cu:DocDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="DocDate"/>
											</xsl:call-template>
										</catESAD_cu:DocDate>
									</xsl:if>
									<xsl:if test="string-length(GuaranteeName)>0">
										<catESAD_cu:GuaranteeName><xsl:value-of select="GuaranteeName"/></catESAD_cu:GuaranteeName>
									</xsl:if>	
								</TDGuarantee>
							</xsl:for-each>
						</ESADout_CUGoodsShipment>
						<xsl:choose>
							<xsl:when test="$SelectDcl=1">
								<FilledPerson>
									<xsl:call-template name="FilledPersonDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</FilledPerson>
								<CUESADCustomsRepresentative>
									<xsl:call-template name="CustomsRepresentativeDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</CUESADCustomsRepresentative>
							</xsl:when>
							<xsl:when test="count(//APPENDIX/APPENDIX_ITEM[string-length(Filled_PersonSurname)>0 and string-length(Filled_PersonName)>0])>0">
								<xsl:for-each select="//APPENDIX/APPENDIX_ITEM[string-length(Filled_PersonSurname)>0 and string-length(Filled_PersonName)>0]">
									<FilledPerson>
										<xsl:call-template name="DriverInformation">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Nodesp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
											<xsl:with-param name="Pref" select="'Filled_'"/>
											<xsl:with-param name="Doc" select="'DCL'"/>
										</xsl:call-template>
									</FilledPerson>
								</xsl:for-each>	
							</xsl:when>
							<xsl:otherwise>
								<FilledPerson>
									<cat_ru:PersonSurname><xsl:value-of select="$DeclLastName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="$DeclFirstName"/></cat_ru:PersonName>        
								</FilledPerson>	
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</xsl:for-each>
			</xsl:if>
			<xsl:if test="count(//RWB)>0">
				<xsl:for-each select="RWB/RWB_ITEM">
					<xsl:variable name="NumRwb" select="RegNum"/>
					<xsl:variable name="DatRwb" select="substring(RegDate,1,10)"/>
					<xsl:variable name="PosCmr" select="count(../preceding-sibling::*)"/>
					<xsl:variable name="NumRwbGr" select="concat(RegNum,$DatRwb,$PosCmr)"/>
					<xsl:variable name="GroupAuto"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
							<xsl:choose>
								<xsl:when test="string-length($NumRwbGr)>0 and count(//INVOICE[((@ctmtd:CfgName)='invoiceauto.cfg.xml' or (@ctmtd:CfgName)='invoicealco.cfg.xml')]/INVOICE_ITEM[NumDateRw=$NumRwbGr])>0">0</xsl:when>
								<xsl:when test="count(//INVOICE[(@ctmtd:CfgName)='invoiceauto.cfg.xml' or (@ctmtd:CfgName)='invoicealco.cfg.xml'])>0">0</xsl:when>
								<xsl:otherwise><xsl:value-of select="GroupGoods"/></xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
					<xsl:if test="position()=1">
						<xsl:variable name="RegTR">
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
										<xsl:with-param name="CneeC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="Consignor_CountryCode"/>
										<xsl:with-param name="CneeC" select="Consignee_CountryCode"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:call-template name="CustPrTrDir">
							<xsl:with-param name="CneeC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignee_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="CnorC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignor_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
							<xsl:with-param name="TranzitPrTr" select="$TranzitDcl"/>
							<xsl:with-param name="Rapala" select="0"/>
						</xsl:call-template>
						<RecipientCountryCode>
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
								</xsl:when>
								<xsl:when test="string-length(Consignee_CountryCode)>0">
									<xsl:value-of select="Consignee_CountryCode"/>
								</xsl:when>
								<xsl:otherwise>RU</xsl:otherwise>
							</xsl:choose>
						</RecipientCountryCode>
						<ExecutionDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat"  select="$Now"/>
							</xsl:call-template>
						</ExecutionDate>
						<ESADout_CUGoodsShipment>
							<xsl:choose>
								<xsl:when test="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('OrCountry',./OriginCountryCode))])=0">
									<catESAD_cu:OriginCountryName>НЕИЗВЕСТНА</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:when test="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('OrCountry',./OriginCountryCode))])>1">
									<catESAD_cu:OriginCountryName>РАЗНЫЕ</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="string-length(//INVOICEGoods/INVOICEGOODS_ITEM[1]/OriginCountry)>0">
										<catESAD_cu:OriginCountryName><xsl:value-of select="//INVOICEGoods/INVOICEGOODS_ITEM[1]/OriginCountry"/></catESAD_cu:OriginCountryName>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:variable name="CountGoodsESADout">
								<xsl:value-of select="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('GoodsESADout',concat(../../CurrencyCode,./GoodsCode,./PlacesCode)))])"/>
							</xsl:variable>
							<xsl:choose>
								<xsl:when test="$GroupAuto=1">
									<catESAD_cu:TotalGoodsNumber><xsl:value-of select="$CountGoodsESADout"/></catESAD_cu:TotalGoodsNumber>
									<xsl:if test="sum(PlacesQuantity)>0">
										<catESAD_cu:TotalPackageNumber><xsl:value-of select="sum(PlacesQuantity)"/></catESAD_cu:TotalPackageNumber>
									</xsl:if>
									<catESAD_cu:TotalSheetNumber>
										<xsl:call-template name="CountCds">
											<xsl:with-param name="CountGoods" select="$CountGoodsESADout - 1"/>
										</xsl:call-template>
									</catESAD_cu:TotalSheetNumber>
								</xsl:when>
								<xsl:otherwise>
									<catESAD_cu:TotalGoodsNumber><xsl:value-of select="count(//INVOICEGOODS_ITEM/GoodsCode)"/></catESAD_cu:TotalGoodsNumber>
									<xsl:if test="sum(//INVOICEGOODS_ITEM/PlacesQuantity)>0">
										<catESAD_cu:TotalPackageNumber><xsl:value-of select="sum(//INVOICEGOODS_ITEM/PlacesQuantity)"/></catESAD_cu:TotalPackageNumber>
									</xsl:if>
									<catESAD_cu:TotalSheetNumber>
										<xsl:call-template name="CountCds">
											<xsl:with-param name="CountGoods" select="count(//INVOICEGOODS_ITEM/GoodsCode) - 1"/>
										</xsl:call-template>
									</catESAD_cu:TotalSheetNumber>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="count(//INVOICE_ITEM[generate-id(.)=generate-id(key('CurrC',./CurrencyCode)) and string-length(CurrencyCode)>0])=1  and $RegTR!='ТР'">
								<xsl:if test="format-number(round(sum(//INVOICE/INVOICE_ITEM/TotalCost) * 100) div 100,'0.00')>0">
									<catESAD_cu:TotalCustCost><xsl:value-of select="format-number(round(sum(//INVOICE/INVOICE_ITEM/TotalCost) * 100) div 100,'0.00')"/></catESAD_cu:TotalCustCost>
								</xsl:if>	
								<catESAD_cu:CustCostCurrencyCode><xsl:value-of select="//INVOICE/INVOICE_ITEM[1]/CurrencyCode"/></catESAD_cu:CustCostCurrencyCode>
							</xsl:if>
							<ESADout_CUConsignor>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G02'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignor_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>	
							</ESADout_CUConsignor>
							<ESADout_CUConsignee>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G08'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>		
							</ESADout_CUConsignee>
							<ESADout_CUFinancialAdjustingResponsiblePerson>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G09'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>		
							</ESADout_CUFinancialAdjustingResponsiblePerson>
							<xsl:choose>
								<xsl:when test="$SelectDcl=1">
									<ESADout_CUDeclarant>
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G14'"/>
										</xsl:call-template>
									</ESADout_CUDeclarant>	
								</xsl:when>
								<xsl:when test="count(//APPENDIX/APPENDIX_ITEM[string-length(Principal_Name)>0]/Principal_Name)>0">
									<xsl:for-each  select="//APPENDIX/APPENDIX_ITEM[string-length(Principal_Name)>0]">
										<ESADout_CUDeclarant>
											<xsl:call-template name="OrgNode">
												<xsl:with-param name="Pref" select="'Principal_'"/>
												<xsl:with-param name="ReqNode" select="false"/>
												<xsl:with-param name="PostalAddress" select="1"/>
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
											</xsl:call-template>
										</ESADout_CUDeclarant>
									</xsl:for-each>	
								</xsl:when>
								<xsl:when test="string-length(Principal_Name)>0">
									<ESADout_CUDeclarant>
											<xsl:call-template name="OrgNode">
												<xsl:with-param name="Pref" select="'Principal_'"/>
												<xsl:with-param name="ReqNode" select="false"/>
												<xsl:with-param name="PostalAddress" select="1"/>
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
											</xsl:call-template>
										</ESADout_CUDeclarant>
								</xsl:when>
							</xsl:choose>
							<ESADout_CUCarrier>
								<cat_ru:OrganizationName>ОАО "РОССИЙСКИЕ ЖЕЛЕЗНЫЕ ДОРОГИ"</cat_ru:OrganizationName>
								<cat_ru:RFOrganizationFeatures>
									<cat_ru:OGRN>1037739877295</cat_ru:OGRN>
									<cat_ru:INN>7708503727</cat_ru:INN>
									<cat_ru:KPP>770801001</cat_ru:KPP>
								</cat_ru:RFOrganizationFeatures>	
								<cat_ru:Address>
									<cat_ru:PostalCode>107174</cat_ru:PostalCode>
									<cat_ru:CountryCode>RU</cat_ru:CountryCode>
									<cat_ru:CounryName>РОССИЯ</cat_ru:CounryName>
									<cat_ru:City>МОСКВА</cat_ru:City>
									<cat_ru:StreetHouse>УЛ.НОВАЯ БАССМАННАЯ Д.2</cat_ru:StreetHouse>
								</cat_ru:Address>																				
							</ESADout_CUCarrier>
							<ESADout_CUConsigment>
								<xsl:choose>
									<xsl:when test="count(ContainerID)>0 and string-length(ContainerID)>0">
										<catESAD_cu:ContainerIndicator>1</catESAD_cu:ContainerIndicator>
									</xsl:when>
									<xsl:otherwise>
										<catESAD_cu:ContainerIndicator>0</catESAD_cu:ContainerIndicator>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
										<xsl:if test="string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0">
											<catESAD_cu:DispatchCountryCode><xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/></catESAD_cu:DispatchCountryCode>
										</xsl:if>
										<xsl:if test="string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15)>0">
											<catESAD_cu:DispatchCountryName><xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G15"/></catESAD_cu:DispatchCountryName>
										</xsl:if>
										<xsl:if test="string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
											<catESAD_cu:DestinationCountryCode><xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/></catESAD_cu:DestinationCountryCode>
										</xsl:if>
										<xsl:if test="string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17B)>0">
											<catESAD_cu:DestinationCountryName><xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17B"/></catESAD_cu:DestinationCountryName>
										</xsl:if>
									</xsl:when>
									<xsl:otherwise>
										<xsl:if test="string-length(Consignor_CountryCode)>0">
											<catESAD_cu:DispatchCountryCode><xsl:value-of select="Consignor_CountryCode"/></catESAD_cu:DispatchCountryCode>
										</xsl:if>
										<xsl:if test="string-length(Consignor_CountryName)>0">
											<catESAD_cu:DispatchCountryName><xsl:value-of select="Consignor_CountryName"/></catESAD_cu:DispatchCountryName>
										</xsl:if>
										<xsl:if test="string-length(Consignee_CountryCode)>0">
											<catESAD_cu:DestinationCountryCode><xsl:value-of select="Consignee_CountryCode"/></catESAD_cu:DestinationCountryCode>
										</xsl:if>
										<xsl:if test="string-length(Consignee_CountryName)>0">
											<catESAD_cu:DestinationCountryName><xsl:value-of select="Consignee_CountryName"/></catESAD_cu:DestinationCountryName>
										</xsl:if>
									</xsl:otherwise>
								</xsl:choose>	
							 	<xsl:variable name="StatIn" select="DepartureStationCode"/>
								<xsl:variable name="CodeTO">
									<xsl:choose>
										<xsl:when test="string-length(DepartureCustomCode)>0">
											<xsl:value-of select="DepartureCustomCode"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StatIn]/Code"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<catESAD_cu:BorderCustomsOffice>
									<cat_ru:Code><xsl:value-of select="$CodeTO"/></cat_ru:Code>
									<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodeTO]/Name"/></cat_ru:OfficeName>
									<xsl:call-template name="CustomsCountryCode">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="CodTo" select="$CodeTO"/>
									</xsl:call-template>
								</catESAD_cu:BorderCustomsOffice>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLine)>0">
									<DateExpectedArrival>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="//INVOICE[1]/INVOICE_ITEM/DeadLine"/>
										</xsl:call-template>
									</DateExpectedArrival>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLineTime)>0">
									<TimeExpectedArrival>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time"  select="//INVOICE[1]/INVOICE_ITEM/DeadLineTime"/>
										</xsl:call-template>
									</TimeExpectedArrival>
								</xsl:if>								
								<ESADout_CUBorderTransport>
									<cat_ru:TransportModeCode>20</cat_ru:TransportModeCode>
									<xsl:choose>
										<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость']/CarriageId)>0">
											<xsl:variable name="CodCrRw2" select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость'][1]/CarriageLand"/>
											<xsl:if test="string-length($CodCrRw2)>0 and string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw2]/ABC2)>0">
												<cat_ru:TransportNationalityCode>
													<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw2]/ABC2"/>
												</cat_ru:TransportNationalityCode>
											</xsl:if>
											<TransportMeansQuantity><xsl:value-of select="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0]/CarriageId)"/></TransportMeansQuantity>	
										</xsl:when>
										<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]/RailwayBill)>0">
											<xsl:variable name="CodCrRw3" select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0][1]/WOWNER"/>
											<xsl:if test="string-length($CodCrRw3)>0 and string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw3]/ABC2)>0">
												<cat_ru:TransportNationalityCode>
													<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw3]/ABC2"/>
												</cat_ru:TransportNationalityCode>
											</xsl:if>
											<TransportMeansQuantity>
												<xsl:value-of select="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]/RailwayBill)"/>
											</TransportMeansQuantity>	
										</xsl:when>
									</xsl:choose>
									<xsl:choose>
										<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость'])>0">
											<xsl:for-each select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость']">
												<TransportMeans>
													<cat_ru:TransportKindCode>020</cat_ru:TransportKindCode>
													<cat_ru:TransportIdentifier><xsl:value-of select="CarriageId"/></cat_ru:TransportIdentifier>
													<xsl:variable name="CodCrRw" select="CarriageLand"/>
													<xsl:if test="string-length($CodCrRw)>0 and string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw]/ABC2)>0">
														<cat_ru:TransportMeansNationalityCode>
															<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw]/ABC2"/>
														</cat_ru:TransportMeansNationalityCode>
													</xsl:if>
												</TransportMeans>
											</xsl:for-each>
										</xsl:when>
										<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>0">
											<xsl:for-each select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]">
												<TransportMeans>
													<cat_ru:TransportKindCode>020</cat_ru:TransportKindCode>
													<cat_ru:TransportIdentifier><xsl:value-of select="RailwayBill"/></cat_ru:TransportIdentifier>
													<xsl:variable name="CodCrRw1" select="WOWNER"/>
													<xsl:if test="string-length($CodCrRw1)>0 and string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw1]/ABC2)>0">
														<cat_ru:TransportMeansNationalityCode>
															<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CodCrRw1]/ABC2"/>
														</cat_ru:TransportMeansNationalityCode>
													</xsl:if>
												</TransportMeans>
											</xsl:for-each>
										</xsl:when>
									</xsl:choose>													
								</ESADout_CUBorderTransport>
								<xsl:variable name="StatOut" select="DestinationStationCode"/>
								<xsl:variable name="CodeOut">
									<xsl:choose>
										<xsl:when test="string-length(DestinationCustomCode)>0">
											<xsl:value-of select="DestinationCustomCode"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StatOut]/Code"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="string-length($CodeOut)>0">
									<TDDeliveryPlace>
										<DeliveryCustomsOffice>
											<cat_ru:Code><xsl:value-of select="$CodeOut"/></cat_ru:Code>
											<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodeOut]/Name"/></cat_ru:OfficeName>
											<xsl:call-template name="CustomsCountryCode">
												<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
												<xsl:with-param name="CodTo" select="$CodeOut"/>
											</xsl:call-template>
										</DeliveryCustomsOffice>
									</TDDeliveryPlace>
								</xsl:if>	
							</ESADout_CUConsigment>	
							<ESADout_CUMainContractTerms>
								<xsl:if test="string-length(//INVOICE/INVOICE_ITEM[1]/CurrencyCode)>0  and $RegTR!='ТР'">
									<catESAD_cu:ContractCurrencyCode><xsl:value-of select="//INVOICE/INVOICE_ITEM[1]/CurrencyCode"/></catESAD_cu:ContractCurrencyCode>
								</xsl:if>
								<xsl:if test="sum(//INVOICE_ITEM/GCost)>0  and $RegTR!='ТР'">
									<catESAD_cu:TotalInvoiceAmount><xsl:value-of select="format-number(round(sum(//INVOICE_ITEM/GCost) * 100) div 100,'0.00')"/></catESAD_cu:TotalInvoiceAmount>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE/INVOICE_ITEM[1]/TradingCountryCode)>0">
									<catESAD_cu:TradeCountryCode><xsl:value-of select="//INVOICE/INVOICE_ITEM[1]/TradingCountryCode"/></catESAD_cu:TradeCountryCode>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE/INVOICE_ITEM[1]/DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])=1">
									<catESAD_cu:CUESADDeliveryTerms>
										<xsl:if test="string-length(//INVOICE/INVOICE_ITEM[1]/DeliveryPlace)>0">
											<cat_ru:DeliveryPlace><xsl:value-of select="//INVOICE/INVOICE_ITEM[1]/DeliveryPlace"/></cat_ru:DeliveryPlace>
										</xsl:if>
										<cat_ru:DeliveryTermsStringCode><xsl:value-of select="//INVOICE/INVOICE_ITEM[1]/DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
									</catESAD_cu:CUESADDeliveryTerms>
								</xsl:if>
							</ESADout_CUMainContractTerms>
							<xsl:choose>
								<xsl:when test="$GroupAuto=1">
									<xsl:call-template name="ESADoutGoods">
										<xsl:with-param name="RegTR"  select="$RegTR"/>	
										<xsl:with-param name="CMRNum" select="$NumRwbGr"/>	
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:for-each select="//INVOICEGoods/INVOICEGOODS_ITEM">
										<xsl:variable name="NumGood" select="position()"/>
										<xsl:variable name="VagNum" select="CarriageId"/>
										<xsl:choose>
											<xsl:when test="count(//INVOICEGoods/INVOICEGOODS_ITEM[string-length(CarriageId)>0])>0 and (count(//RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId=$VagNum])>0 or count(//SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0 and RailwayBill=$VagNum])>0)">
												<xsl:choose>
													<xsl:when test="count(//RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId=$VagNum])>0">
														<ESADout_CUGoods>	
															<catESAD_cu:GoodsNumeric><xsl:value-of select="position()"/></catESAD_cu:GoodsNumeric>
															<xsl:variable name="DescRwb1" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
																<xsl:choose>
																	<xsl:when test="(../../../@ctmtd:CfgName)='invoiceauto.cfg.xml'">
																		<xsl:call-template name="GoodDescrAvto"/>
																	</xsl:when>
																	<xsl:when test="(../../../@ctmtd:CfgName)='invoicealco.cfg.xml' and substring(GoodsCode,1,2)='22'">
																		<xsl:call-template name="GoodDescrAlco"/>
																	</xsl:when>
																	<xsl:otherwise><xsl:value-of select="GoodsDescription"/></xsl:otherwise>
																</xsl:choose>
															</xsl:variable>			
															<xsl:variable name="GdsDescBeginR1">
																<xsl:call-template name="GoodsDescBegin">
																	<xsl:with-param name="GdDescr" select="$DescRwb1"/>
																</xsl:call-template>	
															</xsl:variable>
															<xsl:variable  name="GdsDescEndR1" select="substring($DescRwb1,string-length($GdsDescBeginR1)+1)"/>
															<xsl:call-template name="GoodsDescr">
																<xsl:with-param name="DesGoods" select="$GdsDescBeginR1"/>
																<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																<xsl:with-param name="NameMes" select="false"/> 
																<xsl:with-param name="LenDes" select="250"/>											
															</xsl:call-template>
															<xsl:if test="string-length(GrossWeightQuantity)>0">
																<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
															</xsl:if>
															<xsl:if test="string-length(NetWeightQuantity)>0 and $RegTR!='ТР'">
																<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:NetWeightQuantity>
															</xsl:if>
															<xsl:if test="string-length(TotalCost)>0 and $RegTR!='ТР'">
																<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
															</xsl:if>
															<xsl:if test="string-length(GoodsCode)>0">
																<catESAD_cu:GoodsTNVEDCode><xsl:value-of select="substring(GoodsCode,1,10)"/></catESAD_cu:GoodsTNVEDCode>
															</xsl:if>
															<xsl:if test="string-length(OriginCountryCode)>0">
																<catESAD_cu:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catESAD_cu:OriginCountryCode>
															</xsl:if>
															<xsl:if test="string-length(OriginCountry)>0">
																	<catESAD_cu:OriginCountryName><xsl:value-of select="OriginCountry"/></catESAD_cu:OriginCountryName>
															</xsl:if>
															<xsl:if test="string-length(substring(GoodsCode,11,4))>0">
																<catESAD_cu:GoodsAddTNVEDCode><xsl:value-of select="substring(GoodsCode,11,4)"/></catESAD_cu:GoodsAddTNVEDCode>
															</xsl:if>
															<catESAD_cu:AdditionalSheetCount>	
																<xsl:choose>
																	<xsl:when test="position()=1">1</xsl:when>
																	<xsl:otherwise>
																		<xsl:call-template name="NumList">
																			<xsl:with-param name="Num" select="position()"/>
																		</xsl:call-template>	
																	</xsl:otherwise>
																</xsl:choose>
															</catESAD_cu:AdditionalSheetCount>
															<xsl:if test="string-length(../../DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])&gt;1">
																<catESAD_cu:CUESADDeliveryTerms>
																	<xsl:if test="string-length(../../DeliveryPlace)>0">
																		<cat_ru:DeliveryPlace><xsl:value-of select="../../DeliveryPlace"/></cat_ru:DeliveryPlace>
																	</xsl:if>	
																	<cat_ru:DeliveryTermsStringCode><xsl:value-of select="../../DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
																</catESAD_cu:CUESADDeliveryTerms>
															</xsl:if>
															<xsl:choose>
																<xsl:when  test="string-length($GdsDescEndR1)>0">
																	<xsl:call-template name="GoodsGroupDesc">
																		<xsl:with-param name="GrpGoodsDes" select="normalize-space($GdsDescEndR1)"/>
																		<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																		<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																	</xsl:call-template>
																</xsl:when>
																<xsl:when test="string-length(GoodMarking)>0">
																	<catESAD_cu:GoodsGroupDescription>
																		<xsl:call-template name="GoodsDescr">
																			<xsl:with-param name="DesGoods" select="$DescRwb1"/>
																			<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																			<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																			<xsl:with-param name="NameMes" select="false"/> 
																			<xsl:with-param name="LenDes" select="250"/>											
																		</xsl:call-template>				
																		<catESAD_cu:GoodsGroupInformation>
																			<xsl:if test="string-length(../../Seler_Name)>0">
																				<catESAD_cu:Manufacturer><xsl:value-of select="../../Seler_Name"/></catESAD_cu:Manufacturer>
																			</xsl:if>
																			<catESAD_cu:GoodsMarking><xsl:value-of select="substring(translate(GoodMarking,'&#xA;&#xD;',' '),1,50)"/></catESAD_cu:GoodsMarking>
																			<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
																				<catESAD_cu:GoodsGroupQuantity>
																					<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
																					<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																						<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
																					</xsl:if>
																					<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																						<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
																					</xsl:if>
																				</catESAD_cu:GoodsGroupQuantity>	
																			</xsl:if>	
																		</catESAD_cu:GoodsGroupInformation>
																	</catESAD_cu:GoodsGroupDescription>
																</xsl:when>
															</xsl:choose>
															<MilitaryProducts>0</MilitaryProducts>
															<xsl:if test="string-length(../../CurrencyCode)>0 and $RegTR!='ТР'">
																<CurrencyCode><xsl:value-of select="../../CurrencyCode"/></CurrencyCode>
															</xsl:if>
															<xsl:call-template name="PresDocs">
																<xsl:with-param name="Num" select="$NumRwb"/>
																<xsl:with-param name="Dat" select="$DatRwb"/>
																<xsl:with-param name="NodeName" select="'ESADout_CUPresentedDocument'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
																<xsl:with-param name="NamspCode" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																<xsl:with-param name="NamspTr" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
																<xsl:with-param name="TD" select="1"/>
															</xsl:call-template>
															<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
																<SupplementaryGoodsQuantity>
																	<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
																	<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																		<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
																	</xsl:if>
																	<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																		<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
																	</xsl:if>
																</SupplementaryGoodsQuantity>
															</xsl:if>
															<xsl:if test="string-length(PlacesQuantity)>0">
																<xsl:call-template name="EsadOutPack">
																	<xsl:with-param  name="NumGood" select="$NumGood"/>
																</xsl:call-template>
															</xsl:if> 
															<xsl:choose>
																<xsl:when  test="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)>1">
																	<ESADContainer>
																		<catESAD_cu:ContainerQuantity><xsl:value-of select="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)"/></catESAD_cu:ContainerQuantity>
																		<xsl:for-each select="../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
																			<catESAD_cu:ContainerNumber>
																				<catESAD_cu:ContainerIdentificaror>
																					<xsl:value-of select="ContainerID"/>
																				</catESAD_cu:ContainerIdentificaror>
																			</catESAD_cu:ContainerNumber>	
																		</xsl:for-each>
																	</ESADContainer>
																</xsl:when>
																<xsl:when test="count(//RWB/RWB_ITEM[string-length(ContainerID)>0]/ContainerID)>0">
																	<ESADContainer>
																		<catESAD_cu:ContainerQuantity>1</catESAD_cu:ContainerQuantity>
																		<catESAD_cu:ContainerNumber>
																			<catESAD_cu:ContainerIdentificaror>
																				<xsl:choose>
																					<xsl:when test="contains(//RWB/RWB_ITEM/ContainerID,'-P')">
																						<xsl:value-of select="normalize-space(substring-before(//RWB/RWB_ITEM/ContainerID,'-P'))"/>
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of select="//RWB/RWB_ITEM/ContainerID"/>
																					</xsl:otherwise>
																				</xsl:choose>
																			</catESAD_cu:ContainerIdentificaror>
																		</catESAD_cu:ContainerNumber>
																	</ESADContainer>
																</xsl:when>
															</xsl:choose>
															<xsl:if test="$RegTR!='ТР' and $RegTR!='ПР'">
																<ESADCustomsProcedure>
																	<xsl:choose>
																		<xsl:when test="$RegTR='ЭК'">
																			<catESAD_cu:MainCustomsModeCode>10</catESAD_cu:MainCustomsModeCode>
																		</xsl:when>
																		<xsl:when test="$RegTR='ИМ'">
																			<catESAD_cu:MainCustomsModeCode>40</catESAD_cu:MainCustomsModeCode>
																		</xsl:when>
																	</xsl:choose>
																	<catESAD_cu:PrecedingCustomsModeCode>00</catESAD_cu:PrecedingCustomsModeCode>
																	<catESAD_cu:GoodsTransferFeature>000</catESAD_cu:GoodsTransferFeature>
																</ESADCustomsProcedure>
															</xsl:if>
														</ESADout_CUGoods>	
													</xsl:when>
													<xsl:when test="count(//SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0 and RailwayBill=$VagNum])>0">
														<ESADout_CUGoods>
															<catESAD_cu:GoodsNumeric><xsl:value-of select="position()"/></catESAD_cu:GoodsNumeric>
															<xsl:variable name="DescRwb2" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
																<xsl:choose>
																	<xsl:when test="(../../../@ctmtd:CfgName)='invoiceauto.cfg.xml'">
																		<xsl:call-template name="GoodDescrAvto"/>
																	</xsl:when>
																	<xsl:when test="(../../../@ctmtd:CfgName)='invoicealco.cfg.xml' and substring(GoodsCode,1,2)='22'">
																		<xsl:call-template name="GoodDescrAlco"/>
																	</xsl:when>
																	<xsl:otherwise><xsl:value-of select="GoodsDescription"/></xsl:otherwise>
																</xsl:choose>
															</xsl:variable>			
															<xsl:variable name="GdsDescBeginR2">
																<xsl:call-template name="GoodsDescBegin">
																	<xsl:with-param name="GdDescr" select="$DescRwb2"/>
																</xsl:call-template>	
															</xsl:variable>
															<xsl:variable  name="GdsDescEndR2" select="substring($DescRwb2,string-length($GdsDescBeginR2)+1)"/>
															<xsl:call-template name="GoodsDescr">
																<xsl:with-param name="DesGoods" select="$GdsDescBeginR2"/>
																<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																<xsl:with-param name="NameMes" select="false"/> 
																<xsl:with-param name="LenDes" select="250"/>											
															</xsl:call-template>	
															<xsl:if test="string-length(GrossWeightQuantity)>0">
																<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
															</xsl:if>
															<xsl:if test="string-length(NetWeightQuantity)>0 and $RegTR!='ТР'">
																<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:NetWeightQuantity>
															</xsl:if>
															<xsl:if test="string-length(TotalCost)>0  and $RegTR!='ТР'">
																<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
															</xsl:if>
															<xsl:if test="string-length(GoodsCode)>0">
																<catESAD_cu:GoodsTNVEDCode><xsl:value-of select="substring(GoodsCode,1,10)"/></catESAD_cu:GoodsTNVEDCode>
															</xsl:if>
															<xsl:if test="string-length(OriginCountryCode)>0">
																<catESAD_cu:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catESAD_cu:OriginCountryCode>
															</xsl:if>
															<xsl:if test="string-length(OriginCountry)>0">
																	<catESAD_cu:OriginCountryName><xsl:value-of select="OriginCountry"/></catESAD_cu:OriginCountryName>
															</xsl:if>
															<xsl:if test="string-length(substring(GoodsCode,11,4))>0">
																<catESAD_cu:GoodsAddTNVEDCode><xsl:value-of select="substring(GoodsCode,11,4)"/></catESAD_cu:GoodsAddTNVEDCode>
															</xsl:if>	
															<xsl:choose>
																<xsl:when test="position()=1">
																	<catESAD_cu:AdditionalSheetCount>1</catESAD_cu:AdditionalSheetCount>
																</xsl:when>
																<xsl:otherwise>
																	<catESAD_cu:AdditionalSheetCount>
																		<xsl:call-template name="NumList">
																			<xsl:with-param name="Num" select="position()"/>
																		</xsl:call-template>	
																	</catESAD_cu:AdditionalSheetCount>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:if test="string-length(../../DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])&gt;1">
																<catESAD_cu:CUESADDeliveryTerms>
																	<xsl:if test="string-length(../../DeliveryPlace)>0">
																		<cat_ru:DeliveryPlace><xsl:value-of select="../../DeliveryPlace"/></cat_ru:DeliveryPlace>
																	</xsl:if>	
																	<cat_ru:DeliveryTermsStringCode><xsl:value-of select="../../DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
																</catESAD_cu:CUESADDeliveryTerms>
															</xsl:if>
															<xsl:choose>
																<xsl:when  test="string-length($GdsDescEndR2)>0">
																	<xsl:call-template name="GoodsGroupDesc">
																		<xsl:with-param name="GrpGoodsDes" select="normalize-space($GdsDescEndR2)"/>
																		<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																		<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																	</xsl:call-template>
																</xsl:when>
																<xsl:when test="string-length(GoodMarking)>0">
																	<catESAD_cu:GoodsGroupDescription>
																		<xsl:call-template name="GoodsDescr">
																			<xsl:with-param name="DesGoods" select="$DescRwb2"/>
																			<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																			<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																			<xsl:with-param name="NameMes" select="false"/> 
																			<xsl:with-param name="LenDes" select="250"/>											
																		</xsl:call-template>				
																		<catESAD_cu:GoodsGroupInformation>
																			<xsl:if test="string-length(../../Seler_Name)>0">
																				<catESAD_cu:Manufacturer><xsl:value-of select="../../Seler_Name"/></catESAD_cu:Manufacturer>
																			</xsl:if>
																			<catESAD_cu:GoodsMarking><xsl:value-of select="substring(translate(GoodMarking,'&#xA;&#xD;',' '),1,50)"/></catESAD_cu:GoodsMarking>
																			<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
																				<catESAD_cu:GoodsGroupQuantity>
																					<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
																					<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																						<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
																					</xsl:if>
																					<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																						<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
																					</xsl:if>
																				</catESAD_cu:GoodsGroupQuantity>	
																			</xsl:if>	
																		</catESAD_cu:GoodsGroupInformation>
																	</catESAD_cu:GoodsGroupDescription>
																</xsl:when>
															</xsl:choose>
															<MilitaryProducts>0</MilitaryProducts>
															<xsl:if test="string-length(../../CurrencyCode)>0  and $RegTR!='ТР'">
																<CurrencyCode><xsl:value-of select="../../CurrencyCode"/></CurrencyCode>
															</xsl:if>
															<xsl:call-template name="PresDocs">
																<xsl:with-param name="Num" select="$NumRwb"/>
																<xsl:with-param name="Dat" select="$DatRwb"/>
																<xsl:with-param name="NodeName" select="'ESADout_CUPresentedDocument'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
																<xsl:with-param name="NamspCode" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																<xsl:with-param name="NamspTr" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
																<xsl:with-param name="TD" select="1"/>
															</xsl:call-template>
															<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
																<SupplementaryGoodsQuantity>
																	<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
																	<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																		<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
																	</xsl:if>
																	<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																		<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
																	</xsl:if>
																</SupplementaryGoodsQuantity>
															</xsl:if>
															<xsl:if test="string-length(PlacesQuantity)>0">
																<xsl:call-template name="EsadOutPack">
																	<xsl:with-param  name="NumGood" select="$NumGood"/>
																</xsl:call-template>
															</xsl:if> 
															<xsl:choose>
																<xsl:when  test="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)>1">
																	<ESADContainer>
																		<catESAD_cu:ContainerQuantity><xsl:value-of select="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)"/></catESAD_cu:ContainerQuantity>
																		<xsl:for-each select="../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
																			<catESAD_cu:ContainerNumber>
																				<catESAD_cu:ContainerIdentificaror>
																					<xsl:value-of select="ContainerID"/>
																				</catESAD_cu:ContainerIdentificaror>
																			</catESAD_cu:ContainerNumber>
																		</xsl:for-each>
																	</ESADContainer>
																</xsl:when>
																<xsl:when test="count(//RWB/RWB_ITEM[string-length(ContainerID)>0]/ContainerID)>0">
																	<ESADContainer>
																		<catESAD_cu:ContainerQuantity>1</catESAD_cu:ContainerQuantity>
																		<catESAD_cu:ContainerNumber>
																			<catESAD_cu:ContainerIdentificaror>
																				<xsl:choose>
																					<xsl:when test="contains(//RWB/RWB_ITEM/ContainerID,'-P')">
																						<xsl:value-of select="normalize-space(substring-before(//RWB/RWB_ITEM/ContainerID,'-P'))"/>
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of select="//RWB/RWB_ITEM/ContainerID"/>
																					</xsl:otherwise>
																				</xsl:choose>
																			</catESAD_cu:ContainerIdentificaror>
																		</catESAD_cu:ContainerNumber>
																	</ESADContainer>
																</xsl:when>
															</xsl:choose>					
															<xsl:if test="$RegTR!='ТР' and $RegTR!='ПР'">
																<ESADCustomsProcedure>
																	<xsl:choose>
																		<xsl:when test="$RegTR='ЭК'">
																			<catESAD_cu:MainCustomsModeCode>10</catESAD_cu:MainCustomsModeCode>
																		</xsl:when>
																		<xsl:when test="$RegTR='ИМ'">
																			<catESAD_cu:MainCustomsModeCode>40</catESAD_cu:MainCustomsModeCode>
																		</xsl:when>
																	</xsl:choose>
																	<catESAD_cu:PrecedingCustomsModeCode>00</catESAD_cu:PrecedingCustomsModeCode>
																	<catESAD_cu:GoodsTransferFeature>000</catESAD_cu:GoodsTransferFeature>
																</ESADCustomsProcedure>
															</xsl:if>
														</ESADout_CUGoods>
													</xsl:when>
												</xsl:choose>
											</xsl:when>
											<xsl:otherwise>
												<ESADout_CUGoods>
													<catESAD_cu:GoodsNumeric><xsl:value-of select="position()"/></catESAD_cu:GoodsNumeric>
													<xsl:variable name="DescRwb3" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
														<xsl:choose>
															<xsl:when test="(../../../@ctmtd:CfgName)='invoiceauto.cfg.xml'">
																<xsl:call-template name="GoodDescrAvto"/>
															</xsl:when>
															<xsl:when test="(../../../@ctmtd:CfgName)='invoicealco.cfg.xml' and substring(GoodsCode,1,2)='22'">
																<xsl:call-template name="GoodDescrAlco"/>
															</xsl:when>
															<xsl:otherwise><xsl:value-of select="GoodsDescription"/></xsl:otherwise>
														</xsl:choose>
													</xsl:variable>			
													<xsl:variable name="GdsDescBeginR3">
														<xsl:call-template name="GoodsDescBegin">
															<xsl:with-param name="GdDescr" select="$DescRwb3"/>
														</xsl:call-template>	
													</xsl:variable>
													<xsl:variable  name="GdsDescEndR3" select="substring($DescRwb3,string-length($GdsDescBeginR3)+1)"/>
													<xsl:call-template name="GoodsDescr">
														<xsl:with-param name="DesGoods" select="$GdsDescBeginR3"/>
														<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
														<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
														<xsl:with-param name="NameMes" select="false"/> 
														<xsl:with-param name="LenDes" select="250"/>											
													</xsl:call-template>			
													<xsl:if test="string-length(GrossWeightQuantity)>0">
														<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
														</xsl:if>
													<xsl:if test="string-length(NetWeightQuantity)>0 and $RegTR!='ТР'">
														<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:NetWeightQuantity>
													</xsl:if>
													<xsl:if test="string-length(TotalCost)>0 and $RegTR!='ТР'">
														<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
													</xsl:if>
													<xsl:if test="string-length(GoodsCode)>0">
														<catESAD_cu:GoodsTNVEDCode><xsl:value-of select="substring(GoodsCode,1,10)"/></catESAD_cu:GoodsTNVEDCode>
													</xsl:if>
													<xsl:if test="string-length(OriginCountryCode)>0">
														<catESAD_cu:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catESAD_cu:OriginCountryCode>
													</xsl:if>
													<xsl:if test="string-length(OriginCountry)>0">
															<catESAD_cu:OriginCountryName><xsl:value-of select="OriginCountry"/></catESAD_cu:OriginCountryName>
													</xsl:if>
													<xsl:if test="string-length(substring(GoodsCode,11,4))>0">
														<catESAD_cu:GoodsAddTNVEDCode><xsl:value-of select="substring(GoodsCode,11,4)"/></catESAD_cu:GoodsAddTNVEDCode>
													</xsl:if>	
													<xsl:choose>
														<xsl:when test="position()=1">
															<catESAD_cu:AdditionalSheetCount>1</catESAD_cu:AdditionalSheetCount>
														</xsl:when>
														<xsl:otherwise>
															<catESAD_cu:AdditionalSheetCount>
																<xsl:call-template name="NumList">
																	<xsl:with-param name="Num" select="position()"/>
																</xsl:call-template>	
															</catESAD_cu:AdditionalSheetCount>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:if test="string-length(../../DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])&gt;1">
														<catESAD_cu:CUESADDeliveryTerms>
															<xsl:if test="string-length(../../DeliveryPlace)>0">
																<cat_ru:DeliveryPlace><xsl:value-of select="../../DeliveryPlace"/></cat_ru:DeliveryPlace>
															</xsl:if>	
															<cat_ru:DeliveryTermsStringCode><xsl:value-of select="../../DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
														</catESAD_cu:CUESADDeliveryTerms>
													</xsl:if>
													<xsl:choose>
														<xsl:when  test="string-length($GdsDescEndR3)>0">
															<xsl:call-template name="GoodsGroupDesc">
																<xsl:with-param name="GrpGoodsDes" select="normalize-space($GdsDescEndR3)"/>
																<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
															</xsl:call-template>
														</xsl:when>
														<xsl:when test="string-length(GoodMarking)>0">
															<catESAD_cu:GoodsGroupDescription>
																<xsl:call-template name="GoodsDescr">
																	<xsl:with-param name="DesGoods" select="$DescRwb3"/>
																	<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
																	<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
																	<xsl:with-param name="NameMes" select="false"/> 
																	<xsl:with-param name="LenDes" select="250"/>											
																</xsl:call-template>				
																<catESAD_cu:GoodsGroupInformation>
																	<xsl:if test="string-length(../../Seler_Name)>0">
																		<catESAD_cu:Manufacturer><xsl:value-of select="../../Seler_Name"/></catESAD_cu:Manufacturer>
																	</xsl:if>
																	<catESAD_cu:GoodsMarking><xsl:value-of select="substring(translate(GoodMarking,'&#xA;&#xD;',' '),1,50)"/></catESAD_cu:GoodsMarking>
																	<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
																		<catESAD_cu:GoodsGroupQuantity>
																			<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
																			<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																				<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
																			</xsl:if>
																			<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																				<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
																			</xsl:if>
																		</catESAD_cu:GoodsGroupQuantity>	
																	</xsl:if>	
																</catESAD_cu:GoodsGroupInformation>
															</catESAD_cu:GoodsGroupDescription>
														</xsl:when>
													</xsl:choose>
													<MilitaryProducts>0</MilitaryProducts>
													<xsl:if test="string-length(../../CurrencyCode)>0 and $RegTR!='ТР'">
														<CurrencyCode><xsl:value-of select="../../CurrencyCode"/></CurrencyCode>
													</xsl:if>											
													<xsl:call-template name="PresDocs">
														<xsl:with-param name="Num" select="$NumRwb"/>
														<xsl:with-param name="Dat" select="$DatRwb"/>
														<xsl:with-param name="NodeName" select="'ESADout_CUPresentedDocument'"/>
														<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
														<xsl:with-param name="NamspCode" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
														<xsl:with-param name="NamspTr" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
														<xsl:with-param name="TD" select="1"/>
													</xsl:call-template>												
													<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
														<SupplementaryGoodsQuantity>
															<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
															<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
															</xsl:if>
															<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
															</xsl:if>
														</SupplementaryGoodsQuantity>
													</xsl:if>
													<xsl:if test="string-length(PlacesQuantity)>0">
														<xsl:call-template name="EsadOutPack">
															<xsl:with-param  name="NumGood" select="$NumGood"/>
														</xsl:call-template>
													</xsl:if> 
													<xsl:choose>
														<xsl:when  test="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)>1">
															<ESADContainer>
																<catESAD_cu:ContainerQuantity><xsl:value-of select="count(../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)"/></catESAD_cu:ContainerQuantity>
																<xsl:for-each select="../../Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
																	<catESAD_cu:ContainerNumber>
																		<catESAD_cu:ContainerIdentificaror>
																			<xsl:value-of select="ContainerID"/>
																		</catESAD_cu:ContainerIdentificaror>
																	</catESAD_cu:ContainerNumber>
																</xsl:for-each>
															</ESADContainer>
														</xsl:when>
														<xsl:when test="count(//RWB/RWB_ITEM[string-length(ContainerID)>0]/ContainerID)>0">
															<ESADContainer>
																<catESAD_cu:ContainerQuantity>1</catESAD_cu:ContainerQuantity>
																<catESAD_cu:ContainerNumber>
																	<catESAD_cu:ContainerIdentificaror>
																		<xsl:choose>
																			<xsl:when test="contains(//RWB/RWB_ITEM/ContainerID,'-P')">
																				<xsl:value-of select="normalize-space(substring-before(//RWB/RWB_ITEM/ContainerID,'-P'))"/>
																			</xsl:when>
																			<xsl:otherwise>
																				<xsl:value-of select="//RWB/RWB_ITEM/ContainerID"/>
																			</xsl:otherwise>
																		</xsl:choose>
																	</catESAD_cu:ContainerIdentificaror>
																</catESAD_cu:ContainerNumber>
															</ESADContainer>
														</xsl:when>
													</xsl:choose>		
													<xsl:if test="$RegTR!='ТР' and $RegTR!='ПР'">
														<ESADCustomsProcedure>
															<xsl:choose>
																<xsl:when test="$RegTR='ЭК'">
																	<catESAD_cu:MainCustomsModeCode>10</catESAD_cu:MainCustomsModeCode>
																</xsl:when>
																<xsl:when test="$RegTR='ИМ'">
																	<catESAD_cu:MainCustomsModeCode>40</catESAD_cu:MainCustomsModeCode>
																</xsl:when>
															</xsl:choose>
															<catESAD_cu:PrecedingCustomsModeCode>00</catESAD_cu:PrecedingCustomsModeCode>
															<catESAD_cu:GoodsTransferFeature>000</catESAD_cu:GoodsTransferFeature>
														</ESADCustomsProcedure>
													</xsl:if>	
												</ESADout_CUGoods>
											</xsl:otherwise>
										</xsl:choose> 
									</xsl:for-each>
								</xsl:otherwise>
							</xsl:choose>		
							<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/TDGuarantee/TDGUARANTEE_ITEM[string-length(MeasureCode)>0]">
								<TDGuarantee>
									<catESAD_cu:MeasureCode><xsl:value-of select="MeasureCode"/></catESAD_cu:MeasureCode>
									<xsl:if test="string-length(DocNumber)>0">
										<catESAD_cu:DocNumber><xsl:value-of select="DocNumber"/></catESAD_cu:DocNumber>
									</xsl:if>
									<xsl:if test="string-length(DocDate)>0">
										<catESAD_cu:DocDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="DocDate"/>
											</xsl:call-template>
										</catESAD_cu:DocDate>
									</xsl:if>
									<xsl:if test="string-length(GuaranteeName)>0">
										<catESAD_cu:GuaranteeName><xsl:value-of select="GuaranteeName"/></catESAD_cu:GuaranteeName>
									</xsl:if>	
								</TDGuarantee>
							</xsl:for-each>
						</ESADout_CUGoodsShipment>
						<xsl:choose>
							<xsl:when test="$SelectDcl=1">
								<FilledPerson>
									<xsl:call-template name="FilledPersonDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</FilledPerson>
								<CUESADCustomsRepresentative>
									<xsl:call-template name="CustomsRepresentativeDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</CUESADCustomsRepresentative>
							</xsl:when>
							<xsl:when test="count(//APPENDIX/APPENDIX_ITEM[string-length(Filled_PersonSurname)>0 and string-length(Filled_PersonName)>0])>0">
								<xsl:for-each select="//APPENDIX/APPENDIX_ITEM[string-length(Filled_PersonSurname)>0 and string-length(Filled_PersonName)>0]">
									<FilledPerson>
										<xsl:call-template name="DriverInformation">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Nodesp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
											<xsl:with-param name="Pref" select="'Filled_'"/>
											<xsl:with-param name="Doc" select="'DCL'"/>
										</xsl:call-template>
									</FilledPerson>
								</xsl:for-each>	
							</xsl:when>
							<xsl:otherwise>
								<FilledPerson>
									<cat_ru:PersonSurname><xsl:value-of select="$DeclLastName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="$DeclFirstName"/></cat_ru:PersonName>        
								</FilledPerson>	
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>	
				</xsl:for-each>
			</xsl:if>
			<xsl:if test="count(//CONOSAMENT_ITEM)>0 and count(//RWB_ITEM)=0 and count(//CMR_ITEM)=0">
				<xsl:for-each select="CONOSAMENT/CONOSAMENT_ITEM">
					<xsl:if test="position()=1">
						<xsl:variable name="ConosamentGoodsSet" select ="//*[name()='CONOSAMENTGOODS_ITEM' or name()='CONOSAMENTGoods_ITEM']"/>
						<xsl:variable name="TypeSea" select="(contains((../@ctmtd:CfgName),'seapit1') or contains((../@ctmtd:CfgName),'SEAPIT1')) and (contains((../@ctmtd:CfgName),'conosament')=false and contains((../@ctmtd:CfgName),'CONOSAMENT')=false)"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document"/>
						<xsl:variable name="NumCmr" select="RegNum"/>
						<xsl:variable name="DatCmr" select="substring(RegDate,1,10)"/>
						<xsl:variable name="RegTR">
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
										<xsl:with-param name="CneeC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="Consignor_CountryCode"/>
										<xsl:with-param name="CneeC" select="Consignee_CountryCode"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:call-template name="CustPrTrDir">
							<xsl:with-param name="CneeC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignee_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="CnorC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignor_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
							<xsl:with-param name="TranzitPrTr" select="$TranzitDcl"/>
							<xsl:with-param name="Rapala" select="0"/>
						</xsl:call-template>
						<RecipientCountryCode>
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
								</xsl:when>
								<xsl:when test="string-length(Consignee_CountryCode)>0">
									<xsl:value-of select="Consignee_CountryCode"/>
								</xsl:when>
								<xsl:otherwise>RU</xsl:otherwise>
							</xsl:choose>
						</RecipientCountryCode>
						<ExecutionDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat"  select="$Now"/>
							</xsl:call-template>
						</ExecutionDate>
						<ESADout_CUGoodsShipment>
							<xsl:choose>
								<xsl:when test="count($ConosamentGoodsSet[generate-id(.)=generate-id(key('OrCountryCn',./OriginCountryCode))])=0">
									<catESAD_cu:OriginCountryName>НЕИЗВЕСТНА</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:when test="count($ConosamentGoodsSet[generate-id(.)=generate-id(key('OrCountryCn',./OriginCountryCode))])>1">
									<catESAD_cu:OriginCountryName>РАЗНЫЕ</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="string-length($ConosamentGoodsSet[1]/OriginCountry)>0">
										<catESAD_cu:OriginCountryName><xsl:value-of select="$ConosamentGoodsSet[1]/OriginCountry"/></catESAD_cu:OriginCountryName>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
							<catESAD_cu:TotalGoodsNumber><xsl:value-of select="count($ConosamentGoodsSet/GoodsNomenclatureCode)"/></catESAD_cu:TotalGoodsNumber>
							<xsl:if test="sum($ConosamentGoodsSet/PlacesQuantity)>0">
								<catESAD_cu:TotalPackageNumber><xsl:value-of select="sum($ConosamentGoodsSet/PlacesQuantity)"/></catESAD_cu:TotalPackageNumber>
							</xsl:if>
							<catESAD_cu:TotalSheetNumber>
								<xsl:call-template name="CountCds">
									<xsl:with-param name="CountGoods" select="count($ConosamentGoodsSet/GoodsNomenclatureCode) - 1"/>
								</xsl:call-template>
							</catESAD_cu:TotalSheetNumber>
							<ESADout_CUConsignor>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G02'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignor_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>	
							</ESADout_CUConsignor>
							<ESADout_CUConsignee>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G08'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>		
							</ESADout_CUConsignee>
							<ESADout_CUFinancialAdjustingResponsiblePerson>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G09'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>		
							</ESADout_CUFinancialAdjustingResponsiblePerson>
							<xsl:if test="$SelectDcl=1">
								<ESADout_CUDeclarant>
									<xsl:call-template name="FirmDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameNode" select="'G14'"/>
									</xsl:call-template>
								</ESADout_CUDeclarant>	
							</xsl:if>
							<ESADout_CUCarrier>
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Carrier_'"/>
									<xsl:with-param name="ReqNode" select="false"/>
									<xsl:with-param name="PostalAddress" select="1"/>
									<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
								</xsl:call-template>
							</ESADout_CUCarrier>
							<ESADout_CUConsigment>
								<xsl:choose>
									<xsl:when test="count($ConosamentGoodsSet/ContainerNum)>0 or count($ConosamentGoodsSet/Container/CONTAINER_ITEM/ContainerID)>0">
										<catESAD_cu:ContainerIndicator>1</catESAD_cu:ContainerIndicator>
									</xsl:when>
									<xsl:otherwise>
										<catESAD_cu:ContainerIndicator>0</catESAD_cu:ContainerIndicator>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="$TypeSea">
										<xsl:if test="string-length(Consignor_CountryCode)>0">
											<catESAD_cu:DispatchCountryCode><xsl:value-of select="Consignor_CountryCode"/></catESAD_cu:DispatchCountryCode>
										</xsl:if>
										<xsl:if test="string-length(Consignor_CountryName)>0">
											<catESAD_cu:DispatchCountryName><xsl:value-of select="Consignor_CountryName"/></catESAD_cu:DispatchCountryName>
										</xsl:if>
										<xsl:if test="string-length(Consignee_CountryCode)>0">
											<catESAD_cu:DestinationCountryCode><xsl:value-of select="Consignee_CountryCode"/></catESAD_cu:DestinationCountryCode>
										</xsl:if>
										<xsl:if test="string-length(Consignee_CountryName)>0">
											<catESAD_cu:DestinationCountryName><xsl:value-of select="Consignee_CountryName"/></catESAD_cu:DestinationCountryName>
										</xsl:if>
									</xsl:when>
									<xsl:otherwise>
										<xsl:if test="string-length(PlaceOfDelivery_CountryName)>0">
											<xsl:variable name="NamCr" select="PlaceOfDelivery_CountryName"/>
											<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Name=$NamCr]/ABC2)>0">
												<catESAD_cu:DispatchCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Name=$NamCr]/ABC2"/></catESAD_cu:DispatchCountryCode>
											</xsl:if>	
											<catESAD_cu:DispatchCountryName><xsl:value-of select="PlaceOfDelivery_CountryName"/></catESAD_cu:DispatchCountryName>
										</xsl:if>
										<xsl:if test="string-length(PlaceOfReceipt_CountryName)>0">
											<xsl:variable name="NamCr1" select="PlaceOfReceipt_CountryName"/>
											<xsl:if test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Name=$NamCr1]/ABC2)>0">
												<catESAD_cu:DestinationCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Name=$NamCr1]/ABC2"/></catESAD_cu:DestinationCountryCode>
											</xsl:if>	
											<catESAD_cu:DestinationCountryName><xsl:value-of select="PlaceOfReceipt_CountryName"/></catESAD_cu:DestinationCountryName>
										</xsl:if>
									</xsl:otherwise>
								</xsl:choose>
								<ESADout_CUBorderTransport>
									<cat_ru:TransportModeCode>10</cat_ru:TransportModeCode>
									<xsl:if test="string-length(VesselNationalityCode)>0">
										<cat_ru:TransportNationalityCode><xsl:value-of select="VesselNationalityCode"/></cat_ru:TransportNationalityCode>
									</xsl:if>
									<TransportMeansQuantity>1</TransportMeansQuantity>
									<TransportMeans>
										<xsl:choose>
											<xsl:when test="string-length(VesselName)>0">
												<cat_ru:TransportIdentifier><xsl:value-of select="VesselName"/></cat_ru:TransportIdentifier>
											</xsl:when>
											<xsl:otherwise>
												<cat_ru:TransportIdentifier>Теплоход</cat_ru:TransportIdentifier>
											</xsl:otherwise>
										</xsl:choose> 
										<xsl:if test="string-length(VesselNationalityCode)>0">
											<cat_ru:TransportMeansNationalityCode><xsl:value-of select="VesselNationalityCode"/></cat_ru:TransportMeansNationalityCode>
										</xsl:if>
									</TransportMeans>
								</ESADout_CUBorderTransport>
								<xsl:if test="string-length(DepatureOfficeIdentifier)>0">
									<PPBorderCustoms>
										<xsl:variable name="CodTo" select="DepatureOfficeIdentifier"/>
										<cat_ru:Code><xsl:value-of select="$CodTo"/></cat_ru:Code>
										<xsl:choose>
											<xsl:when test="string-length(DepatureOfficeName)>0">
												<cat_ru:OfficeName><xsl:value-of select="DepatureOfficeName"/></cat_ru:OfficeName>
											</xsl:when>
											<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name)>0">
												<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CodTo]/Name"/></cat_ru:OfficeName>
											</xsl:when>
										</xsl:choose>
										<xsl:call-template name="CustomsCountryCode">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="CodTo" select="$CodTo"/>
										</xsl:call-template>
									</PPBorderCustoms>
								</xsl:if>
							</ESADout_CUConsigment>
							<ESADout_CUMainContractTerms>
								<xsl:if test="string-length(CurrencyCode)>0 and $RegTR!='ТР'">
									<catESAD_cu:ContractCurrencyCode><xsl:value-of select="CurrencyCode"/></catESAD_cu:ContractCurrencyCode>
								</xsl:if>
								<xsl:if test="sum($ConosamentGoodsSet[string-length(Cost)>0]/Cost)>0 and $RegTR!='ТР'">
									<catESAD_cu:TotalInvoiceAmount><xsl:value-of select="format-number(round(sum($ConosamentGoodsSet[string-length(Cost)>0]/Cost) * 100) div 100,'0.00')"/></catESAD_cu:TotalInvoiceAmount>
								</xsl:if>
							</ESADout_CUMainContractTerms>
							<xsl:for-each select="$ConosamentGoodsSet">
								<xsl:variable name="NumGood" select="position()"/>
								<ESADout_CUGoods>
									<catESAD_cu:GoodsNumeric><xsl:value-of select="$NumGood"/></catESAD_cu:GoodsNumeric>
									<xsl:variable name="DescCn">
										<xsl:call-template name="GoodDescrAvto"/>
									</xsl:variable>
									<xsl:variable name="GdsDescBeginCn">
										<xsl:call-template name="GoodsDescBegin">
											<xsl:with-param name="GdDescr" select="$DescCn"/>
										</xsl:call-template>	
									</xsl:variable>
									<xsl:variable  name="GdsDescEndCn" select="substring($DescCn,string-length($GdsDescBeginCn)+1)"/>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="$GdsDescBeginCn"/>
										<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
										<xsl:with-param name="NameMes" select="false"/> 
										<xsl:with-param name="LenDes" select="250"/>											
									</xsl:call-template>
									<xsl:if test="string-length(GrossWeightQuantity)>0">
										<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
									</xsl:if>
									<xsl:if test="string-length(NetWeightQuantity)>0 and $RegTR!='ТР'">
										<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:NetWeightQuantity>
									</xsl:if>
									<xsl:if test="string-length(TotalCost)>0 and $RegTR!='ТР'">
										<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
									</xsl:if>
									<xsl:if test="string-length(GoodsNomenclatureCode)>0">
										<catESAD_cu:GoodsTNVEDCode><xsl:value-of select="substring(GoodsNomenclatureCode,1,10)"/></catESAD_cu:GoodsTNVEDCode>
									</xsl:if>
									<xsl:if test="string-length(OriginCountryCode)>0">
										<catESAD_cu:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catESAD_cu:OriginCountryCode>
									</xsl:if>
									<xsl:if test="string-length(OriginCountry)>0">
											<catESAD_cu:OriginCountryName><xsl:value-of select="OriginCountry"/></catESAD_cu:OriginCountryName>
									</xsl:if>
									<xsl:if test="string-length(substring(GoodsNomenclatureCode,11,4))>0">
										<catESAD_cu:GoodsAddTNVEDCode><xsl:value-of select="substring(GoodsNomenclatureCode,11,4)"/></catESAD_cu:GoodsAddTNVEDCode>
									</xsl:if>	
									<xsl:choose>
										<xsl:when test="$NumGood=1">
											<catESAD_cu:AdditionalSheetCount>1</catESAD_cu:AdditionalSheetCount>
										</xsl:when>
										<xsl:otherwise>
											<catESAD_cu:AdditionalSheetCount>
												<xsl:call-template name="NumList">
													<xsl:with-param name="Num" select="$NumGood"/>
												</xsl:call-template>	
											</catESAD_cu:AdditionalSheetCount>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
										<xsl:when  test="string-length($GdsDescEndCn)>0">
											<xsl:call-template name="GoodsGroupDesc">
												<xsl:with-param name="GrpGoodsDes" select="normalize-space($GdsDescEndCn)"/>
												<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
											</xsl:call-template>
										</xsl:when>
										<xsl:when test="string-length(GoodsMarking)>0">
											<catESAD_cu:GoodsGroupDescription>
												<xsl:call-template name="GoodsDescr">
													<xsl:with-param name="DesGoods" select="$DescCn"/>
													<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
													<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
													<xsl:with-param name="NameMes" select="false"/> 
													<xsl:with-param name="LenDes" select="250"/>											
												</xsl:call-template>
												<catESAD_cu:GoodsGroupInformation>
													<catESAD_cu:GoodsMarking><xsl:value-of select="substring(translate(GoodsMarking,'&#xA;&#xD;',' '),1,50)"/></catESAD_cu:GoodsMarking>
													<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
														<catESAD_cu:GoodsGroupQuantity>
															<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
															<xsl:if test="string-length(MeasureUnitQualifierName)>0">
																<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
															</xsl:if>
															<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
																<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
															</xsl:if>
														</catESAD_cu:GoodsGroupQuantity>	
													</xsl:if>	
												</catESAD_cu:GoodsGroupInformation>
											</catESAD_cu:GoodsGroupDescription>
										</xsl:when>
									</xsl:choose>	
									<xsl:if test="string-length(../../CurrencyCode)>0 and $RegTR!='ТР'">
										<CurrencyCode><xsl:value-of select="../../CurrencyCode"/></CurrencyCode>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="$TypeSea">
											<xsl:for-each select="GoodDocuments/GOODDOCUMENTS_ITEM[string-length(PrDocumentNumber)>0 and string-length(DocumentModeCode)>0]">
												<ESADout_CUPresentedDocument>
													<xsl:if test="string-length(PrDocumentName)>0">
														<cat_ru:PrDocumentName><xsl:value-of select="PrDocumentName"/></cat_ru:PrDocumentName>
													</xsl:if>
													<cat_ru:PrDocumentNumber><xsl:value-of select="PrDocumentNumber"/></cat_ru:PrDocumentNumber>
													<xsl:if test="string-length(PrDocumentDate)>0">
														<cat_ru:PrDocumentDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat"  select="PrDocumentDate"/>
															</xsl:call-template>
														</cat_ru:PrDocumentDate>
													</xsl:if>
													<catESAD_cu:PresentedDocumentModeCode><xsl:value-of select="DocumentModeCode"/></catESAD_cu:PresentedDocumentModeCode>
												</ESADout_CUPresentedDocument>
											</xsl:for-each>
										</xsl:when>
										<xsl:otherwise>
											<xsl:if test="string-length(../../ContractNum)>0">
												<ESADout_CUPresentedDocument>
													<cat_ru:PrDocumentName>Contract</cat_ru:PrDocumentName>
													<cat_ru:PrDocumentNumber><xsl:value-of select="../../ContractNum"/></cat_ru:PrDocumentNumber>
													<xsl:if test="string-length(substring(../../ContractDate,1,10))>0">
														<cat_ru:PrDocumentDate>
															<xsl:call-template name="TranslateDate">
																<xsl:with-param name="Dat"  select="../../ContractDate"/>
															</xsl:call-template>
														</cat_ru:PrDocumentDate>
													</xsl:if>
													<catESAD_cu:PresentedDocumentModeCode>03011</catESAD_cu:PresentedDocumentModeCode>
												</ESADout_CUPresentedDocument>
											</xsl:if>
											<ESADout_CUPresentedDocument>
												<cat_ru:PrDocumentName>Коносамент</cat_ru:PrDocumentName>
												<cat_ru:PrDocumentNumber><xsl:value-of select="../../RegNum"/></cat_ru:PrDocumentNumber>
												<xsl:if test="string-length(../../RegDate)>0">
													<cat_ru:PrDocumentDate>
														<xsl:call-template name="TranslateDate">
															<xsl:with-param name="Dat"  select="../../RegDate"/>
														</xsl:call-template>
													</cat_ru:PrDocumentDate>
												</xsl:if>	
												<catESAD_cu:PresentedDocumentModeCode>02011</catESAD_cu:PresentedDocumentModeCode>
											</ESADout_CUPresentedDocument>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
										<SupplementaryGoodsQuantity>
											<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
											<xsl:if test="string-length(MeasureUnitQualifierName)>0">
												<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
											</xsl:if>
											<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
												<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
											</xsl:if>
										</SupplementaryGoodsQuantity>
									</xsl:if>
									<xsl:if test="string-length(PlacesQuantity)>0">
										<xsl:call-template name="EsadOutPack">
											<xsl:with-param  name="NumGood" select="$NumGood"/>
											<xsl:with-param  name="Conos" select="1"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:choose>
										<xsl:when test="count(Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)>0">
											<ESADContainer>
												<catESAD_cu:ContainerQuantity><xsl:value-of select="count(Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)"/></catESAD_cu:ContainerQuantity>
												<xsl:for-each select="Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID">
													<catESAD_cu:ContainerNumber>
														<catESAD_cu:ContainerIdentificaror><xsl:value-of select="."/></catESAD_cu:ContainerIdentificaror>
													</catESAD_cu:ContainerNumber>
												</xsl:for-each>
											</ESADContainer>
										</xsl:when>
										<xsl:when  test="string-length(ContainerNum)>0">
											<ESADContainer>
												<catESAD_cu:ContainerQuantity>1</catESAD_cu:ContainerQuantity>
												<catESAD_cu:ContainerNumber>
													<catESAD_cu:ContainerIdentificaror><xsl:value-of select="ContainerNum"/></catESAD_cu:ContainerIdentificaror>
												</catESAD_cu:ContainerNumber>
											</ESADContainer>
										</xsl:when>
									</xsl:choose>
									<xsl:if test="$RegTR!='ТР' and $RegTR!='ПР'">
										<ESADCustomsProcedure>
											<xsl:choose>
												<xsl:when test="$RegTR='ЭК'">
													<catESAD_cu:MainCustomsModeCode>10</catESAD_cu:MainCustomsModeCode>
												</xsl:when>
												<xsl:when test="$RegTR='ИМ'">
													<catESAD_cu:MainCustomsModeCode>40</catESAD_cu:MainCustomsModeCode>
												</xsl:when>
											</xsl:choose>
											<catESAD_cu:PrecedingCustomsModeCode>00</catESAD_cu:PrecedingCustomsModeCode>
											<catESAD_cu:GoodsTransferFeature>000</catESAD_cu:GoodsTransferFeature>
										</ESADCustomsProcedure>
									</xsl:if>	
								</ESADout_CUGoods>							
							</xsl:for-each>			
						</ESADout_CUGoodsShipment>
						<xsl:choose>
							<xsl:when test="$SelectDcl=1">
								<FilledPerson>
									<xsl:call-template name="FilledPersonDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</FilledPerson>
								<CUESADCustomsRepresentative>
									<xsl:call-template name="CustomsRepresentativeDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</CUESADCustomsRepresentative>
							</xsl:when>
							<xsl:when test="string-length(DocSig_PersonName)>0 and string-length(DocSig_PersonName2)>0">
								<FilledPerson>
									<cat_ru:PersonSurname><xsl:value-of select="DocSig_PersonName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="DocSig_PersonName2"/></cat_ru:PersonName>
									<xsl:if test="string-length(DocSig_PersonMiddleName)>0">
										<cat_ru:PersonMiddleName><xsl:value-of select="DocSig_PersonMiddleName"/></cat_ru:PersonMiddleName>
									</xsl:if>
									<xsl:if test="string-length(DocSig_PersonPost)>0">
										<cat_ru:PersonPost><xsl:value-of select="DocSig_PersonPost"/></cat_ru:PersonPost>
									</xsl:if>
								</FilledPerson>
							</xsl:when>
							<xsl:otherwise>
								<FilledPerson>
									<cat_ru:PersonSurname><xsl:value-of select="$DeclLastName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="$DeclFirstName"/></cat_ru:PersonName>        
								</FilledPerson>
							</xsl:otherwise>
						</xsl:choose>	
					</xsl:if>	
				</xsl:for-each>
			</xsl:if>
			<xsl:if test="count(//AWB)>0">
				<xsl:variable name="NameNodeG" select ="//*[name()='INVOICEGOODS_ITEM' or name()='COMMINVOICEGOODS_ITEM']"/>
				<xsl:variable name="NodeInv" select ="//*[name()='INVOICE_ITEM' or name()='COMMINVOICE_ITEM']"/>
				<xsl:if test="count($NameNodeG)=0">
					<xsl:message terminate="yes">
						<xsl:text>Пакет не содержит инвойсы. Передача данных в ВЭД-Декларант не возможна</xsl:text>
					</xsl:message>
				</xsl:if>
				<xsl:for-each select="AWB/AWB_ITEM">
					<xsl:variable name="NumCmr" select="RegNum"/>
					<xsl:variable name="DatCmr" select="substring(RegDate,1,10)"/>
					<xsl:if test="position()=1">
						<xsl:variable name="RegTR">
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
										<xsl:with-param name="CneeC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="RegTD">
										<xsl:with-param name="CnorC" select="Consignor_CountryCode"/>
										<xsl:with-param name="CneeC" select="Consignee_CountryCode"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:call-template name="CustPrTrDir">
							<xsl:with-param name="CneeC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignee_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="CnorC">
								<xsl:choose>
									<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0">
										<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="Consignor_CountryCode"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0'"/>
							<xsl:with-param name="TranzitPrTr" select="$TranzitDcl"/>
							<xsl:with-param name="Rapala" select="0"/>
						</xsl:call-template>
						<RecipientCountryCode>
							<xsl:choose>
								<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
									<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
								</xsl:when>
								<xsl:when test="string-length(Consignee_CountryCode)>0">
									<xsl:value-of select="Consignee_CountryCode"/>
								</xsl:when>
								<xsl:otherwise>RU</xsl:otherwise>
							</xsl:choose>
						</RecipientCountryCode>
						<ExecutionDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat"  select="$Now"/>
							</xsl:call-template>
						</ExecutionDate>						
						<ESADout_CUGoodsShipment>
							<xsl:choose>
								<xsl:when test="count($NameNodeG[string-length(OriginCountryCode)=0]) = count($NameNodeG/OriginCountryCode)">
									<catESAD_cu:OriginCountryName>НЕИЗВЕСТНА</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:when test="count(//INVOICEGOODS_ITEM[generate-id(.)=generate-id(key('OrCountry',./OriginCountryCode)) and string-length(OriginCountryCode)>0])>1 or count(//COMMINVOICEGOODS_ITEM[generate-id(.)=generate-id(key('OrCountry1',./OriginCountryCode)) and string-length(OriginCountryCode)>0])>1">
									<catESAD_cu:OriginCountryName>РАЗНЫЕ</catESAD_cu:OriginCountryName>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="string-length($NameNodeG[1]/OriginCountry)>0">
										<catESAD_cu:OriginCountryName><xsl:value-of select="$NameNodeG[1]/OriginCountry"/></catESAD_cu:OriginCountryName>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
							<catESAD_cu:TotalGoodsNumber><xsl:value-of select="count($NameNodeG/GoodsCode)"/></catESAD_cu:TotalGoodsNumber>
							<xsl:if test="sum($NameNodeG/PlacesQuantity)>0">
									<catESAD_cu:TotalPackageNumber><xsl:value-of select="sum($NameNodeG/PlacesQuantity)"/></catESAD_cu:TotalPackageNumber>
							</xsl:if>
							<catESAD_cu:TotalSheetNumber>
								<xsl:call-template name="CountCds">
									<xsl:with-param name="CountGoods" select="count($NameNodeG/GoodsCode) - 1"/>
								</xsl:call-template>
							</catESAD_cu:TotalSheetNumber>
							<ESADout_CUConsignor>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G02'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignor_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>	
							</ESADout_CUConsignor>
							<ESADout_CUConsignee>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G08'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>		
							</ESADout_CUConsignee>
							<ESADout_CUFinancialAdjustingResponsiblePerson>
								<xsl:choose>
									<xsl:when test="$SelectDcl=1">
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G09'"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>		
							</ESADout_CUFinancialAdjustingResponsiblePerson>
							<xsl:choose>
								<xsl:when test="$SelectDcl=1">
									<ESADout_CUDeclarant>
										<xsl:call-template name="FirmDLAA">
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NameNode" select="'G14'"/>
										</xsl:call-template>
									</ESADout_CUDeclarant>	
								</xsl:when>
								<xsl:otherwise>
									<ESADout_CUDeclarant>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</ESADout_CUDeclarant>
								</xsl:otherwise>
							</xsl:choose>	
							<ESADout_CUCarrier>
								<xsl:choose>
									<xsl:when test="string-length(AWBGoodsMovement/AWBGoodsMovement_ITEM[1]/CarrierName)>0">
										<cat_ru:OrganizationName><xsl:value-of select="AWBGoodsMovement/AWBGoodsMovement_ITEM[1]/CarrierName"/></cat_ru:OrganizationName>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="OrgNode">
											<xsl:with-param name="Pref" select="'Consignee_'"/>
											<xsl:with-param name="ReqNode" select="false"/>
											<xsl:with-param name="PostalAddress" select="1"/>
											<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>		
							</ESADout_CUCarrier>	
							<ESADout_CUConsigment>
								<catESAD_cu:ContainerIndicator>0</catESAD_cu:ContainerIndicator>
								<xsl:if test="string-length($NodeInv/DispatchCountryCode)>0">
									<xsl:variable name="CodeCD" select="$NodeInv/DispatchCountryCode"/>
									<catESAD_cu:DispatchCountryCode><xsl:value-of select="$CodeCD"/></catESAD_cu:DispatchCountryCode>
									<catESAD_cu:DispatchCountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeCD]/Name"/></catESAD_cu:DispatchCountryName>
								</xsl:if>
								<xsl:variable name="CodeCR" select="$NodeInv/DestinationCountryCode"/>
								<xsl:if test="string-length($CodeCR)>0">
									<catESAD_cu:DestinationCountryCode><xsl:value-of select="$CodeCR"/></catESAD_cu:DestinationCountryCode>
									<catESAD_cu:DestinationCountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeCR]/Name"/></catESAD_cu:DestinationCountryName>
								</xsl:if>
								<catESAD_cu:BorderCustomsOffice>
									<xsl:variable name="CustC" select="//GENERALDECLAIR/GENERALDECLAIR_ITEM/CustomCode"/>
									<xsl:choose>
										<xsl:when test="string-length($CustC)>0">
											<cat_ru:Code><xsl:value-of select="$CustC"/></cat_ru:Code>
											<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustC]/Name"/></cat_ru:OfficeName>
										</xsl:when>
										<xsl:otherwise>
											<cat_ru:Code>10005000</cat_ru:Code>
											<cat_ru:OfficeName>ШЕРЕМЕТЬЕВСКАЯ</cat_ru:OfficeName>
											<cat_ru:CustomsCountryCode>643</cat_ru:CustomsCountryCode>
										</xsl:otherwise>
									</xsl:choose>
								</catESAD_cu:BorderCustomsOffice>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLine)>0">
									<DateExpectedArrival>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat"  select="//INVOICE[1]/INVOICE_ITEM/DeadLine"/>
										</xsl:call-template>
									</DateExpectedArrival>
								</xsl:if>
								<xsl:if test="string-length(//INVOICE[1]/INVOICE_ITEM/DeadLineTime)>0">
									<TimeExpectedArrival>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time"  select="//INVOICE[1]/INVOICE_ITEM/DeadLineTime"/>
										</xsl:call-template>
									</TimeExpectedArrival>
								</xsl:if>									
								<ESADout_CUBorderTransport>
									<cat_ru:TransportModeCode>40</cat_ru:TransportModeCode>
									<TransportMeansQuantity>1</TransportMeansQuantity>
									<xsl:for-each select="AWBGoodsMovement/AWBGoodsMovement_ITEM[string-length(FlightNumber)>0]">
										<TransportMeans>
											<cat_ru:TransportIdentifier><xsl:value-of select="FlightNumber"/></cat_ru:TransportIdentifier>
										</TransportMeans>
									</xsl:for-each>
								</ESADout_CUBorderTransport>
								<TDDeliveryPlace>
									<DeliveryCustomsOffice>
										<xsl:variable name="CustC1" select="//GENERALDECLAIR/GENERALDECLAIR_ITEM/CustomCode"/>
										<xsl:choose>
											<xsl:when test="string-length($CustC1)>0">
												<cat_ru:Code><xsl:value-of select="$CustC1"/></cat_ru:Code>
												<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustC1]/Name"/></cat_ru:OfficeName>
											</xsl:when>
											<xsl:otherwise>
												<cat_ru:Code>10005000</cat_ru:Code>
												<cat_ru:OfficeName>ШЕРЕМЕТЬЕВСКАЯ</cat_ru:OfficeName>
												<cat_ru:CustomsCountryCode>643</cat_ru:CustomsCountryCode>
											</xsl:otherwise>
										</xsl:choose>
									</DeliveryCustomsOffice>
								</TDDeliveryPlace>
							</ESADout_CUConsigment>
							<ESADout_CUMainContractTerms>
								<xsl:if test="string-length($NodeInv/CurrencyCode)>0 and $RegTR!='ТР'">
									<catESAD_cu:ContractCurrencyCode><xsl:value-of select="$NodeInv/CurrencyCode"/></catESAD_cu:ContractCurrencyCode>
								</xsl:if>
								<xsl:if test="sum($NodeInv/GCost)>0  and $RegTR!='ТР'">
									<catESAD_cu:TotalInvoiceAmount><xsl:value-of select="format-number(round(sum($NodeInv/GCost) * 100) div 100,'0.00')"/></catESAD_cu:TotalInvoiceAmount>
								</xsl:if>
								<xsl:if test="string-length($NodeInv/TradingCountryCode)>0">
									<catESAD_cu:TradeCountryCode><xsl:value-of select="$NodeInv/TradingCountryCode"/></catESAD_cu:TradeCountryCode>
								</xsl:if>
								<xsl:if test="string-length($NodeInv/DeliveryTermsStringCode)>0">
									<catESAD_cu:CUESADDeliveryTerms>
										<xsl:if test="string-length($NodeInv/DeliveryPlace)>0">
											<cat_ru:DeliveryPlace><xsl:value-of select="$NodeInv/DeliveryPlace"/></cat_ru:DeliveryPlace>
										</xsl:if>	
										<cat_ru:DeliveryTermsStringCode><xsl:value-of select="$NodeInv/DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
									</catESAD_cu:CUESADDeliveryTerms>
								</xsl:if>
							</ESADout_CUMainContractTerms>
							<xsl:for-each select="$NameNodeG">
								<ESADout_CUGoods>
									<catESAD_cu:GoodsNumeric><xsl:value-of select="position()"/></catESAD_cu:GoodsNumeric>
									<xsl:variable name="NumGood" select="position()"/>
									<xsl:variable name="DescrGood">
										<xsl:choose>
											<xsl:when test="contains(name(),'COMM')">
												<xsl:value-of select="GoodsDescription"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="GoodsDescriptionEED"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:variable>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods" select="$DescrGood"/>
										<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
										<xsl:with-param name="NameMes" select="true"/> 
										<xsl:with-param name="LenDes" select="250"/>											
									</xsl:call-template>	
									<xsl:if test="string-length(GrossWeightQuantity)>0">
										<catESAD_cu:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:GrossWeightQuantity>
									</xsl:if>
									<xsl:if test="string-length(NetWeightQuantity)>0 and $RegTR!='ТР'">
										<catESAD_cu:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></catESAD_cu:NetWeightQuantity>
									</xsl:if>
									<xsl:if test="string-length(TotalCost)>0 and $RegTR!='ТР'">
										<catESAD_cu:InvoicedCost><xsl:value-of select="format-number(round(TotalCost * 100) div 100,'0.00')"/></catESAD_cu:InvoicedCost>
									</xsl:if>
									<xsl:if test="string-length(GoodsCode)>0">
										<catESAD_cu:GoodsTNVEDCode><xsl:value-of select="substring(GoodsCode,1,10)"/></catESAD_cu:GoodsTNVEDCode>
									</xsl:if>
									<xsl:if test="string-length(OriginCountryCode)>0">
										<catESAD_cu:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catESAD_cu:OriginCountryCode>
									</xsl:if>
									<xsl:if test="string-length(OriginCountry)>0">
											<catESAD_cu:OriginCountryName><xsl:value-of select="OriginCountry"/></catESAD_cu:OriginCountryName>
									</xsl:if>
									<xsl:if test="string-length(substring(GoodsCode,11,4))>0">
										<catESAD_cu:GoodsAddTNVEDCode><xsl:value-of select="substring(GoodsCode,11,4)"/></catESAD_cu:GoodsAddTNVEDCode>
									</xsl:if>	
									<xsl:choose>
										<xsl:when test="$NumGood=1">
											<catESAD_cu:AdditionalSheetCount>1</catESAD_cu:AdditionalSheetCount>
										</xsl:when>
										<xsl:otherwise>
											<catESAD_cu:AdditionalSheetCount>
												<xsl:call-template name="NumList">
													<xsl:with-param name="Num" select="$NumGood"/>
												</xsl:call-template>	
											</catESAD_cu:AdditionalSheetCount>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:if test="string-length(../../DeliveryTermsStringCode)>0 and count(//INVOICE_ITEM[generate-id(.)=generate-id(key('TermsCode',./DeliveryTermsStringCode))])&gt;1">
										<catESAD_cu:CUESADDeliveryTerms>
											<xsl:if test="string-length(../../DeliveryPlace)>0">
												<cat_ru:DeliveryPlace><xsl:value-of select="../../DeliveryPlace"/></cat_ru:DeliveryPlace>
											</xsl:if>	
											<cat_ru:DeliveryTermsStringCode><xsl:value-of select="../../DeliveryTermsStringCode"/></cat_ru:DeliveryTermsStringCode>
										</catESAD_cu:CUESADDeliveryTerms>
									</xsl:if>
									<xsl:if test="string-length(PartNumber)>0">
										<catESAD_cu:GoodsGroupDescription>
											<xsl:call-template name="GoodsDescr">
												<xsl:with-param name="DesGoods" select="GoodsDescription"/>
												<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
												<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
												<xsl:with-param name="NameMes" select="true"/> 
												<xsl:with-param name="LenDes" select="250"/>											
											</xsl:call-template>	
											<catESAD_cu:GoodsGroupInformation>
												<xsl:if test="string-length(../../Seler_Name)>0">
													<catESAD_cu:Manufacturer><xsl:value-of select="../../Seler_Name"/></catESAD_cu:Manufacturer>
												</xsl:if>
												<catESAD_cu:GoodsMarking><xsl:value-of select="PartNumber"/></catESAD_cu:GoodsMarking>
												<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
													<catESAD_cu:GoodsGroupQuantity>
														<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
														<xsl:if test="string-length(MeasureUnitQualifierName)>0">
															<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
														</xsl:if>
														<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
															<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
														</xsl:if>
													</catESAD_cu:GoodsGroupQuantity>	
												</xsl:if>	
											</catESAD_cu:GoodsGroupInformation>
										</catESAD_cu:GoodsGroupDescription>
									</xsl:if>
									<xsl:if test="string-length(../../CurrencyCode)>0 and $RegTR!='ТР'">
										<CurrencyCode><xsl:value-of select="../../CurrencyCode"/></CurrencyCode>
									</xsl:if>									
									<ESADout_CUPresentedDocument>
										<cat_ru:PrDocumentName>Авиационная Накладная</cat_ru:PrDocumentName>
										<cat_ru:PrDocumentNumber><xsl:value-of select="$NumCmr"/></cat_ru:PrDocumentNumber>
										<xsl:if test="string-length($DatCmr)>0">
											<cat_ru:PrDocumentDate>
												<xsl:call-template name="TranslateDate">
													<xsl:with-param name="Dat"  select="$DatCmr"/>
												</xsl:call-template>
											</cat_ru:PrDocumentDate>
										</xsl:if>	
										<catESAD_cu:PresentedDocumentModeCode>02017</catESAD_cu:PresentedDocumentModeCode>
									</ESADout_CUPresentedDocument>
									<xsl:if test="string-length(../../RegNum)>0">
										<ESADout_CUPresentedDocument>
											<cat_ru:PrDocumentName>Инвойс</cat_ru:PrDocumentName>
											<cat_ru:PrDocumentNumber><xsl:value-of select="../../RegNum"/></cat_ru:PrDocumentNumber>
											<xsl:if test="string-length(../../RegDate)>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="../../RegDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catESAD_cu:PresentedDocumentModeCode>04021</catESAD_cu:PresentedDocumentModeCode>
										</ESADout_CUPresentedDocument>
									</xsl:if>	
									<xsl:if test="string-length(../../ContractNum)>0">
										<ESADout_CUPresentedDocument>
											<cat_ru:PrDocumentName>Контракт</cat_ru:PrDocumentName>
											<cat_ru:PrDocumentNumber><xsl:value-of select="../../ContractNum"/></cat_ru:PrDocumentNumber>
											<xsl:if test="string-length(substring(../../ContractDate,1,10))>0">
												<cat_ru:PrDocumentDate>
													<xsl:call-template name="TranslateDate">
														<xsl:with-param name="Dat"  select="../../ContractDate"/>
													</xsl:call-template>
												</cat_ru:PrDocumentDate>
											</xsl:if>
											<catESAD_cu:PresentedDocumentModeCode>03011</catESAD_cu:PresentedDocumentModeCode>
										</ESADout_CUPresentedDocument>
									</xsl:if>
									<xsl:if test="string-length(CarriageId)>0">
										<ESADout_CUPresentedDocument>
											<cat_ru:PrDocumentName>Поставка</cat_ru:PrDocumentName>
											<cat_ru:PrDocumentNumber><xsl:value-of select="CarriageId"/></cat_ru:PrDocumentNumber>
											<catESAD_cu:PresentedDocumentModeCode>04999</catESAD_cu:PresentedDocumentModeCode>
										</ESADout_CUPresentedDocument>
									</xsl:if>
									<xsl:if test="string-length(GoodsQuantity)>0 and (string-length(MeasureUnitQualifierName)>0 or string-length(MeasureUnitQualifierCode)>0)">
										<SupplementaryGoodsQuantity>
											<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
											<xsl:if test="string-length(MeasureUnitQualifierName)>0">
												<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
											</xsl:if>
											<xsl:if test="string-length(MeasureUnitQualifierCode)>0">
												<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
											</xsl:if>
										</SupplementaryGoodsQuantity>
									</xsl:if>
									<xsl:if test="string-length(PlacesQuantity)>0">
										<xsl:call-template name="EsadOutPack">
											<xsl:with-param  name="NumGood" select="$NumGood"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="$RegTR!='ТР' and $RegTR!='ПР'">
										<ESADCustomsProcedure>
											<xsl:choose>
												<xsl:when test="$RegTR='ЭК'">
													<catESAD_cu:MainCustomsModeCode>10</catESAD_cu:MainCustomsModeCode>
												</xsl:when>
												<xsl:when test="$RegTR='ИМ'">
													<catESAD_cu:MainCustomsModeCode>40</catESAD_cu:MainCustomsModeCode>
												</xsl:when>
											</xsl:choose>
											<catESAD_cu:PrecedingCustomsModeCode>00</catESAD_cu:PrecedingCustomsModeCode>
											<catESAD_cu:GoodsTransferFeature>000</catESAD_cu:GoodsTransferFeature>
										</ESADCustomsProcedure>
									</xsl:if>	
								</ESADout_CUGoods>
							</xsl:for-each>
							<xsl:for-each select="//APPENDIX/APPENDIX_ITEM/TDGuarantee/TDGUARANTEE_ITEM[string-length(MeasureCode)>0]">
								<TDGuarantee>
									<catESAD_cu:MeasureCode><xsl:value-of select="MeasureCode"/></catESAD_cu:MeasureCode>
									<xsl:if test="string-length(DocNumber)>0">
										<catESAD_cu:DocNumber><xsl:value-of select="DocNumber"/></catESAD_cu:DocNumber>
									</xsl:if>
									<xsl:if test="string-length(DocDate)>0">
										<catESAD_cu:DocDate>
											<xsl:call-template name="TranslateDate">
												<xsl:with-param name="Dat"  select="DocDate"/>
											</xsl:call-template>
										</catESAD_cu:DocDate>
									</xsl:if>
									<xsl:if test="string-length(GuaranteeName)>0">
										<catESAD_cu:GuaranteeName><xsl:value-of select="GuaranteeName"/></catESAD_cu:GuaranteeName>
									</xsl:if>	
								</TDGuarantee>
							</xsl:for-each>
						</ESADout_CUGoodsShipment>
						<xsl:choose>
							<xsl:when test="$SelectDcl=1">
								<FilledPerson>
									<xsl:call-template name="FilledPersonDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</FilledPerson>
								<CUESADCustomsRepresentative>
									<xsl:call-template name="CustomsRepresentativeDLAA">
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
										<xsl:with-param name="NameNode" select="'G54'"/>
									</xsl:call-template>
								</CUESADCustomsRepresentative>
							</xsl:when>
							<xsl:when test="count(//APPENDIX/APPENDIX_ITEM[string-length(Filled_PersonSurname)>0 and string-length(Filled_PersonName)>0])>0">
								<xsl:for-each select="//APPENDIX/APPENDIX_ITEM[string-length(Filled_PersonSurname)>0 and string-length(Filled_PersonName)>0]">
									<FilledPerson>
										<xsl:call-template name="DriverInformation">
											<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
											<xsl:with-param name="Nodesp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
											<xsl:with-param name="Pref" select="'Filled_'"/>
											<xsl:with-param name="Doc" select="'DCL'"/>
										</xsl:call-template>
									</FilledPerson>
								</xsl:for-each>	
							</xsl:when>
							<xsl:otherwise>
								<FilledPerson>
									<cat_ru:PersonSurname><xsl:value-of select="$DeclLastName"/></cat_ru:PersonSurname>
									<cat_ru:PersonName><xsl:value-of select="$DeclFirstName"/></cat_ru:PersonName>        
								</FilledPerson>	
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</xsl:for-each>
			</xsl:if>
		</ESADout_CU>
	</xsl:template>
</xsl:stylesheet>
