<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!--<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
<xsl:import href="ArmtiEDContainerPITArchDocID.xsl"/>
	<xsl:template match="/Package">
		<xsl:call-template name="ESADout_TD">
			<xsl:with-param name="TranzitDcl" select="1"/>
			<xsl:with-param name="SelectDcl" select="1"/>
		<xsl:with-param name="ForPMP" select="1"/>
			<xsl:with-param name="CreateArh"  select="1"/>
			<xsl:with-param name="DeclLastName" select="'N'"/>
			<xsl:with-param name="DeclFirstName"  select="'N'"/>
			<xsl:with-param name="Now"  select="'2001-01-11'"/>
			<xsl:with-param name="TypeExportTD" select="'KZH'"/>
			<xsl:with-param name="GUIDForKZX" select="'KZH'"/> 
		</xsl:call-template>
	</xsl:template>-->
	<xsl:template name="DocPr">
		<xsl:param name="NodeName"/>
		<xsl:element name="{concat($NodeName,'ESADout_CUPrecedingDocument')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
			<xsl:if test="string-length(PrecedingDocumentCustomsCode)>0">
				<xsl:element name="{'catESAD_cu:PrecedingDocumentCustomsCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
					<xsl:value-of select="PrecedingDocumentCustomsCode"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="string-length(PrecedingDocumentDate)>0">
				<xsl:element name="{'catESAD_cu:PrecedingDocumentDate'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="PrecedingDocumentDate"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:if>
			<xsl:element name="{'catESAD_cu:PrecedingDocumentNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">	
				<xsl:value-of select="PrecedingDocumentNumber"/>
			</xsl:element>
			<xsl:if test="string-length(PrecedingDocumentName)>0">
				<xsl:element name="{'catESAD_cu:PrecedingDocumentName'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">	
					<xsl:value-of select="PrecedingDocumentName"/>
				</xsl:element>
			</xsl:if>	
			<xsl:if test="string-length(PrecedingModeCode)>0">
				<xsl:element name="{'catESAD_cu:PrecedingDocumentModeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
					<xsl:value-of select="PrecedingModeCode"/>
				</xsl:element>
			</xsl:if>			
			<xsl:if test="string-length(PrecedingLineNumber)>0">
				<xsl:element name="{'catESAD_cu:LineNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
					<xsl:value-of select="PrecedingLineNumber"/>
				</xsl:element>
			</xsl:if>			
			<xsl:if test="string-length(PrecedingCustomsCountryCode)>0">
				<xsl:element name="{'catESAD_cu:CustomsCountryCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
					<xsl:value-of select="PrecedingCustomsCountryCode"/>
				</xsl:element>
			</xsl:if>
		</xsl:element>	
	</xsl:template>

	<xsl:template name="ESADout_TD">
		<xsl:param name="DeclLastName"/>
		<xsl:param name="DeclFirstName"/>
		<xsl:param name="ForPMP"/>
		<xsl:param name="CreateArh"/>
		<xsl:param name="Now"/>
		<xsl:param name="TranzitDcl"/>
		<xsl:param name="TypeExportTD"/>
		<xsl:param name="GUIDForKZX"/>
		<xsl:param name="SelectDcl"/>
		<xsl:variable name="KZCode">
			<xsl:choose>
				<xsl:when test="string-length(//RWB/RWB_ITEM/DepartureCustomCode)>0">
					<xsl:value-of select="//RWB/RWB_ITEM/DepartureCustomCode"/>
				</xsl:when>
				<xsl:when test="string-length(//RWB/RWB_ITEM/DepartureStationCode)>0">
					<xsl:variable name="ZDCode" select="//RWB/RWB_ITEM/DepartureStationCode"/>
					<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$ZDCode]/Code"/>
				</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$TypeExportTD='KZH' or (count(//RWB/RWB_ITEM)>0 and substring($KZCode,1,3)='398')">
				<ESADout_CU:ESADout_CU xmlns:ESADout_CU="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006107E">
					<xsl:element name="{'cat_ru:DocumentID'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
						<xsl:choose>
							<xsl:when  test="string-length($GUIDForKZX)>0">
								<xsl:value-of select="translate(translate(normalize-space($GUIDForKZX),'}',''),'{','')"/>
							</xsl:when>
							<xsl:otherwise>00000000-0000-0000-0000-000000000000</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:for-each select="//ESADOUT_TD/ESADOUT_TD_ITEM">
						<xsl:call-template name="ESADout_TD_TD">
							<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
							<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
							<xsl:with-param name="Now" select="$Now"/>
							<xsl:with-param name="TranzitDcl" select="$TranzitDcl"/>
							<xsl:with-param name="NodeName" select="'ESADout_CU:'"/>
							<xsl:with-param name="GUIDForKZX" select="$GUIDForKZX"/>
							<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
						</xsl:call-template>
					</xsl:for-each>	
				</ESADout_CU:ESADout_CU>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$ForPMP=1">
						<xsl:for-each select="//ESADOUT_PIT/ESADOUT_PIT_ITEM">
							<ESADout_CU xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006107E">
								<xsl:element name="{'cat_ru:DocumentID'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</xsl:element>
								<xsl:call-template name="ESADout_TD_TD">
									<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
									<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
									<xsl:with-param name="ForPMP" select="$ForPMP"/>
									<xsl:with-param name="Now" select="$Now"/>
									<xsl:with-param name="CreateArh" select="$CreateArh"/>
									<xsl:with-param name="TranzitDcl" select="$TranzitDcl"/>
									<xsl:with-param name="NodeName" select="''"/>
									<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
								</xsl:call-template>
							</ESADout_CU>	
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<xsl:for-each select="//ESADOUT_TD/ESADOUT_TD_ITEM">
							<ESADout_CU xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006107E">
								<xsl:element name="{'cat_ru:DocumentID'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</xsl:element>
								<xsl:call-template name="ESADout_TD_TD">
									<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
									<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
									<xsl:with-param name="Now" select="$Now"/>
									<xsl:with-param name="TranzitDcl" select="$TranzitDcl"/>
									<xsl:with-param name="NodeName" select="''"/>
									<xsl:with-param name="SelectDcl" select="$SelectDcl"/>
								</xsl:call-template>
							</ESADout_CU>	
						</xsl:for-each>	
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>									
	<xsl:template name="ESADout_TD_TD" xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" >
		<xsl:param name="DeclLastName"/>
		<xsl:param name="DeclFirstName"/>
		<xsl:param name="ForPMP"/>
		<xsl:param name="Now"/>
		<xsl:param name="CreateArh"/>
		<xsl:param name="TranzitDcl"/>
		<xsl:param name="GUIDForKZX"/>
		<xsl:param name="NodeName"/>
		<xsl:param name="SelectDcl"/>
		<xsl:variable name="RefDocumentID">
			<xsl:choose>
				<xsl:when test="string-length(../../package-properties/prop[@name='TIN'])>0 and count(//DesNotif_PIResult[@*[local-name()='CfgName']='DesNotif_PIResult_PIT.cfg.xml'])>0">
					<xsl:value-of select="../../package-properties/prop[@name='TIN']"/>
				</xsl:when>	
				<xsl:when test="string-length(//DesNotif_PIResult[@*[local-name()='CfgName']='DesNotif_PIResult_PIT.cfg.xml']/DocumentID)>0">
					<xsl:value-of select="//DesNotif_PIResult[@*[local-name()='CfgName']='DesNotif_PIResult_PIT.cfg.xml']/DocumentID"/>
				</xsl:when>
				<xsl:when test="string-length(RefDocumentID)>0">
					<xsl:value-of select="RefDocumentID"/>
				</xsl:when>	
				<xsl:when test="string-length(../../package-properties/prop[@name='RefDocumentID'])>0 and (string-length(../../package-properties/prop[@name='TIN'])=0 or count(//DesNotif_PIResult[@*[local-name()='CfgName']='DesNotif_PIResult_PIT.cfg.xml'])=0)">
					<xsl:value-of select="../../package-properties/prop[@name='RefDocumentID']"/>
				</xsl:when>	
			</xsl:choose>
		</xsl:variable> 
		<xsl:if test="string-length($RefDocumentID)>0">
			<cat_ru:RefDocumentID><xsl:value-of select="$RefDocumentID"/></cat_ru:RefDocumentID>
		</xsl:if>
		<xsl:variable name="RegTR">
			<xsl:choose>
				<xsl:when test="string-length(CustomsProcedure)=2">
					<xsl:value-of select="CustomsProcedure"/>
				</xsl:when>
				<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G15A)>0 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
					<xsl:call-template name="RegTD">
						<xsl:with-param name="CnorC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G15A"/>
						<xsl:with-param name="CneeC" select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="string-length(Consignor_CountryCode)>0 and string-length(Consignee_CountryCode)>0">
					<xsl:call-template name="RegTD">
						<xsl:with-param name="CnorC" select="Consignor_CountryCode"/>
						<xsl:with-param name="CneeC" select="Consignee_CountryCode"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>ИМ</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="TDnotTR">
			<xsl:choose>
				<xsl:when test="$TranzitDcl=0 and string-length($RegTR)>0 and $RegTR!='ТР'">1</xsl:when>
				<xsl:when test="string-length(TransitDirectionCode)>0 and TransitDirectionCode!='ТР'">1</xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
			</xsl:choose>
		</xsl:variable> 
		<xsl:choose>
			<xsl:when test="$TranzitDcl=0 and $ForPMP!=1">
				<xsl:choose>
					<xsl:when test="string-length(CustomsProcedure)=2">
						<xsl:element name="{concat($NodeName,'CustomsProcedure')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
							<xsl:value-of select="CustomsProcedure"/>
						</xsl:element>
					</xsl:when>	
					<xsl:when test="$RegTR='ИМ'">
						<xsl:element name="{concat($NodeName,'CustomsProcedure')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">ИМ</xsl:element>
						<xsl:element name="{concat($NodeName,'CustomsModeCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">40</xsl:element>
					</xsl:when>
					<xsl:when test="$RegTR='ЭК'">
						<xsl:element name="{concat($NodeName,'CustomsProcedure')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">ЭК</xsl:element>
						<xsl:element name="{concat($NodeName,'CustomsModeCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">10</xsl:element>
					</xsl:when>
					<xsl:when test="$RegTR='ТР'">
						<xsl:element name="{concat($NodeName,'CustomsProcedure')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">ТР</xsl:element>
					</xsl:when>
					<xsl:when test="$RegTR='ТТ'">
						<xsl:element name="{concat($NodeName,'CustomsProcedure')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">ТТ</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="{concat($NodeName,'CustomsProcedure')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">ИМ</xsl:element>
						<xsl:element name="{concat($NodeName,'CustomsModeCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">40</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if  test="string-length(CustomsModeCodeMPO)>0">
					<xsl:element name="{concat($NodeName,'TransitFeature')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="CustomsModeCodeMPO"/></xsl:element>
				</xsl:if>
				<xsl:element name="{concat($NodeName,'RecipientCountryCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
					<xsl:choose>
						<xsl:when test="string-length(Consignee_CountryCode)>0">
							<xsl:value-of select="Consignee_CountryCode"/>
						</xsl:when>
						<xsl:otherwise>RU</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="string-length(CustomsProcedure)>0">
					<xsl:element name="{concat($NodeName,'CustomsProcedure')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="CustomsProcedure"/></xsl:element>	
				</xsl:if>
				<xsl:if  test="string-length(CustomsModeCodeMPO)>0">
					<xsl:element name="{concat($NodeName,'TransitFeature')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="CustomsModeCodeMPO"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(TransitDirectionCode)>0">
					<xsl:element name="{concat($NodeName,'TransitDirectionCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="TransitDirectionCode"/></xsl:element>	
				</xsl:if>
				<xsl:variable name="DKind" select="//package-properties/prop[@name='DeclarationKind']"/>
				<xsl:if  test="string-length($DKind)>0">
					<xsl:element name="{concat($NodeName,'DeclarationKind')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">ПТД</xsl:element>
				</xsl:if>
				<xsl:if test="string-length(SealIdent)>0">
					<xsl:element name="{concat($NodeName,'SealNumber')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="SealIdent"/></xsl:element>
				</xsl:if>
				<xsl:if  test="$ForPMP!=1">
					<xsl:element name="{concat($NodeName,'SealQuantity')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:choose>
							<xsl:when test="string-length(SealCount)>0">
								<xsl:value-of select="SealCount"/>
							</xsl:when>
							<xsl:otherwise>0</xsl:otherwise>
						</xsl:choose> 
					</xsl:element>
				</xsl:if>
				<xsl:if test="string-length(LanguageCode)>0 and $ForPMP!=1">	
					<xsl:element name="{concat($NodeName,'LanguageCUESAD')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="LanguageCode"/></xsl:element>
				</xsl:if>
				<xsl:element name="{concat($NodeName,'RecipientCountryCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">	
					<xsl:choose>
						<xsl:when test="$SelectDcl=1 and string-length(//DECLPRIM[1]/DECLPRIM_ITEM/G17A)>0">
							<xsl:value-of select="//DECLPRIM[1]/DECLPRIM_ITEM/G17A"/>
						</xsl:when>
						<xsl:when test="string-length(RecipientCountryCode)>0">
							<xsl:value-of select="RecipientCountryCode"/>
						</xsl:when>
						<xsl:otherwise>RU</xsl:otherwise>
					</xsl:choose>
				</xsl:element>	
			</xsl:otherwise>
		</xsl:choose>	
		
		<xsl:if test="string-length(ExecutionPlace)>0">	
			<xsl:element name="{concat($NodeName,'ExecutionPlace')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="ExecutionPlace"/></xsl:element>
		</xsl:if>
		<xsl:element name="{concat($NodeName,'ExecutionDate')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
			<xsl:choose>
				<xsl:when test="string-length(ExecutionDate)>0">
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat"  select="ExecutionDate"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat"  select="$Now"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
		<xsl:if test="string-length($NodeName)>0 and string-length(SecurityLabelCode)">
			<xsl:element name="{concat($NodeName,'SecurityLabelCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="SecurityLabelCode"/></xsl:element>
		</xsl:if>
		<xsl:element name="{concat($NodeName,'ESADout_CUGoodsShipment')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
			<xsl:if test="string-length(OriginCountryName) and $ForPMP!=1">
				<xsl:element name="{'catESAD_cu:OriginCountryName'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="OriginCountryName"/></xsl:element>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="$ForPMP=1">
					<xsl:element name="{'catESAD_cu:TotalGoodsNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:value-of select="count(//ESADOUT_PITGOODS_ITEM/GoodsCode)"/>
					</xsl:element>
					<xsl:if test="sum(//ESADOUT_PITGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
						<xsl:element name="{'catESAD_cu:TotalPackageNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="sum(//ESADOUT_PITGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/></xsl:element>
					</xsl:if>	
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="{'catESAD_cu:TotalGoodsNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:value-of select="count(//ESADOUT_TDGOODS_ITEM/GoodsCode)"/>
					</xsl:element>
					<xsl:if test="sum(//ESADOUT_TDGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)>0">
						<xsl:element name="{'catESAD_cu:TotalPackageNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="sum(//ESADOUT_TDGOODS_ITEM[string-length(PlacesQuantity)>0]/PlacesQuantity)"/></xsl:element>
					</xsl:if>	
				</xsl:otherwise>
			</xsl:choose>
			<xsl:element name="{'catESAD_cu:TotalSheetNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
				<xsl:call-template name="CountCds">
					<xsl:with-param name="CountGoods">
						<xsl:choose>
							<xsl:when test="$ForPMP=1">
								<xsl:value-of  select="count(//ESADOUT_PITGOODS_ITEM/GoodsCode) - 1"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of  select="count(//ESADOUT_TDGOODS_ITEM/GoodsCode) - 1"/>
							</xsl:otherwise>
						</xsl:choose>	
					</xsl:with-param>
				</xsl:call-template>
			</xsl:element>
			<xsl:choose>
				<xsl:when test="$ForPMP=1">
					<xsl:if test="sum(//ESADOUT_PITGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost)>0">
						<xsl:element name="{'catESAD_cu:TotalCustCost'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(sum(//ESADOUT_PITGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost) * 100) div 100,'0.##')"/></xsl:element>
						<xsl:element name="{'catESAD_cu:CustCostCurrencyCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="CurrencyCode"/></xsl:element>
					</xsl:if>
				</xsl:when>
				<xsl:when test="string-length($NodeName)>0 and sum(//ESADOUT_TDGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost)>0">
					<xsl:element name="{'catESAD_cu:TotalCustCost'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:value-of select="format-number(round(sum(//ESADOUT_TDGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost) * 100) div 100,'0.##')"/>
					</xsl:element>
					<xsl:element name="{'catESAD_cu:CustCostCurrencyCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="CurrencyCode"/></xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="sum(//ESADOUT_TDGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost)>0 and $TDnotTR=1">
						<xsl:element name="{'catESAD_cu:TotalCustCost'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(sum(//ESADOUT_TDGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost) * 10000) div 10000,'0.00##')"/></xsl:element>
						<xsl:element name="{'catESAD_cu:CustCostCurrencyCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="CurrencyCode"/></xsl:element>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>		
			<xsl:variable name="OrgF">
				<xsl:choose>
					<xsl:when test="string-length($NodeName)>0">KZ</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$SelectDcl=1 and count(//DECLPRIM[1]/DECLPRIM_ITEM/*[contains(name(),'G02') and string-length(.)>0])">
					<xsl:element name="{concat($NodeName,'ESADout_CUConsignor')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:call-template name="FirmDLAA">
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NameNode" select="'G02'"/>
						</xsl:call-template>
					</xsl:element>	
				</xsl:when>
				<xsl:when test="count(*[contains(name(),'Consignor_') and string-length(.)>0])">
					<xsl:element name="{concat($NodeName,'ESADout_CUConsignor')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'Consignor_'"/>
							<xsl:with-param name="ReqNode" select="false"/>
							<xsl:with-param name="BLR" select="$OrgF"/>
							<xsl:with-param name="PostalAddress" select="1"/>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>	
						</xsl:call-template> 
					</xsl:element>
				</xsl:when>	
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="$SelectDcl=1 and count(//DECLPRIM[1]/DECLPRIM_ITEM/*[contains(name(),'G08') and string-length(.)>0])">
					<xsl:element name="{concat($NodeName,'ESADout_CUConsignee')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:call-template name="FirmDLAA">
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NameNode" select="'G08'"/>
						</xsl:call-template>
					</xsl:element>
				</xsl:when>
				<xsl:when test="count(*[contains(name(),'Consignee_') and string-length(.)>0])">
					<xsl:element name="{concat($NodeName,'ESADout_CUConsignee')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'Consignee_'"/>
							<xsl:with-param name="ReqNode" select="false"/>
							<xsl:with-param name="BLR" select="$OrgF"/>
							<xsl:with-param name="PostalAddress" select="1"/>
							<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>									
						</xsl:call-template> 
					</xsl:element>
				</xsl:when>
			</xsl:choose>	
			<xsl:if test="$ForPMP!=1">
				<xsl:choose>
					<xsl:when test="$SelectDcl=1 and count(//DECLPRIM[1]/DECLPRIM_ITEM/*[contains(name(),'G14') and string-length(.)>0])">
						<xsl:element name="{concat($NodeName,'ESADout_CUDeclarant')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
							<xsl:call-template name="FirmDLAA">
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NameNode" select="'G14'"/>
							</xsl:call-template>
						</xsl:element>	
					</xsl:when>
					<xsl:when test="string-length(Declarant_Name)>0">
						<xsl:element name="{concat($NodeName,'ESADout_CUDeclarant')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Declarant_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="BLR" select="$OrgF"/>
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>									
							</xsl:call-template> 
						</xsl:element>
					</xsl:when>
				</xsl:choose>
			</xsl:if>		
			<xsl:choose>
				<xsl:when test="string-length(Carrier_Name)>0 or count(Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0 and string-length(PersonName)>0])>0">
					<xsl:element name="{concat($NodeName,'ESADout_CUCarrier')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:if test="string-length(Carrier_Name)>0">
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Carrier_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="BLR" select="$OrgF"/>
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>									
							</xsl:call-template> 
						</xsl:if>	
						<xsl:for-each select="Drivers/DRIVERS_ITEM[string-length(PersonSurname)>0  and string-length(PersonName)>0]">
							<xsl:element name="{concat($NodeName,'ESADout_CUDriverInformation')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
								<xsl:call-template name="DriverInformation">
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:for-each>	
					</xsl:element>
				</xsl:when>	
				<!--<xsl:when test="$ForPMP=1">
					<xsl:element name="{concat($NodeName,'ESADout_CUCarrier')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:element name="cat_ru:OrganizationName" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">A</xsl:element>
					</xsl:element>
				</xsl:when>-->
			</xsl:choose>
			<xsl:element name="{concat($NodeName,'ESADout_CUConsigment')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
				<xsl:element name="{'catESAD_cu:ContainerIndicator'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
					<xsl:choose>
						<xsl:when test="count(//Container/CONTAINER_ITEM[string-length(ContainerID)>0]/ContainerID)>0">1</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:if test="string-length(DispatchCountryCode)>0">
					<xsl:variable name="DisCode" select="DispatchCountryCode"/>
					<xsl:element name="{'catESAD_cu:DispatchCountryCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="$DisCode"/></xsl:element>
					<xsl:element name="{'catESAD_cu:DispatchCountryName'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DisCode]/Name"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(DestinationCountryCode)>0">
					<xsl:variable name="DistCode" select="DestinationCountryCode"/>
					<xsl:element name="{'catESAD_cu:DestinationCountryCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="$DistCode"/></xsl:element>
					<xsl:element name="{'catESAD_cu:DestinationCountryName'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$DistCode]/Name"/></xsl:element>
				</xsl:if>
				<xsl:if test="string-length(DepartureArrivalTransport_TransportModeCode)>0 and $ForPMP!=1">
					<xsl:element name="{concat($NodeName,'ESADout_CUDepartureArrivalTransport')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:if test="string-length(DepartureArrivalTransport_TransportModeCode)>0">
							<xsl:element name="{'cat_ru:TransportModeCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="DepartureArrivalTransport_TransportModeCode"/></xsl:element>
						</xsl:if>	
						<xsl:choose>
							<xsl:when test="DepartureArrivalTransport_TransportModeCode='30' or DepartureArrivalTransport_TransportModeCode='31' or DepartureArrivalTransport_TransportModeCode='32'">
								<xsl:if test="string-length(DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode)>0">
									<xsl:element name="{'cat_ru:TransportNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode"/></xsl:element>
								</xsl:if>
								<xsl:if test="count(DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[string-length(MoverIndicator)>0]/TMNumber)>0">
									<xsl:element name="{concat($NodeName,'TransportMeansQuantity')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="count(DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[string-length(MoverIndicator)>0]/TMNumber)"/></xsl:element>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="string-length(DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode)>0 and string-length($NodeName)=0">
									<xsl:element name="{'cat_ru:TransportNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode"/></xsl:element>
								</xsl:if>
								<xsl:if test="count(DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM/TMNumber)>0">
									<xsl:element name="{concat($NodeName,'TransportMeansQuantity')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="count(DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM/TMNumber)"/></xsl:element>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:variable name="ActivTC" select="//DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[MoverIndicator=1 or position()=1]/TMNumber"/>
						<xsl:for-each select="DepartureArrivalTransport_TransportMeans/DEPARTUREARRIVALTRANSPORT_TRANSPORTMEANS_ITEM[string-length(VINID)>0 or string-length(TMNumber)>0 or string-length(NationalityCode)>0]">
							<xsl:element name="{concat($NodeName,'TransportMeans')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
								<xsl:if test="string-length(VINID)>0">
									<xsl:element name="{'cat_ru:VIN'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="VINID"/></xsl:element>
								</xsl:if>	
								<xsl:if test="string-length(TMNumber)>0">	
									<xsl:element name="{'cat_ru:TransportIdentifier'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="TMNumber"/></xsl:element>
								</xsl:if>
								<xsl:if test="string-length(NationalityCode)>0">
									<xsl:choose>
										<xsl:when test="string-length($NodeName)=0">
											<xsl:element name="{'cat_ru:TransportMeansNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="NationalityCode"/></xsl:element>
										</xsl:when>
										<xsl:when test="string-length($NodeName)>0 and ../../DepartureArrivalTransport_TransportModeCode!='20'">
											<xsl:element name="{'cat_ru:TransportMeansNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="NationalityCode"/></xsl:element>
										</xsl:when>
									</xsl:choose> 
								</xsl:if>
								<xsl:if test="position()>1 and string-length($ActivTC)>0 and (../../DepartureArrivalTransport_TransportModeCode='30'  or ../../DepartureArrivalTransport_TransportModeCode='31' or ../../DepartureArrivalTransport_TransportModeCode='32')">	
									<xsl:element name="{'cat_ru:ActiveTransportIdentifier'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="$ActivTC"/></xsl:element>
								</xsl:if>	
							</xsl:element>
						</xsl:for-each>
					</xsl:element>
				</xsl:if>
				<xsl:if test="($ForPMP=1 or string-length(BorderTransport_TransportModeCode)>0 or string-length(BorderTransport_TransportMeansQuantity)>0) and count(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(TMNumber)>0]/TMNumber)>0">
					<xsl:element name="{concat($NodeName,'ESADout_CUBorderTransport')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">								
						<xsl:choose>
							<xsl:when test="string-length(BorderTransport_TransportModeCode)>0">
								<xsl:element name="{'cat_ru:TransportModeCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="BorderTransport_TransportModeCode"/></xsl:element>
							</xsl:when>	
							<xsl:when test="$ForPMP=1">
								<xsl:element name="{'cat_ru:TransportModeCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
									<xsl:value-of select="'10'"/>
								</xsl:element>
							</xsl:when>
						</xsl:choose>
						<xsl:if test="string-length(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode)>0">
							<xsl:choose>
								<xsl:when test="string-length($NodeName)>0 and BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode!='00'">
									<xsl:element name="{'cat_ru:TransportNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode"/></xsl:element>
								</xsl:when>
								<xsl:when test="string-length($NodeName)=0">
									<xsl:element name="{'cat_ru:TransportNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[1]/NationalityCode"/></xsl:element>
								</xsl:when>
							</xsl:choose>
						</xsl:if>	
						<xsl:choose>
							<xsl:when test="BorderTransport_TransportModeCode='30' or BorderTransport_TransportModeCode='31' or BorderTransport_TransportModeCode='32'">
								<xsl:if test="count(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(MoverIndicator)>0]/TMNumber)>0">
									<xsl:element name="{concat($NodeName,'TransportMeansQuantity')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="count(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(MoverIndicator)>0]/TMNumber)"/></xsl:element>
								</xsl:if>
							</xsl:when>
							<xsl:when test="string-length(BorderTransport_TransportMeansQuantity)>0 and number(BorderTransport_TransportMeansQuantity)>0">
								<xsl:element name="{concat($NodeName,'TransportMeansQuantity')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="BorderTransport_TransportMeansQuantity"/></xsl:element>
							</xsl:when>	
							<xsl:otherwise>
								<xsl:if test="count(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM/TMNumber)>0">
									<xsl:element name="{concat($NodeName,'TransportMeansQuantity')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="count(BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM/TMNumber)"/></xsl:element>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:variable name="BorActivTC" select="//BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[MoverIndicator=1 or position()=1]/TMNumber"/>
						<xsl:for-each select="BorderTransport_TransportMeans/BORDERTRANSPORT_TRANSPORTMEANS_ITEM[string-length(VINID)>0 or string-length(IMO)>0 or string-length(TMNumber)>0 or string-length(NationalityCode)>0 or string-length(MoverIndicator)>0]">
							<xsl:element name="{concat($NodeName,'TransportMeans')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
								<xsl:if test="string-length(VINID)>0 or string-length(IMO)>0">
									<xsl:element name="{'cat_ru:VIN'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
										<xsl:choose>
											<xsl:when test="$ForPMP=1">
												<xsl:value-of select="IMO"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="VINID"/>
											</xsl:otherwise>
										</xsl:choose>		
									</xsl:element>
								</xsl:if>	
								<xsl:if test="string-length(TMNumber)>0">	
									<xsl:element name="{'cat_ru:TransportIdentifier'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="TMNumber"/></xsl:element>
								</xsl:if>
								<xsl:if test="string-length(NationalityCode)>0">	
									<xsl:choose>
										<xsl:when test="string-length($NodeName)>0 and NationalityCode!='00'">
											<xsl:element name="{'cat_ru:TransportMeansNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="NationalityCode"/></xsl:element>
										</xsl:when>
										<xsl:when test="string-length($NodeName)=0">
											<xsl:element name="{'cat_ru:TransportMeansNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="NationalityCode"/></xsl:element>
										</xsl:when>
									</xsl:choose>
								</xsl:if>
								<xsl:if test="position()>1 and string-length($BorActivTC)>0 and (../../BorderTransport_TransportModeCode='30'  or ../../BorderTransport_TransportModeCode='31' or ../../BorderTransport_TransportModeCode='32')">	
									<xsl:element name="{'cat_ru:ActiveTransportIdentifier'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="$BorActivTC"/></xsl:element>
								</xsl:if>	
							</xsl:element>
						</xsl:for-each>
					</xsl:element>
				</xsl:if>			
				<xsl:if test="(count(ESADOUT_TDReload/ESADOUT_TDRELOAD_ITEM/ReloadTransportMeans/RELOADTRANSPORTMEANS_ITEM[string-length(TMNumber)>0])>0 or count(ESADOUT_TDReload/ESADOUT_TDRELOAD_ITEM/ReloadContainer/RELOADCONTAINER_ITEM[string-length(ContainerID)>0])>0)  and $ForPMP!=1">
					<xsl:for-each select="ESADOUT_TDReload/ESADOUT_TDRELOAD_ITEM">
						<xsl:element name="{concat($NodeName,'ESADout_CUReloadingInfo')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
							<xsl:if test="string-length(ReloadCountryCode)>0">
								<xsl:variable name="RelCode" select="ReloadCountryCode"/>
								<xsl:element name="{'catESAD_cu:ReloadCountryCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="$RelCode"/></xsl:element>
								<xsl:element name="{'catESAD_cu:ReloadCountryName'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$RelCode]/Name"/></xsl:element>
							</xsl:if>
							<xsl:element name="{'catESAD_cu:ContainerIndicator'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">	
								<xsl:choose>
									<xsl:when  test="count(ReloadContainer/RELOADCONTAINER_ITEM[string-length(ContainerID)>0])>0">1</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>	
							</xsl:element>
							<xsl:for-each select="ReloadTransportMeans/RELOADTRANSPORTMEANS_ITEM[string-length(TMNumber)>0]">
								<xsl:element name="{'catESAD_cu:ReloadingTransportMeans'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
									<xsl:if test="string-length(VINID)>0">
										<xsl:element name="{'cat_ru:VIN'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="VINID"/></xsl:element>
									</xsl:if>	
									<xsl:if test="string-length(TMNumber)>0">	
										<xsl:element name="{'cat_ru:TransportIdentifier'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="TMNumber"/></xsl:element>
									</xsl:if>
									<xsl:if test="string-length(NationalityCode)>0">	
										<xsl:element name="{'cat_ru:TransportMeansNationalityCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="NationalityCode"/></xsl:element>
									</xsl:if>
									<xsl:if test="string-length(MoverIndicator)>0">	
										<xsl:element name="{'cat_ru:ActiveTransportIdentifier'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="MoverIndicator"/></xsl:element>
									</xsl:if>	
								</xsl:element>
							</xsl:for-each>
							<xsl:if test="string-length(ReloadCustomsOfficeCode)>0">
								<xsl:element name="{'catESAD_cu:ReloadingCustomsOffice'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
									<xsl:element name="{'cat_ru:Code'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="ReloadCustomsOfficeCode"/></xsl:element>
									<xsl:if test="string-length(ReloadCustomsOfficeName)>0">
										<xsl:element name="{'cat_ru:OfficeName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="ReloadCustomsOfficeName"/></xsl:element>
									</xsl:if>	
								</xsl:element>
							</xsl:if>
							<xsl:if test="count(ReloadContainer/RELOADCONTAINER_ITEM[string-length(ContainerID)>0])>0">
								<xsl:element name="{'catESAD_cu:ReloadContainer'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
									<xsl:for-each select="ReloadContainer/RELOADCONTAINER_ITEM[string-length(ContainerID)>0]">
										<xsl:element name="{'catESAD_cu:ContainerNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
											<xsl:value-of select="ContainerID"/>
										</xsl:element>
									</xsl:for-each>
								</xsl:element>	
							</xsl:if>
						</xsl:element>
					</xsl:for-each>
				</xsl:if>					
				<xsl:if test="string-length(BorderCustomsCode)>0">
					<xsl:element name="{concat($NodeName,'PPBorderCustoms')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:element name="{'cat_ru:Code'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="BorderCustomsCode"/></xsl:element>
						<xsl:if test="string-length(BorderCustomsOfficeName)>0">
							<xsl:element name="{'cat_ru:OfficeName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
								<xsl:choose>
									<xsl:when test="contains(BorderCustomsOfficeName,'&quot;')">
										<xsl:value-of select="normalize-space(translate(BorderCustomsOfficeName,'&quot;',' '))"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="BorderCustomsOfficeName"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="substring(DeliveryCustomsOfficeCode,1,2)='10' or substring(DeliveryCustomsOfficeCode,1,2)='12' or substring(DeliveryCustomsOfficeCode,1,2)='1F'">
								<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">643</xsl:element>
							</xsl:when>
							<xsl:when test="substring(DeliveryCustomsOfficeCode,1,3)='112' or substring(DeliveryCustomsOfficeCode,1,3)='240'">
								<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">112</xsl:element>
							</xsl:when>
							<xsl:when test="substring(DeliveryCustomsOfficeCode,1,3)='398'">
								<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">398</xsl:element>
							</xsl:when>									
							<xsl:when test="substring(DeliveryCustomsOfficeCode,1,2)='46'">
								<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">417</xsl:element>
							</xsl:when>									
						</xsl:choose>
					</xsl:element>
				</xsl:if>
				<xsl:if test="string-length(DeliveryCustomsOfficeCode)>0">
					<xsl:element name="{concat($NodeName,'TDDeliveryPlace')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:element name="{concat($NodeName,'DeliveryCustomsOffice')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
							<xsl:element name="{'cat_ru:Code'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="DeliveryCustomsOfficeCode"/></xsl:element>
							<xsl:if test="string-length(DeliveryCustomsOfficeName)>0">
								<xsl:element name="{'cat_ru:OfficeName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
									<xsl:choose>
										<xsl:when test="contains(DeliveryCustomsOfficeName,'&quot;')">
											<xsl:value-of select="normalize-space(translate(DeliveryCustomsOfficeName,'&quot;',' '))"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="DeliveryCustomsOfficeName"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:element>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="substring(DeliveryCustomsOfficeCode,1,2)='10' or substring(DeliveryCustomsOfficeCode,1,2)='12' or substring(DeliveryCustomsOfficeCode,1,2)='1F'">
									<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">643</xsl:element>
								</xsl:when>
								<xsl:when test="substring(DeliveryCustomsOfficeCode,1,3)='112' or substring(DeliveryCustomsOfficeCode,1,3)='240'">
									<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">112</xsl:element>
								</xsl:when>
								<xsl:when test="substring(DeliveryCustomsOfficeCode,1,3)='398'">
									<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">398</xsl:element>
								</xsl:when>									
								<xsl:when test="substring(DeliveryCustomsOfficeCode,1,2)='46'">
									<xsl:element name="{'cat_ru:CustomsCountryCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">417</xsl:element>
								</xsl:when>									
							</xsl:choose>
						</xsl:element>
					</xsl:element>
				</xsl:if>
			</xsl:element>
			<xsl:choose>
				<xsl:when test="string-length($NodeName)>0">
					<xsl:element name="{concat($NodeName,'ESADout_CUMainContractTerms')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:if test="string-length(CurrencyCode)>0">
							<xsl:element name="{'catESAD_cu:ContractCurrencyCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="CurrencyCode"/></xsl:element>
						</xsl:if>
						<xsl:if test="string-length(CurrencyRate)>0">
							<xsl:element name="{'catESAD_cu:ContractCurrencyRate'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="CurrencyRate"/></xsl:element>
						</xsl:if>
						<xsl:element name="{'catESAD_cu:TotalInvoiceAmount'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(sum(//ESADOUT_TDGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost) * 10000) div 10000,'0.00##')"/></xsl:element>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="sum(//ESADOUT_PITGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost)>0 or sum(//ESADOUT_TDGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost)>0">
						<xsl:element name="{concat($NodeName,'ESADout_CUMainContractTerms')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
							<xsl:if test="string-length(CurrencyCode)>0">
								<xsl:element name="{'catESAD_cu:ContractCurrencyCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
									<xsl:value-of select="CurrencyCode"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="string-length(CurrencyRate)>0">
								<xsl:element name="{'catESAD_cu:ContractCurrencyRate'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="CurrencyRate"/></xsl:element>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="$ForPMP=1">
									<xsl:element name="{'catESAD_cu:TotalInvoiceAmount'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(sum(//ESADOUT_PITGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost) * 10000) div 10000,'0.00##')"/></xsl:element>
								</xsl:when>
								<xsl:otherwise>
									<xsl:element name="{'catESAD_cu:TotalInvoiceAmount'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(sum(//ESADOUT_TDGOODS_ITEM[string-length(InvoicedCost)>0]/InvoicedCost) * 10000) div 10000,'0.00##')"/></xsl:element>
								</xsl:otherwise>
							</xsl:choose>	
						</xsl:element>
					</xsl:if>	
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="$ForPMP=1">
					<xsl:for-each select="//ESADOUT_PITGoods/ESADOUT_PITGOODS_ITEM">
						<xsl:call-template name="ESADOUTGoods">
							<xsl:with-param name="ForPMP" select="$ForPMP"/>
							<xsl:with-param name="NodeName" select="$NodeName"/>
							<xsl:with-param name="TDnotTR" select="$TDnotTR"/>
							<xsl:with-param name="CreateArh" select="$CreateArh"/>
						</xsl:call-template>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:for-each select="//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM">
						<xsl:call-template name="ESADOUTGoods">
							<xsl:with-param name="ForPMP" select="$ForPMP"/>
							<xsl:with-param name="NodeName" select="$NodeName"/>
							<xsl:with-param name="TDnotTR" select="$TDnotTR"/>
						</xsl:call-template>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>				
			<xsl:if test="$ForPMP!=1">
				<xsl:for-each select="TDGuarantee/TDGUARANTEE_ITEM[string-length(MeasureCode)>0]">
					<xsl:element name="{concat($NodeName,'TDGuarantee')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:element name="{'catESAD_cu:MeasureCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="MeasureCode"/></xsl:element>
						<xsl:if test="string-length(DocNumber)>0">
							<xsl:element name="{'catESAD_cu:DocNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="DocNumber"/></xsl:element>
						</xsl:if>
						<xsl:if test="string-length(DocDate)>0">
							<xsl:element name="{'catESAD_cu:DocDate'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="DocDate"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:if>	
						<xsl:if test="string-length(GuaranteeName)>0">
							<xsl:element name="{'catESAD_cu:GuaranteeName'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="GuaranteeName"/></xsl:element>
						</xsl:if>
					</xsl:element>
				</xsl:for-each>
			</xsl:if>
		</xsl:element>
		<xsl:choose>
			<xsl:when test="$SelectDcl=1">
				<xsl:element name="{concat($NodeName,'FilledPerson')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"> 
					<xsl:call-template name="FilledPersonDLAA">
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NameSpDop" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
						<xsl:with-param name="NameNode" select="'G54'"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:when>
			<xsl:when test="(string-length(Filled_PersonSurname)>0 and string-length(Filled_PersonName)>0) or (string-length($DeclLastName)>0 and string-length($DeclFirstName)>0) ">
			<xsl:element name="{concat($NodeName,'FilledPerson')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"> 
				<xsl:element name="{'cat_ru:PersonSurname'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
					<xsl:choose>
						<xsl:when test="string-length(Filled_PersonSurname)>0">
							<xsl:value-of select="Filled_PersonSurname"/>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="$DeclLastName"/></xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="{'cat_ru:PersonName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
					<xsl:choose>
						<xsl:when test="string-length(Filled_PersonName)>0">
							<xsl:value-of select="Filled_PersonName"/>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="$DeclFirstName"/></xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:if test="string-length(Filled_PersonMiddleName)>0">
					<xsl:element name="{'cat_ru:PersonMiddleName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_PersonMiddleName"/></xsl:element>	
				</xsl:if>	
				<xsl:if test="string-length(Filled_PersonPost)>0">
					<xsl:element name="{'cat_ru:PersonPost'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_PersonPost"/></xsl:element>	
				</xsl:if>	
				<xsl:if test="string-length(Filled_IndentityCardCode)>0 or string-length(Filled_IdentityCardName)>0 or string-length(Filled_IdentityCardSeries)>0 or string-length(Filled_IdentityCardNumder)>0 or string-length(Filled_RBIdentificationNumber)>0 or string-length(Filled_IndentityCardDate)>0 or string-length(Filled_OrganizationName)>0">
					<xsl:element name="{'catESAD_cu:IdentityCard'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:if test="string-length(Filled_IndentityCardCode)>0">
							<xsl:element name="{'cat_ru:IdentityCardCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_IndentityCardCode"/></xsl:element>	
						</xsl:if>
						<xsl:if test="string-length(Filled_IdentityCardName)>0">	
							<xsl:element name="{'cat_ru:IdentityCardName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_IdentityCardName"/></xsl:element>	
						</xsl:if>	
						<xsl:if test="string-length(Filled_IdentityCardSeries)>0">	
							<xsl:element name="{'cat_ru:IdentityCardSeries'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_IdentityCardSeries"/></xsl:element>	
						</xsl:if>	
						<xsl:if test="string-length(Filled_IdentityCardNumder)>0">	
							<xsl:element name="{'cat_ru:IdentityCardNumber'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_IdentityCardNumder"/></xsl:element>	
						</xsl:if>	
						<xsl:if test="string-length(Filled_RBIdentificationNumber)>0">											
							<xsl:element name="{'cat_ru:RBIdentificationNumber'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_RBIdentificationNumber"/></xsl:element>	
						</xsl:if>	
						<xsl:if test="string-length(Filled_IndentityCardDate)>0">	
							<xsl:element name="{'cat_ru:IdentityCardDate'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="substring(Filled_IndentityCardDate,1,10)"/></xsl:element>	
						</xsl:if>
						<xsl:if test="string-length(Filled_OrganizationName)>0">	
							<xsl:element name="{'cat_ru:OrganizationName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="Filled_OrganizationName"/></xsl:element>	
						</xsl:if>	
					</xsl:element>	
				</xsl:if>	
			</xsl:element>
		</xsl:when>
		</xsl:choose>
		<xsl:if test="string-length($NodeName)>0 and (string-length(ContractRepresDeclDocNumber)>0 or string-length(ContractRepresDeclDocName)>0 or string-length(ContractRepresDeclDocDate)>0 or string-length(CustomsRepresCertificateModeCode)>0 or string-length(CustomsRepresCertificateName)>0 or string-length(CustomsRepresCertificateNumber)>0 or string-length(CustomsRepresCertificateDate)>0)">
			<xsl:element name="{concat($NodeName,'CUESADCustomsRepresentative')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"> 
				<xsl:if test="string-length(ContractRepresDeclDocNumber)>0 or string-length(ContractRepresDeclDocName)>0 or string-length(ContractRepresDeclDocDate)>0">
					<xsl:element name="{'catESAD_cu:ContractRepresDecl'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:if test="string-length(ContractRepresDeclDocName)>0">
							<xsl:element name="{'cat_ru:PrDocumentName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="ContractRepresDeclDocName"/></xsl:element>
						</xsl:if>
						<xsl:if test="string-length(ContractRepresDeclDocNumber)>0">
							<xsl:element name="{'cat_ru:PrDocumentNumber'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="ContractRepresDeclDocNumber"/></xsl:element>
						</xsl:if>	
						<xsl:if test="string-length(ContractRepresDeclDocDate)>0">										
							<xsl:element name="{'cat_ru:PrDocumentDate'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="ContractRepresDeclDocDate"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:if>	
					</xsl:element>
				</xsl:if>
				<xsl:if test="string-length(CustomsRepresCertificateModeCode)>0 or string-length(CustomsRepresCertificateName)>0 or string-length(CustomsRepresCertificateNumber)>0 or string-length(CustomsRepresCertificateDate)>0">
					<xsl:element name="{'catESAD_cu:CustomsRepresCertificate'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:if test="string-length(CustomsRepresCertificateName)>0">
							<xsl:element name="{'cat_ru:PrDocumentName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="CustomsRepresCertificateName"/></xsl:element>
						</xsl:if>
						<xsl:if test="string-length(CustomsRepresCertificateNumber)>0">
							<xsl:element name="{'cat_ru:PrDocumentNumber'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="CustomsRepresCertificateNumber"/></xsl:element>
						</xsl:if>	
						<xsl:if test="string-length(CustomsRepresCertificateDate)>0">										
							<xsl:element name="{'cat_ru:PrDocumentDate'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="CustomsRepresCertificateDate"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:if>
						<xsl:if test="string-length(CustomsRepresCertificateModeCode)>0">
							<xsl:element name="{'catESAD_cu:DocumentModeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="CustomsRepresCertificateModeCode"/></xsl:element>	
						</xsl:if>
					</xsl:element>	
				</xsl:if>
			</xsl:element>	
		</xsl:if>
	</xsl:template>
	<xsl:template name="ESADOUTGoods"	xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltESAD_cu="urn:customs.ru:CUESADCommonLeafTypes:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
		<xsl:param name="ForPMP"/>
		<xsl:param name="NodeName"/>
		<xsl:param name="TDnotTR"/>
		<xsl:param name="CreateArh"/>
		<xsl:variable name="PrDoc1">
			<xsl:choose>
				<xsl:when test="$ForPMP=1"></xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[1]/CopyPrecedingDocumentAllGoods"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable> 
		<xsl:element name="{concat($NodeName,'ESADout_CUGoods')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
			<xsl:element name="{'catESAD_cu:GoodsNumeric'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="GoodsNumeric"/></xsl:element>
			<xsl:variable name="NumGood" select="position()"/>
			<xsl:variable  name="GoodsDescBegin">
				<xsl:choose>
					<xsl:when test="string-length(normalize-space(GoodsDescription))>900">
						<xsl:call-template name="SplitTextBySpace">
							<xsl:with-param name="Text" select="normalize-space(GoodsDescription)"/>
							<xsl:with-param name="Len" select="900"/>
							<xsl:with-param name="Simb" select="' '"/>
						</xsl:call-template>	
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="normalize-space(GoodsDescription)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable  name="GoodsDescEnd" select="substring(normalize-space(GoodsDescription),string-length($GoodsDescBegin)+1)"/>
			<xsl:call-template name="GoodsDescr">
				<xsl:with-param name="DesGoods" select="normalize-space($GoodsDescBegin)"/>
				<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
				<xsl:with-param name="NameMes" select="false"/> 
				<xsl:with-param name="LenDes" select="250"/>											
			</xsl:call-template>										
			<xsl:if test="string-length(GrossWeightQuantity)>0">
				<xsl:element name="{'catESAD_cu:GrossWeightQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></xsl:element>
			</xsl:if>
			<xsl:if test="string-length(NetWeightQuantity)>0 and ($TDnotTR=1 or $ForPMP=1)">
				<xsl:element name="{'catESAD_cu:NetWeightQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(NetWeightQuantity * 1000000) div 1000000,'0.######')"/></xsl:element>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="string-length($NodeName)>0">
					<xsl:element name="{'catESAD_cu:InvoicedCost'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:choose>
							<xsl:when test="string-length(InvoicedCost)>0 and number(InvoicedCost)>0">
								<xsl:value-of select="format-number(round(InvoicedCost * 100) div 100,'0.##')"/>
							</xsl:when>
							<xsl:otherwise>0</xsl:otherwise>
						</xsl:choose>	
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="string-length(InvoicedCost)>0 and  ($TDnotTR or $ForPMP=1)">
						<xsl:element name="{'catESAD_cu:InvoicedCost'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="format-number(round(InvoicedCost * 100) div 100,'0.##')"/></xsl:element>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="string-length(GoodsCode)>0">
				<xsl:element name="{'catESAD_cu:GoodsTNVEDCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="substring(GoodsCode,1,10)"/></xsl:element>
			</xsl:if>
			<xsl:if test="string-length(OriginCountryCode)>0">
				<xsl:element name="{'catESAD_cu:OriginCountryCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="OriginCountryCode"/></xsl:element>
			</xsl:if>
			<xsl:if test="string-length(OriginCountryName)>0">
				<xsl:element name="{'catESAD_cu:OriginCountryName'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="OriginCountryName"/></xsl:element>
			</xsl:if>
			<xsl:if test="string-length(substring(GoodsCode,11,4))>0  and string-length($NodeName)>0">
				<xsl:element name="{'catESAD_cu:GoodsAddTNVEDCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="substring(GoodsCode,11,4)"/></xsl:element>
			</xsl:if>	
			<xsl:element name="{'catESAD_cu:AdditionalSheetCount'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
				<xsl:choose>
					<xsl:when test="string-length(AdditionalSheetCount)>0">
						<xsl:value-of select="AdditionalSheetCount"/>										
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="position()=1">1</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="NumList">
									<xsl:with-param name="Num" select="position()"/>
								</xsl:call-template>	
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:if test="string-length($GoodsDescEnd)>0">
				<xsl:call-template name="GoodsGroupDesc">
					<xsl:with-param name="GrpGoodsDes" select="normalize-space($GoodsDescEnd)"/>
					<xsl:with-param name="NodeName" select="'catESAD_cu:GoodsDescription'"/>
					<xsl:with-param name="Namsp" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/> 
				</xsl:call-template>
			</xsl:if>
			<xsl:element name="{concat($NodeName,'MilitaryProducts')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">false</xsl:element>
			<xsl:choose>
				<xsl:when test="string-length($NodeName)>0">
					<xsl:element name="{concat($NodeName,'CurrencyCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:choose>
							<xsl:when test="string-length(CurrencyCode)>0">
								<xsl:value-of select="CurrencyCode"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="../../CurrencyCode"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="string-length(CurrencyCode)>0  and  ($TDnotTR or $ForPMP=1)">
						<xsl:element name="{concat($NodeName,'CurrencyCode')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0"><xsl:value-of select="CurrencyCode"/></xsl:element>
					</xsl:if>	
				</xsl:otherwise>
			</xsl:choose>
			<xsl:for-each  select="EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[string-length(ModeCode)>0 or string-length(DocumentName)>0 or string-length(DocumentNumber)>0 or string-length(DocumentDate)>0]">
				<xsl:element name="{concat($NodeName,'ESADout_CUPresentedDocument')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
					<xsl:if test="string-length(DocumentName)>0">
						<xsl:element name="{'cat_ru:PrDocumentName'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
							<xsl:choose>
								<xsl:when test="contains(DocumentName,'&quot;')"><xsl:value-of select="translate(DocumentName,'&quot;',' ')"/></xsl:when>
								<xsl:when test="contains(DocumentName,'&lt;') and contains(DocumentName,'&gt;')"><xsl:value-of select="translate(translate(DocumentName,'&lt;',' '),'&gt;',' ')"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="DocumentName"/></xsl:otherwise>
							</xsl:choose>
						</xsl:element>
					</xsl:if>
					<xsl:if test="string-length(DocumentNumber)>0">
						<xsl:element name="{'cat_ru:PrDocumentNumber'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="DocumentNumber"/></xsl:element>
					</xsl:if>	
					<xsl:if test="string-length(DocumentDate)>0">										
						<xsl:element name="{'cat_ru:PrDocumentDate'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0">
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="DocumentDate"/>
							</xsl:call-template>
						</xsl:element>
					</xsl:if>	
					<xsl:element name="{'catESAD_cu:PresentedDocumentModeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:choose>
							<xsl:when test="string-length(ModeCode)>0">
								<xsl:value-of select="ModeCode"/>
							</xsl:when>
							<xsl:otherwise>00000</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:if  test="string-length($CreateArh)>0 and $CreateArh=1">
						<xsl:variable name="NumDat" select="concat(DocumentNumber,substring(DocumentDate,1,10))"/>	
						<xsl:apply-templates mode="PIT-Arch" select=".">
							<xsl:with-param name="namespace-uri" select="'urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0'"/>
							<xsl:with-param name="DocCode">
								<xsl:choose>
									<xsl:when test="ModeCode='09999' and count(//PASSPORTRF_ITEM[concat(RegNum,substring(RegDate,1,10))=$NumDat])>0">11001</xsl:when>
									<xsl:when test="ModeCode='09999' and count(//DOVER_ITEM[concat(RegNum,substring(RegDate,1,10))=$NumDat])>0">11003</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="ModeCode"/>
									</xsl:otherwise>
								</xsl:choose>		
							</xsl:with-param>
						</xsl:apply-templates>
					</xsl:if>
				</xsl:element>
			</xsl:for-each>
			<!--<xsl:variable name="DocModeCode_TTN" select="'02015'"/>
			<xsl:if test="$ForPMP=1 and not(count(EnclosedDocument/ENCLOSEDDOCUMENT_ITEM/ModeCode[ . = $DocModeCode_TTN ]))">
				<xsl:element name="{concat($NodeName,'ESADout_CUPresentedDocument')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
					<xsl:element name="{'catESAD_cu:PresentedDocumentModeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
						<xsl:value-of select="$DocModeCode_TTN"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>-->
			<xsl:if test="$ForPMP!=1">
				<xsl:choose>
					<xsl:when test="position()=1 and string-length(PrecedingDocumentNumber)>0">
						<xsl:call-template name="DocPr">
							<xsl:with-param name="NodeName" select="$NodeName"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="position()>1 and $PrDoc1='1' and (string-length(PrecedingDocumentCustomsCode)=0 and string-length(PrecedingDocumentName)=0 and string-length(PrecedingDocumentNumber)=0 and string-length(PrecedingDocumentDate)=0 and string-length(PrecedingModeCode)=0 and string-length(PrecedingLineNumber)=0 and string-length(PrecedingCustomsCountryCode)=0)">
						<xsl:for-each select="//ESADOUT_TDGoods/ESADOUT_TDGOODS_ITEM[1][string-length(PrecedingDocumentNumber)>0]">
							<xsl:call-template name="DocPr">
							<xsl:with-param name="NodeName" select="$NodeName"/>
						</xsl:call-template>
						</xsl:for-each>
					</xsl:when>
					<xsl:when test="position()>1 and (string-length(PrecedingDocumentNumber)>0)">
						<xsl:call-template name="DocPr">
							<xsl:with-param name="NodeName" select="$NodeName"/>
						</xsl:call-template>
					</xsl:when>
				</xsl:choose>	
			</xsl:if>
			<xsl:if test="string-length(GoodsQuantity)>0 and number(GoodsQuantity)>0">
			    <xsl:element name="{concat($NodeName,'SupplementaryGoodsQuantity')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
					<xsl:element name="{'cat_ru:GoodsQuantity'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="GoodsQuantity"/></xsl:element>
					<xsl:choose>
						<xsl:when test="string-length(MeasureUnitQualifierCode)>0">
							<xsl:element name="{'cat_ru:MeasureUnitQualifierCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="MeasureUnitQualifierCode"/></xsl:element>
						</xsl:when>
						<xsl:when test="string-length(CodeDEI)>0">
							<xsl:element name="{'cat_ru:MeasureUnitQualifierCode'}" namespace="urn:customs.ru:CommonAggregateTypes:5.10.0"><xsl:value-of select="CodeDEI"/></xsl:element>
						</xsl:when>
					</xsl:choose>
				</xsl:element>
			</xsl:if> 
			<xsl:choose>
				<xsl:when test="(string-length(PlacesQuantity)>0 and number(PlacesQuantity)>0) or count(GoodsPackingInfo/GOODSPACKINGINFO_ITEM[string-length(PackingCode)>0])>0">
					<xsl:element name="{concat($NodeName,'ESADGoodsPackaging')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:if test="string-length(PlacesQuantity)>0">
							<xsl:element name="{'catESAD_cu:PakageQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="PlacesQuantity"/></xsl:element>
						</xsl:if>
						<xsl:if test="string-length(PlacesCode)>0">
							<xsl:choose>
								<xsl:when test="PlacesCode='NA' or PlacesCode='NE' or PlacesCode='NF' or PlacesCode='NG'">
									<xsl:element name="{'catESAD_cu:PakageTypeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">0</xsl:element>
								</xsl:when>
								<xsl:when test="PlacesCode='VG' or PlacesCode='VQ' or PlacesCode='VL' or PlacesCode='VR' or PlacesCode='VO' or PlacesCode='VY'">
									<xsl:element name="{'catESAD_cu:PakageTypeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">2</xsl:element>
								</xsl:when>
								<xsl:otherwise>
									<xsl:element name="{'catESAD_cu:PakageTypeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">1</xsl:element>
								</xsl:otherwise>	
							</xsl:choose>
						</xsl:if>
						<xsl:if test="string-length(PakagePartQuantity)>0">	
							<xsl:element name="{'catESAD_cu:PakagePartQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="PakagePartQuantity"/></xsl:element>
						</xsl:if>
						<xsl:if test="string-length(PlacesCode)>0">		
							<xsl:element name="{'catESAD_cu:PackageCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="PlacesCode"/></xsl:element>
						</xsl:if>
						<xsl:if test="count(GoodsPackingInfo/GOODSPACKINGINFO_ITEM[string-length(PackingCode)>0])>0">
							<xsl:for-each select="GoodsPackingInfo/GOODSPACKINGINFO_ITEM[string-length(PackingCode)>0]">
								<xsl:element name="{'catESAD_cu:PackingInformation'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
									<xsl:element name="{'catESAD_cu:PackingCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="PackingCode"/></xsl:element>											
									<xsl:if test="string-length(PackingQuantity)>0">
										<xsl:element name="{'catESAD_cu:PakingQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="PackingQuantity"/></xsl:element>											
									</xsl:if>
								</xsl:element>
							</xsl:for-each>
						</xsl:if>
					</xsl:element>
				</xsl:when>
				<xsl:when test="string-length(PlacesQuantity)>0 and number(PlacesQuantity)=0 and string-length($NodeName)>0">
					<xsl:element name="{concat($NodeName,'ESADGoodsPackaging')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
						<xsl:element name="{'catESAD_cu:PakageQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="PlacesQuantity"/></xsl:element>
						<xsl:element name="{'catESAD_cu:PakageTypeCode'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">1</xsl:element>
						<xsl:element name="{'catESAD_cu:PakagePartQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">1</xsl:element>
						<xsl:element name="{'catESAD_cu:RBCargoKind'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">ЧАСТЬ МЕСТА</xsl:element>
					</xsl:element>
				</xsl:when>	
			</xsl:choose>	
			<xsl:if test="count(Container/CONTAINER_ITEM[string-length(ContainerID)>0])>0">
				<xsl:element name="{concat($NodeName,'ESADContainer')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
					<xsl:element name="{'catESAD_cu:ContainerQuantity'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="count(Container/CONTAINER_ITEM[string-length(ContainerID)>0])"/></xsl:element>
					<xsl:if  test="string-length(ContainerKind)=2">
						<xsl:element name="{'catESAD_cu:ContainerKind'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="substring(ContainerKind,1,2)"/></xsl:element>
					</xsl:if>										
					<xsl:for-each select="Container/CONTAINER_ITEM[string-length(ContainerID)>0]">
						<xsl:element name="{'catESAD_cu:ContainerNumber'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0">
							<xsl:element name="{'catESAD_cu:ContainerIdentificaror'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="ContainerID"/></xsl:element>
							<xsl:if test="string-length(FullIndicator)>0">
								<xsl:element name="{'catESAD_cu:FullIndicator'}" namespace="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0"><xsl:value-of select="FullIndicator"/></xsl:element>
							</xsl:if>
						</xsl:element>
					</xsl:for-each>	
				</xsl:element>
			</xsl:if>		
			<xsl:if test="$ForPMP!=1">				
				<xsl:for-each select="../../../ESADOUT_TD_ITEM">
					<xsl:if test="count(*[contains(name(),'Consignee_') and string-length(.)>0])">
						<xsl:element name="{concat($NodeName,'ESADoutGoodsOrganization')}" namespace="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.11.0">
							<xsl:call-template name="OrgNode">
								<xsl:with-param name="Pref" select="'Consignee_'"/>
								<xsl:with-param name="ReqNode" select="false"/>
								<xsl:with-param name="PostalAddress" select="1"/>
								<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
							</xsl:call-template> 
						</xsl:element>											
					</xsl:if>	
				</xsl:for-each>
			</xsl:if>	
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
