<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/incomings-html.xsl"/>
	<xsl:variable name="EDTRANSIT-incomings-map-5110" select="document('')/*/xsl:template[ @name = 'EDTRANSIT-incomings-map-5110' ]/incoming"/>
	<!--важно при приёме входящих делать выборку документов только по ctmtd:CfgName, без учёта содержимого документа или имён элементов, иначе рискуем не обработать какой-то документ и удалить его, потому что workflow:Actions/Delete всё равно выбирает только по ctmtd:CfgName и удалит документы не глядя на другие их признаки-->
	<xsl:template name="EDTRANSIT-incomings-map-5110">
		<!--важно согласовать с pkg_status_graph последовательность статусов в этом списке ниже-->
		<!--важно в этом списке перечислять incomings в порядке появления сообщений по статусной модели, потому что кадждый следующий статус заменит собой предыдущий, останется последний из пришедших. Это важно при аварийном накоплении входящих в транспортной системе, после которого они все разом приходят, и обработать их надо в правильном порядке. Например, отказ выпуска CMN.15006.cfg.xml следует вписать после уведомления о регистрации CMN.15005.cfg.xml, чтобы после обработки всех остался статус $STATUS-EDTRANSIT-REFUSAL, а не $STATUS-EDTRANSIT-DECL-REG.-->
		<!--следом за CMN.15026, через короткое время (пара часов, вроде) автоматически придёт или CMN.15006 "Выпуск запрещён" или CMN.15007 "Выпуск разрешён"-->
		<!--следом за CMN.15006, через 30 дней висения в этом статусе, придёт или CMN.15029 "Истёк срок предоставления товара"-->
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-UIN" ChainLocked="true" CfgName="CMN.15025.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-DECL-SUBMITTED" ChainLocked="true" CfgName="CMN.15023.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-DECL-REG" ChainLocked="false" CfgName="CMN.15005.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-DECL-PRESENT-REQ" ChainLocked="false" CfgName="CMN.15028.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-REQUESTING-FOR-ANSWER" ChainLocked="false" CfgName="CMN.15019.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-GRNT-REFUSAL" CfgName="CMN.15026.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-INSP-REQ" ChainLocked="false" CfgName="CMN.11005.cfg.xml" key-path-to-save-from="CMN.11005.cfg.xml:ED_Container/ContainerDoc/DocBody/Signature/Object"/>
		<incoming ChainLocked="false" CfgName="CMN.11095.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-INSP-RESULT" ChainLocked="true" CfgName="CMN.11007.cfg.xml" key-path-to-save-from="CMN.11007.cfg.xml:ED_Container/ContainerDoc/DocBody/Signature/Object"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-DECL-REFUSAL" ChainLocked="true" CfgName="CMN.15004.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-RECALL" ChainLocked="true" CfgName="CMN.15020.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-DECL-EXPIRED" ChainLocked="true" CfgName="CMN.15029.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-REFUSAL" ChainLocked="true" CfgName="CMN.15006.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-RELEASED" ChainLocked="false" CfgName="CMN.15007.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-OVERLOADED"  ChainLocked="false" CfgName="CMN.15013.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-DATELIMIT" ChainLocked="false" CfgName="CMN.15009.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-ARRIVAL" ChainLocked="false" CfgName="CMN.15015.cfg.xml"/>
		<incoming new-pkgstatus="$STATUS-EDTRANSIT-FINISHED" ChainLocked="true" CfgName="CMN.15016.cfg.xml"/>
		<incoming CfgName="CMN.15014.cfg.xml"/>
	</xsl:template>
</xsl:stylesheet>
