<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForXsl.xsl"/>
	<xsl:template match="/">
		<Package>
			<!--Внимание! Здесь на входе документ после DeleteNameSpace.xsl-->
			<xsl:variable name="GoodsDecision" select="/Package/GoodsDecision[1]"/>
			<xsl:apply-templates select="$GoodsDecision">
				<xsl:with-param name="BLs" select="$GoodsDecision/Consignments/BillSerialNumber/text()"/>
			</xsl:apply-templates>
			<xsl:for-each select="//ARRSEADECL/ARRSEADECL_ITEM[string-length(PIN)>0]">
				<xsl:apply-templates select="$GoodsDecision">
					<xsl:with-param name="BLs" select="ARRSEADECLGoods/ARRSEADECLGOODS_ITEM/ConosamentNum/text()"/>
					<xsl:with-param name="PIN" select="PIN"/>
				</xsl:apply-templates>
			</xsl:for-each>
		</Package>
	</xsl:template>
	<xsl:template name="GoodsDes">
		<xsl:param name="TypeD"/>
		<CONSIGNMENTSGOODS_ITEM>
			<DOC_ID>0</DOC_ID>
			<ConsignmentNum><xsl:value-of select="../ConsignmentNum"/></ConsignmentNum>
			<BillSerialNumber><xsl:value-of select="../BillSerialNumber"/></BillSerialNumber>
			<GoodsNumeric><xsl:value-of select="GoodsNumeric"/></GoodsNumeric>
			<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
			<GoodsDescription>
				<xsl:for-each select="GoodsDescription">
					<xsl:value-of select="."/>
					<xsl:if test="position()!=last()">
						<xsl:text> </xsl:text>
					</xsl:if>
				</xsl:for-each>
			</GoodsDescription>
			<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
			<NetWeightQuantity><xsl:value-of select="NetWeightQuantity"/></NetWeightQuantity>
			<CustControlForm><xsl:value-of select="CustControlForm"/></CustControlForm>
			<CustControlResult><xsl:value-of select="CustControlResult"/></CustControlResult>
			<CustControlDecision><xsl:value-of select="CustControlDecision"/></CustControlDecision>
			<TypeDecision><xsl:value-of select="$TypeD"/></TypeDecision>
		</CONSIGNMENTSGOODS_ITEM>
	</xsl:template>
	<xsl:template match="GoodsDecision">
		<xsl:param name="BLs"/>
		<xsl:param name="PIN" select="PIN"/>
		<xsl:variable name="Goods" select="Consignments/Goods[../BillSerialNumber=$BLs]"/>
		<xsl:variable name="NodeCopy">PI_URN,DecisionKind,TransportKind,EstimatedArrival,DecisionDate,DecisionTime,CustomsOperationPlace,CustomsCode,</xsl:variable>
		<GOODSDECISION ctmtd:CfgName="GoodsDecision.CFG.XML" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<GOODSDECISION_ITEM>
				<DOC_ID>0</DOC_ID>
				<xsl:if test="string-length($PIN)>0">
					<PIN><xsl:value-of select="$PIN"/></PIN>
				</xsl:if>
				<xsl:for-each select="*[contains($NodeCopy,concat(name(),','))]">
					<xsl:copy-of select="."/>
				</xsl:for-each>
				<Customs_PersonName><xsl:value-of select="CustomsPerson/PersonName"/></Customs_PersonName>
				<Customs_PersonLNP><xsl:value-of select="CustomsPerson/LNP"/></Customs_PersonLNP>
				<xsl:for-each select="FlightInfo">
					<FlNumber><xsl:value-of select="FlightNumber"/></FlNumber>
					<FlDate><xsl:value-of select="FlightDate"/></FlDate>
					<AirplaneMark><xsl:value-of select="Mark"/></AirplaneMark>
					<AirplaneRegNumber><xsl:value-of select="AirPlaneRegNum"/></AirplaneRegNumber>
					<FlTime><xsl:value-of select="FlightTime"/></FlTime>
					<DepartureAirport><xsl:value-of select="DepatureAirport/AirportName"/></DepartureAirport>
					<DepartureAirport_IATACode><xsl:value-of select="DepatureAirport/IATACode"/></DepartureAirport_IATACode>
					<DestinationAirport><xsl:value-of select="ArrivalAirport/AirportName"/></DestinationAirport>
					<DestinationAirport_IATACode><xsl:value-of select="ArrivalAirport/IATACode"/></DestinationAirport_IATACode>
				</xsl:for-each>	
				<xsl:for-each select="ShipInfo/child::*">
					<xsl:copy-of select="."/>
				</xsl:for-each>
				<xsl:for-each select="TSControlDecision/child::*">
					<xsl:element name="{concat('TS_',name())}"><xsl:value-of select="."/></xsl:element>
				</xsl:for-each>
				<CONSIGNMENTSGOODS>
					<xsl:for-each select="$Goods[(CustControlForm!='таможенный осмотр' or CustControlResult!='Мера контроля применена штатным образом' or CustControlDecision!='Выгрузка в ЗТК') and ../../TransportKind=2]">
						<xsl:call-template name="GoodsDes">
							<xsl:with-param name="TypeD" select="1"/>
						</xsl:call-template>
					</xsl:for-each>
					<xsl:for-each select="$Goods[CustControlForm='таможенный осмотр' and CustControlResult='Мера контроля применена штатным образом' and CustControlDecision='Выгрузка в ЗТК' and ../../TransportKind=2]">
						<xsl:call-template name="GoodsDes">
							<xsl:with-param name="TypeD" select="0"/>
						</xsl:call-template>
					</xsl:for-each>
					<xsl:for-each select="$Goods[../../TransportKind!=2]">
						<xsl:call-template name="GoodsDes">
							<xsl:with-param name="TypeD" select="0"/>
						</xsl:call-template>
					</xsl:for-each>
				</CONSIGNMENTSGOODS>
			</GOODSDECISION_ITEM>
		</GOODSDECISION>
	</xsl:template>
</xsl:stylesheet>
