<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:output method="xml"/>

	<xsl:template match="/">
		<xsl:apply-templates select="//PI_SeaArrive"/>
	</xsl:template>
	<xsl:template  name="MasterShip">
		<xsl:choose>
			<xsl:when test="count(//CrewInfo/CrewMemberInfo[(contains(PersonPost,'MASTER') or contains(PersonPost,'master')) and string-length(PersonSurname)>0])>0">
				<VesselShipmaster><xsl:value-of select="concat(//CrewInfo/CrewMemberInfo[(contains(PersonPost,'MASTER') or contains(PersonPost,'master')) and string-length(PersonSurname)>0]/PersonSurname,' ',//CrewInfo/CrewMemberInfo[(contains(PersonPost,'MASTER') or contains(PersonPost,'master')) and string-length(PersonSurname)>0]/PersonName)"/></VesselShipmaster>
			</xsl:when>
			<xsl:when test="strring-length(//ShipDetails/CapitainSurname)>0">
				<VesselShipmaster><xsl:value-of select="//ShipDetails/CapitainSurname"/></VesselShipmaster>
			</xsl:when>
		</xsl:choose> 
	</xsl:template>
	
	<xsl:template match="PI_SeaArrive">
		<Package>
			<xsl:for-each select="Consignments">
				<CONOSAMENT ctmtd:CfgName="conosament.cfg.xml" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
					<CONOSAMENT_ITEM>
						<DOC_ID>0</DOC_ID>
						<ConosamentName>CONOSAMENT</ConosamentName>
						<RegNum><xsl:value-of select="TransportDocumentNum"/></RegNum>
						<VesselName><xsl:value-of select="../ShipDetails/ShipName"/></VesselName>
						<xsl:call-template name="MasterShip">
							
						</xsl:call-template>
						<xsl:variable name="VesCr" select="../ShipDetails/ShipCountryCode"/>
						<VesselNationalityCodeNum><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesCr]/Code"/></VesselNationalityCodeNum>
						<VesselNationalityCode><xsl:value-of select="$VesCr"/></VesselNationalityCode>
						<VesselNationality><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesCr]/Name"/></VesselNationality>
						
						<LoadingName><xsl:value-of select="LoadingPort/PortName"/></LoadingName>
						<xsl:variable name="LoadCr" select="LoadingPort/CountryCode"/>
						<Loading_CountryCode><xsl:value-of select="$LoadCr"/></Loading_CountryCode>
						<Loading_CountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$LoadCr]/Name"/></Loading_CountryName>
						
						<UnloadingName><xsl:value-of select="UnloadingPort/PortName"/></UnloadingName>
						<xsl:variable name="UnLoadCr" select="UnloadingPort/CountryCode"/>
						<Unloading_CountryCode><xsl:value-of select="$UnLoadCr"/></Unloading_CountryCode>
						<Unloading_CountryName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$UnLoadCr]/Name"/></Unloading_CountryName>
						<xsl:call-template name="Firm">
							<xsl:with-param name="ResNodeName" select="'Consignor'"/>
							<xsl:with-param name="LoadNodeName" select="Consignor"/>
						</xsl:call-template>
						<xsl:call-template name="Firm">
							<xsl:with-param name="ResNodeName" select="'Consignee'"/>
							<xsl:with-param name="LoadNodeName" select="Consignee"/>
						</xsl:call-template>
						<xsl:call-template name="Firm">
							<xsl:with-param name="ResNodeName" select="'Carrier'"/>
							<xsl:with-param name="LoadNodeName" select="Carrier"/>
						</xsl:call-template>
						<Destination_Name><xsl:value-of select="UnloadingPort/PortName"/></Destination_Name>
						<CONOSAMENTGoods>
							<xsl:for-each select="Goods">
								<CONOSAMENTGOODS_ITEM>
									<DOC_ID>0</DOC_ID>
									<GoodsMarking><xsl:value-of select="Marking"/></GoodsMarking>
									<GoodsDescription>
										<xsl:for-each select="GoodsDescription">
											<xsl:value-of select="."/>
											<xsl:if test="position()!=last()">
												<xsl:text> </xsl:text>
											</xsl:if>
										</xsl:for-each>
									</GoodsDescription>
									<GoodsNomenclatureCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsNomenclatureCode>
									<PlacesQuantity><xsl:value-of select="CargoPlace"/></PlacesQuantity>
									<GoodsNumeric><xsl:value-of select="GoodsNumeric"/></GoodsNumeric>
									<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
								</CONOSAMENTGOODS_ITEM>
							</xsl:for-each>
						</CONOSAMENTGoods>
						<PlaceOfDelivery_City><xsl:value-of select="LoadingPort/PortName"/></PlaceOfDelivery_City>
						<PlaceOfReceipt_City><xsl:value-of select="UnloadingPort/PortName"/></PlaceOfReceipt_City>
					</CONOSAMENT_ITEM>
				</CONOSAMENT>	
			</xsl:for-each>	
			<ARRSEADECL ctmtd:CfgName="arrseadecl.cfg.xml" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
				<ARRSEADECL_ITEM>
					<DOC_ID>0</DOC_ID>
					<DocName>Манифест</DocName>
					<DeparturePort><xsl:value-of select="ShipDetails/DepaturePlace/PortName"/></DeparturePort>
					<DepartureCountryCode><xsl:value-of select="ShipDetails/DepaturePlace/CountryCode"/></DepartureCountryCode>
					<DeclarationPort><xsl:value-of select="ShipDetails/ArrivalPlace/PortName"/></DeclarationPort>
					<VesselName><xsl:value-of select="ShipDetails/ShipName"/></VesselName>
					<xsl:call-template name="MasterShip"/>
					<xsl:variable name="VesCr" select="ShipDetails/ShipCountryCode"/>
					<VesselNationalityCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesCr]/Code"/></VesselNationalityCode>
					<VesselNationalityCountryCode><xsl:value-of select="$VesCr"/></VesselNationalityCountryCode>
					<ShippingLine><xsl:value-of select="Consignments[1]/Carrier/OrganizationName"/></ShippingLine>
					<ARRSEADECLGoods>
						<xsl:for-each select="Consignments/Goods">
							<ARRSEADECLGOODS_ITEM>
								<DOC_ID>0</DOC_ID>
								<GoodsMarking><xsl:value-of select="Marking"/></GoodsMarking>
								<GoodsDescription>
									<xsl:for-each select="GoodsDescription">
										<xsl:value-of select="."/>
										<xsl:if test="position()!=last()">
											<xsl:text> </xsl:text>
										</xsl:if>
									</xsl:for-each>
								</GoodsDescription>
								<PlacesQuantity><xsl:value-of select="CargoPlace"/></PlacesQuantity>
								<GrossWeightQuantity><xsl:value-of select="GrossWeightQuantity"/></GrossWeightQuantity>
								<GoodsTNVEDCode><xsl:value-of select="GoodsTNVEDCode"/></GoodsTNVEDCode>
								<ConosamentName>Коносамент</ConosamentName>
								<ConosamentNum><xsl:value-of select="../TransportDocumentNum"/></ConosamentNum>
								<DebarkationPort><xsl:value-of select="../UnloadingPort/PortName"/></DebarkationPort>
								<DebarkationPortCountryCode><xsl:value-of select="../UnloadingPort/CountryCode"/></DebarkationPortCountryCode>
								<DepartureGoodsPort><xsl:value-of select="../LoadingPort/PortName"/></DepartureGoodsPort>
								<DepartureGoodsPortCountryCode><xsl:value-of select="../LoadingPort/CountryCode"/></DepartureGoodsPortCountryCode>
								<xsl:call-template name="Firm">
									<xsl:with-param name="ResNodeName" select="'Consignor'"/>
									<xsl:with-param name="LoadNodeName" select="../Consignor"/>
								</xsl:call-template>
								<xsl:call-template name="Firm">
									<xsl:with-param name="ResNodeName" select="'Consignee'"/>
									<xsl:with-param name="LoadNodeName" select="../Consignee"/>
								</xsl:call-template>
								<xsl:call-template name="Firm">
									<xsl:with-param name="ResNodeName" select="'Carrier'"/>
									<xsl:with-param name="LoadNodeName" select="../Carrier"/>
								</xsl:call-template>
							</ARRSEADECLGOODS_ITEM>
						</xsl:for-each>	
					</ARRSEADECLGoods>
				</ARRSEADECL_ITEM>
			</ARRSEADECL>
			<GENERALDECL ctmtd:CfgName="GENERALDECL.CFG.XML" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
				<GENERALDECL_ITEM>
					<DOC_ID>0</DOC_ID>
					<Carrier_Name><xsl:value-of select="Consignments[1]/Carrier/OrganizationName"/></Carrier_Name>
					<ArrivalIndicator>1</ArrivalIndicator>
					<MembershipNumber><xsl:value-of select="count(CrewInfo/CrewMemberInfo[string-length(PersonSurname)>0])"/></MembershipNumber>
					<PassengerNumber><xsl:value-of select="count(Passengers/PassengerInfo[string-length(PersonSurname)>0 and PersonSurname!='N'])"/></PassengerNumber>
					<xsl:for-each select="ShipDetails">
						<Owner><xsl:value-of select="ShipOwnerName"/></Owner>
						<DeparturePort><xsl:value-of select="DepaturePlace/PortName"/></DeparturePort>
						<DepartureCountryCode><xsl:value-of select="DepaturePlace/CountryCode"/></DepartureCountryCode>
						<DestinationPort><xsl:value-of select="ArrivalPlace/PortName"/></DestinationPort>
						<DestinationCountryCode><xsl:value-of select="ArrivalPlace/CountryCode"/></DestinationCountryCode>
						<Mooring><xsl:value-of select="Berth"/></Mooring>
						<VesselName><xsl:value-of select="ShipName"/></VesselName>
						<xsl:call-template name="MasterShip"/>
						<xsl:variable name="VesCr" select="ShipCountryCode"/>
						<VesselNationalityCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesCr]/Code"/></VesselNationalityCode>
						<VesselNationalityCountryCode><xsl:value-of select="$VesCr"/></VesselNationalityCountryCode>
						<VesselRegistrationDate><xsl:value-of select="ShipRegDate"/></VesselRegistrationDate>
						<VesselRegistrationID><xsl:value-of select="ShipRegNum"/></VesselRegistrationID>
						<VesselRegistrationPort><xsl:value-of select="ShipRegPort"/></VesselRegistrationPort>
						<VesselGrossTonnage><xsl:value-of select="GrossTonnage"/></VesselGrossTonnage>
						<VesselNetTonnage><xsl:value-of select="NetTonnage"/></VesselNetTonnage>
						<IMO><xsl:value-of select="ShipIMONumber"/></IMO>
						<VesselType><xsl:value-of select="ShipType"/></VesselType>
						<xsl:call-template name="Firm">
							<xsl:with-param name="ResNodeName" select="'ShipAgent'"/>
							<xsl:with-param name="LoadNodeName" select="ShipAgent"/>
						</xsl:call-template>
					</xsl:for-each>
				</GENERALDECL_ITEM>
			</GENERALDECL>
			<CREWLIST ctmtd:CfgName="CREWLIST.CFG.XML" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
				<CREWLIST_ITEM>
					<DOC_ID>0</DOC_ID>
					<Carrier_Name><xsl:value-of select="Consignments[1]/Carrier/OrganizationName"/></Carrier_Name>
					<xsl:for-each select="ShipDetails">
						<DeparturePort><xsl:value-of select="DepaturePlace/PortName"/></DeparturePort>
						<DepartureCountryCode><xsl:value-of select="DepaturePlace/CountryCode"/></DepartureCountryCode>
						<DestinationPort><xsl:value-of select="ArrivalPlace/PortName"/></DestinationPort>
						<DestinationCountryCode><xsl:value-of select="ArrivalPlace/CountryCode"/></DestinationCountryCode>
						<VesselName><xsl:value-of select="ShipName"/></VesselName>
						<xsl:call-template name="MasterShip"/>
						<xsl:variable name="VesCr" select="ShipCountryCode"/>
						<VesselNationalityCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$VesCr]/Code"/></VesselNationalityCode>
						<VesselNationalityCountryCode><xsl:value-of select="$VesCr"/></VesselNationalityCountryCode>
						<ArrivalPortName><xsl:value-of select="ArrivalPlace/PortName"/></ArrivalPortName>
					</xsl:for-each>
					<RUPersonnel><xsl:value-of select="CrewInfo/RFMembersCount"/></RUPersonnel>
					<ForeignPersonnel><xsl:value-of select="CrewInfo/ForeignMembersCount"/></ForeignPersonnel>
					<CREWLISTCREW>
						<xsl:for-each select="CrewInfo/CrewMemberInfo">
							<CREWLISTCREW_ITEM>
								<DOC_ID>0</DOC_ID>
								<PersonName><xsl:value-of select="PersonSurname"/></PersonName>
								<PersonName2><xsl:value-of select="PersonName"/></PersonName2>
								<PersonMiddleName><xsl:value-of select="PersonMiddleName"/></PersonMiddleName>
								<PersonPost><xsl:value-of select="PersonPost"/></PersonPost>
								<PersNumeric><xsl:value-of select="position()"/></PersNumeric>
								<xsl:variable name="CodNat" select="Nationality"/>
								<Nationality>
									<xsl:choose>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodNat]/ABC2)>0">
											<xsl:value-of select="$CodNat"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[Code=$CodNat]/ABC2"/>
										</xsl:otherwise>
									</xsl:choose>
								</Nationality>
							</CREWLISTCREW_ITEM>
						</xsl:for-each>
					</CREWLISTCREW>	
				</CREWLIST_ITEM>
			</CREWLIST>
			<xsl:if test="count(Passengers/PassengerInfo)>0">
				<SEAPASSLIST>
					<SEAPASSLIST_ITEM>
						<TransportKind>2</TransportKind>
						<RUPersonnel><xsl:value-of select="Passengers/RFPassengersCount"/></RUPersonnel>
						<ForeignPersonnel><xsl:value-of select="Passengers/ForeignPassengerCount"/></ForeignPersonnel>
						<Carrier_Name><xsl:value-of select="Consignments[1]/Carrier/OrganizationName"/></Carrier_Name>
						<xsl:for-each select="ShipDetails">
							<VesselName><xsl:value-of select="ShipName"/></VesselName>
							<AirplaneRegNumber><xsl:value-of select="ShipRegNum"/></AirplaneRegNumber>
							<LoadingName><xsl:value-of select="DepaturePlace/PortName"/></LoadingName>
							<UnloadingName><xsl:value-of select="ArrivalPlace/PortName"/></UnloadingName>
						</xsl:for-each>
						<SEAPASSLISTPassInfo>
							<xsl:for-each select="Passengers/PassengerInfo">
							<SEAPASSLISTPASSINFO_ITEM>
								<DOC_ID>0000</DOC_ID>
								<PersonName><xsl:value-of select="PersonSurname"/></PersonName>
								<PersonName2><xsl:value-of select="PersonName"/></PersonName2>
								<PersonMiddleName><xsl:value-of select="PersonMiddleName"/></PersonMiddleName>
								<xsl:variable name="CodNat" select="Nationality"/>
								<Nationality><xsl:value-of select="$CodNat"/></Nationality>
								<BirthPlace><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CodNat]/EngName"/></BirthPlace>
								<DateofBirth><xsl:value-of select="BirthDate"/></DateofBirth>
								<LoadingName><xsl:value-of select="DepaturePort/PortName"/></LoadingName>
								<LoadingCountryCode><xsl:value-of select="DepaturePort/CountryCode"/></LoadingCountryCode>
								<UnloadingName><xsl:value-of select="ArrivalPort/PortName"/></UnloadingName>
								<UnloadingCountryCode><xsl:value-of select="ArrivalPort/CountryCode"/></UnloadingCountryCode>
							</SEAPASSLISTPASSINFO_ITEM>
							</xsl:for-each>
						</SEAPASSLISTPassInfo>
					</SEAPASSLIST_ITEM>
				</SEAPASSLIST>
			</xsl:if>	
			<xsl:if test="count(Consignments/ProhibitedGoods/ArmsInfo)>0 or count(Consignments/ProhibitedGoods/DrugsSubstanceInfo)>0 or count(Consignments/ProhibitedGoods/CurrencyInfo)>0 or count(Consignments/ProhibitedGoods/PermitionDocs)>0">
				<PROHIBITEDGOODS ctmtd:CfgName="PROHIBITEDGOODS.CFG.XML" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
					<PROHIBITEDGOODS_ITEM>
						<xsl:for-each select="ShipDetails">
							<DeparturePort><xsl:value-of select="DepaturePlace/PortName"/></DeparturePort>
							<VesselName><xsl:value-of select="ShipName"/></VesselName>
							<VesselNationalityCode><xsl:value-of select="ShipCountryCode"/></VesselNationalityCode>
						</xsl:for-each>
						<ARMSINFO>
							<xsl:for-each select="Consignments/ProhibitedGoods/ArmsInfo">
								<ARMSINFO_ITEM>
									<DOC_ID>00000</DOC_ID>
									<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
									<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
									<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></MeasureUnitQualifierCode>
									<Name><xsl:value-of select="Name"/></Name>
									<Description><xsl:value-of select="Description"/></Description>
								</ARMSINFO_ITEM>
							</xsl:for-each>
						</ARMSINFO>
						<CURRENCYINFO>
							<xsl:for-each select="Consignments/ProhibitedGoods/CurrencyInfo">
								<CURRENCYINFO_ITEM>
									<DOC_ID>00000</DOC_ID>
									<Amout><xsl:value-of select="Amout"/></Amout>
									<CurrencyCode><xsl:value-of select="CurrencyCode"/></CurrencyCode>
								</CURRENCYINFO_ITEM>
							</xsl:for-each>
						</CURRENCYINFO>
						<DRUGSSUBSTANCEINFO>
							<xsl:for-each select="Consignments/ProhibitedGoods/DrugsSubstanceInfo">
								<DRUGSSUBSTANCEINFO_ITEM>
									<DOC_ID>00000</DOC_ID>
									<GoodsQuantity><xsl:value-of select="GoodsQuantity"/></GoodsQuantity>
									<MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></MeasureUnitQualifierName>
									<MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></MeasureUnitQualifierCode>
									<Name><xsl:value-of select="Name"/></Name>
									<Description><xsl:value-of select="Description"/></Description>
									<DrugsType><xsl:value-of select="DrugsType"/></DrugsType>
								</DRUGSSUBSTANCEINFO_ITEM>
							</xsl:for-each>
						</DRUGSSUBSTANCEINFO>
						<PERMITIONDOCS>
							<xsl:for-each select="Consignments/ProhibitedGoods/PermitionDocs">
								<PERMITIONDOCS_ITEM>
									<DOC_ID>00000</DOC_ID>
									<DocumentName><xsl:value-of select="PrDocumentName"/></DocumentName>
									<DocumentNumber><xsl:value-of select="PrDocumentNumber"/></DocumentNumber>
									<DocumentDate><xsl:value-of select="PrDocumentDate"/></DocumentDate>
								</PERMITIONDOCS_ITEM>
							</xsl:for-each>
						</PERMITIONDOCS>
					</PROHIBITEDGOODS_ITEM>
				</PROHIBITEDGOODS>		
			</xsl:if> 
			<xsl:if test="count(Stores)>0">
				<APPSTORE ctmtd:CfgName="APPSTORE.CFG.XML" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
					<APPSTORE_ITEM>
						<xsl:call-template name="Firm">
							<xsl:with-param name="ResNodeName" select="'Carrier'"/>
							<xsl:with-param name="LoadNodeName" select="Consignments[1]/Carrier/OrganizationName"/>
							<xsl:with-param name="NotAdr" select="1"/>
						</xsl:call-template>
						<xsl:for-each select="ShipDetails">
							<Transport_PlaceName><xsl:value-of select="ShipCountryCode"/></Transport_PlaceName>
							<TransportName><xsl:value-of select="ShipName"/></TransportName>
							<RegTrans_CountryCode><xsl:value-of select="ShipCountryCode"/></RegTrans_CountryCode>
						</xsl:for-each>
						<TransportType>2</TransportType>
						<APPSTOREOperating>
							<xsl:for-each select="Stores[number(StoreSign)=1]">
								<APPSTOREOPERATING_ITEM>
									<DOC_ID>0000</DOC_ID>
									<NameGoods><xsl:value-of select="Name"/></NameGoods>
									<NumberGoods><xsl:value-of select="Quantity"/></NumberGoods>
									<xsl:variable name="MsName" select="MeasureUnitQualifier"/>
									<UnitName><xsl:value-of select="$MsName"/></UnitName>
									<UnitCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[NAME=$MsName]/ABBR"/></UnitCode>
								</APPSTOREOPERATING_ITEM>
							</xsl:for-each>
						</APPSTOREOperating>
						<APPSTORESold>
							<xsl:for-each select="Stores[number(StoreSign)=2]">
								<APPSTORESOLD_ITEM>
									<DOC_ID>0000</DOC_ID>
									<NameGoods><xsl:value-of select="Name"/></NameGoods>
									<NumberGoods><xsl:value-of select="Quantity"/></NumberGoods>
									<xsl:variable name="MsName" select="MeasureUnitQualifier"/>
									<UnitName><xsl:value-of select="$MsName"/></UnitName>
									<UnitCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[NAME=$MsName]/ABBR"/></UnitCode>
								</APPSTORESOLD_ITEM>
							</xsl:for-each>	
						</APPSTORESold>
						<APPSTOREConsumer>
							<xsl:for-each select="Stores[number(StoreSign)=3]">
								<APPSTORECONSUMER_ITEM>
									<DOC_ID>0000</DOC_ID>
									<NameGoods><xsl:value-of select="Name"/></NameGoods>
									<NumberGoods><xsl:value-of select="Quantity"/></NumberGoods>
									<xsl:variable name="MsName" select="MeasureUnitQualifier"/>
									<UnitName><xsl:value-of select="$MsName"/></UnitName>
									<UnitCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//UNIT_ITEM[NAME=$MsName]/ABBR"/></UnitCode>
								</APPSTORECONSUMER_ITEM>
							</xsl:for-each>
						</APPSTOREConsumer>		
					</APPSTORE_ITEM>
				</APPSTORE>
			</xsl:if>
		</Package>
	</xsl:template>
</xsl:stylesheet>
