<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template name="FirmNodeNull" xmlns="urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0">
		<xsl:param name="NameOrg"/>
		<xsl:if  test="string-length($NameOrg)=0">
			<cat_ru:OrganizationName>.</cat_ru:OrganizationName>
		</xsl:if>
		<Address>
			<catpi_ru:CountryCode>00</catpi_ru:CountryCode>
			<catpi_ru:City>.</catpi_ru:City>	
			<catpi_ru:StreetHouse>.</catpi_ru:StreetHouse>
		</Address>
	</xsl:template>	
	<xsl:key use="./WagonNumber" name="Wagons" match="//WAGON_ITEM[string-length(WagonNumber)>0]"/>

	<xsl:key use="concat(./SMGSNum,substring(./SMGSDate,1,10))" name="GoodSh" match="//WAGON_ITEM[string-length(concat(SMGSNum,substring(SMGSDate,1,10)))>0]"/>
	
	
	<xsl:template match="//WAGON_ITEM[string-length(WagonNumber)>0]">
		<xsl:param name="Train"/>
		<xsl:variable name="NumW" select="WagonNumber"/>
		<xsl:variable name="DocNum" select="SMGSNum"/>
		<xsl:variable name="DocDat" select="substring(./SMGSDate,1,10)"/>
		<xsl:choose>
			<xsl:when test="$Train=1">
				<Wagon  xmlns="urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0">
					<WagonNumber><xsl:value-of select="$NumW"/></WagonNumber>
					<xsl:if test="string-length(CountryRegistrationCode)>0">
						<CountryRegistrationCode>
							<xsl:choose>
								<xsl:when test="number(CountryRegistrationCode)=CountryRegistrationCode">
									<xsl:variable name="CrR" select="CountryRegistrationCode"/>
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$CrR]/ABC2"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="CountryRegistrationCode"/>
								</xsl:otherwise>
							</xsl:choose>
						</CountryRegistrationCode>
					</xsl:if>	
					<DepartureStation><xsl:value-of select="DepStationCode"/></DepartureStation>
					<DestinationStation><xsl:value-of select="DestStationCode"/></DestinationStation>
					<GoodsWeightQuantity><xsl:value-of select="round(sum(//WAGON_ITEM[WagonNumber=$NumW and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 1000) div 1000"/></GoodsWeightQuantity>
					<EmptyIndicator>
						<xsl:choose>
							<xsl:when test="round(sum(//WAGON_ITEM[WagonNumber=$NumW and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 1000) div 1000>0">0</xsl:when>
							<xsl:when test="round(sum(//WAGON_ITEM[WagonNumber=$NumW and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 1000) div 1000=0 and string-length(Container)=0">1</xsl:when>
							<xsl:when test="round(sum(//WAGON_ITEM[WagonNumber=$NumW and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 1000) div 1000=0 and string-length(Container)>0">2</xsl:when>
							<xsl:otherwise>1</xsl:otherwise>
						</xsl:choose>
					</EmptyIndicator>
					<xsl:choose>
						<xsl:when test="count(//CONTAINERNUM_ITEM[../../WagonNumber=$NumW and string-length(Container)>0])>0">
							<xsl:for-each select="//CONTAINERNUM_ITEM[../../WagonNumber=$NumW and string-length(Container)>0]">
								<ContainerNumbers><xsl:value-of select="Container"/></ContainerNumbers>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="count(//WAGON_ITEM[WagonNumber=$NumW and string-length(Container)>0])>0">
							<xsl:for-each select="//WAGON_ITEM[WagonNumber=$NumW and string-length(Container)>0]">
								<ContainerNumbers><xsl:value-of select="Container"/></ContainerNumbers>
							</xsl:for-each>
						</xsl:when>
					</xsl:choose>
					<WagonNumeric><xsl:value-of select="position()"/></WagonNumeric>
				</Wagon>
			</xsl:when>
			<xsl:when test="$Train=0">
				<GoodsShipment xmlns="urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0">
					<xsl:for-each select="//WAGON_ITEM[concat(SMGSNum,substring(SMGSDate,1,10))=concat($DocNum,$DocDat) and string-length(WagonNumber)>0]/WagonNumber">
						<WagonNumbers><xsl:value-of select="."/></WagonNumbers>
					</xsl:for-each>
					<DepartureStation><xsl:value-of select="DepStationCode"/></DepartureStation>
					<xsl:variable name="CCont" select="count(//WAGON_ITEM[concat(SMGSNum,substring(SMGSDate,1,10))=concat($DocNum,$DocDat) and string-length(Container)>0]/Container)"/>
					<xsl:if test="$CCont>0">
						<ContainerIndicator>1</ContainerIndicator>
					</xsl:if>
					<SMGSNumber><xsl:value-of select="$DocNum"/></SMGSNumber>
					<DestinationStation><xsl:value-of select="DestStationCode"/></DestinationStation>
					<xsl:choose>
						<xsl:when test="count(//INVOICE_ITEM[contains(NumDateRw,concat($DocNum,$DocDat))])>0">
							<xsl:for-each select="//INVOICE_ITEM[contains(NumDateRw,concat($DocNum,$DocDat))]/INVOICEGoods/INVOICEGOODS_ITEM">
								<Goods>
									<catpi_ru:GoodsNumeric><xsl:value-of select="position()"/></catpi_ru:GoodsNumeric>
									<xsl:if test="string-length(GoodsCode)>0">
										<catpi_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catpi_ru:GoodsTNVEDCode>
									</xsl:if>
									<xsl:call-template name="GoodsDescr">
										<xsl:with-param name="DesGoods">
											<xsl:call-template name="GoodDescrAvto"/>
										</xsl:with-param>
										<xsl:with-param name="NodeName" select="'catpi_ru:GoodsDescription'"/>
										<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
										<xsl:with-param name="NameMes" select="true"/> 
										<xsl:with-param name="LenDes" select="250"/>
									</xsl:call-template>
									<xsl:if  test="string-length(GrossWeightQuantity)>0">
										<catpi_ru:GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000) div 1000,'0.###')"/></catpi_ru:GrossWeightQuantity>
									</xsl:if>
									<xsl:if  test="string-length(NetWeightQuantity)>0">
										<catpi_ru:NetWeightQuantity><xsl:value-of select="format-number(round(NetWeightQuantity * 1000) div 1000,'0.###')"/></catpi_ru:NetWeightQuantity>
									</xsl:if>
									<xsl:for-each select="//WAGON_ITEM[concat(./SMGSNum,substring(./SMGSDate,1,10))=concat($DocNum,$DocDat) and string-length(Container)>0]/Container">
										<catpi_ru:ContainerNumbers><xsl:value-of select="."/></catpi_ru:ContainerNumbers>
									</xsl:for-each>
									<xsl:if  test="string-length(OriginCountryCode)>0">
										<catpi_ru:OriginCountryCode><xsl:value-of select="OriginCountryCode"/></catpi_ru:OriginCountryCode>
									</xsl:if>
									<xsl:if  test="string-length(TotalCost)>0">
										<catpi_ru:InvoicedCost><xsl:value-of select="TotalCost"/></catpi_ru:InvoicedCost>
									</xsl:if>
									<xsl:if  test="string-length(../../CurrencyCode)>0">
										<catpi_ru:CurrencyCode><xsl:value-of select="../../CurrencyCode"/></catpi_ru:CurrencyCode>
									</xsl:if>
									<xsl:if  test="string-length(GoodsQuantity)>0">
										<catpi_ru:GoodsMeasureQuantity>
											<catpi_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></catpi_ru:GoodsQuantity>
											<xsl:if  test="string-length(MeasureUnitQualifierName)>0">
												<catpi_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></catpi_ru:MeasureUnitQualifierName>
											</xsl:if>
											<xsl:if  test="string-length(MeasureUnitQualifierCode)>0">
												<catpi_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></catpi_ru:MeasureUnitQualifierCode>
											</xsl:if>
										</catpi_ru:GoodsMeasureQuantity>
									</xsl:if>
									<catpi_ru:GoodsPackaging>
										<xsl:choose>
											<xsl:when test="string-length(PlacesCode)=0">
												<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
											</xsl:when>
											<xsl:otherwise>
												<xsl:if  test="string-length(PlacesQuantity)>0">
													<catpi_ru:PakageQuantity><xsl:value-of select="PlacesQuantity"/></catpi_ru:PakageQuantity>
												</xsl:if>	
												<catpi_ru:CargoCode><xsl:value-of select="PlacesCode"/></catpi_ru:CargoCode>
												<xsl:if  test="string-length(PlacesDescription)>0">
													<catpi_ru:CargoDescription><xsl:value-of select="PlacesDescription"/></catpi_ru:CargoDescription>
												</xsl:if>	
											</xsl:otherwise>
										</xsl:choose>
									</catpi_ru:GoodsPackaging>
								</Goods>	
							</xsl:for-each>
						</xsl:when>	
						<xsl:otherwise>
							<Goods>
								<catpi_ru:GoodsNumeric>1</catpi_ru:GoodsNumeric>
								<xsl:if test="string-length(GoodsCode)>0">
									<catpi_ru:GoodsTNVEDCode><xsl:value-of select="GoodsCode"/></catpi_ru:GoodsTNVEDCode>
								</xsl:if>
								<catpi_ru:GoodsDescription><xsl:value-of select="GoodsDescription"/></catpi_ru:GoodsDescription>
								<catpi_ru:GrossWeightQuantity><xsl:value-of select="round(sum(//WAGON_ITEM[concat(./SMGSNum,substring(./SMGSDate,1,10))=concat($DocNum,$DocDat) and string-length(GrossWeightQuantity)>0]/GrossWeightQuantity) * 1000) div 1000"/></catpi_ru:GrossWeightQuantity>
								<xsl:for-each select="//WAGON_ITEM[concat(./SMGSNum,substring(./SMGSDate,1,10))=concat($DocNum,$DocDat) and string-length(Container)>0]/Container">
									<catpi_ru:ContainerNumbers><xsl:value-of select="."/></catpi_ru:ContainerNumbers>
								</xsl:for-each>
								<catpi_ru:GoodsPackaging>
									<catpi_ru:CargoCode>NE</catpi_ru:CargoCode>
								</catpi_ru:GoodsPackaging>
							</Goods>	
						</xsl:otherwise>
					</xsl:choose>	
					<xsl:choose>
						<xsl:when test="count(//RWB_ITEM[concat(RegNum,substring(RegDate,1,10))=concat($DocNum,$DocDat)])>0">	
							<xsl:for-each select="//RWB_ITEM[concat(RegNum,substring(RegDate,1,10))=concat($DocNum,$DocDat)]">
								<Consignor>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Consignor_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="PostalAddress" select="3"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0'"/>
										<xsl:with-param name="PrefResult" select="'catpi_ru:'"/>
										<xsl:with-param name="PrefResultSp"  select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
									</xsl:call-template>
								</Consignor>
								<Consignee>
									<xsl:call-template name="OrgNode">
										<xsl:with-param name="Pref" select="'Consignee_'"/>
										<xsl:with-param name="ReqNode" select="false"/>	
										<xsl:with-param name="PostalAddress" select="3"/>	
										<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0'"/>
										<xsl:with-param name="PrefResult" select="'catpi_ru:'"/>
										<xsl:with-param name="PrefResultSp"  select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
									</xsl:call-template>
								</Consignee>
								<PIoutDestination>
									<xsl:if test="string-length(DestStationCode)>0">
										<catpi_ru:DestinationRWStationCode><xsl:value-of select="DestStationCode"/></catpi_ru:DestinationRWStationCode>
										<xsl:if test="string-length(DestStationName)>0">
											<xsl:variable name="NameSt" select="normalize-space(DestStationName)"/>
											<catpi_ru:DestinationRWStationName>
												<xsl:choose>
													<xsl:when test="string-length($NameSt)&lt;41">
														<xsl:value-of select="$NameSt"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:choose>
															<xsl:when test="contains($NameSt,',') and string-length(substring-before($NameSt,','))&lt;41">
																<xsl:value-of select="substring-before($NameSt,',')"/>
															</xsl:when>
															<xsl:when test="contains($NameSt,' ') and string-length(substring-before($NameSt,' '))&lt;41">
																<xsl:value-of select="substring-before($NameSt,' ')"/>
															</xsl:when>
															<xsl:otherwise>
																<xsl:value-of select="substring($NameSt,1,40)"/>
															</xsl:otherwise>
														</xsl:choose>	
													</xsl:otherwise>
												</xsl:choose>
											</catpi_ru:DestinationRWStationName>
										</xsl:if>	
									</xsl:if>
									<xsl:call-template name="Address">
										<xsl:with-param name="Pref" select="'Consignee_'"/>
										<xsl:with-param name="PrefResult" select="'catpi_ru:'"/>
										<xsl:with-param name="PrefResultSp"  select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/>
										<xsl:with-param name="NodeName" select="'Address'"/>
										<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0'"/>
									</xsl:call-template>	
								</PIoutDestination>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<Consignor>
								<xsl:call-template name="FirmNodeNull"/>
							</Consignor>
							<Consignee>
								<xsl:call-template name="FirmNodeNull"/>
							</Consignee>
							<PIoutDestination>
								<xsl:if test="string-length(DestStationCode)>0">
									<catpi_ru:DestinationRWStationCode><xsl:value-of select="DestStationCode"/></catpi_ru:DestinationRWStationCode>
									<xsl:if test="string-length(DestStationName)>0">
										<xsl:variable name="NameSt" select="normalize-space(DestStationName)"/>
										<catpi_ru:DestinationRWStationName>
											<xsl:choose>
												<xsl:when test="string-length($NameSt)&lt;41">
													<xsl:value-of select="$NameSt"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:choose>
														<xsl:when test="contains($NameSt,',') and string-length(substring-before($NameSt,','))&lt;41">
															<xsl:value-of select="substring-before($NameSt,',')"/>
														</xsl:when>
														<xsl:when test="contains($NameSt,' ') and string-length(substring-before($NameSt,' '))&lt;41">
															<xsl:value-of select="substring-before($NameSt,' ')"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="substring($NameSt,1,40)"/>
														</xsl:otherwise>
													</xsl:choose>	
												</xsl:otherwise>
											</xsl:choose>
										</catpi_ru:DestinationRWStationName>
									</xsl:if>	
								</xsl:if>
								<xsl:call-template name="FirmNodeNull">
									<xsl:with-param name="NameOrg" select="0"/>
								</xsl:call-template>
							</PIoutDestination>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:variable name="DestStCode" select="DestStationCode"/>
					<xsl:variable name="DepStCode" select="DepStationCode"/>
					<xsl:variable name="DestStCodeRd">
						<xsl:choose>
							<xsl:when  test="string-length(DestRailwayCode)>0">
								<xsl:value-of select="DestRailwayCode"/>
							</xsl:when>
							<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$DestStCode]/ForeignStLand)>0">
								<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$DestStCode]/ForeignStLand"/>
							</xsl:when>
							<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$DestStCode]/RussianStLand)>0">
								<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$DestStCode]/RussianStLand"/>
							</xsl:when>
						</xsl:choose>
					</xsl:variable> 
					<xsl:variable name="DepStCodeRd">
						<xsl:choose>
							<xsl:when  test="string-length(DepRailwayCode)>0">
								<xsl:value-of select="DepRailwayCode"/>
							</xsl:when>
							<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$DepStCode]/ForeignStLand)>0">
								<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$DepStCode]/ForeignStLand"/>
							</xsl:when>
							<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$DepStCode]/RussianStLand)>0">
								<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$DepStCode]/RussianStLand"/>
							</xsl:when>
						</xsl:choose>
					</xsl:variable> 
					<DestinationCountry>
						<catpi_ru:CountryACode>
							<xsl:choose>
								<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$DestStCodeRd]/ABC2)>0">
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$DestStCodeRd]/ABC2"/>
								</xsl:when>
								<xsl:otherwise>00</xsl:otherwise>
							</xsl:choose>
						</catpi_ru:CountryACode>
					</DestinationCountry>
					<DispatchCountry>
						<catpi_ru:CountryACode>
							<xsl:choose>
								<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$DepStCodeRd]/ABC2)>0">
									<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$DepStCodeRd]/ABC2"/>
								</xsl:when>
								<xsl:otherwise>00</xsl:otherwise>
							</xsl:choose>
						</catpi_ru:CountryACode>
					</DispatchCountry>
								
					
				</GoodsShipment>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="/">
		<xsl:apply-templates select="//Package"/>
	</xsl:template>
	<xsl:template match="Package">
		<xsl:for-each select="//PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM">
			<PI_RwArrive xmlns="urn:customs.ru:Information:PriorInformation:PI_RWArrive:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0"   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006815E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
				 <xsl:variable name="RefDocumentID" select="/Package/package-properties/prop[@name='RefDocumentID']"/>
				<xsl:if test="string-length($RefDocumentID)>0">
					<cat_ru:RefDocumentID><xsl:value-of select="$RefDocumentID"/></cat_ru:RefDocumentID>
				</xsl:if>
				<xsl:if test="string-length(PI_URN)>0">
					<PI_URN><xsl:value-of select="PI_URN"/></PI_URN>
				</xsl:if>
				<Train>
					<TrainNumber>
						<xsl:choose>
							<xsl:when test="string-length(TrainNumber)>0">
								<xsl:value-of select="TrainNumber"/>
							</xsl:when>
							<xsl:otherwise>0000</xsl:otherwise>
						</xsl:choose>
					</TrainNumber>
					<TrainIndex>
						<xsl:choose>
							<xsl:when test="string-length(TrainIndex)>0">
								<xsl:value-of select="TrainIndex"/>
							</xsl:when>
							<xsl:otherwise>0000/000/0000</xsl:otherwise>
						</xsl:choose>
					</TrainIndex>
					<PPVNumber>
						<xsl:choose>
							<xsl:when test="string-length(PPVNumber)>0">
								<xsl:value-of select="PPVNumber"/>
							</xsl:when>
							<xsl:otherwise>0</xsl:otherwise>
						</xsl:choose>
					</PPVNumber>
					<ArrivalDate>
						<xsl:choose>
							<xsl:when test="string-length(ArrivalDate)>0">
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat"  select="ArrivalDate"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>2014-01-01</xsl:otherwise>
						</xsl:choose>	
					</ArrivalDate>
					<xsl:if test="count(Wagon/WAGON_ITEM[string-length(WagonNumber)>0])>0">
						<xsl:apply-templates select="Wagon/WAGON_ITEM[generate-id(.)=generate-id(key('Wagons',./WagonNumber))][string-length(WagonNumber)>0]">
							<xsl:with-param name="Train" select="1"/> 
						</xsl:apply-templates>
					</xsl:if>
				</Train>
				<xsl:variable name="StCode" select="substring(TrainBorderStationCode,1,5)"/>
					<xsl:variable name="CustCode">
						<xsl:choose>
							<xsl:when test="string-length(TrainBorderCustomCode)>0">
								<xsl:value-of select="TrainBorderCustomCode"/>
							</xsl:when>
							<xsl:when  test="string-length(document('../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StCode]/Code)>0">
								<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//GDStanANDCust_ITEM[CODESTAN=$StCode]/Code"/>
							</xsl:when>
						</xsl:choose>
					</xsl:variable>		
				<BorderCustoms>
					<xsl:choose>
						<xsl:when test="string-length($CustCode)>0">
							<cat_ru:Code><xsl:value-of select="$CustCode"/></cat_ru:Code>
							<cat_ru:OfficeName><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustCode]/Name"/></cat_ru:OfficeName>
							<xsl:variable name="CrCust" select="document('../../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$CustCode]/CntryCode"/>
							<xsl:if  test="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CrCust]/Code">
								<cat_ru:CustomsCountryCode><xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$CrCust]/Code"/></cat_ru:CustomsCountryCode>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<cat_ru:Code>10000000</cat_ru:Code>
						</xsl:otherwise>
					</xsl:choose>
				</BorderCustoms>
				<xsl:if test="count(Wagon/WAGON_ITEM[string-length(concat(SMGSNum,substring(SMGSDate,1,10)))>0 and string-length(SMGSNum)>0 and (number(EmptyIndicator)=0 or string-length(EmptyIndicator)=0)])>0">
					<xsl:apply-templates select="//WAGON_ITEM[string-length(concat(SMGSNum,substring(SMGSDate,1,10)))>0  and string-length(SMGSNum)>0 and (number(EmptyIndicator)=0 or string-length(EmptyIndicator)=0)][generate-id(.)=generate-id(key('GoodSh',concat(./SMGSNum,substring(./SMGSDate,1,10))))]">
						<xsl:with-param name="Train" select="0"/> 
					</xsl:apply-templates>
				</xsl:if>
			</PI_RwArrive>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
