<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="ArmtiESADoutTD.xsl"/>
	<xsl:import href="ArmtiEDContainerEDTransitInventory.xsl"/>
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:param name="DeclLastName"/>
	<xsl:param name="DeclFirstName"/>
	<xsl:param name="Now"/>
	<xsl:param name="IS-FINAL-DECL" select="false()"/>
	<xsl:output method="xml"/>
	<xsl:key use="concat(./ModeCode, '::', ./DocumentNumber, '::', ./DocumentDate)" name="TDTransportDoc" match="/Package/ESADOUT_TD//ESADOUT_TDGOODS_ITEM/EnclosedDocument/ENCLOSEDDOCUMENT_ITEM[ starts-with(ModeCode, '020') ]"/>
	<xsl:template match="/">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<xsl:for-each select="/Package">
				<xsl:if test="$IS-FINAL-DECL = true()">
					<ContainerDoc>
						<DocBody>
							<xsl:call-template name="EDTRANSIT_NotifGoodsArrive"/>
						</DocBody>
					</ContainerDoc>
				</xsl:if>
				<ContainerDoc>
					<DocBody>
						<xsl:call-template name="EDTRANSIT_INVENTORY">
							<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
							<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
							<xsl:with-param name="Now" select="$Now"/>
						</xsl:call-template>
					</DocBody>
				</ContainerDoc>
				<ContainerDoc>
					<DocBody>
						<xsl:choose>
							<xsl:when test="count(//ESADOUT_TD/ESADOUT_TD_ITEM)>0">
								<xsl:call-template name="ESADout_TD">
									<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
									<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
									<xsl:with-param name="Now" select="$Now"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<!--<xsl:call-template name="ESADout_CU">
									<xsl:with-param name="TranzitDcl" select="1"/>
									<xsl:with-param name="DeclLastName" select="$DeclLastName"/>
									<xsl:with-param name="DeclFirstName" select="$DeclFirstName"/>
									<xsl:with-param name="Now" select="$Now"/>
								</xsl:call-template>-->
								<xsl:message terminate="yes">В пакете отсутствует документ Транзитная декларация</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
					</DocBody>
				</ContainerDoc>
			</xsl:for-each>
		</ED_Container>
	</xsl:template>
	<xsl:template name="EDTRANSIT_NotifGoodsArrive">
		<NotifGoodsArrive xmlns="urn:customs.ru:Information:WarehouseDocuments:NotifGoodsArrive:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0" DocumentModeID="1008002E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<NotifDate>
				<xsl:value-of select="substring($Now, 1, 10)"/>
			</NotifDate>
			<NotifTime>
				<xsl:value-of select="substring($Now, 12, 8)"/>
			</NotifTime>
			<DocSign>0</DocSign>
			<Customs>
				<cat_ru:Code>
					<xsl:value-of select="/Package/EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM/Code"/>
				</cat_ru:Code>
			</Customs>
			<Declarant>
				<xsl:for-each select="/Package/ESADOUT_TD/ESADOUT_TD_ITEM">
					<xsl:call-template name="OrgNode">
						<xsl:with-param name="Pref" select="'Declarant_'"/>
						<xsl:with-param name="ReqNode" select="true()"/>
						<xsl:with-param name="PostalAddress" select="6"/>
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNodeAdr" select="'urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.10.0'"/>
					</xsl:call-template>
				</xsl:for-each>
			</Declarant>
			<!--<xsl:for-each select="(/Package/*[ local-name() = 'NotifGoodsWhArrive' ]/*[ local-name() = 'GoodsLocation' ]) [ last() ]">
				<GoodsLoadingPlace>
					<catWH_ru:CustomsCode>
						<xsl:value-of select="*[ local-name() = 'CustomsOffice' ][1]"/>
					</catWH_ru:CustomsCode>
					<xsl:variable name="GoodsLocationWarehouse">
						<xsl:for-each select="*[ local-name() = 'GoodsLocationWarehouse' ][1]">
							<catWH_ru:Warehouse>
								<catWH_ru:CertificateNumber>
									<xsl:value-of select="*[ local-name() = 'PrDocumentNumber' ]"/>
								</catWH_ru:CertificateNumber>
								<catWH_ru:CertificateDate>
									<xsl:value-of select="*[ local-name() = 'PrDocumentDate' ]"/>
								</catWH_ru:CertificateDate>
							</catWH_ru:Warehouse>
						</xsl:for-each>
					</xsl:variable>
					<xsl:choose>
						<xsl:when test="string-length($GoodsLocationWarehouse) > 0">
							<xsl:copy-of select="$GoodsLocationWarehouse"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="*[ local-name() = 'Address' ][1]">
								<catWH_ru:OtherLoadingPlace>
									<catWH_ru:Address>
										<xsl:for-each select="*">
											<xsl:copy-of select="."/>
										</xsl:for-each>
									</catWH_ru:Address>
								</catWH_ru:OtherLoadingPlace>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
				</GoodsLoadingPlace>
			</xsl:for-each>-->
			<ArriveShipment>
				<xsl:variable name="TransportDoc" select="/Package/ESADOUT_TD[ last() ]//ESADOUT_TDGOODS_ITEM//ENCLOSEDDOCUMENT_ITEM[ starts-with(ModeCode, '020') ]"/>
				<xsl:variable name="TransportDoc-distinct" select="$TransportDoc[ generate-id() = generate-id(key('TDTransportDoc', concat(./ModeCode, '::', ./DocumentNumber, '::', ./DocumentDate))) ]"/>
				<xsl:for-each select="$TransportDoc-distinct">
					<ArriveTransportDoc>
						<cat_ru:PrDocumentName>
							<xsl:value-of select="DocumentName"/>
						</cat_ru:PrDocumentName>
						<cat_ru:PrDocumentNumber>
							<xsl:value-of select="DocumentNumber"/>
						</cat_ru:PrDocumentNumber>
						<cat_ru:PrDocumentDate>
							<xsl:value-of select="substring(DocumentDate, 1, 10)"/>
						</cat_ru:PrDocumentDate>
						<catWH_ru:PresentedDocumentModeCode>
							<xsl:value-of select="ModeCode"/>
						</catWH_ru:PresentedDocumentModeCode>
					</ArriveTransportDoc>
				</xsl:for-each>
			</ArriveShipment>
			<GTDNumber>
				<xsl:for-each select="key('PackageDocument', 'NotifGTDRegistration/GTDID')">
					<cat_ru:CustomsCode>
						<xsl:value-of select="*[ local-name() = 'CustomsCode' ]"/>
					</cat_ru:CustomsCode>
					<cat_ru:RegistrationDate>
						<xsl:value-of select="*[ local-name() = 'RegistrationDate' ]"/>
					</cat_ru:RegistrationDate>
					<cat_ru:GTDNumber>
						<xsl:value-of select="*[ local-name() = 'GTDNumber' ]"/>
					</cat_ru:GTDNumber>
				</xsl:for-each>
			</GTDNumber>
		</NotifGoodsArrive>
	</xsl:template>
</xsl:stylesheet>
