<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:param name="DeclLastName" select="'N'"/>
	<xsl:param name="DeclFirstName" select="'N'"/>
	<xsl:param name="Now" select="'2012-01-01'"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
			<xsl:for-each select="/Package">
				<xsl:for-each select="PAYMENTTRANSACTIONREPORT/PAYMENTTRANSACTIONREPORT_ITEM">
					<ContainerDoc>
						<DocBody>
							<PaymentTransactionReport xmlns:cat_crd="urn:customs.ru:CardCommonAggregateTypes:5.10.0" xmlns="urn:customs.ru:CustomsCardDoc:PaymentTransactionReport:5.10.0" DocumentModeID="1040001E">
								<cat_crd:DocumentID>00000000-0000-0000-0000-00000000000</cat_crd:DocumentID>
								<cat_crd:RefDocumentID>
									<xsl:value-of select="key('PackageDocument', 'PayerReceipt.html.cfg.xml:PayerReceipt/DocumentID')"/>
								</cat_crd:RefDocumentID>
								<DocumentDate>
									<xsl:value-of select="substring(ChequeDate, 1, 10)"/>
								</DocumentDate>
								<RemotePaymentSign>1</RemotePaymentSign>
								<ResendingFlag>0</ResendingFlag>
								<DocumentStatusFlag>0</DocumentStatusFlag>
								<ProcessID>
									<xsl:value-of select="key('prop', 'ProcessID')"/>
								</ProcessID>
								<DocumentNumber>
									<TerminalID>
										<xsl:value-of select="TerminalID"/>
									</TerminalID>
									<ChequeNumber>
										<xsl:value-of select="ChequeNumber"/>
									</ChequeNumber>
									<TerminalKind>
										<xsl:value-of select="TerminalKind"/>
									</TerminalKind>
								</DocumentNumber>
								<PaymentInformation>
									<ProcessingDate>
										<xsl:value-of select="substring(Payment_ProcessingDate, 1, 10)"/>
									</ProcessingDate>
									<CurrencyCode>
										<xsl:value-of select="Payment_CurrencyCode"/>
									</CurrencyCode>
									<Amount>
										<xsl:value-of select="Payment_Amount"/>
									</Amount>
									<PaymentDocumentKind>
										<xsl:value-of select="Payment_DocumentKind"/>
									</PaymentDocumentKind>
									<BankTransactionID>
										<xsl:value-of select="Payment_BankTransactionID"/>
									</BankTransactionID>
									<CustomsCode>
										<xsl:value-of select="Payment_CustomsCode"/>
									</CustomsCode>
									<PaymentDate>
										<xsl:value-of select="substring(Payment_Date, 1, 10)"/>
									</PaymentDate>
									<PaymentTime>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time" select="Payment_Time"/>
										</xsl:call-template>
									</PaymentTime>
									<PaymentAsgmtIndicator>
										<xsl:value-of select="Payment_AssignmentIndicator"/>
									</PaymentAsgmtIndicator>
									<CBC>
										<xsl:value-of select="Payment_CBC"/>
									</CBC>
									<PaymentKind>
										<xsl:value-of select="Payment_Kind"/>
									</PaymentKind>
									<PaymentBaseDocument>
										<cat_crd:PrDocumentNumber>
											<xsl:value-of select="Payment_BaseDocNumber"/>
										</cat_crd:PrDocumentNumber>
										<cat_crd:PrDocumentDate>
											<xsl:value-of select="substring(Payment_BaseDocDate, 1, 10)"/>
										</cat_crd:PrDocumentDate>
									</PaymentBaseDocument>
									<SystemOperator>
										<cat_crd:INN>
											<xsl:value-of select="Payment_SystemOperator_INN"/>
										</cat_crd:INN>
										<cat_crd:KPP>
											<xsl:value-of select="Payment_SystemOperator_KPP"/>
										</cat_crd:KPP>
										<cat_crd:OrganizationName>
											<xsl:value-of select="Payment_SystemOperator_Name"/>
										</cat_crd:OrganizationName>
									</SystemOperator>
								</PaymentInformation>
								<PayerInfo>
									<cat_crd:INN>
										<xsl:value-of select="Payer_SystemOperator_INN"/>
									</cat_crd:INN>
									<cat_crd:KPP>
										<xsl:value-of select="Payer_SystemOperator_KPP"/>
									</cat_crd:KPP>
									<cat_crd:OrganizationName>
										<xsl:value-of select="Payer_SystemOperator_Name"/>
									</cat_crd:OrganizationName>
									<Account>
										<xsl:value-of select="Payer_Account"/>
									</Account>
									<BankName>
										<xsl:value-of select="Payer_BankName"/>
									</BankName>
									<BIC>
										<xsl:value-of select="Payer_BIC"/>
									</BIC>
									<BankAccount>
										<xsl:value-of select="Payer_BankAccount"/>
									</BankAccount>
									<CardNumber>
										<xsl:value-of select="Payer_CardNumber"/>
									</CardNumber>
									<OKPO>
										<xsl:value-of select="Payer_OKPO"/>
									</OKPO>
									<IdentityCard>
										<cat_crd:IdentityCardCode>
											<xsl:value-of select="Payer_IdentityCardCode"/>
										</cat_crd:IdentityCardCode>
										<cat_crd:IdentityCardSeries>
											<xsl:value-of select="Payer_IdentityCardSeries"/>
										</cat_crd:IdentityCardSeries>
										<cat_crd:IdentityCardNumber>
											<xsl:value-of select="Payer_IdentityCardNumber"/>
										</cat_crd:IdentityCardNumber>
										<cat_crd:IdentityCardDate>
											<xsl:value-of select="substring(Payer_IdentityCardDate, 1, 10)"/>
										</cat_crd:IdentityCardDate>
									</IdentityCard>
								</PayerInfo>
								<Recipient>
									<cat_crd:INN>
										<xsl:value-of select="Recipient_SystemOperator_INN"/>
									</cat_crd:INN>
									<cat_crd:KPP>
										<xsl:value-of select="Recipient_SystemOperator_KPP"/>
									</cat_crd:KPP>
									<cat_crd:OrganizationName>
										<xsl:value-of select="Recipient_SystemOperator_Name"/>
									</cat_crd:OrganizationName>
									<Account>
										<xsl:value-of select="Recipient_Account"/>
									</Account>
									<BankName>
										<xsl:value-of select="Recipient_BankName"/>
									</BankName>
									<BIC>
										<xsl:value-of select="Recipient_BIC"/>
									</BIC>
									<BankAccount>
										<xsl:value-of select="Recipient_BankAccount"/>
									</BankAccount>
								</Recipient>
							</PaymentTransactionReport>
						</DocBody>
					</ContainerDoc>
				</xsl:for-each>
			</xsl:for-each>
		</ED_Container>
	</xsl:template>
</xsl:stylesheet>
