<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerCommInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerPassList.xsl"/>
	<xsl:import href="ArmtiEDContainerCrewList.xsl"/>
	<xsl:import href="ArmtiEDContainerConosament.xsl"/>
	<xsl:import href="ArmtiEDContainerProhibitedGoods.xsl"/>
	<xsl:import href="ArmtiEDContainerPostalManifest.xsl"/>
	<xsl:import href="ArmtiEDContainerDeclarationCrew.xsl"/>
	<xsl:import href="ArmtiEDContainerFreeBinaryDoc.xsl"/>
	<xsl:import href="ArmtiEDContainerFreeDoc.xsl"/>
	<xsl:import href="ArmtiEDContainerApplicationStore.xsl"/>
	<xsl:import href="ArmtiEDContainerAWB.xsl"/>
	<xsl:import href="ArmtiEDContainerTIR.xsl"/>
	<xsl:import href="ArmtiEDContainerTTN.xsl"/>
	<xsl:import href="ArmtiEDContainerCMR.xsl"/>
	<xsl:import href="ArmtiEDContainerPackList.xsl"/>
	<xsl:import href="ArmtiEDContainerRWB.xsl"/>
	<xsl:import href="ArmtiEDContainerInternalRWB.xsl"/>
	<xsl:import href="ArmtiEDContainerContract.xsl"/>
	<xsl:import href="ArmtiEDContainerShippingSpecification.xsl"/>
	<xsl:import href="ArmtiEDContainerDO1.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificatePreciousMetal.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificateRightStateFlag.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificateTitleVessel.xsl"/>
	<xsl:import href="ArmtiEDContainerConformanceSertif.xsl"/>
	<xsl:import href="ArmtiEDContainerCultureCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerFitoSanitaryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerQuarantineCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerSanitarySertif.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifAForm.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifST1Form.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifST2Form.xsl"/>
	<xsl:import href="ArmtiEDContainerStateRegistrationCertif.xsl"/>
	<xsl:import href="ArmtiEDContainerTaxOrganRegistrationCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsBrokerCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsRepresContract.xsl"/>
	<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerLetterOfAttorney.xsl"/>
	<xsl:import href="ArmtiEDContainerPassport.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificatDImmatriculation.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsRegistryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerExtractFromOrder.xsl"/>
	<xsl:import href="ArmtiEDContainerPITArchDocID.xsl"/>
	<xsl:import href="ArmtiESADoutTD.xsl"/>
	<xsl:import href="ArmtiEDContainerPI-NoCustoms.xsl"/>
	<xsl:import href="ArmtiEDContainerDocRegNum.xsl"/>
	<xsl:param name="CreatePIT"/>
	<xsl:param name="CreateArh"/>
	<xsl:param name="DeclLastName"/>
	<xsl:param name="DeclFirstName"/>
	<xsl:param name="Now"/>
	<xsl:output method="xml"/>
	<xsl:key use="concat(./ModeCode,./DocumentNumber,substring(./DocumentDate,1,10))" name="DocPit" match="//ENCLOSEDDOCUMENT_ITEM[name(../parent::*)='ESADOUT_PITGOODS_ITEM'][string-length(concat(ModeCode,DocumentNumber,substring(DocumentDate,1,10)))>0]"/>
	<xsl:template match="//ENCLOSEDDOCUMENT_ITEM[name(../parent::*)='ESADOUT_PITGOODS_ITEM']">
		<xsl:variable name="NumDat" select="concat(./DocumentName,./DocumentNumber,substring(./DocumentDate,1,10))"/>
		<InventDocument xmlns="urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
			<xsl:choose>
				<xsl:when test="InvDocCode='09999' and count(//PASSPORTRF_ITEM[concat('Документ, удостоверяющий личность',RegNum,substring(RegDate,1,10))=$NumDat or concat('Паспорт гражданина РФ',RegNum,substring(RegDate,1,10))=$NumDat])>0">
					<InvDocCode>11001</InvDocCode>
					<InvDocName>Документ, удостоверяющий личность</InvDocName>
				</xsl:when>
				<xsl:when test="ModeCode='09999' and count(//DOVER_ITEM[concat(DocName,RegNum,substring(RegDate,1,10))=$NumDat])>0">
					<InvDocCode>11003</InvDocCode>
					<InvDocName><xsl:value-of select="InvDocName"/></InvDocName>
				</xsl:when>
				<xsl:otherwise>
					<InvDocCode><xsl:value-of select="ModeCode"/></InvDocCode>
					<InvDocName><xsl:value-of select="DocumentName"/></InvDocName>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="string-length(DocumentNumber)>0">
				<InvDocNumber><xsl:value-of select="DocumentNumber"/></InvDocNumber>
			</xsl:if>
			<xsl:if test="string-length(DocumentDate)>0 and ModeCode!='02024'">
				<InvDocDate>
					<xsl:call-template name="TranslateDate">
						<xsl:with-param name="Dat" select="DocumentDate"/>
					</xsl:call-template>
				</InvDocDate>
			</xsl:if>
			<DocumentFormSign>0</DocumentFormSign>
		</InventDocument>	
	</xsl:template>
	<xsl:template name="AllDoc">
		<xsl:for-each select="//FREEBINARYDOC/FREEBINARYDOC_ITEM">
			<xsl:call-template name="FREEBINARYDOC_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//PASSPORTRF/PASSPORTRF_ITEM">
			<xsl:call-template name="PASSPORTRF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//ORDER/ORDER_ITEM">
			<xsl:call-template name="ORDER_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CUSTDECLCONTRACT/CUSTDECLCONTRACT_ITEM">
			<xsl:call-template name="CUSTDECLCONTRACT_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="SPECIFICATION/SPECIFICATION_ITEM">
			<xsl:call-template name="SPECIFICATION_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//DOVER/DOVER_ITEM">
			<xsl:call-template name="DOVER_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//TSREGSERTIF/TSREGSERTIF_ITEM">
			<xsl:call-template name="TSREGSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CUSTREGSERTIF/CUSTREGSERTIF_ITEM">
			<xsl:call-template name="CUSTREGSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//ANYDOC/ANYDOC_ITEM | //SERTIFGRAINQUALITY/SERTIFGRAINQUALITY_ITEM | //ORDER/ORDER_ITEM | //ORDER_TDG/ORDER_TDG_ITEM | //ORDER-NEW/ORDER-NEW_ITEM | //FORWARD_REC/FORWARD_REC_ITEM |//GU12/GU12_ITEM">
			<xsl:call-template name="ANYDOC_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//TAXRSERTIF/TAXRSERTIF_ITEM">
			<xsl:call-template name="TAXRSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CUSTBROKSERTIF/CUSTBROKSERTIF_ITEM">
			<xsl:call-template name="CUSTBROKSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//EXTRFROMORDER/EXTRFROMORDER_ITEM">
			<xsl:call-template name="EXTRFROMORDER_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM">
			<xsl:call-template name="PACKINGLIST_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//PASSPORTRF/PASSPORTRF_ITEM">
			<xsl:call-template name="PASSPORTRF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CUSTDECLCONTRACT/CUSTDECLCONTRACT_ITEM">
			<xsl:call-template name="CUSTDECLCONTRACT_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//DOVER/DOVER_ITEM">
			<xsl:call-template name="DOVER_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFGRAINQUALITY/SERTIFGRAINQUALITY_ITEM">
			<xsl:call-template name="SERTIFGRAINQUALITY_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFTITLEVESSEL/SERTIFTITLEVESSEL_ITEM">
			<xsl:call-template name="SERTIFTITLEVESSEL_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFRIGHTSTATEFLAG/SERTIFRIGHTSTATEFLAG_ITEM">
			<xsl:call-template name="SERTIFRIGHTSTATEFLAG_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SPECIFIC/SPECIFIC_ITEM">
			<xsl:call-template name="SPECIFIC_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//INVOICE/INVOICE_ITEM">
			<xsl:call-template name="INVOICE_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFQUARANTINE/SERTIFQUARANTINE_ITEM">
			<xsl:call-template name="SERTIFQUARANTINE_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFPRECIOUSMETAL/SERTIFPRECIOUSMETAL_ITEM">
			<xsl:call-template name="SERTIFPRECIOUSMETAL_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//PHYTOSERTIF/PHYTOSERTIF_ITEM">
			<xsl:call-template name="PHYTOSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFST1/SERTIFST1_ITEM">
			<xsl:call-template name="SERTIFST1_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFA/SERTIFA_ITEM">
			<xsl:call-template name="SERTIFA_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFST2/SERTIFST2_ITEM">
			<xsl:call-template name="SERTIFST2_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFCULTURE/SERTIFCULTURE_ITEM">
			<xsl:call-template name="SERTIFCULTURE_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFCNF/SERTIFCNF_ITEM">
			<xsl:call-template name="SERTIFCNF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SANSERTIF/SANSERTIF_ITEM">
			<xsl:call-template name="SANSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//STATEREGSERTIF/STATEREGSERTIF_ITEM">
			<xsl:call-template name="STATEREGSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CMR/CMR_ITEM">
			<xsl:call-template name="CMR_ONE_DOC">
				<xsl:with-param name="CreateOnlyEDContainer" select="1"/>
				<xsl:with-param name="CmrCou" select="count(//CMR_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//CONOSAMENT/CONOSAMENT_ITEM">
			<xsl:call-template name="CONOSAMENT_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//RWB/RWB_ITEM">
			<xsl:call-template name="RWB_ONE_DOC">
				<xsl:with-param name="CreateOnlyEDContainer" select="1"/>
				<xsl:with-param name="RwbCou" select="count(//RWB_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//INTERNAL_RWB/INTERNAL_RWB_ITEM">
			<xsl:call-template name="INTERNALRWB_ONE_DOC">
				<xsl:with-param name="IntRwbCou" select="count(//INTERNAL_RWB_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//TTN/TTN_ITEM">
			<xsl:call-template name="TTN_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CONTRACT/CONTRACT_ITEM">
			<xsl:call-template name="CONTRACT_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//DO1/DO1_ITEM">
			<xsl:call-template name="DO1_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//TIR/TIR_ITEM">
			<xsl:call-template name="TIR_CAR">
				<xsl:with-param name="CmrCou" select="count(//CMR_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//AWB/AWB_ITEM">
			<xsl:call-template name="AWB_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="string-length($CreatePIT)=0">	
				<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
					<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
					<xsl:apply-templates select="//Package"/>
				</ED_Container>		
			</xsl:when>
			<xsl:when test="string-length($CreatePIT)>0 and number($CreatePIT)=2">
				<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0"  DocumentModeID="1006058E">
					<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
					<xsl:call-template name="PiNoCustoms"/>
					<ContainerDoc>
						<DocBody>
							<xsl:call-template name="ESADout_TD">
								<xsl:with-param name="ForPMP" select="1"/>
								<xsl:with-param name="TCDep" select="1"/>
								<xsl:with-param name="CreateArh" select="$CreateArh"/>
							</xsl:call-template>
						</DocBody>
					</ContainerDoc>		
				</ED_Container>			
			</xsl:when>	
			<xsl:when test="string-length($CreatePIT)>0 and number($CreatePIT)=3">
				<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" DocumentModeID="1006058E">
					<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
					<xsl:call-template name="PiNoCustoms"/>
					<xsl:call-template name="DocRegNum"/>
				</ED_Container>		
			</xsl:when>	
			<xsl:otherwise>
			<!--	<xsl:call-template name="ESADout_TD">
					<xsl:with-param name="ForPMP" select="1"/>
					<xsl:with-param name="CreateArh" select="1"/>
				</xsl:call-template>-->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Package">
		<xsl:call-template name="AllDoc"/>
		<xsl:call-template name="CTMCONTAINER_PIT"/>
	</xsl:template>
	<xsl:template name="CTMCONTAINER_PIT">
		<xsl:variable name="NodeSp" select="'urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0'"/>
		<xsl:element name="ContainerDoc" namespace="{$NodeSp}">
			<xsl:element name="DocBody" namespace="{$NodeSp}">
				<Inventory xmlns="urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0"  DocumentModeID="1006003E">
					<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
					<NumberOfInvent>1</NumberOfInvent>
					<xsl:for-each select="//ESADOUT_PIT[1]/ESADOUT_PIT_ITEM">
						<GTDPerson>
							<cat_ru:OrganizationName>
								<xsl:value-of select="normalize-space(concat(Filled_PersonSurname,' ',Filled_PersonName,' ',Filled_PersonMiddleName,' ',Filled_PersonPost))"/>
							</cat_ru:OrganizationName>	
							<cat_ru:RFOrganizationFeatures/>
						</GTDPerson>
					</xsl:for-each>
					<InventoryInstance>
						<InstanceNumber>1</InstanceNumber>
						<xsl:for-each select="//ESADOUT_PIT[1]/ESADOUT_PIT_ITEM">	
							<InventoryInstanceDate>
								<xsl:call-template name="TranslateDate">
									<xsl:with-param name="Dat" select="ExecutionDate"/>
								</xsl:call-template>
							</InventoryInstanceDate>
							<InventoryInstancePerson>
								<xsl:call-template name="DriverInformation">
									<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
									<xsl:with-param name="Nodesp" select="'urn:customs.ru:Information:CustomsDocuments:Inventory:5.11.0'"/>
									<xsl:with-param name="Pref" select="'Filled_'"/>
									<xsl:with-param name="Doc" select="'INV'"/>
								</xsl:call-template>	
							</InventoryInstancePerson>
						</xsl:for-each>
						<xsl:apply-templates select="//ENCLOSEDDOCUMENT_ITEM[name(../parent::*)='ESADOUT_PITGOODS_ITEM'][generate-id(.)=generate-id(key('DocPit',concat(./ModeCode,./DocumentNumber,substring(./DocumentDate,1,10))))][string-length(concat(ModeCode,DocumentNumber,substring(DocumentDate,1,10)))>0]"/>
					</InventoryInstance>
				</Inventory>
			</xsl:element>
		</xsl:element>
	</xsl:template>			
</xsl:stylesheet>
