<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:import href="ArmtiEDContainerPMPInventory.xsl"/>
	<xsl:import href="ArmtiEDContainerInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerCommInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerPassList.xsl"/>
	<xsl:import href="ArmtiEDContainerCrewList.xsl"/>
	<xsl:import href="ArmtiEDContainerGeneralDecl.xsl"/>
	<xsl:import href="ArmtiEDContainerConosament.xsl"/>
	<xsl:import href="ArmtiEDContainerArrCargoDeclaration.xsl"/>
	<xsl:import href="ArmtiEDContainerSailingCargoDeclaration.xsl"/>
	<xsl:import href="ArmtiEDContainerProhibitedGoods.xsl"/>
	<xsl:import href="ArmtiEDContainerPostalManifest.xsl"/>
	<xsl:import href="ArmtiEDContainerDeclarationCrew.xsl"/>
	<xsl:import href="ArmtiEDContainerFreeBinaryDoc.xsl"/>
	<xsl:import href="ArmtiEDContainerFreeDoc.xsl"/>
	<xsl:import href="ArmtiEDContainerApplicationStore.xsl"/>
	<xsl:import href="ArmtiEDContainerAWB.xsl"/>
	<xsl:import href="ArmtiEDContainerTIR.xsl"/>
	<xsl:import href="ArmtiEDContainerTTN.xsl"/>
	<xsl:import href="ArmtiEDContainerCMR.xsl"/>
	<xsl:import href="ArmtiEDContainerPackList.xsl"/>
	<xsl:import href="ArmtiEDContainerRWB.xsl"/>
	<xsl:import href="ArmtiEDContainerInternalRWB.xsl"/>
	<xsl:import href="ArmtiEDContainerContract.xsl"/>
	<xsl:import href="ArmtiEDContainerShippingSpecification.xsl"/>
	<xsl:import href="ArmtiEDContainerDO1.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificatePreciousMetal.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificateRightStateFlag.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificateTitleVessel.xsl"/>
	<xsl:import href="ArmtiEDContainerConformanceSertif.xsl"/>
	<xsl:import href="ArmtiEDContainerCultureCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerFitoSanitaryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerQuarantineCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerSanitarySertif.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifAForm.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifST1Form.xsl"/>
	<xsl:import href="ArmtiEDContainerSertifST2Form.xsl"/>
	<xsl:import href="ArmtiEDContainerStateRegistrationCertif.xsl"/>
	<xsl:import href="ArmtiEDContainerTaxOrganRegistrationCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsBrokerCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsRepresContract.xsl"/>
	<xsl:import href="ArmtiEDContainerGoodsGroupInvoice.xsl"/>
	<xsl:import href="ArmtiEDContainerLetterOfAttorney.xsl"/>
	<xsl:import href="ArmtiEDContainerPassport.xsl"/>
	<xsl:import href="ArmtiEDContainerCertificatDImmatriculation.xsl"/>
	<xsl:import href="ArmtiEDContainerCustomsRegistryCertificate.xsl"/>
	<xsl:import href="ArmtiEDContainerExtractFromOrder.xsl"/>
	<xsl:import href="ArmtiEDContainerCTM_SEA.xsl"/>
	<xsl:import href="ArmtiEDContainerWHDocInventory.xsl"/>
	<xsl:import href="ArmtiEDContainerVeterinaryCertificate.xsl"/>
	<xsl:param name="DeclLastName"/>
	<xsl:param name="DeclFirstName"/>
	<xsl:param name="Now"/>
	<xsl:param name="GoodsFromCMRForPi"/>
	<xsl:param name="ConosamentFromArrSeaDcl"/>
	<xsl:param name="CreatePDSAndInv"/>
	<xsl:param name="make-BillofLadingId"/>
	<xsl:param name="NotHazCargoCode"/>
	<xsl:param name="CreateOnlyEDContainer"/>
	<xsl:output method="xml"/>
	<xsl:template name="DocPMP">
		<xsl:for-each select="//ANYDOC/ANYDOC_ITEM | //SERTIFGRAINQUALITY/SERTIFGRAINQUALITY_ITEM | //ORDER/ORDER_ITEM | //ORDER_TDG/ORDER_TDG_ITEM | //ORDER-NEW/ORDER-NEW_ITEM | //FORWARD_REC/FORWARD_REC_ITEM |//GU12/GU12_ITEM">
			<xsl:call-template name="ANYDOC_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//AWB/AWB_ITEM">
			<xsl:call-template name="AWB_ONE_DOC"/>
		</xsl:for-each>

		<xsl:for-each select="//CMR/CMR_ITEM">
			<xsl:call-template name="CMR_ONE_DOC">
				<xsl:with-param name="CreateOnlyEDContainer" select="1"/>
				<xsl:with-param name="CmrCou" select="count(//CMR_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//CONTRACT/CONTRACT_ITEM">
			<xsl:call-template name="CONTRACT_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CUSTBROKSERTIF/CUSTBROKSERTIF_ITEM">
			<xsl:call-template name="CUSTBROKSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CUSTDECLCONTRACT/CUSTDECLCONTRACT_ITEM">
			<xsl:call-template name="CUSTDECLCONTRACT_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//CUSTREGSERTIF/CUSTREGSERTIF_ITEM">
			<xsl:call-template name="CUSTREGSERTIF_ONE_DOC"/>
		</xsl:for-each>
		
		<xsl:for-each select="//DO1/DO1_ITEM">
			<xsl:call-template name="DO1_ONE_DOC"/>
		</xsl:for-each>
			
		<xsl:for-each select="//DOVER/DOVER_ITEM">
			<xsl:call-template name="DOVER_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//EXTRFROMORDER/EXTRFROMORDER_ITEM">
			<xsl:call-template name="EXTRFROMORDER_ONE_DOC"/>
		</xsl:for-each>

		<xsl:for-each select="//FREEBINARYDOC/FREEBINARYDOC_ITEM">
			<xsl:call-template name="FREEBINARYDOC_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//INTERNAL_RWB/INTERNAL_RWB_ITEM">
			<xsl:call-template name="INTERNALRWB_ONE_DOC">
				<xsl:with-param name="IntRwbCou" select="count(//INTERNAL_RWB_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//ORDER/ORDER_ITEM">
			<xsl:call-template name="ORDER_ONE_DOC"/>
		</xsl:for-each>
		
		<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM">
			<xsl:call-template name="PACKINGLIST_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//PASSPORTRF/PASSPORTRF_ITEM">
			<xsl:call-template name="PASSPORTRF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//PHYTOSERTIF/PHYTOSERTIF_ITEM">
			<xsl:call-template name="PHYTOSERTIF_ONE_DOC"/>
		</xsl:for-each>
		
		<xsl:for-each select="//SANSERTIF/SANSERTIF_ITEM">
			<xsl:call-template name="SANSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFCNF/SERTIFCNF_ITEM">
			<xsl:call-template name="SERTIFCNF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFCULTURE/SERTIFCULTURE_ITEM">
			<xsl:call-template name="SERTIFCULTURE_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFGRAINQUALITY/SERTIFGRAINQUALITY_ITEM">
			<xsl:call-template name="SERTIFGRAINQUALITY_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFPRECIOUSMETAL/SERTIFPRECIOUSMETAL_ITEM">
			<xsl:call-template name="SERTIFPRECIOUSMETAL_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFQUARANTINE/SERTIFQUARANTINE_ITEM">
			<xsl:call-template name="SERTIFQUARANTINE_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFRIGHTSTATEFLAG/SERTIFRIGHTSTATEFLAG_ITEM">
			<xsl:call-template name="SERTIFRIGHTSTATEFLAG_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFST1/SERTIFST1_ITEM">
			<xsl:call-template name="SERTIFST1_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFST2/SERTIFST2_ITEM">
			<xsl:call-template name="SERTIFST2_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFA/SERTIFA_ITEM">
			<xsl:call-template name="SERTIFA_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SERTIFTITLEVESSEL/SERTIFTITLEVESSEL_ITEM">
			<xsl:call-template name="SERTIFTITLEVESSEL_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SPECIFIC/SPECIFIC_ITEM">
			<xsl:call-template name="SPECIFIC_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//SPECIFICATION/SPECIFICATION_ITEM">
			<xsl:call-template name="SPECIFICATION_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//STATEREGSERTIF/STATEREGSERTIF_ITEM">
			<xsl:call-template name="STATEREGSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//RWB/RWB_ITEM">
			<xsl:call-template name="RWB_ONE_DOC">
				<xsl:with-param name="CreateOnlyEDContainer" select="1"/>
				<xsl:with-param name="RwbCou" select="count(//RWB_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//TAXRSERTIF/TAXRSERTIF_ITEM">
			<xsl:call-template name="TAXRSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//TIR/TIR_ITEM">
			<xsl:call-template name="TIR_CAR">
				<xsl:with-param name="CmrCou" select="count(//CMR_ITEM)"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:for-each select="//TSREGSERTIF/TSREGSERTIF_ITEM">
			<xsl:call-template name="TSREGSERTIF_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//TTN/TTN_ITEM">
			<xsl:call-template name="TTN_ONE_DOC"/>
		</xsl:for-each>
		<xsl:for-each select="//VETERINARYCERTIFICATE/VETERINARYCERTIFICATE_ITEM">
			<xsl:call-template name="VETERINARYCERTIFICATE_ONE_DOC"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="/">
		<ED_Container xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<xsl:for-each select="/Package">
				<xsl:choose>
					<xsl:when test="$CreatePDSAndInv=1">
						<xsl:if test="count(GENERALDECL/GENERALDECL_ITEM)>0">
							<xsl:call-template name="GENERALDECL"/>
						</xsl:if>
						<xsl:if test="count(ARRSEADECL/ARRSEADECL_ITEM)>0">
							<xsl:call-template name="ARRSEADECL">
								<xsl:with-param name="ConosamentFromArrSeaDcl" select="$ConosamentFromArrSeaDcl"/>
								<xsl:with-param name="NotHazCargoCode" select="$NotHazCargoCode"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="count(CREWLIST/CREWLIST_ITEM)>0">
							<xsl:call-template name="CREWLIST"/>
						</xsl:if>
						<xsl:if test="count(CONOSAMENT/CONOSAMENT_ITEM)>0">
							<xsl:call-template name="CONOSAMENT">
								<xsl:with-param name="make-BillofLadingId" select="$make-BillofLadingId"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="count(APPSTORE/APPSTORE_ITEM)>0 or count(AIRAPPSTORE/AIRAPPSTORE_ITEM)>0">
							<xsl:call-template name="APPSTORE"/>
						</xsl:if>
						<xsl:if test="count(DECLARATIONCREW/DECLARATIONCREW_ITEM)>0">
							<xsl:call-template name="DECLARATIONCREW"/>
						</xsl:if>
						<xsl:if test="count(SEAPASSLIST/SEAPASSLIST_ITEM)>0">
							<xsl:call-template name="SEAPASSLIST"/>
						</xsl:if>
						<xsl:if test="count(POSTALMANIFEST/POSTALMANIFEST_ITEM)>0">
							<xsl:call-template name="POSTAL"/>
						</xsl:if>
						<xsl:if test="count(INVOICE/INVOICE_ITEM)>0">
							<xsl:call-template name="INVOICE"/>
						</xsl:if>
						<xsl:if test="count(COMMINVOICE/COMMINVOICE_ITEM)>0">
							<xsl:call-template name="COMMINVOICE"/>
						</xsl:if>
						<xsl:if test="count(PROHIBITEDGOODS/PROHIBITEDGOODS_ITEM)>0">
							<xsl:call-template name="PROHIBITEDGOODS"/>
						</xsl:if>
						<!--<xsl:if test="count(FREEBINARYDOC/FREEBINARYDOC_ITEM)>0">
							<xsl:for-each select="FREEBINARYDOC/FREEBINARYDOC_ITEM">
								<xsl:variable name="DocNumDatCod" select="concat('0902',RegNum,substring(RegDate,1,10),DocName)"/>
								<xsl:variable name="DocFInd" select="count(//INVENTDOCUMENT_ITEM[concat(substring(InvDocCode,1,4),InvDocNumber,substring(InvDocDate,1,10),InvDocName)=$DocNumDatCod])"/>
								<xsl:if  test="number($DocFInd)=0">
									<xsl:call-template name="FREEBINARYDOC_ONE_DOC"/>
								</xsl:if>
							</xsl:for-each>
						</xsl:if>-->
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="DocPMP"/>
					</xsl:otherwise>
				</xsl:choose>
				<ContainerDoc>
					<DocBody>
						<xsl:call-template name="PMP_INVENTORY">
							<xsl:with-param name="Now" select="$Now"/>
						</xsl:call-template>
					</DocBody>
				</ContainerDoc>
			</xsl:for-each>
		</ED_Container>
	</xsl:template>
</xsl:stylesheet>
