<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/">
		<!--последний берём всегда, не имеет смысла посылать несколько, а предупреждает пусть FLK-->
		<xsl:for-each select="key('PackageDOC_ITEM', 'CANCELFLIGHT')[ last() = position() ]">
			<NoticeCanceledFlight xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns="urn:customs.ru:Information:TransportDocuments:Air:NoticeCanceledFlight:5.10.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" DocumentModeID="1003312E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				
				<NoticeDate><xsl:value-of select="substring(RegDate, 1, 10)"/></NoticeDate>
				<NoticeTime><xsl:value-of select="substring(RegDate, 12, 8)"/></NoticeTime>
				<xsl:if test="string-length(Reasons)>0">
					<Reasons><xsl:value-of select="substring(Reasons,1,250)"/></Reasons>
				</xsl:if>
				<xsl:for-each select="//GENERALDECLAIR/GENERALDECLAIR_ITEM">
					<Flight>
						<catTrans_ru:FlightNumber><xsl:value-of select="FlNumber"/></catTrans_ru:FlightNumber>
						<catTrans_ru:FlightDate>
							<xsl:call-template name="TranslateDate">
								<xsl:with-param name="Dat" select="FlDate"/>
							</xsl:call-template>
						</catTrans_ru:FlightDate>
						<xsl:if test="string-length(AirplaneMark)>0">
							<catTrans_ru:Mark><xsl:value-of select="AirplaneMark"/></catTrans_ru:Mark>
						</xsl:if>
						<catTrans_ru:AirPlaneRegNum><xsl:value-of select="AirplaneRegNumber"/></catTrans_ru:AirPlaneRegNum>
						<xsl:if test="string-length(FlTime)>0">	
							<catTrans_ru:FlightTime>
								<xsl:call-template name="TranslateTime">
								<xsl:with-param name="Time" select="FlTime"/>
							</xsl:call-template>
							</catTrans_ru:FlightTime>
						</xsl:if>	
						<catTrans_ru:DepartureAirport>
							<xsl:if test="string-length(DepartureAirport)>0">
								<catTrans_ru:Name><xsl:value-of select="DepartureAirport"/></catTrans_ru:Name>
							</xsl:if>	
							<catTrans_ru:IATACode><xsl:value-of select="DepartureAirport_IATACode"/></catTrans_ru:IATACode>
						</catTrans_ru:DepartureAirport>
					</Flight>
					<CustomsOffice>
						<cat_ru:Code><xsl:value-of select="CustomsCode"/></cat_ru:Code>
						<xsl:if  test="string-length(CustomsName)>0">
							<cat_ru:OfficeName><xsl:value-of select="CustomsName"/></cat_ru:OfficeName>
						</xsl:if>
					</CustomsOffice>
				</xsl:for-each>
			</NoticeCanceledFlight>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
