<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
	<xsl:import href="../../COMMON/copy.xsl"/>
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<extract-this-to-package>
			<!--отказов может быть сразу несколько-->
			<xsl:apply-templates select="key('PackageDocument', 'DesNotif_PIResult.cfg.xml')"/>
		</extract-this-to-package>
	</xsl:template>
	<xsl:template match="RESULTINFORMATION_ITEM">
		<xsl:variable name="DesNotif_PIResult" select="ancestor::*[ parent::Package and 1 = count(ancestor::*) ]"/>
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:variable name="armti-by-RefDocumentID" select="key('PackageDocument', 'PaymentTransactionReport/DocumentID')[ . = $DesNotif_PIResult/*/RefDocumentID ]/parent::*"/>
			<xsl:variable name="armti-TerminalID" select="key(  'local-descendant', concat( generate-id($armti-by-RefDocumentID), '/DocumentNumber/TerminalID' )  )"/>
			<xsl:variable name="armti-ChequeNumber" select="key(  'local-descendant', concat( generate-id($armti-by-RefDocumentID), '/DocumentNumber/ChequeNumber' )  )"/>
			<xsl:variable name="armti-TerminalKind" select="key(  'local-descendant', concat( generate-id($armti-by-RefDocumentID), '/DocumentNumber/TerminalKind' )  )"/>
			<xsl:variable name="desxml-CfgName" select="'PAYMENTTRANSACTIONREPORT.cfg.xml'"/>
			<xsl:variable name="desxml-by-ChequeNumber" select="key('PackageDocument', 'PAYMENTTRANSACTIONREPORT.cfg.xml')[ */TerminalID = $armti-TerminalID  and  */ChequeNumber = $armti-ChequeNumber  and  */TerminalKind = $armti-TerminalKind ]"/>
			<xsl:for-each select="$desxml-by-ChequeNumber/@id">
				<ResultIdDocument>
					<xsl:value-of select="."/>
				</ResultIdDocument>
			</xsl:for-each>
			<ResultTypeDocument>
				<xsl:value-of select="$desxml-CfgName"/>
			</ResultTypeDocument>
			<ResultPosInPkgDocument>
				<xsl:value-of select="1"/>
			</ResultPosInPkgDocument>
			<ResultPathNode>
				<xsl:value-of select="concat( name($desxml-by-ChequeNumber), '/', name($desxml-by-ChequeNumber/*))"/>
			</ResultPathNode>
			<DocumentNumber>
				<xsl:value-of select="concat($armti-TerminalID, '/', $armti-ChequeNumber)"/>
			</DocumentNumber>
			<xsl:for-each select="node()">
				<xsl:choose>
					<xsl:when test="self::ResultIdDocument"/>
					<xsl:when test="self::ResultTypeDocument"/>
					<xsl:when test="self::ResultPosInPkgDocument"/>
					<xsl:when test="self::ResultPathNode"/>
					<xsl:when test="self::DocumentNumber"/>
					<xsl:otherwise>
						<xsl:apply-templates select="."/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
