<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ctmtd="http://rail.ctm.ru/TD/Document" exclude-result-prefixes="ctmtd">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="EDTRANSIT-incomings-map.xsl"/>
	<xsl:import href="Package.INSP_OPER.xsl"/>
	<xsl:param name="DOCREQ-inventory"/>
	<xsl:param name="INSP_OPER"/>
	<xsl:template match="/">
		<!--сохранить (преобразовать в наш формат) все входящие за один вызов workflow: собрать их здесь в контейнер, прописать каждому CfgName, чтобы через ExtractPackage они разложились в пакет-->
		<xsl:for-each select="Package">
			<contains-documents-to-extract-to-package>
				<xsl:call-template name="incomings-to-html">
					<xsl:with-param name="incomings-map" select="$EDTRANSIT-incomings-map-5110"/>
				</xsl:call-template>
				<xsl:if test="$DOCREQ-inventory = 'add'">
					<!--не надо добавлять опись, если это не "Входящий" пакет с запросом-->
					<xsl:call-template name="DOCREQ-inventory"/>
				</xsl:if>
				<xsl:if test="$INSP_OPER = 'add'">
					<xsl:call-template name="INSP_OPER"/>
				</xsl:if>
			</contains-documents-to-extract-to-package>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="DOCREQ-inventory">
		<xsl:if test="$DOCREQ-inventory">
			<!--не надо добавлять опись, если нет запросов в пакете (это пакет с декларацией, а не с запросом)-->
			<xsl:for-each select="/Package/EDTRANSIT_INVENTORY">
				<xsl:copy>
					<xsl:apply-templates select="@*"/>
					<xsl:apply-templates select="node()"/>
				</xsl:copy>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="/Package/EDTRANSIT_INVENTORY/EDTRANSIT_INVENTORY_ITEM/InventDocument">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:variable name="req-doc" select="/Package/*[ local-name() = 'ReqInventoryDoc' ]/*[ local-name() = 'RequestedDoc' ]"/>
			<xsl:variable name="INVENTDOCUMENT_ITEM" select="INVENTDOCUMENT_ITEM[ last() ]"/>
			<xsl:for-each select="$req-doc">
				<INVENTDOCUMENT_ITEM>
					<xsl:apply-templates select="$INVENTDOCUMENT_ITEM/@*"/>
					<InvDocCode>
						<xsl:value-of select="*[ local-name() = 'DocCode' ]"/>
					</InvDocCode>
					<InvDocName>
						<xsl:value-of select="*[ local-name() = 'InvDocName' ]"/>
					</InvDocName>
					<InvDocNumber>
						<xsl:value-of select="*[ local-name() = 'PrDocumentNumber' ]"/>
					</InvDocNumber>
					<InvDocDate>
						<xsl:value-of select="*[ local-name() = 'PrDocumentDate' ]"/>
					</InvDocDate>
					<!--
копируем остальные чтобы не забывать добавлять какие-то поля (как DocumentFormSign) ещё и здесь при добавлении их в опись, в создание описи в клиенте-->
					<xsl:apply-templates select="$INVENTDOCUMENT_ITEM/*[ name() != 'InvDocCode' and name() != 'InvDocName' and name() != 'InvDocNumber' and name() != 'InvDocDate' ]"/>
				</INVENTDOCUMENT_ITEM>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
