<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:param name="Now">2011-12-31T12:34:11</xsl:param>
	<xsl:param name="DeclLastName">N</xsl:param>
	<xsl:param name="DeclFirstName">N</xsl:param>
	<xsl:template match="/">
		<!--последний берём всегда, не имеет смысла посылать несколько, а предупреждает пусть FLK-->
		<xsl:for-each select="key('PackageDOC_ITEM', 'EDTRANSIT_CARGOOP')[ last() = position() ]">
			<GoodsTranshipment xmlns="urn:customs.ru:Information:CustomsDocuments:GoodsTranshipment:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.11.0" DocumentModeID="1006172E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				<TD>
					<xsl:for-each select="key('PackageDocument', 'NotifGTDRegistration/GTDID')/*">
						<xsl:element name="{name()}">
							<xsl:value-of select="."/>
						</xsl:element>
					</xsl:for-each>
				</TD>
				<IncidentInfo>
					<IncidentDescription><xsl:value-of select="substring(IncidentDescription,1,250)"/></IncidentDescription>
					<Date><xsl:value-of select="substring(IncidentDate, 1, 10)"/></Date>
					<Measures><xsl:value-of select="substring(Measures,1,250)"/></Measures>
					<xsl:call-template name="Address">
						<xsl:with-param name="Pref" select="'Incident_'"/>
						<xsl:with-param name="NodeName" select="'AccidentPlace'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:GoodsTranshipment:5.11.0'"/>
					</xsl:call-template>
					<xsl:if test="string-length(IsBodyDamaged)>0 and number(IsBodyDamaged)>0 and string-length(IsSealDamaged)>0 and number(IsSealDamaged)>0">
						<DamageIndicators>
							<IsCargoApartmentDamaged><xsl:value-of select="IsBodyDamaged"/></IsCargoApartmentDamaged>
							<IsSealsDamaged><xsl:value-of select="IsSealDamaged"/></IsSealsDamaged>
						</DamageIndicators>
					</xsl:if>
				</IncidentInfo>
				<ReloadPlace>
					<cat_ru:Code><xsl:value-of select="CustomsCode"/></cat_ru:Code>
					<cat_ru:OfficeName><xsl:value-of select="CustomsOfficeName"/></cat_ru:OfficeName>
					<xsl:call-template name="Address">
						<xsl:with-param name="Pref" select="'ReloadPlace_'"/>
						<xsl:with-param name="NodeName" select="'Address'"/>
						<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:GoodsTranshipment:5.11.0'"/>
					</xsl:call-template>
					<BorderPointCode><xsl:value-of select="BorderPointCode"/></BorderPointCode>
					<TranshipmentKind><xsl:value-of select="TranshipmentKind"/></TranshipmentKind>
					<RWStation>
						<StationCode><xsl:value-of select="DepStationCode"/></StationCode>
						<StationName><xsl:value-of select="DepStationName"/></StationName>
						<RailwayCode><xsl:value-of select="DepRailwayCode"/></RailwayCode>
					</RWStation>
				</ReloadPlace>
				<xsl:for-each select="Transport/TRANSPORT_ITEM[string-length(Mode)>0]">
					<Transport>
						<cat_ru:VIN><xsl:value-of select="VIN"/></cat_ru:VIN>
						<cat_ru:TransportIdentifier><xsl:value-of select="TransportIdentifier"/></cat_ru:TransportIdentifier>
						<cat_ru:TransportMeansNationalityCode><xsl:value-of select="TransportMeansNationalityCode"/></cat_ru:TransportMeansNationalityCode>
						<cat_ru:ActiveTransportIdentifier><xsl:value-of select="ActiveTransportIdentifier"/></cat_ru:ActiveTransportIdentifier>
						<Mode><xsl:value-of select="Mode"/></Mode>
					</Transport>
				</xsl:for-each>
				<DateLimit><xsl:value-of select="substring(DateLimit, 1, 10)"/></DateLimit>
			</GoodsTranshipment>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
