<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:template match="/">
		<!--последний берём всегда, не имеет смысла посылать несколько, а предупреждает пусть FLK-->
		<xsl:for-each select="key('PackageDOC_ITEM', 'EDTRANSIT_FACT_ARRIVAL')[ last() = position() ]">
			<NotifFactArrival xmlns="urn:customs.ru:Information:TransportDocuments:Railway:NotifFactArrival:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" DocumentModeID="1003405E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				<DocumentSign><xsl:value-of select="DocumentSign"/></DocumentSign>
				<xsl:if test="string-length(URNDocumentID)>0">
					<URN><xsl:value-of select="URNDocumentID"/></URN>
				</xsl:if>
				<NotifDate><xsl:value-of select="substring(NotifDate, 1, 10)"/></NotifDate>
				<Customs>
					<cat_ru:Code><xsl:value-of select="CustomsOfficeCode"/></cat_ru:Code>
					<xsl:if test="string-length(CustomsOfficeName)>0">
						<cat_ru:OfficeName><xsl:value-of select="CustomsOfficeName"/></cat_ru:OfficeName>
					</xsl:if>
					<xsl:call-template name="CustomsCountryCode">
						<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
						<xsl:with-param name="CodTo" select="CustomsOfficeCode"/>
					</xsl:call-template>
				</Customs>
				<DestinationStation>
					<RailwayStationName><xsl:value-of select="DestinationStationName"/></RailwayStationName>
					<RailwayStationCode><xsl:value-of select="DestinationStationCode"/></RailwayStationCode>
					<xsl:if test="string-length(DestinationRailwayCode)>0">
						<RailwayCode><xsl:value-of select="DestinationRailwayCode"/></RailwayCode>
					</xsl:if>
				</DestinationStation>
				<DepartureStation>
					<RailwayStationName><xsl:value-of select="DepartureStationName"/></RailwayStationName>
					<RailwayStationCode><xsl:value-of select="DepartureStationCode"/></RailwayStationCode>
					<xsl:if test="string-length(DepartureRailwayCode)>0">
						<RailwayCode><xsl:value-of select="DepartureRailwayCode"/></RailwayCode>
					</xsl:if>
				</DepartureStation>
				<xsl:for-each select="TRANSPORT/TRANSPORT_ITEM[string-length(TMNumber)>0]">
					<Transport>
						<xsl:if test="string-length(VINID)>0">
							<cat_ru:VIN><xsl:value-of select="VINID"/></cat_ru:VIN>
						</xsl:if>
						<cat_ru:TransportIdentifier><xsl:value-of select="TMNumber"/></cat_ru:TransportIdentifier>
						<xsl:if test="string-length(NationalityCode)>0">
							<cat_ru:TransportMeansNationalityCode><xsl:value-of select="NationalityCode"/></cat_ru:TransportMeansNationalityCode>
						</xsl:if>
						<xsl:if test="string-length(MoverIndicator)=0 and count(../../TRANSPORT/TRANSPORT_ITEM[string-length(TMNumber)>0 and string-length(MoverIndicator)>0]/TMNumber)=1">
							<cat_ru:ActiveTransportIdentifier>
								<xsl:value-of select="../../TRANSPORT/TRANSPORT_ITEM[string-length(TMNumber)>0 and string-length(MoverIndicator)>0]/TMNumber"/>
							</cat_ru:ActiveTransportIdentifier>
						</xsl:if>
					</Transport>
				</xsl:for-each>
				<xsl:for-each select="SEAL/SEAL_ITEM[string-length(IdentNumber)>0]">
					<Seal>
						<xsl:if test="string-length(IdentNumber)>0">
							<IdentNumber><xsl:value-of select="IdentNumber"/></IdentNumber>
						</xsl:if>
						<IdentKind><xsl:value-of select="IdentKind"/></IdentKind>
						<xsl:if test="string-length(IdentDesc)>0">
							<cat_ru:TransportMeansNationalityCode><xsl:value-of select="substring(IdentDesc,1,250)"/></cat_ru:TransportMeansNationalityCode>
						</xsl:if>
						<xsl:if test="string-length(Quantity)>0 and number(Quantity)>0">
							<Quantity><xsl:value-of select="Quantity"/></Quantity>
						</xsl:if>
					</Seal>
				</xsl:for-each>
				<xsl:if test="string-length(TD_CustomCode)>0 and string-length(TD_Date)>0 and string-length(TD_Number)>0">
					<TD>
						<cat_ru:CustomsCode><xsl:value-of select="TD_CustomCode"/></cat_ru:CustomsCode>
						<cat_ru:RegistrationDate><xsl:value-of select="substring(TD_Date, 1, 10)"/></cat_ru:RegistrationDate>
						<cat_ru:GTDNumber><xsl:value-of select="TD_Number"/></cat_ru:GTDNumber>
					</TD>
				</xsl:if>
			</NotifFactArrival>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
