<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:ed="http://fill-bill.ru/EDTransit/Envelope" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="ed">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:param name="Now">2011-12-31T12:34:11</xsl:param>
	<xsl:param name="DeclLastName">N</xsl:param>
	<xsl:param name="DeclFirstName">N</xsl:param>
	<xsl:template match="/">
		<!--TODO - усложнить до необходимого, обеспечить заполнение ответа и просмотр запроса клиентом, а пока (на время тестового макета) просто автоматически переливаем в ответ данные из запроса из таможенного же формата напрямую, а от человека требуется только отправить пакет в "ЭД транзита - таможенный контроль"-->
		<!--ВАЖНО брать один документ (в тестовой реализации), пусть последний [ last() = position() ], чтобы не отвечать повторно на уже отвеченные в тестовом сценарии. Вряд ли они будут по два приходить, чтобы по два ответа сразу требовалось (разве что на разные части товара разная форма контроля... хм).-->
		<xsl:for-each select="key('PackageDocument', 'NotifInspectionReqGoods')[ last() = position() ]">
			<ConfirmDeclDocsRecip xmlns:catExch_ru="urn:customs.ru:Information:ExchangeDocuments:ExchangeCommonAggregateTypes:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns="urn:customs.ru:Information:ExchangeDocuments:ConfirmDeclDocsRecip:5.11.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0" DocumentModeID="1004073E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				<cat_ru:RefDocumentID>
					<!--на всякий случай, чтобы edconnector смог найти тот входящий message CMN.11005 и взять из него ещё и InitialEnvelopeID, если понадобится максимальная ссылочность-->
					<xsl:value-of select="@ed:ED_ContainerID"/>
				</cat_ru:RefDocumentID>
				<SendDate><xsl:value-of select="substring($Now, 1, 10)"/></SendDate>
				<SendTime><xsl:value-of select="substring($Now, 12, 8)"/></SendTime>
				<Comments>
					<!--TODO - дать человеку вписать свой комментарий, как это при запросе отзыва делается-->
				</Comments>
				<!--ВЭД-Декларант отвечает со ссылкой на сам контейнер только, а не с кучей ссылок на документы в нём-->
				<RecipDocument>
					<catExch_ru:RecipDocumentID><xsl:value-of select="@ed:ED_ContainerID"/></catExch_ru:RecipDocumentID>
					<catExch_ru:RecipDocumentModeID><xsl:value-of select="'1006058E'"/></catExch_ru:RecipDocumentModeID>
				</RecipDocument>
				<!--<xsl:for-each select="key('local-descendant', concat(generate-id(), '/ContainerDoc/DocBody/Signature/Object'))/*">
	<RecipDocument>
		<catExch_ru:RecipDocumentID>
			<xsl:value-of select="*[ 'DocumentID' = local-name() ]"/>
		</catExch_ru:RecipDocumentID>
		<catExch_ru:RecipDocumentModeID>
			<xsl:value-of select="@DocumentModeID"/>
		</catExch_ru:RecipDocumentModeID>
	</RecipDocument>
</xsl:for-each>-->
				<Declarant>
					<xsl:for-each select="key('PackageDOC_ITEM', 'ESADOUT_TD')">
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'Declarant_'"/>
							<xsl:with-param name="ReqNode" select="false"/>
							<xsl:with-param name="PostalAddress" select="1"/>
							<xsl:with-param name="NameSp">
								<xsl:call-template name="namespace-of-name">
									<xsl:with-param name="element-name" select="'cat_ru:'"/>
									<xsl:with-param name="namespace-context" select="document('')"/>
								</xsl:call-template>
							</xsl:with-param>
							<xsl:with-param name="NamspNode">
								<xsl:call-template name="namespace-of-name">
									<xsl:with-param name="element-name" select="'cat_ru:'"/>
									<xsl:with-param name="namespace-context" select="document('')"/>
								</xsl:call-template>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</Declarant>
				<DeclPerson>
					<!--TODO - дать человеку вписать себя? и вписать свои полномочия в AuthoritesDocument?-->
					<xsl:for-each select="key('PackageDOC_ITEM', 'ESADOUT_TD')">
						<cat_ru:PersonSurname>
							<xsl:choose>
								<xsl:when test="string-length(Filled_PersonSurname)>0">
									<xsl:value-of select="Filled_PersonSurname"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$DeclLastName"/>
								</xsl:otherwise>
							</xsl:choose>
						</cat_ru:PersonSurname>
						<cat_ru:PersonName>
							<xsl:choose>
								<xsl:when test="string-length(Filled_PersonName)>0">
									<xsl:value-of select="Filled_PersonName"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$DeclFirstName"/>
								</xsl:otherwise>
							</xsl:choose>
						</cat_ru:PersonName>
						<xsl:if test="string-length(Filled_PersonMiddleName)>0">
							<cat_ru:PersonMiddleName>
								<xsl:value-of select="Filled_PersonMiddleName"/>
							</cat_ru:PersonMiddleName>
						</xsl:if>
						<xsl:if test="string-length(Filled_PersonPost)>0">
							<cat_ru:PersonPost>
								<xsl:value-of select="Filled_PersonPost"/>
							</cat_ru:PersonPost>
						</xsl:if>
					</xsl:for-each>
				</DeclPerson>
				<DeclDecision>
					<DeclAgree>true</DeclAgree>
					<!--TODO - дать человеку вписать всё остальное, если понадобится-->
				</DeclDecision>
			</ConfirmDeclDocsRecip>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
