<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="../../COMMON/Package.xsl"/>
	<xsl:import href="../../COMMON/template-customs.xsl"/>
	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:param name="Now"/>
	<xsl:template match="/">
		<!--последний берём всегда, не имеет смысла посылать несколько, а предупреждает пусть FLK-->
		<xsl:for-each select="key('PackageDOC_ITEM', 'EDTRANSIT_RECALL')[ last() = position() ]">
			<InqRecallGTD xmlns="urn:customs.ru:Information:CustomsDocuments:InqRecallGTD:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" DocumentModeID="1006013E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				<SendDate><xsl:value-of select="substring($Now, 1, 10)"/></SendDate>
				<SendTime><xsl:value-of select="substring($Now, 12, 8)"/></SendTime>
				<xsl:call-template name="customs-text250">
					<xsl:with-param name="text" select="RecallReason"/>
					<xsl:with-param name="element-name" select="'RecallReason'"/>
					<xsl:with-param name="namespace-context" select="document('')"/>
				</xsl:call-template>
				<Applicant>
					<xsl:for-each select="key('PackageDOC_ITEM', 'ESADOUT_TD')">
						<xsl:call-template name="OrgNode">
							<xsl:with-param name="Pref" select="'Declarant_'"/>
							<xsl:with-param name="ReqNode" select="false"/>
							<xsl:with-param name="PostalAddress" select="1"/>
							<xsl:with-param name="BLR"/>
							<xsl:with-param name="NameSp">
								<xsl:call-template name="namespace-of-name">
									<xsl:with-param name="element-name" select="'cat_ru:'"/>
									<xsl:with-param name="namespace-context" select="document('')"/>
								</xsl:call-template>
							</xsl:with-param>
							<xsl:with-param name="NamspNode">
								<xsl:call-template name="namespace-of-name">
									<xsl:with-param name="element-name" select="'cat_ru:'"/>
									<xsl:with-param name="namespace-context" select="document('')"/>
								</xsl:call-template>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</Applicant>
				<GTDNumber>
					<xsl:for-each select="key('PackageDocument', 'NotifGTDRegistration/GTDID')/*">
						<xsl:element name="{name()}">
							<xsl:value-of select="."/>
						</xsl:element>
					</xsl:for-each>
				</GTDNumber>
			</InqRecallGTD>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
