<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="Now"/>
	<xsl:template match="/">
		<xsl:apply-templates select="/Package"/>
	</xsl:template>
	<xsl:template match="Package">
		<xsl:call-template name="INSP_OPER"/>
	</xsl:template>
	<xsl:template name="INSP_OPER">
		<INSP_OPER ctmtd:CfgName="INSP_OPER.cfg.xml" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<INSP_OPER_ITEM>
				<DOC_ID/>
				<OPER_RESULT>
					<xsl:variable name="ReqOperations" select="(/Package/*[ local-name() = 'ReqOperations' ]) [ last() ]"/>
					<xsl:variable name="valuable" select="$ReqOperations/*/*[ local-name() = 'Value' ][ . = '1' or . = 'true' ]/parent::*"/>
					<xsl:for-each select="$valuable">
						<xsl:for-each select="self::*[ local-name() = 'Transportation' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>1</OPER_CODE>
								<OPER_NAME>Транспортировка<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'Weighing' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>2</OPER_CODE>
								<OPER_NAME>Взвешивание<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'DifferentDefinitionQuantity' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>3</OPER_CODE>
								<OPER_NAME>Иное определение количества товаров<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'Loading' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>4</OPER_CODE>
								<OPER_NAME>Погрузка<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'Unloading' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>5</OPER_CODE>
								<OPER_NAME>Выгрузка<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'Overload' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>6</OPER_CODE>
								<OPER_NAME>Перегрузка<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'CorrectionPackaging' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>7</OPER_CODE>
								<OPER_NAME>Исправление поврежденной упаковки<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'Unpacking' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>8</OPER_CODE>
								<OPER_NAME>Вскрытие упаковки<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'Packing' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>9</OPER_CODE>
								<OPER_NAME>Упаковка<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'Repackaging' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>10</OPER_CODE>
								<OPER_NAME>Переупаковка<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'OpeningLocationGoods' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>11</OPER_CODE>
								<OPER_NAME>Вскрытие помещений, емкостей и других мест, где находятся или могут находиться товары<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
						<xsl:for-each select="self::*[ local-name() = 'DivisionConsignment' ]">
							<OPER_RESULT_ITEM>
								<OPER_CODE>12</OPER_CODE>
								<OPER_NAME>Разделение товарной партии по отдельным видам и (или) наименованиям товаров<xsl:apply-templates select="*" mode="ReqOperations"/>
								</OPER_NAME>
							</OPER_RESULT_ITEM>
						</xsl:for-each>
					</xsl:for-each>
				</OPER_RESULT>
			</INSP_OPER_ITEM>
		</INSP_OPER>
	</xsl:template>
	<xsl:template match="*" mode="ReqOperations"/>
	<xsl:template match="*[ local-name() = 'Remark' ][ string() ]" mode="ReqOperations">
		<xsl:variable name="br">
			<xsl:text>&#xd;&#xa;</xsl:text>
		</xsl:variable>
		<xsl:value-of select="concat($br, 'Пояснение: ', .)"/>
	</xsl:template>
</xsl:stylesheet>
