<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:reqop="urn:customs.ru:Information:CustomsDocuments:ReqOperations:5.10.0" exclude-result-prefixes="reqop">
	<xsl:include href="../../COMMON/copy-to-ns.xsl"/>
	<xsl:include href="../../COMMON/template-value.xsl"/>
	<xsl:include href="../../COMMON/FunctionForArmtyXsl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:for-each select="/Package">
			<xsl:call-template name="Package-NotifFinishRejectOperations"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="Package-NotifFinishRejectOperations" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
		<xsl:variable name="ReqOperations" select="/Package/*[ @ctmtd:CfgName = 'ReqOperations.html.cfg.xml' ][ last() ]"/>
		<xsl:for-each select="/Package/*[ @ctmtd:CfgName = 'INSP_OPER.cfg.xml' ][ last() ]/*">
			<nfro:NotifFinishRejectOperations xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:nfro="urn:customs.ru:Information:CustomsDocuments:NotifFinishRejectOperations:5.10.0" DocumentModeID="1006176E">
				<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
				<cat_ru:RefDocumentID>
					<xsl:value-of select="$ReqOperations/*[ local-name() = 'DocumentID' ]"/>
				</cat_ru:RefDocumentID>
				<xsl:variable name="result-denied" select="'0'"/>
				<xsl:variable name="result-completed" select="'1'"/>
				<xsl:variable name="total-denied" select="'0'"/>
				<xsl:variable name="total-completed" select="'1'"/>
				<xsl:variable name="RESULT_CODE" select="OPER_RESULT/OPER_RESULT_ITEM/RESULT_CODE"/>
				<xsl:variable name="RESULT_CODE-denied" select="$RESULT_CODE[ . = $result-denied ]"/>
				<nfro:DocumentSign>
					<xsl:choose>
						<xsl:when test="count($RESULT_CODE-denied) = count($RESULT_CODE)">
							<xsl:value-of select="$total-denied"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$total-completed"/>
						</xsl:otherwise>
					</xsl:choose>
				</nfro:DocumentSign>
				<xsl:for-each select="$RESULT_CODE-denied">
					<nfro:OperationDescription>
						<xsl:value-of select="../OPER_CODE"/>
						<xsl:if test="not(string(../OPER_CODE))">не заполнено<!--последний шанс обнаружить недопустимую незаполненность это вписать значение, которое не пройдёт тест таможенной xsd, и вернётся к декларанту с ошибкой для исправления. Если оставить пустым, то пустые элементы отфильтруются в FilterEmpties.xsl и результат пройдёт тест по xsd и уйдёт в таможню, хотя декларант недозаполнил-->
						</xsl:if>
					</nfro:OperationDescription>
				</xsl:for-each>
				<nfro:GTDNumber>
					<xsl:for-each select="/Package/*[ @ctmtd:CfgName = 'NotifGTDRegistration.html.cfg.xml' ][ last() ]/*[ local-name() = 'GTDID' ]/*">
						<xsl:element name="{name()}">
							<xsl:value-of select="."/>
						</xsl:element>
					</xsl:for-each>
				</nfro:GTDNumber>
				<xsl:variable name="ESADOUT_TD_ITEM" select="/Package/*[ @ctmtd:CfgName = 'ESADOUT_TD.cfg.xml' ][ last() ]/*"/>
				<xsl:variable name="ReqOperations-Declarant" select="$ReqOperations/*[ local-name() = 'Declarant' ][ string() ]"/>
				<xsl:choose>
					<xsl:when test="count($ESADOUT_TD_ITEM)">
						<!--если в первичной цепочке работаем (а не в отдельной), то декларация наверняка будет в пакете-->
						<nfro:Declarant>
							<xsl:for-each select="$ESADOUT_TD_ITEM">
								<xsl:call-template name="OrgNode">
									<xsl:with-param name="Pref" select="'Declarant_'"/>
									<xsl:with-param name="ReqNode" select="false"/>
									<xsl:with-param name="PostalAddress" select="1"/>
									<xsl:with-param name="BLR"/>
									<xsl:with-param name="NameSp">
										<xsl:call-template name="namespace-of-name">
											<xsl:with-param name="element-name" select="'cat_ru:'"/>
											<xsl:with-param name="namespace-context" select="document('')"/>
										</xsl:call-template>
									</xsl:with-param>
									<xsl:with-param name="NamspNode">
										<xsl:call-template name="namespace-of-name">
											<xsl:with-param name="element-name" select="'cat_ru:'"/>
											<xsl:with-param name="namespace-context" select="document('')"/>
										</xsl:call-template>
									</xsl:with-param>
								</xsl:call-template>
							</xsl:for-each>
						</nfro:Declarant>
					</xsl:when>
					<xsl:when test="count($ReqOperations-Declarant)">
						<!--этот документ будет в новой вторичной цепочке наверняка, ради него она и создаётся коннектором-->
						<!--нет пока декларации во вторичной цепочке и в форме заполнения этих полей пока нет-->
						<xsl:apply-templates mode="copy-to-ns" select="$ReqOperations-Declarant">
							<xsl:with-param name="old-ns1" select="$ReqOperations-Declarant/namespace::*[ name() = substring-before(name($ReqOperations-Declarant), ':') ]"/>
							<xsl:with-param name="new-ns1" select="'urn:customs.ru:Information:CustomsDocuments:NotifFinishRejectOperations:5.10.0'"/>
							<xsl:with-param name="new-ns-name1" select="'nfro:'"/>
						</xsl:apply-templates>
					</xsl:when>
				</xsl:choose>
				<nfro:CustomsOffice>
					<xsl:for-each select="$ReqOperations/*[ local-name() = 'Customs' ]/*">
						<xsl:element name="{name()}">
							<xsl:value-of select="."/>
						</xsl:element>
					</xsl:for-each>
				</nfro:CustomsOffice>
			</nfro:NotifFinishRejectOperations>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
