<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template  name="RegNum">
			<xsl:variable name="RegDate">
				<xsl:value-of select="substring(//OEZ_NotifReg/RegistrationNumber/RegistrationDate,9,2)"/>
				<xsl:value-of select="substring(//OEZ_NotifReg/RegistrationNumber/RegistrationDate,6,2)"/>
				<xsl:value-of select="substring(//OEZ_NotifReg/RegistrationNumber/RegistrationDate,3,2)"/>
			</xsl:variable>

			<xsl:value-of select="concat(//OEZ_NotifReg/RegistrationNumber/CustomsCode,'/',$RegDate,'/',//OEZ_NotifReg/RegistrationNumber/Number)"/>
	</xsl:template>
	<xsl:template match="*|/">
		<xsl:apply-templates select="/Package/OEZ_IMPORTEXPORTNOTIF"/>
	</xsl:template>
	
	<xsl:template match="/Package/OEZ_IMPORTEXPORTNOTIF">
		<OEZ_IMPORTEXPORTNOTIF ctmtd:CfgName="OEZ_ImportExportNotif.cfg.xml" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<xsl:apply-templates/>
		</OEZ_IMPORTEXPORTNOTIF>
	</xsl:template>
            
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/RegistrationNumber">
		<RegistrationNumber>
			<xsl:call-template name="RegNum"/>
		</RegistrationNumber>
	</xsl:template>
	
	<xsl:template match="OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/CustomsPersonFIO">
		<CustomsPersonFIO>
			<xsl:value-of select="//OEZ_NotifReg/CustomsPerson/PersonName"/>
		</CustomsPersonFIO>
	</xsl:template>
	<xsl:template match="OEZ_IMPORTEXPORTNOTIF/OEZ_IMPORTEXPORTNOTIF_ITEM/CustomsPersonLNP">
		<CustomsPersonLNP>
			<xsl:value-of select="//OEZ_NotifReg/CustomsPerson/LNP"/>
		</CustomsPersonLNP>
	</xsl:template>
	
</xsl:stylesheet>