<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select="/Package"/>
	</xsl:template>
	
	<xsl:template match="Package">
		<OEZ_ExportPassExpired ctmtd:CfgName="OEZ_ExportPassExpired.cfg.xml" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<xsl:for-each select="//OEZ_ExportPassExpired">
				<OEZ_EXPORTPASSEXPIRED_ITEM>
					<DateEnd><xsl:value-of select="DateEnd"/></DateEnd>
					<xsl:variable name="RegDate">
						<xsl:value-of select="substring(PassRegNumber/RegistrationDate,9,2)"/>
						<xsl:value-of select="substring(PassRegNumber/RegistrationDate,6,2)"/>
						<xsl:value-of select="substring(PassRegNumber/RegistrationDate,3,2)"/>
					</xsl:variable>
					<RegistrationNumber><xsl:value-of select="concat(PassRegNumber/CustomsCode,'/',$RegDate,'/',PassRegNumber/Number)"/></RegistrationNumber>
					<xsl:for-each select="CustomsPerson">
						<CustomsPersonFIO><xsl:value-of select="PersonName"/></CustomsPersonFIO>
						<CustomsPersonLNP><xsl:value-of select="LNP"/></CustomsPersonLNP>
					</xsl:for-each>	
				</OEZ_EXPORTPASSEXPIRED_ITEM>
			</xsl:for-each>
		</OEZ_ExportPassExpired>
	</xsl:template>
</xsl:stylesheet>
