<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>

<xsl:template match="/">
	<xsl:apply-templates select="/Package/OEZ_EXPORTPASS[1]/OEZ_EXPORTPASS_ITEM"/>
</xsl:template>

<xsl:template match="OEZ_EXPORTPASS/OEZ_EXPORTPASS_ITEM">
	<OEZ_ExportPass xmlns="urn:customs.ru:Information:CustomsDocuments:OEZ_ExportPass:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  DocumentModeID="1006143E" >
		<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
		<LimitDate><xsl:value-of select="substring(LimitDate,1,10)"/></LimitDate>
		<DocSign>0</DocSign>		
		<RegistrationNumber>
			<CustomsCode><xsl:value-of select="CustomsCode"/></CustomsCode>
			<RegistrationDate><xsl:value-of select="substring(RegistrationDate,1,10)"/></RegistrationDate>
			<Number><xsl:value-of select="Number"/></Number>
		</RegistrationNumber>
		<xsl:if test="string-length(Consignor_Name)>0">
			<Consignor>
				<xsl:call-template name="OrgNode">
					<xsl:with-param name="Pref" select="'Consignor_'"/>
					<xsl:with-param name="ReqNode" select="false"/>	
					<xsl:with-param name="PostalAddress" select="3"/>	
					<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
					<xsl:with-param name="NamspNode" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ExportPass:5.10.0'"/>
				</xsl:call-template> 	
			</Consignor>								
		</xsl:if>
		<TransportMeans>
			<TransportKind><xsl:value-of select="TransportKind"/></TransportKind>
			<xsl:if  test="string-length(TransportMark)>0">
				<TransportMark><xsl:value-of select="TransportMark"/></TransportMark>
			</xsl:if>
			<xsl:if test="string-length(TransportNumber/TRANSPORTNUMBER_ITEM[2]/TransportRegNumber)>0">
				<TransportRegNumber><xsl:value-of select="TransportNumber/TRANSPORTNUMBER_ITEM[2]/TransportRegNumber"/></TransportRegNumber>
			</xsl:if>
			<ActiveTransportIdentifier><xsl:value-of select="TransportNumber/TRANSPORTNUMBER_ITEM[1]/TransportRegNumber"/></ActiveTransportIdentifier>
		</TransportMeans>
		
		<xsl:for-each select="OEZ_EXPORTPASSGoods/OEZ_EXPORTPASSGOODS_ITEM">
			<GoodsList>
				<xsl:call-template name="GoodsDescr">
					<xsl:with-param name="DesGoods" select="GoodsDescription"/>
					<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
					<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CustomsDocuments:OEZ_ExportPass:5.10.0'"/>
					<xsl:with-param name="NameMes" select="false"/> 
					<xsl:with-param name="LenDes" select="250"/>
				</xsl:call-template>	
				<WeighQuantity><xsl:value-of select="WeighQuantity"/></WeighQuantity>
				<PackagesQuantity><xsl:value-of select="PackagesQuantity"/></PackagesQuantity>
				<PackagingKind><xsl:value-of select="PackagingKind"/></PackagingKind>
				<xsl:if  test="string-length(GoodsQuantity)>0">
					<SupplementaryQuantity>
						<cat_ru:GoodsQuantity><xsl:value-of select="GoodsQuantity"/></cat_ru:GoodsQuantity>
						<xsl:if  test="string-length(MeasureUnitQualifierName)>0">
							<cat_ru:MeasureUnitQualifierName><xsl:value-of select="MeasureUnitQualifierName"/></cat_ru:MeasureUnitQualifierName>
						</xsl:if>	
						<xsl:if  test="string-length(MeasureUnitQualifierCode)>0">
							<cat_ru:MeasureUnitQualifierCode><xsl:value-of select="MeasureUnitQualifierCode"/></cat_ru:MeasureUnitQualifierCode>
						</xsl:if>	
					</SupplementaryQuantity>
				</xsl:if>	
				<GoodsStatus>
					<StatusSymbolicValue><xsl:value-of select="GoodsStatusEx/GOODSSTATUSEX_ITEM[1]/StatusSymbolicValue"/></StatusSymbolicValue>
				</GoodsStatus>
			</GoodsList>
		</xsl:for-each>
		<xsl:for-each select="DocumentExp/DOCUMENTEXP_ITEM[string-length(DocName)>0 or string-length(DocNumber)>0 or string-length(DocDate)>0]">
			<DocumentExp>
				<xsl:if  test="string-length(DocName)>0">
					<cat_ru:PrDocumentName><xsl:value-of select="DocName"/></cat_ru:PrDocumentName>
				</xsl:if>
				<xsl:if  test="string-length(DocNumber)>0">	
					<cat_ru:PrDocumentNumber><xsl:value-of select="DocNumber"/></cat_ru:PrDocumentNumber>
				</xsl:if>
				<xsl:if  test="string-length(DocDate)>0">		
					<cat_ru:PrDocumentDate><xsl:value-of select="substring(DocDate,1,10)"/></cat_ru:PrDocumentDate>
				</xsl:if>	
			</DocumentExp>
		</xsl:for-each>
		<CustomsPerson>
			<cat_ru:PersonName/>
		</CustomsPerson>
	</OEZ_ExportPass>
</xsl:template>

</xsl:stylesheet>
