<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select="/Package"/>
	</xsl:template>
	<xsl:template name="ValFromNode">
		<xsl:param  name="NodeName"/>
		<xsl:element name="{$NodeName}">
			<xsl:for-each select="*[name()=$NodeName]">
				<xsl:value-of select="."/>
				<xsl:text> </xsl:text>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="Package">
		<OEZ_NOTIFVIOLATION ctmtd:CfgName="OEZ_NotifViolation.cfg.xml" xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<xsl:for-each select="//OEZ_NotifViolation">
				<OEZ_NOTIFVIOLATION_ITEM>
					<RegDate><xsl:value-of select="RegDate"/></RegDate>
					<xsl:call-template name="ValFromNode">
						<xsl:with-param name="NodeName" select="'MotiveProhibition'"/> 
					</xsl:call-template>
					<xsl:call-template name="ValFromNode">
						<xsl:with-param name="NodeName" select="'NecessityActivity'"/> 
					</xsl:call-template>
					<xsl:for-each select="Customs">
						<Code><xsl:value-of select="Code"/></Code>
						<OfficeName><xsl:value-of select="OfficeName"/></OfficeName>
					</xsl:for-each>	
					<LISTDOCUMENTINFORMATION>
						<xsl:for-each select="ListDocumentInformation">
							<LISTDOCUMENTINFORMATION_ITEM>
								<DOC_ID>0</DOC_ID>
								<PrDocumentName><xsl:value-of select="PrDocumentName"/></PrDocumentName>
								<PrDocumentNumber><xsl:value-of select="PrDocumentNumber"/></PrDocumentNumber>
								<PrDocumentDate><xsl:value-of select="PrDocumentDate"/></PrDocumentDate>
								<xsl:call-template name="ValFromNode">
									<xsl:with-param name="NodeName" select="'AddInformation'"/> 
								</xsl:call-template>
							</LISTDOCUMENTINFORMATION_ITEM>
						</xsl:for-each>	
					</LISTDOCUMENTINFORMATION>
					<xsl:for-each select="Declarant_OEZ">
						<Declarant_OEZ_Name><xsl:value-of select="OrganizationName"/></Declarant_OEZ_Name>
						<Declarant_OEZ_ShortName><xsl:value-of select="ShortName"/></Declarant_OEZ_ShortName>
						<Declarant_OEZ_OGRN><xsl:value-of select="RFOrganizationFeatures/OGRN"/></Declarant_OEZ_OGRN>
						<xsl:choose>
							<xsl:when test="string-length(RFOrganizationFeatures/INN)>0">
								<Declarant_OEZ_INN><xsl:value-of select="RFOrganizationFeatures/INN"/></Declarant_OEZ_INN>
							</xsl:when>
							<xsl:when test="string-length(RKOrganizationFeatures/IIN)>0">
								<Declarant_OEZ_INN><xsl:value-of select="RKOrganizationFeatures/IIN"/></Declarant_OEZ_INN>
							</xsl:when>
							<xsl:when test="string-length(RBOrganizationFeatures/UNP)>0">
								<Declarant_OEZ_INN><xsl:value-of select="RBOrganizationFeatures/UNP"/></Declarant_OEZ_INN>
							</xsl:when>
						</xsl:choose>
						<Declarant_OEZ_KPP><xsl:value-of select="RFOrganizationFeatures/KPP"/></Declarant_OEZ_KPP>
					</xsl:for-each>
					<xsl:for-each select="CustomsPerson">
						<CustomsPersonFIO><xsl:value-of select="PersonName"/></CustomsPersonFIO>
						<CustomsPersonLNP><xsl:value-of select="LNP"/></CustomsPersonLNP>
					</xsl:for-each>	
					<OEZ_NOTIFVIOLATIONGoods>
						<xsl:for-each select="GoodsInfo">
							<OEZ_NOTIFVIOLATIONGOODS_ITEM>
								<DOC_ID>0</DOC_ID>
								<xsl:call-template name="ValFromNode">
									<xsl:with-param name="NodeName" select="'GoodsDescription'"/> 
								</xsl:call-template>
								<Position><xsl:value-of select="Position"/></Position>
							</OEZ_NOTIFVIOLATIONGOODS_ITEM>
						</xsl:for-each>
					</OEZ_NOTIFVIOLATIONGoods>	
				</OEZ_NOTIFVIOLATION_ITEM>
			</xsl:for-each>
		</OEZ_NOTIFVIOLATION>
	</xsl:template>
</xsl:stylesheet>
