<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--	<xsl:import href="../../COMMON/FunctionForArmtyXsl.xsl"/>-->
	<xsl:output method="xml"/>
	
	<!--<xsl:template match="*|/">
		<xsl:apply-templates select="/Package"/>
	</xsl:template>-->
	<xsl:variable name="NameSp" select="'urn:customs.ru:Information:PriorInformation:PI_AirArrive:5.11.0'"/>
	<xsl:variable name="NodeNamePref" select="'catpi_ru:'"/>
	<xsl:variable name="NotDocFito" select="'Fito_FitoCountryCode,Fito_FitoCountryName,Fito_OriginPlace,Fito_DepartDate,Fito_DisinfectionInfo,Fito_Marking,'"/>
	<xsl:template name="ValFromNode">
		<xsl:param name="namsp"/>
		<xsl:param name="pref"/>
		<xsl:element name="{concat($pref,name())}" namespace="{$namsp}">
			<xsl:choose>
				<xsl:when test="name()='Description'">
					<xsl:variable name="DestNode">
						<xsl:for-each select="../*[name()='Description']">
							<xsl:value-of select="."/>
							<xsl:text> </xsl:text>
						</xsl:for-each>
					</xsl:variable>
					<xsl:value-of select="normalize-space($DestNode)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
	</xsl:template>
	<xsl:template name="DocPermitNode" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">
		<xsl:param name="Pref"/>
		<xsl:param name="NodePref"/>
			<xsl:variable name="NodeName" select="substring-after(name(),$Pref)"/>
			<xsl:variable name="RezNodePref">
				<xsl:choose>
					<xsl:when test="contains(name(),'PrDocument')">cat_ru:</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$NodePref"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="contains(name(),'Date')">
					<xsl:element name="{concat($RezNodePref,$NodeName)}">
						<xsl:call-template name="TranslateDate">
							<xsl:with-param name="Dat" select="."/>
						</xsl:call-template>
					</xsl:element>	
				</xsl:when>
				<xsl:when test="contains(name(),'MeasureUnit') or contains(name(),'FOIV')"></xsl:when>
				<xsl:when test="contains(name(),'GoodsQuantity')">
					<xsl:element name="{concat($NodePref,'GoodsMeasureQuantity')}">
						<xsl:element name="{concat($NodePref,'GoodsQuantity')}"><xsl:value-of select="."/></xsl:element>
						<xsl:if test="string-length(../*[name()=concat($Pref,'MeasureUnitQualifierName')])>0">
							<xsl:element name="{concat($NodePref,'MeasureUnitQualifierName')}"><xsl:value-of select="../*[name()=concat($Pref,'MeasureUnitQualifierName')]"/></xsl:element>
						</xsl:if>	
						<xsl:if test="string-length(../*[name()=concat($Pref,'MeasureUnitQualifierCode')])>0">
							<xsl:element name="{concat($NodePref,'MeasureUnitQualifierCode')}"><xsl:value-of select="../*[name()=concat($Pref,'MeasureUnitQualifierCode')]"/></xsl:element>
						</xsl:if>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="{concat($RezNodePref,$NodeName)}"><xsl:value-of select="."/></xsl:element>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>	
	<xsl:template name="PIT_AIR">
		<PI_AirArrive xmlns="urn:customs.ru:Information:PriorInformation:PI_AirArrive:5.11.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:RUScat_ru="urn:customs.ru:RUSCommonAggregateTypes:5.11.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:5.10.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0">
			<xsl:attribute name="DocumentModeID">1006813E</xsl:attribute>	
			<xsl:for-each select="//PIT_AIR_ITEM">
				<cat_ru:DocumentID>
					<xsl:choose>
						<xsl:when test="string-length(DocumentID)>0">
							<xsl:value-of select="DocumentID"/>
						</xsl:when>
						<xsl:otherwise>00000000-0000-0000-0000-000000000000</xsl:otherwise>
					</xsl:choose>
				</cat_ru:DocumentID>
				<xsl:if test="string-length(RefDocumentID)>0">
					<cat_ru:RefDocumentID><xsl:value-of select="RefDocumentID"/></cat_ru:RefDocumentID>
				</xsl:if>
				<MPOSign>
					<xsl:choose>
						<xsl:when test="string-length(MPOSign)>0"><xsl:value-of select="MPOSign"/></xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</MPOSign>
				<ProhobitedGoodsIndicator>
					<xsl:choose>
						<xsl:when test="string-length(ProhobitedGoodsIndicator)>0"><xsl:value-of select="ProhobitedGoodsIndicator"/></xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</ProhobitedGoodsIndicator>
				<NumberCrewMembers><xsl:value-of select="NumberCrewMembers"/></NumberCrewMembers>
				<xsl:if test="string-length(PI_URN)>0">
					<PI_URN><xsl:value-of select="PI_URN"/></PI_URN>
				</xsl:if>
				<xsl:if test="string-length(UINP)>0">
					<UINP><xsl:value-of select="UINP"/></UINP>
				</xsl:if>
				<xsl:if test="string-length(CustomsCode)>0">
					<CustomsCode><xsl:value-of select="CustomsCode"/></CustomsCode>
				</xsl:if>
				<TransportMeans>
					<xsl:if test="string-length(AirModification)>0">
						<AirModification><xsl:value-of select="AirModification"/></AirModification>
					</xsl:if>
					<AirClass><xsl:value-of select="AirClass"/></AirClass>
					<AirRegNumber><xsl:value-of select="AirRegNumber"/></AirRegNumber>
					<xsl:if test="string-length(AirNationalityCode)>0">
						<AirNationalityCode><xsl:value-of select="AirNationalityCode"/></AirNationalityCode>
					</xsl:if>
					<xsl:if test="string-length(AirOwerInfo)>0">
						<AirOwerInfo><xsl:value-of select="AirOwerInfo"/></AirOwerInfo>
					</xsl:if>
					<FlightNumber><xsl:value-of select="FlightNumber"/></FlightNumber>
				</TransportMeans>
				<xsl:for-each select="AirCrewInfo/AIRCREWINFO_ITEM">
					<AirCrewInfo>
						<xsl:for-each select="child::*[string-length(.)>0 and name()!='DOC_ID']">
							<xsl:call-template name="ValFromNode">
								<xsl:with-param name="namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
								<xsl:with-param name="pref" select="'cat_ru:'"/>
							</xsl:call-template>
						</xsl:for-each>	
					</AirCrewInfo>
				</xsl:for-each>
				<AirCarrierInfo>
					<xsl:if test="string-length(AirCarrierInfo_NameAirCarrier)>0">
						<NameAirCarrier><xsl:value-of select="AirCarrierInfo_NameAirCarrier"/></NameAirCarrier>
					</xsl:if>
					<IATACode><xsl:value-of select="AirCarrierInfo_IATACode"/></IATACode>
					<xsl:if test="string-length(AirCarrierInfo_RepresentativeCarrier_PersonSurname)>0 and string-length(AirCarrierInfo_RepresentativeCarrier_PersonName)>0">
						<RepresentativeCarrier>
							<xsl:for-each select="child::*[string-length(.)>0 and contains(name(),'AirCarrierInfo_RepresentativeCarrier_')]">
								<xsl:call-template name="DocPermitNode">
									<xsl:with-param name="Pref" select="'AirCarrierInfo_RepresentativeCarrier_'"/>
									<xsl:with-param name="NodePref" select="'cat_ru:'"/>
								</xsl:call-template>	
							</xsl:for-each>	
						</RepresentativeCarrier>
					</xsl:if>
				</AirCarrierInfo>
				<RoutingInfo>
					<xsl:if test="string-length(RoutingInfo_ArrivalDateTime)>0">
						<ArrivalDateTime><xsl:value-of select="RoutingInfo_ArrivalDateTime"/></ArrivalDateTime>
					</xsl:if>
					<xsl:if test="string-length(RoutingInfo_PlannedDateTime)>0">
						<PlannedDateTime><xsl:value-of select="RoutingInfo_PlannedDateTime"/></PlannedDateTime>
					</xsl:if>
					<xsl:if test="string-length(RoutingInfo_PlannedDateTime)>0">
						<DepartureDateTime><xsl:value-of select="RoutingInfo_PlannedDateTime"/></DepartureDateTime>
					</xsl:if>
					<xsl:if test="string-length(RoutingInfo_DepartureAirport_IATACode)>0">
						<DepartureAirport>
							<xsl:if test="string-length(RoutingInfo_DepartureAirport_AirportName)>0">
								<AirportName><xsl:value-of select="RoutingInfo_DepartureAirport_AirportName"/></AirportName>
							</xsl:if>	
							<IATACode><xsl:value-of select="RoutingInfo_DepartureAirport_IATACode"/></IATACode>
						</DepartureAirport>
					</xsl:if>
					<xsl:for-each select="RoutingInfo_Interim/ROUTINGINFO_INTERIM_ITEM[string-length(IATACode)>0]">
						<Interim>
							<xsl:if test="string-length(AirportName)>0">
								<AirportName><xsl:value-of select="AirportName"/></AirportName>
							</xsl:if>	
							<IATACode><xsl:value-of select="IATACode"/></IATACode>
						</Interim>
					</xsl:for-each>
					<xsl:if test="string-length(RoutingInfo_DestinationCountry_CountryCode)>0">
						<DestinationCountry>
							<xsl:if test="string-length(RoutingInfo_DestinationCountry_CountryName)>0">
								<CountryName><xsl:value-of select="RoutingInfo_DestinationCountry_CountryName"/></CountryName>
							</xsl:if>	
							<CountryCode><xsl:value-of select="RoutingInfo_DestinationCountry_CountryCode"/></CountryCode>
						</DestinationCountry>
					</xsl:if>
					<xsl:if test="string-length(RoutingInfo_DepartureCountry_CountryCode)>0">
						<DepartureCountry>
							<xsl:if test="string-length(RoutingInfo_DepartureCountry_CountryName)>0">
								<CountryName><xsl:value-of select="RoutingInfo_DepartureCountry_CountryName"/></CountryName>
							</xsl:if>	
							<CountryCode><xsl:value-of select="RoutingInfo_DepartureCountry_CountryCode"/></CountryCode>
						</DepartureCountry>
					</xsl:if>
					<xsl:if test="string-length(RoutingInfo_DestinationAirport_IATACode)>0">
						<DestinationAirport>
							<xsl:if test="string-length(RoutingInfo_DestinationAirport_AirportName)>0">
								<AirportName><xsl:value-of select="RoutingInfo_DestinationAirport_AirportName"/></AirportName>
							</xsl:if>	
							<IATACode><xsl:value-of select="RoutingInfo_DestinationAirport_IATACode"/></IATACode>
						</DestinationAirport>
					</xsl:if>
				</RoutingInfo>	
				<xsl:variable name="StOprNotSp" select="count(StoresInfo_Operating/STORESINFO_OPERATING_ITEM/child::*[string-length(.)>0 and name()!='DOC_ID'])"/>
				<xsl:variable name="StConNodeNotSp" select="count(StoresInfo_Consumer/STORESINFO_CONSUMER_ITEM/child::*[string-length(.)>0 and name()!='DOC_ID'])"/>
				<xsl:variable name="StSlNodeNotSp" select="count(StoresInfo_Sold/STORESINFO_SOLD_ITEM/child::*[string-length(.)>0 and name()!='DOC_ID'])"/>
				<xsl:if test="$StOprNotSp>0 or $StConNodeNotSp>0 or $StSlNodeNotSp>0">
					<StoresInfo>
						<xsl:for-each select="StoresInfo_Operating/STORESINFO_OPERATING_ITEM[child::*[string-length(.)>0 and name()!='DOC_ID']]">
							<Operating>
								<xsl:for-each select="child::*[string-length(.)>0 and name()!='DOC_ID']">
									<xsl:call-template name="ValFromNode">
										<xsl:with-param name="namsp" select="$NameSp"/>
									</xsl:call-template>
								</xsl:for-each>	
							</Operating>
						</xsl:for-each>
						<xsl:for-each select="StoresInfo_Sold/STORESINFO_SOLD_ITEM[child::*[string-length(.)>0 and name()!='DOC_ID']]">
							<Sold>
								<xsl:for-each select="child::*[string-length(.)>0 and name()!='DOC_ID']">
									<xsl:call-template name="ValFromNode">
										<xsl:with-param name="namsp" select="$NameSp"/>
									</xsl:call-template>
								</xsl:for-each>	
							</Sold>
						</xsl:for-each>
						<xsl:for-each select="StoresInfo_Consumer/STORESINFO_CONSUMER_ITEM[child::*[string-length(.)>0 and name()!='DOC_ID']]">
							<Consumer>
								<xsl:for-each select="child::*[string-length(.)>0 and name()!='DOC_ID']">
									<xsl:call-template name="ValFromNode">
										<xsl:with-param name="namsp" select="$NameSp"/>
									</xsl:call-template>
								</xsl:for-each>	
							</Consumer>
						</xsl:for-each>
					</StoresInfo>
				</xsl:if>
				<xsl:for-each select="//SPAREPARTSINFO_ITEM[child::*[string-length(.)>0 and name()!='DOC_ID']]">
					<SparePartsInfo>
						<xsl:for-each select="child::*[string-length(.)>0 and name()!='DOC_ID']">
							<xsl:call-template name="ValFromNode">
								<xsl:with-param name="namsp" select="$NameSp"/>
							</xsl:call-template>
						</xsl:for-each>	
					</SparePartsInfo>
				</xsl:for-each>
				<PassengerList>
					<Passengers><xsl:value-of select="Passengers"/></Passengers>
					<xsl:for-each select="//PASSENGERINFO_ITEM[string-length(PassengersName)>0]">
						<PassengerInfo>
							<PassengersName><xsl:value-of select="PassengersName"/></PassengersName>
							<xsl:if test="string-length(DepatureAirport_IATACode)>0">
								<DepatureAirport>
									<xsl:if test="string-length(DepatureAirport_AirportName)>0">
										<AirportName><xsl:value-of select="DepatureAirport_AirportName"/></AirportName>
									</xsl:if>	
									<IATACode><xsl:value-of select="DepatureAirport_IATACode"/></IATACode>
								</DepatureAirport>
							</xsl:if>
							<xsl:if test="string-length(DestinationAirport_IATACode)>0">
								<DestinationAirport>
									<xsl:if test="string-length(DestinationAirport_AirportName)>0">
										<AirportName><xsl:value-of select="DestinationAirport_AirportName"/></AirportName>
									</xsl:if>	
									<IATACode><xsl:value-of select="DestinationAirport_IATACode"/></IATACode>
								</DestinationAirport>
							</xsl:if>
						</PassengerInfo>
					</xsl:for-each>
				</PassengerList>
				<xsl:variable name="CargoManifestNotSp" select="count(CargoManifest/CARGOMANIFEST_ITEM/child::*[string-length(.)>0 and name()!='DOC_ID'])"/>
				<xsl:choose>
					<xsl:when test="count(child::*[string-length(.)>0 and contains(name(),'PIDT_')])=3">
						<GTDID>
							<cat_ru:CustomsCode><xsl:value-of select="PIDT_DocumentCustomsCode"/></cat_ru:CustomsCode>
								<cat_ru:RegistrationDate>
									<xsl:call-template name="TranslateDate">
										<xsl:with-param name="Dat" select="PIDT_DocumentDate"/>
									</xsl:call-template>
								</cat_ru:RegistrationDate>
								<cat_ru:GTDNumber><xsl:value-of select="PIDT_DocumentNumber"/></cat_ru:GTDNumber>
						</GTDID>
					</xsl:when>
					<xsl:when test="$CargoManifestNotSp>0">
						<xsl:for-each select="CargoManifest/CARGOMANIFEST_ITEM">
							<CargoManifest>
								<CargoPlaceNumber><xsl:value-of select="CargoPlaceNumber"/></CargoPlaceNumber>
								<xsl:if test="string-length(TotalWeight)>0">
									<TotalWeight><xsl:value-of select="format-number(round(TotalWeight * 1000000) div 1000000,'0.######')"/></TotalWeight>
								</xsl:if>	
								<xsl:if test="string-length(DateExpectedArrival)>0">
									<DateExpectedArrival>
										<xsl:call-template name="TranslateDate">
											<xsl:with-param name="Dat" select="DateExpectedArrival"/>
										</xsl:call-template>
									</DateExpectedArrival>
								</xsl:if>
								<xsl:if test="string-length(TimeExpectedArrival)>0">	
									<TimeExpectedArrival>
										<xsl:call-template name="TranslateTime">
											<xsl:with-param name="Time" select="TimeExpectedArrival"/>
										</xsl:call-template>
									</TimeExpectedArrival>
								</xsl:if>	
								<xsl:for-each select="GoodsInfo/GOODSINFO_ITEM">
									<GoodsInfo>
										<xsl:if test="string-length(WeightUnitQualifierCode)>0">
											<WeightUnitQualifierCode><xsl:value-of select="WeightUnitQualifierCode"/></WeightUnitQualifierCode>
										</xsl:if>	
										<xsl:if test="string-length(GoodsVolume)>0">
											<GoodsVolume><xsl:value-of select="GoodsVolume"/></GoodsVolume>
										</xsl:if>	
										<xsl:call-template name="GoodsDescr">
											<xsl:with-param name="DesGoods" select="normalize-space(CargoDescription)"/>
											<xsl:with-param name="NodeName" select="'CargoDescription'"/>
											<xsl:with-param name="Namsp" select="$NameSp"/>
											<xsl:with-param name="NameMes" select="false"/> 
											<xsl:with-param name="LenDes" select="250"/>											
										</xsl:call-template>	
										<GrossWeightQuantity><xsl:value-of select="format-number(round(GrossWeightQuantity * 1000000) div 1000000,'0.######')"/></GrossWeightQuantity>
										<NettoWeightQuantity><xsl:value-of select="format-number(round(NettoWeightQuantity * 1000000) div 1000000,'0.######')"/></NettoWeightQuantity>
										<xsl:if  test="string-length(PackingQuantity)>0">
											<PackingInfo>
												<xsl:for-each select="child::*[string-length(.)>0 and (contains(name(),'Packing') or contains(name(),'Package'))]">
													<xsl:call-template name="ValFromNode">
														<xsl:with-param name="namsp" select="$NameSp"/>
													</xsl:call-template>
												</xsl:for-each>	
											</PackingInfo>
										</xsl:if>
										<xsl:variable name="SanNodeNotSp" select="count(child::*[contains(name(),'San_') and string-length(.)>0])+count(child::*/child::*/child::*[contains(name(parent::*),'SAN_') and string-length(.)>0])"/>
										<xsl:variable name="VetNodeNotSp" select="count(child::*[contains(name(),'Vet_') and string-length(.)>0])+count(child::*/child::*/child::*[contains(name(parent::*),'VET_') and string-length(.)>0])"/>
										<xsl:variable name="FitoNodeNotSp" select="count(child::*[contains(name(),'Fito_') and string-length(.)>0])"/>
										
										<xsl:if  test="number($SanNodeNotSp)>0 or number($VetNodeNotSp)>0 or number($FitoNodeNotSp)>0">
											<ControlNoCustoms>
												<xsl:if  test="number($SanNodeNotSp)>0">
													<catpi_ru:SanitaryQuarantine>
														<xsl:if test="count(child::*[contains(name(),'San_DocPermit_') and string-length(.)>0])>0">
															<catpi_ru:DocPermit>
																<xsl:for-each select="child::*[contains(name(),'San_DocPermit_') and string-length(.)>0]">
																	<xsl:call-template name="DocPermitNode">
																		<xsl:with-param name="Pref" select="'San_DocPermit_'"/>
																		<xsl:with-param name="NodePref" select="$NodeNamePref"/>
																	</xsl:call-template>	
																</xsl:for-each>	
															</catpi_ru:DocPermit>
														</xsl:if>
														<xsl:if test="string-length(San_OriginPlace)>0">
															<catpi_ru:OriginPlace><xsl:value-of select="San_OriginPlace"/></catpi_ru:OriginPlace>
														</xsl:if>
														<xsl:if test="string-length(San_GoodsPurpose)>0">
															<xsl:call-template name="GoodsDescr">
																<xsl:with-param name="DesGoods" select="normalize-space(San_GoodsPurpose)"/>
																<xsl:with-param name="NodeName" select="'catpi_ru:GoodsPurpose'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
																<xsl:with-param name="NameMes" select="false"/> 
																<xsl:with-param name="LenDes" select="250"/>											
															</xsl:call-template>	
														</xsl:if>	
														<xsl:if test="string-length(San_FoodGoods)>0">
															<xsl:call-template name="GoodsDescr">
																<xsl:with-param name="DesGoods" select="normalize-space(San_FoodGoods)"/>
																<xsl:with-param name="NodeName" select="'catpi_ru:FoodGoods'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
																<xsl:with-param name="NameMes" select="false"/> 
																<xsl:with-param name="LenDes" select="250"/>											
															</xsl:call-template>	
														</xsl:if>
														<xsl:if test="string-length(San_PromGoods)>0">
															<xsl:call-template name="GoodsDescr">
																<xsl:with-param name="DesGoods" select="normalize-space(San_PromGoods)"/>
																<xsl:with-param name="NodeName" select="'catpi_ru:PromGoods'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
																<xsl:with-param name="NameMes" select="false"/> 
																<xsl:with-param name="LenDes" select="250"/>											
															</xsl:call-template>	
														</xsl:if>
														<xsl:if test="string-length(San_DateSeaDecl)>0">
															<catpi_ru:DateSeaDecl>
																<xsl:call-template name="TranslateDate">
																	<xsl:with-param name="Dat" select="San_DateSeaDecl"/>
																</xsl:call-template>
															</catpi_ru:DateSeaDecl>
														</xsl:if>
														<xsl:for-each select="San_Ports/SAN_PORTS_ITEM[string-length(CountryCode)>0 and string-length(PortName)>0]">
															<catpi_ru:Ports>
																<catpi_ru:CountryCode><xsl:value-of select="CountryCode"/></catpi_ru:CountryCode>
																<catpi_ru:PortName><xsl:value-of select="PortName"/></catpi_ru:PortName>
															</catpi_ru:Ports>
														</xsl:for-each>
														<xsl:for-each select="San_DangerPort/SAN_DANGERPORT_ITEM[string-length(CountryCode)>0 and string-length(PortName)>0]">
															<catpi_ru:DangerPort>
																<catpi_ru:CountryCode><xsl:value-of select="CountryCode"/></catpi_ru:CountryCode>
																<catpi_ru:PortName><xsl:value-of select="PortName"/></catpi_ru:PortName>
															</catpi_ru:DangerPort>
														</xsl:for-each>
														<xsl:if test="string-length(San_DangerDate)>0">
															<catpi_ru:DangerDate>
																<xsl:call-template name="TranslateDate">
																	<xsl:with-param name="Dat" select="San_DangerDate"/>
																</xsl:call-template>
															</catpi_ru:DangerDate>
														</xsl:if>
														<xsl:if test="string-length(San_Immunity)>0">
															<catpi_ru:Immunity><xsl:value-of select="San_Immunity"/></catpi_ru:Immunity>
														</xsl:if>
														<xsl:if test="string-length(San_Effect)>0">
															<catpi_ru:Effect><xsl:value-of select="San_Effect"/></catpi_ru:Effect>
														</xsl:if>
														<xsl:if test="string-length(San_Raid)>0">
															<catpi_ru:Raid><xsl:value-of select="San_Raid"/></catpi_ru:Raid>
														</xsl:if>
														<xsl:if test="string-length(San_FreePass)>0">
															<catpi_ru:FreePass><xsl:value-of select="San_FreePass"/></catpi_ru:FreePass>
														</xsl:if>
														<xsl:if test="string-length(San_Equipment)>0">
															<catpi_ru:Equipment><xsl:value-of select="San_Equipment"/></catpi_ru:Equipment>
														</xsl:if>
														<xsl:if test="string-length(San_insecticide)>0">
															<catpi_ru:insecticide><xsl:value-of select="San_insecticide"/></catpi_ru:insecticide>
														</xsl:if>
														<xsl:if test="string-length(San_Prevention)>0">
															<catpi_ru:Prevention><xsl:value-of select="San_Prevention"/></catpi_ru:Prevention>
														</xsl:if>
														<xsl:if test="string-length(San_Insects)>0">
															<catpi_ru:Insects><xsl:value-of select="San_Insects"/></catpi_ru:Insects>
														</xsl:if>
														<xsl:if test="string-length(San_Disinfestation)>0">
															<catpi_ru:Disinfestation><xsl:value-of select="San_Disinfestation"/></catpi_ru:Disinfestation>
														</xsl:if>
														<xsl:if test="string-length(San_DisinfestationSert)>0">
															<catpi_ru:DisinfestationSert><xsl:value-of select="San_DisinfestationSert"/></catpi_ru:DisinfestationSert>
														</xsl:if>
														<xsl:if test="string-length(San_RepeatInspection)>0">
															<catpi_ru:RepeatInspection><xsl:value-of select="San_RepeatInspection"/></catpi_ru:RepeatInspection>
														</xsl:if>
													</catpi_ru:SanitaryQuarantine>
												</xsl:if>
												<xsl:if  test="number($VetNodeNotSp)>0">
													<catpi_ru:Veterinary>
														<xsl:for-each select="Vet_DocPermit/VET_DOCPERMIT_ITEM[child::*[string-length(.)>0 and name()!='DOC_ID']]">
															<catpi_ru:DocPermit>
																<xsl:for-each select="child::*[child::*[string-length(.)>0 and name()!='DOC_ID']]">
																	<xsl:call-template name="DocPermitNode">
																		<xsl:with-param name="NodePref" select="$NodeNamePref"/>
																	</xsl:call-template>
																</xsl:for-each>	
															</catpi_ru:DocPermit>
														</xsl:for-each>
														<xsl:for-each select="Vet_VeterinaryAdd/VET_VETERINARYADD_ITEM[child::*[string-length(.)>0 and name()!='DOC_ID']]">
															<catpi_ru:VeterinaryAdd>
																<xsl:for-each select="child::*[child::*[string-length(.)>0 and name()!='DOC_ID']]">
																	<xsl:call-template name="DocPermitNode">
																		<xsl:with-param name="NodePref" select="$NodeNamePref"/>
																	</xsl:call-template>
																</xsl:for-each>	
															</catpi_ru:VeterinaryAdd>
														</xsl:for-each>
														<xsl:if test="string-length(Vet_Marking)>0">
															<xsl:call-template name="GoodsDescr">
																<xsl:with-param name="DesGoods" select="normalize-space(Vet_Marking)"/>
																<xsl:with-param name="NodeName" select="'catpi_ru:Marking'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
																<xsl:with-param name="NameMes" select="false"/> 
																<xsl:with-param name="LenDes" select="250"/>											
															</xsl:call-template>	
														</xsl:if>
														<xsl:for-each select="Vet_Manufacturer/VET_MANUFACTURER_ITEM[string-length(VetManufacturer_Name)>0]">
															<catpi_ru:Manufacturer>
																<xsl:call-template name="OrgNodeRU">
																	<xsl:with-param name="Pref" select="'VetManufacturer_'"/>
																	<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
																	<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
																</xsl:call-template>
																<xsl:if test="string-length(VetManufacturer_Address)>0">
																	<RUScat_ru:Address><xsl:value-of select="VetManufacturer_Address"/></RUScat_ru:Address> 														
																</xsl:if>
																<xsl:if test="string-length(VetManufacturerKind)>0 and number(VetManufacturerKind)>-1">
																	<catpi_ru:ManufacturerKind><xsl:value-of select="VetManufacturerKind"/></catpi_ru:ManufacturerKind>
																</xsl:if>	
																<xsl:if test="string-length(VetManufacturerNum)>0">
																	<catpi_ru:ManufacturerNum><xsl:value-of select="VetManufacturerNum"/></catpi_ru:ManufacturerNum>
																</xsl:if>
																<xsl:if test="string-length(ManufacturerInfo)>0">
																	<catpi_ru:ManufacturerInfo><xsl:value-of select="VetManufacturerInfo"/></catpi_ru:ManufacturerInfo>
																</xsl:if>
															</catpi_ru:Manufacturer>
														</xsl:for-each>
														<xsl:for-each select="Vet_VeterinaryInfo/VET_VETERINARYINFO_ITEM[child::*[string-length(.)>0 and name()!='DOC_ID']]">
															<catpi_ru:VeterinaryInfo>
																<xsl:call-template name="PrDocument">
																	<xsl:with-param name="NamDoc" select="PrDocumentName"/>
																	<xsl:with-param name="NumDoc" select="PrDocumentNumber"/>
																	<xsl:with-param name="DateDoc" select="PrDocumentDate"/>
																	<xsl:with-param name="Namsp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/> 
																</xsl:call-template>
																<xsl:if test="string-length(DocExpiredDate)>0">
																	<catpi_ru:ExpiredDate>
																		<xsl:call-template name="TranslateDate">
																			<xsl:with-param name="Dat" select="DocExpiredDate"/>
																		</xsl:call-template>
																	</catpi_ru:ExpiredDate>
																</xsl:if>
																<xsl:if test="string-length(Description)>0">
																	<xsl:call-template name="GoodsDescr">
																		<xsl:with-param name="DesGoods" select="normalize-space(Description)"/>
																		<xsl:with-param name="NodeName" select="'catpi_ru:Description'"/>
																		<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
																		<xsl:with-param name="NameMes" select="false"/> 
																		<xsl:with-param name="LenDes" select="250"/>											
																	</xsl:call-template>	
																</xsl:if>
																<xsl:if test="string-length(Series)>0">
																	<catpi_ru:Series><xsl:value-of select="Series"/></catpi_ru:Series>
																</xsl:if>
																<xsl:if test="string-length(Manufacturer_Name)>0">
																	<catpi_ru:Manufacturer>
																		<xsl:call-template name="OrgNodeRU">
																			<xsl:with-param name="Pref" select="'Manufacturer_'"/>
																			<xsl:with-param name="NameNode" select="'urn:customs.ru:RUSCommonAggregateTypes:5.11.0'"/>
																			<xsl:with-param name="NameSp" select="'urn:customs.ru:CommonAggregateTypes:5.10.0'"/>
																		</xsl:call-template>
																		<xsl:if test="string-length(Manufacturer_Address)>0">
																			<RUScat_ru:Address><xsl:value-of select="Manufacturer_Address"/></RUScat_ru:Address> 														
																		</xsl:if>
																	</catpi_ru:Manufacturer>
																</xsl:if>		
															</catpi_ru:VeterinaryInfo>
														</xsl:for-each>
													</catpi_ru:Veterinary>
												</xsl:if>
												<xsl:if  test="number($FitoNodeNotSp)>0">
													<catpi_ru:FitoSanitary>
														<xsl:if test="count(child::*[contains(name(),'Fito_') and string-length(.)>0  and not(contains($NotDocFito,concat(name(),',')))])>0">
															<catpi_ru:FitoSanitaryDoc>
																<xsl:for-each select="child::*[contains(name(),'Fito_') and string-length(.)>0  and not(contains($NotDocFito,concat(name(),',')))]">
																	<xsl:call-template name="DocPermitNode">
																		<xsl:with-param name="Pref" select="'Fito_'"/>
																		<xsl:with-param name="NodePref" select="$NodeNamePref"/>
																	</xsl:call-template>	
																</xsl:for-each>	
															</catpi_ru:FitoSanitaryDoc>
														</xsl:if>
														<xsl:for-each select="child::*[contains(name(),'Fito_') and string-length(.)>0  and contains($NotDocFito,concat(name(),',')) and name()!='Fito_Marking']">
															<xsl:call-template name="DocPermitNode">
																<xsl:with-param name="Pref" select="'Fito_'"/>
																<xsl:with-param name="NodePref" select="$NodeNamePref"/>
															</xsl:call-template>	
														</xsl:for-each>	
														<xsl:if test="string-length(Fito_Marking)>0">
															<xsl:call-template name="GoodsDescr">
																<xsl:with-param name="DesGoods" select="normalize-space(Fito_Marking)"/>
																<xsl:with-param name="NodeName" select="'catpi_ru:Marking'"/>
																<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0'"/> 
																<xsl:with-param name="NameMes" select="false"/> 
																<xsl:with-param name="LenDes" select="250"/>											
															</xsl:call-template>	
														</xsl:if>
													</catpi_ru:FitoSanitary>										
												</xsl:if>
											</ControlNoCustoms>
										</xsl:if>
									</GoodsInfo>
								</xsl:for-each>
								<xsl:if test="string-length(LoadingPoint_IATACode)>0">
									<LoadingPoint>
										<xsl:if test="string-length(LoadingPoint_AirportName)>0">
											<AirportName><xsl:value-of select="LoadingPoint_AirportName"/></AirportName>
										</xsl:if>	
										<IATACode><xsl:value-of select="LoadingPoint_IATACode"/></IATACode>
									</LoadingPoint>
								</xsl:if>
								<xsl:if test="string-length(UnloadingPoint_IATACode)>0">
									<UnloadingPoint>
										<xsl:if test="string-length(UnloadingPoint_AirportName)>0">
											<AirportName><xsl:value-of select="UnloadingPoint_AirportName"/></AirportName>
										</xsl:if>	
										<IATACode><xsl:value-of select="UnloadingPoint_IATACode"/></IATACode>
									</UnloadingPoint>
								</xsl:if>
								<BorderCustoms>
									<cat_ru:Code><xsl:value-of select="BorderCustoms_Code"/></cat_ru:Code>
									<xsl:if test="string-length(BorderCustoms_OfficeName)>0">
										<cat_ru:OfficeName><xsl:value-of select="BorderCustoms_OfficeName"/></cat_ru:OfficeName>
									</xsl:if>
									<xsl:if test="string-length(BorderCustoms_CustomsCountryCode)>0">
										<cat_ru:CustomsCountryCode><xsl:value-of select="BorderCustoms_CustomsCountryCode"/></cat_ru:CustomsCountryCode>
									</xsl:if>
								</BorderCustoms>
								<CargoManifestNumber>
									<xsl:if test="string-length(AirlineIATACode)>0">
										<catTrans_ru:AirlineIATACode><xsl:value-of select="AirlineIATACode"/></catTrans_ru:AirlineIATACode>
									</xsl:if>	
									<catTrans_ru:DocumentNumber><xsl:value-of select="DocumentNumber"/></catTrans_ru:DocumentNumber>
									<catTrans_ru:AirlineSign>
										<xsl:choose>
											<xsl:when test="string-length(AirlineSign)>0"><xsl:value-of select="AirlineSign"/></xsl:when>
											<xsl:when test="string-length(AirlineIATACode)>0">1</xsl:when>
											<xsl:otherwise>0</xsl:otherwise>
										</xsl:choose>
									</catTrans_ru:AirlineSign>
								</CargoManifestNumber>
							</CargoManifest>
						</xsl:for-each>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
		</PI_AirArrive>
	</xsl:template>
</xsl:stylesheet>
