<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:ctm="urn:ctm.ru">

<xsl:template match="/">
	<ReqPI_Delete xmlns="urn:customs.ru:Information:PriorInformation:ReqPI_Delete:5.11.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.11.0" DocumentModeID="1006806E" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" >
		<cat_ru:DocumentID>00000000-0000-0000-0000-000000000000</cat_ru:DocumentID>
        <xsl:variable name="TIN">
			<xsl:choose>
				<xsl:when test="string-length(/Package/package-properties/prop[@name='TIN'])>0">
					<xsl:value-of  select="/Package/package-properties/prop[@name='TIN']"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(//TIR/TIR_ITEM[string-length(TIRID)>0 and string-length(TIRSeries)>0 and string-length(TIRWhitePageNumber)>0 and string-length(TIRHolder)>0])=0">
						<xsl:message terminate="yes">В свойствах пакета не указан Идентификатор предварительной информации.</xsl:message>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
        </xsl:variable>
        <xsl:choose>
			<xsl:when test="count(//TIR/TIR_ITEM[string-length(TIRID)>0 and string-length(TIRSeries)>0 and string-length(TIRWhitePageNumber)>0 and string-length(TIRHolder)>0])>0">
				<xsl:for-each select="//TIR/TIR_ITEM[string-length(TIRID)>0 and string-length(TIRSeries)>0 and string-length(TIRWhitePageNumber)>0 and string-length(TIRHolder)>0]">
					<TIR_ID>
						<catpi_ru:TIRID><xsl:value-of select="TIRID"/></catpi_ru:TIRID>
						<catpi_ru:TIRSeries><xsl:value-of select="TIRSeries"/></catpi_ru:TIRSeries>
						<catpi_ru:TIRWhitePageNumber><xsl:value-of select="TIRWhitePageNumber"/></catpi_ru:TIRWhitePageNumber>
						<catpi_ru:TIRHolder><xsl:value-of select="TIRHolder"/></catpi_ru:TIRHolder>
					</TIR_ID>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="string-length($TIN)>0">
				<PI_RegID><xsl:value-of select="$TIN"/></PI_RegID>
			</xsl:when>
		</xsl:choose>
	</ReqPI_Delete>
</xsl:template>
</xsl:stylesheet>
